var count = (function and(Decimal) {
    var start = +new Date(),
        log,
        error,
        undefined,
        passed = 0,
        total = 0,
        n = 'null',
        N = 'NaN',
        I = 'Infinity';

    if (typeof window === 'undefined') {
        log = console.log;
        error = console.error;
    } else {
        log = function (str) { document.body.innerHTML += str.replace('\n', '<br>') };
        error = function (str) { document.body.innerHTML += '<div style="color: red">' +
          str.replace('\n', '<br>') + '</div>' };
    }

    if (!Decimal && typeof require === 'function') Decimal = require('../decimal');

    function assert(expected, actual) {
        total++;
        if (expected !== actual) {
           error('\n Test number: ' + total + ' failed');
           error(' Expected: ' + expected);
           error(' Actual:   ' + actual);
           //process.exit();
        } else {
            passed++;
            //log('\n Expected and actual: ' + actual);
        }
    }

    function T(andendA, andendB, expected, sd, rm) {

        if ( sd != null ) {
            Decimal.precision = sd;
            Decimal.rounding = rm;
        }
        assert(String(expected), String(new Decimal(andendA).and(andendB)));
    }

    log('\n Testing and...');

    Decimal.config({
        precision: 20,
        rounding: 4,
        toExpNeg: -9e15,
        toExpPos: 9e15,
        minE: -9e15,
        maxE: 9e15,
        errors: false
    });

    T(1, 0, 0);
    T(-1, 0, 0);
    T(1, N, N);
    T(-1, N, N);
    T(1, I, 1);
    T(1, -I, 0);
    T(-1, I, I);
    T(-1, -I, -I);
    T(0, 1, 0);
    T(0, -1, 0);

    T(0, N, N);
    T(-0, N, N);
    T(0, I, 0);
    T(0, -I, 0);
    T(N, 1, N);
    T(N, -1, N);
    T(N, 0, N);
    T(N, -0, N);
    T(N, N, N);
    T(N, I, N);
    T(N, -I, N);
    T(I, 1, 1);
    T(I, -1, I);
    T(-I, 1, 0);
    T(-I, -1, -I);
    T(I, 0, 0);
    T(-I, 0, 0);
    T(I, N, N);
    T(-I, N, N);
    T(I, I, I);
    T(I, -I, 0);
    T(-I, I, 0);
    T(-I, -I, -I);

    T(1, '0', '0');
    T(1, '1', '1');
    T(1, '-45', '1');
    T(1, '22', '0');
    T(1, '0144', '0');
    T(1, '6.1915', '0');
    T(1, '-1.02', '1');
    T(1, '0.09', '0');
    T(1, '-0.0001', '0');
    T(1, '8e5', '0');
    T(1, '9E12', '0');
    T(1, '1e-14', '0');
    T(1, '3.345E-9', '0');
    T(1, '-345.43e+4', '0');
    T(1, '-345.4333e+4', '1');
    T(1, '-94.12E+0', '0');
    T(1, '-93.12E+0', '1');
    T(1, '', N);
    T(1, '    ', N);
    T(1, '		', N);
    T(1, 'ertgrt546', N);
    T(1, 'qweqwdewee', N);
    T(1, true, N);
    T(1, false, N);
    T(1, 'e 4.3', N);
    T(1, '4 .3', N);
    T(1, '4.0 01e', N);
    T(1, ' 4.001', '0');
    T(1, '4.001 ', '0');
    T(1, ' 4.001 ', '0');
    T(1, '    4.001', '0');
    T(1, ' 4.0 01', N);
    T(1, '4. 001', N);
    T(1, '4. 001 ', N);
    T(1, '  4.001e ', N);
    T(1, ' 4 .001 e ', N);
    T(1, undefined, N);
    T(1, null, N);
    T(1, Number.POSITIVE_INFINITY, 1);
    T(1, Number.NEGATIVE_INFINITY, 0);
    T(1, new Date(2012, 11, 4), N);
    T(1, new Object(), N);
    T(1, function () {}, N);
    T('0', 0, '0');
    T(0, '+0', '0');
    T('0', '0', '0');
    T(9.654, 0, '0');
    T(0, '0.001', '0');
    T(0, '111.1111111110000', '0');
    T(N, '0', N);
    T(-1, 1, '1');
    T(-0.01, 0.01, '0');
    T(54, -54, '2');
    T(9.99, '-9.99', '1');
    T('0.0000023432495704937', '-0.0000023432495704937', '0');
    T(NaN, NaN, N);
    T(NaN, N, N);
    T(N, NaN, N);
    T(N, 4, N);
    T(N, '4534534.45435435', N);
    T(N, 99999.999, N);
    T(Infinity, '354.345341', 354);
    T(3, -I, 0);
    T(-Infinity, -I, -I);
    T(-I, -Infinity, -I);
    T(I, '-999e999', I);
    T('1.21123e43', -I, 0);
    T('-999.0', I, I);
    T('657.342e-45', -I, 0);
    T(I, 123, 123);
    T(100, 100, '100');
    T(-999.99, '0.01', '0');
    T('10 ', 4, '0');
    T('03.333', -4, '0');
    T(-1, -0.1, '0');
    T(43534.5435, '0.054645', '0');
    T('99999', '1', '1');
    T('3e', 8, N);
    T('-3..0', 13, N);
    T('0 0', -0.4, N);
    T(' +3e0', 4, '0');
    T(9.9806, '+ 1', N);
    T(' +2 0', '1e1', N);
    T('e3', 4, N);
    T(' ', 0, N);
    T(323, null, N);
    T(undefined, undefined, N);
    T('undefined', undefined, N);
    T(null, null, N);

    Decimal.errors = true;

    T('-8.59220963509823506E+83', '2.90233808586772061593647080E+67', '161214750665714494347299919720192078375188495922514765248280395776', 7, 2);
    T('-3405623042.77046', '3.7242926902405798743E+36', '3724292690240579874299999998877761536', 69, 6);
    T('2.3E+20', '-8.29309328657E+57', '228404558701722075136', 59, 6);
    T('4.6560313377E+105', '-3.4E+78', '4656031337699999999999999998950290475664082231866047870580753447429876966648185989527188739434502399459328', 72, 6);
    T('-989549884895306763711.149', '-2676015344.4536235275167094598', '-989549884895684251136', 7, 6);
    T('9E+24', '-329449282.5308255063861', '8999999999999999983222784', 12, 0);
    T('1.127965956510413287839069751E+59', '-5.7272776397839375974021328E+37', '112796595651041328783905634108188926834822213637009827692544', 68, 1);
    T('3.097079E+37', '4830700802269.7228326516543', '156766306304', 22, 3);
    T('-8.3639096801359593928629960E+32', '-6.032239535913974493686889', '-836390968013595939286299600000000', 48, 4);
    T('-6.886515449E+62', '-15785.63926', '-688651544900000000000000000000000000000000000000000000000000000', 36, 2);
    T('8393524.556120320881206', '46508.355867900177239221735', '4388', 3, 6);
    T('21.9811', '247731.539558', '17', 59, 5);
    T('2.1877409333271352879E+75', '-3.220131224058161211554E+42', '2187740933327135287899999999999996863578490213829130431270426161710498840576', 35, 4);
    T('-707547.36955052062584944231', '-8.10118241311657871609363E+67', '-81011824131165787160936300000000000000000000000000000000000000000000', 52, 2);
    T('-1.930299113148E+79', '-8583883.1370317498918181880351', '-19302991131480000000000000000000000000000000000000000000000000000000000000000000', 12, 4);
    T('3.9695E+48', '-99.42095165', '3969500000000000000000000000000000000000000000000', 15, 5);
    T('8391021727.90031622726377', '72514582.4521146409618971', '67130390', 89, 6);
    T('3608.098026824902', '-1354909', '512', 32, 4);
    T('-4.93985962639883322', '3.84314030324907254E+35', '384314030324907254000000000000000000', 74, 0);
    T('-9.020E+6', '2.479427867328778912690559303E+33', '2479427867328778912690559302901120', 25, 2);
    T('-7.8500987224781510645E+59', '3.173111E+41', '98054502653895341117043550759033793150976', 49, 0);
    T('2.510023178', '3786823.47550249090560472454', '2', 56, 0);
    T('-4.91977327678E+63', '-3.8265261338547047022495222E+88', '-38265261338547047022495222239465160424822838665483955999991297343437068740176328095956992', 77, 5);
    T('6.502108661390892931549318E+52', '-6.851671095508530E+98', '63430723950600792950033447149319186957357358205894656', 4, 0);
    T('-14817046.602134073252304683785', '3671.5415', '2114', 11, 4);
    T('-90650.445012467139839402836', '-5.7262E+81', '-5726200000000000000000000000000000000000000000000000000000000000000000000000000000', 19, 1);
    T('-688556247.148272794328', '8E+8', '111476736', 27, 6);
    T('332103754.74312239902885165221', '56.37', '8', 60, 3);
    T('-351352296997349345.774568', '8.77E+5', '262152', 93, 5);
    T('2040.70269977781818140292', '-477272283850605.8339219', '144', 23, 3);
    T('-31214.25685680264019461540046', '-665.59829286257882861', '-31742', 73, 4);
    T('8.0E+200', '-1.12852699232518537081426626704E+49', '800000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000', 19, 0);
    T('-166558611.549258083', '-5957014.258916453162184907', '-167772056', 58, 6);
    T('-3.41569055537094366', '5.7708463043639811E+42', '5770846304363981100000000000000000000000000', 32, 2);
    T('5.69E+95', '-7.984316746472125E+55', '568999999999999999999999999999999999999944680502634764344404529553540942839154338897669964955648', 6, 2);
    T('-7085.34756924240153', '-10834.0868', '-15358', 30, 0);
    T('-522.386', '-5.226125198756065E+90', '-5226125198756065000000000000000000000000000000000000000000000000000000000000000000000000000', 48, 2);
    T('-3.1315746922530718151E+30', '6.6911334733558697992543703839E+82', '66911334733558697992543703838999999999999999999999999563624591789210579840224198656', 74, 2);
    T('-617129395.49', '-9.5143786E+47', '-951437860000000000000000000000000000000000000000', 89, 5);
    T('-927.11671634', '-23.359025', '-927', 29, 3);
    T('-92565.09588845089917236088', '-459.3177234915185482795009', '-92639', 24, 2);
    T('5.60199899399024541112E+68', '5.81880607E+42', '196398753294472367934195572823534352728064', 68, 0);
    T('-5.12E+8', '-640.98514864409324328', '-512000000', 39, 6);
    T('8.6831359671745563E+59', '-8.435E+59', '50707219204654364354058313996546153890676957831355355365376', 26, 2);
    T('-7054.582408474', '-6.926E+9', '-6926000128', 62, 1);
    T('-51855433.41075184329', '8.85975020472399894447163194629E+61', '88597502047239989444716319462900000000000000000000000000000000', 84, 5);
    T('-3.4714149829E+97', '-426454216.3990836084', '-34714149829000000000000000000000000000000000000000000000000000000000000000000000000000000000000000', 63, 4);
    T('4.90873636734269E+78', '-7.56736908E+30', '4908736367342689999999999999999999999999999999993938928716537082332054661627904', 61, 0);
    T('4.17941434523617452407E+89', '-7.113641520365E+56', '417941434523617452406999999999999901867530838637961907229321967786064881630815935847727104', 56, 6);
    T('-27564.51395269', '5488259.17816916095555678639', '5477376', 17, 4);
    T('-56040421.7315400008940630927', '-7.581987832753462753196181', '-56040423', 99, 6);
    T('-60.2555089', '9.51410620869915731876601007E+81', '9514106208699157318766010070000000000000000000000000000000000000000000000000000000', 82, 3);
    T('1836316.26107604308241697', '-8', '1836312', 86, 1);
    T('47.5581386476267659307490942031', '-47420248.8693264304126112722', '40', 41, 0);
    T('-5.89822E+41', '-5.445535257092752402E+96', '-5445535257092752402000000000000000000000000000000000000000000664657414965410305356187554990260224', 94, 4);
    T('-9.1618022331983406957309E+39', '-1.6350E+97', '-16350000000000000000000000000000000000000000000000000000008427306408520099998991764642797098893312', 85, 0);
    T('-7.397586', '72806.1040917942693479447876194', '72800', 16, 6);
    T('-6712446.688', '8.9370141948E+15', '8937014188114304', 58, 1);
    T('-6.114005495684057314202845380E+47', '8.585077824078817722500552822E+31', '81135982880969463938837219639296', 62, 1);
    T('-4.89917486117660', '4540.12648925993179055174112', '4540', 68, 0);
    T('6.6555134678583858E+41', '-60961615.357331792', '665551346785838580000000000000000000000000', 6, 0);
    T('3.414607878644273E+74', '-279683.333586982973', '341460787864427300000000000000000000000000000000000000000000000000000000000', 97, 3);
    T('-8.8894E+81', '-29.9518231', '-8889400000000000000000000000000000000000000000000000000000000000000000000000000000', 68, 6);
    T('2.58650304698114089050E+116', '-8.59809E+25', '258650304698114089050000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000', 34, 0);
    T('-4.04869680425887127374826E+32', '-1.59703677583E+76', '-15970367758300000000000000000000000000000000024415942170927464085125595136000', 14, 1);
    T('-8843.897547', '2.5406492E+22', '25406492000000000000000', 23, 3);
    T('-8.9855312301226171768919818E+77', '-3.26258980647181', '-898553123012261717689198180000000000000000000000000000000000000000000000000000', 49, 6);
    T('-7134307.28315262252022', '5.84177204183593696099654E+97', '58417720418359369609965400000000000000000000000000000000000000000000000000000000000000000000000000', 15, 5);
    T('1.480766736137853099955E+64', '-2.6077040897603E+149', '13891175974565995062708861170931962306557912567638139609586597888', 76, 1);
    T('1.26966587796E+19', '-283.7', '12696658779600000000', 61, 4);
    T('673491.03116236874119413905', '5390.25850244696046790924061789', '1026', 19, 4);
    T('-291309.5426', '6184993.55080664261993069', '5898241', 88, 4);
    T('306779133.2511', '9.4536151944340470699377444540E+32', '38339520', 27, 6);
    T('-6.9511758145695468749045E+39', '869432.4150656499828104030927', '786432', 39, 3);
    T('4.933882432392699E+96', '-65.263174327037126', '4933882432392699000000000000000000000000000000000000000000000000000000000000000000000000000000000', 22, 4);
    T('-3.865097E+84', '-9.2682E+34', '-3865097000000000000000000000000000000000000000000003926017103419251670988957333585920', 65, 0);
    T('-980.8', '-9.053546672048017044475979972E+88', '-90535466720480170444759799720000000000000000000000000000000000000000000000000000000000000', 32, 0);
    T('3.1E+5', '1.56072951048316905880337E+25', '4768', 81, 1);
    T('-66607.014369279186199700', '-4.5277270E+199', '-45277270000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000', 32, 2);
    T('-8.34903E+25', '-1.2653E+20', '-83490387663926363828518912', 50, 4);
    T('-287811.3895752299420', '9427696.06519453', '9149104', 95, 6);
    T('651806293.1883734', '1204810.23398897166383', '1065536', 75, 6);
    T('-161.51952294563042270483', '2.1109766E+48', '2110976600000000000000000000000000000000000000000', 20, 2);
    T('9.75167611089E+21', '-89045073.904', '9751676110889915843584', 23, 0);
    T('-66718914.3363554410970534043', '-42158005450.435749532903', '-42211089610', 9, 1);
    T('6.44416310847741483837477627E+71', '-9.7433445085993986E+56', '644416310847741417555285562168073805731839059016526304458339258281754624', 18, 2);
    T('-2.168072320E+71', '6.9E+68', '431800556485827871658580760742044739111796576792658994892923016839168', 66, 3);
    T('616205.5907736127950402070217', '7.7331E+6', '91916', 88, 0);
    T('-1.004494445127', '6.74890016339449E+56', '674890016339449000000000000000000000000000000000000000000', 76, 6);
    T('-5.3520195876651898219056064E+95', '-8.059085879844', '-535201958766518982190560640000000000000000000000000000000000000000000000000000000000000000000000', 69, 1);
    T('-72907404', '-5275.6260317765601808172493', '-72908444', 90, 0);
    T('-44.366272121370', '255739381.1080094', '255739348', 70, 5);
    T('-254', '-445874493471162.3742947166017', '-445874493471230', 75, 6);
    T('9.997456858434346053824373595E+79', '2.746145E+39', '23344744153297154032953966811353710592', 21, 1);
    T('4.2782037030433917044795E+95', '-8.09342229105198842513231792E+66', '427820370304339170447949999998653970781526711133315161391523953092964356333237617329483246731264', 42, 6);
    T('8.7E+46', '-5.2217E+7', '87000000000000000000000000000000000000000000000', 22, 0);
    T('773020.0417647546', '-441851.9094', '606724', 86, 5);
    T('-38417.6370446549307145710368235', '3.68E+19', '36800000000000000000', 87, 3);
    T('5.955938488071366234277086551E+29', '-36089.0380791210692170377', '595593848807136623427708653828', 21, 6);
    T('8.41941202815355791E+52', '-9.894867978659996971E+73', '71837282975228552610605933399368880373680828653240320', 18, 5);
    T('-1.2310013643895759681876E+46', '-1.4055217E+9', '-12310013643895759681876000000000000000000000000', 55, 6);
    T('-757.702', '3.28719388367981741166407E+98', '328719388367981741166407000000000000000000000000000000000000000000000000000000000000000000000000000', 58, 0);
    T('34020.471813820102077', '478820781.5003354', '164', 87, 5);
    T('4.921855101576420E+32', '6.6059902668232715192161E+90', '5407671508939341531548026404864', 54, 6);
    T('-3705778433.72185320693874371611', '7.90169604066735', '7', 53, 2);
    T('5.0575013813096966606573893562E+92', '1.059085E+60', '807987112564570776206309062933218572455902528105369001000960', 53, 6);
    T('4646260.00477914094421983955', '980.887576841214', '340', 17, 2);
    T('-92265836', '-2.4583579E+95', '-245835790000000000000000000000000000000000000000000000000000000000000000000000000000000000000000', 36, 6);
    T('-8.65E+31', '-8.718897086801714423834777E+81', '-8718897086801714423834777000000000000000000000000086341366680545952999927760027648', 28, 5);
    T('583303573288.934994', '-2.830511002E+41', '25769803776', 61, 6);
    T('-5.013736827625688434516004E+96', '-8.731E+34', '-5013736827625688434516004000000000000000000000000000000000000083411647585704112802011254246866944', 84, 3);
    T('8.3322568645421033442798E+44', '-7916637.775223833', '833225686454210334427980000000000000000000000', 42, 6);
    T('78756579.812', '1.52918319298604118E+23', '1114240', 37, 6);
    T('738211.52210361363198043', '-83104664.41127967172116866699', '737312', 65, 5);
    T('-1.6104864E+73', '2.21621030767517225628674438E+190', '22162103076751722562867443799999999999999999999999999999999999999999999999999999999999999999999999999999999999999999983898158252327893577539386099440674581303348194190418023444425538355068928', 33, 0);
    T('-5.81954177064E+88', '-3.14726302537902127272E+97', '-31472630301533312935783777359033250679014060380408421590136049192382534146077385046249444969807872', 46, 2);
    T('-7234545.809883331580230935', '-910.15894816062666530', '-7234558', 8, 4);
    T('3.0465467541754E+31', '-1.80E+11', '30465467541753999999965631873024', 43, 0);
    T('7.461E+9', '19131134', '2212416', 47, 4);
    T('5703624641.17385414734004337246', '-616.59537119570396503766671', '5703624064', 76, 5);
    T('9.90157987841236757365183560702E+38', '-7E+4', '990157987841236757365183560702000000000', 32, 2);
    T('-5.6679002926055E+81', '2.0459729929284495685710E+25', '19949637206882816205258752', 8, 0);
    T('-8.995204497386704246628E+63', '4.9536707421E+98', '495367074209999999999999999999999993184762320409260764532530372802360739470471658008994116156784640', 17, 2);
    T('-4.569E+9', '-3.67676229385368291275229E+195', '-3676762293853682912752290000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000', 71, 2);
    T('-5.69007E+7', '9.413928027125889657E+77', '941392802712588965700000000000000000000000000000000000000000000000000000000000', 27, 6);
    T('-9205182174.18552644611842716', '-777083760.3710668379', '-9378201600', 72, 3);
    T('2.413374E+87', '4.8779588312346587457E+38', '385694226166989052798958502891042635776', 67, 2);
    T('1.1324131928834499E+164', '-2.53E+9', '113241319288344990000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000', 91, 2);
    T('-7024003.072', '60131488.3241754852491060', '60063776', 47, 1);
    T('-5006.4154646546641644260', '8753742774.501901585482', '8753741874', 54, 2);
    T('-9.52E+5', '-4.44457162301027471E+58', '-44445716230102747100000000000000000000000000000000000000000', 70, 4);
    T('8.3913748838978955E+38', '-1.6215681005E+84', '731116944544509418125072431735717756928', 33, 1);
    T('7.071238406325559594566E+125', '-51.4793619420375655792437867', '707123840632555959456600000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000', 41, 3);
    T('-42.02', '2.456472E+9', '2456472000', 45, 3);
    T('-44307.706', '6.384208083234036287489875E+66', '6384208083234036287489875000000000000000000000000000000000000000000', 17, 2);
    T('-1.768539493599487701656122639E+38', '-4.05458E+33', '-176854010734075812731758024689136435200', 26, 6);
    T('8.3151829E+32', '-6.8970055493018640176430729968E+55', '2697471877506653711350953410560', 39, 3);
    T('-49993.84676974093503090', '8.3862953546525060596405E+59', '838629535465250605964050000000000000000000000000000000000000', 100, 5);
    T('-1E+69', '2.15E+62', '205702220801488980525507231207232755618602653212310032940531712', 4, 3);
    T('408086630544329811403922.973', '-8854060.6017873547575004', '408086630544329811207312', 17, 1);
    T('-545671.371598464799499565781', '5.78199959852444283995E+73', '57819995985244428399500000000000000000000000000000000000000000000000000000', 34, 6);
    T('3.655078959E+48', '5.639749724558284409E+63', '758268978462103030155084005415342859282808832', 88, 2);
    T('977', '-9E+9', '512', 6, 0);
    T('65004.9519335989042914', '-3410890457', '61732', 25, 5);
    T('8067200.413759', '-3.99E+9', '2689152', 22, 3);
    T('-9936.602963549530137', '-725108931.824550916078294346108', '-725118672', 72, 3);
    T('6.672318E+8', '-1.89391340708852106084E+22', '88089648', 66, 6);
    T('-79997589.0211671505984900203905', '-6.99083801239247425E+97', '-69908380123924742500000000000000000000000000000000000000000000000000000000000000000000000000000000', 34, 3);
    T('-587321.04522228488', '-546.4150', '-587322', 96, 5);
    T('3.32974363849468685243202049E+64', '-4.5449170590037807026E+192', '6712246905913824363332924384386378802663738327348821060864704512', 54, 5);
    T('-2.5E+10', '6.540766614467498044719E+65', '654076661446749804471900000000000000000000000000000000000000000000', 35, 2);
    T('-7.3398561824360E+84', '-6.51E+7', '-7339856182436000000000000000000000000000000000000000000000000000000000000000000000000', 81, 1);
    T('-2.401213241E+23', '215318.2915541539', '212992', 28, 5);
    T('-8276652.13485127566944581661', '-8495.54063521722412174374', '-8285104', 70, 0);
    T('-4686', '-3998317.0741826957020273553', '-4002414', 28, 1);
    T('1.339771126520736404077794E+25', '8.287626E+8', '289530048', 58, 3);
    T('-5.20166531355446732206E+82', '8.730453771018946444288054938E+90', '8730453753159116686390451117829936867280194864748050646493682906645316847927809032232894464', 12, 1);
    T('-5.0464997706E+31', '5.504546903267832061E+191', '550454690326783206100000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000', 48, 4);
    T('-2.0248818957692E+153', '-74310930601552114.310457', '-2024881895769200000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000', 64, 1);
    T('8E+121', '6.374E+92', '554364348126072936610314446496839819521182521986745802094420972785429489114031302391682301952', 92, 1);
    T('7.38E+88', '-4.1652649065896417E+20', '73800000000000000000000000000000000000000000000000000000000000000000000000000000000000000', 46, 1);
    T('1.68781E+8', '-8.08952597894960550434029E+36', '33644544', 73, 2);
    T('-7.722784272772593E+30', '2.2E+9', '2149646336', 41, 3);
    T('-1.7E+44', '-328.02247191', '-170000000000000000000000000000000000000000000', 70, 4);
    T('-7.05E+5', '292813.18270566897988804498', '275976', 80, 2);
    T('7.323555280067894531373218210E+79', '1.1654679252820842E+93', '67652046293600589855157945584615039110635156733315468143501995844327399615365120', 70, 5);
    T('8E+60', '1.29282057420619108273E+43', '2914997347480153850677234839303430864896', 21, 1);
    T('46561', '-1.607E+5', '33856', 74, 2);
    T('-494758872.94522', '66728322.4092681611709395575', '42078208', 24, 6);
    T('-6.549262228889112931', '-4.836435E+44', '-483643500000000000000000000000000000000000000', 1, 0);
    T('-8.352431E+81', '7.290589184295E+60', '810656814227314403030142887636394446204247376560482586460160', 91, 4);
    T('3.4313153064E+29', '2.0944E+41', '341831300809000554035656261632', 39, 0);
    T('-2.22051643796408470E+49', '-970094935153968511117.946', '-22205164379640847000000000000083460851402740334592', 31, 5);
    T('-5.863909100959E+98', '-7.837097387135448978925E+136', '-78370973871354489789250000000000000000001079226723139437953525917831829085605526715950730492130125082729421456237696391993434961543692288', 94, 6);
    T('-59631981', '5.04755622681690553028387987436E+44', '504755622681690553028387987435999999999213568', 37, 4);
    T('7585678772.174777412581663', '5923395.0872107', '16384', 69, 2);
    T('-5905136246.6', '-4860298224801', '-4861902552822', 10, 2);
    T('639786766.6751727193309', '531970.14085370507', '7682', 53, 1);
    T('-44035493', '80278451559582.276784149100749', '80278441693210', 67, 1);
    T('-271.5387717838325223706199893', '-6.4943249224636782443991465190E+86', '-649432492246367824439914651900000000000000000000000000000000000000000000000000000000000', 8, 0);
    T('-2.75243589929195E+77', '-2231010.320948149612466136883', '-275243589929195000000000000000000000000000000000000000000000000000000000000000', 45, 0);
    T('8.8643127059748828760724E+56', '-7.6873316E+8', '886431270597488287607240000000000000000000000000000000000', 10, 4);
    T('4.40992E+6', '7933.585443090128285516041', '2624', 29, 3);
    T('-717.76460951706746', '-4.86849668695068458E+74', '-486849668695068458000000000000000000000000000000000000000000000000000000000', 67, 6);
    T('518389.771314728982813653', '1.0831642E+9', '507936', 45, 0);
    T('-1.639E+4', '-3.47736534762192626', '-16392', 30, 6);
    T('-4.2605142833082E+25', '-17872422003053.8915', '-42605142833082004647313408', 57, 5);
    T('5826038.06470182625107614', '-617.29381550069604102', '5825942', 5, 0);
    T('-2.197787606049694504E+89', '1.3663067E+65', '136578796017413825724044686707324490414622333987168291130248790016', 49, 5);
    T('2.5644062930484E+94', '5.045583373068493E+55', '1200466301668628485195640313565505315126546241584889856', 32, 5);
    T('6693014747.68228282554468', '3882.775551094385908926119939', '3082', 30, 1);
    T('71.5240356000165799617538357092', '72284077.6', '5', 62, 5);
    T('794.2411777582', '-5.31119E+8', '8', 24, 3);
    T('-9.50057752E+9', '-213.220904921243975788219', '-9500577536', 82, 0);
    T('-5.06574099E+12', '9.573857622503E+27', '9573857622502999440554229760', 80, 4);
    T('-747.152371291514454082754455', '-1.32401331582269903359E+91', '-13240133158226990335900000000000000000000000000000000000000000000000000000000000000000000000', 35, 2);
    T('7047369560.313300675334341787', '810233688.28034536826478496', '537527128', 31, 6);
    T('7E+1', '1.9442245986211222630421243057E+29', '66', 33, 6);
    T('307466.206079193857', '3.382068705768960796E+27', '266240', 92, 2);
    T('7.289876792575006273', '-28.90366007', '4', 54, 6);
    T('3.3335925774577004628555E+193', '-6.99245837169105833946E+34', '33335925774577004628555000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000', 3, 5);
    T('8.100365E+29', '-5.5E+85', '802513973279861597270152577024', 51, 2);
    T('83140087974', '6726057819.37', '4571860994', 50, 5);
    T('-6.2071668190110935161434798373', '80.993018646', '80', 17, 1);
    T('6.603097734859110755677974E+113', '-6.260513148533273E+66', '660309773485911075567797399999999999999999999993983183460365791805311443010836604151154308310133440814558702731264', 73, 0);
    T('8.20519512298581417E+84', '-1.35836413492519220598872E+33', '8205195122985814169999999999999999999999999999999998694884018309344980730035465879552', 43, 6);
    T('-8525581.55066656793164546849768', '-9.2533880E+185', '-925338800000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000', 11, 4);
    T('5.0497867903360E+157', '-4E+58', '50497867903359999999999999999999999999999999999999999999999999999999999999999999999999999999999999960737263603595305898180647975556458624161348575540319092736', 60, 3);
    T('-4.22E+4', '-700615.190305838972756239928077', '-701656', 7, 5);
    T('3E+8', '743.874864742848252848436', '512', 23, 4);
    T('3.766523812190662E+43', '-20.404', '37665238121906620000000000000000000000000000', 7, 6);
    T('-9429667477261.921', '312737057', '268503073', 33, 3);
    T('3366517712.237323068112107678', '-41288989.98566480939137333', '3364420288', 50, 0);
    T('45.3017595', '-9.470942E+7', '4', 41, 6);
    T('-4555846.01189077683122376', '2914050.16641755111', '2650882', 34, 2);
    T('7.1174679775136588092810477E+53', '-92587638', '711746797751365880928104770000000000000000000000000000', 19, 3);
    T('-2373633.412245396215139', '1966.3206', '1966', 73, 1);
    T('2.029256273E+73', '-7.180328595625E+39', '20292562729999999999999999999999998625741808798316657125714671481326141440', 60, 3);
    T('9.25355394761117372343E+22', '6.9441716E+78', '85002596691653613846528', 98, 4);
    T('-5836556923.845409326375667', '8E+58', '80000000000000000000000000000000000000000000000000000000000', 68, 6);
    T('34143.9', '8.40', '8', 6, 0);
    T('3.9365997763143337E+97', '-6.49123122E+9', '39365997763143337000000000000000000000000000000000000000000000000000000000000000000000000000000000', 9, 0);
    T('3E+9', '3.2964466530161281E+30', '34619392', 64, 3);
    T('8.34499310926142165E+71', '-345226.461474767', '834499310926142165000000000000000000000000000000000000000000000000000000', 32, 4);
    T('-5E+7', '4.006512385015E+89', '400651238501500000000000000000000000000000000000000000000000000000000000000000000000000000', 13, 6);
    T('-3.0177536302857E+59', '-10.85090912212314169681891571', '-301775363028570000000000000000000000000000000000000000000000', 50, 3);
    T('3.631268E+76', '-18.39', '36312680000000000000000000000000000000000000000000000000000000000000000000000', 29, 6);
    T('-9.95752316521765263E+76', '-1.962106', '-99575231652176526300000000000000000000000000000000000000000000000000000000000', 1, 5);
    T('-3.292696374272264351621571964E+42', '3.6124069984599625036133E+23', '19415558714209972387840', 34, 5);
    T('-7830', '2.84E+3', '264', 16, 2);
    T('-9.88399328577115', '686.13571081493897982228020', '678', 1, 0);
    T('3.405601549E+40', '7.092537539991E+47', '23160800915102415914026820971372046450688', 80, 1);
    T('-8864.67294228082335290984', '3.004661E+28', '30046610000000000000000000000', 33, 0);
    T('-56.703653', '-8115.837806409681343', '-8120', 100, 0);
    T('6.8268699408971924692E+76', '-915113433.9762473', '68268699408971924692000000000000000000000000000000000000000000000000000000000', 74, 3);
    T('2.03193E+171', '-2.6764835452192998571149885E+76', '2031929999999999999999999999999999999999999999999999999999999999999999999999999999999999999999977376737180137944734804525684644078940264315293116988702650361877472177291264', 97, 4);
    T('3596164023.8377146', '-65.524', '3596164023', 83, 4);
    T('-1.6E+7', '9.2217E+89', '922170000000000000000000000000000000000000000000000000000000000000000000000000000000000000', 57, 6);
    T('-4485.72430', '643.86975580704159208', '515', 34, 3);
    T('-9.313080E+22', '1.98426902140979699744281E+90', '1984269021409796997442809999999999999999999999999999999999999999999992178580512747150114816', 45, 0);
    T('3.178932990674973E+31', '-1.50926438E+62', '10222991514176875863652635246592', 99, 2);
    T('-5.959594097090616428672E+52', '-6768402726.88803425', '-59595940970906164286720000000000000000000000000000000', 85, 0);
    T('-8.608734917834E+72', '-2919940.46616170410', '-8608734917834000000000000000000000000000000000000000000000000000000000000', 32, 2);
    T('-7559', '-2594505.014227170540703587', '-2596815', 75, 1);
    T('5940.893', '7.408833743E+16', '4352', 13, 3);
    T('-8.046154885642286470943E+95', '-7.2966445336594E+117', '-7296644533659400000000269086365237433613672372862855816429289191687043364625210121980720438638330332295549660809920512', 53, 2);
    T('1.36749836150219790253887E+45', '-66802.250', '1367498361502197902538870000000000000000000000', 98, 1);
    T('2E+92', '3.5046515433492043140986973766E+96', '4349031054754588039533486464444511737624269723674364735246833228630253284272631974910230528', 63, 5);
    T('-16739517.99132888', '-1.04340104784455747399345512', '-16739517', 97, 6);
    T('-9.548604219651053811E+54', '-7.79239021E+18', '-9548604219651053811000000000000000004899918112566018048', 96, 4);
    T('-1906100282.686324146420759', '-9.5870715', '-1906100282', 37, 0);
    T('-3109206184.57285621641182', '13.7949339779332630425044', '8', 50, 0);
    T('1.6232156E+48', '-51330729442239.9530462235445', '1623215599999999999999999999999999991203906977792', 59, 2);
    T('-1780155854', '-2.77507769316539868084963777360', '-1780155854', 36, 4);
    T('47222325292700717.0996127', '-323969015926969904338050075.24', '45181631643910181', 23, 1);
    T('-9.56385087062895126E+51', '2.06988173003510338E+21', '886596639516566487040', 28, 6);
    T('-6.45358200', '-6.6315E+5', '-663150', 10, 0);
    T('6.936395404822472E+75', '4.55884565128932996012357E+94', '3656959874103169350079424398843758720232122332044486656302367820035144024064', 57, 1);
    T('42333.5', '-13.79709174432621431432703312', '42321', 1, 1);
    T('3819107541.97301617', '-88377073.2087044830190', '3802296325', 69, 5);
    T('-6.997883665231584320846477847E+28', '-546.742758', '-69978836652315843208464778982', 46, 0);
    T('-8.9140128438369113897E+30', '-653.490860254523418607636', '-8914012843836911389700000000000', 32, 1);
    T('5.4347496062113E+22', '5281907.6', '1050624', 6, 5);
    T('-7.67532824330E+83', '-4.0071166836494E+57', '-767532824330000000000000004006733548071991998652672011162579678200893650662357729280', 92, 3);
    T('6.663016558119813364E+130', '-6402.440421761', '66630165581198133640000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000', 45, 0);
    T('57339.9613782206770859635', '-13619399609562898460339652', '37432', 66, 4);
    T('-2543813.509486632735', '-8188759.4282630', '-8319959', 7, 5);
    T('8.0044E+78', '-206737143.477192037065987014', '8004400000000000000000000000000000000000000000000000000000000000000000000000000', 4, 5);
    T('-55062.0822448760798025', '-9.8E+73', '-98000000000000000000000000000000000000000000000000000000000000000000000000', 79, 0);
    T('5.43406207392252069172744338E+113', '1.63637056831547211571194342541E+36', '249879286316988579623030135843717120', 73, 3);
    T('-7.7863103519107866216678E+73', '4.47097505116810155E+66', '4225659788884772638819343207256444922912684199463800505887478513664', 18, 6);
    T('-2.67406E+8', '4.69E+56', '469000000000000000000000000000000000000000000000000000000', 53, 4);
    T('-1.6276261625826751', '-25.0777', '-25', 18, 6);
    T('-878.9', '-2.71155203542556519753E+81', '-2711552035425565197530000000000000000000000000000000000000000000000000000000000000', 49, 0);
    T('6.3752492572492307E+71', '-4.5678107166547E+80', '609512693651477534357557951055676656467318248795383789811018570559127552', 27, 3);
    T('-29897.05778417148257848060677', '2.3514108266451906424036E+174', '2351410826645190642403600000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000', 39, 2);
    T('-7.32525909692E+80', '2.98232630E+39', '2725587259204851038484936965621163229184', 70, 5);
    T('-1275428.61349705', '9.732036E+67', '97320360000000000000000000000000000000000000000000000000000000000000', 80, 2);
    T('-1.0467E+70', '6.8429227954641296239E+35', '682992457282467474706106974843437056', 1, 1);
    T('-14695.05555891942885046049217', '-9344.4', '-15744', 67, 4);
    T('-1.5286607539843496777527E+50', '-5922697.780927', '-152866075398434967775270000000000000000000000000000', 93, 1);
    T('4.2694770687363833886362E+73', '8.657240024286966548E+39', '5806282141377633362409360287964854222848', 41, 1);
    T('-571761803.518', '5.908889E+125', '590888900000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000', 19, 1);
    T('-2.9664509373', '-5678738.3424833296', '-5678738', 35, 2);
    T('-916766822', '-9948660.1940678390774943', '-918015480', 34, 2);
    T('-1542475.846', '7.192755950936E+88', '71927559509360000000000000000000000000000000000000000000000000000000000000000000000000000', 14, 1);
    T('8.56E+91', '-6.3775445492014', '85600000000000000000000000000000000000000000000000000000000000000000000000000000000000000000', 26, 3);
    T('88.3084807492729393', '-3114535006245365808.6034', '80', 89, 1);
    T('-738.94092743244495880211599107', '1.674523526899347999748E+118', '16745235268993479997480000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000', 54, 5);
    T('-7E+61', '-1.05142406922624368523033E+87', '-1051424069226243685230330005631361791545214798216794542191464252464545093977476742250496', 95, 1);
    T('5.45741461', '-32825.21155552765803944', '5', 49, 3);
    T('-5.495585628997210854169999789E+128', '-7E+32', '-549558562899721085416999978900000000000000000000000000000000000000000000000000000000000000000000010141204801825835211973625643008', 74, 1);
    T('-190.29', '128222.825712945622', '128066', 81, 6);
    T('-3.379495275422158934364180025E+71', '-9.1954359936607871815E+88', '-91954359936607872042330904873913560533904631776799666000712386767541763825257107179962368', 1, 2);
    T('9.5434487852633406991368573578E+43', '4.268054422784143501971474673E+43', '5706110729560002681501435963614313907814400', 66, 5);
    T('1897203.580282742233', '-7.9443819579E+27', '1048576', 29, 4);
    T('-540087.3785705432286263847741', '2431215216.9637952458331736087', '2430681664', 53, 1);
    T('83526230.5966', '8418.02376120577075914452', '66', 33, 2);
    T('-79.7294510118167767', '1.738103333835028584633170255E+60', '1738103333835028584633170255000000000000000000000000000000000', 90, 6);
    T('8.66', '-8.4816092691558817', '8', 2, 3);
    T('-1E+1', '8.866683E+8', '886668292', 4, 4);
    T('-460.2129349641', '-2715434474.253144000113715', '-2715434476', 14, 5);
    T('-1.86577184', '6.6249261650E+37', '66249261650000000000000000000000000000', 65, 0);
    T('-3.093526430225979413704466E+197', '-6.53040746999850061876E+29', '-309352643022597941370446600000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000', 8, 3);
    T('8.545574121289764E+46', '-1E+3', '85455741212897640000000000000000000000000000000', 53, 5);
    T('-9.4493908544426E+27', '3.18852036820090089E+42', '3188520368200897785477019343721788153528320', 28, 6);
    T('8.1E+89', '7.2E+67', '54991123229654199483206150265050878093867926044439252663452836036608', 85, 1);
    T('644564.9199123532446437', '-3.738640632172764901550268E+34', '36864', 61, 2);
    T('1.7988131796E+157', '-38608967.9751106548073426181', '17988131796000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000', 40, 6);
    T('74187132.95933980989593', '9.97922524971079142150032902853E+44', '71303168', 7, 0);
    T('-27.283260682177183', '-2671.754127179925105992659', '-2687', 4, 0);
    T('991.53791151628271', '4218861.856099003957519230689', '973', 77, 6);
    T('-7926461.2177045', '9.9803132279628E+77', '998031322796280000000000000000000000000000000000000000000000000000000000000000', 93, 4);
    T('-89910.22341743707861882', '-6.37609759212370556317359115322E+181', '-63760975921237055631735911532200000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000', 50, 4);
    T('4.9977945132683599453362419E+38', '7.698393202403198307928323E+28', '9937394518347452329104506880', 8, 6);
    T('-8.8809421358140025171572E+33', '-209.0382580090785', '-8880942135814002517157200000000000', 12, 2);
    T('-3.37738014453531483599046E+37', '519853046.886150941', '74448896', 85, 0);
    T('-6.70234810764983211825142E+159', '-408.379941320146686982526792307', '-6702348107649832118251420000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000', 51, 5);
    T('-7923432268.651672886', '-49.94420007184452859', '-7923432316', 53, 1);
    T('11815.63010097597571', '4.58180192523741511768581', '4', 73, 0);
    T('-54.5', '46087540.5063090454798184', '46087488', 34, 0);
    T('328258695.0515', '402656.52080967757330', '1152', 18, 1);
    T('9.3395254027717E+40', '9.911496043170907083337882E+32', '661238582921800822882630652395520', 81, 6);
    T('-5.4731606433', '-7530909.80563523630577747', '-7530909', 62, 0);
    T('7.3904E+9', '-3.636E+4', '7390363648', 84, 4);
    T('-1.4246821E+77', '-566684467.85236438183', '-142468210000000000000000000000000000000000000000000000000000000000000000000000', 49, 4);
    T('4.346533362327697726635223E+65', '8.4166202906981220358166893759E+44', '804965204175515275992359987685663476614692864', 76, 4);
    T('-683723667.3478439390623772034', '242702.729494366020523', '209932', 58, 2);
    T('3.11747021475789E+27', '-1.845124957416029046E+52', '3114212655721193393209999360', 2, 6);
    T('2.138509155400568E+153', '-1689066.861', '2138509155400568000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000', 79, 1);
    T('-656.630359303188', '-9.7796853270791703849E+98', '-977968532707917038490000000000000000000000000000000000000000000000000000000000000000000000000000000', 40, 1);
    T('5916977298.10756', '1.70615769311775477903E+50', '5368709120', 87, 0);
    T('-6702323.346', '5E+5', '106752', 4, 6);
    T('-8.1962415841538195E+68', '9.4814E+98', '948139999999999999999999999999885205331932065284039144043483578158312282196219788604052354392653824', 55, 6);
    T('385723184.23161581268033', '-2.0460817513185082354375178807E+36', '347121920', 84, 3);
    T('-75.849169083934425259', '-5.198738', '-79', 91, 3);
    T('-4.3167957162897859977120894444E+80', '-4.591467564617E+63', '-431679571628978603885008430984677403225630738003912925147387107897225135320465408', 1, 0);
    T('-8.794677287E+83', '4.4939772400E+62', '7439542517525509803309986979807608920984398778701290586243072', 11, 5);
    T('-2981749973.4', '7.7984552018678401834711771E+30', '7798455201867840183470611892768', 41, 1);
    T('-4.6983235E+78', '1.31E+62', '128583315831102196956345404857189066954094058948602812006662144', 95, 6);
    T('6.823758644', '-327588244417096369380235.236', '4', 46, 2);
    T('478571774.47129105106115', '-983.6', '478571560', 94, 4);
    T('94354600.59756759348880', '-1309.8088990', '94353568', 21, 5);
    T('7.0E+38', '-93528.90846541', '700000000000000000000000000000000000000', 80, 5);
    T('-44822.191731099671871198374618', '8.742769E+13', '87427689955456', 66, 4);
    T('-9.7E+78', '-2.14E+9', '-9700000000000000000000000000000000000000000000000000000000000000000000000000000', 12, 6);
    T('7.4045301972596095138E+43', '11775484408376.7', '92878667776', 24, 2);
    T('1087236.7372', '-943182.880501510954130614622', '1086208', 19, 6);
    T('-3.587059', '5.7300541848934E+54', '5730054184893400000000000000000000000000000000000000000', 52, 1);
    T('-4.9E+61', '-22317472781375.86', '-49000000000000000000000000000000000000000000000000000000000000', 96, 5);
    T('-6E+50', '-20631997.767397909', '-600000000000000000000000000000000000000000000000000', 54, 5);
    T('5662.70973265578222255703786', '-41.9211', '5654', 77, 5);
    T('963592243.403607669268', '31.7517745702693321793', '19', 68, 3);
    T('351174380330731694966932', '-7.0169301761012986437E+20', '351100485231757299976196', 21, 0);
    T('6.1E+8', '-568942.0710754878', '609439872', 91, 1);
    T('290591738.949624910680004456802', '-6.9779755998431E+23', '1048576', 24, 4);
    T('878888.531522', '-2122.29514999898313231936048', '876832', 98, 4);
    T('3.3473979126E+87', '5.972443986960191098E+30', '158458440648713000788143636480', 12, 3);
    T('3.9821072013166260261E+48', '-771.04204741163456419933', '3982107201316626026100000000000000000000000000000', 59, 3);
    T('-1.553937013948156162442E+29', '-1.229666E+59', '-122966600000000000000000000000060050367922669850646420652032', 19, 4);
    T('-9.95532E+20', '-8.698738123801945298600210910E+56', '-869873812380194529860021091000000000596495020880778231808', 86, 3);
    T('9637260177534420338459.5640', '7.51E+21', '37905120277638414336', 61, 6);
    T('-7.363501449743161952710597041E+93', '-1.2758877289525061E+47', '-7363501449743161952710597041000000000000000000022841799734059022333027764765150245545786212352', 23, 2);
    T('-267016.538467632664186977595', '-35852909.7300306178868367109111', '-36115312', 28, 3);
    T('4.662721634E+24', '-8E+7', '4662721633999999987154944', 46, 4);
    T('1.39E+58', '-5.091262945448E+98', '12713800466980927514503634097901821924706214048477191602176', 99, 6);
    T('-54961.0504965', '9.015543666934E+57', '9015543666934000000000000000000000000000000000000000000000', 69, 6);
    T('3.167667038320613546E+35', '-5.16435E+69', '186922747044140045767420318404575232', 81, 2);
    T('1.92316403827030550387921E+43', '8.7265285196261E+54', '720080196344560606426244236210640118611968', 7, 1);
    T('-2.935160679144030161E+94', '-2.1981535146465842E+66', '-29351606791440301610000000000002471533976553679935856156301643055581576964739240052125698359296', 91, 5);
    T('-2296', '2.461331531340939339304018885E+40', '24613315313409393393040188850000000000000', 44, 5);
    T('-6.87378897274089673431445', '-1.169498E+58', '-11694980000000000000000000000000000000000000000000000000000', 19, 5);
    T('-525.03478040793409102334703', '-7.34018070015E+77', '-734018070015000000000000000000000000000000000000000000000000000000000000000000', 86, 1);
    T('2567402258.96690', '-959165385.5', '2147762194', 13, 5);
    T('4.103E+38', '-61.2685481590816357509', '410300000000000000000000000000000000000', 65, 4);
    T('-2.137E+10', '-2.2665803084451268E+86', '-226658030844512680000000000000000000000000000000000000000000000000000000000000000000000', 76, 2);
    T('2.75110018332739724573828585441E+93', '-8948704632.69413248504', '2751100183327397245738285854410000000000000000000000000000000000000000000000000000000000000000', 94, 2);
    T('-5.24269900813054652E+51', '3005002342010.84055992478721', '2817498546176', 54, 3);
    T('-78692.11087962781789876', '-77794205.3619465656845473259388', '-77806592', 11, 6);
    T('-85474.0', '-3425638.86742972856607620246274', '-3493350', 17, 3);
    T('-8489309.80165', '-4.0E+88', '-40000000000000000000000000000000000000000000000000000000000000000000000000000000000000000', 92, 0);
    T('-865275.9909442736822184712', '-1.8077254440890836229759242955E+80', '-180772544408908362297592429550000000000000000000000000000000000000000000000000000', 84, 5);
    T('6.8618E+86', '-601.5209788', '686180000000000000000000000000000000000000000000000000000000000000000000000000000000000', 56, 2);
    T('-87146514.172223412', '1.419380E+90', '1419380000000000000000000000000000000000000000000000000000000000000000000000000000000000000', 30, 2);
    T('-54244.5898327041', '6.17E+9', '6169962496', 92, 2);
    T('-2.07631893871790474645', '5.45442173E+73', '54544217300000000000000000000000000000000000000000000000000000000000000000', 25, 3);
    T('-4.20797468630272', '-8.93351478963619095993913536014E+144', '-8933514789636190959939135360140000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000', 55, 2);
    T('989830283.81', '573', '9', 55, 0);
    T('8.04895E+39', '-73.7', '8048950000000000000000000000000000000000', 14, 3);
    T('-4.197352E+8', '-2.1E+72', '-2100000000000000000000000000000000000000000000000000000000000000000000000', 86, 2);
    T('-1.670617092336409085785064E+76', '-8282826359.56', '-16706170923364090857850640000000000000000000000000000000000000000000000000000', 97, 3);
    T('5.5880047595895300E+80', '-2738927.301873', '558800475958953000000000000000000000000000000000000000000000000000000000000000000', 56, 4);
    T('-5.21874987498752307E+59', '-6.2088570213458487318314E+82', '-62088570213458487318314515559091239290943888623255601786151116578915545425266081792', 28, 6);
    T('-8.286062097532726451', '2.1602860255065028837E+59', '216028602550650288370000000000000000000000000000000000000000', 51, 4);
    T('-8485.1710', '3.00E+6', '3000000', 70, 6);
    T('-2373975.91141', '5.197895299026E+91', '51978952990260000000000000000000000000000000000000000000000000000000000000000000000000000000', 85, 0);
    T('7.61493746361788904E+23', '-9.40627828396907505212366934E+86', '609196805505230301036544', 79, 1);
    T('-319219721.563791810079', '-76.96765326', '-319219788', 39, 4);
    T('45741.991873832', '-7602020538.8996', '4612', 59, 3);
    T('-4.4694467826962642605813268E+85', '-2.4145E+73', '-44694467826978601169024133259481506298807863203506223504476862228742679068994441314304', 56, 2);
    T('-33562301.79104578728384', '86.962950025630871735924063', '66', 9, 0);
    T('-751160477.7703465', '-97019.29770361', '-751173375', 37, 4);
    T('-7.401620E+30', '3462690324669136379.2', '2309293826457468928', 82, 0);
    T('-5.535248676849035431951E+87', '-873762.289011948587925779', '-5535248676849035431951000000000000000000000000000000000000000000000000000000000000000000', 66, 4);
    T('-984250497.10', '-5.870627113748087332245E+95', '-587062711374808733224500000000000000000000000000000000000000000000000000000000000000000000000000', 56, 2);
    T('-3.5934013658893093095958E+87', '-177536.16046005', '-3593401365889309309595800000000000000000000000000000000000000000000000000000000000000000', 33, 1);
    T('-8.96E+4', '5.478209E+57', '5478209000000000000000000000000000000000000000000000000000', 48, 6);
    T('293813179.0253489726', '-1355669.029765777', '293802027', 19, 4);
    T('-1.939E+32', '-5.5589293156478622816101E+42', '-5558929315841021973198157137932281249267712', 37, 5);
    T('30049', '-9.10685E+7', '25888', 62, 3);
    T('-1.11721499281390678E+65', '-8.65069651863E+53', '-111721499282159965924071574134524430219075569802189922327005757440', 44, 2);
    T('-9559477.2391796', '-3.9E+9', '-3908427776', 42, 4);
    T('-2.778E+69', '-6.517496589999E+54', '-2778000000000000387245321279177573416113740705071249096309471283511296', 73, 6);
    T('-4.292182E+51', '-5109.64493986942917538291906191', '-4292182000000000000000000000000000000000000000000000', 66, 0);
    T('2.4176543154809353479842270929E+69', '2.5214301489752E+14', '246290604621824', 12, 4);
    T('416374490296561986681.28', '66.207423457318385853679284', '64', 94, 6);
    T('9.00500589122967E+97', '-4E+74', '90050058912296699999999830353117461204123270314160583173355561647014049808288075616305341909696512', 47, 0);
    T('-8.380968858426750951479E+91', '8.442788503586E+72', '1326860959011404966053032027583234416108967061808927759056002810346733568', 61, 1);
    T('-9.69924E+17', '2.085926529246003653E+34', '20859265292460036456591497013559296', 49, 4);
    T('-1.761E+4', '-8.47E+58', '-84700000000000000000000000000000000000000000000000000000000', 38, 5);
    T('48188344.28762278562', '408.123959361727822960936230', '408', 40, 6);
    T('-56.9928967425590146964634657', '3.39524719692599570533E+94', '33952471969259957053300000000000000000000000000000000000000000000000000000000000000000000000000', 6, 1);
    T('-65.824769719', '-6.5274E+9', '-6527400064', 39, 3);
    T('3E+9', '2744540.0337', '16384', 21, 1);
    T('-76.1', '2.3E+42', '2300000000000000000000000000000000000000000', 63, 2);
    T('2.1663648172725168668526607983E+94', '-9.1182893380752E+49', '21663648172725168668526607982999999999999999935131408297573351090811480412865312553376264749056', 41, 5);
    T('-6053.07506779898', '4.1749558075E+98', '417495580750000000000000000000000000000000000000000000000000000000000000000000000000000000000000000', 16, 4);
    T('-1E+1', '-9.679993643503785036420E+24', '-9679993643503785036420000', 55, 3);
    T('-7.782123589731550E+55', '2.0368867E+29', '158457836522001728114763235328', 78, 0);
    T('-3879.3181880103672', '-7.5605534E+10', '-75605536560', 75, 5);
    T('4.40148668076547999578168E+89', '-6831423.17484471', '440148668076547999578168000000000000000000000000000000000000000000000000000000000000000000', 49, 0);
    T('-2.64845E+60', '-7646562026163414157.72127671', '-2648450000000000000000000000000000000000007638104968020361216', 26, 3);
    T('-82604441.5204', '4.58801515105917900419882917523', '4', 23, 0);
    T('-7E+3', '-7E+71', '-700000000000000000000000000000000000000000000000000000000000000000000000', 86, 6);
    T('-505.3832330', '-34576.8302094134614478221116836', '-34816', 77, 4);
    T('585827814.66972732086471', '-7083687073.536694611', '12779846', 44, 4);
    T('-94895.15465717847090973457', '-7E+78', '-7000000000000000000000000000000000000000000000000000000000000000000000000000000', 100, 2);
    T('5.578933946945209118601E+66', '-744384.583269008', '5578933946945209118601000000000000000000000000000000000000000000000', 16, 3);
    T('-4.44347066693E+73', '-7.35338017E+29', '-44434706669300000000000000000000000000000000099035208750640620399633629184', 60, 6);
    T('-9751761988.6873086', '-83.383163120442802216830804248', '-9751762004', 8, 3);
    T('-51769.942684635520', '-7E+36', '-7000000000000000000000000000000000000', 50, 0);
    T('-639750.781767168973486372415248', '-6.58908003235047143239592606164E+41', '-658908003235047143239592606164000000573440', 18, 1);
    T('8691.980756777191216746', '30.6201518171952709', '18', 84, 0);
    T('6866.781967', '-233760391.1', '6224', 2, 2);
    T('-8.00388010E+19', '8.28E+47', '827999999999999999999999999926014724584069136384', 4, 3);
    T('50105.01988', '39755443.2133798792876577', '33457', 100, 2);
    T('-1732.4412', '-6.17657683853E+40', '-61765768385300000000000000000000000000000', 31, 0);
    T('-6.74270304946486E+67', '-51555.3700914502', '-67427030494648600000000000000000000000000000000000000000000000000000', 6, 1);
    T('1.620608692326031E+48', '-688.427132905015966', '1620608692326031000000000000000000000000000000000', 74, 5);
    T('-110.59331648025225877', '-25113.03', '-25214', 42, 3);
    T('-17.399499984392843242410822', '-25804826842561708820124.954', '-25804826842561708820124', 79, 0);
    T('-67.96618', '-3844645659.638642280966726089', '-3844645723', 99, 0);
    T('-931464025.5946596829', '-6.28684E+6', '-937422848', 97, 4);
    T('892948790.1205769953696675394', '2668601.7409960980506', '2625584', 73, 6);
    T('-5847584.76147267123027615121541', '-33360.585', '-5880416', 74, 1);
    T('-6611.1330731920020805753318', '6.128938315280377355834611E+35', '612893831528037735583461099999993856', 52, 3);
    T('65756.8897657893120260983263', '-364284.4855', '4', 32, 0);
    T('3.095730503758E+25', '9.0064133E+36', '30942173356869218411216896', 37, 1);
    T('710.0374067253749559', '1.8E+4', '576', 23, 3);
    T('787843713325006416632.333', '-296.351', '787843713325006416600', 2, 0);
    T('427.627356493061787390', '69336.5934769763730603', '136', 95, 0);
    T('-1.3447169800', '4.94728489024944150028437774E+49', '49472848902494415002843777400000000000000000000000', 78, 2);
    T('-3.647547E+21', '3841276.641252520670', '32768', 26, 3);
    T('5005918', '760318.2604989', '524382', 42, 1);
    T('-3.43158185543636758E+21', '78608.9675401006336242152325', '12288', 33, 4);
    T('-7.9E+9', '-22.79009257349194715718253492', '-7900000000', 81, 2);
    T('-9.52091419168566105334E+56', '-1.035541249501226E+50', '-952091428398577369626415214212412314659385806184668725248', 68, 5);
    T('-3999507.82311', '-962.07121', '-3999700', 96, 5);
    T('-9E+4', '2655984304.3801225459825', '2655911984', 47, 0);
    T('-50261477.95432', '6.5137775312710112705168568051E+41', '651377753127101127051685680509999957213184', 70, 1);
    T('94025692.5220', '77485.536225086853', '9868', 92, 2);
    T('3093885.800', '-1.90911E+6', '2233352', 42, 0);
    T('1.337500155344933956628030E+64', '-5.252540260484845E+60', '13369775740491781785846018952652048298610444082908240870933266432', 95, 2);
    T('-56323.452499467', '4484315.549122494656981858547', '4464857', 65, 0);
    T('400192.18262084712503', '-7.2901764', '400192', 34, 6);
    T('-738.7287318746047998', '-9.814267326636859157', '-746', 68, 1);
    T('4.38581298400728498645065E+30', '-488.872543309142084411', '4385812984007284986450649999872', 15, 5);
    T('2.41615666919585544142496849E+64', '-7338.04', '24161566691958554414249684900000000000000000000000000000000000000', 16, 6);
    T('77289832.77917622276236421796', '-8E+8', '1071104', 66, 1);
    T('8.84E+3', '384.644747087609101792231866', '128', 61, 6);
    T('-508.1739199218808130667120', '478273.5405706603519', '478208', 26, 6);
    T('30.7012641336810081798113', '-780.732448049487742', '20', 53, 2);
    T('-8.1306E+32', '-1765215.10127426894523283', '-813060000000000000000000000000000', 77, 3);
    T('4906756341645.6140996597502', '-74993.72894', '4906756266765', 39, 4);
    T('-216459563737093020919976.3606', '-9.65299175121269E+58', '-96529917512126900000000000000000000155838860866048898367488', 98, 4);
    T('-341979973528.760308224698119104', '84.446658029278980991', '64', 1, 3);
    T('7.6790E+64', '-2.39553879900915541924077168976E+63', '76580242577306149425361148559224477369705038628998780481123123200', 85, 3);
    T('9.3555582783655084512759069675', '31.9968729500084532241091372308', '9', 72, 0);
    T('-6156', '9.6251E+58', '96251000000000000000000000000000000000000000000000000000000', 47, 1);
    T('2.726216530123933E+39', '3.75920615E+11', '100998840320', 70, 3);
    T('-9.8429690E+20', '67465.532202236577', '65536', 44, 0);
    T('-3.0390E+42', '-6886738.459059711383', '-3039000000000000000000000000000000000000000', 65, 4);
    T('-7.43768907053416672068549023E+38', '2.271902E+7', '4849664', 41, 5);
    T('-2594496570357634173.2', '-5.426E+31', '-54260000000000000422909860380672', 15, 2);
    T('-3E+5', '-698810538947020023.90335', '-698810538947024896', 58, 1);
    T('-4.4E+9', '-6.07E+4', '-4400017408', 95, 3);
    T('-5079517635.2561171566', '411429.63', '263717', 43, 1);
    T('5121627552.04356', '-271660847.0811', '4853121152', 61, 1);
    T('-8.0324647389050E+57', '-900.476779793878', '-8032464738905000000000000000000000000000000000000000000000', 98, 4);
    T('-6.629611963064192045808715204E+36', '45800.0490764948184472441979', '4096', 37, 0);
    T('613.286920996', '7.073070606938653', '5', 61, 2);
    T('-8.7714019E+12', '8831245596.6649128334091208851', '236978176', 73, 1);
    T('2.76E+18', '45385290.95032547529220', '1310720', 98, 5);
    T('-658057', '1461.20752319251635155', '1333', 46, 5);
    T('-6324424.8', '-1E+7', '-16291584', 95, 5);
    T('481.13760500415', '-881658735.86284512', '129', 59, 0);
    T('941596951671221.421949417', '-77600394.63471196', '941596876169524', 96, 1);
    T('-5618198300.344', '1605816.03740308703319388124552', '160', 28, 0);
    T('-3.203E+21', '-2179010220.49838776897223', '-3203000000002176843776', 4, 1);
    T('-4.05314197551924291302222263E+29', '-69.1', '-405314197551924291302222263000', 79, 0);
    T('-3.579303E+8', '7.91942386812375852E+31', '79194238681237585199999643418624', 90, 6);
    T('-48580085.6407', '10709471.3329', '141323', 21, 2);
    T('-7.3E+52', '-20.900251', '-73000000000000000000000000000000000000000000000000000', 39, 3);
    T('51.9410472810756023626469534', '-17514027.5093882503', '17', 99, 2);
    T('-8.490E+43', '-87.854270835690', '-84900000000000000000000000000000000000000000', 9, 5);
    T('63419.9423831839729610530', '1E+6', '16896', 13, 5);
    T('5.34939670350023910586702540707E+51', '9.5113923547910202E+17', '369611932518318080', 56, 3);
    T('-20.57314613', '7.70E+45', '7700000000000000000000000000000000000000000000', 2, 6);
    T('-4468.37804564880913639', '-7.99357840685564094376172', '-4472', 78, 5);
    T('1.037626E+36', '-9767078432.91405', '1037625999999999999999999991410065408', 69, 0);
    T('-427425.232', '4.6647349124463633037852E+61', '46647349124463633037852000000000000000000000000000000000000000', 55, 3);
    T('77571.217156082202767510', '4069217698.8980593409132173517', '66818', 34, 4);
    T('6.44739151776972613029463E+25', '5.43138787873709989731E+59', '24182064033551196971073536', 12, 5);
    T('25174992.9527861918328950193726', '5905.980119805145697908', '784', 62, 0);
    T('5.698746729895747E+31', '4.0204E+42', '46289150708219104101753887391744', 67, 5);
    T('-997.57527865', '-7.44E+51', '-7440000000000000000000000000000000000000000000000000', 27, 4);
    T('2.62193637610016214E+63', '-8.506E+14', '2621936376100162139999999999999999999999999999999718525023289344', 52, 6);
    T('-2.18261541213301428E+36', '-4.7447E+9', '-2182615412133014280000000000415236096', 35, 2);
    T('544.14191622630919618792313775', '4.69734E+9', '32', 85, 5);
    T('6.467089437216477E+51', '3.3143E+29', '3259567647871880093082058752', 93, 0);
    T('7.0996605989194003E+67', '-5.02453412461E+51', '70996605989193998503844708826307651904480334740588924834796508545024', 37, 6);
    T('35671.689', '914672.26152', '32848', 91, 4);
    T('-7.2967605780795425633046555020E+62', '2.5907654132438652454231210352E+56', '13853305152663601470887237053012138140797694533273911296', 27, 5);
    T('-421516846.6630784631130676', '3.90533318571597352867346544509E+53', '390533318571597352867346544508999999999999999580569600', 71, 1);
    T('-62', '8.06843162E+57', '8068431620000000000000000000000000000000000000000000000000', 66, 1);
    T('6365.82408440031558142854650578', '-253102753.6008814442821', '4189', 28, 0);
    T('6475191629.616662840698', '7.4048008441865764058079027357E+45', '27394048', 75, 4);
    T('-9.283E+8', '3.0195603028641633620173483E+68', '301956030286416336201734830000000000000000000000000000000000000000000', 86, 0);
    T('5.929404423E+35', '-5.33E+64', '343058577874913779749777438461132800', 98, 2);
    T('252270.52', '117708113.78453948681547435', '4416', 80, 4);
    T('496356.42219869946350', '-6E+6', '266880', 31, 0);
    T('-4.39543280059728290261938728E+28', '-13759.56656513295', '-43954328005972829026193881024', 32, 5);
    T('2.9E+27', '-9530555375.4323394335214', '2899999999999999991141629952', 54, 2);
    T('3424079081170841.0467', '-1036064143.29', '3424078925980177', 63, 2);
    T('-2.13576719351117609812954612E+64', '2E+55', '7666327759472564423988128586134055075553061932799885312', 93, 1);
    T('-9.24647608735994671E+20', '-6.781869E+42', '-6781869000000000000000036893505877044101120', 24, 4);
    T('78.3', '-858035.1400704874893312', '76', 8, 2);
    T('-8.53E+5', '5.4918882E+8', '548597968', 53, 5);
    T('-7812.5791319590', '-92467.14700039390', '-98228', 93, 4);
    T('1.26860426955646926116E+29', '84507822.917', '26624', 68, 4);
    T('-912.253821177536', '234984.1128995579', '234592', 81, 6);
    T('3.620117695335105198828E+61', '1.554592484913026E+49', '11891872390728479714978920929934934803999931498496', 10, 6);
    T('-2690.9903041136173', '-6.37255699077581271073365109E+46', '-63725569907758127107336510900000000000000000000', 33, 3);
    T('-8.52568152089717322740E+50', '1.316985008998824049488158609E+51', '561251601878810067268505798498109899288426315776000', 8, 5);
    T('-630602728592884.90983', '-8.2623826E+8', '-630602999002612', 28, 3);
    T('-8.009E+29', '3.41469799652885226607E+59', '341469799652885226606999999999204623518616370639783323500544', 25, 6);
    T('54389.829972439645366277575242', '-95.0298342759122', '54305', 90, 2);
    T('-2.058547717930865147365623518E+49', '-4.409362782369798603693E+50', '-443885065376599278632414432898920783957342979883008', 18, 1);
    T('-6.72213E+25', '-1842.0494795792311874020353', '-67221300000000000000000000', 100, 4);
    T('125564722.19642525798197010', '-40808706693945.6971603042249', '50897922', 77, 2);
    T('1.134724974747E+58', '-3.5335224602177527252812E+23', '11347249747469999999999999999999999649064446653931630624768', 50, 0);
    T('990168.398150945256877615337', '53071.994043665030550647', '2888', 5, 5);
    T('-2.9845570322647702324916E+67', '-1733.6524479684617265', '-29845570322647702324916000000000000000000000000000000000000000000000', 38, 5);
    T('-8150.55719602796', '-6.5E+16', '-65000000000000000', 36, 4);
    T('-2.930E+36', '-7.35E+42', '-7350002742830894937857715365103595920818176', 80, 1);
    T('-2', '4.27749188279E+46', '42774918827900000000000000000000000000000000000', 10, 1);
    T('-9206288871.457637426', '-902.3608680364', '-9206289384', 70, 2);
    T('-26819305.8696', '922334.3727', '393238', 73, 6);
    T('373389087190360316026405.598', '-12240', '373389087190360316022816', 89, 1);
    T('-8.77274022881746E+27', '2.08345610596587732514706076041E+46', '20834561059658773251373742410077551082719412224', 99, 2);
    T('81490.170456555218358843', '-949.556640568902482126042325', '80962', 66, 3);
    T('-2795.0', '-28697.976553563117', '-31483', 57, 5);
    T('7.6941790533927799380964693E+40', '3.298520E+9', '2215116800', 22, 1);
    T('-2131441905133700852634.1', '-4821.748248638887976265761', '-2131441905133700856798', 76, 1);
    T('-685980.450170004145', '-4.06541663572063166343', '-685980', 26, 3);
    T('708442021.7649001759', '73674.15237900', '71552', 64, 3);
    T('7.6871419819808394E+51', '-6.53164851314629112E+42', '7687141981980743520263110209266645207236218122665984', 18, 1);
    T('-311.368396297', '-9.678E+16', '-96780000000000000', 42, 0);
    T('5.88744282488E+12', '2217899.6635119776501', '2098848', 33, 4);
    T('6534502087.405328811667452', '8845307.6338', '300739', 32, 2);
    T('-7.56835510621676E+31', '-4608249955.5', '-75683551062167600000000310902784', 72, 6);
    T('-549012.2', '-8.36629150791428549759638443730', '-549016', 3, 5);
    T('2.8E+20', '2.51741373831832620164E+59', '276793080277725347840', 76, 2);
    T('-588.436937', '13.13', '4', 46, 2);
    T('-1.05E+3', '9.537844114318016541156457765E+58', '95378441143180165411564577650000000000000000000000000000000', 21, 4);
    T('-8.16938E+8', '-4.339E+6', '-821263680', 33, 5);
    T('13.9101417188492957607223', '1049.15158', '9', 65, 5);
    T('1.903E+64', '-461667656912523221815.3', '19029999999999999999999999999999999999999999833979303336614035456', 75, 6);
    T('934.73134699981128818', '-7823.61560', '288', 96, 4);
    T('-7245384678.2717474278421', '4.9851871E+10', '43220476952', 38, 6);
    T('53158.78571720957091966', '3.9E+4', '34816', 14, 2);
    T('5.67760933110398570820382727E+30', '-398.5491015989', '5677609331103985708203827269744', 40, 4);
    T('4.018798775231E+32', '-8.1497973363041032134942388164E+54', '55808437177375156441104716398592', 33, 6);
    T('6.51658435E+61', '2.4201425E+65', '13684192746194545802131525183250081845304138346317940806123520', 53, 1);
    T('-6E+3', '-2673.322840545018', '-8064', 9, 6);
    T('-31895.90151175258018595522', '-6E+6', '-6028800', 96, 4);
    T('-41674153.9071132027585339529', '-796.6118844180658', '-41674684', 67, 2);
    T('27594834', '-95751673345253604927440481887', '18944000', 52, 0);
    T('5351079154530547851100.6', '-9.8009518E+13', '5351079127042648086528', 36, 1);
    T('766.34684', '9.00615434515992928028366', '8', 84, 5);
    T('-7798.10966838', '6733610421.617', '6733603200', 84, 4);
    T('-142124612346321455.164081802', '23905495500.25124112933243261', '4299219392', 14, 0);
    T('-1.3254E+18', '1.919273393E+15', '582262820175872', 64, 2);
    T('8702047.805588359516418303', '-4760.807745180', '8702024', 69, 0);
    T('6.673114E+65', '-6.96E+7', '667311400000000000000000000000000000000000000000000000000000000000', 16, 2);
    T('-3.81748732957478859E+18', '7.08843762E+39', '7088437619999999999999999964815627911168', 50, 0);
    T('-7.48966690552693869462', '995.1210989203400', '993', 1, 3);
    T('1071376.66', '8.7137495440533E+21', '1069312', 4, 4);
    T('-6.925', '-9.694139475100176471354170', '-14', 8, 1);
    T('-237.0039419556852809245', '75.63862637131661531', '3', 66, 2);
    T('9353.29556813873235', '-7195472', '9344', 100, 2);
    T('-237625884396.71134082354275', '-9.343837301205404072023E+35', '-934383730120540407202300228708057088', 39, 4);
    T('69964.276038859774217781686503', '-8.85319135868E+17', '65792', 20, 2);
    T('-20422363777378721121543237.956', '161.9944496217437756396', '161', 96, 0);
    T('-15480.7574847495541582160085', '-90932834608963.161784543', '-90932834615160', 14, 2);
    T('9.27E+45', '-5.38074E+11', '9270000000000000000000000000000000000000000000', 22, 2);
    T('-8.9073876185760E+50', '6.795525054E+60', '6795525053110851377559334018101655880097388705766131487473664', 26, 0);
    T('-4758.63819975466', '-9.76751907415820E+57', '-9767519074158200000000000000000000000000000000000000000000', 29, 5);
    T('-6.544170570506350622671E+37', '59793933707082.9697', '7014891716608', 84, 0);
    T('-6.730497505948531536152615E+34', '1.81E+3', '1024', 25, 3);
    T('32561307.51976269469933', '7753633.23253782580747', '7358593', 39, 1);
    T('-409.7305727', '1.3115718436119E+20', '131157184361189999616', 39, 3);
    T('-5121364794.2082663', '9910590519.376047866056731', '9910488070', 79, 2);
    T('-6.01757206445592143134716974474E+43', '-4944000.9838865', '-60175720644559214313471697447400000004784128', 21, 5);
    T('3800.37069462733608343150552039', '8.15E+7', '1600', 31, 4);
    T('-6.8578685889728120878973727642', '316.4968020610023255', '312', 71, 3);
    T('982911.68921590343557048', '-173.12875733198286889042', '982867', 10, 6);
    T('70339173913.432104193723', '778.916548461308572948292476', '520', 11, 0);
    T('-4010482732.772', '4.85726529031E+43', '48572652903100000000000000000000000000000000', 78, 3);
    T('-2E+31', '-2.8302430', '-20000000000000000000000000000000', 60, 0);
    T('-92600.7004054570642754', '9.3221050E+65', '932210500000000000000000000000000000000000000000000000000000000000', 40, 1);
    T('-4.3E+48', '4.5582187445786901644547E+31', '871602400349935959148601540608', 84, 2);
    T('-1.6961450E+46', '-257028932629733.98447746', '-16961450000000000000000000000000009895604649984', 56, 3);
    T('4.946990662988E+33', '-93.910197529428108634101666', '4946990662988000000000000000000000', 49, 5);
    T('-26858650.261776600914896048', '1.6E+5', '139520', 75, 6);
    T('1811.03946102774227', '-773063', '1041', 76, 2);
    T('-7.0523513276845E+68', '9.710E+17', '648518346341351424', 90, 6);
    T('48.476791597696044206', '-632223122.3070501732019', '32', 38, 3);
    T('8.28E+6', '44261.0', '1216', 48, 0);
    T('-4.2440102774037E+15', '1.6E+24', '1599999996041040343597056', 24, 0);
    T('-1.195770996455178110312520864', '-1.402148725970450583577783822E+70', '-14021487259704505835777838220000000000000000000000000000000000000000000', 98, 6);
    T('-50.078620045360604140186', '7.504E+6', '7504000', 3, 6);
    T('-2.81258464906068907615903E+62', '-7.7752774288346267861848054E+46', '-281258464906068913826667096732896260960173451009473225900949504', 31, 3);
    T('-5685609.36240', '-887159.073446799654629923880', '-6277503', 48, 1);
    T('2.553450E+46', '-24.4120084249846187707141360', '25534500000000000000000000000000000000000000000', 64, 3);
    T('-643646.99', '5.4640242924772918809078E+40', '54640242924772918809077999999999999475712', 38, 5);
    T('-4406551067747.87', '3.50258043356398179651E+43', '35025804335639817965099999999999995663089664', 19, 6);
    T('-21734.25103226186452946', '-33.7019', '-21734', 65, 2);
    T('85.473765932488448500', '635355259.79900716307243636390', '81', 78, 4);
    T('4.834615E+31', '-8042099.3983803863503921', '48346150000000000000000000000000', 73, 1);
    T('6.37E+35', '8703155305635.205956308440', '8667244003328', 92, 3);
    T('983.0', '-68764.09851723117727555061', '836', 26, 1);
    T('-6.86011E+29', '6.76867532440932656018933736545E+37', '67686753192062669519032876530973802496', 27, 0);
    T('18180.83540020798668', '4058961037.0001475908', '17412', 33, 4);
    T('-579427.7', '-9.316348', '-579435', 7, 4);
    T('6.1544283480E+68', '-4809220736.9283956', '615442834800000000000000000000000000000000000000000000000000000000000', 4, 4);
    T('2.588018420E+55', '-497.02857979147272677001', '25880184200000000000000000000000000000000000000000000000', 53, 5);
    T('-9.357E+7', '-5.6134756231734079059E+50', '-561347562317340790590000000000000000000000000000000', 49, 4);
    T('-9.37888E+6', '8.621951760E+24', '8621951759999999991087104', 46, 1);
    T('-6.66327467414E+48', '-554.9068347978', '-6663274674140000000000000000000000000000000000000', 4, 2);
    T('6.6E+45', '-3.9E+7', '6600000000000000000000000000000000000000000000', 59, 1);
    T('4.751000415688898386553E+24', '-9.998134412304977681E+68', '3192616620833216334397440', 95, 1);
    T('-5021820.702090966423821', '-8.46006363116775100905349E+61', '-84600636311677510090534900000000000000000000000000000000000000', 70, 3);
    T('-8176920940.215', '2655.1750814589871809901', '532', 85, 0);
    T('-1.1103662678E+12', '9.4989255670E+13', '94989241765984', 2, 3);
    T('6.4740800559112E+35', '-5.029704680714482', '647408005591120000000000000000000000', 77, 0);
    T('-864403283898589200.7997444', '4990.116036918152792194917281', '4976', 38, 6);
    T('8923146239976.516074932472', '-47420813.8588564816581', '8923132471904', 54, 2);
    T('-8.3457751439513550307865E+29', '1.68551812E+57', '1685518119999999999999999999960373741962356037740348309504', 90, 1);
    T('-1.611E+6', '6538622748.8', '6537044744', 90, 2);
    T('-6.451641038819610E+59', '2.4638590566085731E+22', '18926368462009626787840', 22, 6);
    T('-4422314481.8', '-3.640308423301962316909155E+37', '-36403084233019623169091550004412678144', 47, 2);
    T('-21.630716621547988013207', '-694392686.698832879516820765', '-694392702', 73, 6);
    T('-2.91E+4', '-7879679.4906', '-7896064', 26, 6);
    T('-6.95195451E+9', '-4947468.855078620417537480908', '-6952025680', 21, 3);
    T('-14.471176853', '-3.7E+7', '-37000000', 69, 5);
    T('-2374929782580383862185.6480602', '2.97010E+7', '8729088', 88, 6);
    T('7.034391713508399550778487E+42', '-9.539781221427E+57', '5596975171742467884945842555668377410469888', 25, 1);
    T('-14390.22', '-2.942295407E+37', '-29422954070000000000000000000000000000', 41, 3);
    T('-505433.715583', '-6.491830092E+65', '-649183009200000000000000000000000000000000000000000000000000000000', 55, 1);
    T('41796.4', '20338676.9', '836', 66, 0);
    T('-960246.60662', '-9.753097671485269389850E+66', '-9753097671485269389850000000000000000000000000000000000000000000000', 17, 2);
    T('6.962209E+7', '2957736234.69', '153866', 53, 4);
    T('-5.7247', '398.1998666947', '394', 2, 6);
    T('4.406101E+70', '-2.00E+8', '44061010000000000000000000000000000000000000000000000000000000000000000', 63, 3);
    T('4.648335302652895249E+50', '-2992071.82400502882', '464833530265289524900000000000000000000000000000000', 41, 2);
    T('8.36114524830733260E+24', '683448407648364062781225400.96', '5140296098437583312267264', 6, 6);
    T('-8.4948124147409455503008E+36', '8.83077867672169645E+61', '88307786767216964499999994495962029206040696271581905170726912', 6, 3);
    T('289698947.147746141842404220180', '-5172.842717284187639', '289693824', 80, 1);
    T('7.5570221127065E+65', '-3103519781954.9750683536724', '755702211270650000000000000000000000000000000000000000000000000000', 94, 2);
    T('760.4', '40.9576558338592885', '40', 75, 1);
    T('-6.3533470E+9', '6.360900E+7', '21665800', 76, 2);
    T('32.960409940798510', '-2E+4', '32', 29, 2);
    T('15973216.071335', '3529.6304745918269436214835296', '2368', 72, 0);
    T('9484059.39008284', '-3313873.005055144913', '8398603', 10, 5);
    T('-30188560068740.1380013260519697', '9009577628.84041850477911535', '8740998684', 10, 6);
    T('1.8875458592286843803E+26', '-52504.772516408310', '188754585922868438029963904', 91, 5);
    T('-1535.42370769800744', '20970.2620138693', '20480', 79, 1);
    T('95385.000', '9.900E+7', '5248', 29, 3);
    T('87.597402036501698', '-809911137502.091470393950394', '2', 96, 0);
    T('-689454572.6', '-1.4E+7', '-702398464', 29, 2);
    T('-690.5087360886570', '-8719552225894941039688674772.11', '-8719552225894941039688675316', 65, 6);
    T('9.897E+6', '-5.30E+9', '1048576', 15, 4);
    T('4.061039328673645891599829E+48', '-485522.9358671797', '4061039328673645891599829000000000000000000000000', 89, 3);
    T('3.17377E+9', '8209.77481212311340899136305905', '8208', 43, 5);
    T('6.8042389440838941', '21.0055518176544', '4', 63, 6);
    T('-4685.726385101', '-4.062522923331140894548E+31', '-40625229233311408945480000004096', 6, 1);
    T('-6799852807.6', '4.5523802220218936775349E+47', '455238022202189367753489999999999999999731564544', 88, 6);
    T('5796716171.1', '8.109849941E+24', '32768', 12, 0);
    T('-8.47124E+8', '-4.58408494E+17', '-458408494001709056', 14, 0);
    T('-2798.825446869682707471551', '6.25504E+11', '625503997952', 20, 1);
    T('-5.815837E+8', '-9.15E+42', '-9150000000000000000000000000000000000000000', 75, 3);
    T('8.0255710916194098685918281097E+51', '-2.52E+68', '420915415402516928287275453988210592060557267828736', 94, 1);
    T('-6.2242E+7', '4.20686083E+46', '42068608300000000000000000000000000000000000000', 73, 0);
    T('3.6E+68', '-7.052E+65', '359775378983143130833384846354803832478253058027247495143826204393472', 4, 0);
    T('9583206.640789209', '-395972.0844562772154754025162', '9449508', 95, 3);
    T('256929436663893.07', '837551.774717805744861172674', '786437', 58, 0);
    T('-3.07053449744116509364E+44', '-3.657680456483678E+16', '-307053449744116509364000000036576631908728832', 7, 0);
    T('-53554176349138', '-4523960.5920450', '-53554180872184', 69, 1);
    T('-5.070779394187178244019106702E+50', '-127.9371085', '-507077939418717824401910670200000000000000000000000', 49, 1);
    T('-2.1E+65', '-6.55734E+8', '-210000000000000000000000000000000000000000000000000000000000000000', 24, 5);
    T('17.333304', '-345805358637891.89693618162', '17', 71, 4);
    T('139466956.412908832134348916540', '13854.23511783925326', '4108', 54, 3);
    T('-6.47740299805E+29', '7.981489860E+36', '7981489856228056763030538676185595904', 45, 5);
    T('685998681.0853865716', '5297495944744488183047.36069472', '142639105', 90, 4);
    T('-6.1780457930412161126E+25', '-4873973.1779526', '-61780457930412161130725376', 56, 1);
    T('934082079.4733', '7532144784.33826828648172', '10510352', 6, 0);
    T('-6706717.114373', '7.5E+2', '226', 60, 1);
    T('-53659015.1285280679221365323', '4.350555622267907933E+57', '4350555622267907933000000000000000000000000000000000000000', 74, 0);
    T('48667588.28809101471365668', '7901.96785149683', '6852', 91, 2);
    T('-5098150820.806', '9.73929E+17', '973928995145908224', 76, 4);
    T('-59.054', '-7816857.3', '-7816891', 18, 2);
    T('-9.69160E+50', '-149694609.246770643831', '-969160000000000000000000000000000000000000000000000', 76, 5);
    T('-8.5484251711440E+41', '-6735246133.2135005300375748769', '-854842517114400000000000000000004294967296', 69, 3);
    T('60860626369503585654499.63488', '-3.1493991202843409706637683E+46', '57263308114930234818560', 85, 2);
    T('2.90515E+15', '-850900855149419.8', '2342046484409344', 25, 3);
    T('-2065.26365908938986201843460', '7948881.32912274145086927', '7946817', 31, 0);
    T('9.9789004326892953969960E+44', '4E+65', '997702796246496927594707220728186771278397440', 41, 5);
    T('4.041E+62', '-4.232878839007051E+26', '404099999999999999999999999999999999685525475065806062817902592', 92, 3);
    T('-1262191.63937795761630', '20700.330597567050852590', '4240', 52, 0);
    T('-8.822581E+17', '-1.8238292853961E+15', '-882278724702035968', 29, 1);
    T('3.80886E+26', '337126846.6828576107122', '268435456', 13, 3);
    T('-91.293689852460247658570466816', '3054427.88222982073618339740409', '3054337', 51, 0);
    T('-7600.23618981', '69336116.695354556128', '69328912', 89, 2);
    T('-8.8E+2', '-6351124792.7184188141195', '-6351125376', 1, 1);
    T('-2806316', '-1', '-2806316', 82, 5);
    T('-72840.8546375', '9483.025135433542639701901', '8456', 58, 4);
    T('-819163', '-6.697611359826238572136799361', '-819168', 82, 0);
    T('-6520139.861414152', '3.80658987E+13', '38065894359200', 23, 3);
    T('-7.0309246015411778681883536E+70', '-4E+7', '-70309246015411778681883536000000000000000000000000000000000000000000000', 97, 4);
    T('-8343930.0818038317115746981265', '7.07E+8', '704685696', 1, 1);
    T('-879.64', '-934.1706', '-1008', 39, 6);
    T('-238.9755915840346', '3.1E+23', '310000000000000000000000', 86, 5);
    T('276538360349364445281563.5533', '-83741217.18673531806', '276538360349364437660955', 16, 5);
    T('6.150895513185E+20', '-6.5E+27', '614512809047169695744', 18, 5);
    T('-92.00127', '-1070851712102818781893', '-1070851712102818781920', 9, 3);
    T('-855.59509884247016028922', '484880.0', '484352', 92, 2);
    T('151894257858685653925.842154857', '20794.6775910041301399772551', '20768', 17, 4);
    T('553954.690264601929', '275560.2624039443123', '12384', 51, 6);
    T('820274789.995502962965459', '-8313.9578', '820266501', 91, 6);
    T('-514906614.480705194266933', '-16006253.1719264156486848910535', '-519372286', 69, 3);
    T('437919.374580567808559255425584', '785030.64959235472835478', '174726', 91, 3);
    T('-7E+4', '19184024.372785052747377163', '19179664', 33, 5);
    T('-7.417566714568289041932E+69', '-5873703.6900791', '-7417566714568289041932000000000000000000000000000000000000000000000000', 11, 3);
    T('-9.2578E+30', '-3.2759E+18', '-9257800000003265766144862060544', 72, 5);
    T('-4655076702365.00288', '9.80013068376450519264E+35', '980013068376450519263999987917258752', 75, 2);
    T('3.50666E+14', '91428.088376', '91136', 7, 5);
    T('206.33587436581716', '-27662205.4316806788', '130', 41, 0);
    T('155.8476070461477', '-10.6007694942216215313964193', '146', 72, 3);
    T('-1.416997627E+46', '-4.943435877246762278E+70', '-49434358772467622780000011797617272207453752482715514469074996012515328', 17, 6);
    T('438225215.0999866', '-449642.9192', '437780758', 83, 3);
    T('-942.5603243244043', '5.43E+6', '5429328', 87, 6);
    T('877475.7278688846935233259', '-24816.6630452781640', '852736', 43, 6);
    T('-2.7E+6', '497.17659435860050755519598', '288', 96, 1);
    T('4.84438247173E+35', '-962.2037438307', '484438247173000000000000000000000000', 28, 2);
    T('4.6E+6', '217973.481024', '135232', 88, 4);
    T('6.977249721662353330449992552E+67', '-816.81458221748808294544', '69772497216623533304499925520000000000000000000000000000000000000000', 87, 1);
    T('-721.6683544366', '-3714.5183505159', '-3794', 92, 4);
    T('-8740.3044819549221240974', '16324335.6999895771', '16323788', 89, 6);
    T('1811104899.65051548053810791', '6.09630741145627111', '2', 30, 6);
    T('-1783327529.344740786019725831', '-1.45922046588312703931E+38', '-145922046588312703931000000001212153856', 61, 6);
    T('8677672.71', '5072.3999766987581445365759961', '256', 24, 0);
    T('-6.1726E+49', '9.7814175917987862E+22', '77955958540263818788864', 5, 6);
    T('736275949.247823670668774', '-7.2201E+22', '559939584', 12, 4);
    T('-61350852.4638270900907946', '956607649.626008650', '939822112', 15, 6);
    T('-231779.42494268', '-4.7E+30', '-4700000000000000000000000000000', 37, 3);
    T('-29891.1562350867218656047728', '5.95160182E+60', '5951601820000000000000000000000000000000000000000000000000000', 91, 6);
    T('9.71576028002116668E+19', '123457.370654370660', '74304', 79, 3);
    T('-965595.1', '-1E+7', '-10403840', 34, 5);
    T('-69530621.52353521927347609', '3E+8', '297861120', 79, 6);
    T('-18432.350320122288992604571645', '-618974.605545802297099572', '-620544', 37, 4);
    T('679.186313440684598506800210440', '86982579.0527191', '675', 82, 1);
    T('3.1368848124E+25', '9.932E+47', '10958401449731967242207232', 79, 3);
    T('8982.95944559', '9286863.421384542755364', '8198', 65, 6);
    T('-5.1E+2', '-9E+8', '-900000256', 86, 4);
    T('-5.27150196476883197835558E+33', '-44088244.4429693', '-5271501964768831978355580002107392', 62, 3);
    T('-8.0002719E+13', '-76.5457552101759411875', '-80002719000064', 100, 3);
    T('27550692.247035928703', '-515057496.478292', '17055904', 81, 3);
    T('-2.88E+6', '8.361E+8', '835980800', 10, 4);
    T('-782493.7899718752849', '969.823534829835951640', '833', 30, 3);
    T('506.713364841390203212316365146', '1739000.60189014312', '248', 18, 6);
    T('9.7E+11', '-6243992695.63', '964362772480', 76, 5);
    T('2.87E+27', '1.2382355212295023223E+38', '386856871020731104705380352', 23, 4);
    T('-278472513569444.730715', '-6.509E+37', '-65090000000000000000000168517336825856', 49, 6);
    T('6651515945.12566878721476', '9.257573259479802E+19', '2222195744', 59, 2);
    T('-7332378.672930656', '-16.30942617310341193', '-7332384', 87, 4);
    T('-222.2240830416833653', '6.50678682', '2', 80, 5);
    T('28138674952255.196941', '-2.90875143E+15', '9352425504768', 8, 2);
    T('-1.78E+4', '-875.88597033854268492585557946', '-18416', 2, 1);
    T('-1402955.1856025533862704221573', '666.7361818637207886835', '656', 8, 5);
    T('778368811', '-4.96796293206039353E+21', '2397472', 93, 5);
    T('39777.14603', '8.091E+4', '6144', 43, 5);
    T('-7704525738.7746226', '-8.0E+51', '-8000000000000000000000000000000000000000000000000000', 10, 4);
    T('7.38160164353418E+42', '-4.8421416936669873011820918E+65', '352725332500846316457726160655014569181184', 89, 1);
    T('258.92568805539067306', '-59346.011497834926432480690874', '2', 39, 1);
    T('-5695607729.41068438153806675548', '995250337677698183896.1136', '995250337677391732808', 6, 6);
    T('2.06611460114451', '-6.650', '2', 39, 6);
    T('-6.0645270E+64', '-4.84988587687226179', '-60645270000000000000000000000000000000000000000000000000000000000', 92, 5);
    T('-4.7E+7', '690.3907087865712', '512', 47, 6);
    T('-5', '1.16588927E+63', '1165889270000000000000000000000000000000000000000000000000000000', 62, 1);
    T('-9.50E+3', '-207.3023', '-9696', 23, 4);
    T('4.01278479842176704851338', '724848836.373637801', '4', 25, 6);
    T('-8209.089896304200120767938954', '96.562592350978', '96', 7, 1);
    T('-708.89', '562204.843727567487289766023178', '562204', 54, 6);
    T('9.25452337519315469243929E+36', '-3.05964870726E+33', '9254156216401015256642616068637982720', 63, 5);
    T('-1.95326012291437044E+58', '-214333.19515349234768354341', '-19532601229143704400000000000000000000000000000000000000000', 4, 3);
    T('2.7254E+8', '-752.34460528383328682479717642', '272539904', 39, 3);
    T('-82583975.4854700002707346694', '-8.5650E+6', '-82751912', 24, 6);
    T('-511036.0913403570', '8.39804E+60', '8398040000000000000000000000000000000000000000000000000000000', 46, 4);
    T('-73.2', '-64.98217229276', '-128', 11, 5);
    T('2.83728753162E+26', '-9E+1', '283728753162000000000000000', 62, 1);
    T('4.4410058E+18', '4.72981011E+47', '81076887920574464', 38, 6);
    T('4639545.286924383401058', '111536825.493636092770833721682', '313913', 99, 0);
    T('-2.2811709995536174E+57', '-2.856778677027691E+19', '-2281170999553617400000000000000000000028549760597157216256', 83, 0);
    T('-9.6E+4', '-67.54864680227815202284', '-96000', 79, 4);
    T('-505633406480657518888.42961', '9187497771226.1036', '275440074968', 48, 6);
    T('-6.40937E+8', '775660767.45797488471560390', '134742232', 56, 2);
    T('6649.748853786817922', '816677.06511600171581563981', '4129', 85, 0);
    T('6610927810204160919087537.35', '3.81945032E+63', '27745344238739924189184', 36, 5);
    T('53791847.414127070663', '-5E+4', '53742624', 37, 5);
    T('-13101.60199093681736543698540', '-85832', '-98160', 48, 5);
    T('8.6408775714E+33', '-91975.46958946099', '8640877571400000000000000000000000', 22, 5);
    T('8776852304.53', '228100787.812205424177088', '150995472', 49, 6);
    T('-9E+16', '-5.75249', '-90000000000000000', 50, 0);
    T('3443983323892.1914312308041247', '-359042.490521953307136', '3443982991476', 2, 6);
    T('530.54737', '-437254866.845247536041243851347', '2', 66, 1);
    T('9.4299012874843E+21', '5.081708E+65', '8580041837284155195392', 38, 2);
    T('-9.571E+7', '522758.4952982', '233472', 92, 2);
    T('-7824.35250237', '-1.91377703506350816', '-7824', 10, 6);
    T('-313113927', '-301978.9018701226397', '-313376736', 65, 3);
    T('-72237.62881280057167', '854023.4674638501121', '786435', 16, 1);
    T('7.776E+51', '-837.0', '7776000000000000000000000000000000000000000000000000', 82, 2);
    T('-19795.839004053042984763', '7.47426E+57', '7474260000000000000000000000000000000000000000000000000000', 62, 0);
    T('4.0101386681859783247748333E+34', '63066310.079469049', '12582912', 39, 1);
    T('535.86912987385274422774', '-8261123270.63885819065', '530', 12, 3);
    T('6.3781459238524618782123128226E+36', '5.701682357325175E+64', '5711544222486544433071476888519573504', 28, 0);
    T('1.042495E+38', '-270188757.08', '104249500000000000000000000000000000000', 17, 3);
    T('-95853.65403710096', '8.27E+7', '82608256', 46, 6);
    T('-6227', '7836167853.35745489', '7836165805', 44, 4);
    T('6.5416642558965E+68', '7.65188024650806334706637085112E+41', '696915799314422514784170469497498878607360', 94, 5);
    T('407692.491290462', '3.964919E+8', '14348', 39, 1);
    T('-1.15238028466968856831262503E+32', '93.346812474246348257', '64', 19, 0);
    T('25794327.215', '60472502.49757593793', '25728022', 98, 6);
    T('-2480175208.50406', '9.97E+3', '1680', 34, 4);
    T('7.4024791650096E+61', '-6.92765', '74024791650096000000000000000000000000000000000000000000000000', 22, 0);
    T('-9.2172694456082828093114E+44', '-89.74154489', '-921726944560828280931140000000000000000000000', 70, 3);
    T('2.1E+29', '-1.3E+5', '210000000000000000000000000000', 28, 0);
    T('8.299994229671785737399175236E+52', '-3.5E+5', '82999942296717857373991752360000000000000000000000000', 57, 6);
    T('-2.0137500894896582443559572E+40', '-574203.5669915073037', '-20137500894896582443559572000000000524288', 45, 0);
    T('-4151025.74538418468356', '-8802860818.0136462033156157439', '-8803844082', 46, 1);
    T('1128966.1280537369640711188111', '-2.113E+12', '12800', 28, 0);
    T('4.41849E+54', '-4.75560086364745873232155', '4418490000000000000000000000000000000000000000000000000', 64, 4);
    T('-1.19129711776426699E+54', '4.16181386831295670802107E+25', '2589844471614173897293824', 47, 1);
    T('-6.081918100363E+27', '1856865891282905892186.26314341', '666397639079300726784', 79, 4);
    T('6028.82672899350998', '-7.5984860E+9', '1536', 21, 1);
    T('9063998700923542932.971711959', '-9.1826516476149570482146E+59', '3584938695788068864', 24, 5);
    T('452239.881229595245', '-390821.73611225922402892659', '131083', 15, 6);
    T('-1276728013.98446', '-63358.1104269093926901744984565', '-1276770302', 87, 1);
    T('9.255850028705813E+31', '-89915942.616767006', '92558500287058129999999994494976', 79, 2);
    T('17937.41285854', '-68192782.6999219', '17424', 55, 4);
    T('623814.83830263', '7E+3', '64', 77, 0);
    T('-4.0175407785926892340358E+65', '6.875496111837E+48', '754008451620121434229649470319355998605672448000', 41, 2);
    T('-4.3640143666852406179', '67611188.29945', '67611188', 15, 6);
    T('3E+68', '-8.59871475957896807306E+21', '299999999999999999999999999999999999999999999994982485611951001960448', 71, 0);
    T('29.647', '6538914404.534629744368462886', '4', 76, 0);
    T('-328279141.095320125321325888299', '-8.1260292785802E+32', '-812602927858020000000000277872640', 64, 2);
    T('4.45333E+29', '1.20680339719771E+69', '9364651164346261184926711808', 18, 3);
    T('-9.78572222670880091E+27', '-1.99E+28', '-29670590427108613533087039488', 97, 0);
    T('-9.3891E+15', '1.073113622309164733834559E+56', '107311362230916473383455899999999999999999981213813047296', 42, 3);
    T('95183.7380788', '6.0905244872621703270234', '6', 53, 3);
    T('869460128.7', '5.28128E+8', '324175872', 7, 5);
    T('-3.617E+5', '7.31409071133560E+69', '7314090711335600000000000000000000000000000000000000000000000000000000', 100, 3);
    T('7.598117772516E+13', '-296.570997079', '75981177725128', 70, 6);
    T('2.7400757226E+20', '-5.6612853639E+40', '267660766702580269056', 80, 0);
    T('6.5121677707239890159972225E+37', '-8180900602.5964', '65121677707239890159972224997229924352', 57, 6);
    T('-3.492662990087539975069851E+67', '-2.0698605311631998E+27', '-34926629900875399750698510000000000000000793225345815082138878345216', 88, 6);
    T('-6.0769987390850090124719689610', '4E+2', '400', 46, 1);
    T('-5518213369.2148664674861707081', '-2.896948845981E+37', '-28969488459810000000000000000134217728', 17, 1);
    T('-4.000937E+28', '-9E+2', '-40009370000000000000000000000', 12, 4);
    T('-8221138547.9755737', '9.7E+3', '8580', 39, 0);
    T('9274805', '-5821.78191724664', '9273601', 76, 2);
    T('-118099545.8592660814865', '-510.75', '-118099966', 86, 3);
    T('3160087861.108145937769', '5.2E+24', '268435456', 93, 5);
    T('8762540531424481835003', '-1445568.22', '8762540531424480522560', 48, 3);
    T('645.9856563600866', '459.2765689531084624730034', '129', 96, 4);
    T('-3.4059E+61', '-87462.3107018176', '-34059000000000000000000000000000000000000000000000000000000000', 30, 4);
    T('-3476506496.9552065122', '-5.062', '-3476506496', 58, 0);
    T('7.24E+30', '-5.5791213949649465517E+23', '7239999839361138516035549265920', 51, 5);
    T('-6092935047100.81631537', '67.348460429488823258384', '64', 60, 6);
    T('4E+7', '8.3274305312339556938730917468E+39', '6438912', 45, 3);
    T('3.910349646197912', '-8090936457.530205', '3', 33, 4);
    T('-15886517261276.615779844', '5.23E+4', '3076', 15, 4);
    T('-7.4885878262929217027645670E+41', '7678756.337', '1048576', 29, 3);
    T('-2.64E+34', '-3.14E+9', '-26400000000000000000000000000000000', 37, 2);
    T('-1.1E+26', '-2551103828287746303953945460.4', '-2629401851096599646766628864', 90, 6);
    T('4481884737.7556526816281', '2.2206752508326139022403132873E+52', '150994944', 5, 0);
    T('-26219368497.3560672', '-4.76220164E+66', '-4762201640000000000000000000000000000000000000000000000000000000000', 73, 3);
    T('8.22503533736834159260120E+69', '-6.0E+5', '8225035337368341592601200000000000000000000000000000000000000000000000', 99, 4);
    T('-82410877.8726271427767057455', '-1214032541.72020744467175484', '-1291714557', 91, 0);
    T('-5681.2651183821754943046897', '-5064327.65216', '-5068471', 31, 0);
    T('7.409600', '970622661.20420790', '5', 56, 1);
    T('5.9300021913623462269458916E+67', '-86.626228750946809886909', '59300021913623462269458916000000000000000000000000000000000000000000', 94, 0);
    T('-9573467.8941602069881112050', '4.1952900032751687812E+68', '419529000327516878120000000000000000000000000000000000000000000000000', 17, 2);
    T('-28686456.70', '-1.1553046313090231003547802E+28', '-11553046313090231003556198912', 40, 6);
    T('-7.7E+17', '8969143706.063741746443348', '43122688', 50, 4);
    T('-1.49470032598191733393', '8.22E+55', '82200000000000000000000000000000000000000000000000000000', 58, 3);
    T('-124957.900841243667110786443097', '9.4720291E+53', '947202910000000000000000000000000000000000000000000000', 88, 0);
    T('-2.2E+26', '-9.6071372788287512061891735673', '-220000000000000000000000000', 69, 3);
    T('-470709.44689078070808126', '-1.241857E+7', '-12549822', 77, 2);
    T('3544.6330609', '-20395.99830235028893', '80', 31, 2);
    T('8440557708.980921320', '-730945591.2192292913', '7852302472', 35, 6);
    T('8.5684127E+63', '-3810335.591864', '8568412700000000000000000000000000000000000000000000000000000000', 79, 3);
    T('3.220397416160742880E+52', '-9009.7787150651234', '32203974161607428800000000000000000000000000000000000', 43, 1);
    T('-53262.737968414613', '9.662874483609453416311E+28', '96628744836094534163109979520', 10, 5);
    T('-1.633992603970040723657E+27', '-91959004.3079905050577393143418', '-1633992603970040723677064960', 28, 2);
    T('739461.54611548228159645654', '3.4650E+9', '196608', 54, 1);
    T('6.4629730549E+51', '4.567E+16', '36662115716562944', 23, 2);
    T('-5121.248264700595669038417138', '71838.3669203101831444631542', '67742', 55, 3);
    T('-3.44290885701127E+32', '444882.670509822842484890', '262144', 77, 6);
    T('6.74900E+46', '7.147396636831847E+24', '6389435712124533547728896', 70, 6);
    T('2.21237823842399453053365E+38', '7.9444393385191E+33', '2648181629330794327330501044469760', 94, 2);
    T('2.24416307E+40', '-7.8873915060242E+46', '21778322336584782241911203639920181641216', 56, 6);
    T('6538985.1764952554', '-9E+6', '6456000', 44, 3);
    T('-34.31', '2.14593829665454699216043E+33', '2145938296654546992160430000000000', 84, 6);
    T('8.86E+66', '-3975202.395', '8860000000000000000000000000000000000000000000000000000000000000000', 64, 6);
    T('-4595.38932', '893535.7278353588', '893453', 23, 5);
    T('-4.209154E+9', '783169.569403230880436', '614400', 95, 0);
    T('-4571749541.2205413492', '545204.652908389871571948', '272', 96, 2);
    T('-3.47083E+9', '-7585.037225109', '-3470835120', 98, 4);
    T('-5593.37270896308863683590966', '4106.7493582263940', '2', 77, 4);
    T('-3.1E+26', '-925733275434599597931628.541', '-310604464176031473936105472', 3, 2);
    T('-773.94614801102698204829', '5279.0067309120562893467', '5275', 68, 5);
    T('-6672.6904', '-65867.0501', '-72528', 79, 5);
    T('-9510599.5', '-19738714.609684', '-29179616', 34, 0);
    T('-27227681.19931321', '5526.4001913351694025279849791', '406', 41, 6);
    T('665333740.12772751770373723', '-9928074915370768.67809', '621291744', 15, 6);
    T('9.4955977E+9', '-29028.9179661043449090769069030', '9495577220', 32, 5);
    T('-6.1668E+41', '-77815773.78030052890320', '-616680000000000000000000000000000000000000', 51, 0);
    T('-7.244275518549585E+16', '7.35059E+24', '7350589999929626958757888', 77, 3);
    T('1098423.10080673283672968138894', '-3.4947E+9', '1048608', 22, 2);
    T('-4.11010137374975760477055E+28', '-4292253688685082778693.49446919', '-41101017439019624998300007776', 84, 3);
    T('56557.2289684979399890861', '7.344E+5', '5312', 86, 2);
    T('-4.452981539600107260317E+56', '-78', '-445298153960010726031700000000000000000000000000000000000', 67, 3);
    T('-4.567040556814939956055E+68', '-683760.48115271', '-456704055681493995605500000000000000000000000000000000000000000000000', 73, 2);
    T('9.3E+54', '-9373668.59098843972883907', '9300000000000000000000000000000000000000000000000000000', 4, 1);
    T('-3.0E+3', '5.846647E+20', '584664700000000000000', 44, 1);
    T('2.129E+34', '-5.1001878452674E+37', '23888528938108429911149309329408', 89, 5);
    T('37433.77941534903377616229', '451160789.3089283122', '529', 52, 6);
    T('202714.185', '929895.485818575920946981451504', '135234', 57, 6);
    T('9.4616264E+31', '-65.3117753052686410569', '94616264000000000000000000000000', 97, 6);
    T('2546932169418162117.7246555272', '5.2308874560383715615447E+55', '220818493619044352', 17, 6);
    T('-903245656.740854204260786372026', '1.39707715550E+23', '139707715549999176712192', 69, 5);
    T('984183759.0525', '-47.41374154782057495452592', '984183745', 47, 5);
    T('3.6E+46', '-5697.717420077775848', '36000000000000000000000000000000000000000000000', 42, 2);
    T('-50979540.6329981781341263229', '4120.9885948989702', '4104', 91, 4);
    T('-94607589.68700086', '9.9084859490680608209E+46', '99084859490680608209000000000000000000000000000', 26, 3);
    T('-7.10616E+68', '4.824873180406164E+31', '7661626619172873511529951002624', 64, 5);
    T('-3.6821837637444283722', '8.259482726908887E+31', '82594827269088870000000000000000', 44, 1);
    T('-35881.81130424906957670', '4.827E+40', '48270000000000000000000000000000000000000', 58, 5);
    T('4.707400808517170786324E+56', '-379119234.56825893113', '470740080851717078632400000000000000000000000000000000000', 93, 2);
    T('494749597.11711', '-10674480.99500791920355', '492635792', 2, 5);
    T('-9.1290164136E+60', '-98237.980212973627659617996', '-9129016413600000000000000000000000000000000000000000000000000', 32, 3);
    T('6.053357790821449447802034427E+54', '-5.8213914193551289071E+57', '2018210081781512868443223981139775298027379020584189952', 30, 2);
    T('96.82119', '9031.48932178310632153760', '64', 51, 3);
    T('105.8864343304005014132', '52746060.2689042188808', '72', 14, 2);
    T('9446335006.6535690851323402624', '170339', '163842', 58, 1);
    T('-3659', '5427.8374101', '4401', 38, 3);
    T('-969.351714054327994900051091773', '3.71E+39', '3710000000000000000000000000000000000000', 78, 4);
    T('-6.330285571209919E+36', '-7.2001211604E+29', '-6330285656028230233850115816083685376', 5, 2);
    T('-4.615E+4', '9.5E+6', '9453856', 79, 1);
    T('-5.1197761731E+38', '7116991023.34037230', '2147483648', 20, 0);
    T('985207.766450848581880', '786.7081', '18', 73, 4);
    T('22202.32679', '74153911055.41154638075', '16906', 24, 1);
    T('-9.137677007647769107568E+27', '6728866966713504.53326309831896', '1373075492832256', 73, 2);
    T('3.99018087032764524E+60', '9.360E+45', '3613287132839398683110606455825260428912492544', 74, 3);
    T('-2.34911E+27', '-9.50341659165463457E+69', '-9503416591654634570000000000000000000000000643149716640114237237100544', 58, 6);
    T('-9.12401727239194200E+63', '5.7E+45', '5665086338577592550679460848611270032118251520', 97, 2);
    T('-8132475217.9608', '57097.656727822115791', '17929', 55, 4);
    T('573.22943537899529463672', '-478044921.4012071', '5', 76, 1);
    T('8602.1223411923866337', '-8.869426488468336', '8600', 92, 5);
    T('-29092.173201147284821', '6930007396.227962', '6930007108', 3, 6);
    T('7.19274431827645479045541791', '-6202.918298570196', '6', 28, 4);
    T('35917006.661312437907402437', '-3.42148E+6', '33556680', 97, 1);
    T('8.82168E+28', '5.2841336E+8', '201326592', 48, 2);
    T('-7606048.45214265', '6.2533906179542940980321E+55', '62533906179542940980321000000000000000000000000000000000', 24, 3);
    T('994103462608.8863957264050', '321078.7781187716', '262672', 95, 3);
    T('-90750294.93195175596584146495', '-197331.74', '-90947544', 9, 4);
    T('-2.2908227E+27', '4.47744133022162E+50', '447744133022161999999998139897616150227199499173888', 17, 6);
    T('62760033.190615927795399344553', '705.626007445', '65', 14, 1);
    T('-463025.6971952673', '7.70728107074152804217837984006E+30', '7707281070741528042178379573772', 69, 6);
    T('3.9952074186130681E+32', '2.8955071852586E+22', '9447063533471376932864', 15, 4);
    T('-697.706231723203637742362728', '43429.97533241330820303636', '43269', 37, 5);
    T('5606206408.069283999976956', '53749.1', '49600', 99, 4);
    T('-78810.1666424730960894', '8.984155355676E+20', '898415535567599995904', 51, 2);
    T('9.33248965788E+49', '8.327967327629175726E+55', '82957367943100029077194899968973554240719819898880', 55, 1);
    T('10138044595283.012', '-689.227214618029360333702656219', '10138044595267', 47, 0);
    T('-424832263836897597.07026674810', '3.140718551155E+51', '3140718551154999999999999999999999953474715226472448', 45, 6);
    T('-9.31287345742265038823', '8.1146E+34', '81146000000000000000000000000000000', 74, 0);
    T('243718', '-2.5964608068039678985E+20', '40966', 14, 4);
    T('856.6155610971484', '-7.4E+9', '512', 74, 6);
    T('693408.0138922372479724944', '59.76474218970714992548657', '32', 14, 4);
    T('-14934.535970600720755', '-3.93E+6', '-3932128', 75, 5);
    T('6.72126682858913511174839E+40', '3717421823.3495131363', '1367474176', 70, 4);
    T('-5.15E+3', '300570982.6699', '300566882', 18, 6);
    T('-995.138376713461021763106', '9.3E+8', '929999872', 55, 6);
    T('76185.144568100258', '71733498769.6', '401', 69, 6);
    T('-76777560.7293589667121739272754', '-8.12930E+6', '-83856216', 57, 0);
    T('-646.80036452533113714553620357', '23072742.291654608513048594151', '23072098', 65, 4);
    T('-6.228859200928012', '4873.856251550031332', '4872', 62, 2);
    T('-6.961E+29', '-2E+1', '-696100000000000000000000000000', 40, 3);
    T('7E+41', '2.54195115536932812E+38', '38838751533824942605791824677049466880', 80, 0);
    T('4647245897584877197373.7', '4.8559941236129488151298E+31', '4335005686540381917184', 63, 2);
    T('3434791.829699582436186209', '-19277.3192792', '3416099', 25, 5);
    T('-7.4E+44', '-59995.9883890809508', '-740000000000000000000000000000000000000000000', 28, 1);
    T('-3.931332243611612046555E+24', '-9.03801451401E+18', '-3931333198429711317204864', 50, 0);
    T('34037.372220378447', '867056', '240', 89, 6);
    T('-7266629869.1987393', '6.9516850E+24', '6951684999999997045899264', 67, 2);
    T('-4313608.045015264012205334363', '32402.49810', '11408', 3, 1);
    T('-313723.732321899530598', '-952893', '-969599', 76, 4);
    T('-38.6453332254550578', '-3.9189497781E+33', '-3918949778100000000000000000000000', 49, 5);
    T('4.41385361503930136591052E+29', '4.156E+5', '148224', 50, 4);
    T('3653.04880080206', '-18406383', '1025', 77, 3);
    T('-2463.269512167323081', '-9.042036965774352E+51', '-9042036965774352000000000000000000000000000000000000', 73, 0);
    T('8.87830E+8', '696944975.204916811683634498', '545915200', 40, 6);
    T('-4E+3', '-96.047800017250013334118406', '-4064', 79, 0);
    T('-5.6E+8', '2.481990537E+47', '248199053700000000000000000000000000000000000000', 26, 1);
    T('-2.99E+3', '-33.7183', '-2990', 18, 0);
    T('-197.5929', '-5.0389047460481E+19', '-50389047460481000192', 90, 4);
    T('-38622.49249539550361180377', '-9.36540E+6', '-9369568', 60, 5);
    T('475', '-4.0E+6', '256', 44, 0);
    T('-968618262.3691863999164043803', '-3.5124793282191175600264201E+59', '-351247932821911756002642010000000000000000000000000000000000', 54, 5);
    T('-6E+4', '2492.63365981445135721006', '416', 89, 4);
    T('-74.40020119297', '3.313842819295665614189E+50', '331384281929566561418900000000000000000000000000000', 70, 6);
    T('-3.0764921361E+67', '-1.0E+8', '-30764921361000000000000000000000000000000000000000000000000000000000', 78, 1);
    T('-9.7223730076469903344189E+62', '-526.0880', '-972237300764699033441890000000000000000000000000000000000000000', 43, 3);
    T('-33605.4963', '48519.3592386', '15491', 64, 6);
    T('-5.557606674247E+53', '-72010613904141955551.5246406384', '-555760667424700000000000000000000044051979546333806592', 14, 0);
    T('-54633872382419880684.87961508', '89.59360784092969', '16', 94, 3);
    T('2.692967572E+66', '-98.9509749475754484912101363', '2692967572000000000000000000000000000000000000000000000000000000000', 79, 3);
    T('-5.4290085070067E+33', '-6.97E+70', '-69700000000000000000000000000000000005395767340767152633212899388555264', 1, 5);
    T('-8.5939919383843156255308453E+61', '-1.437200220523072316267305665E+59', '-85970544778499709008828838031799486601926114346473023294406656', 10, 0);
    T('-1.460978E+62', '6.2989084946397130826E+56', '26052424317485941851624227294390612862640426274439299072', 87, 0);
    T('6.994E+60', '-2665.985752219737', '6994000000000000000000000000000000000000000000000000000000000', 32, 2);
    T('-8.670014688281456E+18', '5.032728308683083234E+48', '5032728308683083233999999999995365791533849640960', 77, 5);
    T('7527270489440945544514.1975174', '-9.62292449825E+15', '7527270483990358824000', 48, 3);
    T('-7.65139102190578671035', '-3.83674654303127775100E+70', '-38367465430312777510000000000000000000000000000000000000000000000000000', 15, 5);
    T('41.9429585067381687444716', '361850.16976158747', '40', 40, 6);
    T('-83349600.603', '-1842691.877475', '-83877472', 69, 4);
    T('9493.14946822598', '94.4496770112710197555412586047', '20', 94, 2);
    T('-8.546942537696853169E+51', '3.291126344799671E+33', '40703701518501291763656709636096', 51, 6);
    T('1.31964735E+9', '68.62547911003573170', '68', 34, 3);
    T('-2148767498.3311999637', '-5469923.258548950', '-2152986604', 11, 2);
    T('3.02E+24', '-6.66922E+9', '3019999999999999907725312', 62, 0);
    T('-54.187898913227', '-62113.7145579578', '-62134', 41, 4);
    T('-3.398869603498360607048741611E+37', '-56788278.3', '-33988696034983606070487416110033588224', 35, 3);
    T('98', '-3381531.4853', '96', 44, 2);
    T('969004602.1267', '326971.786307129663598590878341', '54330', 32, 4);
    T('-1.53424227412641557100639171E+60', '1.18063283797E+65', '118061751175011415485134461697266169683953628752725656416806764544', 5, 3);
    T('-62.1245', '385104876.667098', '385104832', 48, 0);
    T('-3.277267670885266603713802973E+37', '1.873549926435254E+19', '18735472804665230336', 40, 4);
    T('-7.69940E+26', '-3.76E+40', '-37600000000000633930495691964695684579328', 87, 2);
    T('-4453.93', '-552661.7648075580', '-557045', 20, 3);
    T('-2.1458E+7', '2567.8', '512', 25, 2);
    T('758428559289780661.768888', '-6143131184139073139803', '757812553567963557', 68, 0);
    T('-5.350849912361540E+32', '-11476.5067716085275363', '-535084991236154000000000000000000', 42, 0);
    T('-5876964.1003759771472873441', '-978206.54405574465961486', '-6286848', 14, 4);
    T('-4E+7', '-52519995.91390', '-56851968', 57, 4);
    T('-9E+6', '4.598611885565654242625E+70', '45986118855656542426250000000000000000000000000000000000000000000000000', 12, 1);
    T('97591690.5871955313351980544', '-2.8969351809424646568115', '97591690', 35, 3);
    T('-3.450655103E+34', '-1930.36273618201998441068575176', '-34506551030000000000000000000000000', 95, 1);
    T('-1791.63303143', '4.65928870E+57', '4659288700000000000000000000000000000000000000000000000000', 64, 2);
    T('-5.977407E+31', '9E+10', '3221225472', 88, 4);
    T('-9.66E+8', '29603.7', '640', 48, 1);
    T('76.7251852726749936', '4712', '72', 57, 0);
    T('-21902336.9138499', '-6.9890E+6', '-24033280', 63, 5);
    T('-4094740.65', '33913.5793313609', '33896', 50, 4);
    T('564605.1712800568', '-7374841.4252231187390502', '530437', 30, 4);
    T('582312.3206', '75.79', '8', 35, 6);
    T('-9.003040663073727E+38', '2.053423521618E+25', '963364428865865676488704', 6, 1);
    T('93119141.5422387663116', '4.440721E+17', '84434944', 65, 0);
    T('1.566E+39', '-49.416895833080011578690804', '1566000000000000000000000000000000000000', 32, 3);
    T('108.757620933563113326797', '-9636311957.38684011', '104', 5, 5);
    T('-6613356.85016562331697', '-7438.515797845952638', '-6618480', 81, 4);
    T('7203239614.3707181480003210', '-3.5', '7203239612', 74, 6);
    T('-37217.8087023590248525594850175', '171.7300', '139', 66, 5);
    T('-6.40593739589510836112E+43', '9.8E+45', '9748224825491832093865019592847984882928844800', 52, 1);
    T('-1608296.802403192982709', '6.6143644E+42', '6614364400000000000000000000000000000000000', 4, 6);
    T('9.5E+9', '-321151589.54625142253578946803', '9195625728', 95, 6);
    T('745081218.6204639045282', '-715.376366812073612932822892', '745081088', 88, 4);
    T('-9.7291741139E+21', '8.7940721E+22', '78214519706196906508288', 85, 3);
    T('-4.87E+7', '6.676E+66', '6676000000000000000000000000000000000000000000000000000000000000000', 23, 1);
    T('-318432.96266724025', '-2.9805060299694074477E+58', '-29805060299694074477000000000000000000000000000000000000000', 37, 3);
    T('-4.1769004229468636556890494E+63', '-5696772944.80', '-4176900422946863655689049400000000000000000000000000000000000000', 83, 1);
    T('-982432.988804965681336183', '1.2748E+9', '1274085888', 6, 6);
    T('9.1852390904913343111064091625E+44', '-9E+9', '918523909049133431110640916249999991139467264', 34, 4);
    T('6.78648E+6', '-644.25406820099120', '6786352', 48, 2);
    T('-450856253375670572942933147', '2.8299E+8', '274071840', 49, 0);
    T('22431.81128', '-943.644580686223087576', '21521', 70, 4);
    T('6857.3590144810406732', '-226.93463625518', '6664', 31, 0);
    T('6.5727586038093490E+21', '867.96685550265942206', '832', 94, 4);
    T('-121.962664011468196039158457', '-9063296.52147755784738737', '-9063296', 29, 0);
    T('666007.9078', '-428441324226529.0', '665623', 53, 3);
    T('-7.361567326563802007E+34', '4.989258E+66', '4989257999999999999999999999999947183937784447144967040706568781824', 78, 3);
    T('1.600762E+67', '-9577062.17679708300480835619176', '16007620000000000000000000000000000000000000000000000000000000000000', 80, 2);
    T('3.11E+22', '2.69072077479977731866E+22', '21557614804998812598272', 49, 1);
    T('7.72414688520435E+18', '-92871.6291310838987526279', '7724146885204284464', 8, 6);
    T('-175.002639215580199613159958', '-7.231333793E+35', '-723133379300000000000000000000000000', 10, 1);
    T('4.4037654579486451756408332427', '-7.542773E+7', '4', 67, 0);
    T('265.27885668177461', '-5809887803.226463951773540061', '257', 90, 5);
    T('1.64714518E+36', '5.0125521204403306E+43', '166366544156907469892994498960556032', 71, 6);
    T('874.82748141561472662706195', '14082.251506224', '770', 42, 2);
    T('-5524.183737324320166983437', '12.75507783793078147', '12', 69, 0);
    T('5.8659E+46', '-6.27910486192634777291E+60', '57136603141321367049364710070395147864862883840', 65, 5);
    T('-33367218.7', '-8.8163E+31', '-88163000000000000000000000000000', 77, 0);
    T('-7.9004508E+10', '5.0927046700253077974E+32', '509270467002530779739931280457728', 97, 4);
    T('-2.2906099893E+41', '3.0584967E+26', '5072435247606667679891456', 62, 3);
    T('-257901.6806663303', '4600.517823811713697679146866', '4240', 29, 1);
    T('64326.48', '-1.81130050', '64326', 43, 1);
    T('-90347334.2356910984', '-368208065.095282715352980228389', '-368246726', 21, 1);
    T('-9.969175375690E+58', '-8.0392636731833421E+47', '-99691753757699264457328873682470453175752722114744581881856', 86, 2);
    T('-4.860588441451216958889576E+70', '-43.34793', '-48605884414512169588895760000000000000000000000000000000000000000000000', 60, 0);
    T('-1.256536', '-9.95806', '-9', 3, 0);
    T('423962.4969994687909271847926', '-729616.726271609541971260', '284688', 95, 0);
    T('3.46132E+17', '-5.01203750484653159324159581530', '346132000000000000', 53, 3);
    T('49.773939116100215444750324', '10642', '16', 85, 3);
    T('-2.093659948E+63', '-8332079319.5816071957661453', '-2093659948000000000000000000000000000000000000000000000000000000', 33, 2);
    T('-6034181169399857834649366567.2', '-5788946.8598557208574', '-6034181169399857834654102840', 2, 4);
    T('-6.9801733E+40', '-4.493E+50', '-449300000001361898049313277057696636705129952706560', 64, 0);
    T('34580.54', '-7E+4', '34320', 74, 0);
    T('-2491994465.451115526988', '1.279949037319924E+18', '1279949036983822336', 79, 6);
    T('-5.607719E+30', '-605174.480633332796467681', '-5607719000000000000000000000000', 54, 2);
    T('-4517636.53427435990406161', '8.757717856057483384E+43', '87577178560574833840000000000000000000000000', 40, 2);
    T('-5.317523917491221517057514758E+57', '6.6842033414070068E+25', '19693926134691430314016768', 29, 6);
    T('78.294147278141', '36822462.7195218', '14', 34, 1);
    T('323.729474684661093349712143', '797174878.544463204', '66', 21, 3);
    T('-4.26697E+36', '-30686.335917519681911176', '-4266970000000000000000000000000000000', 32, 0);
    T('-81.239038513756', '-9.929467581966418594880E+69', '-9929467581966418594880000000000000000000000000000000000000000000000000', 20, 2);
    T('-68.89068489976', '82277783442746931688603', '82277783442746931688600', 72, 0);
    T('3151656.9967580497', '-1.782349008726701569536201E+44', '3145728', 60, 1);
    T('7E+62', '-3235274504.80719870374422102', '700000000000000000000000000000000000000000000000000000000000000', 17, 5);
    T('8.778E+7', '830011729201166678488.957163278', '16869504', 45, 5);
    T('6.99054084532832990E+35', '-5.67255E+59', '11074196148320342335058030454898688', 40, 2);
    T('4.4469376857880E+62', '-9E+64', '438046287977913342048871744295960578663761264249551355876737024', 78, 6);
    T('722457324662183.43535487', '784.4085152876589', '256', 76, 5);
    T('-7.3916420689756273859771469534E+45', '-28048631232.744235979', '-7391642068975627385977146953400000025875972096', 67, 0);
    T('210.58503233', '159.74106', '146', 89, 4);
    T('3.97E+21', '-8315.3', '3970000000000000000000', 65, 6);
    T('-25.768005658173', '61.6452', '37', 14, 5);
    T('46.87076160178373350837', '30922.84280330225729391164317', '10', 29, 3);
    T('95281', '-6845559.1414633138306546844', '65537', 29, 0);
    T('-300093206.33348071957', '53.04082096931290912', '32', 37, 3);
    T('-4657769.21418190', '400818', '3474', 90, 4);
    T('-439035778019746254.36', '-83359.484', '-439035778019747296', 18, 2);
    T('-6.997', '66.4', '66', 87, 0);
    T('-7.9684476198447950174830082652E+36', '23053196.009802254', '589824', 24, 3);
    T('-6.8681E+50', '-7.09700452', '-686810000000000000000000000000000000000000000000000', 38, 5);
    T('-327.360', '-5.398E+6', '-5398000', 4, 0);
    T('8.21036286340435E+26', '-9.850E+5', '821036286340434999999737856', 69, 2);
    T('6.6779367937055902918651689464E+45', '-94.802957105300524175382970769', '6677936793705590291865168946400000000000000000', 68, 6);
    T('-9.329087081E+12', '-6.43381273622805336679841114645E+34', '-64338127362280533667992907965000512', 18, 6);
    T('-42116.03902161', '6808365.324671038125364230', '6767404', 93, 0);
    T('7.51361280005317177031444E+30', '-18.28558', '7513612800053171770314440000000', 68, 2);
    T('-6664575155.25341', '930.18357', '768', 85, 0);
    T('-11977.5670528100', '-79.39554899918297068030', '-11983', 2, 6);
    T('-341632626670556.3686868070720', '7.65969176873421527511676131E+64', '76596917687342152751167613099999999999999999999999693786011664384', 98, 5);
    T('1.023E+8', '-606317826.3271', '35147872', 62, 5);
    T('-5449.5', '7.6633E+55', '76633000000000000000000000000000000000000000000000000000', 76, 1);
    T('7.9135674E+34', '-1.14453834371307600336178202', '79135674000000000000000000000000000', 99, 0);
    T('-2.236974314', '395.77593333053673', '394', 82, 0);
    T('6.3E+2', '2.92963900007374', '2', 67, 0);
    T('-6809149686.0', '4440680102387553066609.34749846', '4440680102380819488256', 2, 1);
    T('3.79499E+9', '-6E+16', '1613889536', 85, 3);
    T('1.9870E+5', '8.1877845', '8', 20, 6);
    T('60169781.0936376410356931717', '-8.43', '60169776', 35, 1);
    T('-1685.62839523229367', '-5.7E+8', '-570001152', 67, 5);
    T('3.5E+6', '71.472070436391504', '64', 98, 4);
    T('8186395.9038563659188557', '-3.9E+6', '4483072', 44, 2);
    T('-5.087313E+53', '2.64466543143426E+37', '666246774110333656766187953434132480', 80, 6);
    T('-689.45881047073921097715383361', '77719468.6109270206290331597', '77718796', 75, 1);
    T('2.7877205620245636182586E+61', '9.063026388611543100006673368E+47', '902020895683998296081491179201001306802681282560', 48, 0);
    T('4.9E+40', '7.8156339E+42', '46306316827530398328181993887833717211136', 78, 5);
    T('-5.634332631619576', '7.870879578970564114428686133E+52', '78708795789705641144286861330000000000000000000000000', 15, 5);
    T('347723694.47551613472110154', '-516163.87427257628585804890', '347609004', 82, 3);
    T('1.420816624296497731859E+27', '-6105503.986784348564', '1420816624296497731854271040', 100, 0);
    T('31.33436345950', '14592338.780361684449241957107', '18', 93, 6);
    T('-3.19237E+7', '-3.43E+49', '-34300000000000000000000000000000000000000000000000', 13, 2);
    T('-8555.53519896349475592267435206', '9.47E+5', '938512', 86, 5);
    T('8.87070934431774653330E+64', '-1.89241685008451992', '88707093443177465333000000000000000000000000000000000000000000000', 74, 5);
    T('-4.2E+8', '-531761956.94742083121778856260', '-532331520', 88, 0);
    T('91.90', '-80527595426.9504260945984754552', '90', 6, 6);
    T('-3851.24764254322036732302', '3.44188823008921042105222E+38', '344188823008921042105222000000000000000', 94, 2);
    T('828.935548', '-89.87662297241', '804', 84, 3);
    T('-5.3832495959591E+28', '-901405730.7704', '-53832495959591000000008519680', 12, 5);
    T('447357035434', '-622067.9474451564', '447356502536', 88, 5);
    T('-301494.095752665288328843533550', '-5.3020417890053717292036052E+26', '-530204178900537172920623096', 14, 4);
    T('-9.05068708193357814222640705E+49', '2.1494255945566352951719951490E+66', '2149425594556635259707026574575886380641091848024130378966654517248', 90, 4);
    T('9.645648094540244375E+37', '560154892.08357130333002617', '20971520', 35, 2);
    T('5364351529.505328340', '-172796140148619393643.0226181', '179109889', 76, 4);
    T('-80056.91508', '25.490281694801', '8', 38, 0);
    T('7039.97606', '5408.4', '4384', 60, 4);
    T('5.7083455444138610174793148E+65', '-920265009.5190127305932601', '570834554441386101747931480000000000000000000000000000000000000000', 86, 0);
    T('9508539593.09108', '46064250.585', '41992264', 67, 0);
    T('879.0', '84.2334489327', '68', 73, 0);
    T('-7.2121764E+47', '-7620334663.137541473', '-721217640000000000000000000000000000000000000000', 89, 5);
    T('2.09241633195E+38', '-586487326.46790', '209241633194999999999999999999463129088', 22, 3);
    T('7504949907.810193178381768', '-5.5416744132', '7504949907', 59, 1);
    T('3.75274536651984794652149E+43', '9.408045304879522708572E+60', '23545166127227825522052621355095676984229888', 10, 1);
    T('-315566.284441999591283728610157', '-3.494043742', '-315568', 97, 3);
    T('-83.66482681703691390', '590.2314255107', '524', 95, 3);
    T('-784.88876255572985868193329497', '-75742634.87829143', '-75743152', 35, 3);
    T('8050660722.23017', '-36.33278', '8050660688', 17, 6);
    T('-44678898.487975495753073', '-63.2098924794277491917282', '-44678912', 18, 4);
    T('-111673130463507009266.92', '1.1575844341005E+37', '11575844341004999889193293806661795840', 56, 5);
    T('605068171.516701420', '8.54026314838402656826772524076E+31', '605061376', 38, 5);
    T('-748487767.12762537', '-782523.94312953379587125520468', '-748680447', 2, 6);
    T('6.4399628073E+44', '-2602592608.804981352257059', '643996280730000000000000000000000000000000000', 15, 5);
    T('-25.97905996509640350', '1.894871124658281135E+46', '18948711246582811350000000000000000000000000000', 88, 0);
    T('-449.028736926527938770703', '-7644705962.1554150893533603530', '-7644706282', 95, 3);
    T('-2.100198808027330182E+70', '2.320E+18', '2314850208468434944', 20, 2);
    T('-406.5064374392', '-8.09256518622570E+20', '-809256518622570000384', 74, 0);
    T('-9E+2', '-999248968.470160674', '-999249864', 66, 0);
    T('695.8962321065478963', '-577.5011527753', '183', 84, 1);
    T('878276770.4624113037254', '-8.20759E+7', '806948864', 6, 2);
    T('748554.8323331699', '381129.12', '81928', 36, 4);
    T('-8.601200641904E+40', '-48828.67', '-86012006419040000000000000000000000000000', 1, 5);
    T('8E+1', '29661112.081408', '16', 47, 2);
    T('-6.42891080520030374951685201E+33', '5925.166323272', '256', 74, 6);
    T('-4.3E+17', '-851.1', '-430000000000000000', 87, 4);
    T('-95238636.70599917906245', '-3.417046384025975784646675013E+38', '-341704638402597578464667501300077674496', 79, 6);
    T('-9E+4', '679229333.13977856', '679223312', 95, 0);
    T('-32571.8', '-740.7985', '-32764', 15, 2);
    T('-5.55883', '6.6497585513E+44', '664975855130000000000000000000000000000000000', 87, 4);
    T('1.4689472140412083417E+37', '3.90768414E+9', '3233808384', 24, 2);
    T('-4025590.00434004', '-9.94716683E+60', '-9947166830000000000000000000000000000000000000000000000000000', 62, 5);
    T('3E+33', '-4.548846807999E+62', '373427955533730358370827092623360', 84, 5);
    T('-955380824.99530026856', '-36', '-955380856', 38, 1);
    T('479336.4670230420474327077812', '-2.1E+5', '278560', 43, 6);
    T('7.4992333E+25', '-557131481.4612701705418851', '74992332999999999445041152', 29, 1);
    T('-4.64685961121', '27.871281438606', '24', 11, 5);
    T('-971356350.7332983792228', '69.80753944983795954506977', '64', 55, 1);
    T('-8.260689062', '-4.44858E+68', '-444858000000000000000000000000000000000000000000000000000000000000000', 14, 4);
    T('-4.495644006', '1.516E+8', '151600000', 39, 3);
    T('-803158277018665653037368.60', '-3.9486E+6', '-803158277018665653037368', 23, 5);
    T('-9.31460040783E+60', '-7.41878593646541849011E+24', '-9314600407830000000000000000000000004837699057640585188868096', 16, 4);
    T('-7637654.75418089315', '-6.440934E+9', '-6442244864', 22, 0);
    T('-4E+4', '-3.47E+61', '-34700000000000000000000000000000000000000000000000000000000000', 24, 2);
    T('-16314.09231582413820177665', '3.4217388950646404797918720954E+68', '342173889506464047979187209540000000000000000000000000000000000000000', 67, 1);
    T('-63164.8265650020479', '85.98382307328', '68', 92, 6);
    T('-52.78512994474987634240', '-5.054129814E+12', '-5054129814016', 21, 2);
    T('-3.7881094556911E+54', '-542.20831514699037231879181380', '-3788109455691100000000000000000000000000000000000000000', 19, 6);
    T('336812.50066125628611629353300', '-530152798.16471092515350770', '262816', 21, 1);
    T('3635191190.9111599361997088', '-5.627453784', '3635191186', 81, 0);
    T('-24677.18', '5.35032765057823884692E+69', '5350327650578238846920000000000000000000000000000000000000000000000000', 32, 1);
    T('-1926.154047355832825767', '2.18944826E+15', '2189448259999744', 96, 5);
    T('6.888867E+21', '7657584832.421771', '7522549760', 67, 1);
    T('3999414.5198795461046786631', '3.5714294208876293E+24', '3933184', 81, 1);
    T('217.8328280793114', '5.7E+2', '24', 90, 5);
    T('-4466505084021382158.6', '9.99239936336975581735E+53', '999239936336975581734999999999999995580822507497717760', 97, 3);
    T('5.18319614159', '-146394.2807433913695263460901', '4', 27, 1);
    T('-2.10188218437776960331724', '1.6259090360838995251443381991E+68', '162590903608389952514433819910000000000000000000000000000000000000000', 81, 2);
    T('-1.198712249533406E+31', '-2936328979212647013471381.2616', '-11987122692680967334707775668224', 13, 5);
    T('7.272899921720887539153845593E+30', '-87884.39495570418598890942', '7272899921720887539153845526688', 56, 1);
    T('445004.69266', '-738872.44107439222', '297032', 26, 1);
    T('-8.5499126316', '-299753.44126778', '-299760', 58, 6);
    T('-8056011.030298224314', '9.630463939459117E+42', '9630463939459117000000000000000000000000000', 23, 2);
    T('-63.51862358231181414500642', '1.0E+6', '1000000', 60, 5);
    T('-39236624.0782400335842947416', '698859102.26172890078047197078', '698419792', 75, 5);
    T('-1126122507.6029', '-5.762356E+48', '-5762356000000000000000000000000000000000000000000', 54, 5);
    T('-6703475.575630875', '-8124.11213739349718', '-6709244', 31, 4);
    T('-4140618.3', '2445352712.528086', '2445283584', 90, 5);
    T('4.25E+9', '-966015678521683804.3851', '3359756416', 17, 5);
    T('-71076905893946306.3814965', '-505.954053397620615', '-71076905893946362', 57, 6);
    T('-7.70160272735150720E+65', '7.554805831803E+38', '734170098162665523085053549622482436096', 92, 6);
    T('-1.7975E+59', '-6842838712.917916784', '-179750000000000000000000000000000000000000000000000000000000', 76, 5);
    T('6.337E+9', '-2E+17', '5379457024', 92, 1);
    T('7.9035E+37', '-7942298889.418', '79035000000000000000000000000000000000', 19, 3);
    T('7.24586358861894030828410E+68', '-7.1725145E+9', '724586358861894030828410000000000000000000000000000000000000000000000', 87, 1);
    T('3.95857998075974189651123059854E+62', '36387155798889199245.121', '9263909965418987520', 84, 0);
    T('20230582.43', '457138.67262667', '307634', 39, 3);
    T('-2014067.08', '-7019877.68665004488754', '-8372087', 29, 3);
    T('-1007275491', '-8.7E+9', '-9639559168', 15, 4);
    T('-59234212.90804172145', '-8.7967776793257E+49', '-87967776793257000000000000000000000000000000000000', 13, 6);
    T('8.190018435672496207798126E+67', '-93066105.30327458931998', '81900184356724962077981260000000000000000000000000000000000000000000', 23, 5);
    T('-464775807.895282687837', '41377.9179', '385', 4, 5);
    T('-6507.311216098900592681537', '-4.80169863735408378936848134E+58', '-48016986373540837893684813400000000000000000000000000000000', 3, 3);
    T('-1.4738361E+43', '8.3520439016302654151E+70', '83520439016302654150999999985267088917938101852829645013779721698148352', 57, 2);
    T('-97825379.254', '-85.029029788780723725595298', '-97825399', 96, 5);
    T('-1.1588535685207156E+38', '-99814.8998291527418689921', '-115885356852071560000000000000000000000', 43, 5);
    T('5.4253713611523E+16', '-641.307067', '54253713611522360', 44, 4);
    T('8.830631566E+62', '-772695825157694274353.670461', '883063156599999999999999999999999999999999967700183472498802688', 93, 1);
    T('-2.42758E+6', '3.2949471950151E+36', '3294947195015100000000000000000000000', 43, 0);
    T('28.74141371', '4635.8606922510868041852417399', '24', 17, 4);
    T('-4582.2178119', '681154970739306.799499822400', '681154970739210', 11, 1);
    T('-1.129982338521E+52', '-9915480.048596254', '-11299823385210000000000000000000000000000000000000000', 10, 3);
    T('-574399645.6453', '7.80E+54', '7800000000000000000000000000000000000000000000000000000', 100, 2);
    T('-1.4350886105E+50', '-801298325216.394166107995278', '-143508861050000000000000000000000000000000000000000', 13, 1);
    T('8.1314E+58', '-6.49112856280308221434994E+58', '29036625571261900683485595874795430916586121282372503601152', 21, 1);
    T('232.1301159', '9952', '224', 94, 2);
    T('-60768945.0', '9E+5', '47360', 27, 6);
    T('662294.61083526859489366', '-426.3726374480027904744245259', '662038', 54, 4);
    T('-727958024.882292', '-7399066631.2845746', '-7439109640', 66, 3);
    T('93847884.81613520279455845', '783.86', '268', 34, 6);
    T('270495748.4944441243', '-7.694112856', '270495744', 86, 2);
    T('-2081508430.90521492787434304', '5.136082E+7', '51294256', 69, 2);
    T('533133.3390739476', '561221064.57503779139', '136', 14, 1);
    T('74055374.497424607369271145', '36577760.80', '2629824', 34, 1);
    T('-5E+40', '-8E+4', '-50000000000000000000000000000000000000000', 73, 0);
    T('5.66983709379E+44', '-648820537739756899005083.5', '566983709378999999999390222081945696731136000', 82, 3);
    T('-927913375.0865735', '-5E+46', '-50000000000000000000000000000000000000000000000', 36, 6);
    T('-90293.251905352843314512251037', '-3.9E+27', '-3900000000000000000000000000', 23, 2);
    T('73843.74065273429492', '-53.598594518154761', '73795', 14, 5);
    T('12094544.366', '-812.3055222024018168100322', '12094544', 76, 3);
    T('-5.0E+2', '311256236440.12284665', '311256236040', 74, 5);
    T('-9.93889850787E+13', '4.685743779E+68', '468574377900000000000000000000000000000000000000000000000000000000000', 30, 2);
    T('-3.2173192', '-95958147.6992', '-95958147', 5, 5);
    T('-3.483572E+8', '737.1470203388537955619691', '160', 61, 6);
    T('5.5368905930943727054E+38', '-848320.772617052735453206414', '553689059309437270540000000000000000000', 15, 5);
    T('-7.12796933976245933745239530005E+63', '-7.6001E+35', '-7127969339762459337452395300061969162847892154872283672208211968', 9, 0);
    T('-61568516.0622583964009264553', '-2981.18910814492892', '-61570984', 70, 4);
    T('57.23', '908633.60736039535206112647', '25', 65, 1);
    T('1.851095956629891111002651E+57', '9.2592605349E+53', '767276670663656347380837760998013037044527329781481472', 82, 3);
    T('-3.96864', '-1.42798756E+11', '-142798756000', 55, 0);
    T('14622894', '370259184.27712', '1122464', 18, 3);
    T('-6.6636E+70', '-7.1E+7', '-66636000000000000000000000000000000000000000000000000000000000000000000', 51, 1);
    T('-44954.27', '6.39230466029972215706571428348E+55', '63923046602997221570657142834800000000000000000000000000', 35, 1);
    T('985347.096387595911503', '-451.0', '985089', 75, 6);
    T('-5071.2835818140', '-633165678435226684.1744', '-633165678435227648', 43, 1);
    T('8E+10', '-2.91291581151487099347452674977', '80000000000', 33, 3);
    T('75885940.81032709975', '-949820', '75596100', 100, 3);
    T('5.6464231194E+66', '-5.94073512573261578971015E+49', '5646423119399999999812294605800611160963278373252711345447057227776', 25, 2);
    T('3.0E+39', '-8.002545821812E+15', '2999999999999999999999995494201349373952', 24, 4);
    T('5.06621886888E+57', '-60040612164625145441.70660887', '5066218868879999999999999999999999999963018128709893750784', 56, 5);
    T('256', '-2792.54964514677180534800862002', '256', 6, 3);
    T('570.30607', '-6.53209460365219', '570', 27, 5);
    T('-912.97156035007722120480853119', '-8627.150648225362273938391823', '-9152', 71, 2);
    T('-4.12E+6', '-9.5703694735747127294E+47', '-957036947357471272940000000000000000000000000000', 19, 5);
    T('-5.6E+3', '-5.3710087178762365404E+65', '-537100871787623654040000000000000000000000000000000000000000000000', 98, 2);
    T('-47.28379657508949499495104766', '-3845.2', '-3887', 45, 0);
    T('9684426.193722', '-945533.467', '9535618', 76, 4);
    T('3178622717.603604705313', '6742.0447020081', '2644', 72, 1);
    T('-68020694.872017383056037161', '-8601.95131511717407257334393686', '-68020702', 20, 1);
    T('-6.90097506083507E+40', '-8E+1', '-69009750608350700000000000000000000000000', 28, 2);
    T('42341', '-64.852077532', '42304', 67, 5);
    T('-7.63676511711864957704999E+63', '-2505200.998061273820527411', '-7636765117118649577049990000000000000000000000000000000000000000', 53, 2);
    T('-52933256.359688988', '5.46387678487E+63', '5463876784870000000000000000000000000000000000000000000000000000', 30, 2);
    T('7519.379686150623', '3.98596E+6', '4104', 9, 0);
    T('4E+7', '352296457.053988793558675509', '6429184', 67, 1);
    T('-718551456.30871055', '288287927.89566131999868066', '288015392', 26, 5);
    T('230234506.8', '56889270.6532376518076217', '18876802', 88, 5);
    T('63.92340391425', '-2.6066', '62', 82, 3);
    T('7.0E+4', '-1724510115.64321700622554475356', '4176', 1, 0);
    T('-97.089548459129822540341', '532.390923553', '532', 86, 2);
    T('-66526.16579445321', '-826272720.6056700520393358604', '-826272736', 74, 3);
    T('3183984.85746689893963189714271', '39198340.72109', '1053696', 9, 1);
    T('8.7651969484E+65', '-90343.3967117543907177421190', '876519694840000000000000000000000000000000000000000000000000000000', 53, 5);
    T('1.84E+12', '-15048185.358466016', '1839991513088', 100, 1);
    T('86392682774828722599.6505692620', '9.6473461530732E+46', '3346209707508367360', 32, 0);
    T('-759628.1767990049704404810', '8.09249E+7', '80756900', 88, 0);
    T('-9.07717051E+27', '-2311372.6585321100647341', '-9077170510000000000000000000', 59, 6);
    T('-2908888.8158731928175443', '7.44898E+57', '7448980000000000000000000000000000000000000000000000000000', 44, 2);
    T('7.9517333E+28', '2.54248681901E+64', '79385333108757200295056900096', 10, 3);
    T('-2.257994044250653E+40', '-9.51438105741296963074204E+67', '-95143810574129696307420400022459977451980495830473753482522708148224', 62, 4);
    T('8915612818', '-2.4323555233682737112', '8915612818', 31, 2);
    T('-158.2823295', '8.429425134001E+40', '84294251340010000000000000000000000000000', 4, 0);
    T('-1.962E+5', '-4.009645364E+41', '-400964536400000000000000000000000000000000', 94, 2);
    T('-8.10277032478E+26', '-8537.14835534562775127439790', '-810277032478000000000000000', 11, 0);
    T('37026.379333258708861', '35534429.17606161', '4096', 19, 1);
    T('1.6357836212281025384740E+65', '3.781254019E+57', '3338158419211503796926316713061983347369396731533122863104', 57, 5);
    T('410.589474070156393794824492', '-3572.6817', '8', 75, 6);
    T('901.370692553', '-4977966.6784364045531989017', '640', 96, 5);
    T('-1.31E+14', '385211.933417458674544', '49152', 70, 6);
    T('-22294709.3822', '-769.380861968809', '-22295477', 38, 4);
    T('4368229635', '1.77601837E+36', '4294967296', 74, 1);
    T('-1.77005969765543879E+52', '1.245397347480920431226E+65', '124539734748086413366689055162585734363757700801138781100512903168', 27, 0);
    T('9.97385E+9', '-40029.76651028013584904', '9973810048', 8, 3);
    T('9.973734989E+16', '-380350.01411730982353844', '99737349889982464', 87, 3);
    T('-298649.6619456992', '6.16058077380853441E+43', '61605807738085344100000000000000000000000000', 51, 6);
    T('3598466.2886210745229', '-651374.244757130146183300', '3541122', 69, 4);
    T('-57.724331602269761129677962335', '506929840', '506929792', 49, 6);
    T('81975708', '7.4918460142539733084614E+47', '67108864', 23, 4);
    T('-3.8514242830354779159923360710E+35', '-1.404418484308E+50', '-140441848430800385042218759195183690968275640909824', 37, 3);
    T('8.86833582E+9', '9.0704638330104059E+48', '8589934592', 7, 4);
    T('606352.42455907220433', '8900.29274799333', '128', 25, 6);
    T('-4486714492.7809399', '-4.345E+4', '-4486725116', 21, 3);
    T('-4E+6', '-6416491.47059', '-8251648', 64, 1);
    T('50.409600968679157874', '7.18210736', '2', 100, 5);
    T('-4.4743982555E+32', '-102544490.122891961234910', '-447439825550000000000000033554432', 66, 5);
    T('5.52200010412666E+21', '-2.9E+5', '5522000104126659727616', 62, 4);
    T('2.08273322935315685E+40', '-182184752.825011010578733665890', '20827332293531568499999999999999991611392', 26, 5);
    T('3.901155358710940399E+40', '-8907.4940882196770408047', '39011553587109403990000000000000000000000', 64, 0);
    T('-458250611', '9.139844120E+45', '9139844120000000000000000000000000000000000000', 98, 4);
    T('-3.2936606441025019939145E+23', '99.18152076951952127781', '34', 97, 4);
    T('37.6716265675796321302', '-506127.1624081481', '33', 17, 1);
    T('4581.41096370608', '-5.9228154435227E+21', '256', 19, 4);
    T('-52234177.07308330995', '-5.8590604161834610284E+27', '-5859060416183461028418154496', 20, 6);
    T('-3.325334600994380063169892E+40', '25089766.0', '18612224', 7, 5);
    T('4082783574987338.632811104321', '-9.47648132594169468E+18', '3518716391068168', 14, 1);
    T('-6050083865.5', '594668891.4646', '56691011', 48, 1);
    T('-61967.25764016094520109304', '912346341.74393597883348', '912329953', 41, 1);
    T('8553.19775902', '-1945.1574', '8289', 27, 5);
    T('19629.5062', '-8.36409712499187789509649', '19624', 22, 3);
    T('-1.17282704824501457338241', '8565602.5970936181979', '8565602', 49, 6);
    T('-251259.501569864374', '-39624385355997.1395961418148', '-39624385492479', 40, 2);
    T('-1.62739320873470732E+44', '-52544430.274857832', '-162739320873470732000000000000000000000000000', 22, 3);
    T('-3.28E+4', '54.96627', '32', 31, 6);
    T('-4.753168759996E+14', '4.336E+6', '4325504', 10, 5);
    T('309.247582766707730608302118546', '-473545.4551270206536176', '53', 46, 1);
    T('737.9412589600323700986566', '-4667725184.9035282575', '640', 10, 4);
    T('8.326388792882063943385481', '-7297.75890420105', '8', 64, 3);
    T('591001.2535062042895', '-8265220.14402627770', '65688', 98, 4);
    T('-141401.9272113826', '-2.01709596E+38', '-201709596000000000000000000000000000000', 88, 1);
    T('145', '-1187582633.0216730312586245311', '17', 17, 2);
    T('931.4598098', '25058627493478095.5808229411', '643', 77, 2);
    T('-5E+3', '9.8218E+50', '982180000000000000000000000000000000000000000000000', 38, 4);
    T('483862.92658544860514898681438', '-91941502.63', '327682', 95, 0);
    T('7.6930443886073558E+20', '-992.0268289', '769304438860735579168', 58, 0);
    T('-99382624367428306933.48', '-81872534662876492.6', '-99382866949350690816', 9, 3);
    T('-8.8388152690745538E+28', '-17126.264972707581994378936', '-88388152690745538000000016384', 90, 3);
    T('1.0167848383645343058461529594E+33', '-9.40354705858697439085E+38', '2535301712842661739295081496576', 11, 0);
    T('-4168955.801840872', '-7008459.557525068742868504509', '-8387835', 21, 2);
    T('572112.0367588807807534493920', '-8844954140167.246', '32976', 94, 1);
    T('5648659614589.28', '741420.6', '589868', 93, 2);
    T('-4.9064529891304703239417E+27', '20277640.02823618946378506', '19204096', 18, 1);
    T('1.279799908857983286734E+22', '6.696663073E+47', '12133447360098160607232', 46, 0);
    T('3E+1', '-585464059389053908285686667.08', '20', 95, 4);
    T('1.89881572898976E+40', '-91130.157297668319', '18988157289897600000000000000000000000000', 44, 0);
    T('45.44580546242297825', '-23330.537310621510485', '12', 88, 5);
    T('5472069381.1035309585814365', '7.478164736001', '5', 11, 5);
    T('-195551179.558008', '87373.376', '5', 100, 6);
    T('-6788.9411964', '-7059.091936', '-7060', 73, 2);
    T('-1853.546579', '6.4496539E+9', '6449653888', 35, 4);
    T('7.84E+8', '3755.4567658860126842060', '1024', 99, 1);
    T('-5166539.68535435175629060', '-40.16466492117807', '-5166576', 39, 5);
    T('8705571.3905261666', '38676.75157', '38400', 80, 2);
    T('9.40E+4', '6.355E+8', '25888', 12, 0);
    T('4.476484E+44', '-7.210822254570893', '447648400000000000000000000000000000000000000', 82, 5);
    T('-3.069585398239011E+45', '2.33384318E+48', '2330784750589081778625885419415064005697649770496', 41, 0);
    T('-6.8E+4', '198717.095104100595954311962', '131104', 36, 6);
    T('-362220484181962262302472499.762', '-5.5E+9', '-362220484181962267743748096', 1, 0);
    T('571081996.4440690244430', '88772.4642650732385984', '4', 84, 3);
    T('-250455222.2470130', '-5677858635.26897765262229028999', '-5887606784', 17, 3);
    T('453765.7099080773696918', '769583.067950966322626023196', '175109', 83, 3);
    T('-51569998601.32839946210694604', '851120.1585456158', '17584', 12, 5);
    T('-22820.4403823253298772965272210', '-81375343.01204268', '-81394032', 52, 4);
    T('-25676380.4252347899518465366', '9.5017138041969599877024732207E+48', '9501713804196959987702473220699999999999974834176', 7, 4);
    T('841894756.826775', '2415492641.0242662618', '36194848', 42, 1);
    T('-5144.650096548930020272441', '-6.12', '-5144', 41, 1);
    T('95.31334976265003030381544014', '-854.242249647153', '10', 60, 2);
    T('-8.740403215364E+45', '-2.1E+49', '-21008729217450697108617825522062133560707567845376', 50, 2);
    T('-48668.8177765132871456', '20572934511691.1793067539479291', '20572934504512', 35, 0);
    T('4.73259912E+39', '7.8170927898975024E+25', '793661655323800089133056', 38, 0);
    T('1.4483E+6', '7515.1062096909372', '6472', 30, 5);
    T('-4.60955E+44', '-853087.0480843585482456', '-460955000000000000000000000000000000000000000', 8, 6);
    T('961.250509', '-7.3086E+7', '960', 43, 5);
    T('-9.37E+4', '-4.324485342178E+50', '-432448534217800000000000000000000000000000000000000', 68, 6);
    T('-90472571.13626267748', '-3.31272265E+42', '-3312722650000000000000000000000000000000000', 52, 6);
    T('43497.39', '-761320651284926.6578834', '2112', 87, 0);
    T('-3.56053E+20', '-7.80217180972145E+40', '-78021718097214500000060030741164140265472', 10, 4);
    T('-5899170.5864', '6680510253292693.2672', '6680510252243988', 43, 2);
    T('-8.360497E+7', '473139321.37717608859748136', '402655248', 28, 3);
    T('-134955774480533593383.68', '1.687542313346E+28', '16875423115003966306880847872', 49, 0);
    T('-7.347926216835457853443', '141.65157668695', '137', 71, 2);
    T('-319082', '865.83281990089155584756', '256', 48, 5);
    T('-5585320111.1230065463329', '-4.555E+4', '-5585353200', 48, 2);
    T('-90882900496702.911756', '6.4774E+7', '14437952', 29, 5);
    T('8032.6270123', '-5.8055663620', '8032', 82, 5);
    T('-1.85440066672E+42', '1.7232342025652080E+24', '359492601571807307235328', 76, 4);
    T('-2.86E+5', '64.71940605245993578', '64', 20, 6);
    T('-76.85', '558.510582614113532', '548', 39, 0);
    T('6.314833726040205233063E+50', '2.23868714550363042673792717443E+30', '653813730104652556652668518400', 1, 0);
    T('-7.86370E+28', '8.99947E+15', '1407512859377664', 30, 5);
    T('-9.478E+8', '386837009.717232469572', '117483520', 29, 4);
    T('-621.1386272', '56098.4241929132', '55554', 99, 6);
    T('419.982021082', '-821.2', '131', 2, 3);
    T('-5.92E+7', '-7.07209496', '-59200000', 77, 4);
    T('-911', '27.953009038301024', '17', 93, 1);
    T('-922685.39', '7.45363347106679093498769752597', '3', 39, 0);
    T('-7.7E+8', '-7.243958', '-770000000', 43, 5);
    T('27.4815', '-16885768.7513338103', '24', 37, 4);
    T('80.365449866391715765080673703', '-8791980965.7566537854033', '80', 51, 5);
    T('-2.211E+8', '3.0590181958172730040E+29', '305901819581727300399781789696', 18, 3);
    T('5.039E+9', '-1.35E+3', '5038999680', 98, 2);
    T('29.089599', '5275265629.534162514890672238', '29', 22, 4);
    T('-6.10117E+8', '51881.40992471763690334044204', '18984', 41, 2);
    T('-2.063275E+17', '-7.297E+32', '-729700000000000199567150594129920', 24, 3);
    T('-53497.3796', '4.7836458368', '4', 81, 3);
    T('74003273192422.8618752251440', '20658928558695678843006.43676', '275557486694', 12, 2);
    T('24276.718', '424525881', '16400', 90, 3);
    T('-294366.13273702766662029', '8.64973E+7', '86212608', 2, 4);
    T('-8.35933988237545E+34', '-8.86930277313832306E+39', '-8869386034412370340841759395888534388736', 53, 6);
    T('-85.833316389876420', '-554.14213033528101892', '-638', 57, 4);
    T('-181756.798135940626697997', '40712.572919790781232', '6656', 19, 6);
    T('-401931817036184671453.753', '-8462649.02', '-401931817036193068541', 60, 1);
    T('-47884.745551970659', '-9100201.1875118083948628', '-9108396', 51, 3);
    T('21726.11525277', '-366580551.451175925', '17560', 60, 3);
    T('956.026167589994945086977581', '877.569101701991808608866364066', '812', 63, 6);
    T('-5.8009201405237195637275315', '-8.7461483989147407930400', '-8', 79, 4);
    T('764268201.99730992', '813106528.7458736537', '537199648', 72, 2);
    T('36702.3450787', '-5.947693310593E+23', '2048', 70, 3);
    T('-663119.18500474914', '363979976.406525865795097', '363978880', 71, 2);
    T('99.7562353', '65884.8794976372013410', '64', 57, 4);
    T('8.4E+9', '3.679E+6', '2621440', 16, 3);
    T('-9.642504287920882684816', '-7189553.74139151301', '-7189561', 14, 6);
    T('35.974074959183114232888630', '795.0925', '3', 69, 2);
    T('-4.2905E+49', '5.49373E+15', '562949953421312', 85, 2);
    T('-925952.4180924368', '-7.217652305370457E+31', '-72176523053704570000000000393216', 50, 2);
    T('4.8659E+6', '-3908683320.6502775', '145736', 41, 4);
    T('2.255308283121330E+46', '-203.4449672858414181809691', '22553082831213300000000000000000000000000000000', 25, 5);
    T('2.44193539042700412542635679678E+49', '79922903013254784407.6934', '79913015925490581504', 82, 3);
    T('354.0275354709360497974350', '7.5153835398', '2', 88, 5);
    T('-7.62151387390E+37', '-210119.36', '-76215138739000000000000000000000000000', 23, 4);
    T('2671322.0055689549891754808251', '-1.1460088218058377560E+21', '540800', 97, 5);
    T('47226.34167751629314846883', '-71.41557854', '47160', 57, 4);
    T('-2.3290020E+8', '-12378396.20944879183188091578', '-234743680', 86, 0);
    T('-33.563570111149676', '-61.5738212615172', '-61', 59, 4);
    T('35.736402073100947526', '5767486717082520804.52', '32', 70, 4);
    T('-94.1323', '39011615.196569766664', '39011586', 100, 6);
    T('89', '-1784.7692851926059', '8', 8, 3);
    T('21433258299.262794372165044', '-888.85453924', '21433257992', 33, 1);
    T('-504766.755615449', '-7.088E+29', '-708800000000000000000000000000', 58, 0);
    T('-881273.8685861397186394876247', '-37541737', '-37615481', 32, 3);
    T('-9.235383207198987721318555080E+29', '-801.31595085319501675344084', '-923538320719898772131855508288', 47, 4);
    T('6229.39331166191824707856900', '-109443540.325577637', '4', 78, 6);
    T('-19.5996664', '-7.77511159014', '-23', 80, 5);
    T('-83492507.3', '-853746886341001.27634', '-853746887950235', 7, 0);
    T('-45139657.91206483659960', '-9048651538.40767053724101663124', '-9059170266', 51, 2);
    T('-98437183154161327427.2946765369', '6', '4', 59, 4);
    T('-934.6060912591086', '-5831.2440216509', '-6120', 72, 4);
    T('-2387634.52281628', '6E+1', '12', 59, 1);
    T('5.15828210481515014E+31', '69906.83607640260551769802934', '65536', 62, 2);
    T('-7.2E+3', '-50987795.27013578', '-50994976', 86, 3);
    T('6474.1309403', '723806.7261039592', '2378', 37, 2);
    T('368404239566632', '-78785.6307172844715863', '368404239500328', 81, 0);
    T('7.65', '-9869549.987281829832', '3', 31, 6);
    T('-7.71851E+47', '-5.620653E+9', '-771851000000000000000000000000000000000000000000', 31, 3);
    T('-18.17585012991671268678055', '8.914184104516114221279274844', '8', 36, 2);
    T('-582613657.751123405911', '-6.07648482307979661214E+47', '-607648482307979661214000000000000000000000000000', 72, 0);
    T('-2513348.45649541035951354488', '8431.471951906829274', '8236', 28, 4);
    T('2.163108669235873', '156369071.54345975586996518', '2', 22, 5);
    T('4469612257.693886916332479794', '-89.7917153694198751781344488', '4469612193', 69, 5);
    T('-1927.7995675786376143853570162', '3.9167288E+39', '3916728800000000000000000000000000000000', 54, 5);
    T('-4134567162267957298357.62', '3E+4', '28928', 83, 4);
    T('66885.8988123978994351', '-2289392285.6489086', '1345', 70, 0);
    T('7.38E+9', '9.7E+4', '88064', 62, 0);
    T('9269952161117667498.271', '1.98394203449219964920774E+28', '9260900842885120128', 55, 0);
    T('-614', '-3.30E+28', '-33000000000000000000000000000', 95, 4);
    T('4.714E+7', '7.946097385943E+22', '4213760', 95, 1);
    T('6.706213403482E+24', '-2664.6863519630385137747', '6706213403482000000000000', 39, 4);
    T('-5544.87', '4014647842.039522532233026', '4014647808', 76, 3);
    T('-6.7927559587242760671', '323.01279146860931946928', '322', 16, 5);
    T('1238320549.56940', '8.8E+13', '143458304', 52, 6);
    T('2E+8', '-4.919765113979854E+26', '159989760', 40, 1);
    T('-443.7387418555082', '-50159462.728097630607287', '-50159616', 66, 2);
    T('23756595.451', '84.06', '16', 73, 1);
    T('1.760772236253E+33', '-593189.51783233981444', '1760772236253000000000000000000000', 67, 2);
    T('-81360.432167516643', '2.54E+43', '25400000000000000000000000000000000000000000', 71, 6);
    T('-5.905246784921571057720079483', '314685.958723488236682920397', '314681', 52, 5);
    T('-9E+8', '1.3769161896158209E+28', '13769161896158208999653707776', 60, 3);
    T('5.21592993248123150100842E+26', '-36581708.51864325219376077946', '521592993248123150098613776', 79, 0);
    T('78824.86860544366853629074', '9.341070073565954584', '8', 16, 0);
    T('-806406.26830', '1611448287.33734643306', '1610658266', 73, 6);
    T('-642059597.0864049488777781429', '-1.9424601839476727E+38', '-194246018394767270000000000000071303168', 23, 1);
    T('5.62847884584807E+49', '-7.31043118E+19', '56284788458480699999999999999952440246033671258112', 26, 3);
    T('-6.65301122963537578700484446705E+41', '5545476808.80664659', '4329127936', 98, 6);
    T('47466297.829494117595752', '95.76', '25', 3, 6);
    T('613091.2608594429', '-95712.302689105', '526880', 87, 5);
    T('-7.880288692060796787693470', '1066.0999235701071841265973', '1064', 96, 5);
    T('-7E+9', '3880575.443', '12800', 27, 1);
    T('2.3487107E+15', '50435.20106291', '256', 79, 1);
    T('5.072E+49', '-3.709481816380143145537016', '50720000000000000000000000000000000000000000000000', 64, 4);
    T('-3.60717828401498442983302E+44', '-8.9E+4', '-360717828401498442983302000000000000000000000', 37, 1);
    T('894053.957024934101', '-9198654366.8018443463', '369760', 88, 1);
    T('832.097', '-3491581.530646', '256', 93, 1);
    T('-7.588196E+9', '-14380578757.865894956', '-16599924704', 17, 1);
    T('2.0E+43', '-7.095563E+7', '20000000000000000000000000000000000000000000', 75, 2);
    T('-1527.6068662077649', '-802.3545', '-2040', 90, 1);
    T('-40.7744475072720', '-5.768E+11', '-576800000000', 66, 6);
    T('-7.7E+5', '-1.4969026576361E+32', '-149690265763610000000000000524288', 71, 0);
    T('476.807266654519', '7.8917313E+9', '324', 94, 2);
    T('4.3807036E+33', '-7.2796', '4380703600000000000000000000000000', 70, 0);
    T('-8846195955.418', '-9050006877.774048', '-9117253119', 77, 3);
    T('-839106444286764.480097933937923', '-774166427.2076848571462947271', '-839106681561020', 3, 3);
    T('1737.5093', '-9.6638E+8', '1536', 14, 2);
    T('-48292.3623490885642', '3514009676969067773128.9', '3514009676969067757640', 76, 0);
    T('-761207.90', '6.54936987254E+23', '654936987253999999934464', 26, 6);
    T('-9.833E+47', '-7.9329006719E+46', '-993314086750215074100129835856452625359960014848', 58, 3);
    T('-8.438923E+37', '-416718.961357163604022141605', '-84389230000000000000000000000000000000', 95, 0);
    T('2.41E+27', '-88981.30', '2410000000000000000000000000', 51, 3);
    T('-6399939723.7229', '-519.40779289223966458295', '-6399940239', 60, 2);
    T('-3.38768009897520272', '38938836.7', '38938836', 6, 1);
    T('4197', '-674.7857', '4164', 36, 3);
    T('-715.860527305477588661939', '6.96', '4', 44, 5);
    T('-7.9995420655354E+42', '-7.339098709983799083932500E+41', '-8013244304346608050607806280872038125010944', 49, 5);
    T('405822.55385088982787281934231', '-3706020616.450321917247', '135224', 66, 3);
    T('70590813523.895828691664288833', '-5.8790E+5', '70590268672', 21, 3);
    T('-20926.319', '-4.368866E+15', '-4368866000000000', 77, 2);
    T('-9.2670E+8', '9.52E+41', '952000000000000000000000000000000000000000', 65, 6);
    T('-8285.1519239466959612745269', '-744066019.957978434099871211', '-744074239', 82, 4);
    T('-7552333.88021378', '-73776.7404244813754092690815', '-7552368', 38, 1);
    T('79.8', '53.8013', '5', 6, 6);
    T('-85848.631455758756502892061', '-46.62299', '-85888', 67, 6);
    T('159.4489611296287497320254', '52424098.7924069', '130', 83, 3);
    T('66.451', '-4989486.8626413428341419092', '66', 25, 5);
    T('4.9734E+6', '-28299049.71201262260116474976', '4202576', 78, 1);
    T('-4866339362.705', '-3.1614E+5', '-4866372332', 42, 3);
    T('-2549145.720543556875806', '-949807.53081649439895691740650', '-3080127', 32, 4);
    T('-9.29184E+13', '26620193.7280189973532', '25567232', 35, 3);
    T('-2.58157186673534909225E+21', '-6.32292E+24', '-6322953470762371923312640', 72, 1);
    T('-7.706049068945307764188886E+28', '953088.22810785185661427', '428032', 74, 2);
    T('7372.7091321', '-4.4802E+6', '8', 11, 4);
    T('55716.57271249066894', '-5413.312171137', '51328', 84, 0);
    T('-533826056.659', '-5436229.086447', '-533986120', 33, 4);
    T('369.1559343274', '6085.0267160489710943296', '321', 79, 0);
    T('-9140812.594111580905926600299', '6930.24226993183', '272', 13, 3);
    T('4E+4', '-16214.2891623', '32768', 92, 4);
    T('-1.93E+11', '-63.961306865', '-193000000000', 62, 3);
    T('9412577618283081468.4121576', '11.422', '8', 82, 1);
    T('-4.7E+8', '-8.94751E+46', '-89475100000000000000000000000000000000000000000', 64, 6);
    T('-6.622677046257786254093361E+31', '8696120.758458986402', '8663296', 78, 1);
    T('-1.3888670692675898751328070E+47', '2.4E+50', '239906868934189986084657221279896634189425389076480', 82, 0);
    T('-641876295.293241231', '-4.531903466300703969E+34', '-45319034663007039690000000037879808', 27, 4);
    T('-1502995354.40', '123484.636466557218228825163911', '68', 10, 2);
    T('495.698888046380618', '-519.8757713391182066594275', '489', 36, 0);
    T('788262.7177014437', '9162.449305425376882982396945', '770', 43, 2);
    T('371246126', '-507419955911119473.2300', '102761486', 88, 5);
    T('6.8369692023320656545107079E+41', '-2.35648185', '683696920233206565451070790000000000000000', 13, 6);
    T('786515965.9722860687430691566', '-7876286', '780222784', 44, 6);
    T('-89346772.8960616435116922164454', '-857410.4210461791708948763944', '-90134484', 80, 3);
    T('-9.943445224273556561281E+31', '-7.076366727364', '-99434452242735565612810000000000', 51, 6);
    T('-7.29184E+9', '-3281930.12519', '-7293023744', 53, 1);
    T('380747671.966309242', '-84645694.08831287119423084459', '313534594', 46, 4);
    T('-6167241721978026.7686614', '4.0E+6', '2621696', 12, 0);
    T('-3177.495178283', '1974637780.03862753', '1974636692', 100, 2);
    T('-561963', '482372290.598159971097166578', '482371776', 42, 3);
    T('9.4496602984199073574E+33', '3131571.328925', '2457600', 94, 0);
    T('-4301.8853373026075937402', '7.50716185593E+40', '75071618559300000000000000000000000000000', 99, 1);
    T('1.53438161831754229629303840349E+34', '46631.515118387534041', '40992', 78, 6);
    T('2644.2179832446588318967936', '3E+9', '2560', 1, 3);
    T('9523229.821674704031746', '-7.9940530416300', '9523225', 18, 1);
    T('-6431593760.03166', '2638098.13', '2097152', 33, 5);
    T('-2.5E+4', '1.4766459714798162339968906E+50', '147664597147981623399689060000000000000000000000000', 79, 0);
    T('-570747879978669.720251380', '-612.63343170336', '-570747879978736', 63, 6);
    T('-9016698268.717586', '-102900033.29333991631893330728', '-9117361628', 96, 1);
    T('1E+6', '-87949.9134955163195', '917568', 8, 3);
    T('900967.9936829391', '3.813E+8', '535840', 31, 1);
    T('-9.3320919272738665E+30', '6098394091.917106431956', '5370413056', 19, 3);
    T('1709155.0', '-6.02345', '1709154', 33, 0);
    T('1.3E+29', '-550894095.068300175666014483978', '130000000000000000000000000000', 40, 3);
    T('-7501800.6189764235249786', '9707988.85939413247942628277', '8650768', 21, 1);
    T('-23.641517498428218225862697240', '199964329.29', '199964329', 65, 0);
    T('-86094301637705029065508556.58', '-530527.33', '-86094301637705029066039008', 70, 4);
    T('5.280925991037040520E+47', '-3.988979745636E+18', '528092599103704051999999999998407696052452851712', 48, 2);
    T('4E+4', '-7.8199568624782807038619517E+34', '7168', 15, 3);
    T('239446306917525.00510', '-1091904.44445481541', '239446305866880', 70, 0);
    T('-18992732656536.79181397326', '3151101.2728310123639', '2098280', 55, 2);
    T('5664715.064872', '-271.2097384', '5664449', 80, 0);
    T('743335.539333738889', '452.527030524218', '388', 85, 6);
    T('-162148042.75869815539741', '174147.79816915613463531', '32770', 95, 5);
    T('7.59267600796395100E+25', '4.23889767345181008305324884950E+38', '70146356883157120159243264', 52, 1);
    T('5E+4', '7692046.796459', '17152', 33, 1);
    T('-1229909288.513', '-6.15263718128828583670761267', '-1229909288', 73, 5);
    T('-8408686.748264118593', '933621740919021129.58375951', '933621740919001088', 62, 1);
    T('315.406522433577930521974566', '84949718.455715', '18', 9, 6);
    T('43505941907668063489938.22', '17604', '1152', 21, 0);
    T('-45249830.246', '397749759.277', '352651482', 81, 0);
    T('56681.3658675405458777434864', '-1.41129803163388915292E+32', '16384', 19, 3);
    T('-484.277317536634358403016', '5724.8146731852457224928499', '5660', 78, 2);
    T('60190.7179482854053420833516', '916.6830320543', '788', 7, 0);
    T('-3160947209.096', '8.7E+3', '500', 42, 4);
    T('-35.7962217770298', '79048.209178686481019126735', '79048', 4, 0);
    T('7.4666E+7', '-2017087.79378', '73469952', 97, 1);
    T('1042149144.64020162450', '3752.4062463', '3592', 49, 3);
    T('84976.7609190491148271485', '34700458268432.50', '66320', 40, 2);
    T('3.110964422729368919989217153', '378406878.427879091554', '2', 22, 4);
    T('-74.346987057434139329636969990', '-733.216892233949074422', '-734', 41, 5);
    T('-9.4509091E+8', '-930804.4467966081', '-945746944', 54, 6);
    T('-3901043236.752643', '4828.9685832390846925221', '220', 23, 3);
    T('-9.61786417599752E+39', '5.55526403420E+18', '5194905609098493952', 61, 4);
    T('5572197.097', '-8754.04648', '5571652', 92, 0);
    T('-62798.326946', '390.41428291578', '130', 79, 5);
    T('-804.86069187', '94378.95755113511114', '94344', 54, 3);
    T('-3.845644E+46', '-962.643202574825068263', '-38456440000000000000000000000000000000000000000', 66, 2);
    T('-23753.858290864335057303371956', '9696337.86308663950912523', '9674769', 3, 4);
    T('3827520023273.5477115319327', '-5.0890529260304E+22', '3646451359744', 18, 1);
    T('54.7784422388285636034850221', '-50.852233154535', '6', 37, 5);
    T('-9.2', '57.6843273906082743353174046399', '49', 92, 5);
    T('-9.74E+6', '-90313.841461', '-9830112', 7, 5);
    T('-7.8621', '2.38153E+30', '2381530000000000000000000000000', 34, 6);
    T('4386575579.463653128376', '171858133230.5547666', '16842954', 68, 3);
    T('807708115368932.4555469118805', '2655.58891309442', '2628', 2, 6);
    T('42063976.493273043', '-540', '42063968', 37, 1);
    T('83.7308792830', '-931.60860555', '81', 76, 3);
    T('7875398.04255713841', '-6009177.0', '2099718', 83, 0);
    T('-6155164.21895602', '4.724E+32', '472400000000000000000000000000000', 76, 4);
    T('-8.16952E+10', '-7.537E+6', '-81696379904', 43, 5);
    T('2.6E+12', '7.64474553629227771159433605E+29', '2475244519424', 33, 3);
    T('-44477639082', '6.546561736363862641562E+40', '65465617363638626415619999999964414476288', 80, 6);
    T('-190582.190018271613', '9721.987235321', '1416', 65, 4);
    T('-9.1E+4', '-78.7337630674170395680455895', '-91008', 69, 4);
    T('6.312370940629163E+46', '-2597.226019477801', '63123709406291630000000000000000000000000000000', 68, 1);
    T('64493024.37725439', '-74477.68', '64492800', 47, 4);
    T('-6E+35', '5.6051559229E+26', '391865551776936135843905536', 91, 1);
    T('-1081203397.8367', '4173396.3627843388371191', '926736', 12, 3);
    T('8493109520.571958463693', '9.50173744E+18', '8459550720', 95, 5);
    T('999259651.5', '-88464199.6711074327186686', '982131713', 13, 1);
    T('99934169.7456', '67748875.842098', '67159049', 44, 3);
    T('-1708686.1569254', '-2.9E+31', '-29000000000000000000000000000000', 40, 5);
    T('-631285.285064', '3E+1', '10', 42, 3);
    T('9.6618226145599E+14', '649649.35', '616496', 89, 6);
    T('6566976497488805677038.412456', '-3.14', '6566976497488805677036', 86, 0);
    T('-22233.09632695085521425979945', '-191.41753686', '-22271', 58, 6);
    T('-2.20E+3', '1188177409734233.2', '1188177409734216', 11, 4);
    T('-4.0235463167E+17', '98489.2707', '98432', 60, 1);
    T('894094887.554253314597028', '-99212084.22242962237117275', '805438468', 87, 0);
    T('-5384470.758', '-70097.93541', '-5454294', 37, 2);
    T('-6891997.42730887641250259156234', '62.504610351', '34', 57, 6);
    T('-3.766337447169996699207E+36', '-7.18010E+36', '-10591611833608280392004302514222530560', 59, 0);
    T('90.78364228235319170237223372', '-93.6', '2', 91, 5);
    T('48270594632831663423.147', '58334.8644', '57630', 13, 2);
    T('-5943469806.8472708136088945818', '6481385500306016485444.9414', '6481385500301687832576', 31, 6);
    T('-707464437868.77756349047532108', '7.21E+7', '71567488', 86, 2);
    T('8283859656.6976898528647011796', '-348422474.7490712778', '8204135040', 86, 5);
    T('5.97649612581577577336503004E+36', '72185.07', '69632', 66, 6);
    T('-156.103974100437579444370855', '1.847455672863E+24', '1847455672863000000000000', 66, 4);
    T('-90.49107557', '40955446.4', '40955430', 45, 2);
    T('46.2652932425', '33446.741856288429', '38', 64, 6);
    T('-67.9378399025396541485370091069', '-2.213214321771E+30', '-2213214321771000000000000000000', 62, 4);
    T('-4.9443', '-325581254.025494', '-325581256', 28, 6);
    T('8.771827E+7', '1061185.70967458568290', '1061184', 26, 6);
    T('-6.1', '90', '90', 28, 3);
    T('27180550270282736', '-732.1757267302991955933', '27180550270282016', 36, 0);
    T('9.7217E+9', '56937781990361.026079973', '1078268544', 26, 0);
    T('-2.045916E+9', '720636071.3235494', '33818784', 63, 6);
    T('-819522.7957345905090002248', '-90.438804449943056765470750', '-819546', 79, 1);
    T('-3639166466.486771961552830169', '4.6E+8', '50465024', 16, 1);
    T('-6.32576379283968130612E+48', '7.541774041284E+19', '333444768187023360', 60, 2);
    T('-5.4153942807184349900922E+29', '8887.907067', '512', 69, 2);
    T('-5161729.15', '-5E+9', '-5004850176', 67, 0);
    T('-2.6266304266E+16', '6524786.114544290221', '2197760', 61, 2);
    T('-7111304674.07', '-1.34434562E+40', '-13443456200000000000000000000000000000000', 18, 2);
    T('72828.842143791485', '-316857.5760708771253154146', '67652', 76, 2);
    T('-7359.12663410317694475700719334', '97069238.76499348443546788043', '97067008', 24, 4);
    T('-3.2E+5', '-88246.7292365548514', '-391680', 64, 0);
    T('4864157729.67117690371', '-294014442.534187928', '4838727680', 58, 1);
    T('72019.33', '6.3104E+8', '2048', 86, 2);
    T('2189.9248161271630878', '-614537054025844.098425', '140', 13, 6);
    T('-6.54156299E+22', '-1.6902815928664', '-65415629900000000000000', 26, 5);
    T('-819830222.63802618206277', '200621176.70039237522', '186654768', 48, 3);
    T('477.1739755352703145475779655', '446270201.3167528914971829789', '217', 67, 5);
    T('-33.40375122892574441660', '-5477445714.19087370639266798833', '-5477445746', 42, 2);
    T('291.081805060409672546483236', '-60726.87037248841697478403603', '2', 56, 3);
    T('285.8689', '-3.622865498634701066E+19', '284', 94, 2);
    T('3.43304348438076682333821989230E+39', '-7.3E+9', '3433043484380766823338219892297548615680', 87, 2);
    T('-75.0644', '-6971.9661215881640569502', '-7035', 96, 4);
    T('-5.9E+50', '-3.3840978315478E+45', '-590000462569343374919453458018431048050029124124672', 86, 6);
    T('2.609E+4', '4E+6', '256', 54, 5);
    T('6.89091114213E+21', '3.4086067862512916177483039E+37', '5700229204088593641472', 80, 3);
    T('-2.456103880987729590198724E+45', '-112060.924144480854468', '-2456103880987729590198724000000000000000000000', 4, 5);
    T('-54.5027014018316532975094', '3.7431998E+36', '3743199800000000000000000000000000000', 66, 1);
    T('6.26411395E+45', '-2.50522E+11', '6264113949999999999999999999999999862561046528', 69, 6);
    T('-53374187.31302547086749565719', '77676.7326020803952310763392', '66308', 45, 5);
    T('3.01E+23', '40132495459.630812', '1073741824', 13, 3);
    T('-91677.1886967', '97195.27071', '6563', 71, 6);
    T('-855.169', '9.56901319626', '9', 30, 1);
    T('-685712205.4456657048637102', '-30866916.995705390274207165', '-702545904', 36, 2);
    T('-26198.5', '8E+4', '71808', 82, 2);
    T('8.90265E+42', '-56189963.5371298088997193746926', '8902650000000000000000000000000000000000000', 68, 6);
    T('-86.75738', '1169103.37125391', '1169034', 78, 5);
    T('-7.1981E+9', '57813.624486783490092262767', '41408', 88, 0);
    T('-99176387109489980.34', '99294868.2432218', '69931652', 68, 6);
    T('-33.6132839', '13451.4020988996571197', '13451', 87, 2);
    T('-4.0555E+5', '-4828.91', '-406272', 84, 0);
    T('-432264.12153360', '7.5118518E+50', '751185180000000000000000000000000000000000000000000', 28, 4);
    T('3.15E+9', '-93466106.406543', '3124822528', 23, 2);
    T('248311', '29219.6006861968', '16419', 65, 4);
    T('-91.1236490225', '-825929.5752538', '-825947', 23, 1);
    T('-1962635028.94990176519', '746.0', '232', 48, 5);
    T('-37930001.1456588691151', '-6.5E+4', '-37944824', 36, 3);
    T('-1534620415834.357855', '-672217.52595766620', '-1534621087706', 67, 6);
    T('56515.05', '862.7158', '66', 47, 6);
    T('-9.01842584813334656024E+27', '-8.833444647669880587E+44', '-883344464766988066131388698317492743311458304', 84, 4);
    T('-46.654520791125082', '-80965029328.939117844', '-80965029360', 81, 3);
    T('3.05787690', '-70.3628255365140335960021639854', '2', 90, 5);
    T('2.604832417622E+30', '-7.205851E+9', '2604832417621999999995075887104', 59, 4);
    T('-7E+3', '-65.0055005', '-7000', 34, 3);
    T('28847027.2959330539138493676640', '2.204E+7', '17828224', 82, 0);
    T('-6608568405778.036', '5.5', '4', 96, 6);
    T('7.6110E+19', '-3.01E+4', '76110000000000000000', 11, 5);
    T('-8E+6', '409914208.7928200003', '402967040', 65, 0);
    T('-8.8405344907291354', '141431954.201', '141431952', 31, 6);
    T('830.65854', '7970774.045809592594', '790', 100, 5);
    T('-4740569049106.240458077548', '64.12226814977337', '64', 97, 1);
    T('8901.9008786602471', '2.91359164461971109899332E+26', '8320', 38, 2);
    T('7074167836.5718821258724496858', '2.32644E+35', '4294967296', 46, 0);
    T('-5E+5', '-6283.2260318462783059355255058', '-506272', 92, 1);
    T('8207103528087636586794.3358935', '3.463867272499635911517E+39', '5245819991806182686720', 36, 3);
    T('-7.972E+23', '-7.5829E+5', '-797200000000000000000000', 35, 3);
    T('9410368334.13', '7.74349831636235505591914E+43', '9137291264', 44, 2);
    T('4029.010626364316975510', '56.1764138931435674', '56', 33, 0);
    T('6699270.4', '-4.050034101085593128091', '6699268', 61, 5);
    T('-5.06770230108047458501791943E+40', '4E+6', '3670016', 11, 4);
    T('69163.133540554215', '187201043.27240627617', '1539', 95, 0);
    T('-1.1095784824307817816149870801', '-9095.4', '-9095', 90, 0);
    T('1.6562E+9', '-4.222749560174162992', '1656200000', 54, 3);
    T('-7014822.32', '-4.0878E+9', '-4092586432', 51, 5);
    T('-3.68617334410659232032071E+33', '-4.833E+5', '-3686173344106592320320710000476160', 1, 3);
    T('147.11311845458313057065563', '440786.742621281421371', '146', 61, 4);
    T('7.34745963E+36', '7.187868890651683560082226E+31', '31233227239579264778684713664512', 22, 5);
    T('4.26156375429616653424555000438E+33', '5.466160E+19', '5045439576620924928', 98, 2);
    T('10731697.51747737645529376019', '2493757374.40584601489682343', '10715312', 59, 5);
    T('8E+4', '-770456.4537681924578', '14336', 14, 2);
    T('-346826984.85017017971611934727', '-7.4E+9', '-7478389248', 48, 4);
    T('-999026007308.8264250904474', '171403282.42133015', '2121744', 59, 0);
    T('-52.723310906', '-8495212877.435', '-8495212928', 98, 5);
    T('-2.2976632437370766737344174E+37', '-4171.45338292572161437406929', '-22976632437370766737344174000000000000', 6, 1);
    T('-926073.93592502524180182889', '-5509801.76798460920', '-6173689', 74, 6);
    T('4.178291441296858989612', '-11.6165047344150708', '4', 35, 1);
    T('5.15E+20', '2786567.22981502545', '2621440', 29, 0);
    T('6.44E+46', '4E+36', '3989225473700951154598932425551642624', 97, 2);
    T('3196637750499', '-599436.642916466974001562134', '3196637675616', 16, 5);
    T('-6.30336', '23579489.7644743848440220', '23579488', 93, 4);
    T('382606065.19720', '-409.36163284690524939333525802', '382605921', 82, 0);
    T('5236.94395713732856175834', '-5.8187969204811673892E+23', '4160', 57, 3);
    T('4090619', '33680826.449120', '26810', 68, 6);
    T('9.21711245811999E+48', '7.848945652902951184E+40', '78446721896688893627146558483110830276608', 31, 2);
    T('-73777778.4038473941', '-8.0433364829273505610978360E+36', '-8043336482927350561097836000071647232', 6, 6);
    T('3787910.51034934586309285', '-7.00470394E+9', '3702788', 57, 1);
    T('3.1E+5', '2.864005797869200361829663547E+29', '262656', 5, 5);
    T('4004.32716157810', '-216926013039.0', '2432', 78, 4);
    T('-2.448816816484647E+42', '-6.9315E+6', '-2448816816484647000000000000000000000000000', 17, 3);
    T('766293731093.05839623796', '-5746.0083277278178375918667', '766293729540', 32, 5);
    T('-52087306010282.5443066983602', '-7434296789.4014962817521', '-52088279105534', 26, 1);
    T('56.382857634488431544705', '9416106670.53021332838', '40', 82, 4);
    T('-90172640.246642604', '-8.692732433E+48', '-8692732433000000000000000000000000000000000000000', 25, 1);
    T('9.06E+16', '81395570477966767.986902', '72374322385125376', 77, 3);
    T('-4318270224.1356565601', '496.87583', '240', 77, 5);
    T('-8.47263266384174703449006823', '-76843.637', '-76848', 7, 2);
    T('6.49698214620764511261041E+40', '-4.683839647841306926514E+31', '64969821420788674424069298314187525718016', 38, 6);
    T('5.70E+36', '1.200426E+31', '11607622158355581590968123523072', 51, 4);
    T('-48.21', '-7603846811', '-7603846848', 61, 3);
    T('-6.1E+41', '-2181666.75272163678080457681328', '-610000000000000000000000000000000000000000', 67, 6);
    T('267.5957903024297884', '-9.55463E+6', '266', 93, 6);
    T('-42831.0459505', '-619399.087874049020503859527', '-653263', 77, 5);
    T('7.9104805E+8', '-9788201921836.834619581521', '19006032', 50, 5);
    T('410017077.2450601', '9.2754E+7', '20496', 94, 1);
    T('-858142.842513', '-8.3295488', '-858144', 23, 6);
    T('-95926.4434481', '113099.7', '35146', 38, 1);
    T('6761221.036879046393', '-82348.2913306081', '6695428', 66, 0);
    T('7.57608248E+35', '1.3736131655948298598E+44', '820828760081301085975769071484928', 11, 3);
    T('-18.19629359913988041601', '-78808207.26971069', '-78808224', 82, 0);
    T('-7.87487512041577900E+35', '-1.38593309916818177E+18', '-787487512041577900158259305659760640', 1, 5);
    T('-5.5897774591896404E+25', '-9.71656739482542764', '-55897774591896404000000000', 93, 0);
    T('-8.6569', '-4820.52', '-4824', 63, 0);
    T('-7.5', '-9E+31', '-90000000000000000000000000000000', 16, 6);
    T('-2.85956092237112103747752006280E+34', '91723.69783171040283707412832', '74240', 62, 1);
    T('-8.7932155721934', '-2465.95955396637156787810931', '-2472', 56, 5);
    T('5.4185267635303097E+38', '-52911', '541852676353030970000000000000000000000', 25, 1);
    T('-1.6418138629E+32', '2.6015E+44', '260149999999837740527872592856344152793677824', 68, 5);
    T('-8361664612.736', '4.976864E+28', '49768639999999999991678500864', 71, 3);
    T('8638', '9.699109181424', '8', 76, 5);
    T('-6.3191570313554E+35', '5.11113799084349E+21', '4722528990827909218304', 86, 4);
    T('79.3289491928411307825885128030', '-650612668.6441443589', '68', 61, 3);
    T('-49611.33001548521254', '8857636.0305594', '8857636', 55, 0);
    T('3792935.88283363', '6.924117E+8', '81956', 4, 5);
    T('248135.7348', '-27.3879943', '248133', 27, 1);
    T('5524016.75483510460751459922', '-50.45381896637181532777824769', '5523968', 93, 1);
    T('4823881834.57', '4946356789551120402175702968.57', '4420931624', 34, 1);
    T('-87.8216888490241824', '-26.1604982644404054', '-96', 89, 4);
    T('79346.9377089', '66.17197710157', '66', 61, 3);
    T('39.400382076291778987536054161', '423056353.755795764424052237', '33', 85, 0);
    T('140133783.284486102', '-909', '140133395', 67, 3);
    T('-7.4292325921026160868524E+31', '47649.442649773065426342675030', '2048', 80, 0);
    T('9.97585108000721212878783679961E+43', '24609.1440100069883130240', '16384', 4, 5);
    T('-4471216101.764417871733', '472111174306128041', '472111174272557065', 66, 5);
    T('-4069317.419058846703', '-5.75607E+8', '-578754520', 26, 6);
    T('-8.42368335333087200905462307510', '6.92660E+18', '6926600000000000000', 15, 2);
    T('968.164', '-4.882204179609874E+23', '512', 33, 2);
    T('56113.234132005430928', '-6.9898027236874388E+26', '4096', 55, 1);
    T('-2.0183216720437584634E+48', '-2.970231117901E+49', '-31352210557125689879220140685693375986384897048576', 1, 1);
    T('7098174264.004740802290', '-1.47E+8', '7098106112', 67, 5);
    T('9.995', '83242.4973683', '8', 94, 5);
    T('-36.496607728990083236599352629', '1.53616754810E+35', '153616754810000000000000000000000000', 4, 6);
    T('-21.4852118125346132130619', '-40.8676434340838412699', '-56', 85, 3);
    T('850.89429090641805222', '5843.7552375713', '594', 80, 2);
    T('6E+8', '8.8E+7', '16926208', 18, 4);
    T('-6.569866967827037045E+43', '4609246072079586879.0568900535', '175729309141434368', 53, 6);
    T('-7.83E+3', '-7.535577120260E+19', '-75355771202600001536', 39, 5);
    T('99352352.5971260099892838698778', '592619584.49548893043620298790', '21145600', 80, 0);
    T('623.723242560530061991474691', '377.37100986957234399544', '105', 27, 5);
    T('-1826819219.74580074917100258', '-10861000.5679', '-1827126744', 93, 2);
    T('-2.628841395801877192', '8303504207.505095748349907942', '8303504206', 59, 6);
    T('30530.32147678654618338588445', '-7431.2181386104471098900', '25152', 98, 5);
    T('-50036.1132648732791499176', '-19716.9', '-53108', 6, 1);
    T('-726150674.1', '10.669', '10', 45, 0);
    T('1562683682.77892489865435788', '7.89695080791616760058349489', '2', 13, 2);
    T('2.9E+8', '-6.3260449580309644749121856838E+49', '4194304', 47, 3);
    T('-958.02143417498', '3.9696966589538433889028248300E+44', '396969665895384338890282483000000000000000000', 19, 2);
    T('7.025743229706805439713E+27', '-26.6428749716515627', '7025743229706805439713000000', 48, 0);
    T('172.94068', '505219.48753388', '128', 17, 3);
    T('-3.2E+8', '7.82684E+15', '7826839714738176', 36, 5);
    T('-5.7512069115231992368333237991E+35', '-7E+13', '-575120691152319923683396710483812352', 6, 1);
    T('-3752456494.891463629', '2.6954370218154', '2', 78, 3);
    T('-227501867387.442509485', '-531191.9575995886948', '-227501874175', 23, 6);
    T('2.8921891500289731E+38', '2.262E+24', '625921085240340186660864', 41, 3);
    T('-4726381.725175931036798', '7.792005519965652', '3', 96, 4);
    T('9.05912730119412309842652840E+44', '-7.42752E+8', '905912730119412309842652840000000000000000000', 99, 6);
    T('-1457357290.306530551807155220', '-9.85E+28', '-98500000000000000000335544320', 89, 2);
    T('-6237248588.51198', '-837.0523351907878247084081457', '-6237249360', 2, 1);
    T('690126558.22', '-76.672386926', '690126484', 68, 6);
    T('-3901821077.718468515', '326.84462106019', '322', 12, 0);
    T('-3798417729.79828076213352935047', '49808768.7314976887861158563169', '9962624', 94, 5);
    T('-7.791422671493788980', '1E+8', '100000000', 31, 3);
    T('7994.8116562731', '-8.666368159065686143645327564E+33', '5376', 77, 1);
    T('-817880106.7', '73760.244365257929', '8192', 10, 3);
    T('-23.336222454', '68705226.434790344080609822', '68705224', 78, 1);
    T('479486479049250652', '-57919825.38334766190807468410', '479486479010371084', 49, 2);
    T('80238.09893425', '-77.728', '80162', 49, 2);
    T('-5E+48', '-5.5158911E+33', '-5000000000000000056095164508686821251470334099456', 8, 3);
    T('5.8578164484087832E+41', '-916.10334343015249237036', '585781644840878320000000000000000000000000', 3, 5);
    T('-5014302913899687513915.8853', '-1.0E+4', '-5014302913899687522112', 95, 5);
    T('-21536269.03727204946', '-962111687.3241213771772717031', '-962117327', 25, 2);
    T('-1022432.75837912333988643450759', '5136782.66121409190', '4218880', 9, 0);
    T('-47032596.3253243353', '2650956219.4090399511', '2617393320', 4, 3);
    T('-2788.911469734975366509932137', '-2.346614E+7', '-23468796', 39, 4);
    T('-6.11674E+42', '-9185.844043337202950418126124', '-6116740000000000000000000000000000000000000', 40, 4);
    T('-48248.846814777232313060616451', '9555.90465125', '256', 61, 4);
    T('-9.90718969877', '59253.6609', '59253', 6, 2);
    T('2.1816839350E+13', '-6.0705447627609698E+20', '2214599959264', 71, 3);
    T('8.1315855340433231E+36', '2.3632239E+22', '4742552391005470982144', 93, 3);
    T('388220.12913718549520564826', '6.28172547512566527E+24', '59392', 99, 3);
    T('8.3010321E+8', '-8.01E+9', '537925760', 64, 0);
    T('8.658', '-358.21800251511297749901306197', '8', 27, 1);
    T('82886.52187786591746903275595', '-530504.8', '82816', 87, 5);
    T('1565678.3759177010186', '-4098220.37630799007081869202514', '90948', 35, 5);
    T('-8.244437E+42', '-3.56696274108582275617576E+46', '-35670019479994758490494750216064741487906127872', 79, 6);
    T('-975762284.20167', '5.8E+3', '1152', 95, 2);
    T('4.353544305589821386444536E+31', '3936434.3279583', '2883584', 28, 1);
    T('6495.8047624272125517510401', '-318797589.1', '2123', 95, 3);
    T('4.27342819137379E+18', '8665787841.462674501948099', '75565312', 84, 2);
    T('-4.8E+3', '848.441057259904', '320', 81, 0);
    T('7.7767838988422E+38', '-11349087.21681', '777678389884220000000000000000000000000', 26, 5);
    T('2E+1', '-15234.093148124761555332993884', '20', 59, 2);
    T('8.452046201896851948752E+29', '-3998187402.56893234550274518', '845204620189685194872414306304', 17, 5);
    T('-94998.7134343403449', '3.9373857131600810029948816261E+43', '39373857131600810029948816261000000000000000', 98, 1);
    T('-1403.3892204802966751521518801', '875054.7982815', '875012', 44, 0);
    T('-4.57331527644770145991898E+28', '-9.1E+6', '-45733152764477014599190380288', 42, 5);
    T('-5131.9695931775341', '85875101.56323268930', '85870997', 94, 4);
    T('47.2', '-5.4993502927733425151E+24', '32', 98, 1);
    T('-8845699.36411', '-3.281696255248E+14', '-328169625680832', 98, 2);
    T('77865313.8402', '54.156956', '32', 40, 0);
    T('378148118921940240370.0647', '5509638371.13995157648573106', '4435607778', 60, 4);
    T('-5.8579054807838862932E+47', '-1.665814E+24', '-585790548078388629320001514498731524120201134080', 62, 0);
    T('-3.7706273149909400', '75065956.07951074752', '75065956', 9, 2);
    T('-83.4100383734607476', '-974657.930680', '-974675', 37, 4);
    T('-4398268.83546995101', '-7560.4617773154086013', '-4398528', 87, 5);
    T('-79661.16247862532937011', '-5.351689E+7', '-53591934', 60, 1);
    T('-900.63', '-6320618891.9963088', '-6320619404', 75, 3);
    T('874743.1288', '52799.05530354449755755', '18487', 62, 5);
    T('-7.4972492043416893513314219732E+48', '-69045.86800106396309', '-7497249204341689351331421973200000000000000000000', 19, 0);
    T('-3E+5', '6750.54232247230109364433', '2048', 77, 2);
    T('-32919742.76', '-85899778310.5204', '-85932300734', 4, 2);
    T('-4672756027.5', '23868.829', '17412', 36, 5);
    T('8.748145E+36', '9E+45', '6087968171415298717918307782454411264', 28, 6);
    T('-264005756610235698975.457484582', '-8.096105E+10', '-264005756610648973216', 57, 1);
    T('7905500829.9331', '-246.117330854749', '7905500680', 73, 6);
    T('-990094.11', '23765088.4', '23109728', 41, 2);
    T('686872.5126923355308401309', '-965442.698210832233', '16408', 8, 0);
    T('2591053225.9183611291221408475', '-39.553677630193', '2591053193', 1, 5);
    T('686930779.5', '-6.0063618261343787143847043021', '686930778', 6, 1);
    T('-1.031919518456E+14', '-2.8829498E+38', '-288294980000000000000000028321014349824', 11, 0);
    T('4.026380853E+14', '-3567.0708019476462', '402638085296640', 29, 1);
    T('-822677.879329280054538322713982', '4.75E+43', '47500000000000000000000000000000000000000000', 48, 5);
    T('-426173.8511113119492084748864', '31064186.3497166323004399341008', '30933058', 22, 0);
    T('-788598317.43926415165804', '-24967.440708', '-788623279', 21, 1);
    T('-17.0922710760766487936', '-23576.21', '-23576', 10, 2);
    T('-227535.1205449140', '-58.3898362997057450665', '-227584', 38, 6);
    T('3.14113353874E+16', '-7.5290427079761', '31411335387400000', 53, 3);
    T('363811046.252994708609', '-886405.3232277901', '362958946', 45, 5);
    T('-7.6887709582834124905', '15728034470.0', '15728034464', 89, 2);
    T('80.410290293900801640700385', '-4.29E+7', '64', 60, 1);
    T('-677.55638800992942556794031127', '-1.8521E+33', '-1852100000000000000000000000000000', 67, 2);
    T('-90859.500393', '-19.924', '-90875', 13, 6);
    T('-8902543.47619456504578605', '-387112070611886123674.6358', '-387112070611894534048', 90, 3);
    T('920518815.79835915', '-3577.0090043921', '920518663', 30, 2);
    T('-42.5681277471', '2.4906586103202145840590742', '2', 48, 6);
    T('5580351.1391537457', '7.037985E+12', '1049088', 1, 6);
    T('-6318.94410633778570362768', '9.076344170220097561E+42', '9076344170220097561000000000000000000000000', 41, 5);
    T('5812462.514349357071', '-173865.983894', '5771462', 15, 3);
    T('-20258550', '233.5', '8', 84, 5);
    T('-2903.570', '-992357073.4837752221', '-992357335', 43, 0);
    T('-7842712', '-1214068.351523663972741', '-7843832', 31, 0);
    T('475678.0558836872', '902635260.4306250709', '328220', 49, 3);
    T('-28465.50266401257924309098522', '-19.02732421504670944123603368', '-28467', 58, 0);
    T('-184289.5442', '-7.991356978637516414818065E+29', '-799135697863751641481806536704', 1, 5);
    T('-7.6143156832349407584568E+28', '9.55971E+9', '810352640', 37, 1);
    T('1.12E+6', '-67191.139168357081667253204941', '1052928', 88, 0);
    T('596967.83716756395401310', '-2.7E+9', '65792', 57, 5);
    T('-7.1330086055236144416943436048', '632621.6888514942', '632617', 9, 6);
    T('3.190E+7', '88788155879012449547482.2', '29769792', 99, 1);
    T('6500.368102', '4.959813072157567681864', '4', 63, 6);
    T('650342552.2210564', '-80253.577', '650264704', 88, 4);
    T('46103659.74137133245726', '-2011.421347071550442', '46102561', 98, 3);
    T('-825.685683', '-6.5471659549658766712125E+47', '-654716595496587667121250000000000000000000000000', 28, 4);
    T('-2882824930181492.3097', '509374.69002386463622', '394380', 58, 2);
    T('2233776419.28845138893410', '7.8430E+7', '69515552', 54, 3);
    T('496.60678987', '9197526312.9218967172066159', '288', 68, 6);
    T('4912783059.966827526991', '-39701073150736062.5870617415', '4370597954', 24, 3);
    T('-4.144581337343257033220535E+34', '177943.9340961209', '1024', 39, 3);
    T('-1.70963554E+23', '-3.19660466E+27', '-3196624179180785400595611648', 81, 0);
    T('-8217419.8419', '-1759780.375325730533113737152', '-8387436', 27, 6);
    T('-7.8907519879947942', '-2110270065.628848369534217354', '-2110270071', 94, 0);
    T('-7.9782E+8', '378283.7287290518863373733327', '416', 43, 4);
    T('4.089764160E+39', '-1050.92169723171388', '4089764160000000000000000000000000000000', 22, 0);
    T('-833542236668393867.6351', '-9.801E+8', '-833542236702473120', 7, 2);
    T('-5413703.664', '2063.2204', '9', 7, 0);
    T('-49350772372157.9359', '-38053.5857810265', '-49350772373181', 70, 4);
    T('39994.06719866611', '-9455.831', '38928', 43, 1);
    T('-264.30', '-1472.3680', '-1472', 70, 5);
    T('9.54E+30', '9.86949425465936E+28', '12502762773927099751253147648', 97, 6);
    T('-8746.8025', '48.10', '16', 3, 5);
    T('-8441671988.507488832786', '21111845.214', '4326404', 90, 1);
    T('421994810.590045732054766957335', '1.080750661958882511836E+27', '285548800', 19, 5);
    T('-79.80855059465386273150964321', '93129.794385473450188454', '93057', 71, 0);
    T('5.1665436583E+16', '-6.87652451756355392E+21', '1416308594852864', 61, 4);
    T('3E+8', '-244.79784169711366703707357', '300000000', 88, 2);
    T('-8.086851843683846806018', '-45399491.9984312773', '-45399496', 29, 1);
    T('3.499082911469337246359136808', '-189.80798', '3', 78, 1);
    T('6.071241757613458286277E+24', '-37133115.193440377996', '6071241757613458249572480', 3, 4);
    T('5.03E+5', '-9.301382405022463904205', '502992', 54, 5);
    T('-3.11652515025262E+28', '-7.141E+4', '-31165251502526200000000000000', 50, 6);
    T('4E+6', '590356637.84', '3145728', 82, 2);
    T('-4.525E+18', '-2E+1', '-4525000000000000000', 83, 6);
    T('11722.4583638', '59518833.6647803', '11584', 70, 3);
    T('-53045.0147444544878910400382', '6950.5624730205834979512', '4098', 45, 4);
    T('-2627750432418344181704.7227862', '7567513828.73173577432434257', '1091305504', 17, 0);
    T('577181.98665062833651770514510', '-2521761028.39305404040', '51868', 91, 2);
    T('8851767.20668', '7.484083558980438272738', '7', 37, 5);
    T('6.20484611515823559043018E+38', '7314059.4890397627351914129', '2162688', 65, 2);
    T('-7677240017.3448807584290', '-1.18734362088852095319010E+40', '-11873436208885209531901000000002282225664', 55, 4);
    T('20986.7633', '-68434264906751332537602793.44', '16658', 53, 3);
    T('2.7763', '58357363', '2', 88, 2);
    T('-34462.040462100029', '8.59E+4', '84224', 41, 0);
    T('-8.747E+25', '-18.66702291106497541848062', '-87470000000000000000000000', 57, 1);
    T('-2074217331.7067515930352', '8.13286737093E+47', '813286737093000000000000000000000000000000000000', 84, 2);
    T('-1644453162', '-5.0693958506866E+42', '-5069395850686600000000000000000001073741824', 82, 1);
    T('6742472756.93355417541431061311', '-905314660155644.27', '4316035076', 29, 6);
    T('-8967267.358326', '6366611766.07410253397950713', '6366038292', 14, 5);
    T('-6.3120237919606488E+23', '7.77704770968242785727275050E+42', '7777047709682427856642148553831442269995008', 24, 2);
    T('-3275.335669042044781608', '-1.698625', '-3275', 24, 3);
    T('-5.8901', '15269017.446019471398', '15269017', 9, 5);
    T('4.230640882342926E+38', '777114710.477252321782', '704643072', 36, 6);
    T('-1695892055.72', '18240.77521124999', '1280', 100, 4);
    T('-7793968886.72754', '6646.94845041515', '6402', 10, 5);
    T('-6105895992.2660026553708', '-2E+4', '-6105914944', 14, 0);
    T('1657990143.462096344', '8980.40891979979', '8980', 78, 5);
    T('-7.997146927654623814684158E+29', '-9.030543755960398982392568E+34', '-90306071384985716413565953787166720', 66, 4);
    T('545.230625740471397', '-9589823.16', '513', 77, 5);
    T('-928.5379905200173503658270207', '-2686.8336545028335237647', '-3072', 19, 5);
    T('39220.77563814752', '75435842.7346', '2304', 60, 2);
    T('8.7904E+6', '2.26E+16', '8650752', 4, 5);
    T('5.8438753503249384100E+39', '-97210448250781322473396.09', '5843875350324938409912353160613601476608', 9, 5);
    T('-5289.50', '-558037486.59288516623', '-558038510', 77, 6);
    T('-7610781.60437232608364656018', '50.240075220759375550381108237', '34', 13, 0);
    T('9.9304562263029299E+24', '-1350', '9930456226302929899999744', 81, 1);
    T('-24.5917395689919914361748155', '346.0649', '328', 78, 5);
    T('-5159340.38627267045562558', '4.17E+16', '41699999999868928', 45, 0);
    T('-2.325995366594168920079E+48', '1E+9', '671088640', 93, 1);
    T('766784.6', '-60082565.23977254607137', '733760', 8, 0);
    T('-4.6447668129485492578E+26', '4.06923890068E+14', '387132380348928', 55, 2);
    T('8.99E+13', '-7265659.6681226778822071286273', '89899999961088', 53, 6);
    T('-19314785812830221528897.8', '-366371581.738768896516249', '-19314785812830557204477', 34, 5);
    T('8.5897436663533585E+32', '289393995.4983743177487', '286326784', 73, 6);
    T('-1E+1', '91.964285049', '82', 34, 3);
    T('-9E+9', '17883856.15625', '16835072', 43, 3);
    T('8480827868343005458467914.140', '16386.6195931966686934500', '2', 63, 1);
    T('21633647', '-8.3738980E+9', '4198496', 16, 0);
    T('663559684.6306131340672', '-4.81502762E+33', '67108864', 11, 5);
    T('-1.736959330', '78907941.3441', '78907941', 62, 0);
    T('-3561515941.1', '-374746174176496.358', '-374748594831344', 55, 2);
    T('9E+8', '-1.02064451', '900000000', 10, 6);
    T('2945.820255524420164', '-153.976176147561872', '2817', 38, 3);
    T('-2339.74683239701650254667', '-121374799.9', '-121375087', 87, 0);
    T('5.04005179518E+13', '-73805288.3316971564', '50400511660056', 75, 3);
    T('31278.582', '-373797.7', '18954', 38, 4);
    T('-8196.99349874510004297789', '2.42E+15', '2420000000000000', 41, 5);
    T('-1695238.2408275752598859085', '-6.200E+9', '-6201147392', 29, 3);
    T('-3291892.61380431832539127720', '767.5416', '12', 87, 6);
    T('-4302.0131477676472664815', '-715.1708604433189348190755', '-4816', 65, 6);
    T('-22889915.055824046136', '-6910986.76423666985483701272227', '-24999356', 58, 5);
    T('7.265832147E+40', '5.2827101E+9', '4294967296', 4, 6);
    T('-9.02261E+8', '-90.23853820656815968', '-902261088', 15, 3);
    T('35577.062938166197474673990053', '-60442.0120762', '736', 83, 0);
    T('-530.566665888', '-448.38966', '-960', 59, 1);
    T('50182779.876489199146697776', '-401224885', '1411659', 21, 0);
    T('7833079825.6108080612', '2357439.422', '2314257', 14, 0);
    T('-85269642.5509236584825864', '-4522.988902811', '-85269930', 72, 5);
    T('71.510', '916159.95204771015669934844', '7', 78, 3);
    T('4649401861.733779552956992', '-4.80495E+6', '4649397760', 6, 1);
    T('31675672.642943095324', '757.489828726588541844', '16', 55, 0);
    T('-8539.98786679', '557430.0602957', '557092', 43, 0);
    T('-306272.702', '264.023', '256', 46, 4);
    T('54492.46354694', '-7605542897.946625571659658', '32780', 37, 1);
    T('-2.96501460577337634485272E+49', '-3234.02382', '-29650146057733763448527200000000000000000000000000', 92, 6);
    T('-4.032467755839800E+41', '-85550.390270163615', '-403246775583980000000000000000000000000000', 41, 5);
    T('-8E+8', '-974.362488009046', '-800000000', 63, 0);
    T('205847032.46781', '8547.8', '8544', 99, 5);
    T('1.74393306647E+50', '-7.61506956536228500822E+26', '174393306646999999999999980335577063064370476482560', 25, 4);
    T('3.94281173957030746511080E+41', '8.704150301235E+22', '85196612396992623017984', 45, 0);
    T('8.1711494E+9', '82320.99524', '81936', 83, 6);
    T('-72864564949650622138.3891', '212.28309081482292911647509', '68', 11, 4);
    T('-83379.84355210628192525957405', '8.67035416289280624599484E+36', '8670354162892806245994839999999934464', 35, 5);
    T('-8.6854E+40', '-4.8432917499654974409E+21', '-86854000000000000004768780670376962162688', 4, 4);
    T('-8.75625989522931752E+38', '-7.990208540E+49', '-79902085400704776495937929160759878630923325931520', 24, 2);
    T('59876784580.5987475438762', '-785040.6900605', '59876049216', 51, 3);
    T('9.7665E+6', '26849945.7192816800986', '9503232', 23, 5);
    T('8.78645833315142450444010044861E+49', '-2994.892382027', '87864583331514245044401004486100000000000000000000', 1, 0);
    T('-9.64029E+47', '95387226754358853022.1', '92360524845555908608', 9, 1);
    T('-6642.26053516540505168315337', '57.44733', '8', 14, 4);
    T('573407203.20697731615837595', '673.65', '673', 25, 1);
    T('9390508.55183281249550546', '-558891978919.3713284016784', '67848', 96, 0);
    T('8440.0', '970.485013770284936071535530', '200', 86, 2);
    T('-958990', '873203742919403008945', '873203742919402475952', 14, 1);
    T('5.531558E+32', '-783329.90862411854', '553155800000000000000000000000000', 76, 2);
    T('73786100.494572990474738', '-7044.6831401936604610385', '73785460', 20, 1);
    T('-604.6381525828965', '-1.527367019E+31', '-15273670190000000000000000000000', 89, 4);
    T('-9225.77380141906', '-5.52164019679E+27', '-5521640196790000000000000000', 33, 6);
    T('245.3', '306105.544493284647', '177', 28, 6);
    T('-49702576', '-2.08477E+34', '-20847700000000000000000000000000000', 25, 1);
    T('4983.749525185034786969605962', '-5.631859274750988E+17', '848', 51, 5);
    T('-9027311250.3895406665', '3.1518189184767957152137E+40', '31518189184767957152136999999991007412224', 56, 5);
    T('93.9877906', '-2.30176504195', '92', 96, 2);
    T('6083.272826725', '1E+4', '1792', 86, 4);
    T('-45622.3023505016', '54019203.408935974322378667059', '54019202', 51, 4);
    T('-9538.29842601306033768216029', '8.93E+40', '89300000000000000000000000000000000000000', 28, 0);
    T('-952868530.3', '946.687039140144768523367901545', '258', 95, 1);
    T('-10075.48976', '3999274604.8', '3999272996', 75, 2);
    T('-3.0E+9', '6.4142232012694455989964E+38', '641422320126944559899639999997806379008', 4, 4);
    T('9375366.13825361', '4.0104391E+9', '655492', 95, 3);
    T('-279271.940', '7726.6911578801117382403', '7176', 97, 3);
    T('9E+8', '-489.159826523', '899999744', 30, 4);
    T('-6363231536.308784221665', '1800648321.0804992506702897104', '1081984', 62, 1);
    T('-4.4210E+8', '-7.89889037E+49', '-78988903700000000000000000000000000000000000000000', 45, 1);
    T('953481.72', '-277713668.28135719511085', '134280', 88, 5);
    T('-6117047.82844883514112036292966', '-1.5316606208771370828029951932', '-6117047', 82, 3);
    T('-1.6E+2', '-6.0731435E+9', '-6073143520', 20, 6);
    T('-5.5208836830714025E+39', '-320897847893004425620.506', '-5520883683071402500297528105960954920960', 88, 1);
    T('1.9569347922E+33', '-4.06E+8', '1956934792199999999999999731564544', 22, 4);
    T('-6.859575288923966708496E+34', '9.12700211822381774356041702E+49', '91270021182238150783880540933876529434159713615872', 7, 6);
    T('1.518598660501100671853E+43', '-833649449941501663950.829', '15185986605011006718529334682020607271370752', 44, 0);
    T('-191661373.14327', '-5.26509679850102E+42', '-5265096798501020000000000000000000000000000', 88, 2);
    T('2.34001E+35', '-787804.12561943236', '234001000000000000000000000000000000', 24, 6);
    T('913984397.16964108266671487365', '-3644722.237826', '910705292', 46, 5);
    T('5.0138013593E+27', '90773626.909919327830675', '90701824', 15, 3);
    T('-3.8E+6', '-7.0E+5', '-3932160', 98, 4);
    T('-6.10042732284', '8893143926.3', '8893143922', 12, 4);
    T('-2.44049305160394137645346179262E+40', '190695344.551', '173916160', 7, 1);
    T('-11.0871', '-9.48544805823948E+37', '-94854480582394800000000000000000000000', 25, 6);
    T('93.4', '-6123663698.34', '12', 98, 1);
    T('1.33459073965044963764197758321E+46', '5.9E+5', '524288', 41, 2);
    T('-9617708.155670483599790', '-8862631952915', '-8862641406780', 31, 1);
    T('-6.08593852262552313E+47', '-1.86640475477E+36', '-608593852263073571820764322003024494865963548672', 58, 4);
    T('-764439516713507.79825', '-38037038.169785812', '-764439550555696', 88, 5);
    T('8.3294E+39', '-5.10602346E+19', '8329399999999999999962811451241477963776', 38, 4);
    T('7.569620887398521381904E+24', '-7.602841520606042654E+21', '7567036031456484368636544', 35, 1);
    T('-9.49418286797274606186700E+46', '5.61763879E+9', '4328521728', 49, 0);
    T('-3.5004329799990378734093436E+40', '-7.43059476522', '-35004329799990378734093436000000000000000', 77, 1);
    T('-986.5331155335141', '944.59437800', '32', 76, 2);
    T('-66.91608028647611352', '-3042.3927631', '-3042', 64, 3);
    T('853250.994757091034968316', '-2.58534E+7', '327680', 25, 5);
    T('-180212624006659414437', '6.2376613152548204037992428E+37', '62376613152548203876245277156806508544', 48, 3);
    T('9.6756625058039890304182838E+49', '8971034060.0145373122268378662', '369098752', 64, 6);
    T('-785684786.369382', '-45263.825786', '-785693184', 4, 0);
    T('-4.82896669198319992238E+26', '8.0E+4', '80000', 28, 5);
    T('201929925.21425407123746255401', '-72.9272824454902374896273', '201929856', 21, 2);
    T('8604698.3006841078814', '6.022E+4', '18456', 5, 1);
    T('-3.7E+5', '-9.01195723533231725271E+32', '-901195723533231725271000000360448', 34, 3);
    T('644992221.736', '-402.69912951661580504374', '644992076', 10, 6);
    T('7.769E+8', '-376.2377', '776899712', 24, 0);
    T('-94.76252427890170345807995', '4.5E+46', '45000000000000000000000000000000000000000000000', 52, 4);
    T('-1936833612.9817827969853', '-1605.634223026304702101', '-1936834128', 45, 3);
    T('-6365876397.442691915746493', '-3.6832134E+8', '-6442431424', 79, 1);
    T('-2567.4', '-44.7501654202567', '-2608', 61, 3);
    T('-5.6843192956960308105818149E+33', '6.29081E+29', '455720351073989741011064061952', 45, 2);
    T('78.64278', '-76.709789181271325', '4', 17, 0);
    T('7220633313', '3.61008736E+29', '738197504', 76, 6);
    T('99.5957203382509', '6.9159E+10', '64', 35, 2);
    T('-15628.3', '-99741820.99074738', '-99745148', 5, 6);
    T('-543.27339', '312878.9427198805949630', '312352', 38, 3);
    T('5657.7167867061', '-9.63065E+9', '4112', 37, 3);
    T('8.20201910312343508276730E+35', '-93.8601620425476186', '820201910312343508276730000000000000', 97, 6);
    T('-6.9136592489135649593969407125E+34', '-555531.465826308', '-69136592489135649593969407125552960', 11, 0);
    T('707356231094174626.35787', '556221615.35', '458914', 36, 4);
    T('-7884.44796048462251', '-1.69', '-7884', 73, 2);
    T('192959437.33438088188', '2.766894639607E+14', '151011404', 18, 1);
    T('-122.76', '6.993437567312E+18', '6993437567312000000', 43, 1);
    T('-4.216971973E+19', '-9.698868', '-42169719730000000000', 99, 1);
    T('-3.84829590604401039782519095E+32', '28607.907061237600766275773357', '1024', 56, 2);
    T('5623279420.01164619319718', '-839587235.514289100', '5589199388', 12, 6);
    T('6.1909607757430245194E+21', '-214833439.58687967461', '6190960775742877712608', 83, 6);
    T('2.7827E+26', '-2.2911247706830625', '278270000000000000000000000', 75, 5);
    T('582782.7024660406493059', '915381.2212459591398014953289', '582708', 85, 4);
    T('-30799.16', '2717017277.188638169049903', '2716992689', 48, 3);
    T('2.178659E+24', '-6682294809060.07', '2178658999995585519419392', 30, 6);
    T('-94051.973', '692.47709964599688350', '148', 37, 3);
    T('-411033', '319143472.84323516', '318880288', 82, 5);
    T('-28.345094164481416391407945480', '-4370125735.3', '-4370125760', 57, 3);
    T('877382.351355190041342352', '-1.05', '877382', 54, 6);
    T('7.5278921249E+39', '-8308.8970308470', '7527892124900000000000000000000000000000', 3, 3);
    T('331152378746162.63715212004', '-9.87761E+8', '331151659422736', 60, 6);
    T('-726030.1857117714741431', '-2.449E+22', '-24490000000000000524288', 51, 2);
    T('4203.07975629', '-94.674217430', '4130', 63, 1);
    T('6.8337302591158400391888064E+46', '6.5E+39', '712509492574670821159102851648472481792', 61, 5);
    T('-4454.3625968503930194135343', '8554457360', '8554457104', 97, 6);
    T('721.7522272309832240', '-48.82830046597819401675', '720', 74, 2);
    T('49329422.74246668', '7187868.5444935373297297', '6333708', 84, 4);
    T('-605948.33069813483983488211', '-6.434824938498494667011462362E+42', '-6434824938498494667011462362000000000065536', 85, 2);
    T('-7.21841090732284885', '1696760.74459', '1696760', 99, 2);
    T('8.15519194E+19', '4.2594614110E+37', '78615414078714150912', 52, 2);
    T('9.17545922E+39', '-3.97299398201454083709394876E+32', '9175459169246618134390678361482536681472', 11, 5);
    T('2.98E+6', '853129145.3903323160391616', '602272', 33, 4);
    T('-5E+2', '-58231077141173628711541.0029589', '-58231077141173628711928', 88, 4);
    T('-3434.668661237427877519', '-9.168886E+26', '-916888600000000000000000000', 54, 5);
    T('-21496856.14296109305', '-94240.6129812204962155490820769', '-21591072', 75, 0);
    T('3.66E+4', '-6.441E+4', '1120', 45, 1);
    T('9011124873.47621512883236124', '-5.572623297E+33', '9009364992', 72, 4);
    T('2.448503918953353E+45', '-61192.568903258151575245445854', '2448503918953353000000000000000000000000000000', 79, 2);
    T('-4.27533252E+24', '6E+24', '5395460673103761722310656', 78, 3);
    T('-163265.567496', '-34468791.279', '-34602999', 80, 4);
    T('5.810964E+9', '798.846281766826', '512', 53, 3);
    T('-7518.369202748108', '186.27043494410019', '162', 6, 3);
    T('7.7979E+32', '3.650201034E+14', '285600561233920', 70, 6);
    T('1.4225E+6', '544244.992429078394164141095', '1188', 44, 6);
    T('-651552306867899498442862429', '-3468850.2600641136744', '-651552306867899498442911614', 66, 6);
    T('-6.98E+12', '-68084.3039391', '-6980000002048', 85, 5);
    T('-19612638.992021582', '91019.59127983209', '8194', 98, 4);
    T('-128963743.3760369210479258', '-3.2E+7', '-133158912', 45, 5);
    T('-124.379315194570005305396559', '5710672', '5710592', 54, 2);
    T('38604.3', '-526.3914865180', '38080', 89, 0);
    T('-2.4033803100279727898', '-9610512.3374', '-9610512', 71, 2);
    T('3.83E+43', '-1.271072', '38300000000000000000000000000000000000000000', 66, 3);
    T('-4.004E+6', '27495998.010034919', '25331232', 8, 4);
    T('65161.619386061069', '1336.9220796974431060093714792', '1032', 12, 2);
    T('-1.2235148878', '-52.88782193876', '-52', 87, 0);
    T('7.8669673074152E+45', '-3.72977647538310686813056596', '7866967307415200000000000000000000000000000000', 27, 3);
    T('-1.38315', '-184936.555097697315847', '-184936', 47, 2);
    T('-4.7188019935938632708003126871E+35', '907280747.715681619675223978528', '335544320', 65, 2);
    T('5646799294.833596', '8.44820541538233596975097', '8', 12, 4);
    T('3.6515874092283801550844807673E+34', '2723112457.047962768950727847', '2722832384', 45, 5);
    T('-861467257680.1058160444', '-44904116.6716637081585', '-861476433920', 15, 3);
    T('-9505.91416619615592', '-5492357.70014118106786539340547', '-5500837', 12, 4);
    T('-202.34720746765', '-410.177367769189209366464', '-474', 95, 3);
    T('-82.5304248788603102826282323', '-69.4870535', '-86', 99, 2);
    T('509004546.6161091', '87309.920', '16640', 70, 3);
    T('-70774781.408712242093010', '-5176341.819', '-75497469', 52, 4);
    T('85324933828.939954682455', '-62979.8675744594287250821359065', '85324925124', 97, 6);
    T('-73245533', '9034576.33052893366213082', '8411136', 46, 1);
    T('9357504392026395219373676803.12', '452.5298082820071', '256', 27, 4);
    T('-6.9477E+17', '46031095.0290272610168902699', '2514944', 81, 2);
    T('9.2247565171931046956756088454E+38', '-328.82813320', '922475651719310469567560884540000000000', 96, 6);
    T('39421496802064.48073005', '-68619.443007070025927', '39421496800016', 85, 3);
    T('-76.883096', '-7.382066772782252702550356E+42', '-7382066772782252702550356000000000000000000', 82, 5);
    T('-7078293495.790381448', '2.3388890458123095E+28', '23388890458123094999433760768', 64, 3);
    T('2634932.056936240249397759', '910383.597211', '533540', 13, 1);
    T('7769975.9777', '7.63182927497751', '7', 41, 2);
    T('-86.1944586865528208', '4.1016264E+9', '4101626400', 4, 3);
    T('-14380.45219028947347416718721', '-16850261011153646.6480206766', '-16850261011167984', 58, 2);
    T('826.3168479009', '-41.49284763324225410132153', '786', 63, 0);
    T('1.11890719194775148647261980E+27', '-20.8897649533974861528140800922', '1118907191947751486472619784', 96, 4);
    T('-4E+8', '-87553813', '-402126848', 9, 3);
    T('8.9429071778E+27', '36508841', '33816576', 100, 4);
    T('4280446.70218577303699317', '-47286.3', '4276298', 13, 2);
    T('-5.5656383197521E+23', '9848158.83', '9454592', 40, 5);
    T('5.22149614841113133914E+41', '9.0906E+34', '90905841402597316454323083603345408', 47, 5);
    T('-38692414', '-582.1870006495925', '-38692478', 70, 3);
    T('-524.053678011', '-5.82591276956231928027337E+29', '-582591276956231928027337000512', 10, 0);
    T('6.4916420724858249983E+38', '426110225.1881183304185', '134217728', 15, 4);
    T('-4.7261E+20', '6.678E+6', '2162688', 21, 2);
    T('-305626643.881287388851', '-1916386716.926187224863014080', '-1916796828', 28, 6);
    T('77.4314863765444', '-32.8573200726551126326579934250', '64', 59, 4);
    T('-4.75514E+7', '5590.55151063147917591', '1104', 84, 5);
    T('50.7842', '35.9', '34', 63, 0);
    T('82674.780572426', '-8.9925E+9', '82656', 91, 4);
    T('21824.267934', '-2520333.073021', '64', 75, 3);
    T('-5.21249E+7', '-345.165443', '-52125180', 94, 3);
    T('8768.020534648734839266049', '67347.573', '512', 2, 4);
    T('5993471.75320', '514112.18506650584718554667516', '217152', 74, 6);
    T('-692565654.73834691987617', '6.335538382752103072E+43', '63355383827521030720000000000000000000000000', 11, 6);
    T('-6782.343619108', '-3.2107629194134295073E+32', '-321076291941342950730000000000000', 68, 6);
    T('-87047.67062035216112004433532', '-39602.614781035', '-122552', 42, 0);
    T('-126652.92652457833205569564', '-2.8407685884E+49', '-28407685884000000000000000000000000000000000000000', 75, 4);
    T('-4.6117592503109084466177', '-333080.74520136252693631650076', '-333080', 72, 6);
    T('2.7378732068244376738491E+36', '4.5231913996137744399E+31', '42003324892340479622982595559424', 97, 1);
    T('-3.482503E+47', '-396.62', '-348250300000000000000000000000000000000000000000', 42, 6);
    T('-5410645.123', '780494.733094163452874', '614538', 48, 0);
    T('78191209.5', '9.3915600328313258418857074E+28', '67115072', 53, 6);
    T('-9207053477.7', '-719424563', '-9377021111', 66, 3);
    T('-5836116.3827758142911', '-7513311.30439316208804360761693', '-8105440', 44, 2);
    T('1.9E+4', '-8.7088905', '19000', 29, 0);
    T('4.152', '335670316.808971514115795', '4', 79, 4);
    T('-40.921933928687488770518784', '37989.3', '37952', 89, 2);
    T('-603954006.460920056734', '-7348.1159453', '-603955192', 62, 6);
    T('-1.421458710291968809460223E+43', '-8474.4485718569', '-14214587102919688094602230000000000000000000', 54, 6);
    T('-5.36240E+10', '-135.8601174592946799567', '-53624000000', 100, 2);
    T('-1536560.580103397853', '-6.44382E+6', '-7828272', 27, 4);
    T('33082314.5294106', '215.43131245981011630976171', '194', 69, 1);
    T('-31699154.8992153354', '-9.2142755332234955E+39', '-9214275533223495500000000000000008388608', 70, 3);
    T('-444096.462700', '-1.659E+41', '-165900000000000000000000000000000000000000', 53, 2);
    T('19570.5575', '-1.070966891231788610400', '19570', 90, 3);
    T('-7.5276979073488381113698E+33', '-3.244E+4', '-7527697907348838111369800000012288', 34, 1);
    T('920.62013223544114641527568142', '1.01E+4', '784', 93, 6);
    T('65959860.33', '9126358.741206350305822', '9060756', 14, 6);
    T('844.8', '-748.4', '260', 33, 5);
    T('-118014956.265933638769965188', '4274.87386856000624274202361517', '4112', 14, 3);
    T('-209507278756.308270590671', '25.54289216041205511', '24', 88, 3);
    T('2.720165051025791', '-5701.26268728130832', '2', 10, 0);
    T('497524872', '-9.645844720', '497524864', 74, 5);
    T('-7184.1', '7676.1290668603032581', '496', 85, 1);
    T('28908.337592237532854', '-8.198816567222519897770E+27', '128', 70, 0);
    T('-9.563179637595173E+33', '2125094691272643894084.35', '1479276155944177238016', 72, 5);
    T('-3129.68616365177', '-4.201E+7', '-42012096', 3, 6);
    T('-791354285059.1937532', '4165467116232121354.944204', '4165467115158110216', 81, 4);
    T('13143108.446155148', '4411010074.376912983503467', '13143040', 46, 3);
    T('-90.7435868097563', '-5233219.6523945487', '-5233244', 46, 0);
    T('-1695.33617', '-99709921.01058295', '-99710975', 24, 5);
    T('-36.852691269064676957', '-98812.118065216449', '-98812', 18, 4);
    T('-7.2183E+8', '-38341830.183876942723354', '-726617328', 8, 6);
    T('-5073188.384', '-4445591107.934076645558497', '-4445929316', 40, 0);
    T('62', '60234.1708564389827038971101', '10', 23, 1);
    T('-6610.8009314317195121047385170', '6E+30', '6000000000000000000000000000000', 38, 4);
    T('-6.84106885473055955810377915E+27', '1E+7', '9965696', 35, 3);
    T('-1.638E+28', '9.74980937990772971122E+45', '9749809379907729696353737517745548725118304256', 79, 4);
    T('2.3007831800433E+21', '29301024.8037018333851', '8524032', 99, 4);
    T('-271295233.76301924735377323', '4806.780289174574654572930', '4294', 11, 6);
    T('-3.236158E+24', '-849589123.7217', '-3236158000000000276824064', 17, 2);
    T('-5634335.52261008083911', '-1.6663', '-5634335', 38, 0);
    T('9E+7', '1.4E+6', '1394816', 16, 2);
    T('-59.29852340', '-8.5961375E+33', '-8596137500000000000000000000000000', 27, 3);
    T('-9.1528E+8', '91082740', '23187328', 11, 2);
    T('6.7227580E+42', '-80.1114916863946036934679097', '6722758000000000000000000000000000000000000', 78, 3);
    T('6.88018883300289914003487588E+49', '3370257796.38346', '3355443200', 55, 3);
    T('-7.35770178319874859949458360400E+36', '-4.21E+7', '-7357701783198748599494583604033579008', 29, 3);
    T('-2.3672899E+33', '-3.4662437263379564364160510E+34', '-36285188533334186449045624757157888', 10, 2);
    T('19.957833126803190641650', '3517798.13526423597482275396', '2', 6, 2);
    T('-9.755788E+42', '-4993079.937792628', '-9755788000000000000000000000000000000000000', 99, 4);
    T('-590841.1', '9761522715.6558773499773', '9761457155', 44, 6);
    T('-4.47308601986328363032201918378E+32', '4.900643495996970122488253291E+49', '49006434959969701224881281671001644209291325865984', 7, 1);
    T('7077020.881', '-74149.22661054559382415275328', '7003160', 8, 1);
    T('500992483.0', '8652059569.35402521', '26247585', 50, 0);
    T('-79999.7141763818376483', '-5.9226979062', '-79999', 99, 6);
    T('3122.19', '180501972.43219232', '3088', 69, 6);
    T('449.2126114', '-2989218113.58783281082929963', '129', 59, 5);
    T('1807386804.7410412179', '-7.53280865336021E+42', '536870912', 96, 6);
    T('-4.8797E+42', '6.153263663337E+31', '20293710708640171694318858272768', 96, 4);
    T('4.748248437351302123E+22', '-8336330412.772843002955149', '47482484373505221918992', 98, 4);
    T('-3.2859338312974214687733', '4.3988168897223078199E+50', '439881688972230781990000000000000000000000000000000', 57, 4);
    T('-890.794659167612206939488467052', '518.50', '6', 56, 2);
    T('379.4226800832905970559551', '-75747064.48149878142218320945', '264', 28, 6);
    T('-7188629.895', '4.916E+7', '42078016', 51, 3);
    T('-2989989011.8423698', '665', '521', 96, 0);
    T('974890910.19296536356362056', '-53.7905', '974890890', 14, 0);
    T('9.02010849159108869E+35', '-4.1E+49', '233663620248636291642742302721441792', 16, 2);
    T('8904', '-579066461.074000075180785413027', '8320', 98, 0);
    T('-80.4126493444369895052628806757', '9.44110891495032336E+44', '944110891495032336000000000000000000000000000', 78, 0);
    T('-1.52700E+7', '910166748.80281482351279319797', '905972368', 7, 0);
    T('-5.380198703303921526259670E+30', '3842675999.82748035125393698107', '536908800', 55, 1);
    T('-2.6494E+8', '-9.3E+26', '-930000000000000000234881024', 65, 4);
    T('37743.1545851', '-2E+3', '36896', 38, 0);
    T('79', '-83743.3215002785', '65', 44, 2);
    T('9.2171932131849712E+39', '-928822.78', '9217193213184971200000000000000000000000', 9, 5);
    T('-1.8760977695808957263626E+50', '-9.2533940189E+28', '-187609776958089572636351733328971348053993776480256', 34, 3);
    T('7919189.433015', '-35686.5', '7885840', 21, 0);
    T('-26211.756305027273310338', '-3.94882416870748576117', '-26211', 72, 4);
    T('-4205.730283887806077223398', '-6.41669165610079E+50', '-641669165610079000000000000000000000000000000000000', 4, 4);
    T('-4396916822.8781737990732', '4.5383649819766809439231282584E+44', '453836498197668094392312825839999995603320832', 48, 6);
    T('-460033.0314763202614992129', '740.9874', '740', 41, 0);
    T('955801714.683', '1761913164.9938', '671096896', 89, 3);
    T('-9140.707486736578268220896265', '2.261448066E+29', '226144806600000000000000000000', 87, 5);
    T('2769.09427895622360016325', '-3E+6', '2112', 40, 5);
    T('4339126083.1', '36201.796213497', '36161', 42, 2);
    T('895.2', '-26080858.081772', '294', 85, 0);
    T('7445862.590409413', '53.970048834922261618615', '36', 54, 4);
    T('7.00061E+9', '-62413695.05831415', '6983812224', 36, 1);
    T('-219.1474356777', '7.729699689842128959429E+36', '7729699689842128959429000000000000000', 11, 5);
    T('-6.25E+9', '6.0E+7', '51413248', 78, 4);
    T('439735741.17661469816924', '-527454330.07728266', '361860', 95, 5);
    T('-34.8712336537378789', '-80938914.35744', '-80938914', 94, 6);
    T('-420.8572322454757', '4.87356379854439802792', '4', 59, 5);
    T('717431.194613', '99733.556368', '32789', 2, 2);
    T('-819341081.651831', '-81507179', '-887076731', 38, 6);
    T('52541157.1776393', '75992225.8169916', '99489', 71, 2);
    T('-685830.4', '-5.2', '-685830', 89, 2);
    T('-8.181E+4', '-840614.46902654121', '-917430', 100, 6);
    T('410500.57159952', '-86.121921654535166899175', '410496', 90, 1);
    T('-8.861', '-642724048.6055526334', '-642724048', 90, 5);
    T('-3.557376706560182E+48', '-51721.7', '-3557376706560182000000000000000000000000000000000', 17, 3);
    T('964.4731441962062944888433368', '108241.8500594984', '704', 24, 4);
    T('-22.5852615135738548', '9.9002172E+41', '990021720000000000000000000000000000000000', 100, 3);
    T('-6.1E+15', '-9.226082E+10', '-6100090497105920', 19, 2);
    T('-844093.38361595315042770', '-3.4E+3', '-847232', 58, 3);
    T('-9.715882774580591731053E+23', '-3387242.311226', '-971588277458059174326268', 35, 0);
    T('6.36371E+35', '1.8640065265085424642381E+32', '182558077096758772339188034437120', 54, 3);
    T('-8.128886708044', '-5.64004410E+41', '-564004410000000000000000000000000000000000', 61, 4);
    T('-9E+2', '-2.74E+7', '-27400128', 68, 1);
    T('-42033.595853820158134830537125', '92.8811618028378461', '76', 7, 2);
    T('2.99374249056538E+38', '-2704706.09510135166702238895', '299374249056538000000000000000000000000', 78, 1);
    T('872101.866', '-1.80441631138079', '872101', 44, 5);
    T('-7.7E+23', '-5.24108713441838', '-770000000000000000000000', 83, 1);
    T('-7147546835.939719473837046363', '-7.5481125971404334028E+27', '-7548112597140433405484657664', 65, 0);
    T('-879.219342596148163479', '-9.307042242342628583725354408E+50', '-930704224234262858372535440800000000000000000000000', 75, 3);
    T('-5.7774374564355831924585754E+45', '-7E+13', '-5777437456435583192458575400000006047852920832', 72, 6);
    T('-647301721.7844119515563', '-9.4510617296588874E+39', '-9451061729658887400000000000000637534208', 9, 2);
    T('-4.99904690', '-5.86924123798478769166374822108', '-8', 54, 1);
    T('-2.028E+42', '9.67474E+25', '77390363291276397298843648', 61, 1);
    T('-1869261.2391064821', '63227285.6490928358189360259', '62930961', 31, 6);
    T('-165176.61857212', '-1.36495179169E+29', '-136495179169000000000000000000', 66, 1);
    T('6.899E+32', '-8.551572E+41', '689880192273791154949049292947456', 62, 5);
    T('-16285097.9900', '-8332081136338.80223300264449381', '-8332085362682', 24, 1);
    T('-31868925.21', '18709.098015022459919328', '2049', 45, 6);
    T('7014.4051196854306819', '-21296006.30315', '2146', 37, 4);
    T('-30242702.816918995', '6.426', '2', 49, 5);
    T('86063257.9344548', '2.4422951093E+18', '4096', 95, 1);
    T('-272723.830139704', '2.7890477251033700945015E+44', '278904772510337009450150000000000000000000000', 79, 5);
    T('2.089091917796E+34', '-8946.62349772356783835534', '20890919177960000000000000000000000', 58, 1);
    T('1.499E+47', '-1.801770760745E+24', '149899999999999999999999803984895080225002487808', 83, 0);
    T('-3051364964.730216344174', '5.990463559E+44', '599046355900000000000000000000000000000000000', 20, 5);
    T('6477187772.04207', '7.8953208564E+40', '4294967296', 80, 6);
    T('-2831.533835541061340476642561', '73739124.71', '73736304', 10, 6);
    T('-59174173.593366003442', '377180.356343547045134', '65600', 96, 4);
    T('-2.8704138E+33', '-8293963615052.97875455852118290', '-2870413800000000000007185748721664', 61, 6);
    T('7.21105752546767638790238382480E+32', '1.32825820E+23', '113927128017502923259904', 98, 4);
    T('-5.32E+9', '-3.70E+47', '-370000000000000000000000000000000000000000000000', 23, 4);
    T('-1301735.09222426745601663', '-1.5066164823246102189826E+23', '-150661648232461023051512', 41, 6);
    T('-9946317405604736.58460', '-10075.8742894664969', '-9946317405613952', 30, 3);
    T('9.167453E+9', '-7866.0101738733922', '9167446336', 71, 4);
    T('6.6448363866397263547398628E+44', '-661842337', '664483638663972635473986279999999999427477504', 96, 6);
    T('-89523190891225455817.707443', '9.13484081920186158E+47', '913484081920186157999999999915232680719035662336', 91, 3);
    T('-7462573920.29605455', '-8.616509832268623657847150E+28', '-86165098322686236582771285984', 42, 3);
    T('90457.745846467724308570584193', '6612.776318009875', '336', 14, 4);
    T('3.6040392753292887E+23', '7472.338348', '1280', 28, 6);
    T('3674.945940', '936461.4143031608', '2568', 11, 6);
    T('-729', '7.64E+3', '7424', 97, 1);
    T('-70329766771.412026', '1.074E+9', '57472', 41, 6);
    T('-78454491.49355938804359047', '-71452290.3279292691', '-82796252', 63, 2);
    T('-5.981071E+9', '-3.952284191550665333E+23', '-395228419155068144576416', 92, 3);
    T('-849770.21839011705318916878', '3.4353672E+40', '34353672000000000000000000000000000000000', 66, 1);
    T('44859.43223967890591', '-3117818766709055.43851', '44545', 10, 5);
    T('700187.556658356496549155523', '-177267656.880478657235', '658456', 33, 6);
    T('-3.03255698272715039E+26', '1.9496E+25', '151411386587034096238592', 59, 6);
    T('5951277.9138117933137', '7E+10', '5377024', 56, 6);
    T('5185.6912767353360348', '66431588346.5722483', '5184', 43, 3);
    T('7220597379.824', '-45346656859777727075390', '2315354754', 87, 5);
    T('7.842907539681364508169566E+28', '31736370.8449713', '4456992', 48, 4);
    T('-625.702119540176843081358414615', '-752295.96', '-752375', 95, 0);
    T('8.6801471E+9', '-1178352.8640', '8680112144', 72, 4);
    T('9089.62380120', '-9.23436551815823', '9089', 3, 6);
    T('21670.02514947693823799346456', '-498.63757227877801848472760', '21510', 83, 6);
    T('-4.45068814142256007', '-5.8818432259025191E+44', '-588184322590251910000000000000000000000000000', 27, 6);
    T('-7', '452335099.8008946273665951123', '452335097', 7, 3);
    T('59113688.9264077449', '-9.7498E+7', '33554512', 23, 3);
    T('-3.023036455801899651367', '-7082129.6', '-7082131', 64, 1);
    T('-95606646.7710770918', '-94932.0618199', '-95680504', 44, 6);
    T('211956858.4083', '-382.690', '211956738', 99, 6);
    T('-168.36887194894', '909060.000', '909056', 96, 6);
    T('-82939809.3825', '8.72326306776', '8', 23, 3);
    T('-8.8594943670743623540568', '-346527473.036285', '-346527480', 21, 5);
    T('-9689838.42939351953371345858', '-1.80E+45', '-1800000000000000000000000000000000000000000000', 34, 6);
    T('13494.4780064', '-99.318514266118802010811192', '13460', 76, 2);
    T('-989.125383793906670', '-76.655102760133607751733095114', '-992', 67, 2);
    T('5E+43', '5.0714853393386101438933013E+26', '507144381367180485575311360', 73, 5);
    T('3791651916948.65446888', '-82.5319474210755', '3791651916932', 74, 3);
    T('-76638156.624947799750230', '119582308.2186', '52463652', 73, 4);
    T('9.8855795188489122146234527090E+31', '-528689.7377', '98855795188489122146234527089728', 95, 1);
    T('290680462.0714634413647', '21187.0806020616893993705', '17026', 88, 2);
    T('-9.239056527086175022488156', '-44884949.0716716002629', '-44884957', 52, 2);
    T('2.202168528620299E+50', '-3.410626E+50', '33070400956697413345497570728101051800968065187840', 3, 5);
    T('-2.99854464284187055745E+23', '-6.15022E+7', '-299854464284187108833272', 52, 0);
    T('9.66359611524630E+31', '-46.7298031465', '96635961152463000000000000000000', 56, 4);
    T('86.297566', '-3525059804406268259776786761', '22', 20, 6);
    T('-14.051', '9.2E+8', '920000000', 8, 5);
    T('-2.048E+34', '-4.554614309158953977433097', '-20480000000000000000000000000000000', 96, 1);
    T('-4.5729684911025443660E+36', '424403554.28857499734', '419954688', 22, 4);
    T('-6.92638930909294500347E+28', '-94142108.7825', '-69263893090929450034709462784', 28, 5);
    T('-8.58602300337397E+45', '5130790665.0758', '4294967296', 50, 2);
    T('-2.74494881893E+13', '6.88271026433296391867', '4', 2, 3);
    T('-8.66E+9', '-93774.425601001413447', '-8660025088', 75, 6);
    T('-3.4162956848995776650E+38', '-24.688215005026596', '-341629568489957766500000000000000000000', 9, 5);
    T('-5.51917', '418275163.573012692412283', '418275163', 82, 6);
    T('-8551', '442459.197070302007', '442393', 10, 6);
    T('4.925406752795265169124E+24', '-797815368.8199211585', '4925406752795265076316320', 90, 1);
    T('-1774822375703726.4837969382487', '-127255095.63747817', '-1774822484854464', 82, 6);
    T('-4.8776690192924378299799746', '57822.6', '57820', 35, 6);
    T('5.3E+2', '-4802139079.0', '16', 94, 0);
    T('7.429915272977480E+17', '-1.7550560674480752420694E+43', '578152078312996864', 65, 3);
    T('60.1108485857201035198', '-40.6359', '24', 24, 6);
    T('7.608526E+7', '60188.975358463422275247224974', '59404', 27, 2);
    T('980894.08166', '-9198.258484867211', '971794', 44, 4);
    T('-7112810.621023', '-2.4667242603412475E+17', '-246672426038845422', 37, 4);
    T('-7.2545E+6', '37.3351594158862', '4', 83, 6);
    T('-7634.62', '103361.46588704', '98816', 47, 0);
    T('5926794352.71212', '-8.8E+6', '5926662144', 36, 1);
    T('-8759871550.915318', '4.3E+6', '4232384', 21, 1);
    T('6516500.9577157841736689953', '-6.2775143771965E+30', '131072', 9, 1);
    T('7.5342E+5', '82084979.22081791769706498683', '1024', 43, 5);
    T('-6.33704933', '8067079.42509421388', '8067074', 52, 5);
    T('-4.807969938E+15', '-53.5259960595058202', '-4807969938000000', 12, 2);
    T('-3.82375855606785530850160203E+50', '-1.2626318889657416512296879E+29', '-382375855606785530850160389202911618211655932968960', 34, 3);
    T('-2.498976E+49', '-76.24562082', '-24989760000000000000000000000000000000000000000000', 98, 0);
    T('-871100424.106369624450821', '907.6', '904', 49, 4);
    T('4E+8', '-54.946055314833899', '400000000', 1, 3);
    T('8.584191042598422080102E+45', '-175115.16378', '8584191042598422080102000000000000000000000000', 10, 6);
    T('-9E+7', '-7.94949352921872517611160609027E+43', '-79494935292187251761116060902700000072433664', 1, 4);
    T('33.23926864044569385981421', '437.488235153672511499187502', '33', 95, 0);
    T('-9.48E+6', '696911.03805788007895074228', '655424', 89, 4);
    T('-4.30734806621039523798922719031', '-9.64954364', '-12', 99, 6);
    T('-6E+19', '-16.52430530099981622502913591', '-60000000000000000000', 17, 6);
    T('894085286.544999533', '-1264955396.0', '873072804', 51, 5);
    T('1675880796.453927514', '-6.16345165006E+40', '1073741824', 60, 4);
    T('876.856745305741937558', '-9.6594204192195136E+18', '768', 41, 0);
    T('-49466.484401613198477', '-7.045', '-49472', 85, 2);
    T('5.1410324097672E+16', '-552.9348631928609', '51410324097671488', 23, 5);
    T('-7.0884E+5', '-45513.59730742495284207640', '-717296', 74, 0);
    T('-74', '9517323.6114788', '9517314', 82, 6);
    T('-9.3013154101358515E+25', '7282051613.3701832207011', '5100945920', 88, 6);
    T('5.3E+16', '-9962406186.92820080089602864', '52999999714263040', 36, 6);
    T('6689012.8846533189201765052', '-8.374E+6', '4112', 10, 2);
    T('-446879054.0', '-378.044183248495210963177480099', '-446879102', 4, 4);
    T('9.8168895E+49', '-72.277015011542276925727', '98168895000000000000000000000000000000000000000000', 96, 4);
    T('-3794409831.66350455440216752379', '-5.4827E+30', '-5482700000000000000002684354560', 35, 1);
    T('3.83706899872E+31', '-4210.18059990873598075924', '38370689987200000000000000000000', 23, 4);
    T('5.16E+15', '15946431.730926449154753182', '131072', 41, 5);
    T('-9248931.766', '-34837019.273', '-44020411', 95, 4);
    T('444.4803384493304', '42609343.23079862598631606', '188', 34, 5);
    T('-336566639.01130020965191374363', '54419.1060376566', '17553', 69, 3);
    T('-5E+9', '-7.7774E+37', '-77774000000000000000000000000000000000', 65, 1);
    T('4651371101.1', '7478.54', '2068', 18, 0);
    T('-5.6231440589077E+31', '-85.4840292689748344', '-56231440589077000000000000000000', 51, 0);
    T('-4.4454310416E+46', '2.887824501241362734519772E+28', '28786356412156855724613304320', 73, 2);
    T('-8560182.256', '-889917563.4272216862', '-898342528', 60, 0);
    T('74233907.873015839277', '-7E+3', '74227744', 25, 6);
    T('-9.24164123692827937661775601188', '-60222.4932933', '-60222', 98, 0);
    T('9022.3764', '-6165331.0416185069727662501', '8236', 6, 6);
    T('909.050553393808549804454181', '8E+6', '512', 8, 4);
    T('-4.5538796328685186E+24', '6.825E+4', '68096', 11, 0);
    T('8.4069934190E+46', '-5518.04516554806754464', '84069934190000000000000000000000000000000000000', 18, 5);
    T('103914354.995702349069727388', '-786442.34581101299', '103914354', 35, 1);
    T('6', '56393843.337388470254315435', '2', 8, 6);
    T('50799.61783588620085', '-167588.06', '16460', 92, 5);
    T('-4.65703794633562534109089339E+31', '267.9372364510636170971', '256', 53, 1);
    T('87068.66110547349292569', '-1819427.9071950313825957582562', '5148', 6, 6);
    T('-3.825E+6', '-5.666035707685238267E+31', '-56660357076852382670000003670016', 39, 1);
    T('-4.1288E+31', '-4.8984526103588242277393404E+45', '-4898452610358865505777638076006050774263005184', 92, 6);
    T('-9.745445340071E+18', '79.9682687752919626907', '64', 59, 2);
    T('-8490664565.015408064214', '360.0654818178053156267730', '264', 57, 2);
    T('8E+25', '2890711836580115.9957558', '9663676416', 62, 4);
    T('-1828653315.4597445300443640', '442029859', '302044705', 100, 6);
    T('5E+9', '-75663725.8814308959297371', '4999967232', 2, 5);
    T('-7E+2', '671232.3388192869397011964843', '670720', 48, 6);
    T('-5.660058833569027', '3783.5', '3779', 40, 2);
    T('8.76E+5', '5922.45330799294903595', '5408', 17, 6);
    T('-4.985478E+30', '9.47E+8', '939524096', 7, 6);
    T('960.89208576159053936224934', '-993006.770133202873059395329033', '256', 7, 6);
    T('1.47736627687133702133078313355E+45', '-285.24856937', '1477366276871337021330783133550000000000000000', 47, 5);
    T('7.17372561275735801E+26', '1.449E+17', '71469364166656', 6, 2);
    T('-28.3745790023344272', '907687955310624.04657', '907687955310624', 55, 0);
    T('9.5863133729103555309829221E+34', '7330731546.99658289275', '4846522880', 57, 3);
    T('2E+1', '-72.980993734243326616842715', '16', 21, 3);
    T('3.0068E+8', '-746607.0250690250847414681218', '300155648', 12, 2);
    T('-12.1112580106592660314162142', '-4.443679045019383113584852', '-12', 80, 1);
    T('-6.716770611712060825027', '5.057E+5', '505696', 43, 2);
    T('29168.11458978546223809634227', '-289.55096568', '28880', 85, 6);
    T('-6.491E+7', '1.0E+14', '99999994085376', 70, 5);
    T('2321.953077974482', '6722312920.742', '2064', 88, 6);
    T('10899991751988.508276530367907', '1E+8', '2154752', 33, 3);
    T('-60536678.1', '7359469096210728555.22', '7359469096158625802', 72, 4);
    T('-914281122.206347493403999546', '-6403949460.3', '-6442374068', 5, 6);
    T('-3649571.277864', '-4.26E+9', '-4261409024', 45, 0);
    T('2.21400611E+18', '9.9696E+8', '554181632', 53, 0);
    T('-9.0451812088076', '-1.83349112E+29', '-183349112000000000000000000000', 46, 3);
    T('-33993693.353543636639146251332', '-233.776968700385473839191889096', '-33993725', 27, 6);
    T('-826895289.90392951469', '-4058683856.34192012820795054799', '-4058774528', 75, 5);
    T('-56686130.917098301499804', '1.795E+4', '14', 30, 3);
    T('52942.7108841520010206860', '63.8249656927473177539622', '14', 4, 6);
    T('-1753483546.32', '-5.613584E+45', '-5613584000000000000000000000000000000000000000', 43, 5);
    T('-5.7420122084319997', '42386029.581611', '42386025', 62, 3);
    T('-2925.248056390202822', '-1.532478405217884906167221', '-2925', 75, 0);
    T('5.23596', '77.46242684093677501389206139', '5', 90, 2);
    T('-304037.5392786281345864501', '-8.647735380193361426087871415', '-304040', 74, 0);
    T('-4.1724840846057279E+29', '4.983784458318322555806836E+25', '9900773651955747109117952', 36, 4);
    T('7024967.24791789335236', '-94011152.6231335104319261551', '6357056', 51, 2);
    T('-1606420.800224', '-2.58455588171019947337', '-1606420', 2, 4);
    T('-999.78079494932745743641382', '1.646421146927131894904E+25', '16464211469271318949039104', 82, 0);
    T('-4426.065199052418257', '-6.9114778528181E+15', '-6911477852822524', 5, 5);
    T('-2696631.09123344', '5.20501E+31', '52050100000000000000000000000000', 19, 4);
    T('2.32716701733502E+46', '-2.6606511380628111151164633', '23271670173350200000000000000000000000000000000', 74, 6);
    T('-18.1', '-1.87E+11', '-187000000000', 42, 2);
    T('4.69E+49', '2.3871E+48', '11418338168866691365938133894753671976251817984', 36, 3);
    T('-8.907E+5', '-2.4E+4', '-909312', 38, 1);
    T('-4.3910090735819754918493917636E+48', '-7.345E+15', '-4391009073581975491849391763600000589424463183872', 19, 6);
    T('81', '-811234879.13913697212600584091', '65', 72, 4);
    T('-9326.107092976154896665056188', '-366130725.92691894042681048161', '-366130798', 46, 4);
    T('6363.9875', '3.5384838070E+15', '4288', 62, 6);
    T('-776.5', '-6.338186', '-776', 74, 1);
    T('-8.66217116889771754912E+44', '8.204831095092521709865E+34', '41787627915246347765779238022545408', 79, 4);
    T('5.936E+5', '-4644163506.8733383105082', '589888', 91, 0);
    T('747194807638.99904499541', '1.5E+10', '6308353024', 12, 6);
    T('-6.229', '-6.218889298118806996904666E+36', '-6218889298118806996904666000000000000', 95, 6);
    T('4015666.18156', '-7.671912E+16', '2703360', 79, 6);
    T('78.14', '-8.9911', '72', 63, 4);
    T('-38542923.405471584776', '-3481136520.91392892', '-3481141200', 69, 0);
    T('8.262879E+19', '-11833153.437339728', '82628789999998951424', 47, 6);
    T('37617124.943917', '-3032.8946820325479040226384357', '37614624', 26, 5);
    T('85992085.581254060693', '-3.370155854444134052592432E+43', '67108864', 73, 0);
    T('4595584636501719563453.6', '-17.8161006687186712710481', '4595584636501719563437', 84, 4);
    T('7.774741914683E+33', '4.706E+9', '140509184', 70, 0);
    T('626800.96', '721.0657959997', '80', 62, 1);
    T('342.8160', '9E+2', '260', 88, 0);
    T('2.20268540024944403749754601E+41', '9067330.84650184392', '9043968', 34, 0);
    T('-7.742180671876449743660817563', '5616.88680993465144973597533989', '5616', 95, 1);
    T('-8.58561126089177657639836605', '-8.7360841E+31', '-87360841000000000000000000000000', 22, 0);
    T('94961182.7', '9243.696232', '9242', 95, 6);
    T('30300.982736002355277790159390', '9062643.111363151330951648', '16464', 5, 2);
    T('919419.327777862134142921', '33514686.0579', '918586', 81, 5);
    T('706796816.553683060', '-9.55E+8', '33609984', 25, 1);
    T('-67582559511351767555.5499128', '39009301990577316.3578188', '2959885839107236', 56, 4);
    T('-9548813680.7608213906980743883', '5.504527411797695573E+20', '550452741179096170512', 50, 2);
    T('6.79455E+7', '9366.68562137845487', '1044', 74, 4);
    T('-3.747630349103252', '-8794.06414', '-8796', 66, 6);
    T('-2.04087884E+9', '-9E+1', '-2040878848', 86, 5);
    T('-449.95132243893', '2E+8', '200000000', 38, 0);
    T('-42', '5890.81106920', '5890', 90, 1);
    T('-9532.46638479321123785618512', '-1427153105.193193598594', '-1427154428', 1, 3);
    T('-1175.296163948', '46937.629', '45897', 20, 3);
    T('807306.4041598439594', '981.66892141', '384', 2, 0);
    T('-4545776961.854065236366', '4775400217659268117423520', '4775400217659268036616352', 62, 6);
    T('150817026.722728249', '7373310169.27041924535820262', '7948288', 90, 2);
    T('-2752.2360731899855157681', '1.20E+7', '11997440', 5, 1);
    T('-7019.71369873149496803461713', '-90731933.501631403', '-90734591', 75, 1);
    T('3.6853E+6', '-58773520.6453471300585118600317', '3681200', 21, 5);
    T('4626441.1914', '25917223.1430579577882958342911', '135169', 2, 1);
    T('79', '40759.028', '7', 10, 5);
    T('-26', '952930', '952930', 80, 3);
    T('-416903.91891950603725758400119', '-6.5711373180538637833E+20', '-657113731805386530016', 28, 6);
    T('4.6720790678273069292700708290E+34', '-153785.5403444', '46720790678273069292700708289979392', 26, 3);
    T('-8.684764143', '-40761160.8', '-40761160', 59, 0);
    T('6.157E+9', '7528749608.204126', '5381036032', 68, 6);
    T('1742.614', '918696.50462893500', '1160', 12, 6);
    T('4.126E+7', '-15.447802657', '41260000', 4, 4);
    T('-48692200.9436', '-1.4951490959117007974788177', '-48692200', 24, 4);
    T('20496079.95195143473', '8.60136787035', '8', 89, 6);
    T('5.051745E+8', '-3.92674794E+22', '234881024', 85, 1);
    T('-1E+3', '-7.11223028859859529665251335', '-1000', 49, 1);
    T('6.8688495003476229109E+28', '-116831.88231669592512397642349', '68688495003476229108999918080', 61, 0);
    T('-8539568703.2583544749511796869', '-3.21481E+6', '-8539570176', 8, 1);
    T('-3.4616E+7', '534758.4529', '526400', 56, 6);
    T('9.40500E+17', '-288.30956647172828817', '940500000000000000', 8, 3);
    T('-9.99537398486811553132820016', '-45.18310022584819', '-45', 85, 2);
    T('-649952457.45395623356713', '-25.8186193', '-649952473', 41, 5);
    T('7.59308E+42', '-4419875690.590094865461638004', '7593080000000000000000000000000000000000000', 2, 1);
    T('-590832436.58', '2.49674E+7', '4757704', 87, 3);
    T('-53.41165606498627574', '-4.042684960231497554186460E+49', '-40426849602314975541864600000000000000000000000000', 56, 6);
    T('2.16937059E+9', '20.451', '20', 85, 0);
    T('-675315.9', '7.51955194154E+35', '751955194154000000000000000000000000', 81, 6);
    T('-2536780.7067867312240', '52337.740', '18480', 6, 6);
    T('419321932.08531', '-3305.1', '419319812', 18, 3);
    T('9.74E+5', '-570549.5743', '411648', 51, 6);
    T('-855934799.76015972820466182', '166903097.211381176548256', '150091825', 60, 2);
    T('9596.34235510', '-706363.64514544971120', '8260', 92, 1);
    T('262465.87665', '524998.839156013519809375', '64', 12, 0);
    T('19346358516.5563642734656', '-23.74', '19346358496', 59, 4);
    T('15381.784', '788.17034', '20', 55, 2);
    T('5.471581916695E+40', '-69.236860958446392', '54715819166950000000000000000000000000000', 24, 3);
    T('-7.616E+38', '-615065733.071', '-761600000000000000000000000000000000000', 78, 3);
    T('371455.296843279057057411039292', '-8.6', '371448', 26, 4);
    T('-903757.2', '-7162510.96316468902704486423', '-7195342', 76, 4);
    T('-618618628.862154786376691972892', '-4202329406.8553036164124295649', '-4278157120', 91, 6);
    T('-2.83E+43', '-620268837.2', '-28300000000000000000000000000000000000000000', 68, 3);
    T('-899.7193913634990913786403', '435.243088838478481738178519', '49', 85, 6);
    T('-169569985.555670151216004873', '3504372.98090817329', '2363444', 52, 3);
    T('-5321682750568062.7947', '-2.3617369579819272072508577E+33', '-2361736957981927207294846757172992', 34, 6);
    T('295527.806322', '3.426196910715964207621402', '3', 5, 1);
    T('-9039828445.0', '-5.0296253732853833550147', '-9039828445', 88, 1);
    T('1E+9', '2121.8213918069269353329235', '2048', 16, 5);
    T('-135618.92518', '9.447357911630648956E+38', '944735791163064895600000000000000000000', 5, 5);
    T('967240.984249034952271776018599', '6.118950E+8', '574024', 80, 2);
    T('4.000291734532881E+25', '-66385273.1052', '40002917345328809979805696', 79, 6);
    T('414971314.4', '5088.7666786', '4512', 21, 4);
    T('-8.439E+9', '1.47102841E+43', '14710284100000000000000000000000000000000000', 7, 6);
    T('-9.430701051232806368457361729E+35', '610.5881038384321142527', '512', 79, 2);
    T('-3.346E+27', '-69913263', '-3346000000000000000067108864', 13, 4);
    T('-8.645093258386223607E+31', '9.097169363024E+13', '88136457879552', 98, 2);
    T('-7772388824126.80764366500926', '-4119', '-7772388824128', 47, 5);
    T('6.82E+11', '-1.47E+6', '681998548992', 56, 4);
    T('9476376.85863219620358699591379', '6E+3', '4368', 24, 6);
    T('-51179937.93063673352935167', '-237140.48180620512676365', '-51380212', 78, 6);
    T('4.956645E+29', '-1.8E+12', '495664499999999999445949218816', 20, 0);
    T('9.04752E+42', '8.71144584227194153E+21', '8710869381158849740800', 50, 3);
    T('-410.96219', '5.917169520E+41', '591716952000000000000000000000000000000000', 79, 0);
    T('7.4054363415', '948263154.9', '2', 28, 1);
    T('5.225862E+20', '-5.19E+5', '522586199999999639552', 92, 3);
    T('-9.2041025612914821547538802285', '5830.629', '5830', 21, 5);
    T('94580.4191708195849034', '-8575211271.33288621909459181', '8304', 19, 5);
    T('3.94E+17', '-55621893.698859240', '393999999983222784', 44, 2);
    T('-6.3837040654252820691804036', '-75.81024786', '-80', 77, 1);
    T('-7280064.206', '5.8022722E+49', '58022722000000000000000000000000000000000000000000', 29, 0);
    T('-846112.31', '-9.051890152125467248E+47', '-905189015212546724800000000000000000000000000000', 78, 5);
    T('565711938561039.0767', '57.995434', '9', 79, 0);
    T('3597668307154.399310253659', '-4.6710077190472124566490005', '3597668307152', 98, 3);
    T('250.45273218043795672786285881', '-5680940478.626650', '66', 15, 4);
    T('-18849233.8622931055126', '-3.585906891111811424990076E+27', '-3585906891111811425008328160', 91, 0);
    T('6.2971E+6', '892281.4185743020178304808', '5128', 25, 4);
    T('-1.39400482916159980191411665', '76423.951506466704477547', '76423', 20, 6);
    T('49677684.466065121', '-33646830.3674730525649438300', '16123152', 36, 3);
    T('2867966.1186484741837866', '36.244958818115323', '36', 71, 1);
    T('923120.328916281073912648364', '-698811.35928683', '267328', 9, 3);
    T('-7.74278928352413518910506358108E+32', '-7.1650E+42', '-7165000000002853495358184257345002275864576', 2, 3);
    T('-9240741.442773', '-891745077.468009813412228', '-900723637', 77, 0);
    T('-4714493.58439394248768416', '5.1E+10', '50995400704', 6, 5);
    T('-4.60951453359527738121052326516', '39.20494084757145653005259', '36', 5, 0);
    T('-42.29201214513057', '7.513E+7', '75130000', 84, 4);
    T('8.5003134891E+37', '-4.1681397071565260288204855085E+43', '45198944831975505521117547661583450112', 69, 1);
    T('-171.256', '-9.33372811187E+46', '-93337281118700000000000000000000000000000000000', 9, 3);
    T('42.09057572411597750154790058', '-9995018.50936088667227651', '34', 18, 1);
    T('5023.2909', '1261.08119625805', '141', 28, 2);
    T('-6.406E+4', '-2042.6245030852545531461', '-65532', 2, 5);
    T('91.8227736166553106', '-78873929.1119254', '19', 52, 6);
    T('-1.600076239E+22', '-977638.2775766184142026429', '-16000762390000000040960', 63, 1);
    T('-541.653456694310', '-4.2879499911134583', '-544', 63, 4);
    T('-57.46091499925', '2.0885E+24', '2088500000000000000000000', 35, 0);
    T('8.889177379298E+21', '-8.75E+7', '8889177379297915064320', 79, 6);
    T('4.0529E+6', '-5739046676.35653478937025931063', '2953380', 21, 1);
    T('568836.207784018416166735982', '5717704.68231983589217099448452', '11776', 12, 6);
    T('-54288.928012864', '-5.05038332366646611717270301141E+47', '-505038332366646611717270301141000000000000000000', 96, 2);
    T('-7.916763882127288347870612E+40', '4.816020077E+21', '4796203105418890969088', 60, 1);
    T('-13490.3642470061845', '-7.171877944092', '-13496', 17, 5);
    T('1665.33264962135558301760909', '-2182326929.6686314285', '1025', 69, 2);
    T('-4E+4', '814291.7', '811200', 97, 1);
    T('5.5882E+6', '8.97059E+11', '4195520', 15, 1);
    T('-32507229.8894990165084', '6.580163177444036844366E+45', '6580163177444036844366000000000000000000000000', 20, 6);
    T('91.15692237', '7.3849045', '3', 60, 0);
    T('7726913.52195', '843823924.063257388', '4301568', 41, 3);
    T('-8.62058007822581780632E+44', '7.44760E+25', '62986924743070298090242048', 9, 6);
    T('-7.4603185812339389024E+20', '7.5E+10', '1448675328', 8, 4);
    T('-8822758.7829039', '-7.268426320E+31', '-72684263200000000000000000000000', 10, 3);
    T('5.3494989163E+34', '3.9169097024584E+25', '39016800624164875551113216', 76, 0);
    T('-8.1048302425708994E+17', '3.37801385831621181E+19', '33776998377947946564', 61, 4);
    T('-801651.85079722656', '-33835.94', '-835451', 86, 5);
    T('-1880333615.0699782', '-7.3E+8', '-2073296768', 74, 2);
    T('-2.41E+8', '5.07142489807516005935840E+41', '507142489807516005935839999999999765118976', 34, 5);
    T('147281658863915165.44819351', '359.006865278787', '5', 26, 3);
    T('3.95135611782922615862267805E+29', '-1.742079E+46', '317067997098808922805551235072', 10, 1);
    T('-479491.7719620628762947', '2.44817E+25', '24481700000000000000000000', 61, 4);
    T('8.536440E+47', '-9.75272E+46', '756501950851951852164741488976873021126471581696', 36, 0);
    T('2.66251085487E+46', '-89.2254899902660337403659', '26625108548700000000000000000000000000000000000', 47, 5);
    T('6.0208714001865679703459181490E+33', '-5.399646459906349506246699933E+29', '6020707769317833477343057507611136', 70, 2);
    T('890124950434406994.19799', '-4627.99553042610511', '890124950434406464', 76, 3);
    T('7782899.35', '-663.39909', '7782753', 88, 2);
    T('99405402.0290620493301', '82942747.17486115', '81824282', 59, 5);
    T('6062556505.691', '726.4407283445709802423802475', '80', 12, 4);
    T('9.076582501285173E+25', '-1.9408E+9', '90765825012851728380343296', 53, 0);
    T('4.839752534798798824956E+25', '3.057663E+40', '38723405380207541212938240', 25, 5);
    T('-19936890513.09606554', '-8.993641E+30', '-8993641000000000000019931332608', 68, 2);
    T('7.7254032934348404E+28', '4.26738170993E+18', '578933614639595520', 8, 6);
    T('2441004.47101', '-6.26383034962480992952219769312E+37', '2105344', 19, 4);
    T('-5.26184376919174E+15', '-86.1', '-5261843769191808', 87, 3);
    T('66.7762670300119830130839', '2.4', '2', 16, 4);
    T('-7.27337221401755E+35', '-1331569.9832380484731733352873', '-727337221401755000000000000000000000', 26, 2);
    T('1.7250575172799203624937780526E+48', '55817220.1278761933212', '4194304', 26, 3);
    T('5.947282831018662634872692E+28', '-8.250750796088992877095003608', '59472828310186626348726920000', 10, 5);
    T('-7.9587853054513947420485174473E+35', '314482968.46', '45515008', 76, 1);
    T('54153.8695288287', '1.674E+6', '33536', 37, 0);
    T('-2E+41', '-426339114.860819411010512', '-200000000000000000000000000000000000000000', 9, 3);
    T('-7.983931177E+11', '7.0E+4', '70000', 91, 1);
    T('527709328.40520711', '4.1390079355952327038954770932E+48', '457179136', 16, 1);
    T('7004112.49488', '-201644.492', '6868048', 31, 2);
    T('3.87707796371E+15', '3.6504E+8', '79826944', 67, 0);
    T('-4218438.79139884790', '-8.357995149E+19', '-83579951490000019456', 76, 3);
    T('-445988.869765369801720985947678', '-63666.406368', '-458420', 65, 3);
    T('3.3899387375697063423E+21', '7.658924175202840929093225737E+41', '2767011664002777104384', 46, 5);
    T('99666.220078258429038401434919', '737849.2', '65552', 45, 5);
    T('-3.38197110407467977E+28', '8978355.124998', '579584', 100, 2);
    T('-8.11433E+6', '-1047286.99306842270191219939', '-8387326', 76, 2);
    T('1.892014334591871332422806E+30', '9320460965.1689379963375', '9278378112', 12, 0);
    T('2.705E+8', '-3960.19973717', '270499968', 73, 5);
    T('-362.5846162183519', '-93023989.18614900702', '-93024254', 89, 3);
    T('4.32E+3', '-5.8249E+7', '4288', 11, 4);
    T('2859869761.5744088036411', '-2292.788978', '2859869696', 45, 4);
    T('-4.8', '796122381.754854418944673303870', '796122380', 38, 4);
    T('-6.247E+24', '-23095613.92699795903779385', '-6247000000000000018874368', 53, 1);
    T('9.1599E+9', '977.788591040079', '832', 90, 5);
    T('55344.3659323456', '9.2E+6', '16384', 83, 3);
    T('103571590.2583898401825', '-29655011.86417916631127494', '103284740', 31, 1);
    T('6.83962021859206613615368011E+42', '5.174390E+7', '65536', 39, 1);
    T('-6.2888729874383527296372E+28', '-1430764.465', '-62888729874383527296372299008', 30, 1);
    T('1.943147011818757401340880E+38', '-9.3498603074E+18', '194314701181875740134051619220477968384', 89, 3);
    T('-874896.5', '8.69815411E+16', '86981541099471360', 53, 5);
    T('40072675.762868025707740', '-4.3539707262', '40072672', 48, 4);
    T('8.565690854989967E+29', '7447608792068080061.845', '18331181007847424', 87, 5);
    T('-5.026492735041894563614260335', '-7.578499271918E+13', '-75784992719184', 79, 1);
    T('775649.3021', '-2.56164347711270928297222001E+36', '21504', 56, 1);
    T('43752.233847913', '-2.4479E+5', '712', 64, 5);
    T('753927.413852492605', '-7141198.4114773005069344', '196610', 77, 3);
    T('8411.54030624437682278375', '-7.9079E+9', '128', 24, 2);
    T('-4.7775E+6', '65.541487794374', '64', 98, 3);
    T('-593.010784886', '-19.8363192', '-595', 43, 4);
    T('-2.823415E+26', '7.437752480E+43', '74377524799999999805947923878061527332290560', 73, 4);
    T('-3135795.495098094786689477853', '-8.02380040365124726E+32', '-802380040365124726000000000065536', 79, 4);
    T('-8030453.538846830788615769', '-43670.389149687766548485733', '-8039158', 6, 0);
    T('-65019.32309080582946', '-44741559853647.566366072321', '-44741559910399', 26, 4);
    T('-4.30887543', '-1.322E+4', '-13220', 65, 3);
    T('-45759967518676642.22684', '98534510550092205.8', '97953897537374476', 2, 2);
    T('13732.1911238650031184535133931', '1046776177522638982.3', '132', 73, 2);
    T('-382718225586868053795812863.988', '-9119.0807016812543582024979934', '-382718225586868053795813375', 95, 1);
    T('-2205064.20', '29.71', '24', 8, 1);
    T('5.526992E+22', '-1.9E+6', '55269919999999998951424', 31, 6);
    T('-7.3741276778054644088', '98.9539240749384995578563259', '96', 78, 6);
    T('2.4914E+5', '-509631251.903223616748263558398', '230436', 67, 5);
    T('-4.1910896213674', '-1499680.63679103198691', '-1499680', 87, 5);
    T('4.8416E+29', '2.337966E+26', '78883793555420637571317760', 30, 4);
    T('-440.27', '7.3109467975102034475731107E+50', '731094679751020344757311070000000000000000000000000', 73, 0);
    T('-9079488.7726545365', '-5.3793E+48', '-5379300000000000000000000000000000000000000000000', 84, 4);
    T('438.92278769503914264070778', '48298.6295150', '162', 42, 0);
    T('8.1457E+37', '-9.1338551665E+29', '81456999365465322372670256785439850496', 55, 3);
    T('9639.17894', '-703.79', '9473', 75, 1);
    T('-849191.907405799504', '-7165483.5787237493968', '-7206703', 13, 0);
    T('-3.3', '-8.42042131568497314966764127246', '-8', 33, 1);
    T('5.0E+23', '-6.8087806411123E+46', '45471324065319366950912', 75, 4);
    T('-8948530.89629935451', '61205543.419234517315810966620', '52782086', 12, 2);
    T('7715922831.319155792', '4.7E+9', '4431545088', 69, 6);
    T('573632.2017', '5270.2', '128', 84, 4);
    T('-5503648958.656386', '-9312674.9500637849068033', '-5512306110', 93, 6);
    T('-623.6249236731567352697901', '809738353.79227548428884', '809738257', 45, 3);
    T('-50712.1444033311053040338', '-1682593915.777718787082785299', '-1682628224', 60, 5);
    T('-18540.05126608584', '71540950.73227956339053', '71540884', 47, 5);
    T('-93950.54774075018431', '-997911.30655146', '-1015552', 66, 1);
    T('-9367.516578201750857612508433', '251122.46353', '249952', 29, 3);
    T('3.359181035415572E+48', '5.0016573581964E+46', '47160675825693299133588554333020763411263258624', 49, 6);
    T('-4865431.8836', '-9.39E+8', '-939146688', 50, 3);
    T('3.23049693101332115E+50', '-6.83480867870727054440308694E+46', '322991887826000118931554777703594562346599764197376', 17, 0);
    T('3.05E+38', '-6E+2', '305000000000000000000000000000000000000', 28, 5);
    T('8.1263E+9', '540.978465061517948', '512', 86, 1);
    T('-677253017.4626656330134343132', '-83.8393955316466672844640108', '-677253083', 67, 1);
    T('6.0557751732E+11', '405681326.30780146831843', '405409800', 71, 6);
    T('-898288338.1654889785', '-951.5097924855158', '-898288632', 92, 0);
    T('1.3038655E+27', '5.28510204658E+15', '568192498925568', 65, 4);
    T('8.16937077440E+33', '-39162.792318', '8169370774400000000000000000000000', 89, 4);
    T('3220290962.2', '-274372399.202103702662400833338', '2946574480', 89, 4);
    T('6E+9', '423869.8117', '13312', 26, 1);
    T('-8.063116735505543873701189670', '-1183.5284803674078646973000', '-1184', 6, 3);
    T('3E+9', '297713214.27154', '277880320', 94, 5);
    T('-1.396649653563277590204788332E+44', '-9465065013.74171123088154292', '-139664965356327759020478833200000000872939520', 96, 1);
    T('-7385.659008055582312834055', '-2.263218063061656171663470019E+35', '-226321806306165617166347001900007168', 86, 3);
    T('972360465.70686', '-9043158.7086421', '963904256', 100, 4);
    T('9994307546.307222697971372', '80837.227210486151460624', '66496', 1, 6);
    T('-6464.72', '-5.30038764E+25', '-53003876400000000000000000', 35, 2);
    T('683309.157307367137257331567355', '-196917275349906316.180', '3108', 19, 3);
    T('742570903737.812493', '494681.24144435924027026104875', '296985', 42, 5);
    T('169775200265468557.98', '1.4655E+9', '123224064', 99, 0);
    T('2427774.04874039620533822265289', '5.8287183922524330', '4', 31, 4);
    T('-11035.9256863959577507227', '602.6217335', '64', 84, 3);
    T('46.41335057840821626876', '-86.7916124370', '42', 39, 4);
    T('634424.76395090183537392', '-9.916278520188805815336480', '634416', 73, 3);
    T('-6.1720267896E+38', '-4139466806393342603527.4423469', '-617202678960000002363958664419782688768', 31, 5);
    T('349.32742615203421253137412528', '-4.6718363115E+16', '320', 85, 1);
    T('3.82742269986471743E+18', '27075186.46212206306089', '9511026', 77, 5);
    T('3732.9930880050453', '1276128675.10460759407128', '3200', 13, 3);
    T('-6.3E+3', '-308825.407', '-311004', 69, 5);
    T('-531767', '-2.0794', '-531768', 86, 5);
    T('-818.873', '-414.31390118787036620318761', '-958', 16, 5);
    T('-5.7424304E+34', '-7.520693510358731781E+28', '-57424334331425835362744917274132480', 1, 1);
    T('71.28694925564278617709449813', '-7546977086091290462.4911', '2', 83, 0);
    T('-85619093.74534953720125', '9.69395339187730904033947766', '9', 55, 6);
    T('-5.979E+8', '-8.61221258901905705592E+26', '-861221258901905706147889152', 59, 5);
    T('-9.47975E+7', '604634.6079099240289025', '590144', 25, 1);
    T('41.22767581', '1619865.916821111314714778', '9', 55, 3);
    T('4.963E+28', '-268966088.44157', '49629999999999999999731564544', 13, 4);
    T('-4.2156E+47', '3.95570120E+38', '394905494989197067490352991807148654592', 59, 4);
    T('-4842.168', '-6.12E+8', '-612004608', 62, 1);
    T('8.698403127407508088E+41', '-9836157304', '869840312740750808799999999999999865782272', 3, 0);
    T('3.3E+7', '-15083936422365878726.80876', '4588032', 44, 2);
    T('-62277166.548425931', '-7297.473418746650747332803517', '-62283438', 76, 6);
    T('-257277.90336387305138259042', '-81311285.8161194832337955', '-81526525', 48, 2);
    T('6178.1778583233', '-6224950099.75852341811609917', '2080', 78, 2);
    T('7.4E+5', '837662741.8113196726', '591872', 9, 3);
    T('-29.2918', '-9.804214250E+11', '-980421425024', 64, 1);
    T('440.91095339725', '8826812886.064949875779492', '400', 90, 0);
    T('-4434222572.51090529100386479', '-182.74825995373811222148577', '-4434222592', 55, 3);
    T('-961626831.3546', '740.2', '32', 48, 1);
    T('5.138101787639', '46964676654.07525163419', '4', 68, 0);
    T('88.3517811553519485406816704983', '590.783738069025724830', '72', 8, 6);
    T('-7539191372.901280497718981930', '67455.8', '65844', 15, 4);
    T('99.44806887565917405187355338', '3.421703534876131', '3', 39, 2);
    T('7E+7', '-3.540203542245466048596572E+41', '69730304', 82, 2);
    T('2057437.49267775', '-2.34E+5', '1860816', 24, 5);
    T('-2281.0342220486434682844', '9989.74725668738190', '9989', 24, 0);
    T('-5119.5', '-9572753.74209662', '-9573375', 25, 0);
    T('6.365430814398029519337934E+35', '22000939242507975913229939.825', '19345179917919692666470400', 49, 2);
    T('-426937200.8656499759', '5.93922E+31', '59392199999999999999999865782272', 39, 1);
    T('8.8451943516544624330956000587E+48', '-2.667856341E+50', '28905517055509303782995299656801937390684864512', 35, 1);
    T('529248.161834520519322152875', '698722.88108173098702', '524640', 27, 4);
    T('-523275.45420365369065', '-463.4514229', '-523727', 81, 5);
    T('-4.696E+12', '-7666023281.52813469', '-4698156269568', 44, 4);
    T('897438.161625639241977408436', '-3.7347', '897436', 68, 5);
    T('-634.69437539861997823496535076', '-5.39E+8', '-539000576', 39, 4);
    T('-23501693.02358073838770565', '-70.761', '-23501694', 21, 1);
    T('409581715.2789817607773573', '-2441.4632029066735837670', '409579539', 38, 0);
    T('-42991.136287524753035326384552', '8.257887454680616088E+30', '8257887454680616087999999967232', 82, 4);
    T('-9.10750E+50', '-61.2077063841107486', '-910750000000000000000000000000000000000000000000000', 1, 1);
    T('-8.207460436803237726132311', '1.26990328487006E+30', '1269903284870060000000000000000', 55, 6);
    T('4.404662170404209E+22', '3.67E+33', '6235002360112974135296', 89, 5);
    T('234018530998257.64059353185718', '9E+34', '566935683072', 84, 3);
    T('4858810546345358.0068590', '95483.02028750084289953', '87178', 33, 0);
    T('-9.0393433431E+11', '698173254.390750151477856', '152044034', 44, 0);
    T('446.20', '5.8417839888579493710638820', '4', 52, 3);
    T('-2.82780E+18', '-2.174535650387226681393199', '-2827800000000000000', 80, 3);
    T('-599907491.4301094752949027259', '-7.3E+6', '-602931136', 98, 1);
    T('6.950458E+14', '-4.4787193682186391739838802654E+30', '589492650000384', 46, 5);
    T('481.6796607117870797', '5.909793985060792422E+25', '256', 59, 1);
    T('-6.85798829340203E+46', '-6.2029773E+9', '-68579882934020300000000000000000000004294967296', 68, 3);
    T('9338.5732043', '-526082.705049441607015505147549', '8314', 91, 2);
    T('4439384622.91957802354', '993416.868093951512628338835', '729096', 11, 2);
    T('9.1E+31', '6.771E+13', '17612587139072', 67, 5);
    T('-7707354296.6930160', '-164.261446341280639172577', '-7707354296', 90, 1);
    T('6.34337544E+9', '7.90964E+15', '301993984', 8, 0);
    T('5.374497594426135977E+26', '4.329205E+12', '4261958156544', 89, 5);
    T('-91.9660669088589707337142', '-3.637547188073E+32', '-363754718807300000000000000000000', 65, 2);
    T('-4.4E+3', '-4.7E+7', '-47004096', 78, 3);
    T('-2236.361058032593882119352', '-3.7956794590515E+37', '-37956794590515000000000000000000000000', 39, 4);
    T('3568650075.8206226192529', '4.55754520678935899899622E+49', '3489660928', 92, 1);
    T('59210.9717411240', '6.960541500397876868337E+30', '8704', 47, 0);
    T('8.57367110E+20', '-8.523234799443328846765090', '857367110000000000000', 52, 0);
    T('-110621388.2237488', '-34.451796', '-110621420', 40, 0);
    T('-2497014.98514318439972373639207', '-1779.98374607250326949244545660', '-2498552', 79, 2);
    T('59643066.276213670675974969', '-573952985.4683357560232673543', '25822242', 19, 3);
    T('4.728126573721E+22', '-630.3356000701631194435191', '47281265737210000000000', 55, 1);
    T('6703.02254850268663105667379', '93212185891189113.4661291195', '4137', 92, 1);
    T('-9.62826684489933046694514093971E+30', '-4318500074.39948964838238', '-9628266844899330466945159880702', 53, 1);
    T('-32352501.242151313', '6411.04987175971930900703099', '4363', 25, 4);
    T('1270487459.4989875352102620660', '7.0194700257974626978157407', '3', 87, 2);
    T('71.89911727500356', '1881275313058756.43', '68', 85, 0);
    T('-4802599.6705', '5.74E+20', '573999999999999475712', 43, 4);
    T('7225.15958594334497961390410', '676739778.4414401', '6144', 33, 4);
    T('-5.49731E+26', '-4', '-549731000000000000000000000', 2, 0);
    T('-3.26777493731064E+23', '4.44E+24', '4420213518979323723251712', 38, 6);
    T('-2E+5', '-6.20864661E+38', '-620864661000000000000000000000000000000', 43, 5);
    T('-2.24400557076846882517567734899E+44', '5.42430635E+9', '1078984704', 72, 2);
    T('552255.8', '-7625187.64821836321964451226264', '533533', 44, 5);
    T('-606448107956502144511982963472', '603.65048998311529147033', '80', 80, 2);
    T('-79415.552319144827079754945', '2.0359E+25', '20359000000000000000000000', 100, 2);
    T('5711279.6949970270105237142', '-764283007.8830228600291', '5318017', 55, 0);
    T('-3395961160.6458518701316451', '-667211.00123910745588057', '-3395972944', 28, 2);
    T('-5.88684109285905E+32', '-8E+4', '-588684109285905000000000000000000', 49, 0);
    T('112690272.9112138680750852', '-2.149094184047056185129868E+45', '8388608', 19, 1);
    T('5111688.2423', '-945.754047047467795480', '5110792', 61, 4);
    T('-3.3803169138168918415', '-1.600755273885050780302', '-3', 96, 5);
    T('84878158798.5886443325', '-53911.6758674707749085', '84878109000', 73, 5);
    T('-40.193', '-5171650152710943.7', '-5171650152710976', 5, 5);
    T('4E+27', '-7.08E+6', '4000000000000000000000000000', 63, 5);
    T('-919683604671163806992.3573295', '433.36564888162321316', '176', 2, 3);
    T('-18588615.388604454118871', '1.65085E+8', '147086344', 55, 5);
    T('-62022728215783266588', '-6349453980.751296071', '-62022728217262029724', 23, 2);
    T('620920.0048804828406', '-399149975.6829789448424720776', '94312', 46, 0);
    T('14.365669812290921088079942', '-1.17832', '14', 5, 3);
    T('7421060.55282688487671740772447', '-4.5764E+9', '3222656', 38, 3);
    T('5797.24871938597041673719880587', '333971.472152744879818405', '4225', 92, 6);
    T('1.8713930551242611194882E+32', '-4E+6', '187139305512426111948819999670272', 44, 1);
    T('-287632878.49292356231899977', '6.6E+4', '65552', 83, 0);
    T('4806439.8899753394761798', '5321.22279769360719946228364516', '5121', 62, 6);
    T('509766.349411', '-96781.0242', '427330', 72, 2);
    T('2890002.83700162812425783754710', '5.84746E+9', '526336', 31, 4);
    T('1991.339293', '90195.1149577053175993884070017', '67', 92, 6);
    T('19392.09486', '-8.74E+9', '2816', 68, 3);
    T('-1.2693320052993716064538672934E+30', '-36.7518692031886269034', '-1269332005299371606453867293432', 61, 3);
    T('-6.9349212', '7987.5816529728972', '7986', 24, 2);
    T('4.24173E+7', '930237494.72548777815127123', '33688596', 8, 2);
    T('-2.609528611516E+49', '-580.6384632477500', '-26095286115160000000000000000000000000000000000000', 75, 1);
    T('107460058321683906.183', '2.55812199115266637E+28', '86839471500328960', 62, 3);
    T('-9262754.7145858204421451', '-4.97943587339E+29', '-497943587339000000000008650752', 39, 5);
    T('85691.6802', '-185605158.5495365403', '82586', 50, 5);
    T('2.5E+20', '-4E+9', '249999999998286102528', 57, 4);
    T('-163090591.267221381268524', '-169114625.80924738826553300043', '-196934815', 1, 1);
    T('-809910000.238195', '4344.501', '16', 34, 5);
    T('6.70E+7', '-3E+7', '37098624', 33, 0);
    T('8255.8386720933964159207', '-1.973218125227508605125', '8255', 58, 2);
    T('-79.98968050837705466', '-2.281241151759834085315E+43', '-22812411517598340853150000000000000000000000', 6, 3);
    T('-88.41153859764773', '97945202662721.46772937435', '97945202662656', 20, 4);
    T('654.7121', '-766509463.6633363304', '520', 100, 0);
    T('-8E+5', '-5870.548462235', '-800512', 1, 1);
    T('4.676883E+18', '-2.279223E+19', '4657179420297011200', 23, 6);
    T('-88735574.3706347916079', '-1.45647183E+26', '-145647183000000000000000000', 19, 6);
    T('4689810.0868036358', '7.5941624E+9', '362624', 100, 1);
    T('47.15858899323', '-3.748239113', '45', 78, 4);
    T('5.6650337090837', '9046.33', '4', 5, 0);
    T('1.0300979889E+34', '-348983.68634', '10300979889000000000000000000000000', 90, 2);
    T('-4535449826.4544587', '75997941263716.704549109281', '75997836379396', 22, 6);
    T('419606870.29301175645192116070', '-7865671.0384', '419606544', 8, 3);
    T('-64147.255729129924139565', '-866462571.15087', '-866515963', 70, 3);
    T('-75.3988478943597851474', '-4472987.3098542173', '-4473051', 49, 6);
    T('-800.09233494994426417745', '-1.4986523871087313875272052E+49', '-14986523871087313875272052000000000000000000000000', 83, 1);
    T('21400948.278', '-4881110917180441.99266332', '17039716', 15, 4);
    T('8.4360529650691565048191855E+40', '-7469057.359876', '84360529650691565048191854999999998853120', 11, 0);
    T('-9.23206905384335803913E+31', '903109632947691696528749.226', '784672240492277705840640', 32, 4);
    T('8.306158655E+17', '-9466909.7644630', '830615865491589888', 98, 0);
    T('-560661028.3946346835', '-573225811.76223402718532785253', '-594262900', 28, 6);
    T('54.828745535', '-4714.2218503320264238694', '22', 50, 3);
    T('-1.6550820644847885835294E+27', '1790.93483', '64', 58, 1);
    T('9.0065E+6', '311471051316085201574.8862', '8980644', 92, 6);
    T('-2.5324916743449664427E+49', '-43.57', '-25324916743449664427000000000000000000000000000000', 51, 0);
    T('-318847.613077629877', '-6.3181471144525E+33', '-6318147114452500000000000000000000', 75, 0);
    T('20695771.8656238967979839291', '-69275.23911333', '20627521', 77, 2);
    T('-20442552.3914473948', '-9.10504E+44', '-910504000000000000000000000000000000000000000', 87, 6);
    T('-9.329348629340540018219718945E+31', '-592.120', '-93293486293405400182197189450576', 99, 5);
    T('2.215758840898E+21', '2E+8', '142606336', 97, 3);
    T('-5073185326047022.61798697', '7', '2', 94, 3);
    T('2.249982E+15', '-594101.8744809522167', '2249981999475712', 53, 4);
    T('-146540404.216280', '-317.148292288', '-146540416', 97, 0);
    T('-74.41287146385359172', '6.1844219900512722E+27', '6184421990051272200000000000', 44, 0);
    T('9.44557788444493226030E+28', '-1.05910574336E+13', '94455778844449322046197345280', 25, 2);
    T('-9.0E+4', '-191616533100.6478979914761', '-191616606192', 92, 3);
    T('-7432.25', '-9.354023303334916E+26', '-935402330333491600000000000', 46, 6);
    T('3.97532116713474421538043413511E+40', '-270.173368097', '39753211671347442153804341351100000000000', 79, 5);
    T('2.0492E+9', '9.042995852E+10', '167774464', 63, 3);
    T('-2.1931565787225713E+19', '1355.9', '1032', 33, 1);
    T('68.68575196945158465602822', '-286.998330210144682146', '64', 50, 4);
    T('1780629305.08032', '5876990301.28867', '1241645337', 56, 1);
    T('4662080.7672714399251', '7.55836315106922347E+22', '401472', 15, 0);
    T('-344541.3', '-6378.2192', '-350718', 81, 2);
    T('-1661806.51584290', '8.62819E+7', '86279296', 42, 4);
    T('57184.0232917259541041895716', '-888802.93463766239584674612399', '20480', 61, 6);
    T('-99.37434630277662426', '-1.27285590207904911323802328E+42', '-1272855902079049113238023280000000000000000', 35, 1);
    T('-7087.985775120', '3424.73991432149197', '1088', 66, 3);
    T('268865.93003231744272527952', '91747.509080904912113965', '577', 26, 6);
    T('9934.004881631191544498323', '8282103.83623922276524724726', '1734', 62, 6);
    T('-89519805.203946330052', '-84.06031151', '-89519872', 3, 5);
    T('42931.6309137772063', '3624.40', '1568', 15, 3);
    T('-74627.5875695038414', '-427999.002051945', '-501727', 29, 4);
    T('29085.464899365378756289653804', '5197977.742218171034714070', '20633', 96, 2);
    T('6.0E+2', '115089747.778634801', '80', 77, 5);
    T('988720.2558329778844862', '-4.52603348172861611863257475125E+46', '917504', 65, 2);
    T('-6732.4', '1.4324E+32', '143240000000000000000000000000000', 11, 6);
    T('-60123104396329031.411482955990', '-4863418.09896', '-60123104396867072', 95, 0);
    T('77270428.804652091035314197', '1999612503.74853647', '67831828', 1, 4);
    T('417240603.91732708', '-831696.96', '416417296', 40, 5);
    T('1.9366138125099E+30', '-35587712.0717617984', '1936613812509899999999999082496', 43, 0);
    T('-5.772E+19', '2.5400405941638E+39', '2540040594163799999942280035221475688448', 55, 3);
    T('-5E+5', '823347.197201864644500', '528416', 53, 6);
    T('-4429994.01812568385863', '7.04E+5', '534016', 93, 0);
    T('-113837.002057400146574', '-1.4860683201460407892886E+34', '-14860683201460407892886000000040960', 72, 3);
    T('7.93948265727069E+18', '-9.1653407550E+11', '7939482376945422480', 59, 5);
    T('9.62010E+6', '-59456172986.43762021716899', '182276', 98, 2);
    T('-9', '-2842612639.9271424', '-2842612639', 73, 3);
    T('-2.2437E+5', '136193', '4096', 4, 6);
    T('-607.045519', '-28.0197555834174644711', '-608', 80, 4);
    T('-643173718059.87227020', '5.92853E+11', '43097179968', 70, 1);
    T('-1.4317E+9', '-24.493178736', '-1431700000', 82, 0);
    T('-6.5444', '-6.90670419828145420543077198', '-6', 90, 0);
    T('-4.30E+7', '-4.2479447544', '-43000000', 17, 5);
    T('31.94077157505498382558391745', '-9292.111467', '20', 52, 2);
    T('847.6476256966561920196621', '649098.80454661561431410', '778', 24, 6);
    T('-2210', '-64529296.00332895508', '-64531376', 29, 2);
    T('469188913.6752773757420933', '20988091288303280.1690', '163577904', 93, 0);
    T('9784.696450877199', '-8119955.3707038947543184274', '40', 19, 0);
    T('-6.66077914156267937802E+37', '-4556918579889.7611', '-66607791415626793780200000017590910976', 77, 4);
    T('-5.04467375296513885991E+33', '-6.75277E+8', '-5044673752965138859910000539598848', 37, 3);
    T('25669533532.9789839211522305', '-3E+8', '25400990976', 35, 1);
    T('-9E+9', '2.2E+49', '22000000000000000000000000000000000000000000000000', 12, 5);
    T('8.875973077655090978776228E+39', '-1.2344E+10', '8875973077655090978776227999990990503936', 18, 1);
    T('4.484461234317430E+41', '-6.855017325401865938879E+32', '448446123401300189055308503164545033830400', 62, 4);
    T('-93860.822248685124606712669', '9.3757299898E+46', '93757299898000000000000000000000000000000000000', 79, 4);
    T('4.09145289179330371413999E+38', '89522706.6674355808110970353', '5242880', 2, 4);
    T('98905665.6780391238601405201239', '-854707.735900684066203294632969', '98575425', 55, 1);
    T('-5.4504464E+17', '-8.64807370388006199543391600', '-545044640000000000', 31, 4);
    T('-5.16318528410721143575E+42', '5038006998.2963586917', '5037359104', 31, 2);
    T('-8421.9289370358017571', '-600381.31898229863410465203', '-600573', 25, 5);
    T('4.1678990504337E+16', '3827.80', '3680', 28, 0);
    T('893.2754', '9.23541855193107387245766299217', '9', 89, 1);
    T('-57018.84022952842', '-65.28', '-57082', 60, 5);
    T('-225009896398316.656499622246', '-94.9980971', '-225009896398336', 63, 1);
    T('481985.478683844448', '5337.75423980154', '4289', 13, 5);
    T('30.39498220496660212', '-2.6235065E+9', '28', 55, 2);
    T('-52686273283709252758.600', '-6E+48', '-6000000000000000000000000000036905310096440950784', 72, 1);
    T('586.655533020106163056067', '693754126.74', '10', 80, 4);
    T('-2.471230047E+44', '-527546986015253882491.10619', '-247123004700000000000000370169149934262026240', 82, 6);
    T('935.56696462907', '-380.12174', '644', 24, 3);
    T('-8545952850.2', '756.4764640162796286281233011', '676', 46, 2);
    T('68.89677369658291', '-90705.793223', '4', 73, 1);
    T('-6072139.26623', '-6171.85237', '-6078299', 5, 4);
    T('-2.7550624755E+31', '6.28376E+35', '628349366783262344025640408673419264', 48, 1);
    T('64062.1019563544297901', '-380751412.817107058072853603922', '12300', 56, 4);
    T('823645704333.23458724475860', '-6277444.28387429', '823643869324', 72, 6);
    T('-445884.61408638', '3.9E+8', '389554176', 39, 4);
    T('-4.46E+9', '-791239.2700059354338556', '-4460524288', 10, 0);
    T('-86.0303850885495683964896', '-56173.22077203966933', '-56190', 24, 6);
    T('7483274.5173212916', '-3.494E+6', '4337536', 47, 4);
    T('4844220066.0142750307895279', '-3921.33069898202167969097203', '4844216482', 37, 0);
    T('-9163.043403537973', '-738185.0', '-746443', 16, 3);
    T('-8.93770689526161139916810E+36', '-31984848.11179805', '-8937706895261611399168100000025165824', 63, 2);
    T('-497802781.351969944706', '-599', '-497802847', 86, 6);
    T('-5.25084241556', '-1E+7', '-10000000', 83, 2);
    T('6619858929.1233668251360', '746831.4', '197953', 98, 2);
    T('-813.11617967296946895', '-6342.119277349120572', '-7150', 88, 4);
    T('-21.22047337624', '8.55715229412E+26', '855715229412000000000000000', 58, 5);
    T('3.720311170E+29', '91483867.5896057', '69206016', 1, 0);
    T('896264862.401245823797399', '2.73052500461235E+28', '6995968', 30, 4);
    T('2604.369623', '-724865.40', '44', 48, 6);
    T('-4048.45855723688', '-7E+49', '-70000000000000000000000000000000000000000000000000', 8, 1);
    T('-24807.724855', '-98243.7255797192592872896983', '-98279', 87, 2);
    T('-328.58369308896', '-6.5245E+9', '-6524500320', 20, 6);
    T('8701048.3300535552274051005149', '-9.589', '8701040', 79, 0);
    T('-5369839063.426845126832', '2208534665.73', '2208464905', 80, 2);
    T('-4.10', '-37.39824', '-40', 89, 5);
    T('-2.55798225164443450328824360E+40', '9.063023302E+37', '85237442477316445493291420340776337408', 4, 0);
    T('-6.2067E+15', '-8.82994436816381020406E+27', '-8829944368168327159234871296', 2, 4);
    T('-4.94351847706736073', '-84987.0614254', '-84988', 32, 5);
    T('-8.9258E+6', '11.81124925', '8', 62, 5);
    T('-43.230005360392513364191558224', '-452075981706766284.3064827', '-452075981706766316', 23, 6);
    T('-9846.37378677916127017160799975', '-6.05377793E+14', '-605377793009280', 75, 0);
    T('6.1', '499940.5', '4', 70, 3);
    T('-86860640.242830468222783248186', '2581.38', '2048', 90, 6);
    T('-656.59072693736411245247', '47941518.18633626040', '47940864', 51, 5);
    T('-7965333894.9248555347', '8.37E+21', '8369999999996736831488', 74, 1);
    T('-12.82898002164107128057945068', '716.4', '708', 4, 3);
    T('-9.033E+33', '6.62464403126306751E+48', '6624644031263061830277558851939055839582785372160', 75, 1);
    T('-3.3403168785184798270E+49', '-7.2354810989543805620079800255E+41', '-33403169485487321743672315649017134247967316770816', 49, 4);
    T('-2E+38', '3.8573236863204153677E+46', '38573236841404275022875349441669891581773086720', 87, 2);
    T('57644773450.91222711', '2.5970E+35', '21474836480', 66, 2);
    T('77098606.5351917093672', '-9.32871790', '77098598', 81, 5);
    T('9.7E+25', '-7.05970E+46', '77560304579497984836763648', 3, 6);
    T('-96658466930836991617474505.77', '-90476.28100', '-96658466930836991617499116', 79, 4);
    T('-3.72755266633211665E+26', '4.79780E+43', '47977999999999999632104075612038281214033920', 53, 0);
    T('3.48740E+8', '98160583.919841', '80300416', 10, 2);
    T('-1.440241668691', '2171.96680830414603300337226843', '2171', 70, 4);
    T('-8552.411974967', '-3581.92243174918492717516856', '-11776', 61, 3);
    T('-30084.89324902853', '518632599.55099', '518619156', 55, 3);
    T('-4729.4', '446.6371291216766', '390', 72, 0);
    T('-1931396159.28', '92013052782234409749039359.5', '92013052782234408639858881', 72, 2);
    T('-72037244825264537726.756', '38.708439006624692', '2', 86, 6);
    T('77501.03536751515921544', '-6.656854593746294937', '77496', 94, 4);
    T('-9.6510E+24', '-404.2708841189620', '-9651000000000000000000000', 21, 1);
    T('-504.95439819775321528500546', '26223.3186761', '26120', 87, 2);
    T('-8805342892.7', '-1E+24', '-1000000000000008791261184', 18, 3);
    T('-49825113.5417767136594', '-3.658732707500702429', '-49825115', 46, 4);
    T('-945713.38273329868', '-7.0952E+13', '-70952000942080', 34, 6);
    T('404.983940455', '-8.049310058400412184880271499', '400', 72, 0);
    T('-2.806397864107724001722E+40', '-6.6421E+18', '-28063978641077240017221152959438363033600', 12, 5);
    T('4.12246695746445437E+27', '-8.45974511E+20', '4122466854836139620376645632', 5, 4);
    T('54.295726374105066788530799773', '2638488.113129522630', '16', 91, 3);
    T('-707.05527268', '7.75791986E+12', '7757919860000', 35, 5);
    T('-3.13696343284435863E+35', '8892645200.8817517819', '8858370048', 19, 5);
    T('-6837.0', '-98.837276084608681701', '-6902', 89, 3);
    T('4103669.22213045627552145626', '-9.32702E+6', '3181652', 19, 5);
    T('-202142.728828541682392', '2967.7310421056636782516337', '2562', 3, 2);
    T('-4598519250.14', '-1559.035', '-4598519768', 2, 3);
    T('-5.01713252E+25', '-1.5427413226339833E+43', '-15427413226339833001209822227347962266124288', 59, 1);
    T('-9488332.6228084672', '8.8788688444352842660E+36', '8878868844435284266000000000000000000', 38, 2);
    T('-307040.81367', '-53.163', '-307072', 76, 4);
    T('-7.8313E+17', '46741225.4630067633', '532480', 21, 4);
    T('1.68098446E+9', '-9.13283043722785059E+39', '1610612736', 85, 5);
    T('-66.44526240346496', '31.838774824', '30', 52, 2);
    T('-81200038.749044437739250', '26436.08997177932560', '25664', 58, 6);
    T('-241.26031311732566', '5.52784725798249913001997E+33', '5527847257982499130019970000000000', 73, 4);
    T('-27.104', '-3302000610', '-3302000636', 53, 6);
    T('-2.3576206120923830', '-2064878619.67457437', '-2064878620', 87, 4);
    T('9.40E+5', '3.3113826375404523569453712E+28', '672384', 35, 2);
    T('-5E+6', '96033784.344811107723381913590', '95490240', 89, 6);
    T('5.82320E+46', '-7.34011E+7', '58232000000000000000000000000000000000000000000', 84, 5);
    T('-4034.988708952751', '45171.030942676424465', '45106', 9, 6);
    T('-374.459247892381462727605367699', '8E+39', '8000000000000000000000000000000000000000', 76, 0);
    T('4.74E+9', '8539881.797064841470457', '8521728', 71, 2);
    T('4.43509931E+21', '-75399261.31851023917267', '4435099309999998918656', 65, 6);
    T('5340.4554354925', '9747.147195998993074', '1040', 81, 4);
    T('2794.641871998394505016', '-66235.272475480857397945394367', '2112', 63, 0);
    T('-13130.9730929914056275965949', '-541607502505125229.7191653', '-541607502505129838', 15, 1);
    T('-5.067', '-30254.2275', '-30254', 67, 4);
    T('684.455312', '198331.687301748588390751099035', '680', 5, 6);
    T('5.3886E+25', '-385.550612129301951950', '53886000000000000000000000', 34, 1);
    T('7.63114268155420120074103E+27', '761.79097451460803852309572', '112', 99, 6);
    T('3.772822E+8', '188.513', '152', 43, 4);
    T('-51392251.632996', '-3146847.611850', '-53489407', 68, 3);
    T('-4.6635718279551640323E+22', '-7.31E+3', '-46635718279551640330176', 15, 2);
    T('-675071833.417143', '9.458844E+9', '8921415712', 67, 5);
    T('-6.41E+24', '632552900.44021387266173196', '629145600', 97, 6);
    T('-907760.0312518113145893', '3.76851382E+24', '3768513819999999999737856', 5, 2);
    T('-645085204.993965002563', '-376101.488869172443303267', '-645381432', 47, 3);
    T('1.7960E+23', '-3.8E+6', '179600000000000000000000', 56, 3);
    T('-2.23568281', '-22.417902632939843099200252127', '-22', 44, 2);
    T('-1.08230763025486267388284947E+32', '-19788926.7931027074617572191', '-108230763025486267388284949626624', 95, 2);
    T('-908768695.3529625147567394060', '-7.98403306106E+14', '-798404212604352', 30, 3);
    T('-88802908.2274545345276', '57445.88342574933719', '57380', 8, 4);
    T('8.85E+8', '-7216.02128135131', '884998976', 48, 5);
    T('38847756.948864', '-61862.486538', '38798344', 30, 0);
    T('2865423069.58124095824688225', '451033895.82205', '180494853', 63, 3);
    T('6.75E+4', '-19251.57592617', '66700', 85, 2);
    T('4127813.95263399541276563055', '800694318.369328', '3710980', 41, 2);
    T('9E+1', '9316.409814212', '64', 29, 5);
    T('-5.572573003254554E+40', '7.7E+7', '67108864', 41, 5);
    T('-6504874.93', '8.3612458344418765780054995679E+48', '8361245834441876578005499567899999999999993708544', 45, 6);
    T('341.263696962540965512', '-3687426.25010', '340', 90, 0);
    T('6.562902E+10', '-607.4', '65629019424', 13, 4);
    T('-4.8926E+8', '290781611.538093889', '5535776', 26, 3);
    T('533306609.46233', '1.5393396625919280293433E+33', '415860736', 46, 2);
    T('3381.3879817476767182265692', '5.1930749805500703565677', '5', 81, 5);
    T('2.1999500930E+50', '-7.33552E+29', '219995009299999999999267135246603886300677300813824', 28, 5);
    T('-60591651.0893', '4.8E+27', '4800000000000000000000000000', 16, 1);
    T('8.105E+6', '-828760.1017', '7538728', 1, 6);
    T('-4.6151E+9', '5.57886215271725544E+42', '5578862152717255439999999999999995436597248', 52, 0);
    T('-1.9E+50', '-2176391599.1684760771982624936', '-190000000000000000000000000000000000000000000000000', 9, 1);
    T('655868480.7690077885', '985976.324646328343061667460202', '459328', 30, 0);
    T('-9.513382564033977672E+45', '4.144346E+19', '40281499096582193152', 64, 2);
    T('-13267579535366.4675792018', '3.342577222196390342E+22', '33425772221959183156832', 50, 0);
    T('5.24E+11', '85574.624', '83968', 48, 5);
    T('-9.7826346565E+41', '-4.6128E+8', '-978263465650000000000000000000000000000000', 31, 0);
    T('-22.4149518824055', '645126.512073', '645122', 57, 3);
    T('-56.19530890284200367116537', '-194720327.504876888495415307534', '-194720376', 16, 3);
    T('45920.858849467311337986376', '-9.1226192520794670244008497E+30', '45920', 23, 6);
    T('8E+1', '-5.05540097048498951157', '80', 71, 4);
    T('-2.47739529597154719E+50', '-899511.024401', '-247739529597154719000000000000000000000000000000000', 5, 3);
    T('-9244.8762653645103', '8.231589483E+12', '8231589482976', 73, 2);
    T('-3.838E+7', '-8914.661807916103232024841052', '-38380512', 89, 2);
    T('392', '455635006.284174', '8', 16, 3);
    T('8469354801.40628651084467626507', '-6918540445.2909144695264', '1620054305', 100, 5);
    T('-2.493567', '-2.66E+12', '-2660000000000', 76, 1);
    T('-6345585.21345650617942570291674', '4.028E+24', '4028000000000000000000000', 58, 3);
    T('9.824960582996E+26', '-4.6462313951855011546E+46', '363362526501126957602701312', 14, 1);
    T('-76727.97396838', '-558269453.49', '-558346175', 48, 2);
    T('449914.915336245349', '9.6E+9', '278528', 93, 1);
    T('-4357.36005085070', '705.9104815003897024472817217', '705', 23, 2);
    T('-242.1327141737717125872651829', '8.10725201181629E+17', '810725201181628936', 49, 3);
    T('68855.94050', '-7.45906456979759929673', '68849', 91, 6);
    T('-719.114829', '-2318433811.8499310078515', '-2318434015', 94, 3);
    T('-9.7E+2', '-26009.28073454304149354445', '-26586', 61, 6);
    T('-2.2921289408357062926058E+26', '2.431E+43', '24309999999999999932178795269149043965558784', 40, 2);
    T('2.01470845569177266449810E+30', '-6.76360574330797345408860', '2014708455691772664498100000000', 45, 5);
    T('2E+3', '1.111369E+9', '1280', 96, 0);
    T('-8.97E+3', '-489100033.029133750852800900', '-489108234', 85, 3);
    T('-2.005958444509990970E+21', '8.404562990397412395227E+25', '84044288461788840278132784', 97, 5);
    T('9.9945467E+35', '-5.271182E+8', '999454669999999999999999999731564544', 22, 1);
    T('6495279745.10720231829038', '7.57E+6', '2228736', 89, 5);
    T('29511.2662617788687505319', '6646.8771286885129919588608', '4422', 50, 3);
    T('101393500115.4319', '783573751.95628817', '176423635', 18, 4);
    T('1415095611', '1633411229.0969816', '1079549977', 17, 2);
    T('-7607578.78774', '-2339409509.903549561105743', '-2339676030', 28, 3);
    T('3.437E+6', '671138.668310113668098260', '12672', 89, 5);
    T('79505582.877431496210777421209', '-54.78567375003', '79505546', 48, 4);
    T('8307.886351', '-75.99', '8241', 13, 0);
    T('-4.3E+5', '4.649716093065995016426E+50', '464971609306599501642600000000000000000000000000000', 10, 2);
    T('9.70E+5', '463475779.9', '1024', 18, 0);
    T('2.884E+39', '-7.1032803E+20', '2883999999999999999289671982705738252288', 69, 5);
    T('6.37E+3', '525318.415420846898417270553986', '2', 56, 2);
    T('-9.45E+8', '8885917.147104978529797119', '8654976', 86, 5);
    T('3159.31232596982283687058570777', '453.05125646740', '69', 60, 2);
    T('8E+4', '2993.772', '2176', 100, 0);
    T('-43658560691091430.1', '-90144', '-43658560691107840', 70, 2);
    T('-1.0E+2', '76339788480872125564080150', '76339788480872125564080148', 37, 2);
    T('-6.171807282', '-2.6996644771041202542965E+25', '-26996644771041202542965000', 8, 4);
    T('-8.66326943624E+22', '849890.34', '835584', 57, 2);
    T('14093122941.35732375887584439', '906.89805079146', '264', 79, 5);
    T('2.21E+4', '-466937.73899', '16388', 78, 4);
    T('2.6865265E+25', '9.2453041116741640003473E+40', '21838009789247214493892608', 93, 4);
    T('-2.62161011329879420192E+33', '7113169267.30380480582509357709', '7038566400', 12, 1);
    T('-47.9247625511027974899', '-20495.0377985757371318', '-20527', 88, 4);
    T('-933.81', '-78.67704964541617261887815948', '-1006', 11, 5);
    T('-4003.9527', '-4.7562899549402E+41', '-475628995494020000000000000000000000000000', 67, 3);
    T('31830.16450720415651312121146', '442660635.4', '29714', 78, 2);
    T('519197.15027848237121817222', '-54231978874046', '124928', 93, 0);
    T('-1.9824347961997959738E+35', '-6.87E+18', '-198243479619979601996229855527567360', 16, 3);
    T('-869.429855606', '65997351.043116771235018779312', '65996803', 98, 6);
    T('4085.1773564228203405649', '-71.9', '4017', 56, 5);
    T('-884606403.605', '849999.5569232', '325645', 94, 3);
    T('-2549.4138839140926431073043', '-2E+41', '-200000000000000000000000000000000000000000', 36, 5);
    T('7073181041.202521407800', '-3.03E+21', '2215116800', 47, 3);
    T('-33494583.006057', '-685472.34009', '-33519552', 88, 5);
    T('5.4E+13', '-86268693.6263596544990516792', '53999999983616', 10, 3);
    T('786777490002354735.50083633', '8.743E+14', '863259448901632', 46, 4);
    T('-10.55607775971139737', '-3.2457367523502660418327E+41', '-324573675235026604183270000000000000000000', 88, 6);
    T('-229.760150355506784444600', '-7.050325548424234567E+38', '-705032554842423456700000000000000000000', 1, 5);
    T('325516.9386', '172.430993', '140', 30, 5);
    T('7580.81308856694753939533', '-11374628681912.160616', '1288', 62, 1);
    T('1.69180246310987878612945893E+36', '1.7693E+6', '717824', 58, 2);
    T('-412846726299805596.5', '6E+4', '34912', 33, 2);
    T('5.069408951216960260E+40', '-973.9237', '50694089512169602600000000000000000000000', 63, 5);
    T('-5187047.66237', '-2.4658348761273235220030494', '-5187048', 64, 5);
    T('9.268770524702E+13', '40315083.45', '2557960', 80, 5);
    T('-6670407818.715348444325634713', '-4.44716956445448267506096E+39', '-4447169564454482675060960000004430233600', 86, 1);
    T('-3E+18', '-6.8739053034E+37', '-68739053034000000002990425383922302976', 33, 2);
    T('-7.220E+9', '8.0929E+7', '8552448', 30, 6);
    T('-34173.5', '3241641.4445662', '3240577', 79, 4);
    T('-5.2129061853860144918366E+34', '-6969908.56718', '-52129061853860144918366000006291456', 87, 6);
    T('-671685.602414960554671960483', '-50.85225', '-671734', 32, 5);
    T('987312641.447950399071807', '-180619', '987312641', 79, 3);
    T('183.66423889613951988', '48.93188869121117', '48', 73, 4);
    T('-3.6E+2', '49024.3285748220194467', '48768', 64, 5);
    T('-6.0990E+5', '1.9E+5', '172048', 51, 6);
    T('-9.2248878E+27', '3.6E+7', '35651584', 23, 0);
    T('-4.783425071991752500798265', '93747234.303091673891964388', '93747232', 14, 6);
    T('-7686.23125668852003677429846655', '8368.84548765351509', '8368', 13, 6);
    T('-53704.253027879825875252981362', '7.5854061E+41', '758540610000000000000000000000000000000000', 64, 6);
    T('430983.573590378008335161', '584143541.79512772', '4741', 46, 4);
    T('8.3949E+41', '-893.81392843', '839490000000000000000000000000000000000000', 5, 6);
    T('6718.87675942553023258373171', '8E+7', '4096', 13, 6);
    T('5526.828581173297', '6.335E+9', '1408', 49, 6);
    T('-16571923.1742144099648889', '-4684056592.186016520', '-4697480736', 43, 4);
    T('-5.66548676E+9', '-21.58107617057151339', '-5665486776', 28, 0);
    T('-314470.6606989953', '792.59095629635550148', '792', 33, 2);
    T('-2.4057234039087759957746', '-3.729633007435994393438E+39', '-3729633007435994393438000000000000000000', 86, 5);
    T('-73.174', '193.5579695', '129', 20, 5);
    T('-2643480.48920161957974666465', '-4.612942737495140458862E+49', '-46129427374951404588620000000000000000000000000000', 76, 3);
    T('-74700', '-2E+5', '-208896', 99, 5);
    T('-2.930880E+7', '-183.089', '-29308928', 100, 1);
    T('-2885920918.4189294265', '-9.7E+44', '-970000000000000000000000000000000000000000000', 23, 5);
    T('187.5029328269636', '-5.47E+3', '162', 28, 2);
    T('-5395.5370951775178677', '-2526.4140577051768', '-7648', 88, 5);
    T('21380825.48349507276627', '51567.36085', '2121', 88, 6);
    T('-4079471016.695107', '-65.92351246545076809758', '-4079471080', 75, 4);
    T('881.760464059098119569810', '79.25274535449382128234075', '65', 3, 6);
    T('-5003.802450283038017138108', '-4.8900255378273640605685876711E+38', '-489002553782736406056858767110000000000', 31, 1);
    T('5.832449576925E+26', '-735.2489001097138261203', '583244957692500000000000000', 76, 3);
    T('7931121185.21445761', '2527', '2049', 48, 5);
    T('-3691541247150.46601924652', '-3.0240023854376150290358220E+35', '-302400238543761502903584749063094272', 10, 3);
    T('-9.8533995602900', '8635787.7570220234778604422332', '8635779', 58, 2);
    T('-8.85E+7', '-12.2887799675262216634034633770', '-88500000', 20, 1);
    T('-92228209.2284666069555764835', '-183.27', '-92228343', 36, 6);
    T('6.17159606', '5E+1', '2', 85, 1);
    T('-1673.2178332968296910709', '797014505056204950.784587362', '797014505056204822', 39, 6);
    T('9.903', '97420159.35782715525365228956', '9', 11, 6);
    T('-28666.873564381', '696828481.088276398274', '696811520', 44, 1);
    T('-883.2778', '728123172181326841784585028.99', '728123172181326841784584196', 9, 2);
    T('-3766968827.798883653094484', '-467627.41668391737346684', '-3766969339', 91, 6);
    T('-4.59952227684495E+31', '-8.659833739002576296E+30', '-49265060121860258007512629379072', 55, 2);
    T('699.4194268585540915440', '-758100.473079945', '680', 3, 2);
    T('9.7E+7', '-4.2814098170605777847571', '97000000', 76, 0);
    T('1.8993400182374139605298432E+35', '787886319.1681711926766676', '638844928', 63, 1);
    T('-3.6903E+7', '-5.805220E+11', '-580558765696', 65, 3);
    T('475.654696496', '-8060.0758779922', '128', 8, 0);
    T('-5835.36680433964577714192507', '7.6515504477918E+31', '76515504477918000000000000000000', 44, 0);
    T('2.9320925E+16', '-64.9487777967500987118094310', '29320925000000000', 22, 3);
    T('-32.04687322530362955435285463', '-305957922.720465458057486622', '-305957952', 96, 1);
    T('5854921599.2466268396853', '-5711.5390423323819514953', '5854921009', 46, 4);
    T('-80042.008', '-1717.67117', '-81598', 52, 1);
    T('750122276.264103263860', '-2.28E+3', '750122240', 55, 3);
    T('-9.068772663930719832E+49', '-28713953.50805', '-90687726639307198320000000000000000000000000000000', 31, 1);
    T('3146.553847916222', '-110252.74332', '64', 47, 1);
    T('215468.55', '7.394E+4', '65668', 47, 4);
    T('-3254', '-189100.251500968275516163941', '-192192', 78, 0);
    T('4745781466.8939', '9.946786926113133', '8', 54, 3);
    T('-548543436.1570315402', '-1.60E+17', '-160000000011534336', 96, 1);
    T('990.88698275', '-8.1520208269282719585116535178', '984', 90, 3);
    T('3178478766.18590150', '64686.409794786768719480883', '48302', 40, 2);
    T('-23.942818940700354545944', '8536830316.604602707949738002', '8536830312', 32, 5);
    T('558903.25719510159996409078320', '7.9334600504125055E+35', '524288', 85, 6);
    T('-596.0683112580', '4.4E+6', '4399488', 7, 6);
    T('205.92', '782840.659', '200', 44, 0);
    T('7.91694E+6', '5.5477552194411778550945673049E+44', '1572864', 41, 5);
    T('-5E+30', '-5.10282388562E+50', '-510282388562000000000080013964303933628484069359616', 4, 2);
    T('9623829473480578.516729', '2364919.333895943', '2360706', 73, 5);
    T('78280779446885.1039627', '4.821808', '4', 69, 3);
    T('-8743608.69549', '-5.74804357380591021368981623793E+48', '-5748043573805910213689816237930000000000008388608', 81, 5);
    T('1.238426551524528957566090220E+48', '-8.12336554E+27', '1238426551524528957558629825134041835233880309760', 6, 1);
    T('1.40855275E+9', '976.934091241724330582631811675', '768', 76, 1);
    T('3.63268946E+45', '3.823236E+50', '3615952076105133404245325328302475131018543104', 4, 6);
    T('-7.20912096901896E+37', '3.359785276139E+43', '33597780837632581735035973124335747289055232', 77, 3);
    T('-7.746481306573897172', '-83538.780553220', '-83544', 78, 6);
    T('5.921275129917865838E+48', '-9.6574739263833155295847E+40', '5921275126509714703425353918806145689898113302528', 100, 1);
    T('-55468609819233484358.654746', '-463252004.667866190', '-55468609819562212968', 69, 0);
    T('4.518E+46', '-7.653965126950', '45180000000000000000000000000000000000000000000', 85, 2);
    T('7.2828437456607526907E+33', '3.5442464E+30', '12382613447890191069055287296', 94, 2);
    T('718307901', '-656143.1111920126', '718307377', 10, 0);
    T('-8.6', '437266.06312694718', '437264', 86, 5);
    T('5726457950.0871407342533', '-8152684.752439120', '5721198612', 97, 4);
    T('-87118201.92356133', '11700.048534', '11396', 64, 4);
    T('-7640.130214503', '-4234.07858', '-7648', 79, 3);
    T('-7555470.4277609921', '-2.16E+6', '-7601664', 39, 3);
    T('860590.6118541', '31.58856329308082293147134309', '14', 89, 6);
    T('-795.2635902286402285868516', '82521555.5458419562467', '82521281', 81, 4);
    T('-546002067746387620227858.33', '-7653838.4988803059', '-546002067746387620522974', 19, 4);
    T('7593598.82033537', '-7250.3407431288946904401', '7586350', 16, 0);
    T('-10584.94490901129406137390429', '-6949.586264', '-15224', 76, 5);
    T('-6.68E+9', '-1.33561109030385737362776733', '-6680000000', 86, 3);
    T('81511.50390798251071982770248', '31805179.965478809732650089', '69219', 6, 4);
    T('865811.97241075124897389', '9844848.306467', '274448', 81, 1);
    T('2661.370744016616', '-69012564465723734.058', '544', 27, 6);
    T('-3.552142116490E+30', '1.35549E+41', '135548999998984729565527205640832307691520', 85, 2);
    T('6076758772.9274812011714965', '5.649201083207588881287109E+32', '6074474496', 20, 0);
    T('-9E+2', '-2438.38441158800169910', '-2952', 67, 1);
    T('886569.766159', '-9257781.03400', '33801', 93, 2);
    T('80891438153251037447583272', '244207387.760', '202130952', 18, 3);
    T('4.77908E+45', '-58244.79249839', '4779080000000000000000000000000000000000000000', 28, 3);
    T('9.744065275783239E+35', '2.4156E+14', '223959214718976', 1, 1);
    T('839.4625255352', '-672626', '6', 46, 4);
    T('5.0961E+29', '5.8534601098639499099756494E+30', '29865908206110599990720069632', 65, 5);
    T('3.635354E+50', '-8.2002E+5', '363535400000000000000000000000000000000000000000000', 67, 1);
    T('17.53924443886897171245484437', '835947504.04092573807143', '16', 63, 4);
    T('-3.1747293702713E+34', '-886.94011', '-31747293702713000000000000000000000', 95, 4);
    T('3862.54554948791974889801048', '-2150882.8892823801835', '3606', 23, 3);
    T('2E+13', '-5201926529.069604912460017', '19999664128000', 56, 6);
    T('858897.636666213848', '58.990092387757031414178', '16', 97, 6);
    T('203.28955', '761.64827', '201', 29, 1);
    T('7.976E+47', '-8.71618207471255047E+34', '797599999999995935213957462678425892243852230656', 96, 0);
    T('9601641291.8722854786684229047', '2.3315E+9', '138758464', 96, 2);
    T('46.50400273468', '-201457.6124208998730511556', '14', 67, 5);
    T('517189845.9', '6.22666398186229824859E+29', '511934464', 78, 6);
    T('-2.794895768E+20', '5250260297.044726', '4709154816', 97, 3);
    T('-6E+14', '5.971008873080352236E+40', '59710088730803522359999999998763015864320', 35, 1);
    T('79068.95972881767', '91.603527333430255427035223', '88', 63, 5);
    T('-6.7242206488117600', '5172721927179879336.562487', '5172721927179879336', 20, 0);
    T('-3.99128E+21', '7915799240375.2425474892431', '2409650716672', 82, 4);
    T('-81495051.4259', '7.4724E+5', '25312', 85, 6);
    T('9601677.7', '-977437.3380962945', '9437313', 89, 3);
    T('314372622.81', '9.908102719933291765446E+24', '268447744', 6, 1);
    T('-81829.71979055663850', '882836137.705723880342', '882769929', 54, 6);
    T('2.590105488285156060498E+46', '344840005036743856517766.0934', '4736221912679386710016', 13, 4);
    T('-9737780163454425750747.68', '-5.21E+29', '-521000009716860721426962841600', 66, 0);
    T('1790.5413818378', '5E+3', '648', 94, 3);
    T('26699', '8.4095263021E+16', '24640', 62, 6);
    T('-4.426E+9', '6.5045979E+33', '6504597899999999999999995637923840', 79, 5);
    T('-6335.0282', '-5.57223465878E+47', '-557223465878000000000000000000000000000000000000', 43, 0);
    T('8424485.1355404708712', '-90792.961560', '8424448', 22, 5);
    T('-42', '328.9707875315548395791177728', '320', 99, 0);
    T('-5553', '2674.6083806384605781', '2626', 12, 5);
    T('85833', '-3988483912.99145517925549471', '8', 48, 4);
    T('-31.557835898', '-3.411494534449731E+28', '-34114945344497310000000000000', 30, 6);
    T('-8.24374E+42', '-2.0798770518707287398E+43', '-22203509512172427454625676998711219127844864', 27, 2);
    T('-42.297204202', '-5421089.47807', '-5421098', 29, 2);
    T('-686976203.6486896771731069', '-9.0713E+45', '-9071300000000000000000000000000000000000000000', 70, 1);
    T('-2.18127099488835357496138E+31', '-7.47E+6', '-21812709948883535749613807467520', 76, 5);
    T('23775.06260', '1054050.0072', '5186', 54, 1);
    T('-97462.16', '-455829.403232088339123719422', '-523446', 25, 4);
    T('-6.319577985937806296E+35', '-7116.42086922049520808798', '-631957798593780629600000000000000000', 94, 1);
    T('5.16E+10', '60167129.91', '59768832', 25, 1);
    T('-3E+1', '714732356.328462538053', '714732352', 49, 6);
    T('-4.315932784667715403578E+33', '123224.66', '24576', 41, 0);
    T('-5838.64267437788488', '-7.03E+9', '-7030005760', 12, 1);
    T('694.39228832089992040', '-7247.49994559752678', '688', 23, 6);
    T('77378.5718729398148723396096906', '-779646.711823830063963939403963', '2562', 87, 5);
    T('-6.855152833407018374345097E+28', '-359379.0819178735574848', '-68551528334070183743451037664', 100, 5);
    T('4065484976.77054508232458667020', '422033.72298360669281916', '155792', 52, 3);
    T('-53274017.7146393', '-925.84063028300843948', '-53274557', 47, 5);
    T('-8E+6', '2915462092573597128114.36', '2915462092573592798208', 96, 1);
    T('-2.9E+6', '2.84250950607251088713959632355E+43', '28425095060725108871395963235499999997624320', 67, 5);
    T('4.01668698', '-526314.064431110109397726447', '4', 82, 1);
    T('12984593', '-905096705.7682453382', '262417', 69, 1);
    T('-557336280.082921', '-423373444.77593414', '-960261848', 14, 0);
    T('61731730.449388803547', '-6.675E+7', '356752', 79, 0);
    T('-42299916556.07216', '14845.135089011551', '14580', 75, 2);
    T('84094', '9.8572519709561895520316255610E+30', '16424', 79, 3);
    T('-2.06758379168166028275944E+37', '-9.9905E+9', '-20675837916816602827594400000288489472', 74, 6);
    T('-53969.1197250208739324', '587714.2208157443759524059834', '533762', 22, 5);
    T('4.8828710913879115133619E+43', '2268661.514175', '2097152', 76, 3);
    T('-5.58564E+9', '167', '128', 57, 5);
    T('6457587327.245', '-8.9371948858521956353421E+47', '4294967296', 98, 2);
    T('-119366.4974111114664891', '-228627834.361645910', '-228710270', 33, 1);
    T('8.638E+17', '-140423714', '863799999859851264', 32, 4);
    T('5.3E+10', '666094.421253676', '655360', 76, 1);
    T('-6.095E+6', '3840644952.5272384', '3835860808', 60, 6);
    T('905270.08702674088579151364', '1860.0138383', '4', 6, 4);
    T('-68228.388441041910887896', '-3.0299847E+21', '-3029984700000000000000', 100, 4);
    T('-496907832.26245666267480893107', '63951783.8', '37863808', 8, 0);
    T('-207474564589103.7224', '-3781229079.7396473125', '-207476716273215', 97, 4);
    T('-9.34001', '-4.42310994915804901750801313E+45', '-4423109949158049017508013130000000000000000000', 92, 6);
    T('-2.571542320737112', '194435373.5738947940618835', '194435372', 28, 2);
    T('-9479751331', '177188296.83436285093957', '176564552', 69, 5);
    T('7217426548.575884', '-3364.6625581808243450971004', '7217426516', 5, 0);
    T('-45796.29760', '-8.6205E+5', '-899044', 84, 3);
    T('-7.13410032092982201', '-823961473.495090007930682', '-823961479', 41, 4);
    T('-9311546154.47635102826375', '48910910704.3553396388918333589', '39733757136', 8, 0);
    T('733.692', '22.32118939089396', '20', 44, 3);
    T('8.69841E+45', '-4.857058E+9', '8698410000000000000000000000000000000000000000', 15, 2);
    T('6.6719E+6', '-97005878.58195018293474933', '2477576', 58, 4);
    T('-2.588E+4', '1.0021610099369686E+37', '10021610099369686000000000000000000000', 39, 6);
    T('-5.34907021159693680325958742737E+31', '2.63317685644954E+26', '29325896238084028742377472', 1, 6);
    T('6371290.42624103136607245718970', '1.62022992200004781E+29', '4263936', 67, 3);
    T('-5211642.87212884188982614016605', '-2.99E+8', '-299886080', 29, 3);
    T('-19.392725404956', '-3E+36', '-3000000000000000000000000000000000000', 80, 2);
    T('-6.0543E+42', '-4016874.90911886867', '-6054300000000000000000000000000000000000000', 44, 5);
    T('-4E+3', '2.169E+18', '2169000000000000000', 47, 1);
    T('-6.807068891147179E+22', '589131869314850.22086847', '874869676032', 43, 5);
    T('351.619161', '1.19E+3', '6', 93, 3);
    T('-376724.92014133846911447907585', '-29393400.60425', '-29736952', 13, 1);
    T('-1.822092727584873299992012818', '93659.704070174778465392111', '93659', 48, 5);
    T('9915814.533750731712', '77050.236078010334091396', '68770', 48, 5);
    T('-91.4', '15.424135808010858510', '5', 74, 2);
    T('5.8011235926646294240748E+35', '8996121876.83477624288685847900', '8590032896', 97, 4);
    T('-5.9054046722734038E+38', '-4.440594606834362117183037E+30', '-590540467227341892781488868431834906624', 43, 0);
    T('-8461145076.44196440895173558745', '79932.123540561528', '75788', 51, 1);
    T('7.0721324270710182E+32', '-44022194.7', '707213242707101819999999999606784', 79, 5);
    T('-2501.075564189', '2.853E+40', '28530000000000000000000000000000000000000', 13, 3);
    T('-297.843192109882915636', '-5011378.149', '-5011386', 66, 5);
    T('6962393465.457172437123', '-5659.512682231336470', '6962389345', 96, 4);
    T('-4520.1303212681220300009291049', '-419846276', '-419846568', 16, 5);
    T('-9323670.7976180190651059082', '-1488.566691027672120', '-9324000', 98, 0);
    T('966.79637467392578', '8994600.932', '768', 22, 6);
    T('97278.8218830', '-601295367', '29176', 46, 2);
    T('-6.7', '-4067.34026', '-4072', 2, 5);
    T('-565282.35037019795036199224431', '1.3E+5', '89040', 38, 0);
    T('-25744214651926.47421048', '24521.44078148', '3016', 39, 4);
    T('-689698700.234340', '3.867E+6', '2097264', 100, 1);
    T('187.4497902275329754986', '-2.311373864036234532630', '186', 91, 6);
    T('6.167708892008065E+29', '-10333.01770', '616770889200806500000000000000', 90, 1);
    T('-3856870303.29480701050590', '-9.0750611143301422521333775241E+36', '-9075061114330142252133377527350782976', 62, 3);
    T('-8.4645279353339374065956', '-85.748', '-88', 37, 3);
    T('-98.95316491717483', '6854.9014477169', '6790', 51, 3);
    T('-5.43932E+6', '-768.8249997030884', '-5439488', 95, 4);
    T('1536487228.139908433067116247', '-1.4644633639324534E+34', '192937984', 92, 3);
    T('49528.7889241169158', '1.03190E+16', '49152', 84, 6);
    T('7.2161272395044376E+28', '-6.316270675529540E+50', '22640937680217708117339668480', 26, 0);
    T('-5.39352187E+31', '-4.514311908157914953E+26', '-53935644545390600405729417363456', 48, 6);
    T('-3', '4.890989205934451515784', '4', 72, 3);
    T('-7969650428.48640', '-9348888.05519040071788248596900', '-7978596352', 11, 3);
    T('7.17939659248900394253441E+45', '-14585.5440244371692448360648072', '7179396592489003942534410000000000000000000000', 48, 1);
    T('7.3E+36', '-3.919E+4', '7300000000000000000000000000000000000', 85, 4);
    T('-2349690.183500', '4.30257E+6', '4203650', 41, 0);
    T('-5707.2786', '458.67', '384', 30, 2);
    T('3801.75769176', '267292942137.43', '3609', 31, 6);
    T('-99641.6483199', '-2.12803832429785967E+38', '-212803832429785967000000000000000000000', 79, 0);
    T('-54846.36328939551582', '-3.480665686086722659331241', '-54848', 29, 3);
    T('2375270.45142037152459', '-2078147.8186189637056583800340', '2099748', 71, 2);
    T('-3E+4', '9.59E+9', '9589983360', 100, 5);
    T('506797694', '5.398533086710324769178E+42', '201326592', 85, 4);
    T('-2609269.797831038715224895340', '-9666434.611597309577665337047', '-12058614', 55, 6);
    T('-5.4841556471355E+19', '9.436827E+8', '136065024', 15, 5);
    T('5680717.9542635635745023', '62.35', '12', 4, 4);
    T('5.2E+2', '45731561781387.26963340', '8', 62, 5);
    T('-9879384556.58677823995826', '-9.3E+27', '-9300000000000000008791261184', 35, 6);
    T('-147477.3909', '-8476752084717848801', '-8476752084717979893', 75, 0);
    T('-411085.04815585511973082', '-2825480024.5', '-2825873376', 33, 1);
    T('-5.2E+9', '4E+10', '35434397696', 16, 4);
    T('-3.068655E+9', '6066.965827318398584170676', '544', 24, 5);
    T('8.778639E+8', '8.3E+16', '609419264', 21, 1);
    T('-1.20158416348731E+41', '-12589067.147096599324969', '-120158416348731000000000000000000000000000', 57, 4);
    T('-570.89', '-68643', '-69180', 32, 3);
    T('6.61E+24', '-3808383447.81416043816', '6609999999999999425380352', 60, 2);
    T('-1.408675649753669677714141', '-85679164852942157.81', '-85679164852942157', 75, 6);
    T('8.747447E+8', '-1031798483.807624888096598', '300', 82, 4);
    T('-5.521354099794E+36', '-864017682.98899190', '-5521354099794000000000000000570425344', 67, 3);
    T('509846031', '-1.051037E+19', '469999616', 17, 6);
    T('48790967.8513371023996028677943', '-7.57E+3', '48783398', 26, 6);
    T('-815147.652955894636859', '-109.78105550868', '-815215', 6, 2);
    T('-4862.56009522', '2403.10682725898142386', '2306', 21, 6);
    T('-121671.9013149140544102459964', '13848065.634534', '13763585', 37, 3);
    T('55392.0378235452697009', '-345289063.10363200674', '18432', 14, 4);
    T('31016435.879017046793818093218', '7684272.98326447912464412', '5324976', 61, 6);
    T('-1.9111E+8', '6.723119947321E+19', '67231199473075519616', 77, 0);
    T('-63722093.260', '-728.432118894918989', '-63722240', 33, 3);
    T('-59220663.26679', '256.1227100189554638', '256', 9, 2);
    T('-9.2223428405461248863', '-7370.479519469681743784253', '-7370', 68, 3);
    T('4.7958E+7', '-7.545023', '47958000', 86, 6);
    T('-569826942.623184828', '-9.43E+9', '-9461759872', 3, 4);
    T('-8E+8', '-75662.645435457160094', '-800008192', 60, 4);
    T('5.21913E+11', '5.1293620868178E+38', '453186158592', 63, 5);
    T('6485252838.08408009195', '8E+1', '64', 67, 1);
    T('7102937.0759155', '-19989454.77', '5005328', 18, 2);
    T('-8.3690455', '-181167.6523291500', '-181168', 22, 6);
    T('6217986.622417881447022534540', '-482.962853', '6217730', 58, 0);
    T('739809841.8545641300', '7.1274E+15', '537399296', 25, 0);
    T('8.228327E+41', '-7843.7399404911057894723244111', '822832700000000000000000000000000000000000', 48, 1);
    T('1.36893654742E+38', '-881805579', '136893654741999999999999999999194693632', 92, 3);
    T('2.7571707E+8', '-2.7908E+8', '5051328', 98, 5);
    T('338102462676966704542.96814272', '-2.94270329E+26', '295147924996484759552', 60, 4);
    T('-4.71715134E+42', '-920.14275544440510', '-4717151340000000000000000000000000000000000', 93, 4);
    T('-10429.264170', '-4.41814E+6', '-4418304', 63, 3);
    T('22935.55798732335636153122512', '-59487.570044114926366232', '4481', 55, 0);
    T('6.5E+7', '-86.110610617', '64999936', 16, 4);
    T('-3198.5644582709', '-535566.899105494', '-535678', 90, 1);
    T('-6.805E+4', '1.19974861079400554515300798E+30', '1199748610794005545153007977504', 26, 5);
    T('-1.8E+2', '-2.66E+35', '-266000000000000000000000000000000000', 53, 1);
    T('-7.1830598665364', '-59899.107', '-59903', 98, 0);
    T('4.26E+7', '73411018.644763851', '64', 58, 1);
    T('6.874303926478631393171', '5115810.063257014324181162247', '2', 52, 4);
    T('-638.4825880642', '367.26804725', '258', 46, 5);
    T('-2392.65659954997', '-6.798747999357009993143492849E+39', '-6798747999357009993143492849000000000000', 33, 2);
    T('1910087.89757795639846939951762', '-47.40235622052816676425759', '1910081', 46, 2);
    T('-98056620.41671289689', '2423.55283115391', '84', 94, 6);
    T('9426473.734', '497794938.114275800714', '9147944', 55, 2);
    T('1E+7', '-619.15456963701162', '9999488', 40, 1);
    T('28381.7478477178', '-23132552.076001337', '1624', 17, 3);
    T('1423769108.9545706061545594075', '35177.210290179080', '34816', 18, 0);
    T('90.6488330163035531663', '-760223508.98880', '72', 80, 6);
    T('13624739.9156', '-9.7406167E+9', '4842496', 28, 6);
    T('729478.055410426184', '4512.16', '384', 20, 3);
    T('-4.5726709892028986367550547E+40', '6541704.24012518500049864', '2129920', 92, 5);
    T('3.37852264357303033157190E+25', '-65499.485924608477791227739', '33785226435730303315673088', 88, 6);
    T('-69632199.40794', '-5.0380922079127443E+20', '-503809220791276920560', 45, 3);
    T('484654613.3379', '-1.4624789734710025379206133077E+39', '207632384', 98, 1);
    T('-1.077E+4', '8.432259660149174562248769E+44', '843225966014917456224876900000000000000000000', 33, 3);
    T('26.8456', '-6329294.1006950852', '18', 11, 6);
    T('893845.71838398858', '-384387812.2097412426241', '303380', 51, 2);
    T('-127395814.110134895313348409482', '-9065.66979513914252040', '-127395822', 21, 2);
    T('-54661023.8504470550389', '-607.07315961119360442', '-54661087', 68, 4);
    T('-85466603858815.807040', '2E+3', '1152', 44, 3);
    T('-6848234628.892231025228', '-7.696132626046763E+48', '-7696132626046763000000000000000000000000000000000', 22, 5);
    T('8.26E+5', '-7.918649E+24', '786432', 79, 0);
    T('2844056.9386479', '-7.5320074E+8', '721304', 18, 6);
    T('-5.0920E+13', '-9.0462621156735968431333156E+46', '-90462621156735968431333156000000046244189700096', 95, 3);
    T('485.8663983', '-53018738.075695191440184295321', '388', 74, 6);
    T('5880.41256878819', '-5199.613110', '688', 100, 3);
    T('2E+27', '-3.3028854450E+42', '1373774946123956397686128640', 89, 5);
    T('-156331.596', '-6446.89', '-162736', 75, 3);
    T('-30.50163309150', '18911.3349335703988069', '18882', 84, 1);
    T('-5.9136E+8', '-7.5E+5', '-591364096', 35, 1);
    T('8739291.17', '-7.475977298194663885885031847E+43', '65536', 96, 6);
    T('607524211.1349358763875109', '-924524.84786432726', '607126544', 27, 3);
    T('1.81145E+20', '2.33714234E+40', '152248778063328837632', 55, 6);
    T('-2.149514022255028609596249E+46', '-5.62760E+11', '-21495140222550286095962490000000000562758156288', 51, 5);
    T('49329704742416144.48544338', '242.0', '16', 21, 5);
    T('-450276.12124775984', '3.992561508466E+21', '3992561508465999683584', 91, 5);
    T('-1.450272989E+42', '-9849732323.6016985091044491950', '-1450272989000000000000000000000008589934592', 58, 1);
    T('1.79614805974961E+20', '8.9E+4', '2560', 91, 6);
    T('511841.01867706', '29339615.791', '495425', 61, 0);
    T('-3993.4572893871038614094835961', '32253', '28773', 28, 2);
    T('28036620.10598044350', '-7.4271E+9', '17515008', 3, 6);
    T('-1.6653441065642378664E+44', '-1.653693085117637', '-166534410656423786640000000000000000000000000', 86, 0);
    T('5.4122721E+33', '-2.52554046116088E+34', '5248745171498467508711366380748800', 44, 4);
    T('-64.82700522999665543', '-6.7267192270910410695157281471', '-64', 88, 5);
    T('9.10654230E+9', '-2.395754610094645422203070423E+50', '444596224', 85, 6);
    T('-743111.61548695553', '6.6958504737E+17', '669585047369850880', 98, 5);
    T('8030366633.1205579979874591', '-41.3791965082197194433908237702', '8030366593', 67, 2);
    T('-4234.889', '6.89268683509775E+19', '68926868350977500000', 97, 4);
    T('-7.8251E+5', '-96.6959941968423126796989033', '-782592', 96, 6);
    T('-24573.7479183', '6391849266.481484717668', '6391832578', 41, 3);
    T('-34.2', '5.35644070844154133323E+45', '5356440708441541333230000000000000000000000000', 39, 3);
    T('-1.3345886134588E+47', '-42308.28172290613875536832362', '-133458861345880000000000000000000000000000000000', 87, 1);
    T('-4859.116428314', '-7.559E+4', '-79872', 31, 3);
    T('53.41484976477270857987630', '-773690115.292311660147', '53', 66, 0);
    T('3.44707541E+15', '-88156.0473123499190847673338732', '3447075409928320', 75, 4);
    T('-4.7325840798925E+39', '9.8565E+25', '625184368749084007202816', 42, 4);
    T('-37.7584554', '-70409676', '-70409712', 47, 2);
    T('6.8883629212257702402E+37', '-233.80624281', '68883629212257702402000000000000000000', 52, 5);
    T('-1.589573438632250001910527280', '9735255292.53', '9735255292', 61, 1);
    T('378520.5', '-136940.5641189162669576306468', '376848', 40, 4);
    T('-5.1E+32', '9.08810047550961E+36', '9087915395272382815212952785503911936', 80, 6);
    T('4999352620.90197677732491182334', '-2.3329802536477278E+23', '4841804032', 26, 1);
    T('-236.44', '-9E+4', '-90096', 33, 5);
    T('9900.8889162672472044698128935', '-48.8407150', '9856', 52, 2);
    T('-66.71378', '99207519602135.07449830', '99207519602070', 97, 3);
    T('-1.33E+49', '-47066979260966987.203', '-13300000000000000000000000000000001970324836974592', 5, 0);
    T('-95.9121', '457.0946069506837363753073', '385', 71, 6);
    T('-43960393.87642255', '-65896105.1566', '-67108585', 34, 4);
    T('-7.811252026003235695958', '-27.560095399236938', '-31', 98, 2);
    T('-4206339661.7761360', '-4.795981514059', '-4206339664', 13, 3);
    T('-4631.6', '7.424936977E+15', '7424936976999488', 70, 5);
    T('-5132679.598169099969', '1E+7', '9471488', 84, 3);
    T('803.50021384737334273232852', '-1.509694E+8', '768', 60, 1);
    T('-1583117.5276035126182786983', '38.41459776125', '34', 84, 5);
    T('75209072.9215992', '39256854.93250853600064968691', '5439760', 21, 3);
    T('-1414.2281872', '267483.33243676888126', '266330', 96, 3);
    T('8719981238.711', '23.78484962', '22', 12, 4);
    T('1.495194E+46', '-1.698341E+50', '11910087862380346988337848783558141096545484800', 60, 5);
    T('-6.6370858416145795433374', '-82806.74', '-82806', 9, 0);
    T('8.3795E+8', '-1.80E+4', '837949488', 99, 6);
    T('-863183347.194726419357404880', '3.3E+2', '8', 49, 3);
    T('-94896.2', '58662.037179252', '34048', 77, 4);
    T('808504.88280033166248598773069', '-12584.191242157464', '804376', 20, 2);
    T('6.09624977E+17', '2402.472', '2048', 20, 6);
    T('-2.13197154E+27', '2.319E+11', '224614416384', 35, 0);
    T('-44818074.031601137195498', '8E+5', '270592', 14, 0);
    T('-291865601969.3768', '-4.77E+21', '-4770000000012893814784', 77, 2);
    T('20523', '555820.97705', '20520', 4, 5);
    T('-455597148.998084029341496547', '-4007439055.45168', '-4294967008', 86, 2);
    T('-2227442.251551', '3.9914874659628029E+41', '399148746596280290000000000000000000000000', 100, 4);
    T('-7.196730638756E+29', '3.2863867925105E+48', '3286386792510499999993694152864984429485564624896', 53, 1);
    T('-17250766196098', '8.31997', '8', 39, 2);
    T('-14818.91358406589086', '6345.5047724424538', '8', 80, 6);
    T('-1.55954441807272454767744E+28', '-3.006925374237639003669238240', '-15595444180727245476774400000', 5, 2);
    T('-3459615.094262458', '-5.2E+7', '-54394624', 82, 5);
    T('2400876.4156646835487584', '88620.8459', '556', 41, 2);
    T('5.02065468009703363312E+39', '-925.35', '5020654680097033633120000000000000000000', 62, 4);
    T('-336822.804472', '-10768.614', '-338880', 76, 4);
    T('-4.603823E+35', '-291606.822', '-460382300000000000000000000000000000', 33, 5);
    T('-5915.990961715095', '21.897529800', '5', 78, 5);
    T('-7E+4', '6033388.634407256179816', '6033024', 46, 4);
    T('2.0867109046792E+38', '9.41528554811E+35', '935020436609282207495639407838363648', 32, 4);
    T('6067.3520152779', '-3579.779', '4609', 96, 0);
    T('-9367540286.697', '-96546.6813707849605961568719437', '-9367550782', 62, 3);
    T('3.069571E+8', '16541.0208901', '16396', 35, 2);
    T('-5.2897046E+19', '2.872814E+9', '704684032', 26, 3);
    T('70.324547245093', '5.93730072845E+14', '64', 84, 3);
    T('-5260993.70705846077', '-187953034.3291342', '-192147402', 28, 0);
    T('1.3E+29', '-37.05995776355861886115441', '130000000000000000000000000000', 13, 2);
    T('3.7100E+7', '49362', '192', 16, 2);
    T('-95.87720157', '-2899.43479872907042114', '-2911', 82, 0);
    T('9E+6', '-6.57123181064707375E+23', '8459328', 4, 2);
    T('4412.19979352970706', '767.382387035220794334567112', '60', 3, 0);
    T('-80.15', '-5.5995758E+8', '-559957584', 66, 6);
    T('260683927.347041288421920928', '-8.910688971E+12', '25726976', 70, 1);
    T('8162054110.6896817486', '-63833856617905574.590203', '35979866', 80, 2);
    T('-714.436', '-9.9191718E+42', '-9919171800000000000000000000000000000000000', 50, 0);
    T('8939', '228013672', '8808', 42, 2);
    T('-1.05293E+15', '-5177495.518028', '-1052930004194304', 50, 1);
    T('59699.2267787768686363206433400', '-7.75E+14', '32768', 4, 3);
    T('209849439.8023383296875085820', '5933.4684176506', '1037', 7, 4);
    T('-721634252851412.33186217685', '1.8128563392808340E+26', '181285633927502503253069824', 81, 6);
    T('9850.7', '-7520118034567.1196579436', '9848', 8, 0);
    T('-538411627515063815295037', '999.2366354701', '963', 36, 5);
    T('5.74920351904456344708E+34', '938419.112793139606329', '524288', 84, 0);
    T('8.43394E+12', '-10965904692216617.104', '2753211231232', 73, 3);
    T('-4.293E+6', '-6.10039006179950', '-4293000', 19, 3);
    T('-7.14240417020141124065936661003', '1275632215233577.06357', '1275632215233577', 22, 6);
    T('9.716318E+8', '300374681405487044050.8155900', '824820880', 70, 3);
    T('744.46491688967752446062019', '6542.14008915394', '136', 53, 3);
    T('4.3738E+20', '-3.61E+3', '437380000000000000000', 65, 1);
    T('3.378560232E+32', '-966821233', '337856023199999999999999463129088', 19, 3);
    T('4.48E+7', '2.07969467054854732022637E+44', '35651584', 31, 1);
    T('9.369126571684911E+41', '-5412122.2984208', '936912657168491100000000000000000000000000', 94, 4);
    T('95721.12921636520219098', '-121968.48263779262', '8576', 71, 6);
    T('2269733131055073.81', '14272.306884212', '10176', 49, 4);
    T('-5.979030E+7', '-579.507389', '-59790300', 54, 5);
    T('-2.43334254580648980840787210075', '6438454875', '6438454874', 11, 1);
    T('-445882906910876735846.877192659', '-7954.980991371094265', '-445882906910876737398', 16, 3);
    T('-773967.656506954074445', '-34233212082021.5', '-34233212723055', 13, 4);
    T('7617348.34', '-79.6195302938214767', '7617280', 79, 3);
    T('-5513617184.1032', '54951.7', '49312', 80, 6);
    T('726170', '56506201298758.38728756', '660482', 14, 6);
    T('6115566992.05209096623', '-8687835.7794415576332718', '6106916096', 93, 6);
    T('81.3505542119851', '6E+4', '64', 14, 5);
    T('-4202602611.399123', '6.12662E+29', '612661999999999999995939913728', 84, 1);
    T('-2.2E+4', '5736116.60918', '5734928', 39, 2);
    T('343151292.90013177', '-522010475421959620460.49629525', '273682580', 3, 6);
    T('-4756063774.92512222', '2.6294748', '2', 1, 4);
    T('-3.5052255423165640', '419953507.05752523258381', '419953505', 49, 3);
    T('-4.0994E+7', '-955362900.02667835', '-988917472', 3, 6);
    T('-78022.124194649866668330', '1222044205.4687241', '1222036008', 10, 4);
    T('5.0663895329561639837E+31', '7163580780.925954620983866', '2867499008', 5, 1);
    T('4.12098E+33', '-7.16E+5', '4120980000000000000000000000000000', 27, 5);
    T('85990.573871976963447244', '902.01052', '902', 92, 5);
    T('285.046726774', '-22.846632408986759', '264', 51, 2);
    T('1.73981792731323418446028440337E+34', '67335.7263693177225', '65536', 32, 2);
    T('906828.57233783759564604650623', '6755.137249122', '4672', 47, 6);
    T('4803414.91977', '-745156', '4194580', 33, 5);
    T('3453.5280', '82697078.74305273', '2420', 37, 2);
    T('-475567313.79', '-270601509.100829663776', '-477732341', 85, 4);
    T('-77666657.29657759977618', '-55.551132708600267672', '-77666679', 57, 1);
    T('-275927.52823', '266927.9133984521', '553', 41, 4);
    T('1.8499890E+16', '-735507', '18499889999922176', 73, 1);
    T('5.088841373523E+34', '5651385396.615124', '4307550208', 100, 0);
    T('-8.280818877741', '-7.7507605E+43', '-77507605000000000000000000000000000000000000', 84, 3);
    T('45.003268625382515694927717098', '-8.2415', '40', 40, 3);
    T('-1212271401.857213754060609262', '193658992.83', '59375696', 53, 2);
    T('-3.56709394022E+18', '-32479903.3', '-3567093940231339776', 54, 3);
    T('-183484.7', '80135064', '79954688', 51, 1);
    T('9615962.101552', '75347827.904900442400457058', '1094226', 97, 5);
    T('-3436506.2908366965774743312', '-7527274396.020447', '-7528611804', 77, 3);
    T('-28271023.863897100637697942816', '-418.565412023134835022', '-28271024', 59, 6);
    T('5.94343965807867E+28', '9.5982386320613864E+49', '39614284356470235287921885184', 45, 3);
    T('-7.33780777082290320', '-93.7586428300552326', '-95', 15, 3);
    T('4319782616343349498.5572060497', '250.22705027', '250', 37, 2);
    T('4195.169531636840920', '684850.51893', '4130', 51, 3);
    T('3002337835.90643016712528774', '-115.238183411759', '3002337801', 63, 3);
    T('5.62449953133306E+37', '-549603.624689094858117545862', '56244995313330600000000000000000000000', 69, 2);
    T('-489.75819769264', '1.4E+5', '139776', 100, 6);
    T('-7E+1', '844391613.5350', '844391608', 40, 3);
    T('3060361380067.4', '-95.123524', '3060361380001', 53, 4);
    T('-698942.87', '9.6280791071276156880E+48', '9628079107127615688000000000000000000000000000000', 91, 3);
    T('-807310734448314.5378', '-709020.2494256862454305', '-807310734579644', 49, 1);
    T('-7.41E+13', '8.19198E+6', '5273600', 53, 3);
    T('-936910742440.8864048298421', '-8434705.11', '-936919168952', 80, 1);
    T('118178805.837', '1017.37934', '1009', 22, 3);
    T('-194078911.4', '2E+2', '64', 95, 1);
    T('-63.3271155063168330718134382', '-2553275.3622170848500777', '-2553279', 67, 5);
    T('6.5210198660001911E+39', '1.8494E+36', '1683240109502984322941613259347722240', 32, 0);
    T('-5692746804.492081082678113', '29271.0462203445075569354462', '4676', 97, 4);
    T('-83007.89355037095843633832103', '-2797311521.288064288845367', '-2797327935', 21, 2);
    T('546.7793038583805030804246', '61979202.38', '514', 53, 4);
    T('49818620', '-8.0E+4', '49808256', 9, 5);
    T('-1.4E+9', '8.054262434873802E+37', '80542624348738019999999999998892703744', 16, 1);
    T('8.9265161110281566982347480056E+44', '2.63880E+30', '4386140134415484074797826048', 31, 2);
    T('9.597978192552971349E+19', '-6E+10', '95979781919221000192', 45, 3);
    T('-4.120790475975998533533073E+26', '-2.921925E+9', '-412079047597599856104770984', 78, 0);
    T('181.5154000541480', '357259.75927946778546463952352', '129', 90, 3);
    T('9.1E+24', '-3.449E+5', '9100000000000000000000000', 42, 3);
    T('-317931406.63008502968537585', '-12814744.00', '-317964192', 53, 0);
    T('142.5932788236066', '43110599.77537274', '134', 96, 4);
    T('3.55005E+8', '3610159687.73126519', '354984512', 64, 3);
    T('-72543.049365934356', '-38876477.23644377887173051', '-38879103', 40, 3);
    T('6.54486E+8', '-2.4760283501389480007092204919E+48', '587202560', 62, 2);
    T('-3.8934079024', '-7.95759349E+26', '-795759349000000000000000000', 70, 0);
    T('-50794.05', '-1463596157.6', '-1463613054', 58, 4);
    T('3.2E+8', '2.11702190688160699E+38', '301989888', 41, 3);
    T('-49.8777103274', '-9.37103557975689345045197638E+38', '-937103557975689345045197638000000000000', 18, 2);
    T('-26316.3322387139467', '-7301.7818146280406127098112', '-32464', 21, 3);
    T('-667.8352552200498', '72197132696246503.441', '72197132696246373', 14, 1);
    T('-2513.928810', '788', '516', 74, 5);
    T('920228842.3894048940', '56167815.6153', '39387522', 66, 3);
    T('4.59193129194452077415E+46', '-68.957074410166859', '45919312919445207741500000000000000000000000000', 43, 3);
    T('-4.3E+5', '-3814.733043897318588152172', '-430064', 10, 4);
    T('-86842387616480415', '-4.441206294998099791271', '-86842387616480416', 99, 0);
    T('-8035085638406090202.86', '8.6282197464067E+25', '86282192023144150998585344', 7, 2);
    T('-8.45288732456', '-4.3E+46', '-43000000000000000000000000000000000000000000000', 54, 2);
    T('1.841765509059420726576459E+28', '128514711.5255', '69255312', 29, 4);
    T('1.61332161E+14', '4.4963772054119046780124E+38', '721823203328', 81, 5);
    T('-8.4714E+5', '-2.87335818E+35', '-287335818000000000000000000000000000', 62, 2);
    T('-1801.29652290496745493', '-5.4322123706383769914276255343E+38', '-543221237063837699142762553430000001024', 33, 1);
    T('9.9835E+7', '30940.13464000959355138715', '22616', 17, 1);
    T('331193687.763', '-2.459E+7', '310937936', 99, 4);
    T('9.05324645496845E+20', '8769.02972207560814316064878', '64', 4, 5);
    T('6.1971519E+42', '6.00709287633063619577355526E+45', '6098979433060026009244480059567222393143296', 2, 5);
    T('-8.679636597234724E+25', '2.511604056858115705088748E+43', '25116040568581156970476934766179081414246400', 17, 5);
    T('-7.94202', '-264', '-264', 63, 5);
    T('9676.401133830528585195409', '396480.62241310884843083', '1216', 52, 3);
    T('1.358477110670193042360868033E+28', '8.4093214E+46', '2709255450559767426877095936', 76, 3);
    T('-1.2394450568E+12', '-419707056.10843889', '-1239596056000', 55, 6);
    T('-8.0E+9', '635250.480059419034492215531779', '634880', 21, 4);
    T('-5.624391E+8', '543565338.91361635549', '6292480', 77, 3);
    T('4246595214.638748161', '-2.0856051621807118430178832', '4246595214', 16, 1);
    T('6037671976', '-30021.400769', '6037667880', 5, 4);
    T('-7633092617907189631931964200.12', '4.4358983E+8', '306193600', 53, 0);
    T('31138.8556606902043990120047790', '-3156.437', '29088', 70, 1);
    T('122972.67893431860150', '8.2411777946074573695295045E+38', '73728', 45, 3);
    T('9.2E+26', '-9.9100546E+9', '919999999999999991275847680', 53, 5);
    T('-1.61E+5', '7.562205280E+35', '756220528000000000000000000000000000', 29, 0);
    T('6.0553037274970384531450', '26499732.3142869588352077220162', '4', 4, 1);
    T('-6387.584', '9.008E+33', '9008000000000000000000000000000000', 26, 0);
    T('-896.742879460148979', '7.1163012522145883182259E+40', '71163012522145883182259000000000000000000', 72, 6);
    T('193.34603537584095', '8103399330.077577434063', '128', 38, 5);
    T('506.2252132', '3182370.75570734823935997617', '290', 2, 4);
    T('50611411334.552363356557', '-911.4', '50611410944', 51, 2);
    T('392661125.2505287041', '-4.96690E+29', '100663296', 10, 1);
    T('-3728329.23969706307214', '-457.8157845299219', '-3728329', 4, 4);
    T('-2330740.4444800419832532', '32647.765943179', '28548', 42, 5);
    T('4.596E+20', '1.1884581447363847153464650E+41', '734426257508794368', 55, 3);
    T('236445358648.24', '31677.6857460198598', '23096', 77, 4);
    T('3.8540604881400507', '7.271', '3', 56, 5);
    T('473726915.30678', '-7.31525790693341E+40', '201326592', 5, 6);
    T('-84896550709', '-6.2504E+7', '-84955348800', 74, 4);
    T('-1163782414.5553695714', '-1.59164057019370347', '-1163782414', 41, 4);
    T('-3559680147.21554632', '-37873896.473493710', '-3597527288', 99, 3);
    T('-3.260555919456189E+29', '-3357339.2', '-326055591945618900000003276800', 18, 4);
    T('-2.0527960688875300954', '301.499798481717488465', '300', 53, 4);
    T('3.89523441E+9', '3160720256076214064.466916237', '2685177632', 28, 5);
    T('4861353154.53975079575748', '444380.2381', '148672', 84, 6);
    T('8.518611864897E+46', '-3434572.183206558203149', '85186118648970000000000000000000000000000000000', 30, 0);
    T('-8414910564.2952', '-3.90E+43', '-39000000000000000000000000000000000000000000', 54, 1);
    T('-3270.708735407328175128776', '-2.5597395659851870E+42', '-2559739565985187000000000000000000000000000', 75, 0);
    T('-29647633.469', '93519213811041231.87164913319', '93519213798457551', 20, 4);
    T('-6.0599610273665', '-5.5091E+5', '-550910', 13, 4);
    T('-34950844.306732013', '-951708545.466906644669', '-985526204', 4, 0);
    T('4.2495752702967686E+37', '6.0600295E+37', '18028305710704794751686095920468852736', 8, 0);
    T('-20.2048568761625372659378835284', '-9102112.6068938', '-9102112', 63, 5);
    T('-76773.18736107654144357297', '6.1680E+7', '61603840', 42, 0);
    T('-91220.92436', '6.52365181E+9', '6523585184', 45, 4);
    T('-952.2364631450047694699', '756001829.53539829855117416673', '756001792', 77, 4);
    T('6156.981387', '518512047.990018234013', '6156', 85, 3);
    T('-8.958E+35', '-57108242.3105689175511141685', '-895800000000000000000000000000000000', 85, 2);
    T('5.392113788E+18', '37966.290', '36864', 46, 5);
    T('575.712629747808785949774', '-615165095.5226303681433', '537', 63, 0);
    T('-462.4709643838', '-8.748610383E+38', '-874861038300000000000000000000000000000', 45, 3);
    T('-6.98014288207952658994429562E+39', '-1208.7243858980485684', '-6980142882079526589944295620000000000000', 16, 1);
    T('7.4300567E+9', '98.8517644162', '96', 3, 1);
    T('-2.6401E+5', '-7070.023480837939933', '-270302', 13, 4);
    T('-2.9E+6', '83.16286345105753804617219', '64', 66, 3);
    T('4380054.683719978339', '-81186200.1325083851614168805308', '4096', 52, 3);
    T('186831509695.43048588251046', '-19475.2340428717813729378189', '186831507629', 40, 5);
    T('-7.808325212001', '-5078.40275', '-5080', 88, 1);
    T('-4195862.90078306904233', '9.8E+3', '8264', 8, 1);
    T('-4.2E+5', '-215634448970.530904766034657', '-215634868960', 100, 4);
    T('-19522.9357727969032715872', '53910119.1048869168', '53908006', 13, 3);
    T('-21.342638467422370781488116096', '5.103647200E+49', '51036472000000000000000000000000000000000000000000', 71, 4);
    T('5328666.128196607227896', '-7.292E+7', '82944', 96, 3);
    T('-75', '-922164.35659442481732', '-922236', 23, 2);
    T('874.58490809555576291677304242', '28111276.63658909493960068', '296', 75, 2);
    T('6.78845424132938065378212125547', '-3.13614486628', '4', 12, 2);
    T('-999.28', '147700.13', '147472', 30, 6);
    T('5.0E+7', '-4.43E+4', '49959040', 55, 3);
    T('8.2E+12', '-868193.467034735893847980', '8199999733760', 100, 0);
    T('-40490904.896122281', '79243620.67358', '76556384', 44, 6);
    T('889841.72315220375762323383', '-9.567884823309739E+34', '524288', 34, 1);
    T('2.36E+6', '-72653994.3594222', '2097728', 93, 2);
    T('56572822900446.7378000', '-2.676475E+46', '36283883716608', 75, 3);
    T('2459.1198011774', '6486.99265755', '2322', 74, 1);
    T('-472', '-857050.6173568197668', '-857056', 81, 0);
    T('48.970911176', '-1.11E+5', '32', 55, 2);
    T('95373719.41', '-2.1795267E+8', '16926722', 43, 4);
    T('-1.45465159027868271334E+34', '-1.448650703009539E+27', '-14546515941478119394331939192143872', 33, 5);
    T('743404', '40605', '5772', 29, 0);
    T('305.210667784746162200073423', '-17060176.41488', '48', 83, 2);
    T('7773.65203794765629', '-98445971.77575142', '5197', 55, 1);
    T('-698316998.6474', '6.28014', '2', 72, 2);
    T('6772.20', '30403.598394763839', '4672', 92, 0);
    T('-7924.6990521809', '-38220131112.7607666', '-38220136440', 31, 2);
    T('6.6E+31', '-79496640.481', '66000000000000000000000000000000', 42, 6);
    T('374161651.93256172621060196', '-739502619.775849525', '306970849', 79, 3);
    T('-37643.4885080127', '-79.50087944', '-37711', 25, 5);
    T('-7.450141872974E+45', '2.783165147248384362360E+48', '2777454673798160850796660448238311290621778722816', 42, 4);
    T('2.155511374345440572857932201E+46', '-83.38232911990591880671', '21555113743454405728579322010000000000000000000', 59, 1);
    T('169011153.450876469542811', '-4.7E+8', '34621056', 73, 3);
    T('-38268856', '-410.7', '-38268864', 100, 5);
    T('-7.4701E+9', '-226766.383267069175', '-7470317536', 30, 3);
    T('-4.606E+8', '4.575607E+8', '114752', 51, 0);
    T('196172062.76960506718', '-570005913.87', '167788550', 21, 2);
    T('-50765389.757311686998', '-50.1852074397469', '-50765438', 45, 2);
    T('82324.927619480578524818015', '-5.9910121178853591523452032', '82320', 15, 1);
    T('-9.58336376091257170', '-2.36510E+6', '-2365100', 46, 1);
    T('-743048067.401026050864471509072', '5.33849053E+38', '533849053000000000000000000000000000000', 91, 3);
    T('-4.68398283391E+40', '-4192563634.0968041931745535674', '-46839828339100000000000000000002684354560', 63, 4);
    T('-4674.11418503315977', '-3.00276588658973668774912986165E+47', '-300276588658973668774912986165000000000000000000', 81, 1);
    T('-1919.732320079516116', '-24.1', '-1920', 17, 3);
    T('-8.35232E+10', '1.057486859509455530248648E+41', '105748685950945553024864799999925369700352', 51, 0);
    T('7.4E+44', '-5.17234079667E+12', '740000000000000000000000000000000000000000000', 11, 1);
    T('-54764.0482', '497.049255574', '16', 27, 5);
    T('-2063.4889', '-4.17518000745485E+41', '-417518000745485000000000000000000000000000', 70, 2);
    T('-1E+31', '-86192593.164882403', '-10000000000000000000000000000000', 21, 4);
    T('-4.171E+20', '-8485683.55432358', '-417100000000008388608', 6, 4);
    T('-6.57448E+7', '-4.335615612294343259709452E+34', '-43356156122943432597094520065077248', 45, 4);
    T('-8.827537869529145144472', '45.48', '40', 96, 4);
    T('60208.69862462677695', '-17724938.66841815971', '35120', 53, 0);
    T('-9.93710167894385632424E+27', '-4.026335897861192416411160751E+49', '-40263358978611924164111620505976486867004450406400', 11, 5);
    T('-22.8753390795483358', '1009713846.340180233553', '1009713826', 82, 0);
    T('-62.0', '-4.7395E+8', '-473950016', 11, 2);
    T('-8845726.8765599453859338554848', '8565961953222.0540698489', '8565961524802', 93, 5);
    T('2.8644050666574883670292690E+29', '-4.735980E+8', '286440506665748836702788846336', 16, 3);
    T('2.93968022401', '-4156210526883826', '2', 68, 5);
    T('-1.050894647063442347404E+46', '-3.939468139580726213', '-10508946470634423474040000000000000000000000000', 80, 1);
    T('-9.71340E+9', '-29805207.05400637838298866', '-9730194112', 70, 3);
    T('-3.03062449E+50', '-1.364237514930710E+16', '-303062449000000000000000000000000000092358976733184', 90, 1);
    T('-83922815030.89', '5661691973.6067827987563', '1363546176', 51, 4);
    T('9.9289899E+23', '-4.033E+4', '992898990000000000000000', 97, 6);
    T('77359.0436199387460232', '-9.1E+2', '76834', 73, 4);
    T('-7.804157161426436575080809E+29', '2.36E+7', '21497856', 28, 1);
    T('402.80599504848746097767727340', '718240298', '2', 8, 2);
    T('-77.077803948778379265784847263', '145.439933352934608', '145', 93, 5);
    T('825.7544826', '69012258.8335461', '800', 65, 0);
    T('41422530.228465331480569360', '-24369762761', '40898050', 57, 3);
    T('94.7708086928', '-669.403905418293513', '66', 84, 4);
    T('-30932039.967509103133443761151', '-1.3731239491472693922242001E+44', '-137312394914726939222420010000000000026214400', 58, 5);
    T('-63018840.74269', '103337.82238160939', '168', 96, 6);
    T('9E+18', '-1.4954938156970597E+46', '2332970232034885632', 23, 4);
    T('87014.471758822', '-9.933474445366626641786101E+29', '65760', 82, 5);
    T('92.7532649842', '-4877.3514236498574775288341', '80', 75, 0);
    T('-480415887.50952', '-2.345531532000946152E+34', '-23455315320009461520000000268435456', 40, 0);
    T('684930157170254721.33972', '3.30E+6', '1065600', 27, 4);
    T('11436.61932691046430656988586', '-412294.7707844402319955255086', '9256', 42, 1);
    T('-8.763E+9', '-34526.802045898450', '-8763000576', 88, 4);
    T('-7847592.620085435046', '2.01383458733E+47', '201383458733000000000000000000000000000000000000', 57, 2);
    T('3.2E+11', '-691.185242964265161810723569', '320000000000', 13, 4);
    T('4614806537042996985.70303', '84.9', '80', 3, 0);
    T('-8E+7', '-4.51806482088065283045128199E+38', '-451806482088065283045128199000079990784', 61, 4);
    T('-8.14E+9', '-5547076793.85341964111388328772', '-8316235520', 82, 4);
    T('4300950.7782', '-267690839.95454400972436484', '65664', 28, 2);
    T('32.15016693751086947769', '9E+5', '32', 14, 3);
    T('8804399.69448050094583', '50.623654344357538253628248732', '34', 65, 3);
    T('8.52E+43', '-7.83544763418E+32', '85199999999257074723814552015814946505883648', 71, 4);
    T('-2.3308', '-71.769536418460457249', '-72', 21, 1);
    T('18018.5926045397', '-108516.77033319846', '16384', 30, 2);
    T('3063847847.217550', '-4.0E+9', '278173696', 87, 0);
    T('-876.504052826655102', '-8.4224536539070407807973139', '-880', 99, 4);
    T('-1.8395524173597356827E+32', '-4.57756393449E+14', '-183955241735973568586670959230976', 92, 2);
    T('21458.3598436', '6186200506.7', '16786', 96, 5);
    T('72264475681517571', '-69975252.70', '72264475679408128', 96, 4);
    T('-2.9804843E+8', '3E+47', '300000000000000000000000000000000000000000000000', 15, 1);
    T('230079818', '5680.788799', '5120', 8, 5);
    T('422.171178667586109416', '-833', '166', 47, 4);
    T('-9E+5', '-52714569.525846718167', '-53346272', 56, 3);
    T('-815187.88063064065416702872', '-1.1169209E+8', '-111966588', 100, 5);
    T('-6.050767048578849074511', '6.194022286938848717754E+29', '619402228693884871775400000000', 46, 6);
    T('9557.0564236', '-5409336770.1200955809', '20', 44, 4);
    T('-240721.052', '5410.71707738303299063689173207', '4386', 69, 5);
    T('426772.7', '800804.789077711580901670397', '262148', 98, 0);
    T('-30.950442613413447', '-4795011387.8402215486', '-4795011392', 10, 5);
    T('-8.70684191063596E+16', '28.3355347470094461584532', '16', 17, 3);
    T('-5084158.2567889730713745633', '6341.775223737737662673921', '2048', 57, 4);
    T('5295066.0351358889545018712215', '3.82792710243892282188038', '2', 31, 1);
    T('5E+2', '-8.975732236963843059401', '496', 38, 0);
    T('5541877.919752443212', '-9377793834.1717096286', '2260', 98, 5);
    T('2741581669241565.2076481815744', '717.988395160', '717', 37, 2);
    T('-16159.673709128886452961181261', '5087675689165189.9056', '5087675689156737', 40, 2);
    T('-821651628503875174098.448', '803.5016064809084271990740', '290', 58, 0);
    T('-4.998842149690868662E+37', '762672865.15379746072391663', '756023296', 83, 6);
    T('4.35331956058002E+27', '-3435556934053286289454.81898', '4353319523594757776838049792', 81, 4);
    T('-11391681.517017166', '-7325.52361662784398', '-11394781', 93, 0);
    T('-87422129.58', '14783.0443051625317504449135691', '2319', 2, 4);
    T('-6.2788E+8', '4921594423.41', '4296081920', 40, 2);
    T('-92.874057187830923', '546752.51020354', '546688', 51, 1);
    T('-1624.539021193', '-5E+21', '-5000000000000000000000', 73, 2);
    T('6.692E+6', '-9.635641588057153327819234', '6692000', 9, 6);
    T('-53579634918822685', '-3.2513901E+48', '-3251390100000000000000000000000036690703018885120', 18, 3);
    T('548334723070658319907515839.242', '-5.849532192347634294164422261E+43', '79262058021293098950918144', 73, 6);
    T('-144943449838896.9', '88.102', '80', 97, 1);
    T('4.800180E+47', '-1.41E+3', '480018000000000000000000000000000000000000000000', 7, 5);
    T('9482337772.82740199921907574805', '-5582548.7094526', '9481277740', 45, 6);
    T('9071097266.1', '8.55222E+8', '279553200', 96, 6);
    T('-7.9', '961435.3137409422360694423', '961433', 37, 2);
    T('-2.1638E+8', '-912', '-216380384', 81, 6);
    T('5.016274969469E+18', '86866.6613942364', '4416', 92, 0);
    T('64623006.9539', '-21656134.0140', '42992026', 2, 2);
    T('-7.0271280286215946778372', '410.75524140924084440', '408', 82, 6);
    T('170.7088845', '-128.028511', '128', 15, 5);
    T('9.70140576586893E+36', '-3.5258E+7', '9701405765868930000000000000000000000', 54, 0);
    T('5860063986.656', '-41.573464021559', '5860063954', 50, 5);
    T('-4725.9626251335545', '-7991.78797404708788', '-8055', 6, 0);
    T('-58008.6339168403378462222', '-7164825804337595.6864', '-7164825804338112', 50, 0);
    T('-8E+5', '2.3336464914593459658E+41', '233364649145934596580000000000000000000000', 9, 5);
    T('-3691', '-5903.761708538', '-8047', 49, 0);
    T('-7.0E+9', '-4.89E+9', '-7038042112', 32, 2);
    T('-480358.7509', '-9888364.181336', '-9959024', 34, 4);
    T('-931220.12927', '9.6443992712511111E+45', '9644399271251111100000000000000000000000000000', 100, 5);
    T('-691909877.308417464214', '92186.529548993521688525475621', '18442', 83, 4);
    T('-91497.059910185585688556538', '-9766344.8037033594618069', '-9790960', 64, 2);
    T('-27.9284408441147931022', '-5.68E+49', '-56800000000000000000000000000000000000000000000000', 72, 5);
    T('-92768114.6589085925', '-5.299286952800275566769834418E+34', '-52992869528002755667698344188684288', 20, 1);
    T('-6.507280185249146189E+46', '-62.3', '-65072801852491461890000000000000000000000000000', 31, 4);
    T('-620463.25112376302429275277257', '4858.580202169641', '80', 42, 0);
    T('8.7996239186E+18', '-54673.1518182', '8799623918599995904', 91, 3);
    T('-2.564129654526624409847731146E+46', '947333488.094572218', '812646400', 83, 2);
    T('8.7605991', '-826717618.72624756612855', '8', 81, 2);
    T('-2.53410567E+12', '584.39216903404350184274576716', '512', 81, 3);
    T('-6.550E+4', '-92.5394095', '-65500', 100, 5);
    T('-605672.423', '-8.92E+43', '-89200000000000000000000000000000000000000000', 61, 3);
    T('9685.8980416359206005', '2355638.06331282894594', '8596', 97, 0);
    T('-9217.762492954645347020910478', '-49.01572548579', '-9265', 19, 4);
    T('5818.905998232853710487565', '-37007562581.5', '170', 91, 1);
    T('-96724052', '-926726625904751.6012904652', '-926726701444224', 47, 4);
    T('-6.9226533022514332466348177E+42', '4.513633691932E+42', '4224988506959573929046260235096299382243328', 74, 0);
    T('-7.0373688991756637196847175E+41', '-17.39180', '-703736889917566371968471750000000000000000', 27, 3);
    T('1.8343E+8', '-6.040822630775E+14', '38422784', 51, 4);
    T('-57739.82', '875.267339944108993254', '609', 8, 1);
    T('-18970751159217450.59718878', '999745241.754961', '134234832', 62, 4);
    T('1.8985812E+8', '16602.4347', '72', 78, 4);
    T('4027708028.63363168658', '-44035.1570535529799925', '4027667068', 44, 4);
    T('730843060.49491265', '-4.95237147E+9', '142657200', 100, 5);
    T('4413548026.80367747370660', '8.1043618742E+15', '4328523200', 15, 0);
    T('17.65190304350317236', '66718.77124189318797494', '16', 37, 0);
    T('454.17049742', '-82809440.4746502557239003833948', '384', 27, 5);
    T('2.8674E+5', '-188136.74236726643739404695', '270352', 64, 2);
    T('7.71051045857011E+37', '6.3859365737663132445099728E+41', '53172449318232627310639233068448088064', 46, 6);
    T('469823.28265238158607745484', '5.22728681823404661231E+21', '790', 74, 1);
    T('6.84456219332', '55.5020132557112005705632200', '6', 44, 0);
    T('1884588.6574124839273663', '8379089.51314191958882257315', '1884288', 76, 1);
    T('7319856790.15599076120', '727.96112929578253900190884', '662', 100, 1);
    T('-3E+5', '3E+2', '32', 68, 0);
    T('-1109217.190522046531130', '-861.57457579732860662047', '-1110013', 20, 5);
    T('-272155648.12510200626413228756', '9.7331531031696867172512142E+40', '97331531031696867172512141999999998427136', 30, 5);
    T('-1.5288029511823791624658E+31', '-39736289.98589749437837335', '-15288029511823791624658035405824', 74, 6);
    T('5.0E+9', '-6.6403E+6', '4999651328', 70, 1);
    T('-5674640.83301801954283298', '-4.478E+9', '-4479442944', 87, 1);
    T('4.1E+8', '438924.75753742140146', '4736', 44, 1);
    T('3646355017.31055037', '6.4E+18', '1073741824', 87, 3);
    T('-32003.486821555642744', '-8220468116.6320146547122731', '-8220475284', 30, 2);
    T('-264714929.7956', '180.177997', '4', 70, 2);
    T('-7.842221727789337571126962826E+33', '-2.82488E+20', '-7842221727789486299742752884916224', 39, 1);
    T('6.3908026646349413710840844533E+45', '4403275.88599763', '131072', 6, 4);
    T('72707933', '3.6409161074E+35', '67108864', 95, 0);
    T('64133.4410819451', '-6.24E+3', '57984', 100, 0);
    T('676358.2499561440456618429', '56178237755741412.30', '544772', 77, 2);
    T('-7.7886051550113337177939966', '9.702709472E+11', '970270947200', 25, 2);
    T('-88.9343587780594', '36.63', '32', 44, 2);
    T('4.6E+13', '2.220E+38', '45904610459648', 91, 5);
    T('-4.5591475044987345890E+28', '4.901985405208613818E+38', '490198540476217857161639650534419857408', 77, 4);
    T('-34.50', '1.6134513442231481727002867635E+48', '1613451344223148172700286763500000000000000000000', 95, 2);
    T('-3441896.4820053229039', '-920498.93399870189438161895', '-4100088', 48, 0);
    T('-3238.834196', '-5.95E+7', '-59502080', 62, 4);
    T('-9026.124559355603378', '-312.005996139799259254775123755', '-9080', 67, 0);
    T('-3.527323', '4.98337E+7', '49833700', 97, 4);
    T('9230.373517918', '-2.95220822641E+12', '9222', 89, 6);
    T('6.247685E+8', '4050511.39410642549', '3998788', 65, 6);
    T('3.2431296768926991662491593191E+30', '7.399107269890171606', '4', 61, 5);
    T('57224.0730907541419762215952', '1.83598555107533632E+20', '37376', 41, 6);
    T('4578.2504506758837', '27880320495903272224911', '130', 87, 1);
    T('-1.672E+5', '555.4737920416251', '544', 1, 3);
    T('-6.65938221967488484141988953', '9.91404948630339298055E+43', '99140494863033929805500000000000000000000000', 14, 3);
    T('-585974.44141832097936367', '-7.8548682713445E+36', '-7854868271344500000000000000000000000', 57, 1);
    T('-33306516.693078340', '320.6635004324705606181375467', '64', 71, 5);
    T('831.032', '66806.3623327950607818028', '54', 93, 0);
    T('-88121.335976155817', '2.40E+7', '23995904', 39, 2);
    T('-917.8442989151192142225152', '-2000.37804103158704', '-2016', 41, 6);
    T('-4.059707939196197991506875206E+38', '9.163274333E+11', '842891788288', 18, 2);
    T('-6.49E+4', '2.22E+6', '2163296', 59, 2);
    T('53089162.264351907286', '-973969.515146036033', '52429578', 13, 0);
    T('-691', '7146597460833429.5700958946788', '7146597460833285', 37, 4);
    T('-497686.7262223482752259356832', '6.886075693142387948482886292E+43', '68860756931423879484828862919999999999737856', 58, 0);
    T('8.6194594275E+24', '-77354.16', '8619459427500000000000000', 27, 2);
    T('-5.9419764840634295930757E+41', '9682667771.3982589545450', '1075838976', 37, 3);
    T('5.2261317775789E+16', '2.7007420514427869916362219296E+30', '36451421809543296', 100, 2);
    T('-45861.5033165380396368292', '-8.983E+40', '-89830000000000000000000000000000000000000', 48, 4);
    T('9.11748E+21', '2.4E+9', '134479872', 90, 0);
    T('51.86759705362655659', '44624364148091924600106.2', '34', 54, 2);
    T('4388461571270783087.4', '-772430453.013685812063', '4388461571102482443', 64, 2);
    T('-5.0E+7', '-265.947415461354895160422', '-50000256', 42, 0);
    T('9.326994E+9', '6.10982987948296645442E+28', '8592949760', 13, 2);
    T('5.6005720E+16', '30760.8903852395', '28672', 37, 4);
    T('-5.74337E+9', '-2.449028174168299556305', '-5743370000', 30, 0);
    T('88393.23777503255267', '-9762.661273312191772', '88392', 80, 2);
    T('86906445.64005683667', '9.8893E+8', '2102848', 37, 5);
    T('-341880.0', '1.654833242571E+38', '165483324257100000000000000000000000000', 35, 1);
    T('-99938.1780506865', '-4.667329E+8', '-466732900', 14, 1);
    T('9.991994839952379639367234873E+46', '-4.599178093315', '99919948399523796393672348730000000000000000000', 33, 0);
    T('521', '2.3E+5', '512', 1, 2);
    T('39754604.2493289159809273735', '73167148511663993', '4461416', 54, 3);
    T('-71374178431632163281.244010935', '59957.8135608', '43557', 32, 0);
    T('-5295.7487936374223', '984237399.9177562197274732', '984236369', 66, 2);
    T('456725402.1395240840237513920', '9.0E+3', '776', 7, 3);
    T('3.790389E+11', '-9155.130435501057857584755190', '379038899232', 20, 6);
    T('6.744190E+37', '-530577230858523472618.86895746', '67441899999999999995373430648581652480', 100, 6);
    T('6962276.192619607037', '863.180743723029914637847663215', '68', 99, 4);
    T('-517546.667608145020177019482451', '3804496248.9915329704799034', '3804233808', 38, 0);
    T('215', '9397770', '2', 33, 6);
    T('-297670.909778030861', '-1583.680267417590659', '-298736', 79, 2);
    T('-777046726.71', '28.37085962430', '24', 22, 5);
    T('-8.2E+3', '-425867532.1036', '-425867536', 94, 2);
    T('-8521880196.9711133633676236', '4.0E+4', '3136', 13, 2);
    T('8.51E+7', '9.562339E+28', '67108864', 78, 5);
    T('8.207E+4', '-87299.88627928846', '148', 29, 6);
    T('4159379783.37387996827923369', '-20', '4159379780', 85, 4);
    T('6.2598289337212494926558810E+44', '-9E+3', '625982893372124949265588100000000000000000000', 27, 5);
    T('-82951.5447559', '5.3E+9', '5299933440', 33, 5);
    T('-6444751805', '186325.661', '50241', 87, 3);
    T('-438766.1', '-32127599.6124379736549', '-32422896', 83, 2);
    T('-4099063477.735570738', '3.3535480E+17', '335354796173705216', 10, 1);
    T('-800842659.58224953084823', '-1.2785093923505E+30', '-1278509392350500000000261226496', 52, 0);
    T('-72.115784475042194691', '-6.05995E+39', '-6059950000000000000000000000000000000000', 54, 0);
    T('2.664800251E+11', '-5013300201.6646594775022', '266306984964', 25, 0);
    T('-66.00014383488420433047223995', '-3.239891', '-68', 39, 0);
    T('-5.1E+6', '-18560.751', '-5102080', 5, 2);
    T('-6498251.1', '-3.806518884330E+24', '-3806518884330000002301952', 86, 2);
    T('-42249847549505847579949677774', '2.4646E+6', '361232', 88, 4);
    T('-8.2807815991029E+41', '-284.12798696033927204', '-828078159910290000000000000000000000000000', 3, 6);
    T('-9571150.1639158043', '6.8359E+7', '67178512', 87, 6);
    T('7910712.03', '430.01233002038257558309452', '296', 69, 4);
    T('-1593100019.00979784', '160819.789225077225888611218', '143361', 96, 5);
    T('-4612714273327955631.644207250', '6.04598283556036047167612488958E+49', '60459828355603604716761248895795387750889885270016', 52, 6);
    T('-69.2315161278496025798110', '19489.78213259723', '19489', 30, 2);
    T('10752.394066', '-7.5082175301E+14', '2048', 87, 0);
    T('-71840494.040382117929952240628', '3845.04416040', '3328', 73, 1);
    T('371.63331205999659363761', '-451483479086083054.98591876', '18', 85, 1);
    T('-3952850.89927298', '690930.478343464', '166434', 10, 1);
    T('-31.521785', '-21445.0026888352546567078321', '-21471', 97, 4);
    T('-6866828.4200228866', '-4644115834.123', '-4646230012', 76, 5);
    T('320279256.1149', '-7651093969330006749.40830', '303239168', 76, 4);
    T('-4.0123635E+8', '-8.63268682E+9', '-8991439360', 29, 1);
    T('-372.18843194', '9695.842872967', '9356', 44, 1);
    T('-179954882.002150531245835230763', '1.4E+3', '312', 23, 5);
    T('3.60772802E+19', '1090782450.486958', '16777216', 79, 0);
    T('405085281.065314414374180641', '2.3823059737647503598417654E+30', '2432064', 49, 2);
    T('-1.765556214E+21', '44852314395826.3755761226', '9390044217344', 80, 3);
    T('-254.594634', '-4461003', '-4461056', 66, 5);
    T('-939.033415551798077345', '-7.3E+6', '-7300032', 1, 0);
    T('1.53E+8', '9.708870490007116396420285E+48', '150994944', 79, 3);
    T('-1679224.2', '-89136939.046582', '-89759616', 49, 4);
    T('-90994.4172541', '-2.1255E+40', '-21255000000000000000000000000000000000000', 43, 3);
    T('725494297.370004', '62.28925848552199', '24', 50, 0);
    T('-577974734.132711278753409327', '8.841130983812387897520493E+38', '884113098381238789752049299999962185728', 75, 3);
    T('-281067870779220932.8342', '4.57881902E+9', '275322892', 11, 2);
    T('-8.545E+12', '8650570.405191', '226816', 61, 5);
    T('-143.6425015168767773821', '7475.3108441066', '7473', 96, 5);
    T('-168.652', '-6.14419700096052438431012149E+32', '-614419700096052438431012149000128', 89, 6);
    T('-3.891054719255057398301519', '-6216.611', '-6216', 20, 4);
    T('4.78E+4', '8.151799977711452361403556', '8', 17, 6);
    T('3.775E+6', '-515521262.1335449858021399', '98320', 20, 3);
    T('-3.935E+6', '4.099587178E+46', '40995871780000000000000000000000000000000000000', 28, 2);
    T('-7.880589571985523257258E+24', '-2.749658892287920078E+31', '-27496591946476726625821158981632', 100, 6);
    T('-95424035.006810', '-2445798.47655997589319749618', '-95772648', 67, 3);
    T('-4.23660883795758009341817685E+33', '-811.65533', '-4236608837957580093418176850000768', 34, 1);
    T('81198180.818280594758', '895.52666771', '100', 21, 5);
    T('-8.0823E+34', '-4169550152728385596481.2', '-80823000000001807790085354834362368', 72, 3);
    T('8.50E+6', '-82087.1', '8434432', 83, 0);
    T('-4755.00254208', '-7.08464E+6', '-7084768', 57, 6);
    T('-1.347373665E+50', '-7.3', '-134737366500000000000000000000000000000000000000000', 53, 6);
    T('-752.915', '2.33046E+9', '2330459392', 68, 4);
    T('1966903361.351805', '-5.417437167744898', '1966903361', 19, 5);
    T('4946440.7856937701690015040956', '2E+5', '198656', 74, 1);
    T('-39.5151970261849922', '63463.3510212615884256735227126', '63425', 69, 0);
    T('-128102708.0697227196306', '-12602.5470705034766868204001349', '-128102716', 26, 4);
    T('-5.2878976443509415591983257E+26', '3.3919891461490982409137124019E+32', '339198753338890944502443967266816', 82, 3);
    T('-5.5443861E+9', '40.55086755', '8', 13, 4);
    T('-6652', '4726044.11638387781990130413', '4719620', 28, 1);
    T('78926.82944573852228853700289', '-7582122151.848907086967', '78920', 82, 6);
    T('64038.33479396623', '360256.063810991', '31232', 7, 6);
    T('657115.33473869252395', '-59420.0741474999349014461332395', '657088', 23, 3);
    T('4.465118760E+29', '96699585.603', '8388608', 88, 6);
    T('-85068559.1127756661235555271', '-416.5845340714288400438', '-85068704', 2, 0);
    T('635087.805784549046', '3E+6', '622784', 56, 2);
    T('-81870', '53857117.445520233733579601', '53788688', 83, 6);
    T('4.27039133668E+36', '-5.36E+4', '4270391336680000000000000000000000000', 45, 5);
    T('-41.08362978877137341150092', '8667056291830.58714', '8667056291798', 92, 4);
    T('-181487.55', '6587837.8', '6553873', 58, 3);
    T('-1133764092.227052451896796943', '-8561.7562361488926096413', '-1133772284', 29, 6);
    T('65729963.363050317634927755533', '-81767937.915778', '52449707', 96, 3);
    T('-7.5114110329410005713255', '-1.45708065985937769027670349', '-7', 74, 1);
    T('-262262220653260232.9', '-7.457523398432E+14', '-262262497062350336', 12, 4);
    T('391348227800.426797881', '-5.67E+5', '391347701768', 73, 6);
    T('-3973721.6362', '-3E+8', '-301835008', 33, 6);
    T('421970928.0001469', '6.4390588587703412097E+21', '426592', 10, 0);
    T('-9823146392.2997371468329637', '3.649820E+9', '2416608352', 31, 1);
    T('-182769690.2623402236472', '-62862.967750155884661994393241', '-182779294', 66, 2);
    T('8.007467010036481711446763394', '6169021.007761275', '8', 17, 1);
    T('34658.001985952084990', '-6567792254188925773636.614068', '32800', 89, 5);
    T('84379.3127866', '-5.41595E+21', '65536', 1, 3);
    T('-8.7E+5', '8049.147951555', '6416', 78, 1);
    T('26949.124353146220', '7.74E+5', '18752', 42, 3);
    T('5.0E+8', '3.497026E+11', '163849472', 77, 1);
    T('407767825.546', '-4.875610252288E+28', '402653184', 35, 5);
    T('3.727086005203031825E+38', '-2645.85514996150', '372708600520303182500000000000000000000', 13, 6);
    T('3490.766872627343', '-56591', '160', 100, 3);
    T('16928800.8769032', '-3.5635963672289083', '16928800', 56, 0);
    T('-3836393642.1452201047200613362', '6842827987.54777', '4619322450', 51, 0);
    T('-51896324.39', '-9882.855510912407750073168', '-51898012', 94, 3);
    T('-3881702804738294908.13930502', '-9.77024308125639E+19', '-101456766050754184832', 99, 5);
    T('-6457994801.9345903608618', '-7.199601E+23', '-719960100000006442713088', 67, 2);
    T('-7.9655345709E+33', '-7E+1', '-7965534570900000000000000000000000', 68, 0);
    T('8816.5473300305289733173516330', '322648.49415536146543094939890', '8272', 41, 5);
    T('9E+1', '-7.457541960620074', '88', 23, 4);
    T('-7.0835E+5', '-9558650449.97856429110', '-9558814462', 90, 6);
    T('3.320016381955339297E+32', '-89.475569', '332001638195533929700000000000000', 47, 3);
    T('-3.4927E+9', '-8.687989232907115152813088E+29', '-868798923290711515282385297408', 67, 3);
    T('2080488192.7439889990680', '-3.49190E+31', '671088640', 20, 2);
    T('-2.58770068E+40', '-3.1517678096938585586706305E+27', '-25877006800000658959227845358199798497280', 34, 5);
    T('-24.5', '5.4728970290966621E+49', '54728970290966621000000000000000000000000000000000', 99, 3);
    T('3780458504.3613479472213389286', '-3463555898.03902', '553914368', 12, 4);
    T('-55.7467796483254134', '1703.36740514683', '1665', 14, 3);
    T('-6.129573573527287E+19', '61023596215137040.91210522339', '24994111279981328', 3, 6);
    T('51634777.18063', '4817261.478841', '98377', 88, 1);
    T('7.68E+3', '-1.093608142448539652E+28', '4096', 65, 5);
    T('-30.6494562221', '-591660901.7759', '-591660926', 17, 6);
    T('-6.86458650666607195E+31', '-629303.557848007816629125302', '-68645865066660719500000000589824', 97, 1);
    T('-75464', '1650597.4875724067', '1575200', 24, 3);
    T('-4.905998860806', '7.5128387E+9', '7512838700', 30, 5);
    T('8E+9', '4770724.349387084664796233', '4210688', 32, 2);
    T('-678074.0071717', '-1.0938E+7', '-11468480', 57, 5);
    T('7.18977E+7', '-9.800204290119164143386656855E+29', '71373316', 1, 1);
    T('-9692088269.9203477', '-8.362590418532E+27', '-8362590418532000009683599360', 13, 3);
    T('-7.6E+5', '-7974322763.50165427166818545', '-7974394624', 95, 0);
    T('-89285.27916', '-7429.674667351276377101983', '-89541', 3, 5);
    T('6.4E+23', '-253.28', '640000000000000000000000', 36, 5);
    T('-3.99046471698962444815E+23', '9788.1620171575', '9256', 13, 3);
    T('-9.648076906002952255581925815E+47', '613016042.99621297556135395735', '75497472', 50, 4);
    T('-2.072918610702556654761605501', '-716.787136130089', '-716', 11, 3);
    T('63238967344295090084.318433340', '44838562.1984139938518', '36439712', 38, 0);
    T('-6.78205556801343028E+41', '-3.2089E+8', '-678205556801343028000000000000000000000000', 39, 0);
    T('-1.86E+26', '1529574763.06119264726197', '33554432', 53, 0);
    T('299609703575288.7', '-6.2E+9', '299608336204288', 76, 2);
    T('-7173.04989269445700662006192206', '229982.3243610545039008', '229978', 20, 5);
    T('3E+43', '-5.4510491805984305638196E+42', '27908601269873072698209130101328009911861248', 29, 3);
    T('88711639461066664.467194', '9.339245196E+28', '9607807892455424', 60, 3);
    T('46.9950909317612866682569390', '6.320156042183465231897701944', '6', 7, 2);
    T('-41894181.6491608323', '71107537.335705965130082251', '67109585', 14, 1);
    T('-31300618.068', '-9492.755016206209739', '-31309084', 31, 1);
    T('763.89955473883281182584', '6.5024', '2', 70, 4);
    T('-4.232811E+7', '-31804565.4414422016', '-65399998', 1, 1);
    T('-2.159E+9', '-97899.30253525538533557881765', '-2159017984', 4, 3);
    T('-5.87734391599777920539046', '7.38467372798566', '3', 93, 3);
    T('795061856.5038421944075451', '6534450845.5758', '90410496', 25, 5);
    T('-147.461', '-9557117560.888', '-9557117688', 40, 2);
    T('95679694.9380706221486579', '-2E+5', '95482048', 52, 5);
    T('-97310332.07', '7162642.8629591915454077', '2164992', 78, 1);
    T('7.593416', '4173.62146508', '5', 78, 1);
    T('-7.8041137744045848596526588E+34', '1.906897E+13', '83769559040', 92, 2);
    T('-851.180620778339268356264333', '8.2E+2', '36', 48, 4);
    T('467', '-3.89E+5', '80', 17, 5);
    T('-3052844.865479961', '-146719026.6640899536603', '-146724156', 54, 0);
    T('-2E+1', '84768.4223144919544888803', '84768', 28, 3);
    T('4E+8', '747823.62571824066', '196608', 64, 2);
    T('-6.602033934E+43', '-7.4278038637E+28', '-66020339340000044565917311737538196411514880', 13, 1);
    T('-3.06491E+30', '-1.49E+5', '-3064910000000000000000000000000', 18, 4);
    T('7220518725946306601964.70', '1.01E+6', '139584', 79, 4);
    T('1.2E+7', '-9881288998.758870624', '465408', 81, 1);
    T('-70401.4201408487562357', '5.698E+36', '5698000000000000000000000000000000000', 5, 5);
    T('-7.312204588210261675845', '606.09715591347143', '600', 38, 6);
    T('-2672196866407772380783932.950', '-3.3', '-2672196866407772380783932', 9, 2);
    T('62710.9056848007924069', '-3.13E+5', '12368', 90, 6);
    T('-37.3123720463145132087339966224', '9504722.8244550583', '9504722', 90, 4);
    T('-232031.32357533659', '932443722.4751579614', '932213760', 78, 1);
    T('-1.49928917229749266859E+47', '-145286348.811662796694939595727', '-149928917229749266859000000000000000000134217728', 16, 4);
    T('-913134383.934474360646940592', '-3879818.164400', '-914322352', 39, 4);
    T('3.2E+2', '807613852.5591039', '256', 98, 4);
    T('-6.365964673938735786886E+48', '-6.106658654128666052015272109', '-6365964673938735786886000000000000000000000000000', 56, 5);
    T('-567032760.804890620087192426', '-7242.2611814434780', '-567033856', 91, 0);
    T('5E+3', '2714603540', '4096', 82, 3);
    T('124757.1566', '48459448.8644', '91664', 6, 2);
    T('-845857612.7027015144668', '-7.30E+5', '-845931472', 91, 4);
    T('-9138781.324', '7637.90877389', '3457', 52, 6);
    T('5922.9720731386313811', '7.480', '2', 33, 2);
    T('-5703367', '71603556.992007760710364205997', '67146016', 6, 3);
    T('6766628.2436', '8915764.40704', '36', 86, 5);
    T('7174.3143954', '9.85E+8', '2048', 1, 3);
    T('-362493.87630152070505', '702.49441534688762', '2', 71, 3);
    T('3.4332642210689E+25', '-910982499.865241451063118939', '34332642210688999659470848', 76, 1);
    T('1.9E+4', '-9458238776.3', '2568', 17, 4);
    T('4.74E+4', '1139573747.3629776443164', '33056', 15, 3);
    T('-143602.440242665740', '55833.53636', '51720', 11, 1);
    T('-68475126096703.3828629696828346', '217.06198689756153541', '193', 3, 6);
    T('448384.809432', '-537.268311915926347092334726670', '447872', 43, 2);
    T('-600561778234596.7208180', '-9817295.65087386', '-600561786674416', 19, 6);
    T('-8.021228E+35', '7.100E+9', '2147483648', 89, 2);
    T('44.68870430613797372018600', '8295095.9309206278', '36', 80, 5);
    T('-933.8813056029783848272', '7E+5', '699456', 71, 5);
    T('-6.0E+2', '-56.91995354630328827', '-632', 3, 6);
    T('8673.2221145706593559405168585', '962607903599947435940855182.840', '8576', 20, 1);
    T('-405.6', '240560920.7072804053', '240560648', 85, 2);
    T('2E+5', '-430435.527486677999', '68608', 30, 5);
    T('-3.06530E+19', '742648072.4287054684107035', '4423680', 24, 1);
    T('-6.28780', '-715081124.609036382661', '-715081128', 32, 1);
    T('-5E+4', '-5.4157514173320831992E+27', '-5415751417332083199200000000', 75, 1);
    T('675061164.88953518', '-714541.830110079976097', '674502784', 43, 5);
    T('-368415610.8206848', '-3.96029E+8', '-402653056', 66, 0);
    T('41377549075232.976598', '-8.82957000115406', '41377549075232', 39, 0);
    T('-69.278599490303223518', '-3.83011094466779E+35', '-383011094466779000000000000000000000', 45, 4);
    T('2.70E+46', '-1E+40', '26999995871243877531835048390344620894328979456', 49, 5);
    T('-87.8252053', '9.65993729611556438565E+41', '965993729611556438565000000000000000000000', 6, 4);
    T('6E+2', '43147.84816518946166', '8', 64, 2);
    T('3411051.8143556179003656', '-8619873139.168695', '3410953', 33, 4);
    T('4.70526397E+40', '-6.92899826038758870E+27', '47052639699994351896500089830265642287104', 19, 6);
    T('-781083.92619533', '9.52E+9', '9519236096', 26, 3);
    T('-5353580142.8730487162102455358', '-5.65358404', '-5353580142', 47, 4);
    T('96399196.119883', '4756899948788', '85256276', 53, 1);
    T('-701.281593695412904088203', '447177560.730934149271888147', '447177024', 79, 6);
    T('-4.818698292E+42', '7.13770905312570259990E+34', '3347273504251220211346612175241216', 36, 1);
    T('9.57E+43', '1.4413874E+33', '1318377901563431269724847188475904', 32, 4);
    T('9.785148872160705229E+32', '-27.10123105049005185076661092', '978514887216070522900000000000000', 38, 1);
    T('-4151.66760380272481271737330', '3.42E+18', '3420000000000000000', 90, 2);
    T('-52.8144200476486791243665', '-6152162171.4966', '-6152162172', 88, 0);
    T('29772.85', '566483339.2476377138890007905', '20488', 66, 1);
    T('-4.812386924933055E+25', '9.6443897485009129001854924776E+41', '964438974850091244945329116997909850619904', 25, 2);
    T('-80957882460420881271715.7', '-5493988.592', '-80957882460420882554852', 47, 1);
    T('-873.1', '-6.2566685E+12', '-6256668500864', 31, 5);
    T('-252884.348151124113489268767966', '-7017084346.2355200887411486732', '-7017332732', 19, 5);
    T('-7.969729989015603578E+41', '-8.13265E+8', '-796972998901560357800000000000000000000000', 67, 0);
    T('408305157.1', '-686845428.3430865559690105', '268833284', 1, 2);
    T('9.2434258684749E+20', '-6.20116375018634421E+47', '922577161379075063808', 5, 0);
    T('-50808848.1995350', '46800931.194', '13115424', 100, 3);
    T('569932488.4654', '-9.0640668073600', '569932480', 39, 0);
    T('-16620294.1543565175556853387590', '2.799526848441571426893304809', '2', 88, 3);
    T('3.76567E+9', '-1.9221538232394035E+43', '3221225472', 70, 3);
    T('-4430022134216202252964.80', '5.5E+6', '4328512', 20, 0);
    T('-2.5699E+8', '97059.991481157305128', '8192', 45, 3);
    T('-556928.013985950', '-3.42637553927', '-556928', 73, 2);
    T('4.76E+40', '2.7054150044387E+25', '24484882837049033728458752', 59, 2);
    T('-898068.170173950', '3677860748.0778113203354', '3677488012', 15, 5);
    T('-8.65', '-995274.66890380984737192', '-995280', 40, 2);
    T('2E+7', '-44553.979062750785803964681902', '19988736', 43, 0);
    T('1311', '-1.21744077118661680', '1311', 24, 5);
    T('-8.412111177829060260E+26', '7.952730259722118617526E+49', '79527302597221186175259980353773531236391253442560', 47, 5);
    T('-7.49023612084E+24', '-345.95509682470648', '-7490236120840000000000000', 59, 3);
    T('695161273.0003504576', '-9.2E+6', '694358144', 61, 3);
    T('6676174.4305776432847602468169', '8.935780E+12', '6553600', 94, 3);
    T('-2670123329.22122', '-4193366.7950771792606334501736', '-2671770966', 16, 4);
    T('-1.830928226126E+32', '-2083394.007463', '-183092822612600000000000000000000', 96, 3);
    T('-7473638921.04574', '-7.580E+8', '-7474163584', 98, 5);
    T('8.3792973E+21', '54595113.8803', '21037056', 60, 5);
    T('-13.62209772285494', '-7.3243E+23', '-732430000000000000000000', 45, 2);
    T('-295463055.777150434', '355.793590894923505603741800517', '353', 42, 4);
    T('-93845.360288705145', '883', '355', 28, 5);
    T('627672657981.3792318', '8703.16376198214534', '8253', 54, 0);
    T('-1.8043E+8', '-9.53627370249073034E+24', '-9536273702490730511967488', 72, 1);
    T('-1', '-5.3E+8', '-530000000', 64, 1);
    T('-88.23488749026318928434920', '336261624.663319280052050675495', '336261544', 60, 4);
    T('-67007815.24445469337640804934', '6.16289704420357890333E+25', '61628970442035789004046368', 80, 3);
    T('2.49267533205E+22', '886626.81947512203869848802896', '851968', 19, 3);
    T('-5.409169', '2814.33259572', '2810', 100, 6);
    T('9.735E+6', '-4.784949340277E+33', '8388608', 13, 1);
    T('-13978', '72', '64', 74, 2);
    T('-5307.834795351870488903487', '89217.3287576336215624683', '83969', 69, 5);
    T('-96112742.8670', '936089781.442', '843122832', 57, 2);
    T('-9046.791', '-8728.107973', '-9048', 5, 0);
    T('-5.446704236E+12', '60057364.690120481474702', '50356736', 7, 5);
    T('-3.2358335730551', '5672.7913579480250754773', '5672', 17, 6);
    T('6.632754328', '-13.436590591', '2', 46, 4);
    T('-2.6342E+7', '9.1277772505221E+29', '912777725052209999999983157248', 47, 0);
    T('-5.24663E+12', '-6192481264.903', '-5248242284544', 29, 6);
    T('25689105924.144797507619182612', '-2188008116.2454901022365324', '23505970180', 72, 3);
    T('4.2003404227811568363097831718E+39', '9902601.7125463373764', '397312', 30, 2);
    T('-9842.168795596686733', '-8.4E+6', '-8400512', 30, 4);
    T('46.39', '-4613.777724368216916700', '42', 54, 4);
    T('-63189760.03', '2.6418E+48', '2641800000000000000000000000000000000000000000000', 86, 6);
    T('-9.7903708607E+22', '4.0105544314E+11', '5372903424', 55, 3);
    T('36858.78975', '-20043', '33200', 42, 2);
    T('18689.94075181449', '-5951513404.72732164308555', '2048', 29, 0);
    T('-7587491442.05093929936126', '25734637.3979333291741652014', '25166220', 1, 1);
    T('-138112397988.94769072799400', '7.4E+34', '73999999999999999999999862561046528', 6, 4);
    T('2.648742E+7', '-4.05721665517627540371089091377E+30', '262164', 19, 5);
    T('56021.55515', '-4061551577.6339632988', '32773', 94, 2);
    T('9.0851570835317391275631563421', '-7237.490182628', '9', 5, 2);
    T('7699617507.59636', '4746921.4659154391338', '4736673', 59, 0);
    T('15415.38952441', '-468.456243951419', '15396', 100, 5);
    T('4.0459629228623433243', '9389.40761370', '4', 77, 1);
    T('-34945.71168', '-1.0687342998E+24', '-1068734299800000000032768', 21, 3);
    T('8.77598959608758457157004E+33', '-8.61391220829067E+23', '8775989595406234473630199571550208', 28, 6);
    T('86701214.3609861895777511593', '7.22330504E+26', '18874368', 34, 0);
    T('897120.51667250911193080', '-5599910.19469038277901896', '557120', 17, 1);
    T('-2.10245787316703585846E+48', '-956.7330051853', '-2102457873167035858460000000000000000000000000000', 50, 1);
    T('-10.4743578084781957922725126', '6379583.82487010005237964396527', '6379574', 8, 5);
    T('5.8E+3', '2197.8617878603', '128', 57, 3);
    T('-3.34483978332668727182407381E+35', '937.934', '512', 22, 2);
    T('-58810.38439', '4537291166.778118618408616853', '4537257990', 50, 6);
    T('6765785.7326760450213531', '8.18918824419', '8', 30, 4);
    T('-282.68932122801351319721792496', '163365.123824239814312721798', '163364', 51, 6);
    T('918934836.765898', '-9.1', '918934836', 98, 0);
    T('3637', '-60.7538', '3588', 43, 5);
    T('-1642067.0541012795195324820788', '-4.866E+6', '-5980128', 13, 4);
    T('-6.1596983508725390959535E+49', '-733836.630509428', '-61596983508725390959535000000000000000000000000000', 95, 0);
    T('8.4960093931735709756919672E+30', '-4.846E+7', '8496009393173570975691929291520', 72, 3);
    T('-2.167E+9', '18255327.72847464805171128142', '1442880', 93, 6);
    T('-48.3', '-1326192122.42939628159798420457', '-1326192128', 72, 0);
    T('-810262.8019341597696667', '2.07004E+8', '206741600', 53, 0);
    T('-5689661.398242275306086476616', '583665847.16191415871600540', '579340419', 47, 5);
    T('-3.2E+16', '-8E+47', '-800000000000000000000000000000018014398509481984', 44, 2);
    T('-4200.9396820469982141019250', '-2.1655759309309204813936E+33', '-2165575930930920481393600000000000', 97, 2);
    T('49402677.311785760733', '78.4809618306', '4', 85, 3);
    T('-7317339.517', '-5.33197563464280063628368056850E+49', '-53319756346428006362836805685000000000000006291456', 97, 3);
    T('-71655154.30434716583', '376.923999479219029260313769186', '264', 14, 6);
    T('101.49371873542550218461377', '7.62E+6', '32', 17, 6);
    T('-56.86287205336552728', '-8894.611366', '-8896', 49, 3);
    T('-474482580907.821639714', '-1442605.99635158860973492572', '-474482712495', 50, 3);
    T('-37.575387639331126858744584077', '-2.4E+6', '-2400000', 31, 4);
    T('-1.42E+7', '-59102706.86', '-64880128', 51, 4);
    T('-843169', '-9.30876E+8', '-930930688', 34, 0);
    T('-94232.32', '1.5016054616795737612E+37', '15016054616795737612000000000000000000', 77, 4);
    T('-559657558.4051394758522', '7.024882131', '2', 84, 6);
    T('53708709.94451430036', '533719296.0317', '50561280', 61, 6);
    T('-82467.9899595724', '-30.117257374794013581069579727', '-82496', 74, 4);
    T('9.1E+48', '-8806989.49963882', '9100000000000000000000000000000000000000000000000', 20, 4);
    T('464485258.99', '-5635397783.597', '269099784', 57, 6);
    T('3149.881900283795141', '82911.63391', '77', 100, 2);
    T('-533432.47160253532495332685787', '3535.21967144', '3144', 59, 6);
    T('5.9285703445E+28', '7279393478', '18874368', 26, 6);
    T('-8E+7', '-4.53934078130844198E+44', '-453934078130844198000000000000000000000000000', 31, 1);
    T('-34.58906820951532806', '982132.69616277659524553923', '982100', 82, 0);
    T('-3899844812.52', '-6647864.800665646', '-3900176640', 7, 4);
    T('61717451.6777818319', '3036.02366119096079128', '3016', 75, 4);
    T('-10.7465696', '5.143729767E+41', '514372976700000000000000000000000000000000', 20, 5);
    T('-69.3364594801664982780907336801', '52346.32070358201', '52282', 23, 1);
    T('404449.706', '-481162677.070770328', '133697', 29, 0);
    T('-18.6301320759348761710560846', '-52.956301567302414', '-52', 79, 4);
    T('-96045697.8050295398224505', '-2.1140', '-96045698', 81, 6);
    T('3.05E+8', '7212.917852831731965088', '3072', 49, 1);
    T('-8461470922354645.893526809841', '-1.7867795016', '-8461470922354645', 29, 1);
    T('-3898664.4333704653416262524', '-453830.70767182789390', '-4193768', 95, 6);
    T('-62754052.094092072', '50763.2054541365', '16968', 16, 0);
    T('-7646.9216924147797411', '7249591191.15637414849456136287', '7249584642', 13, 0);
    T('4727.1147525152847', '973.137409495342166', '581', 77, 4);
    T('36819', '-7.9134335527E+14', '35984', 18, 6);
    T('-469052.03583823903022595873098', '3489823361.40749808604622', '3489682048', 92, 6);
    T('-528.25388467', '-5337812861.96', '-5337812864', 100, 5);
    T('5325.7313992322219739019', '943364.45962009555184120', '1028', 60, 3);
    T('719932.875371', '1666592.020', '551968', 19, 4);
    T('-583379.866800180813407', '-825610362156365.5361929111', '-825610362157023', 66, 5);
    T('4522748.759720930', '-7.9E+5', '4260368', 49, 6);
    T('-3.3249865912555721009284', '-133792.75015607876616853', '-133792', 74, 0);
    T('-535382.002331797', '61925270.40546722616', '61916290', 99, 1);
    T('-65636104.35813473573103890', '-20.99820953248259285128631', '-65636120', 60, 5);
    T('-2.578201881E+17', '-521.3881119512', '-257820188100000512', 70, 6);
    T('697871978.09506837951393079603', '69856112.767482939347114920', '567904', 93, 0);
    T('859554', '-2.09E+5', '789888', 39, 1);
    T('65103768.1555773231399263344566', '5264.86558892065', '1168', 98, 4);
    T('1.895E+7', '-345.402323592465', '18949664', 80, 6);
    T('-85.3130832910', '-9779.28741777113082621314912144', '-9847', 97, 0);
    T('-7.5088020E+16', '-2.80440751496600181320072', '-75088020000000000', 70, 1);
    T('-923513.881', '-96630.1084542511282334594', '-1015678', 2, 2);
    T('4.64E+6', '313605154.858711662322', '3072', 28, 6);
    T('-4E+5', '-757.146434155', '-400128', 24, 4);
    T('59835.744994261288079614469980', '897352.2131093730705000089', '41224', 51, 3);
    T('8.1E+9', '387.08093887836', '256', 20, 6);
    T('880226553.5764', '-19550.551', '880226464', 31, 2);
    T('1.8E+8', '3806.029891212476172899984322', '1024', 45, 3);
    T('-5.8059252652', '41087912.2851772047343716', '41087912', 53, 5);
    T('952543', '-1.3E+7', '557248', 46, 5);
    T('-3E+6', '1517613008.879992962402983505', '1515202880', 22, 2);
    T('-6.3387437472E+12', '1429060102.88942247', '86784000', 76, 4);
    T('518850186.7255435204206', '-502560758.876925984566', '34144266', 40, 2);
    T('3.467738335864E+17', '1825165227.7711949', '1614891776', 77, 0);
    T('7960706941.7360090401077123243', '-84.2307072907021449642065', '7960706860', 31, 3);
    T('28666012149.039699026469308', '-8.067E+5', '28666011860', 62, 5);
    T('-8513.43135081587880', '-5624520615.40381', '-5624528871', 86, 4);
    T('31716.5852639079', '7803.474780', '6752', 33, 3);
    T('-8814453.60365128421881944', '71.571806205330700791493188', '3', 40, 1);
    T('-94819.0009897941861350859296715', '-1.382336E+7', '-13893504', 8, 6);
    T('4.9638E+8', '223593302.549817262', '219283520', 59, 2);
    T('6.2246E+5', '-5E+10', '3072', 98, 3);
    T('93844.59248372', '-44.91488365247116318014114', '93844', 80, 1);
    T('304176483039141856386.70416', '3191.1238352', '1026', 95, 2);
    T('956865.28692553081981020973514', '-961.676973875294054044', '956417', 38, 6);
    T('-7.3E+9', '-1.872229E+9', '-8583641856', 32, 2);
    T('-367.00135559338', '-99041.325055', '-99311', 11, 0);
    T('729129217464277.00416449953280', '-53.62168774417322233995014996', '729129217464257', 29, 0);
    T('-21.4674251685770', '-8688903', '-8688919', 34, 5);
    T('6087769552.136511', '1.9788110E+8', '181103872', 31, 6);
    T('-2.7683', '628975413.95', '628975412', 74, 4);
    T('-6579.076487', '63725302.247756', '63718980', 63, 3);
    T('-3181821.42495087510', '57321.027507379704700714', '21249', 43, 2);
    T('9420393541.1247987779314911', '-5.97100E+18', '9397633024', 72, 1);
    T('-6.3233E+5', '852755213.63246191087906097020', '852754692', 60, 4);
    T('-9.49322E+6', '-5165537.5674224909076', '-14605284', 39, 3);
    T('-52420.40', '-3.2692E+6', '-3272400', 11, 0);
    T('-414738558.33469404110', '8.659950E+7', '83953408', 31, 3);
    T('-66.7020', '6579.85203', '6578', 73, 6);
    T('707171.204916800', '6013858.72553395837602197630575', '705058', 87, 2);
    T('-3056223.617950412015454', '9.41E+13', '94099999836160', 87, 5);
    T('4396991294.98', '4.22E+5', '278576', 92, 1);
    T('-4.37199E+6', '38.5844698677044486683938234', '34', 24, 2);
    T('870.9', '85931278.635818548137', '262', 20, 3);
    T('5387.2768254556541734085', '-5291605643.012187369669', '257', 95, 4);
    T('-626579626.33739', '-3805.565361', '-626581246', 81, 3);
    T('-8618730116.43847394785432291', '-6.38192512585073212682782615', '-8618730120', 22, 1);
    T('2.53E+7', '3.691E+4', '32', 90, 0);
    T('-5E+7', '-637012322.3026803', '-670759296', 63, 6);
    T('-1131702808.85634059744892486', '-54677.36366787086278', '-1131741080', 75, 5);
    T('451113', '-74120043.642048978076719', '262145', 97, 3);
    T('81.8235836359481965356889475602', '-4.7365E+7', '80', 66, 0);
    T('-2.6876564732E+11', '-8E+6', '-268770890240', 56, 3);
    T('-2199816672790689.233042958', '8168.8256305703551', '5960', 6, 5);
    T('-13001.21448447313306809917223', '-632735309.570', '-632747725', 27, 2);
    T('-6579036364.35496', '4.39612581931', '4', 9, 2);
    T('-46946.50339', '800444744.816', '800407560', 58, 3);
    T('-8216117119.60108487655001004', '-54.762446991108331915274454174', '-8216117120', 67, 4);
    T('148686215.588314805', '172295493.3', '138675461', 46, 0);
    T('-2392.90655', '-3075.28', '-3416', 33, 2);
    T('-13982.4984687632762', '-141.1858203197677149539', '-13982', 42, 6);
    T('-3.7630E+8', '-4.6614', '-376300000', 38, 6);
    T('-5830.3538287090833', '-72087', '-73688', 35, 5);
    T('-24179225.9516416', '577.5', '65', 58, 4);
    T('6.71834274630435992E+18', '1.0620E+8', '4204992', 51, 4);
    T('-416293607.8863279386', '-5063841.00677106353963783360468', '-417162983', 87, 6);
    T('-225.9461341809823928732193924', '4.3829720E+9', '4382971904', 21, 5);
    T('3906045876.7511', '-1.528227090118833689312150872', '3906045876', 85, 2);
    T('31.75', '388359.67700739285437174294', '7', 72, 6);
    T('6.584E+20', '4.980848095E+18', '72768572792766464', 54, 5);
    T('9.9E+7', '558341182735.45363524', '94508032', 9, 0);
    T('-216938884.305226056585100', '686.103218990', '556', 7, 0);
    T('18445.468534303247', '72798888.4674', '16392', 65, 6);
    T('8585871578.6408', '683083.6586637630995345', '131146', 70, 0);
    T('-7.6E+5', '91822428.7875060526159172252', '91226432', 73, 6);
    T('31908808.1618', '27.68011787142890995', '8', 100, 4);
    T('5E+2', '-427813742.41', '144', 66, 6);
    T('-1.76E+11', '-4241.9174', '-176000000000', 7, 3);
    T('-732.99774556732328355407070982', '-866908.143422', '-867036', 36, 6);
    T('680941829.310875926628', '15249.89', '6401', 56, 6);
    T('2394641.1349023615248', '74462.0429489268077862203123492', '528', 12, 2);
    T('2320823734128.66208628', '-9E+3', '2320823733328', 26, 1);
    T('1.13933E+7', '5.7297574365113282', '4', 3, 4);
    T('7.673E+8', '35806', '384', 59, 1);
    T('222.067391515', '-813.27359077796558199623', '210', 58, 3);
    T('866162373.33202745517080', '-85133669.891875864474', '849385089', 54, 2);
    T('-144.62697535340153229048666961', '682.65772', '544', 26, 1);
    T('67.2534953944165345109', '41159497.373381', '65', 82, 3);
    T('-298304.012625688160878677', '2.3858E+9', '2385535552', 74, 0);
    T('-49341128224361.62384957434216', '-571.9256', '-49341128224379', 71, 3);
    T('-95451258.689275046050', '31020355.3705294385124629', '4785410', 21, 2);
    T('3.7', '852579.48296356749980438813', '3', 65, 1);
    T('3.2949813E+13', '2.43E+6', '2364416', 76, 6);
    T('25.57', '21.217822112760178567151964453', '17', 82, 3);
    T('88830254.78', '339720440.93', '67842088', 32, 1);
    T('-33.1888702979049', '-3301271.51946108267', '-3301303', 86, 3);
    T('92.05466953961211670956462', '3223336203962048.416008', '64', 65, 1);
    T('7.45119647888', '-959063035319996723364.66', '4', 44, 1);
    T('853041.4588268736971169', '2461916751.15336', '852993', 17, 5);
    T('-79263704.35115411662', '5.7E+2', '40', 44, 2);
    T('-9462403898.1046858020073', '5E+4', '64', 72, 5);
    T('-68201867', '-61', '-68201919', 98, 1);
    T('-1476.648843', '-2654617.498154', '-2655708', 89, 0);
    T('621.1', '14375.183898015261092', '37', 8, 1);
    T('-3482098.4055106153958', '-65514.2012', '-3538938', 85, 0);
    T('12448051.28393', '-2.4941', '12448050', 34, 2);
    T('82266.8796584', '851.07531148', '338', 18, 2);
    T('100.96675498341009165551', '-4.39023046123098', '100', 27, 4);
    T('-666.7519830436835', '38630.6', '37990', 61, 2);
    T('-21.365562518188', '8688963856.08629', '8688963840', 22, 5);
    T('-628597236.8879958', '-481862189979356264.86198', '-481862190601596408', 85, 0);
    T('9.48258899627E+16', '-9.4019119179E+11', '94825336339737600', 40, 5);
    T('-5274480213879131.887', '-40691.7034700', '-5274480213884923', 85, 1);
    T('-4.641573E+15', '-16343084.597369723503231', '-4641573002113536', 37, 1);
    T('2528417', '98.661939003338359900062036053', '32', 64, 5);
    T('-375635.547149', '-8.169599E+7', '-81772536', 44, 0);
    T('-753.0', '-2.3067811', '-754', 6, 5);
    T('-49.1772539566602672', '9049311.91430', '9049295', 88, 6);
    T('-5973097997.86', '6.1811E+8', '13729840', 35, 4);
    T('-5.50E+9', '-7987.67416326425247114957959101', '-5500002304', 68, 3);
    T('55.0380263225', '-4.33098104198301860', '52', 20, 2);
    T('49411.722', '801.373081201', '257', 13, 0);
    T('98.3162604991465949801852', '-8.208303', '96', 11, 3);
    T('-648883.066652257557115845143', '-6.097523538023738679480436411', '-648888', 47, 4);
    T('-95331076.659428600071', '64.543575305', '64', 100, 2);
    T('-3.38E+14', '-5.6E+11', '-338558917271552', 64, 3);
    T('90.465108013314483', '-7877787155.4124', '72', 15, 0);
    T('25969608.32459', '-9833.41467775306020', '25969024', 56, 1);
    T('-91272816503527.17113056237488', '908306668788442816286.5', '908306666584696509720', 99, 4);
    T('37355.453116745547434057299079', '-267094441.7322388138', '4163', 96, 2);
    T('32.2580007943956', '7862.2353286', '32', 99, 6);
    T('149024.061546614041951', '-9.723573E+13', '132608', 71, 1);
    T('-5.8304E+6', '-49441.91085', '-5830656', 59, 3);
    T('-6.1852540880715042592', '2078.2539389036869628480871787', '2074', 38, 3);
    T('4563712.1853', '9.9306499E+12', '4457216', 42, 5);
    T('-905', '635.445451178', '115', 70, 4);
    T('1492729435.8533334', '-3.20574528305E+15', '1076434000', 14, 2);
    T('4038301888.92077548', '2338757.597786900', '2328768', 64, 1);
    T('-4278.141252461306', '5633690878.55958682195836150', '5633690698', 55, 3);
    T('3421506075.05971600', '1E+6', '512', 65, 1);
    T('65798559.377467', '4215929.3114922', '4194329', 3, 1);
    T('-1.6591', '-8.2455695665975900702229', '-8', 12, 5);
    T('-1.23E+8', '-265.744041948402', '-123000256', 6, 6);
    T('7.03000E+8', '93207.1351845691538241362', '27648', 45, 2);
    T('764.99555533577741548414977501', '76.854559181981', '76', 23, 5);
    T('-4863.06913108427871', '-64.0', '-4864', 9, 4);
    T('3.2599662112', '-412634921171486.420', '2', 23, 5);
    T('-9.1698900719', '-6.40E+8', '-640000000', 28, 6);
    T('-7222.3342568955625', '30799458.482729724587', '30794306', 81, 6);
    T('3782.80737616874', '913121.730', '3776', 90, 4);
    T('-9703678.9313', '565614594.356147789531012861412', '555911170', 39, 4);
    T('-9E+4', '906575123965.487815540', '906575118448', 16, 6);
    T('-8670.5103403363204', '-5653543266.480704557', '-5653543422', 40, 0);
    T('-7831', '549', '33', 74, 4);
    T('913.4', '1607234.587731692287', '512', 56, 5);
    T('-360524.295759503040', '12399.4358', '12324', 48, 5);
    T('941994754.76116563703000998', '5.9E+8', '539009792', 47, 1);
    T('-5686780564.6482208840', '-13523', '-5686785748', 17, 1);
    T('3.1619486314', '-6778265.026249980568990689', '3', 47, 6);
    T('48882176.6114421368149534598', '-2.7', '48882176', 48, 3);
    T('45.7840', '7730082.6648964853006943924', '32', 6, 0);
    T('-133716576.92385868', '-4', '-133716576', 70, 2);
    T('-7.278052716118012542944291131', '-77618.65663150587774465406610', '-77624', 43, 6);
    T('9.828778275E+16', '74726.62051560', '66432', 63, 1);
    T('-3.88281E+9', '88891.3959828645329814360102272', '65840', 17, 0);
    T('-1.423875388102', '6852595805.820421523511619', '6852595805', 71, 0);
    T('1517.968983177819851862074661', '-124.773', '1412', 45, 6);
    T('-82937.6528', '1.30375E+12', '1303749999616', 98, 5);
    T('4.3E+6', '7034.054095525551', '6240', 52, 1);
    T('-937171', '-707205246.64628775249816146', '-707747072', 50, 3);
    T('50609680.0636', '-9.5E+6', '50596352', 94, 4);
    T('2345.11576622', '-8391.91162', '2345', 64, 2);
    T('4289759314.6960074', '-4133.3687192198003408028779', '4289759314', 50, 5);
    T('-1.50E+6', '97542366', '96469120', 27, 5);
    T('510.637324871279459480129493624', '3.8419415890', '2', 87, 3);
    T('726470579857396658.003877', '-33.66837658671984775371', '726470579857396626', 72, 5);
    T('-391.22323325802374', '8574.2995068941598', '8312', 70, 3);
    T('-365451460.6', '-61165.4', '-365494000', 68, 0);
    T('-373855039.25', '-3356451920', '-3729782656', 60, 2);
    T('18354697.518522', '7267534.1169', '524296', 61, 0);
    T('77682.8357891', '-23.58023359', '77664', 22, 6);
    T('-595.626736806522009834265958', '-76.05159958887698', '-604', 46, 1);
    T('-86.2586606223120', '61887111.3976185647434686345434', '61887106', 8, 3);
    T('8064943.18', '-8643.78082747130089459', '8064557', 64, 2);
    T('-19387.44686341562295317922353', '2E+8', '199983104', 21, 2);
    T('-5686047942623073269', '-7528951019484970.4054617', '-5691142531898652670', 82, 2);
    T('-3.173581140628820241966', '95648.404620629387554994', '95648', 75, 5);
    T('36385928.7672521908467046687059', '28518567.96802', '2302080', 42, 4);
    T('4.484484927625', '-2984465.7442549610403688260926', '4', 20, 0);
    T('-2076144403144.00263604431', '825779695.6584', '270558504', 63, 0);
    T('-998.9101563', '-353835.662224847982195838176162', '-354288', 49, 6);
    T('-4274770286.0038076363', '-145', '-4274770430', 96, 6);
    T('27.57166750416803486973347', '-7400062474.4853812', '18', 100, 1);
    T('9242818118.597640258428665380', '7.3793301E+8', '585774658', 64, 1);
    T('5.9627041E+8', '-7915429788.7', '536870976', 66, 2);
    T('6.90509291618577743', '1010923.603654468850346', '2', 3, 5);
    T('3957682543.929161527452410', '-36109', '3957682275', 94, 4);
    T('77741714.982566679869312068', '230171504.773254', '77603344', 78, 2);
    T('227.67005', '862708795.85652373807514104', '35', 13, 1);
    T('62042.54880457', '-48.38', '62032', 17, 3);
    T('-837802.8140', '667745.27432312182885', '143424', 68, 3);
    T('79.7182852617168407', '379.611084806076', '75', 94, 3);
    T('-60410.31', '-548.65670313402490920616168872', '-60412', 45, 3);
    T('-172.5745365330867192851', '-27.00', '-188', 89, 3);
    T('9477.88558343693450', '4.60307672479E+12', '4', 21, 1);
    T('-37384', '-4.936E+16', '-49360000000000000', 39, 3);
    T('18.9934853536022', '871.46261049935354500523038351', '2', 87, 5);
    T('-61.59070780064', '-34881354.99', '-34881406', 18, 2);
    T('32898485.31597', '786561.67', '262273', 39, 6);
    T('-97816.304204262703858', '-40.493662733439037651', '-97848', 33, 4);
    T('1102275680.4069126661345433', '3012659.605800951259964020056', '2187296', 95, 4);
    T('-6540.425144032590016493177', '489.249', '96', 93, 6);
    T('-445584190.89226', '-34798531082225421.1', '-34798531485079358', 88, 3);
    T('-5075936.147', '53344713.0629737', '52463616', 28, 2);
    T('-333008873.241339643209997664605', '-7412.127836954188871650', '-333012988', 35, 1);
    T('-21768733.2242454124215157', '4.674598E+9', '4674589792', 73, 6);
    T('-5577.89725162901662102229', '5.97E+6', '5965840', 7, 1);
    T('215022389.295692540096', '4.2E+8', '134263040', 66, 2);
    T('8.913613531E+16', '-9595356605.021669968', '89136126689819136', 2, 3);
    T('1403782.8817', '-929.08071182962381', '1402886', 41, 3);
    T('-1.5E+2', '-75376.264635329', '-75520', 40, 4);
    T('51766844.2660709', '9020935.879164648077674657226', '108036', 50, 2);
    T('40143218926625.884138', '-5.0E+7', '40143180596224', 74, 3);
    T('-1E+3', '-99.3301926080737336174701', '-1000', 84, 6);
    T('3232.188329529813294523', '1438096.91592979568512972', '128', 27, 4);
    T('52.71925869756648089063', '-6617927.66533405002', '48', 48, 2);
    T('-59.482350637979668969059868', '8.64717E+9', '8647169984', 34, 5);
    T('173.63794121', '8.7386E+7', '128', 43, 4);
    T('594365.33629176918683893698', '-4463.20328441728637632702', '589969', 20, 5);
    T('2392607.8500439463886250', '-8718747.88241', '2130437', 49, 1);
    T('31.21516546697372803003252', '13.50936216457520970', '13', 42, 4);
    T('92898400.4346', '-2.8963154105139E+16', '92864576', 67, 2);
    T('3285345080.2655224', '423993962.018794650934656', '20980264', 20, 2);
    T('6.20703E+9', '-6260891.4266657081931183', '6201295456', 34, 3);
    T('26.5233', '9285306.4136089925', '26', 86, 4);
    T('7.0262E+9', '836.048114384366343434044198987', '320', 87, 0);
    T('4498.4828501176', '2E+6', '128', 23, 0);
    T('597612010', '-7.618768E+11', '10130432', 88, 2);
    T('88.613320779091286042581', '-5.6877238142524352928204', '88', 33, 0);
    T('7.988547E+9', '-552014555074.01333170811289', '5771757624', 67, 4);
    T('-740794493121.94434709370156', '-72470.28569157384839170983', '-740794563542', 30, 0);
    T('-450252.487353729194968783078', '-649130258.60688463273', '-649527260', 35, 5);
    T('21019', '17.9608763644496309353', '17', 20, 1);
    T('6009465343.96521738', '8706305.51832775785', '2305', 31, 4);
    T('5.4E+11', '9E+10', '88852267008', 51, 4);
    T('236898997.77334557492', '638375.610185142034', '559269', 13, 2);
    T('-52390.42', '70376.673206368306', '70216', 12, 1);
    T('-91703.0856600493487190076775', '-5.71E+5', '-652920', 3, 0);
    T('5.7778509825E+12', '7.786E+8', '37773376', 24, 3);
    T('-792276637.0138670518311368', '49983.385335890609978150', '49443', 55, 6);
    T('-937470.53665', '4550.1846461483343', '4098', 79, 5);
    T('69524770.035542586417942250313', '-36577654.86425120462', '67165186', 33, 1);
    T('-8.15E+7', '-22.63', '-81500000', 14, 1);
    T('1.774E+8', '-963816188.3669967616885642', '41959424', 81, 0);
    T('-935923648.223474', '98.822', '64', 3, 6);
    T('683677459352.09', '-9.4E+5', '683676803072', 60, 0);
    T('4.1615E+7', '5.459E+9', '6339200', 52, 3);
    T('-953127170693.617982568518', '-1.484E+7', '-953129267904', 62, 3);
    T('-46531.37987', '8003930310.5125933370004267675', '8003930116', 57, 6);
    T('-37.7540920071981856156561972', '221.6353626863246475', '217', 83, 1);
    T('-9578418.87101730829806', '-52331.989', '-9629692', 43, 5);
    T('39.91474903576543021256', '-14308613', '35', 26, 0);
    T('-192333073.254233', '-6E+1', '-192333116', 80, 5);
    T('-9376.8', '86813302.6306909', '86805088', 95, 1);
    T('239078632.321530844209925', '1.109E+8', '100663328', 37, 5);
    T('2879306680.856', '14621.68044160', '14616', 9, 6);
    T('54.8421', '2.3744526045376', '2', 19, 2);
    T('7488009.99016511438387025', '7219562852490.29045961968636', '7471112', 56, 1);
    T('2.23E+6', '91.217181383157240', '80', 9, 3);
    T('-745515859.139', '-79416.140669585771', '-745521016', 51, 3);
    T('-7.82400234', '27244.22460071514916', '27240', 92, 5);
    T('-23.9316223414', '-9E+1', '-96', 15, 5);
    T('-1.164E+8', '-6962.10', '-116400000', 80, 0);
    T('-46094418275450830.6807', '205792954.8402686491640811', '201326642', 75, 2);
    T('-9193597.536404182021177', '-40.585', '-9193600', 67, 0);
    T('945.273', '17619209001500.24736', '528', 17, 5);
    T('-9604.15267182391789404228037101', '-944.9287205347823580481698673', '-10160', 39, 5);
    T('1.88E+3', '-391510157.273351628164137898', '1872', 69, 2);
    T('-2243.008758804371', '61853900', '61853708', 68, 1);
    T('253471289.10308218', '681349.1634374750981674859', '663553', 92, 3);
    T('900513.9', '7501489605.69726900', '894337', 30, 4);
    T('-797333705.908621769239', '58.3119346618875158792', '50', 30, 3);
    T('8219.329', '9841.72494639171507', '8209', 53, 3);
    T('-733325241.178873', '2.3231352157794166125424', '2', 5, 4);
    T('4694.927616234956325004039372', '-98899.3292614302378274', '4100', 49, 4);
    T('-108319925625352.40801', '7.2459E+9', '6664980704', 93, 0);
    T('7.99989947556E+18', '591162240.156320717019751568', '51669504', 83, 4);
    T('267221.032106308750360828', '8510739415.453713701475162', '267221', 83, 5);
    T('7.102E+7', '-821.1874734603076866524317', '71019712', 90, 3);
    T('-25293.7832390023805840922939', '-4.7E+8', '-470017024', 71, 3);
    T('-1.4243384425E+14', '800065.9915245135833110840534', '798784', 17, 1);
    T('260.01753362920950165564465', '56174.64882', '260', 85, 5);
    T('9226337578.12067317373583997055', '592896.45921660252647075020', '527360', 65, 5);
    T('-8.704E+6', '9843152627.94037663908', '9834729472', 35, 1);
    T('31.25053358197346', '420.9', '4', 78, 2);
    T('3655602778.61889221763', '5.3E+5', '4688', 28, 5);
    T('67463757991639275.9713', '8E+9', '272912384', 39, 1);
    T('-4890099.452131', '-738.5808412951073936611', '-4890612', 63, 6);
    T('266335782.675', '-17803.57878', '266318372', 33, 0);
    T('-24141.34220914', '-7.828E+5', '-786384', 46, 4);
    T('-933.767081441720896693588744', '-8E+3', '-8128', 90, 0);
    T('2379.182495425', '-3.85371956128', '2377', 67, 0);
    T('147357.99607420353497', '7754249.4876699720864307165', '135689', 29, 6);
    T('7.4E+5', '-8.0903888368940', '740000', 52, 3);
    T('439232240.692568439185', '-608890014.5', '438567520', 50, 6);
    T('-839.7101', '6727517.220486435939213670', '6726681', 36, 6);
    T('8.595E+8', '8614.95249368739658515485', '8608', 52, 4);
    T('17001922509340643863.3556982', '8.69237E+11', '275457769984', 11, 3);
    T('-905281560449346103864.25', '7.8E+3', '5192', 76, 1);
    T('-769.37368919083', '96407310248781676.487', '96407310248780908', 49, 6);
    T('-4.14689458516729552', '-1604942.106424667919673190', '-1604944', 99, 0);
    T('97195625695847.27703', '-8.76472208E+15', '96757503248384', 61, 1);
    T('-4.84317078687852399', '-9810.667669804211662288819', '-9812', 95, 2);
    T('4651504787.423923218777070', '-740054.2078586', '4651488258', 83, 1);
    T('800065485.1714', '-1.88992921059154750342034', '800065485', 40, 6);
    T('-4252255846.61409765620447', '2.1E+9', '733440', 94, 6);
    T('-488.8185178846146173315065985', '-5401160393.33818633687571148951', '-5401160688', 95, 0);
    T('-848.87668425516748083515', '22654.1645246473833', '22576', 23, 2);
    T('8963.58665288506972000875', '-400.720535862811785', '8704', 97, 5);
    T('55135601.097117', '174410687.3607728640668127678', '37833009', 8, 5);
    T('463818727.225926', '3328434.636360003799222467182', '2116002', 25, 1);
    T('26.663504', '-69200.42898971952827815', '16', 38, 5);
    T('5881853612696.7', '234202.2202260739', '234136', 58, 0);
    T('-2809.5419822545829', '384484.9718061', '382212', 70, 3);
    T('-5479391.37345', '1434.624371227436583246089', '1024', 59, 4);
    T('-2.70003436071434E+19', '53112343.0355606210972132', '36334592', 81, 6);
    T('-53.292076535555971282', '-7336110.69313940', '-7336126', 27, 5);
    T('-74.1453450435626189375374', '-586.1580097928122639097790789', '-586', 67, 1);
    T('86796.8630869842052', '1984161.16160', '16896', 5, 3);
    T('-536.655875618836170676693', '-159009.4153721049322', '-159544', 9, 1);
    T('-6581086.797488242020307', '66074.4997', '65538', 99, 3);
    T('-22346292', '5.613', '4', 37, 2);
    T('-9.47E+6', '2193738.859614773754785', '2193728', 51, 4);
    T('509340826', '-8.32E+3', '509332608', 13, 0);
    T('-7.1146131830', '-87.000879877106240887', '-87', 14, 6);
    T('23171.4517', '7832051356650.8110478261867334', '4738', 31, 3);
    T('-8.311E+5', '3.92E+6', '3362944', 70, 4);
    T('-7.36226257340638E+19', '-3205455427.466998616746', '-73622625736631254784', 76, 6);
    T('44.53873645292290894', '7158.19721042730362623920802', '36', 1, 6);
    T('-3.9869213031072962224779196', '566950300', '566950300', 19, 1);
    T('130226940.99070398283535694', '90.38439503297710146676081', '88', 23, 3);
    T('-520065.523764435269547247797842', '-708416073588.9415817', '-708416368628', 95, 4);
    T('8009941987431040.60', '538495690.636933268733', '537920128', 3, 5);
    T('-38692584.3568546765045653465809', '3841.10783106', '2304', 72, 6);
    T('-69722339.22403', '-256.0190456728', '-69722368', 86, 3);
    T('4.463302E+8', '16155441.7', '9568528', 1, 2);
    T('959556.803202515510771913876801', '9.9E+12', '696320', 19, 6);
    T('-949.89126414041446936', '54005', '53313', 79, 5);
    T('-7.0409908874740E+17', '1390.282051154397164181', '1088', 23, 4);
    T('-92.4587300682', '-536.9178398619871825990934', '-608', 68, 0);
    T('-55.5961701', '979435363', '979435329', 98, 4);
    T('-81.0634703497', '3.553052820022339E+20', '355305282002233899936', 96, 6);
    T('-6827.312743509500325499829', '1721242121.2', '1721237505', 83, 0);
    T('-1766275839520951146.7972639424', '-7453904.15570680061614', '-1766275839528402928', 84, 1);
    T('-71.683648442464696380626428138', '32841636012505249.13303176149', '32841636012505249', 70, 4);
    T('91455326.6585772089', '78197.587055117340', '78164', 20, 1);
    T('-4.01998883542941', '8.88197827299E+17', '888197827299000000', 62, 6);
    T('92.97711340', '-5.575100718627745975192312592', '88', 2, 4);
    T('5.17E+5', '-35173.80197414952630283', '483976', 43, 0);
    T('4039.3532', '9.15039139835203E+16', '3588', 27, 2);
    T('-62121037.451055', '-1.6094839623445591831', '-62121037', 29, 3);
    T('-16839.9258819247822494954005', '52.70140825640', '48', 44, 4);
    T('7.194791E+20', '-1330.659064405445125346144', '719479100000000000000', 88, 5);
    T('69753078.92502280435', '86.685642576', '86', 47, 1);
    T('553077.39480826313', '2E+3', '80', 3, 3);
    T('3.44257712701333', '3.04942808253946937383552', '3', 28, 6);
    T('1482581662.14456216483422894', '-9.0190864732542363480', '1482581654', 29, 0);
    T('651.82', '-4.54162440231209479434616760', '648', 38, 0);
    T('-5.2E+7', '577072.9119897141594618538', '35328', 7, 3);
    T('-313.289', '384508118.63446649717175235074', '384508102', 76, 6);
    T('-6570113973.908422400938', '2E+6', '263168', 11, 6);
    T('-3988067.866894724716', '2200217555077.3329', '2200214634629', 83, 6);
    T('-4.38395139457628837', '943972371355.626083399', '943972371352', 43, 1);
    T('8E+2', '-3975946.539', '32', 19, 6);
    T('54500972.0385', '-7654025786021252.094023324', '53217900', 19, 2);
    T('-9E+5', '-25960488.523947367009', '-26065856', 8, 1);
    T('-88075589.734602711774877809831', '829002496.12460739113878390650', '809505280', 45, 4);
    T('61871.961438441131764', '-1408.3013816341094', '61568', 79, 4);
    T('-89.3088101726', '1.29E+4', '12836', 7, 5);
    T('-749924.810274087360782682', '-2.21358E+16', '-22135800000675840', 46, 5);
    T('-4151739544.9063721319', '108', '104', 80, 5);
    T('-1.13628979499738453100670193', '75.1076773772608767709903944540', '75', 81, 1);
    T('988.06', '81014778160980781.47830248', '780', 62, 0);
    T('-9883167.9493372', '-75170313.23324', '-83873311', 76, 6);
    T('8435272.68112814839771938665', '-14.40519231516786', '8435264', 47, 4);
    T('1.293812E+9', '-3.58177476E+16', '1157890048', 75, 6);
    T('-8.3347595047E+17', '46613639.9854154920171131827', '38207616', 71, 3);
    T('51842901.75162001640821510', '15.319082196859953483304', '5', 4, 4);
    T('21604222.517496', '-2E+6', '21046016', 87, 4);
    T('26.12276788388918227', '-651057895.2', '24', 77, 3);
    T('-83731885189.3939448820725', '-6276.31648', '-83731889288', 64, 4);
    T('39084003008424018400', '-7.503025946540E+18', '38498535022438482176', 68, 6);
    T('-65665858.888096833295', '60.4520237764807', '60', 72, 5);
    T('78.11524342823', '573961.399940062102', '8', 12, 0);
    T('-7656809.6413949360081577161', '-74.877642260418545600', '-7656810', 7, 3);
    T('-993597.3284472609780346761', '-3623873.97652697295915688584', '-4156413', 62, 2);
    T('-6182.4222990659866861033484', '-3.9E+3', '-8000', 7, 3);
    T('413463.96356', '-5.412044013944539017063', '413459', 95, 6);
    T('-7.0247331', '438640199944572.94276', '438640199944568', 55, 1);
    T('7.07077499597630444', '7E+2', '4', 61, 6);
    T('-9997419227554235.346528', '106.78181404426303373130280748', '64', 51, 3);
    T('-63.300', '-489022.524', '-489024', 47, 5);
    T('56.66915534293', '2.6E+3', '40', 70, 0);
    T('-8197817031.454', '6926897352.315385', '339742728', 78, 6);
    T('-1330', '-953429.3156135340314990626', '-953718', 65, 5);
    T('1.298E+14', '-713181.424305939855202756', '129799999983616', 62, 4);
    T('-3.4179090796143E+17', '46867.0057268591', '12304', 25, 2);
    T('68.0557279', '-6377.605044308509974955583128', '4', 89, 6);
    T('95812.0431055209320087', '998405049.149310163817066', '29184', 22, 5);
    T('41.90119838858715', '4732136044', '40', 14, 6);
    T('-3.47E+4', '1588553121700.52660195455', '1588553087012', 26, 1);
    T('-502127.74050359105769238533016', '-8553.761327', '-502127', 40, 4);
    T('-7.567368693904661963189', '7565.5278006734543', '7561', 30, 3);
    T('18629695.394789', '7.4', '7', 59, 4);
    T('619151841.5666812386460279131', '-1.571E+18', '12877824', 72, 2);
    T('-31.37290298202255795679', '-64.395', '-64', 14, 1);
    T('1E+9', '-9603.1149291462', '1000000000', 1, 2);
    T('6946423549189.493895259366', '33698.83806157895006213152', '33024', 18, 4);
    T('-93.48548449', '303524643.096288385829579', '303524643', 95, 0);
    T('372031772.517663', '-22055705.154982022360693', '371998724', 83, 4);
    T('75977765.73', '3235432.1311540275128290', '87072', 42, 1);
    T('-50280.949', '-2655724454.378305', '-2655774696', 86, 0);
    T('51431486.87228', '-23524534.867081', '34605066', 79, 5);
    T('-6830457365.162671', '-1.2352021080708E+19', '-12352021085304957696', 32, 0);
    T('6.5E+3', '-9578.85194509634537', '6148', 71, 6);
    T('-5.9900607270650489340230', '-5051.883537957557802157441', '-5055', 8, 1);
    T('78017.6993', '-4675.0287081678080282', '73857', 76, 5);
    T('-282311637.384021921579166959', '-5.7E+9', '-5704236032', 59, 2);
    T('93889.33836', '-861078.6887988750749677225', '19520', 87, 0);
    T('-5.330593427293019E+20', '-8.73E+14', '-533059351577484050432', 5, 2);
    T('-39390441870177.1017', '8933411.44632843766', '8404995', 38, 6);
    T('81638741.25386', '-3553388979.1582913', '68260933', 82, 3);
    T('978.70', '-5366910.719045103790684', '898', 61, 6);
    T('-2131792593.05742998242204076225', '2.79E+6', '2752544', 5, 6);
    T('331123.61027964339599', '-878772.0214892450', '1344', 95, 4);
    T('8354.6770617', '-1.91976570725069E+15', '8354', 16, 0);
    T('-3714154.59', '270402659', '268828674', 96, 1);
    T('-2E+6', '874.035299940092411', '768', 18, 4);
    T('9.8667E+8', '-95.061191836217', '986669984', 31, 4);
    T('7531.05', '-9.9E+7', '320', 62, 4);
    T('87.14771947', '-42.976787158984400101119098364', '86', 8, 4);
    T('-932277370.967410', '-3048327283.35173380151882', '-3081890940', 21, 4);
    T('722855747.3650792984635661', '-5.618E+7', '671400512', 24, 6);
    T('917165136.500432192388', '91203.57563', '17472', 42, 1);
    T('6.5171281398308696279518911795', '-5.673575585', '2', 30, 4);
    T('2108037289.3800769074969834', '57741336.68809547445870436', '18878472', 18, 6);
    T('-806300658.3932993232904', '-4.9862994E+13', '-49863262698496', 86, 6);
    T('2.9E+2', '-282.759262979781740067105', '34', 34, 1);
    T('8192.7310314450998284838', '2614798690.31680686089', '8192', 36, 1);
    T('-213.84200', '-12.501364532333', '-224', 18, 0);
    T('4377809.219579581893942122337', '-5E+2', '4377600', 46, 0);
    T('-54134.14954751917065098320693', '-2.765E+8', '-276553600', 69, 3);
    T('-6.341E+10', '1346585.7624441176608', '1051648', 54, 3);
    T('-9135633560', '-81356.278284457', '-9135701472', 2, 0);
    T('-51317.3116488443', '-583.17446966231176709', '-51831', 56, 2);
    T('-652189284.4342892242', '816704.4708013674503328', '24576', 79, 4);
    T('61115058.7869364603606299', '53734.201063392254250115', '32930', 48, 0);
    T('581423179.3884128701836429505', '697294139.8643115', '545771531', 37, 5);
    T('-629403.303082', '-67879070733405958', '-67879070733410208', 66, 0);
    T('-8.451128391', '-7.83E+10', '-78300000000', 63, 4);
    T('2.03791E+7', '5.73', '4', 63, 1);
    T('1.691635E+7', '8.1661E+8', '6736', 41, 3);
    T('6.2922E+8', '-7.7592E+5', '629153792', 79, 3);
    T('6.755768439027', '-4373439932.97163', '4', 40, 5);
    T('118872.584289644469776', '8835978497.9581837370507196818', '20480', 63, 3);
    T('3.09717548565851', '6.14112037813317060590', '2', 85, 2);
    T('-772813241.33998757', '-8711059.53148438151', '-781515707', 14, 2);
    T('-9609.74243480', '-4978128977.52569', '-4978130393', 38, 3);
    T('-507.9845521', '-33377298.3820834800835243285', '-33377788', 84, 3);
    T('473706954015.97154102', '-9.82958094608529247058726', '473706954007', 21, 6);
    T('6.8048960776067099026422467574', '5491679816288025595.5880720', '2', 44, 0);
    T('-91.584799173896521556227825483', '-816.763', '-896', 100, 1);
    T('-3.5366200207562406', '-6784.397741', '-6784', 20, 4);
    T('76784706.51', '90446.6214', '73794', 56, 5);
    T('-952302.1739711851796437386', '-134064804.5479965142577476115', '-134197232', 41, 5);
    T('-3.9194E+8', '-5113357104.62269762385', '-5232371648', 35, 3);
    T('-81720.72019', '-60.61279825673001739754328289', '-81728', 80, 0);
    T('-60444.3861553703599362852473', '3251683', '3215840', 75, 1);
    T('23345.853500', '3.087069E+8', '23056', 12, 4);
    T('7.019418713316395261', '703.2670486', '7', 35, 3);
    T('232408.90975425109646900', '-5.3', '232408', 58, 5);
    T('231571769014.485758496783903', '-8.39796107979E+20', '211124535808', 60, 3);
    T('-2298533.94', '659139504.3384', '659073296', 76, 2);
    T('8.87174E+14', '-6341147372.937529789808026308', '887168478839808', 47, 4);
    T('5.2863', '-2.1552441259429', '4', 39, 3);
    T('3603336.37859640023', '5653.55823455927504212652976875', '4608', 17, 1);
    T('-2561588003.3854374429332', '-99714001.608', '-2650782707', 79, 1);
    T('-5.92811E+9', '6.712695E+8', '134217808', 77, 2);
    T('8009161871.46251328209465097', '-294.7060287214', '8009161866', 15, 2);
    T('-4951738455.29064006551', '-3.5E+8', '-5234334592', 15, 0);
    T('-73971347', '-8375.4712638', '-73971383', 33, 1);
    T('22319924651782403.9476614119649', '-89.746518306292293054931344272', '22319924651782403', 55, 3);
    T('915755962.932274607763', '68418157.434980117793', '68244008', 55, 5);
    T('-5.196978719907826362296608470', '-7.3E+6', '-7300000', 21, 4);
    T('520309.50577185797405415247998', '-526748.649725542386', '520292', 43, 4);
    T('969722.389228195801686561023265', '-2.4029939089867395746478', '969722', 46, 1);
    T('-65.089', '-195438814.0724', '-195438814', 37, 2);
    T('61820.5383247276584', '-36.842682', '61788', 40, 5);
    T('-8.50', '-594684.3624516176991901', '-594688', 74, 1);
    T('233968.11783353508619898', '708.77603749333194948921850', '192', 54, 6);
    T('-1625277.0535367963579798', '-687011.433908664433300', '-1769407', 67, 3);
    T('-83.971', '6.2016092711270', '4', 55, 1);
    T('21882502.68414814', '-392000283.183', '33924', 19, 4);
    T('356.856969495065761441839084', '997040.264', '32', 21, 6);
    T('-8190584456793714.945990', '-8.095E+9', '-8190588255989760', 81, 1);
    T('2.35E+4', '45.8287876462842269775110862', '12', 83, 4);
    T('-7.5E+5', '3.9262496E+8', '392464960', 86, 5);
    T('-3.7171545847E+15', '-6.6660030886982399089663', '-3717154584700000', 7, 5);
    T('-832013.233764078194067868290453', '737575521.0800462886771', '737280097', 52, 2);
    T('-907497844.4143266753', '-5786433.9222895461677563078', '-912218996', 99, 2);
    T('-5.78', '29.33002584434', '25', 72, 6);
    T('9.44596E+8', '-6.89827E+6', '939795488', 29, 0);
    T('-74990.76058', '348984435927.48184922334607641', '348984360978', 87, 4);
    T('94109992.46748672581218', '-332.64024', '94109728', 94, 3);
    T('4.12770920788470E+16', '-8.50265E+7', '41277092077797400', 70, 3);
    T('-21.13986', '756002051182028', '756002051182024', 19, 2);
    T('741799.35755929160537878', '8.2003E+9', '131488', 8, 3);
    T('-86438756238363361222', '204804.39965885763469914633937', '65536', 82, 5);
    T('-53845486377', '-6.91675933', '-53845486382', 56, 3);
    T('6.489E+17', '-47.4863439878476313162785641', '648900000000000000', 41, 2);
    T('701178657184278680.08985552', '497984167.0027411787983072658', '294428800', 79, 3);
    T('1.97E+4', '980.7183', '212', 20, 5);
    T('-93569348.74104730243018621', '5832.581674073344888448727457', '5768', 7, 2);
    T('-22317.9587998', '-9930274.650052089907021959580', '-9951022', 45, 5);
    T('-661852.0549672', '-7.804E+16', '-78040000000655360', 98, 3);
    T('-4339950.02174579445', '7101.1', '784', 85, 6);
    T('-800.3011750981407706797849', '5307.265791571634', '5280', 100, 0);
    T('-867215735.0892906236', '-1E+2', '-867215736', 53, 1);
    T('-8E+7', '-6869293.64886323', '-82637824', 81, 4);
    T('-223227.318137679800913', '-5369.52812088759038762982534283', '-227323', 16, 3);
    T('-1.6E+9', '9854688.2366499233612', '8409088', 30, 0);
    T('6192.9276025878', '8.93E+8', '6144', 62, 2);
    T('6270581605.614', '33245031.18521186218561761', '29442917', 48, 5);
    T('26.651351281', '-4716332792.876', '8', 73, 1);
    T('-7.208E+5', '-7791273.604668815', '-8323008', 7, 6);
    T('-1927340.7464449324409172457908', '-64.007910349144', '-1927360', 100, 3);
    T('37816516.395631137540525723', '9.0E+7', '4262016', 51, 4);
    T('9.54975842942E+19', '2E+3', '1536', 80, 5);
    T('-1197049283.85', '-77.7560081779049054315403735', '-1197049295', 8, 0);
    T('3449.8079', '-63', '3393', 31, 4);
    T('28332467.1', '-523.12370154892855877314', '28332465', 31, 6);
    T('5008546.86042087720926528640948', '33001587.162', '4456482', 10, 4);
    T('-351924689.916166739400813', '1.34079E+9', '1258423328', 76, 1);
    T('-8.850053E+7', '-43542', '-88533814', 82, 6);
    T('-8E+6', '-4.727624536352709693159909306', '-8000000', 49, 0);
    T('8.532E+4', '-57305716.2', '66824', 96, 3);
    T('-510750983072518163898.359250', '-7.8E+6', '-510750983072518229440', 67, 4);
    T('-22690.70231955894560', '-3.9852E+7', '-39870464', 41, 6);
    T('-552309.4306982536437', '8.592E+7', '85393408', 71, 1);
    T('37046.111217441075', '655.166367', '134', 13, 4);
    T('-1.949E+9', '-4820022146', '-6432748480', 23, 6);
    T('-85855342.8066290643882', '-3044181.2687017142808921038', '-87981950', 93, 1);
    T('444638435.132314267787', '98070.285733048026200523607', '9218', 31, 2);
    T('967.78898552382800380019810', '4720568163.087510760240', '835', 3, 0);
    T('-99186.1900410400', '-9.08763109600', '-99194', 79, 4);
    T('-429487502.59805262543513', '-1867.918274579283257644228', '-429488080', 7, 0);
    T('8636839.967380002', '5.9611', '5', 66, 5);
    T('93870825.617', '983.03414069102694', '705', 99, 6);
    T('-9.245E+5', '-5083.89', '-924636', 34, 0);
    T('-89.67964141779306', '8E+18', '8000000000000000000', 55, 3);
    T('7.6892306925218248E+18', '-3268895926.604', '7689230691401732608', 47, 4);
    T('-862137.957046520849275153655616', '-87722612737842779073.966072', '-87722612737843378169', 15, 4);
    T('36.4547935633390', '-9297472782.2313919527851063123', '32', 53, 6);
    T('973.8712', '-5.83040098', '969', 49, 2);
    T('-5652.96243369325222605617', '5.297553081201053105287661994', '4', 91, 0);
    T('-2.54616E+6', '4885748.3252036', '4719632', 75, 0);
    T('-1515663968.388348774885417840', '-6005', '-1515665280', 77, 1);
    T('91794', '-6437411175.919778917056', '26256', 88, 2);
    T('15.52099942211634998098076156', '-144010401.73748', '15', 100, 3);
    T('5885.47621604706900685514662', '16.289139', '16', 57, 6);
    T('4E+3', '200098.00', '3488', 68, 1);
    T('7544.716771', '-8789008280.134682471118', '104', 55, 1);
    T('-46750072.60240', '7380.8889306089747', '1152', 75, 3);
    T('7.1E+4', '1310793472.165709420186588861', '70912', 11, 1);
    T('726.5', '205.8147745287555', '196', 22, 4);
    T('-634.374028201957695099670632346', '-2', '-634', 29, 1);
    T('7.74968225E+9', '-85351022.36016', '7665648642', 17, 0);
    T('-8214451351.76', '3122.664813137996413757894', '2080', 9, 5);
    T('58958.2449461365392669', '-9662453.77', '32778', 38, 3);
    T('1.99649376256E+18', '-6.8E+3', '1996493762560000000', 46, 1);
    T('-423.08763649021691494099', '-903601383.37266324088309897', '-903601639', 4, 2);
    T('-2857533665.61485428851', '-9028883.39509854603468875', '-2866529779', 38, 4);
    T('914157.24171168106110158650', '6.86111E+6', '569380', 90, 5);
    T('-1.171E+13', '9.61E+6', '9437184', 55, 0);
    T('9727122372.93905057260652', '7613.047742764', '6532', 96, 5);
    T('-5.19928E+6', '-3636045731.5940303976', '-3640653744', 32, 0);
    T('2218.60438865457258920297', '-356657989.75513787', '170', 74, 6);
    T('654410.915094761850738', '-61951005.6826', '569410', 93, 1);
    T('-73.315241477422135215', '31438308.643099', '31438244', 52, 3);
    T('-565.39521605', '-572.0248016627790257659995180', '-576', 55, 2);
    T('176064238356.0', '-5729680.767', '176062730768', 29, 0);
    T('7.341979310333699531773155', '-226065134.75890523565757096', '2', 28, 5);
    T('-474.7087837538', '99892.5444517358305564011016', '99876', 100, 3);
    T('-73780834.1038', '-8.982E+17', '-898200000069500928', 13, 5);
    T('17933411.0248226684874', '-6501.25068', '17933315', 33, 2);
    T('-8751810.93269983550675779640', '-4.194E+6', '-12582608', 24, 5);
    T('-5.563169', '-2.04172525681045', '-6', 82, 6);
    T('61839.98160493488904941', '51013.2867357287', '49413', 75, 3);
    T('2.18731E+9', '-3.3427429033815122212043094347', '2187310000', 89, 6);
    T('-5.0332499458147726288', '18994.859913927065383519606183', '18994', 28, 6);
    T('562051217.28941330674590', '635286449.31', '562049169', 17, 3);
    T('-46981.107149', '-786.398479049702360', '-46998', 42, 3);
    T('-27.254154546', '-6.41417020087440270266200126184', '-32', 36, 3);
    T('9.6', '826925341.4962205488173962636', '9', 20, 0);
    T('-177744.074200735188597155211780', '5442.077262185891', '256', 28, 0);
    T('-746709706.88336750684698872784', '-9105.73057932251575896880479251', '-746709978', 57, 2);
    T('-3995.68912826373', '509052904561373222744', '509052904561373220928', 38, 1);
    T('-289396.48276', '9', '8', 91, 4);
    T('99', '-61056913828568465', '99', 73, 3);
    T('2.5E+5', '82743.602968', '81936', 69, 3);
    T('-86279.567', '-7.67E+9', '-7670069632', 64, 2);
    T('-5171266.012656542737', '1.227458167934E+20', '122745816793395238400', 2, 2);
    T('-9.640E+15', '-50569807.35783215474994287259', '-9640000000098304', 79, 0);
    T('7.3059E+8', '-286.8291418396118839197', '730589728', 99, 2);
    T('-6.6282291518787', '809278609765392468.17', '809278609765392464', 19, 5);
    T('20.0003580', '6.311E+6', '16', 18, 1);
    T('-3079.959165994133', '-75.1609743709047929', '-3151', 39, 3);
    T('-299', '763073743440763.8254', '763073743440465', 53, 3);
    T('-77046', '87168.12848060524331', '20480', 13, 3);
    T('-91801396.9750364', '-2503.0029851431030', '-91803640', 81, 1);
    T('8070341294.03195989', '-8237', '8070333058', 27, 2);
    T('93110.15587053557410416092927', '-9.2132824352595', '93110', 8, 1);
    T('-3770145270.627', '776952921.801431755', '239600648', 85, 0);
    T('-445885.31476681', '35.8499200322453323691951', '3', 96, 6);
    T('-477816.7896', '-51667565.289932118', '-51866240', 62, 2);
    T('35.16559423286695392097312979', '-6.557E+5', '32', 62, 5);
    T('-786887368.9944698062', '9095.0928728710257835285225', '256', 45, 4);
    T('-4853.626909125165064', '8400.99318', '8192', 15, 0);
    T('-65.9416981572035138558207380189', '32.38418259481597985822', '32', 11, 4);
    T('-329666726896372.66035259', '-4.418333E+7', '-329666768842740', 77, 0);
    T('-8.47772', '-292417358.3535797911104929423', '-292417360', 94, 4);
    T('-6.749550E+13', '-8.50E+8', '-67496349399808', 97, 3);
    T('-75155887.068996877126', '-4.1864E+12', '-4186468700160', 62, 3);
    T('2817.3456883584860296337633462', '-8E+7', '2048', 91, 6);
    T('71546.07837403789', '-21.96518429056935797844', '71530', 44, 6);
    T('-4688056128.0082180357669636', '-1.9282442229E+18', '-1928244223257042944', 36, 4);
    T('-33522.8251619618686', '75065.0116481807043', '75016', 66, 1);
    T('8133394185.6', '1827.56825010690929507', '1793', 87, 6);
    T('35612541.1200', '-69889.2310994079', '35546749', 5, 3);
    T('5.4623E+7', '-66633.10156', '54557456', 94, 1);
    T('3.558211486823929268939904769', '5322.18', '2', 55, 2);
    T('102.9', '-3.44332', '100', 8, 5);
    T('2.929E+5', '6789557.1593', '268324', 62, 5);
    T('-3621.7405026248397827887399', '-4.2003E+9', '-4200300544', 80, 6);
    T('-406719913.1938135795668991', '8490140860.351', '8086700052', 1, 6);
    T('74357410.738403', '-78553540.496930', '4200992', 21, 3);
    T('48.9158618701080661661013506980', '427280761.916334', '48', 17, 3);
    T('8.9944E+6', '33738', '576', 19, 4);
    T('768552.8', '46682326', '528384', 93, 5);
    T('-55301209994915.8', '-735.744689801440636440654224', '-55301209995007', 38, 0);
    T('4.72E+3', '4.96E+6', '512', 88, 5);
    T('-384245099', '128779.02412779399068894685', '57857', 7, 6);
    T('508.1913456555720773943276', '-4.102735708438401007466483805', '508', 51, 3);
    T('-58408.0709', '-2365969.23104687012230767491', '-2424376', 14, 4);
    T('2.239E+13', '-9.79280E+11', '22097914825728', 75, 4);
    T('2825198322.19150516', '253749.291373086', '72240', 19, 3);
    T('-41977444931862.6472', '571.52042128836870257905318', '554', 1, 0);
    T('2.10E+4', '1.5234E+6', '4616', 97, 6);
    T('-5.8393474162476824', '-790', '-790', 41, 2);
    T('-186638085.1817084247128', '6.1062E+6', '4202584', 50, 1);
    T('384394669.25959373489207927', '8868.181586027415660580009614', '8356', 30, 3);
    T('-3.955069E+9', '-733803606772.5137443362159969', '-734368101112', 18, 0);
    T('6E+5', '-731.2233493202', '599296', 32, 5);
    T('-9695359584296543.215', '507002', '139296', 87, 1);
    T('-168.932537759832258776114', '333989.21967547311', '333824', 13, 1);
    T('92769775015.2776618702030', '312800585.3359', '276849921', 6, 4);
    T('-601277807.2', '98489966442.54083066', '97914001920', 73, 1);
    T('56761203.548935788576315', '-6.5996E+9', '35788800', 83, 0);
    T('-47.447133744', '6.02683E+7', '60268288', 36, 4);
    T('-50695.336', '-6018878.284610', '-6018880', 34, 3);
    T('-1834.85', '2.11039E+6', '2109590', 8, 3);
    T('-3.66476269795344936122313', '-889532891.59977', '-889532891', 63, 0);
    T('-12596885.04201914085', '797084105.75927833', '788695369', 65, 1);
    T('-7947424870.746408178058432607', '34643.760799', '33554', 42, 0);
    T('931.19322', '62370.952', '930', 40, 3);
    T('-388578190308.862570', '-3244270894.989562942670703', '-390730852336', 39, 3);
    T('7804675212.930', '-5.38244993686', '7804675208', 19, 2);
    T('-8.9E+7', '39904.3894282', '37824', 74, 6);
    T('-83268450.34716720470910991', '685.79404197535', '140', 85, 1);
    T('-51.321606703240304884', '-4.877389685343696941467864642', '-52', 21, 0);
    T('527725598.575256', '-2.0E+8', '336868352', 29, 1);
    T('-87999767.056', '2E+7', '75776', 52, 6);
    T('-2083.1240465', '39129.121676464030', '37081', 87, 5);
    T('-2553495084.573819521962424', '571189.9065220003335206622303', '557332', 95, 4);
    T('-1996031.74489859441850648717598', '1.3495295E+17', '134952949999732736', 73, 1);
    T('684020.42254169618234861', '9.22E+7', '674880', 59, 4);
    T('-9713.0', '38484.2776236384350755108988', '37380', 33, 1);
    T('974835.287575488191950715', '40233.031192823', '40225', 19, 2);
    T('-5.58797512E+19', '1857369.1746604289717', '540672', 67, 2);
    T('210279167.30467202806', '-6244941.4401550', '209752243', 96, 1);
    T('-874209088449215.36573501', '-584240585.569558883793555052818', '-874209102262271', 26, 3);
    T('301.058024548297574025076412194', '6100589.99587880', '45', 57, 3);
    T('-39.26', '-892725.2939', '-892727', 8, 1);
    T('1.176212904409E+16', '-3.1501009E+8', '11762128737861776', 68, 0);
    T('78821963835703.682830', '95.29979457761721544103785', '23', 1, 2);
    T('-80319.8297693', '13855', '1537', 72, 6);
    T('244.61', '-972576619648629563812.618', '84', 15, 6);
    T('-82998178142.19586301375', '935560.994429169192808873604', '804480', 38, 1);
    T('-24.70982', '-93224983.39357739700891026609', '-93224984', 93, 6);
    T('-838930838.8403246', '8.15E+8', '9627712', 7, 5);
    T('7.506E+7', '797.35280', '768', 92, 2);
    T('-2274350204.593543533112652', '2610603247.7', '403710084', 87, 2);
    T('73934732329.414689', '-9.5636', '73934732321', 38, 4);
    T('-58436894', '7.0251391957491', '2', 69, 2);
    T('-7983.0482036535814629', '-380604.46678', '-384960', 54, 5);
    T('-2552789.64684053281', '-42622609.619', '-45023189', 14, 2);
    T('-6.0745522', '6.01062865E+9', '6010628650', 4, 4);
    T('31568.599731635074073', '-101306120.4476930159', '12368', 46, 2);
    T('-14638137.383', '-8', '-14638144', 16, 2);
    T('-4169.011246854088159734744', '2552903.2915354066808111', '2548743', 52, 1);
    T('-11033806.887', '-42809084.42541505254881454883', '-44924672', 74, 2);
    T('8960227474.01604319960710319', '-167675081.86418610', '8959047698', 6, 1);
    T('-88979586.0881811288521', '-9', '-88979594', 8, 5);
    T('63010.1', '3507911378.65', '29186', 70, 4);
    T('874591336103730322.9', '-879.8', '874591336103730320', 73, 1);
    T('8816265.477912318522467857', '4759.886', '641', 13, 1);
    T('-42.555354401570732188299', '-32778581.88784063178966', '-32778622', 87, 6);
    T('12.7258210495453648313', '872996007324511150591.6', '12', 96, 3);
    T('-9019', '45.4293314509599174304564', '5', 64, 0);
    T('1142467210127183.29736987208', '-8.25188853242394', '1142467210127176', 64, 1);
    T('25133.47026339', '-52688183493.064', '553', 28, 5);
    T('-7.83500555630651084438023', '-379148848.50232633873165', '-379148848', 54, 6);
    T('-6921461.53163149269377', '-23611655.6908', '-23715319', 53, 3);
    T('-6.65442052000', '47188.77139799602774', '47184', 27, 6);
    T('-7.04107898E+14', '-3651016881.55367728', '-704108310747904', 20, 3);
    T('17359.783707213928', '-4347276170.236772', '16454', 27, 2);
    T('-4844.460187207229724432870327', '-2.512E+6', '-2512640', 45, 4);
    T('-6678.17', '-173349429.0712256912433419141', '-173349430', 83, 0);
    T('58.901880903', '-2.0330643907675309940', '58', 24, 2);
    T('-7.562031E+7', '-1311.5524578315', '-75620320', 38, 1);
    T('-671208719702063.3222', '845692769275113959.759437755', '845692675771343297', 39, 2);
    T('-383.2175757771004017', '422825.8941309912481058', '422529', 90, 3);
    T('-6431802580.963381986788', '-654386443.63881589664767913631', '-6431811036', 49, 1);
    T('38685.99896727897', '-738509.74235060537248912', '37649', 13, 6);
    T('6697490921901.19701717109', '6.6', '4', 24, 0);
    T('3.15187919619759830636391805077', '-6.204102351492621348400', '2', 22, 3);
    T('6.998E+7', '9.75E+3', '1536', 11, 4);
    T('-7.26313319325660730029686205880', '4.838E+9', '4838000000', 39, 3);
    T('629.918351603814203756', '81.6049216300686044238212466719', '81', 49, 0);
    T('27815943.15297712378808', '4.27345057196215262569792067', '4', 50, 4);
    T('-510.9826726155326', '-142498388096980120.83103907337', '-142498388096980480', 96, 1);
    T('-1077.05704', '-6.06871E+17', '-606871000000000000', 69, 6);
    T('-30102.846', '-362.344602297901954', '-30206', 13, 0);
    T('-585127286.0431927685457693970', '-825950520.7422281061887', '-872109432', 91, 6);
    T('-26.750724387815607431924', '3332471286.4822530812019', '3332471270', 29, 3);
    T('-8.038065976743602', '698.26845838046674', '696', 21, 3);
    T('2.7144E+8', '-727', '271439872', 15, 4);
    T('-21142.85873132240310902099', '-84222370', '-84243382', 31, 1);
    T('-7.3E+7', '66096332.42694751692', '60819648', 6, 6);
    T('-745610016.563764', '-719645819.380293216195', '-787873664', 39, 2);
    T('-92525825.09197842594', '-5E+13', '-50000092454912', 23, 5);
    T('116211', '-90004858.39881286765438', '32898', 84, 0);
    T('47.928818903', '7.32138383621980299', '7', 78, 5);
    T('353.7302694104685498998920881', '-1.7E+6', '352', 9, 6);
    T('-34439.0984031475335745577855', '-134263.832108476746109', '-167671', 35, 4);
    T('204110053279509.44', '54831555.0326948147176022', '50364673', 50, 3);
    T('-6.7841713E+9', '6.0616019563900261567', '4', 36, 2);
    T('-4492.863298759467', '2E+11', '199999995904', 96, 3);
    T('-3.81240E+7', '-3.6E+4', '-38125024', 50, 4);
    T('-861.59', '-8961141.275', '-8961917', 54, 6);
    T('841442810.3677', '-3E+8', '570836224', 61, 5);
    T('3018708586893.664180308075444', '-270.42766055056941666674924', '3018708586624', 64, 0);
    T('-15.15', '34978908.60093055211946838', '34978896', 73, 1);
    T('472.0748833402551469889', '4830.20033', '216', 37, 4);
    T('-516649017808343.502282807', '13562.72430111817939887824712', '8232', 2, 6);
    T('-27.66', '993121.1917967734601619649', '993121', 70, 2);
    T('21.266569945455511187199684694', '-3592.63970417885617319', '16', 17, 4);
    T('-8.571022E+7', '435074.843324696', '270848', 30, 6);
    T('856193.36906333064240203575339', '717413.2911675505223994151', '528385', 62, 3);
    T('-568.519970541104170693716325', '-1347.459254596', '-1912', 86, 3);
    T('-72593996.26124912857', '-95968185.95230235', '-100400124', 75, 3);
    T('2746.74098', '8199141652.40321000738', '2064', 90, 0);
    T('686.6431', '-232567577.699434647641588544', '166', 36, 4);
    T('724548.7', '-62042298.954939', '593476', 61, 3);
    T('59967104659008.5432', '-33230385', '59967071625280', 49, 4);
    T('-98', '-5414733389.1787436627881168', '-5414733422', 53, 6);
    T('393980711.05', '33.8228906197217822240', '33', 70, 0);
    T('-9354.44487492655', '97.4676718188735030762723', '96', 12, 5);
    T('425112.2592', '-4015133.0577954519663', '145536', 10, 1);
    T('1866098979.211376164', '3.6209E+12', '238043392', 76, 2);
    T('787.3251514754253', '-9.5E+9', '256', 42, 3);
    T('5836329742.18298379650904704', '-4E+9', '4589899776', 68, 1);
    T('4109.410053260148730', '5.410133029121385044976', '5', 47, 0);
    T('126842575.670092142127988572', '-8954771.9869681636', '117920845', 59, 3);
    T('702833.527136239279', '-6815119.15', '524401', 6, 2);
    T('3.9E+9', '-5.1E+6', '3895461376', 36, 4);
    T('-9.177E+8', '-70772.167', '-917765632', 46, 5);
    T('-69547354.2062059596882835', '3941859738.434027000436', '3939500162', 55, 5);
    T('445.25', '-1.90E+3', '148', 81, 2);
    T('323030772.876599414718681838', '-154828359', '306249904', 33, 2);
    T('9.51736E+8', '-3.517E+17', '540688384', 69, 5);
    T('-9175923641.6516298117953559375', '-764078.449524851495', '-9176087486', 71, 6);
    T('-292296687.86', '-57709314.3062648', '-326932464', 65, 0);
    T('-3.6', '-92632748.6783', '-92632748', 26, 2);
    T('-9547.117', '561757017.90176667', '561748497', 63, 1);
    T('9420.190223', '-6828233089.24447', '9292', 67, 0);
    T('-2876591.5433385479490473', '-4428409179.77', '-4429180415', 62, 6);
    T('-19.28467835279', '8156498', '8156480', 11, 3);
    T('-3.93E+8', '-1.31E+7', '-401602560', 81, 6);
    T('-506.4998577', '97737486305983570648.3778', '97737486305983570432', 6, 4);
    T('51.38038672920695960139527', '4.728375497787E+16', '48', 55, 4);
    T('-7E+5', '662.0268', '128', 13, 1);
    T('922545861061578363.99', '1494023.497448064370545', '1313795', 69, 1);
    T('8949.84304173974256269969000258', '599.15', '597', 97, 5);
    T('994.863340182961', '-977185285.146', '482', 2, 3);
    T('684.8', '490215.507560503', '676', 88, 1);
    T('415978.101425800203336281707', '7.443688077473719', '2', 95, 0);
    T('73705195.05524414247715846', '-16.3392666356514', '73705184', 13, 5);
    T('8453.43408634', '-32562897391616996.67196978', '8196', 38, 1);
    T('2653876.6535004', '-4745.5167787417450655473', '2649140', 19, 2);
    T('355351863352472700812.6068', '-5.603E+5', '355351863352472175364', 15, 3);
    T('-546.5193618', '-9.3E+5', '-930544', 82, 0);
    T('-836.52714927', '-1607.3454', '-1864', 8, 3);
    T('-7E+1', '-20198519.079481621952799409', '-20198520', 4, 5);
    T('-40192.87680621', '7463792243056.9797', '7463792238848', 55, 1);
    T('4.22E+6', '1809262.5141436', '96', 13, 1);
    T('-9E+5', '-6846.5', '-900032', 31, 1);
    T('-778702.7', '-4.85955820', '-778704', 68, 0);
    T('761147.21341355', '-74063874.6977398', '105786', 64, 4);
    T('99.86363090120886156731948522', '3092733.0', '97', 17, 0);
    T('-447546', '-8197265292.57851121843903', '-8197691324', 94, 6);
    T('-601710278', '-53107417', '-603938526', 1, 0);
    T('75657.59413426507995', '735755526.9010723688', '9472', 42, 1);
    T('1E+9', '-94182.007963189853418582739', '999981056', 41, 1);
    T('-82.588653253637773', '3.30E+5', '329984', 14, 3);
    T('4.55E+3', '-372.215802797763507', '4228', 57, 4);
    T('-76.857334805191424456981324', '-7.87566696802657461', '-80', 54, 0);
    T('-846089.78', '66726.545008571060381', '66726', 14, 6);
    T('-3.5159128', '-6.2E+3', '-6200', 61, 2);
    T('68026818.1', '21980.67902949556', '448', 24, 5);
    T('974625.980734', '85268.237034656605', '19712', 71, 5);
    T('-1.04', '-4.68E+3', '-4680', 37, 2);
    T('-514748713.50505044548', '-4.016E+6', '-515864448', 73, 6);
    T('-31.2', '-6.8719682E+8', '-687196832', 23, 2);
    T('-4E+3', '8E+9', '8000000000', 29, 4);
    T('507.82437378649108622154226', '-4294', '314', 23, 2);
    T('-5257454797.01393', '590330.3995073410959079319', '65842', 17, 3);
    T('-2.2666933098980024278341925', '45.457220682226998', '44', 76, 5);
    T('-1E+5', '-9.92224167326385643', '-100000', 35, 5);
    T('-818268.200246416692949867', '5.79842879E+12', '5798428246176', 48, 5);
    T('6.040E+4', '-7E+1', '60336', 61, 2);
    T('-46336.263067154006', '15639793390.26680675068935', '15639792128', 51, 1);
    T('-56022258.075671849', '-6.5873003651636503168', '-56022262', 46, 0);
    T('266673.4475511349669596093', '186809690.53697805559975', '4368', 94, 5);
    T('-104.220858634', '-85.7859231235633443818145924014', '-120', 22, 1);
    T('-89.826380907429899', '-600416.4502587546861553163612', '-600416', 18, 6);
    T('4E+4', '825087786953957085433.8962', '36928', 68, 0);
    T('-665.6072002106735262004', '-598236940.7421822402515383', '-598237084', 97, 2);
    T('-64.16', '-78699.9187860811132216595290', '-78720', 99, 4);
    T('4714835404.847023702', '8216922.224315491538842207', '270664', 36, 3);
    T('6.239184E+8', '9669.6983215', '9536', 2, 2);
    T('610520.26887544268164635787', '-679800.749367317687156081810854', '65672', 14, 6);
    T('-6842.067', '9.568733E+9', '9568732480', 51, 6);
    T('629253657', '-8.47E+6', '620790288', 43, 0);
    T('-9.19384911540562E+18', '-394.72640029934480430', '-9193849115405620128', 24, 6);
    T('-64659.55261', '-391870.84834045024782163927', '-392896', 94, 2);
    T('-2116.1221854', '684397.40216481587010445502797', '684332', 63, 6);
    T('56.905606811650008925678', '-820501.727535525907', '40', 81, 3);
    T('-414129.1472', '199699.279', '68611', 68, 5);
    T('-66.9002404076627826381002', '42872470.001602', '42872470', 52, 5);
    T('-7406467841.576136', '-538592522.1080449', '-7407140618', 82, 0);
    T('4184455.6105020606925', '-3622.1776693223862779439', '4182402', 75, 1);
    T('-20800.60323866433', '8.08018E+9', '8080163328', 9, 3);
    T('-1524838318364974.2967', '-3946.408', '-1524838318366574', 62, 4);
    T('986.2', '-77462259.3693257333922710', '264', 34, 1);
    T('-8618024281.89251225973189906309', '-50208760.3026773555', '-8656953344', 46, 0);
    T('-4826', '9.6E+6', '9595904', 31, 1);
    T('1083921.605854588', '56.0200187932052614852569001', '16', 79, 5);
    T('3E+1', '-72326645.961747763992304', '10', 71, 5);
    T('-924.16825445008473', '774767.108138806007890978', '774244', 62, 6);
    T('1521.740334417217342759967', '6722765466.16346', '144', 60, 5);
    T('-961.38735596896430991028267592', '2.39782056695275439085465', '2', 12, 0);
    T('-56164.41776091566', '-9127353111.68391', '-9127385976', 40, 0);
    T('599917626.5600314113382', '-129996.437034', '599917616', 98, 1);
    T('-7181041317.08', '-3.0E+7', '-7210926080', 99, 6);
    T('-2257.89206353084', '-94138.193', '-94202', 34, 4);
    T('-251', '92688497.123570485', '92688385', 25, 5);
    T('-89.846628947573185', '2156253882.197003619', '2156253858', 75, 0);
    T('-5549713.7634224107352860368000', '889810751', '889798959', 27, 3);
    T('5.468473100959222005', '5835918276', '4', 5, 1);
    T('236267.13', '-7968044.96305782682', '133824', 21, 4);
    T('9', '-1714.9092988', '8', 23, 6);
    T('-6.756246191', '2.3983E+5', '239826', 25, 4);
    T('-512.6', '-2.850647386720482', '-512', 26, 0);
    T('-875504320.99318', '27868418.981570553301167810471', '25173248', 27, 0);
    T('-290.58003258', '42166355.392606456567163116295', '42166354', 77, 4);
    T('-5.311E+8', '-740592237.8357326868799083383', '-1067973504', 69, 2);
    T('465826012264.46090', '-6.3E+7', '465805021248', 59, 1);
    T('-4901877.8035370829616164850', '-8442.4794417742246654735', '-4910078', 11, 3);
    T('-9.3475973439650431645', '3.43', '3', 71, 2);
    T('4.224418E+7', '-48675.179795514952106118386', '42205268', 21, 4);
    T('41910822.341211952241', '-83577.25532515113133576583179', '41844742', 12, 0);
    T('-5146666165.1920358728475713', '-6.0865992E+8', '-5214039552', 52, 4);
    T('-7006628.0826597733280107543', '1488.0786122694', '1104', 89, 3);
    T('-769.5953720583', '-3.64E+9', '-3640000512', 8, 1);
    T('-788267.0233304749066272', '316567.35560628753589271103', '53397', 65, 3);
    T('-3.9903012027345500E+20', '-5772306.63270882975531436224369', '-399030120273460248000', 13, 5);
    T('-348.27828736949034873', '8806682.2038', '8806400', 72, 0);
    T('4.115E+17', '2568573.3307244476363286', '131072', 26, 4);
    T('951162166325164.27231775582895', '-7.03802E+9', '951155135874592', 14, 2);
    T('-5.9858686E+12', '-9.4', '-5985868600000', 96, 6);
    T('64511.8041611327651251', '-77364310.642', '33706', 65, 3);
    T('-4.3602624076005336', '6E+7', '60000000', 83, 2);
    T('9760382408843756601.031', '5739.30542462718', '1065', 51, 0);
    T('-8.646227747', '7.89E+5', '789000', 53, 0);
    T('434.321780697', '7707.835879924984484', '18', 87, 6);
    T('1112.2357919484106756422', '7876.5661154', '1088', 8, 4);
    T('3139001.14622642469', '-5.89271504818861923', '3139001', 89, 5);
    T('-507266.83809413171996946222', '565.35430', '564', 85, 1);
    T('7E+1', '-191632693090744017140.9', '4', 61, 2);
    T('-23787604.61462682', '-4.0953E+6', '-25099604', 14, 0);
    T('-159136.189095928706', '35.7', '32', 73, 5);
    T('-1.63659E+9', '-932.155396891866893662546', '-1636590512', 24, 2);
    T('-1.441672E+8', '-9.9158763452336', '-144167200', 50, 0);
    T('-351.85049975', '61.66317', '33', 10, 4);
    T('42971.62765', '9.1252221326', '9', 18, 1);
    T('-649860258.202834705698568752333', '165.5821906677249396166', '4', 43, 4);
    T('99534.97', '-7767638313.788190548867634', '66758', 86, 1);
    T('912816741.3765890660957970', '-3.1423381601593184555', '912816741', 97, 1);
    T('-9978.425775037507804177891140', '1714', '2', 14, 2);
    T('-20881.475287038589', '-65693.1935473847636095149', '-86429', 15, 6);
    T('-6144003.257516098222', '-8E+9', '-8000622592', 53, 5);
    T('-2.60000E+7', '-4896.70523024436960621194024', '-26000256', 7, 5);
    T('731264.687308565', '-3.06165924E+9', '133248', 81, 1);
    T('-6561903706.1622003522212847', '-8.39251795E+9', '-8443116926', 28, 1);
    T('2879.3366151654548', '6.39E+3', '2102', 50, 6);
    T('-3558669.5815694106790', '449225017.57189', '448831537', 16, 5);
    T('-8.3871358207442673', '2283.20', '2280', 17, 3);
    T('-564.772445895', '-8.1039819641E+11', '-810398196412', 18, 6);
    T('79934383.9769777967', '5888991301.7443945', '67280901', 35, 0);
    T('-9.531481', '7.6333052609E+12', '7633305260900', 88, 1);
    T('-8426.6', '-2.4E+5', '-240128', 16, 4);
    T('-12133744.866895707190', '-150412.992', '-12283888', 51, 1);
    T('-3.06', '209578796.009496465055990754', '209578796', 83, 1);
    T('-718.27579402', '69522965.7456538563039869861309', '69522448', 68, 0);
    T('-2.4E+3', '-996780.228098658573720', '-998912', 25, 2);
    T('7.41838425786787480613483833658', '675010078317335.4609', '7', 43, 4);
    T('3.27E+5', '-3.31466E+10', '263488', 64, 0);
    T('3791185.4909', '3.25997489E+14', '100416', 51, 3);
    T('3675466640.505712882', '-8.878E+8', '3406899968', 57, 0);
    T('4456260962', '-2583961.68475040210683', '4455923810', 92, 6);
    T('7233521048.96146466', '7.12E+5', '181504', 62, 0);
    T('-4433.8544', '-59688557.254073', '-59692925', 6, 2);
    T('-2.72114893784980985', '-6091636.1106427541992658', '-6091636', 89, 4);
    T('-5.234E+8', '-5567.549605458170263304573', '-523401152', 26, 6);
    T('6.20E+8', '-5.434847222098', '620000000', 28, 6);
    T('-167033525490.1195818600127', '-735990528.98727', '-167168136960', 97, 0);
    T('-843870.82', '-9', '-843870', 31, 2);
    T('-9.183E+7', '-468.77211633274864', '-91830272', 28, 3);
    T('-468441924.228308451327761585893', '-67544.2780461', '-468443096', 97, 2);
    T('-59.74505771945097906524853', '-2.976776598693393770289257', '-60', 91, 2);
    T('720.95778913', '75168492.98392268', '704', 25, 4);
    T('-4012577.557213', '-331151308.40549078560115', '-331218924', 83, 3);
    T('-1.36263546515115299684131341902', '-16769363962241.7250092384786530', '-16769363962241', 67, 4);
    T('-4546782.9869574737271', '782210055.0215381317198234733', '781882370', 97, 0);
    T('-793.996763178009483658515955', '142828.20', '142564', 56, 3);
    T('224.9646763', '-17285709380.577065', '160', 28, 3);
    T('979.13507353530317902131', '-39628483.55189788661254773', '273', 97, 4);
    T('-866718553.1988638084', '1412.58553', '1156', 32, 0);
    T('-9.7E+3', '9.5383718', '8', 73, 4);
    T('-4800.12', '-6.9665069E+13', '-69665069004736', 31, 3);
    T('-78.728498335', '-39.905761553348', '-112', 85, 3);
    T('900.2671125', '4.644E+4', '256', 93, 2);
    T('39636076.024', '9.758929276810004', '8', 39, 2);
    T('5697.7004854214337834796', '-82392', '5632', 83, 3);
    T('6408.6501001509887', '-8.3E+6', '6144', 88, 5);
    T('-82.6972193199514110885', '-503.47220', '-504', 32, 0);
    T('4.85609578511208810413954408', '4855941.231098480785031', '4', 71, 6);
    T('-582006.30346203295', '-7098333.309512', '-7139326', 61, 2);
    T('-9.26977350475457', '-10427018.0247549791', '-10427018', 7, 1);
    T('-87031024025097.682775680', '-8.77E+7', '-87031027826208', 93, 3);
    T('9127.7502069845', '4201613782696937652.054272', '164', 78, 0);
    T('2.41708124061294341E+19', '-96806.9225258176971612721270', '24170812406129362384', 29, 5);
    T('-8.4188306', '462990342.1382650940591', '462990336', 7, 2);
    T('8522285121.121054830463744', '-10090948.24708733', '8512733184', 79, 3);
    T('-141240.7885645452245177', '657716598.9', '657576000', 56, 1);
    T('-25.77450823967970175272187501', '-619.889537569936', '-635', 8, 2);
    T('116571.819781055717240056', '4.708560E+9', '50176', 4, 6);
    T('5857837306232.40', '-957733025423780030.91438', '288304173376', 22, 3);
    T('-4.34029762452039501', '-112019771160824851063.823130', '-112019771160824851064', 7, 3);
    T('-7.611705812428347589463329', '-7.356792E+7', '-73567920', 60, 0);
    T('-959374.641872924513', '36.4399997646551', '32', 54, 5);
    T('-5.4933E+9', '-6.87115642762129', '-5493300000', 13, 5);
    T('-494838.07720770640046359', '2935.70685', '770', 38, 3);
    T('8E+2', '-8.1E+6', '800', 87, 5);
    T('-45445.35466', '16319972.32', '16319584', 43, 5);
    T('-70030.085623650315911934854', '-4.83045', '-70032', 94, 3);
    T('-358040.9608523347076852719070', '55403.276', '34920', 50, 0);
    T('287202690.3648793841592261', '-72958593.2490', '285613314', 43, 2);
    T('-1.2E+5', '3.3E+5', '264448', 83, 0);
    T('-67.8660411849246134300', '-6349.52406643533030', '-6351', 40, 5);
    T('2', '959.402259548256424017', '2', 25, 0);
    T('5235.069701404598810', '2.97938325356370724163', '2', 17, 6);
    T('707.41833223153746187417330144', '-75.34', '641', 96, 3);
    T('-29379.2260434', '68060.50207096', '67868', 36, 1);
    T('876608.675543671345715', '-2.544664549693903171', '876608', 58, 6);
    T('91.46', '-71.302632170717', '25', 20, 1);
    T('79.852176772', '12573052.782247', '76', 65, 2);
    T('80857.6', '-12981237.66103', '75785', 96, 6);
    T('11.66043118', '1.04935E+7', '8', 63, 2);
    T('76154498.452765659669764085', '462664.08', '132608', 27, 1);
    T('18013481.6528756319456093378143', '-81836273.7', '17974537', 73, 3);
    T('46.9596579335734', '-39126.432893774', '42', 35, 2);
    T('-5E+5', '-934342.4975419461', '-1040864', 36, 2);
    T('-7517249.651288574175498888565', '-4822187.004582077', '-8107243', 32, 5);
    T('228336017.88958427820859810', '9409126616.949835239647548163', '9445520', 9, 0);
    T('-5.9808E+9', '-6298736358', '-6299834368', 42, 1);
    T('9.31376636E+18', '-734976129143522.1512', '9313761822634958848', 5, 5);
    T('2990807489', '28521.7664027712432', '2369', 71, 3);
    T('207124.5559713997935344355', '-7095047243.9256356480616', '141588', 51, 2);
    T('61835.741165924215128359114', '3.15501E+6', '8194', 49, 2);
    T('215.41811017389', '6159077.406824', '197', 87, 5);
    T('-222.9323890736371805655', '-58.69130126930131028150712', '-254', 35, 5);
    T('-39578078.0663', '-7526.7043647042109891997451', '-39583230', 14, 5);
    T('6.24E+3', '4194005303.745392493875500', '4128', 51, 5);
    T('-22216.022235482881856713477', '-571912507.446', '-571930624', 38, 5);
    T('7.7E+2', '74.035922333339', '2', 12, 6);
    T('53.997855573356829145971320', '7.69749973869', '5', 45, 5);
    T('478791.5996541500586580427', '923756154386.97140414176', '19970', 70, 2);
    T('-918.599209568893764007174719346', '380933.5725720737', '380928', 100, 3);
    T('306.71715807451435668342', '-7712821.38657674648', '258', 24, 3);
    T('-7478.4915994542', '-17.157967289', '-7478', 81, 4);
    T('-9.30654375434', '4.2432892305296797817663985', '4', 47, 2);
    T('-837708.74046290413363', '-7.0672630352171163631566181', '-837712', 2, 2);
    T('-15.061826139', '-182.7049182922061', '-192', 52, 2);
    T('-3E+3', '26311214448765.64848335482192', '26311214448712', 40, 5);
    T('83940906.8193331211', '2E+5', '1024', 29, 1);
    T('51.0178025002183', '82095609.515340796370472', '49', 11, 5);
    T('752574408.189176934302717', '-38250244.7654', '748181704', 32, 3);
    T('8018453954.263478273496', '-14.39727701452350473', '8018453954', 37, 3);
    T('-6.0', '756.9723391', '752', 98, 6);
    T('8433592368.51393208647716127551', '59358.7', '24592', 81, 6);
    T('5E+3', '-992690.871042565123409972162821', '4616', 53, 2);
    T('901257.09277', '-1.9E+9', '16384', 23, 6);
    T('5.93E+7', '-14168.5789810', '59295904', 61, 6);
    T('-5.96797968682880249598', '-5775.623480772925248', '-5775', 7, 2);
    T('7837108669.07', '-689822287.130952359727643468', '7820280241', 18, 0);
    T('-4038934426.6253256712781122616', '-562888.8381536382204263108024', '-4038967264', 45, 3);
    T('8.394E+8', '-53828.053459701370', '839395328', 78, 6);
    T('739683.21', '-727491628.98856767681206926230', '215360', 62, 0);
    T('213176.130050413999170', '-7424011624.64951700094', '131224', 32, 2);
    T('5642.7475339386846515467', '-190.22359574565672239016624544', '5634', 71, 6);
    T('-65.1544846641414602677830', '553.7', '553', 64, 1);
    T('-9054441.224', '80138383825513261496.18162506', '80138383825504862480', 57, 1);
    T('-83210606.0876268742320325', '-31524.69534322635', '-83229552', 36, 1);
    T('894799224.76735955047310950', '-7091504.569425113', '890341456', 36, 6);
    T('-9.384098155049379', '-7.9337597', '-15', 93, 5);
    T('-8E+7', '-828322429.89627219911572', '-903853056', 63, 5);
    T('61150469.4533792163', '4.35E+5', '262400', 13, 1);
    T('-6.73517728E+17', '632551.8185484787610458', '98304', 95, 2);
    T('87588219221.35605', '-3225204816.8345944932963620300', '86511845648', 49, 6);
    T('-4.23E+9', '-99634295', '-4260425088', 20, 1);
    T('66090.0', '651.05409606470943239', '522', 63, 2);
    T('-1.3696912E+11', '9.7E+5', '1280', 57, 4);
    T('2.14364457E+12', '-77248.40', '2143644569600', 78, 3);
    T('-268.60029486888210671', '98.4107583017140', '96', 59, 0);
    T('8608091531.12322167', '-870499.25206922548609', '8607761801', 38, 1);
    T('-2784.367154532', '-92258.462696976839727198560', '-92928', 46, 6);
    T('8.1510132488862613', '-98.30', '8', 5, 4);
    T('36526.588777', '-6736837.213931990567331102', '1066', 8, 1);
    T('-3.8', '4120730950.0967267665', '4120730948', 43, 5);
    T('-405.54749711', '-46.4', '-446', 87, 1);
    T('-674.52187820412', '-57576.9202552726801667748982', '-58088', 82, 1);
    T('-81517.770128215555284864753', '-4872.850360817254303719434834', '-81776', 99, 2);
    T('326.997158706', '9063', '326', 48, 5);
    T('-4976404.87161753316420', '99521.3437361655', '192', 83, 1);
    T('9071907.915039176553', '87684.03065044701546499354217', '17408', 87, 1);
    T('574664309.76027850478759', '197.09876056480', '69', 99, 0);
    T('-4.001E+10', '-99690227', '-40097097472', 61, 4);
    T('-94511098.69795422717867', '994494.2', '860166', 9, 1);
    T('4.6841571625485388', '2180917071.6', '4', 79, 4);
    T('-771826921.93713373', '926565.839274', '918277', 26, 2);
    T('46041.16', '-5023698433.36109809857', '12761', 47, 3);
    T('7907.56769340310920', '-33312220.743865840116533', '4640', 95, 6);
    T('-27081.46762962433811659152810', '9E+6', '8983552', 64, 2);
    T('-49826.362', '-180959313.839663603', '-181009138', 78, 4);
    T('-4.6E+9', '-9E+5', '-4600102912', 29, 3);
    T('54375175.5308470324', '2.5826227242699', '2', 59, 1);
    T('-5721999.676788291328707837', '3701187853.90503678266799818418', '3699941377', 19, 4);
    T('545.781394438955545204377', '3.86E+4', '512', 36, 5);
    T('80060.87998725821179357', '2710.963843017', '2196', 35, 6);
    T('781.447047444094330', '-1.96351742254E+12', '4', 85, 2);
    T('5.7E+6', '-71.651163264972773937818890206', '5700000', 5, 3);
    T('-512646561.769387399008', '-273423.730580300405460006', '-512654767', 35, 3);
    T('-726506.927', '2.29714734299265962', '2', 34, 0);
    T('-601.6221302585351', '-9266793189.8715110241167', '-9266793213', 14, 5);
    T('75.608396965809', '-293742089.99691', '67', 94, 3);
    T('341.07', '6.40', '4', 30, 3);
    T('7440333.097704459147276', '24215.0', '1669', 96, 0);
    T('-41442.3948639476237968', '23.7100964013345111563', '22', 62, 4);
    T('-6778202.626546902693437', '5.4E+2', '516', 17, 3);
    T('-6.64584E+7', '-3193149.1077314232', '-66501440', 7, 2);
    T('4092.613162731946550', '280254.398030749021127460819', '1724', 83, 4);
    T('-623869304.867627', '-6.7E+10', '-67606937088', 79, 5);
    T('66361.614195687184485126', '-338670279.8388484743572167', '313', 91, 0);
    T('5.99217596527012694E+19', '-828940570556858152.868', '59092859772939305112', 55, 5);
    T('881410.601765458116', '8E+8', '851968', 20, 0);
    T('3.8300763E+18', '113231869.704555635572081933', '69484544', 50, 3);
    T('159382.380095552762', '-1333718.362509', '140802', 41, 3);
    T('-3.13E+9', '-7.193076612E+16', '-71930766800526336', 28, 0);
    T('-93103088.86348317738', '-1', '-93103088', 11, 5);
    T('63341.7267711327098472', '32602.033308', '30536', 80, 5);
    T('6.5E+3', '61547734.346738710084711', '68', 28, 2);
    T('216124.5594889541372', '-4954933.9663851', '17416', 30, 1);
    T('-9.01E+8', '-474.832579867', '-901000192', 8, 4);
    T('867393.628287071569758873348', '5.32026E+9', '800768', 60, 6);
    T('7.5110773367197219098373688', '-7190.5752375497191338', '2', 70, 0);
    T('-9.6E+4', '57840266995433227814', '57840266995433209856', 47, 1);
    T('6126778250.6932', '8.87E+9', '2176384', 85, 5);
    T('-4810.22059153305933416437393', '-7.137110925', '-4816', 60, 4);
    T('29695.4063262719509423475248', '-3521.50181', '29247', 91, 4);
    T('9771819.01044152840523352553068', '433805224.2180318259532', '9507624', 27, 1);
    T('5.827E+15', '-428', '5827000000000000', 7, 0);
    T('-92.5376883847394374', '-23015028.90667423286', '-23015036', 2, 4);
    T('2125148.2969722655453397', '-8204.004158617837831477143', '2116948', 40, 2);
    T('-43158060.740853900418800', '31.853238772434502725897634', '20', 48, 5);
    T('-9442342.73983265839', '7299188277.399418', '7298138640', 86, 3);
    T('644.537084094342057', '3.0232E+5', '128', 13, 4);
    T('-5057.5628221894528934632602', '-5.005139685869975285', '-5061', 93, 0);
    T('570685385.620944', '-8.4E+3', '570676992', 46, 5);
    T('43.09', '-54630.2034892940419423', '10', 18, 0);
    T('-7.4E+13', '1.266694290E+11', '68853694464', 27, 1);
    T('-893639404.399547963', '76976375.012210545', '9699348', 5, 4);
    T('-16497026.33065', '-86201', '-16513466', 76, 0);
    T('3.51590487375', '-6686761.54745590939428854', '3', 96, 6);
    T('59638.40', '544', '32', 40, 3);
    T('-146.7996296060208320', '-7.5356609170E+12', '-7535660917144', 51, 0);
    T('-52892968.177225496894', '4915760.5385638922088', '4719120', 88, 0);
    T('239482.2356708329653259972', '-9.99812423E+12', '197136', 2, 0);
    T('92.5905834942288388809729554', '19.3750613681869514201', '16', 100, 0);
    T('-72627908.629680', '-16.891424059713434', '-72627920', 21, 4);
    T('-736255196.41474523445764305574', '-791.806364949403405', '-736255968', 98, 5);
    T('-2.0379868509250111689989', '8551.23', '8550', 40, 5);
    T('-23873918.132', '98373.725482376', '98304', 53, 6);
    T('75694.44970471419578905097795', '2631456255.59883553627', '1454', 49, 4);
    T('-7.76E+8', '277089280.261015356041742283', '277089280', 12, 1);
    T('-71.5490774255495046890022179582', '46.356922', '40', 53, 3);
    T('51455863.79374329400598097', '-1.3357', '51455863', 89, 4);
    T('7.478898E+9', '-4.9099733880548632024287124204', '7478898000', 54, 2);
    T('1801327.8792152626096472', '-55439946201019626.66', '1198086', 14, 4);
    T('-3.52248883488E+20', '-95796535.504304593214801857376', '-352248883488025460736', 68, 5);
    T('-16593.06121492295915846801', '8799447855.364035', '8799431471', 60, 3);
    T('6921.2890678693977350162283670', '7.3070393868E+15', '2816', 38, 0);
    T('-97050.0330834885326750902484210', '59597.1252724846978028256479772', '32964', 61, 2);
    T('-3.5982917E+13', '-46.18819346069779306282692914', '-35982917000000', 65, 5);
    T('-2.34', '-10515.479483010320773', '-10516', 32, 2);
    T('-342.538', '-8455.274586140114012', '-8536', 19, 1);
    T('-509.251153226', '-1199262.966866937801839768798', '-1199614', 68, 1);
    T('4.84687984293224191849090083931', '-2521.749091807168818', '4', 54, 2);
    T('348013327.06056', '-1.7468E+6', '346308608', 81, 3);
    T('-72195.247371304253', '-2394114.0476', '-2464260', 55, 2);
    T('57667239.269718606485', '-2334827350', '4541602', 35, 4);
    T('-88.3', '322386924.3986', '322386856', 14, 3);
    T('693.5552339817', '45.53584203676280560680', '37', 87, 4);
    T('660.6', '-772584686.3065817262062', '528', 81, 6);
    T('7E+7', '-67003', '69998592', 12, 4);
    T('-97688931.91541721000111870', '-15.033361698189822', '-97688943', 43, 0);
    T('-535844.292308677749419', '-432778.8', '-966572', 11, 2);
    T('479937.078', '-47316.65813569971866', '475648', 25, 0);
    T('4461980.9456330048831', '-46', '4461968', 67, 2);
    T('1.246E+9', '-3.1518E+6', '1245995008', 95, 4);
    T('70075.751330609355657', '-932978983', '69785', 86, 5);
    T('-8572957576755025556.52', '230665327.803035578', '17148012', 81, 2);
    T('-2.14E+7', '583393.577285467874654740288694', '550464', 22, 3);
    T('5.188482401268175241531810', '-7945225.7891', '5', 65, 1);
    T('294108678.42536', '-471.38736', '294108672', 84, 5);
    T('-59463991.907494980285727', '-8E+3', '-59465536', 23, 4);
    T('60506.2135412', '104848.71', '34832', 39, 4);
    T('-16477.360929352616691046766107', '92514.171351223558476325036347', '76066', 71, 1);
    T('5127446.0514', '7225617.270494092051', '5112080', 95, 0);
    T('6256.79361918184491769725', '-2299458.53143223874335489', '2096', 82, 6);
    T('9.4E+3', '84.3970510', '16', 29, 6);
    T('-8767.3407888', '-2.01960E+11', '-201960008704', 75, 2);
    T('-4580.9755580919550818', '5.58715947281E+19', '55871594728099995648', 68, 2);
    T('82572999.3', '86.3', '70', 43, 0);
    T('6544', '-6.53625E+8', '6416', 76, 3);
    T('4404.5', '-64737.51058', '276', 3, 2);
    T('79366.0829717', '-99449150.51961383079', '1538', 9, 3);
    T('4231.8351767138674440121501593', '64778589447.5', '4103', 84, 0);
    T('-1.240E+6', '-6859146562734.8055', '-6859146588096', 94, 5);
    T('454775481830257083.4855', '8.84131229', '8', 26, 2);
    T('13.0', '22265.286745555677151886176', '9', 93, 3);
    T('52.8231203452996722595575192', '14009493.9965346987691116127384', '20', 90, 6);
    T('-8.587630374783364578022', '9.41E+6', '9410000', 67, 0);
    T('-9.97340E+9', '-8832.5688812433205', '-9973408768', 28, 4);
    T('4036317997.91908518', '-6304030793338653391.4398914083', '3229896993', 41, 0);
    T('-813688.8', '-8725342207.2584', '-8726147072', 52, 4);
    T('649969.9649998630391685254036', '-82222.1267', '568016', 13, 2);
    T('2515.814721177', '9E+5', '2432', 52, 2);
    T('-72018909.7788625474324843416', '-7.5E+2', '-72018942', 81, 6);
    T('-1907.1955342724', '-9.5942090E+9', '-9594210296', 78, 2);
    T('2385850074.9829396757', '9.8E+8', '169937920', 78, 0);
    T('-624991412.282747780782567', '-966.49932680712191518', '-624992248', 86, 4);
    T('23291.9744964094474861492241361', '-9.4997357', '23283', 21, 5);
    T('3.5679435E+8', '5E+15', '356515840', 62, 1);
    T('996486.16074645223412', '4628214897.6537445902931497957', '799744', 88, 0);
    T('-8980.8488043426587', '5203.4719570', '5184', 25, 3);
    T('8.58', '75.73693', '8', 61, 2);
    T('-95098862726.6301533777', '-8213434423.2497656', '-102775094456', 10, 6);
    T('2.29E+8', '-75345996.7958392257123250', '159531776', 69, 1);
    T('55139819.5', '7749774020.3096101741', '21498048', 57, 6);
    T('7183319807.48062086', '-8.4983239114', '7183319800', 55, 4);
    T('-36291060', '-4.384931420204624057', '-36291060', 29, 4);
    T('168.83295930954671931178', '463417.0603', '40', 56, 6);
    T('-1.710913483', '587274.120007', '587274', 2, 5);
    T('5193935162.92473226319', '-41672', '5193926968', 88, 0);
    T('-7148524842.86653260', '90474214.554131024125870', '90178246', 42, 0);
    T('-436640200.762566', '399.932317837899377354', '8', 83, 2);
    T('3902.98368007483980680', '71122.073195278496071124163298', '1298', 2, 3);
    T('-1072664.94297599102629489257', '-10309.4749823508015', '-1080920', 90, 1);
    T('-244.83841766', '91137.8219487', '91136', 25, 0);
    T('4.98437E+8', '-9094', '498436104', 57, 1);
    T('2378.257', '217873.892675009793743516847629', '256', 27, 4);
    T('-5059.3820243830605', '908301983.8682945', '908297245', 7, 3);
    T('456.11705', '4.52E+8', '256', 80, 5);
    T('-5122.0193231', '7.509E+4', '74066', 25, 0);
    T('-221394649.0', '-3E+1', '-221394654', 92, 5);
    T('-5688339303', '8.6645189E+17', '866451885402510336', 83, 3);
    T('163391396.3297077485', '6.988E+6', '2629792', 98, 2);
    T('-717647514165366333.3', '-2630.3172340166604058685890286', '-717647514165366398', 61, 1);
    T('25266.70503947986', '-439363118.4231473', '16530', 96, 6);
    T('5.6E+5', '6732898.59496103193593', '34816', 1, 4);
    T('-836003.442801924279092088597529', '50810468524.778626118883', '50809944076', 25, 4);
    T('-64117356.1600509', '-7E+4', '-64183152', 65, 4);
    T('899.07422', '2.57E+5', '896', 63, 0);
    T('5232437294.56344581673979682', '7.9', '6', 4, 0);
    T('-2.638626959691E+14', '686444763.42', '682102928', 42, 4);
    T('-87', '-7.3967', '-87', 78, 1);
    T('88.553', '-536916300549.7296539807', '88', 29, 5);
    T('-50816.975859966153', '-4.62E+9', '-4620017408', 9, 1);
    T('-9.082E+7', '-4306244135.17574616', '-4394442688', 39, 2);
    T('6E+4', '7.4E+14', '16384', 61, 6);
    T('7685.776913', '-130232853.1540128796153445', '3073', 90, 3);
    T('29740923.80386989607978705', '7.6E+4', '67680', 71, 3);
    T('61595.28258828146', '-763.964236', '61441', 96, 3);
    T('2810687.122228', '-10194.8699418511336975093696361', '2801710', 82, 4);
    T('-3.215E+6', '-3776775.37852331549331', '-3780504', 24, 2);
    T('-905300.39977909508144825', '-9830.059', '-915064', 20, 4);
    T('-188879.41443464829081530703', '8.37658320245375E+16', '83765832024397840', 40, 1);
    T('40.212187983', '8036298297.1198126548139', '40', 71, 1);
    T('-60540814.3665070779', '-37811.815731953', '-60544960', 16, 0);
    T('80675468.967148471937451', '-7.06245E+7', '13238796', 9, 4);
    T('6.31258E+7', '42089573.123354478862160', '42088480', 39, 4);
    T('9941.27', '-2183.41', '9809', 71, 3);
    T('-5297288.2201190749831906', '4945.01923858605732', '848', 77, 4);
    T('-87.1387', '-2.9E+8', '-290000000', 17, 3);
    T('758142.341993604959686580', '-2.00671E+7', '622692', 69, 1);
    T('-4367512140.14', '-5484788053.8', '-5485886304', 78, 6);
    T('618483.664291272', '-6.1E+2', '617874', 55, 5);
    T('-39913.0167884428466774317', '75.0057746982256945124420', '3', 31, 2);
    T('-13101.067098849911771882050421', '-578007.48881937', '-586751', 7, 4);
    T('-2.33767125562551328', '88788786.35429483392732', '88788786', 38, 2);
    T('7396.177503396305088148099', '-5.2E+6', '1152', 96, 1);
    T('-3290748524', '-3505.782', '-3290750972', 29, 2);
    T('-52878838.552', '865423.6905110132', '598026', 55, 3);
    T('181117652696.42184320569639554', '-9698523933.040812708', '172493112512', 86, 2);
    T('9E+3', '-75269276.9765039272072886827788', '8992', 40, 1);
    T('-54952.316441536116076147579', '8507', '8472', 7, 5);
    T('627663295382.88851461', '-652067.628', '627663175828', 28, 2);
    T('812108880503760777', '-26.2193', '812108880503760768', 16, 2);
    T('58543365.546890207390336267625', '31.18713567644799190959144737', '5', 56, 0);
    T('-68219238.469', '4246307.289447591631185180', '4196866', 49, 1);
    T('-946.23786788883778448477', '767342.4904751314', '767054', 3, 1);
    T('-5587.31509793362043119', '4.51620236E+19', '45162023600000000000', 92, 5);
    T('-719833620.361', '-32354357.82022395499310076794', '-737147448', 24, 0);
    T('-12283631.192188080', '9713.12', '273', 43, 4);
    T('-8.0E+5', '-735.63174795', '-800512', 7, 1);
    T('539079.6309707371107756', '-3.096917009331253', '539077', 8, 0);
    T('45.73450276868827779386151', '-91.3590994166267853353237495084', '37', 65, 2);
    T('-12.90', '26134021717951.27745996795441', '26134021717940', 35, 2);
    T('-8507.9252483017448273537', '920.89358872491673939', '640', 23, 5);
    T('203.15769543291', '903431.888547245701225', '3', 5, 3);
    T('43728717797148095782.3669621', '351843612.78', '340800772', 49, 4);
    T('-4.1229E+9', '-6.4646E+9', '-8422160320', 17, 2);
    T('7.51917355841860210090', '78.642636583', '6', 64, 2);
    T('-135.98881240900076', '-1.2728931488920E+16', '-12728931488920000', 83, 2);
    T('-3.63278E+12', '789.0', '256', 73, 5);
    T('9288.8630128845415', '840839788.715896273', '8264', 6, 1);
    T('-962.255124010450161', '39354.95518239262909650', '38970', 83, 5);
    T('-703998619810.3471331', '-5.92610795509', '-703998619814', 82, 3);
    T('-6.4387436E+8', '865170.63969968632', '852352', 13, 3);
    T('-12443239254177361.83', '96194.4821885037230026813271018', '16770', 90, 4);
    T('71.200666350674059888', '7.277381093663', '7', 68, 3);
    T('-640539652.91082447090', '-10217097', '-650116748', 74, 4);
    T('-4.59566335', '-7.92536458095270590986', '-8', 55, 2);
    T('-309457033.6940934093451191', '51885955355701632.0500487', '51885955351445760', 14, 5);
    T('-7575470.188881', '-59.52939806239', '-7575488', 17, 5);
    T('3999.423752943095849634', '-5.08073E+8', '2968', 55, 5);
    T('34.9653750124302799556', '-9648881161.59581744346604', '34', 5, 6);
    T('4.8468383289705767171951597472', '6.008455056064148250477', '4', 13, 5);
    T('-70.035876741', '6592456206.232682554', '6592456202', 96, 5);
    T('766806.48', '32119124.9905608552', '659796', 11, 6);
    T('8.54E+4', '-8739037.4026905851977025678', '1280', 50, 1);
    T('497256.9247108197', '40841.937021456118', '38408', 47, 1);
    T('161480.43711964453667934682', '8616.535', '8328', 69, 0);
    T('-33.157855615982747', '-76.895927966', '-108', 48, 3);
    T('98480.753229475126616935', '145.666225856', '144', 80, 5);
    T('9278707.30009515', '4.22757E+6', '33010', 3, 3);
    T('-143005.430932874930', '-43848412.001589203', '-43990752', 49, 3);
    T('62.49367963201031390', '-463719778865605354863.2', '16', 40, 5);
    T('6505.7915', '2124.10572070964306487', '2120', 61, 2);
    T('95407405.407804089731467706', '7869357.874997', '2621741', 43, 1);
    T('-3.36E+6', '88016834.6772353963937900', '84673280', 67, 2);
    T('-427560035730272370686', '-445797.755362504050292884390', '-427560035730272550910', 80, 5);
    T('-23.801906514532187128', '-4.2E+10', '-42000000000', 30, 4);
    T('54406.0373875009', '-785.1065', '54406', 2, 2);
    T('-3.976E+8', '-13.931584015679712600977476233', '-397600000', 94, 0);
    T('-13.2000668', '6236.807967391242', '6224', 15, 4);
    T('17.7316580393583407785528331558', '364606899.6560187097637588795', '17', 1, 2);
    T('7716919894.9578292711860131', '31015445.683171', '30425620', 19, 0);
    T('870082.51985589822287386', '4479427653.9144698665', '787520', 44, 6);
    T('-1.4318E+6', '546846973344.24803691', '546845623552', 29, 2);
    T('487499.340020153', '91.14647462245290222', '75', 92, 2);
    T('4.2576484E+9', '1648266496.1917027082410908', '1611042048', 59, 3);
    T('-2.7263768E+16', '-5.911070754E+12', '-27265006041427968', 84, 1);
    T('-564325448070859845.8', '-15124.13053706839', '-564325448070872920', 16, 3);
    T('172356.2243595712690023247', '-2.24873448129519', '172356', 91, 6);
    T('-724990305.07117', '5.6E+2', '528', 71, 4);
    T('1.299288805E+18', '-99521.87', '1299288804999967232', 73, 6);
    T('4E+7', '3532176.5689633554815868373354', '2113536', 60, 2);
    T('-4447940282.610000132818044', '4080370284.300940453452240231', '4062281796', 82, 5);
    T('8.34E+9', '394075.1865194350996153224', '131328', 61, 5);
    T('40675.92635', '13729.4812726470373841295825508', '5281', 66, 5);
    T('6224565.3408923778347', '163992.707061', '163984', 34, 5);
    T('-980.072390520590174420207742051', '-76.675048869', '-988', 6, 0);
    T('-812797.8636016339581586112', '-9.9910', '-812797', 91, 4);
    T('-864442734489847180.220359', '-1.07816676981636452744736113474', '-864442734489847180', 44, 0);
    T('964455668.71683466902200', '24105.069580416436', '19488', 63, 0);
    T('-83327136.19908885827468', '-6.114E+4', '-83361504', 51, 0);
    T('-9196.3771', '3304698248.5983982058', '3304689664', 64, 2);
    T('4.076E+4', '726.2429372083', '528', 15, 1);
    T('-8987.1530', '3.427143E+7', '34263236', 81, 4);
    T('2.613773E+12', '-5.49366739710825463', '2613773000000', 77, 1);
    T('8.3410E+9', '-58.9272227348066', '8341000000', 22, 2);
    T('-90719916.2422', '6029.908119', '4356', 13, 4);
    T('7.39313696E+9', '-829184.03', '7392612608', 19, 1);
    T('-164.34875987915342301', '-4738661995644.45', '-4738661995772', 28, 0);
    T('51.0986111', '9628.490520', '16', 58, 3);
    T('2E+4', '5.19E+7', '20000', 35, 6);
    T('1269.07815329539', '7.610E+4', '68', 67, 2);
    T('97634.4011213', '-3456921.295579569', '82018', 83, 2);
    T('-755.53045612861093', '73965370743258303451.36', '73965370743258302729', 8, 3);
    T('412967484.2407', '-6953110881.07', '9265692', 1, 1);
    T('-6426517.5031748402111225903815', '-113.6534000410480', '-6426613', 7, 2);
    T('-217758440218114.259141607', '92983049.8', '25297160', 28, 1);
    T('9.245E+17', '31685619.397511465222107813104', '12664832', 44, 3);
    T('-708697826.58', '-4.70E+3', '-708697852', 15, 1);
    T('-37.4', '-875.75048721009478219300560610', '-879', 8, 0);
    T('144244.58386', '-7681633325.608188123667126', '136016', 73, 6);
    T('862.1296982940270', '860.31452793', '860', 27, 5);
    T('-83351307.8203735065958', '-44482686.0872825', '-116905856', 27, 4);
    T('3.4099251E+8', '-14.452060489086', '340992498', 70, 0);
    T('-406.1819778260479', '-1.6300349E+15', '-1630034900000256', 47, 2);
    T('73799019690292.0773767975812', '859641.7073683377617503075201', '530736', 94, 3);
    T('2431.28579047527', '-1951969844', '2380', 48, 5);
    T('3993703261.0609891188503', '1836.372935', '780', 40, 6);
    T('6616737494.6861418018447', '-4.659677189791559143', '6616737492', 81, 1);
    T('-8318396697.1099229247159', '-563778390.5787105831622', '-8319056734', 40, 5);
    T('500.6861973737592448', '-4.331723916E+13', '320', 72, 5);
    T('312390.7114582059067', '-6.35290', '312386', 9, 0);
    T('-7.0001187126985', '6337.867136930752740005249651', '6337', 8, 5);
    T('-320911.65906824', '1122.93293451', '96', 25, 5);
    T('11880.4942846320133442', '8.7466425', '8', 82, 3);
    T('-66.7668031656080240612148445134', '-6.8976E+8', '-689760000', 95, 0);
    T('-9E+8', '294370.041448980756', '5376', 43, 5);
    T('204.934440293850', '-2.247965861846093298603', '204', 79, 3);
    T('421328541.50170228892062546621', '-7.889318377128436670', '421328537', 65, 4);
    T('-703319589527.4421', '-4.894461E+7', '-703367993336', 63, 6);
    T('-7.911E+5', '1033214.1386067749625', '246212', 26, 2);
    T('6.0E+5', '-7855134507.507027134547841', '532672', 67, 1);
    T('560951291.515897639940641250', '-971.7586573365685864706678', '560950321', 80, 3);
    T('-20967.6286261271644341', '84639.44586', '68121', 97, 4);
    T('-2033859505.0952849384', '2.8E+4', '17472', 67, 4);
    T('648565859.982863464091329699', '-6.41E+8', '8918080', 13, 4);
    T('-1.8E+6', '-851834.550105090542943', '-2097024', 48, 2);
    T('139.51', '-7.70473E+6', '2', 84, 0);
    T('7197523741.8830', '8398135781', '7046521093', 41, 2);
    T('-2.632137', '94.832', '94', 78, 3);
    T('-9171.313749143664748544592', '2.3E+6', '2299936', 23, 4);
    T('-6.630130065173084281', '-3289602.403535', '-3289606', 86, 1);
    T('-651437992.025894239172', '-2.6743706E+8', '-804579240', 49, 3);
    T('-42383.060', '-1E+9', '-1000009216', 77, 1);
    T('-9385304', '47', '40', 18, 0);
    T('-4.54454671E+16', '99251.1511926454181308060165725', '256', 11, 6);
    T('2.6E+9', '570.973194606', '512', 55, 1);
    T('-2472804.4376300196208', '3680326664.798', '3679994888', 65, 1);
    T('-9.2188E+6', '5370.7880', '5136', 54, 1);
    T('-8657.2889', '52940.855045049092', '52748', 96, 5);
    T('-12452.5019345379', '-82251.3296294447252979939512', '-94700', 55, 5);
    T('778.5452516442160122', '-23355299.5049907353921226', '8', 57, 4);
    T('-5107.318272110833157825682610', '-4.06134151627801679', '-5108', 5, 2);
    T('-3.2E+2', '-9418813657.052530', '-9418813952', 38, 4);
    T('66741052394.046757380907', '-9309043058165726434.901292', '36542022410', 32, 0);
    T('-7.5E+9', '-90.70811674037905116', '-7500000000', 31, 3);
    T('4.39830580859621307E+18', '1213211009.368385082', '1077936384', 26, 3);
    T('-1452215.7784220986746717', '4924654.765930414791536', '4785224', 71, 2);
    T('5.7E+8', '-7.46459345484484', '570000000', 24, 1);
    T('701.4261456810308', '8363320395.5185944094425103904', '9', 72, 1);
    T('6.464E+5', '794298568.77222564732', '526336', 13, 4);
    T('4.6E+4', '-6766.279649085612344473', '41360', 51, 4);
    T('-69325', '9.497E+17', '949700000000000000', 63, 0);
    T('-9.38E+7', '-777593.172359943', '-94363520', 97, 3);
    T('-4.5255875416655E+15', '-1330.543196081', '-4525587541665788', 99, 5);
    T('-75.57355205839806398820386133', '2.46E+7', '24599936', 60, 3);
    T('-99554.606773834', '22.368359940868350', '22', 87, 4);
    T('727222.8306613537113738536807', '-94.77420017802019744697', '727202', 27, 2);
    T('-2.17657502479E+15', '-140.5723488', '-2176575024790000', 48, 4);
    T('-9306.54778868044157847188', '979043.0050720148129005', '970786', 78, 5);
    T('-72936.18404510056', '1359.981345509766235710', '264', 28, 1);
    T('563581.151434482816', '-9135152.5789300368', '39248', 59, 1);
    T('-240204200.157700999', '-8320481725.312361399533363568', '-8320547264', 34, 1);
    T('-4.46156184522E+19', '8.3E+7', '4223488', 3, 3);
    T('3992.57865099', '7.32307682240E+16', '2048', 35, 1);
    T('-23260173', '759364313.867396', '738202321', 17, 2);
    T('-286077.61051830577043653', '-1.987000807833599', '-286077', 38, 3);
    T('-1.584030192633940', '591446.715', '591446', 1, 3);
    T('-30755652073.4541', '-5502.882477028077681627', '-30755657214', 89, 6);
    T('240192', '-4699711629296.96798816', '231424', 36, 4);
    T('-7E+6', '-4082925889.1877391', '-4085174272', 3, 2);
    T('-33085013753958212.1526473', '-29.993753617232', '-33085013753958240', 13, 4);
    T('9.8112E+10', '-39117', '98111995904', 74, 6);
    T('2644047464.49911845480419632', '-84.6443722247871', '2644047400', 66, 4);
    T('7852.243615212793085', '-4157860.5550632529', '3596', 91, 5);
    T('-5886395.1066395746410068', '4918650.099787950', '134208', 38, 6);
    T('8325104054.6928336788893355', '-9042.88248076642934213', '8325103782', 100, 5);
    T('-8.435301844201', '-2.2E+9', '-2200000000', 15, 2);
    T('8652.03581845583492557', '52497.1464918869207231', '256', 8, 3);
    T('7766.91571653613', '-3.3735E+7', '7680', 92, 1);
    T('-85829241.9734022188416167467', '202427334.3975208448672164', '134236550', 100, 3);
    T('-248373.03232703597', '9347513.9', '9183625', 26, 2);
    T('4.197328E+8', '8.877913036200710E+16', '268438528', 34, 3);
    T('-18640647.975070773393785726', '9.9640513835835E+16', '99640513835044984', 1, 1);
    T('26.808476461257422809', '9116825', '24', 84, 6);
    T('-902490613701835.91795', '-39975.43997305941', '-902490613734639', 66, 2);
    T('599.769854087890', '-236607.5898', '577', 10, 4);
    T('5.99E+8', '85373819.43061627143972', '18088768', 53, 1);
    T('899319.638711290536242755878563', '-903237.29527', '12467', 30, 6);
    T('5.67E+4', '620285.72573218344775802', '21628', 63, 4);
    T('60502.062503443', '-43736371.17662665585', '41028', 33, 5);
    T('-8.76193837339978243', '45793805.387232977', '45793800', 15, 0);
    T('-7011.02', '-2830291.120503158', '-2834419', 55, 2);
    T('-864053.6819776625753432', '-3947554.25769', '-4013878', 36, 2);
    T('-6E+6', '377589967.516303244', '377491584', 37, 4);
    T('476.4701058660068336880', '692119.0620854992071', '404', 74, 1);
    T('38.739482', '-5E+3', '32', 40, 5);
    T('-59.5830484436688926102895428', '-57.42353048901992375', '-59', 93, 4);
    T('-2451.12899013911114096064648', '83889.6609568', '83489', 1, 6);
    T('-3705.2363598462797586', '-946999933.779353852127351', '-947003005', 42, 5);
    T('411.43871510', '870749099.41075001', '395', 59, 0);
    T('7383352.128446285280713', '-7840703020.6039901836549982', '2099472', 45, 1);
    T('479452533.8', '5381.636704479832329690686670', '5381', 57, 3);
    T('-7.0617485244164E+14', '1523.252806835439360783', '464', 31, 4);
    T('-49.3059094808119491', '-7.270984550E+16', '-72709845500000000', 44, 6);
    T('-89141490.4236906889288635', '3.433991', '2', 50, 5);
    T('-8011786305.34', '-129502.33741123250774', '-8011905502', 100, 6);
    T('-6297852037.28', '-440778.407545833503083885', '-6298253774', 40, 4);
    T('-84731572.67891', '2377803.52832227395261422210', '2099272', 33, 3);
    T('-2.35E+4', '44960310.55984051290732866', '44957748', 69, 6);
    T('-83.0496976266844220940138661391', '-57359994.4321119942225968', '-57359996', 79, 3);
    T('-1.37E+3', '-49465.19947', '-50554', 27, 6);
    T('249109991269888.74062', '-166.8294161918920103919', '249109991269888', 69, 5);
    T('-6522.300790', '-7.70E+11', '-770000002048', 9, 2);
    T('-7.847616639165315', '-4.455616E+8', '-445561600', 50, 1);
    T('8.358E+8', '-422.610936371231122064525', '835799616', 31, 4);
    T('1850474.290350', '415.63210', '10', 74, 4);
    T('85.85219276579100562312803757', '340324.9124031', '68', 71, 4);
    T('-4661816659.55633972', '7635321635.59716163899', '3254796833', 98, 6);
    T('-213.26930243', '764760.34420821542488635502504', '764680', 61, 5);
    T('1279505766.518299544321405', '84124262.398636200331416087', '67346534', 41, 5);
    T('-94', '-4210.79009148355062805053883', '-4222', 22, 0);
    T('-34411069.81448919513587401137', '-88834774668294502.262163735482', '-88834774668360574', 98, 5);
    T('-5.38470E+9', '66560.53338', '66560', 81, 0);
    T('1016934228.664831096483363593', '-3694815329.96906', '545589012', 74, 5);
    T('-203643.44310798026020771390', '5993682757824.65261727714552946', '5993682755712', 78, 3);
    T('929524246.857953000998164654398', '5553589800.26760853', '50661888', 68, 4);
    T('-5195076283.60339268092', '-92411.88288151', '-5195168507', 4, 4);
    T('-46429248799000.0807139', '-9.0E+5', '-46429249600416', 52, 4);
    T('55075663.12', '-7E+9', '37773824', 33, 5);
    T('-7.269631738135726', '-2E+17', '-200000000000000000', 34, 0);
    T('-928.93997', '-9.93446334E+9', '-9934464000', 90, 5);
    T('44.95850924127391538207357389', '-9596522.942', '4', 17, 4);
    T('-1.2475E+8', '83.852526586', '80', 39, 6);
    T('-898843194.65698206575816912', '2472625835.476490120347', '2187330690', 70, 4);
    T('-5.7285137E+10', '-5.157457E+8', '-57428277224', 52, 3);
    T('7353885.27434397', '-7.45956949909E+16', '4195328', 55, 3);
    T('596637511.53465661', '2123179.89358002553386415034268', '25859', 67, 3);
    T('-666430059.275910112435', '-69.01520231544461', '-666430063', 86, 3);
    T('-7E+6', '4231.62096396374', '4096', 37, 1);
    T('-3476099184485.0297', '-509446555.27287792170048920', '-3476239007743', 3, 0);
    T('191730871.095664686237', '6111101870.11584', '138412198', 100, 2);
    T('3.47844E+6', '41.92701684450', '40', 21, 1);
    T('3.3751E+8', '-9.15', '337510000', 36, 1);
    T('-827746937.781831758', '-99053.7071501672187736037509', '-827845373', 9, 3);
    T('-55985217.106568572527691299959', '502.606463957248128', '438', 97, 3);
    T('998', '-9.2260', '998', 93, 3);
    T('54.9', '4971.6656417508939869170', '34', 26, 2);
    T('-2500.41388538697373221223567746', '-705161.4957484246808', '-707532', 40, 2);
    T('-28995.2649762044', '916.9842', '660', 52, 3);
    T('9517361.2', '-7824.385005929156367', '9511216', 72, 2);
    T('52.60688063656507314180', '-6.21455E+7', '36', 7, 5);
    T('327272.28318585597512161', '8.6598443075936669253861', '8', 74, 0);
    T('54.848', '5230.05837743925023838234385', '38', 1, 5);
    T('99182.968691807020909685043949', '-97231.05847', '32800', 62, 3);
    T('-4E+4', '-22.20193672695522495426', '-40000', 55, 3);
    T('357048461.75962', '-308994.49102009662078', '357040268', 73, 1);
    T('-59191450.15050953768389100', '-5.0422078978E+14', '-504220832186016', 4, 0);
    T('-85085.44956818', '-147454661594.161478251033216', '-147454681054', 4, 2);
    T('7481960', '-36783460.51980', '4336136', 88, 2);
    T('-589837.583653821800133018811', '-9.737680E+8', '-973833536', 30, 6);
    T('19652.36829225671696', '-1E+6', '3264', 41, 6);
    T('-13186.6377265724378974271513', '7E+12', '6999999987712', 43, 2);
    T('-533721.4144015054632509', '935722', '410402', 10, 0);
    T('-3.1997509552180721', '97016544.6515', '97016544', 82, 6);
    T('4.791795564214008549434004936', '7836.401392184431933', '4', 2, 1);
    T('-8.138147945', '3002639181.6076625962161', '3002639176', 43, 2);
    T('98163.9265905444767', '6.9259419805646469361081', '2', 64, 5);
    T('45389.2004', '-39', '45385', 70, 2);
    T('-1347262423402.2998141099789', '7989.69', '7700', 69, 2);
    T('-1470412224.90864836564788989', '6.1709E+16', '61708999729430528', 9, 4);
    T('-2283.595764', '-465959.49810093041476659553770', '-466159', 67, 1);
    T('78163224.151671437867687', '-85399327164244.1207917973870969', '2140168', 3, 2);
    T('-691.4450949858', '-97659067.74110448', '-97659579', 83, 6);
    T('-48.861385157291590457961', '48.8522674713792', '16', 57, 0);
    T('-7.5E+9', '-9.02354E+9', '-16103566336', 84, 3);
    T('7979.76692004061180826006398', '-25.1', '7971', 17, 1);
    T('-200497.7443', '729454861282950629954', '729454861282950561858', 48, 5);
    T('9.2476E+8', '81060650213.0895090136154689408', '387323072', 17, 5);
    T('14.2437', '582582.12', '6', 2, 3);
    T('-8.31E+7', '8796473.553916925133', '145440', 5, 0);
    T('-6192723164.903', '-5890.1215420890126040812725006', '-6192723932', 34, 6);
    T('543026595.58549849', '-71.78308006306608304784', '543026593', 87, 6);
    T('-56076.915494274454147400049089', '651.914517622001022', '128', 57, 3);
    T('-3.301E+8', '-9804595.242', '-331218752', 44, 2);
    T('-2.21300749', '-442.03262731975129894388380903', '-442', 90, 5);
    T('-939940.5391405456550138', '-3.44E+8', '-344938496', 28, 3);
    T('-43.3428839241591610381896', '-193.80904', '-235', 81, 5);
    T('-891.906727775287940177376345', '-8968.99272568306', '-9088', 48, 2);
    T('-47272078886.8', '2.2E+6', '70080', 42, 2);
    T('3.6', '-23250.109115678039144785', '2', 44, 1);
    T('-85.558179526158700367', '-5920611.3320337127253685161', '-5920631', 17, 5);
    T('-40403623.296858567829429812393', '-28.936169472', '-40403648', 98, 4);
    T('-5.90E+4', '-954069360.6', '-954070912', 80, 1);
    T('390.64044307586606627751151454', '-93.315369438925060985635017416', '386', 72, 4);
    T('-81717.929660754', '30.0080574339303', '10', 19, 1);
    T('1E+6', '-157008849.70466', '262144', 37, 1);
    T('-654802615.01480524803761633827', '2955.571544876873554268315', '265', 92, 3);
    T('-456664954.2811', '-825286834.1495314029785', '-993585146', 87, 1);
    T('1087865768.471356121', '7.0120437E+8', '12813184', 6, 3);
    T('-7.95', '4E+6', '4000000', 26, 3);
    T('-25650983.350762', '9.98E+7', '74485952', 14, 2);
    T('6946251.403123929773', '30788459.5145959990', '4311371', 98, 4);
    T('-6.0E+3', '-875332.366830378378534163233974', '-876400', 7, 0);
    T('-199494544.17408466945287', '-106831.508736676', '-199601104', 47, 1);
    T('-3940.51848725272478948879', '95275.15590671243045', '94216', 80, 0);
    T('589375731.6', '-180388768', '555821152', 67, 6);
    T('479291.7106747', '-7.17561057317', '479289', 89, 4);
    T('98902.39094154925349072', '-5780440726.192156944032303023', '65602', 82, 1);
    T('-9518258.11759589648371318392907', '-8.56041447901926785', '-9518264', 67, 4);
    T('901.8734252159016', '994.3014823921151717', '896', 15, 5);
    T('-34091.300506440', '-8.1520521E+17', '-815205210000033792', 57, 3);
    T('-585.148913521425806729638072', '-9574500.878445908449978', '-9575020', 50, 3);
    T('-25.00348277387', '44065948.77613632', '44065924', 73, 4);
    T('-7956810.855984385', '9894.45248560548103', '1702', 20, 0);
    T('-664551489.22647572568560', '60135063.5393226390095', '104087', 80, 5);
    T('77118.92576917781798033014', '-941224368.21215203990982546464', '3088', 55, 1);
    T('-77', '69322.182661', '69250', 34, 2);
    T('-3105106246883037829.885', '-29.2454011983340468467367025978', '-3105106246883037853', 66, 2);
    T('-6.64557352359E+20', '3.5668E+19', '35193943343199420416', 37, 3);
    T('627.054861423', '-71894253311562.2072914', '50', 89, 3);
    T('-3.89104E+19', '2.9834E+17', '288907684608999424', 94, 5);
    T('-5935573696.1254472881844', '-7.45456922582541016391462889', '-5935573696', 90, 6);
    T('7547559.61253130', '6008194510.01703975478', '1114246', 63, 2);
    T('15772.83214191986020', '5.3175940667E+12', '11532', 62, 1);
    T('5518434.4963539', '-93.1320679133848402', '5518370', 89, 4);
    T('8.6343E+14', '-4075014728.97773444079761027196', '863425933620224', 68, 3);
    T('3E+5', '-6.4284153239807', '300000', 42, 2);
    T('-7.729E+4', '4001184809', '4001107968', 5, 3);
    T('-9910.908100091639506029839637', '6481136038.2733978', '6481135874', 14, 3);
    T('5.3233161E+8', '-1267215939.95597776973047', '338858008', 49, 2);
    T('-42672893.23278468650394017292', '54757.43', '54529', 12, 3);
    T('5971588365.93', '7768', '5128', 62, 5);
    T('8.673718E+8', '-2.27354E+7', '849412376', 43, 3);
    T('7720292709288608864.516774979', '89285', '66624', 27, 4);
    T('8572712851.6321', '-53.1430', '8572712835', 23, 4);
    T('-776271478.3609674850', '-86161868.767030', '-795279360', 58, 3);
    T('14.6964270', '-9931916.493864299342065100', '4', 58, 3);
    T('-958390258.83329', '47993.9154862671', '8200', 97, 6);
    T('3.520788E+10', '-317.56405910597971032568', '35207879744', 52, 6);
    T('-2054.7881855', '-15872925.924', '-15874974', 23, 4);
    T('-1.7081E+14', '-6.3E+3', '-170810000006144', 78, 0);
    T('-7.24936844683044E+17', '-7578532112.35577509921423317', '-724936852200488352', 67, 5);
    T('-818.4798723', '-3950', '-3966', 5, 6);
    T('-4878948.78908961903834992', '-569.4261', '-4878972', 30, 4);
    T('33.3292765051903756114791', '-28491149.722', '33', 33, 4);
    T('-3.8E+6', '-852.526646743371459252', '-3800064', 11, 3);
    T('9218.3', '-61566105.3239', '2', 61, 0);
    T('-8787.568982797089309', '61.4751737928610', '45', 82, 1);
    T('402.675', '7489.1102399', '256', 41, 3);
    T('-3198707997.394304018477', '57787115.3414961587289276403', '22119139', 85, 3);
    T('-547022.814193892229372085', '-927573.21957533066', '-950238', 37, 3);
    T('501246217.85', '97391476152816.16537428', '406849792', 38, 0);
    T('4.60681E+8', '74.04634506336817787739780385', '8', 19, 1);
    T('-7.8535E+6', '-989503417.8075', '-989847484', 48, 3);
    T('7.99570549E+18', '6524369.627083168', '197632', 29, 5);
    T('-45.59149809', '-5.830E+6', '-5830000', 84, 3);
    T('-5786.4387929736251924077714965', '32478207.0941331189198', '32473446', 70, 4);
    T('-79.84790156', '3938195276.832', '3938195200', 55, 2);
    T('-7.82E+6', '-3537.152833', '-7823328', 80, 4);
    T('1.8E+6', '-4939.911073909848', '1795072', 54, 0);
    T('88862.953446', '43003.17954980023729463237602', '794', 79, 1);
    T('-323.7144558302679673055242252', '-7141.9', '-7143', 98, 0);
    T('-15565.136029407257', '72256693594984.190996479', '72256693584672', 15, 2);
    T('-25854.395977108885', '50052662.277581024333687882', '50043394', 20, 1);
    T('685882410.60704011710813083', '35', '34', 31, 5);
    T('-434737896.056610', '1729523967.9160', '1712742424', 22, 5);
    T('219934773917404769114.403255', '-7.41472593032033487', '219934773917404769112', 74, 3);
    T('4.45E+6', '56986877.4', '4293840', 54, 4);
    T('2385.2', '35737828.28595298609957449849', '64', 19, 0);
    T('9808.916209818254225685074', '-7703735.0243549383272766', '8768', 19, 2);
    T('936.2539476095061929', '-740.424852986838716', '264', 61, 3);
    T('67723007570506.8865752', '-33968802.73960386287', '67723007172682', 44, 3);
    T('613801002.68276126639', '-9.4005062', '613800994', 89, 6);
    T('4.52689172019655559123561322780', '128710742.6153513147', '4', 52, 6);
    T('-73923933.0326354', '3.149067941940414', '3', 95, 1);
    T('-122166089', '3.43953E+7', '312484', 92, 5);
    T('-3.69468E+9', '-99149.9775155794', '-3694778368', 21, 5);
    T('-11.49968716712472', '6171282171.63495686', '6171282161', 28, 3);
    T('-6.0904038404335785', '6.88906E+7', '68890600', 50, 2);
    T('125979.56751230662969969835', '-6257.771673794482666862954170', '123915', 50, 4);
    T('-918.211598844407741071644299315', '-8608.93594934988678895', '-9120', 14, 4);
    T('-5E+8', '6307616795.98175156097175261', '5942450176', 35, 0);
    T('-8347727276.61094909573799', '68544.291207686741650', '68160', 71, 1);
    T('474689542.1100524', '7973633760.7754', '407056384', 47, 5);
    T('8655466.74355071709938', '9450.1161388448119', '106', 65, 4);
    T('-3.6E+9', '467139.033', '262144', 56, 3);
    T('5.1E+7', '765.170342751141298350963066517', '704', 55, 3);
    T('-6746.3467368924111326044905', '20151158.206580438762458261997', '20144422', 97, 6);
    T('92629.91259009076347698', '-4001765.654616062756335477229', '24593', 20, 3);
    T('-49.7146218948', '-6914.333959462522886586228', '-6962', 95, 4);
    T('-963106358304976382.6217', '-2.154415996015401E+18', '-2161628793418743296', 81, 6);
    T('-1016.6509', '84708531', '84708352', 74, 4);
    T('-985304158.5133286283', '-1286319312948529.34917819', '-1286320152366462', 67, 2);
    T('-1.6023815E+9', '-2.138784404326E+20', '-213878440433740867584', 44, 5);
    T('-36484321.69', '-939.99355', '-36485099', 43, 3);
    T('-46445262', '28823874.45827591155', '20136194', 40, 3);
    T('-263.9496633645203675711491680', '9.48E+7', '94800000', 57, 1);
    T('83254493.7017', '-30007.8991478510240', '83232969', 13, 5);
    T('5541561.8', '2313.292982655556280846', '2057', 62, 3);
    T('5643308250.7436', '1032.4646310047183959', '1032', 93, 6);
    T('5.037211E+9', '-3391.5', '5037207616', 48, 2);
    T('4.5E+4', '-61.5262267679590044576691515', '44992', 98, 1);
    T('-1.2235E+5', '6094.418180483558', '514', 74, 1);
    T('-1.246816203079434311814956323', '8153435032.632963758', '8153435032', 45, 1);
    T('634.67905662', '-681519850.751878469909669', '18', 96, 3);
    T('-1.07925800', '706.25932352164786290', '706', 9, 5);
    T('-68.0109', '1065615.9917', '1065612', 73, 6);
    T('8778.60539537150109496', '6', '2', 81, 1);
    T('7171642638124.6421019', '-39.57740050050129', '7171642638088', 59, 0);
    T('65367.6169216422053528', '-9.526E+7', '29184', 24, 2);
    T('-251.97051', '-5.2576E+7', '-52576000', 19, 3);
    T('38385518.2', '95871.93433047', '79470', 20, 2);
    T('3631491115840.845214311602', '-3.03637202237201992114984', '3631491115840', 71, 0);
    T('7.8261429', '2.5158414E+8', '4', 15, 3);
    T('-53464.109234246881', '904936.808889051014651', '855592', 24, 3);
    T('-2105.77', '-2.72986713E+15', '-2729867130002048', 64, 4);
    T('4.9977023181771853649536204879', '7966653685.189315965254', '4', 98, 2);
    T('8034566130.526', '6.9772813586E+20', '6757025792', 40, 5);
    T('-86.171559250519347881309096221', '41687.7510433834463397768924', '41602', 15, 3);
    T('3.3457E+5', '-49881.763', '333858', 62, 5);
    T('-96780.3283417897150410', '-157200.61700377225008290775', '-228880', 93, 2);
    T('1360864357.101637571709817443', '9922947024.03574005486817', '1091839040', 34, 4);
    T('6.11E+19', '-884.6456037659974375499774', '61100000000000000000', 86, 4);
    T('-3.1391335944809401', '951.612811960359525456632241', '949', 67, 4);
    T('9462', '-3.7128754441887E+20', '1152', 5, 5);
    T('-3903279.661759640588', '-828.31374629896', '-3903296', 92, 4);
    T('148001175.39047751560977324', '2441908026.7932864', '8388882', 10, 5);
    T('-15.39088777647380039246815', '9968112022.364', '9968112016', 34, 3);
    T('-4579605887.301129298383', '-2.15902245966', '-4579605888', 56, 2);
    T('-2.76938E+7', '-7E+7', '-95330304', 27, 6);
    T('8871279032.69705799344645095392', '-9.316E+8', '8594188672', 5, 6);
    T('3344921524.21', '-6.4273574', '3344921520', 68, 5);
    T('-1.894826E+10', '-42543.40433091174722642141', '-18948269760', 81, 3);
    T('430519573407610756.5058', '-1E+3', '430519573407609856', 45, 3);
    T('-41.8933860870490', '676951363.8300087', '676951363', 71, 1);
    T('-4888.60730', '-259.94', '-4888', 71, 4);
    T('260.01861377072615280349129', '-339.817876887538', '4', 39, 1);
    T('-89159.5284264018411826960', '-8.46051232950184E+16', '-84605123295018464', 51, 4);
    T('43344.4', '13591680.9251476521330654443152', '8192', 27, 3);
    T('-9135009874742666.3494615', '-1864505.33969065801', '-9135009875034042', 35, 2);
    T('-6208691569.208760751', '5064423.0', '4997767', 15, 5);
    T('-578102745.02231698522', '-61.0586164257029564', '-578102781', 1, 6);
    T('-7.7436E+8', '-2.222', '-774360000', 48, 6);
    T('-7.045908E+7', '2E+8', '197705728', 25, 4);
    T('-9E+5', '-1323066.53279', '-1948608', 46, 1);
    T('64464410.49769554195284415', '-92636.9825405854460605140473901', '64390656', 84, 6);
    T('2.382952E+7', '3E+19', '19398656', 66, 5);
    T('591.16901', '-9461507282.02635531379110665898', '526', 2, 5);
    T('1.0569826E+8', '-20334.75893942602', '105681040', 47, 3);
    T('-13874176.557637379468', '-57572004.360', '-67107840', 15, 5);
    T('-588018890.65287', '7.62847893329911320', '6', 34, 6);
    T('20.77557431327397959372262', '-452.30144680227', '20', 7, 4);
    T('-8.7E+12', '-716.4808', '-8700000000000', 40, 0);
    T('-46.418099', '3.28439E+8', '328438992', 72, 5);
    T('7824815270.347362269', '943642.4', '271362', 58, 3);
    T('7.38835848709983231', '-5.253E+5', '4', 98, 0);
    T('6392774195.02742328', '225852442680.83675237', '352897072', 74, 3);
    T('-361.209', '-16915820.064788434626771772', '-16915820', 9, 5);
    T('-5375.84993806377805005934', '-5272996874.94', '-5273001216', 46, 0);
    T('-2860.935637647268676438', '-92.9732494924531', '-2940', 55, 0);
    T('6975617577.886784', '198324.6449647473872713925801', '197152', 68, 5);
    T('1149.31443292547484311854386660', '-3.767259715647362541E+19', '1084', 74, 6);
    T('25.9827', '3880269.891', '9', 77, 0);
    T('-90187930.4', '-556398.970227489', '-90734078', 58, 1);
    T('-9E+7', '51330198.139', '33698944', 79, 2);
    T('-1.7719301801', '-636057.22046029039436407267401', '-636057', 41, 0);
    T('-3.32E+3', '-4.162128', '-3320', 23, 4);
    T('3109.9926', '8.20E+7', '2048', 40, 1);
    T('-3.7301', '5871897633.95999', '5871897633', 10, 4);
    T('-7E+6', '-216403867.499955', '-216977344', 51, 4);
    T('5339037202.2868884905406532', '52105.58166868105661853953', '2560', 44, 4);
    T('432736.5384169496560', '70555.71596789510', '4608', 46, 1);
    T('166327.937053575316778677116', '1919831933.47', '133429', 69, 1);
    T('1417272771.1774087733959079257', '316', '256', 53, 3);
    T('-8.3851541295331666740', '-9.4072011', '-16', 30, 5);
    T('9623493.473030128028', '-540220179.420', '8438981', 43, 4);
    T('-44.7763769451716', '-36006.551971836233382', '-36016', 32, 2);
    T('-5.100E+7', '-21042.21', '-51016384', 16, 0);
    T('167922.9', '9065.83731373811881798', '864', 36, 4);
    T('-3.0605243575680429936004471369', '-7.4E+3', '-7400', 90, 2);
    T('-83610.7445957474888171903547676', '-9.70300457984206483756293752551', '-83610', 42, 6);
    T('56846.6629765036929357683774042', '-929469536.7988594371', '18944', 33, 1);
    T('611889.48755', '-87114139.247887696', '529953', 45, 5);
    T('43953084.789348664555260', '-9308.52572', '43944868', 57, 6);
    T('-484683.01985080302', '1787276127.71186244057', '1786808853', 61, 6);
    T('7656813270.920160', '9.1629E+8', '78032', 23, 4);
    T('-112.61178014705697238052850071', '1.637E+12', '1637000000000', 30, 0);
    T('-494474.41785459370145631009', '-7353.422182657066246962110913', '-499642', 17, 2);
    T('-82035.825121907', '451075250.9', '451058816', 23, 3);
    T('-305681.7803097141320023499', '-788826.053618517273318219506137', '-830298', 100, 6);
    T('16.7639558439435131047352', '9603792759.3', '16', 82, 0);
    T('431175.12505683225129757914219', '-9.1782E+5', '37956', 28, 0);
    T('-732041.4287', '-99', '-732139', 100, 3);
    T('-94606.0', '1541.6225128588900733', '1536', 29, 6);
    T('-34.28891480546', '-704176.26070', '-704176', 66, 0);
    T('7332734145.9675482376', '-3788806.13523', '7331652800', 92, 2);
    T('494207.32805031505577423875071', '7.243359250788540327441585370', '7', 25, 3);
    T('-41913789.3869775600481252370', '2.41681160E+9', '2415923776', 8, 5);
    T('-6.62812915E+9', '-25.0602152461', '-6628129150', 6, 1);
    T('762836443.25024340770916841', '-169.4655530736105290', '762836307', 53, 3);
    T('28753.74783609', '-52993.03780414844', '12369', 70, 2);
    T('576101.20224565485391', '61669717.03750557945', '524357', 85, 3);
    T('7', '-7.958107021E+10', '6', 18, 0);
    T('6.498033E+7', '-39', '64980296', 16, 4);
    T('-5874725814.00361', '-6.6E+5', '-5874856896', 92, 3);
    T('-84.97352006374755', '-296.7174784970251', '-376', 21, 5);
    T('334.061201745234374', '-5715.62', '268', 96, 0);
    T('-24207382.8240618419499187', '30.427713850600400145679', '10', 67, 6);
    T('9.1348271627023591304946', '3127610.7420741508230301', '8', 14, 2);
    T('-1.782205653181036623349264', '5174.3918056739266119', '5174', 12, 5);
    T('103692490.443', '8031863.8928288907', '2754626', 83, 4);
    T('3849.97261211909036', '31.1831010634278883665149841114', '9', 24, 5);
    T('5811288224.6683557677274', '223120.722248548028041', '73856', 14, 4);
    T('15599235.8764012666169780', '3.78476261', '3', 33, 6);
    T('5664106865.9782065099013716', '89.380319', '81', 23, 3);
    T('-7834527.98612844603465291726805', '-27427554872.8811005', '-27430735808', 47, 5);
    T('109099789.15127243448', '7266785869.04287542759124596', '6669', 60, 3);
    T('-16259.34310522231735859', '2.2813E+5', '213024', 16, 3);
    T('940600559003.9', '-4431.138950149245880', '940600558737', 18, 1);
    T('-547.133626752465786', '1.23E+9', '1229999488', 11, 1);
    T('2.9556998E+9', '170.59088090382734985904913842', '8', 5, 2);
    T('-3050122353.611247', '76047.4661191', '271', 54, 3);
    T('-81.3579', '-6229.17119149914521538', '-6229', 26, 5);
    T('-2215693010.451991258242337870', '-14497613.15646153705610901225', '-2229141470', 99, 5);
    T('4425953.276318438', '-9.6635E+8', '4360256', 45, 2);
    T('87.680', '-1.97828826', '87', 6, 2);
    T('-8202916685.459722928432799834', '1341.71701933015576137827580', '1073', 57, 5);
    T('-7.763849E+9', '826.0256326412316282', '24', 88, 6);
    T('-236.4341', '17607577.7478671996946318896', '17607440', 39, 1);
    T('-4100985.128', '-905728.8', '-4183040', 84, 0);
    T('-8.189E+17', '1788723893.2233184', '1745666048', 5, 2);
    T('12.86518278', '-22900578.415946637675798448', '12', 31, 6);
    T('4504.7488889098295', '8266989.702', '136', 83, 2);
    T('49.28', '9132304.044099739031252359', '16', 42, 5);
    T('-673888.7114157123138054280', '694.61245661670421088286797', '672', 57, 1);
    T('509725.763', '-14799975.5855082751996307512', '394009', 11, 2);
    T('5.251E+6', '46.36692754359849160129906', '40', 14, 4);
    T('4.88659E+7', '-9.972925216119789165917952840', '48865892', 91, 2);
    T('-26630878.3193', '3487321172.7516210380315167829', '3460826112', 48, 2);
    T('6.1022449910E+16', '-301.002526', '61022449909999744', 93, 3);
    T('-4159447.65623758987948237704538', '25034135.008406041740', '21006337', 60, 2);
    T('84173604.85', '-1.5E+4', '84164896', 10, 0);
    T('755866.79496', '-165.43300767908250870954', '755738', 66, 2);
    T('-7242.116706779138', '1571000077.7', '1570996996', 61, 0);
    T('5.61304977741450987296', '-428650.471922591814', '4', 100, 2);
    T('-3840004140.45029789610455447', '-9192.853300170', '-3840013296', 23, 6);
    T('40783015.04286740216425924', '-51894551.41198299793111219', '6816929', 2, 4);
    T('235.6', '97183793271017663234.5291', '2', 9, 6);
    T('91.91', '8295481.29346669177', '25', 89, 6);
    T('286734777728.59538', '-1171542.137', '286733639040', 37, 5);
    T('-9515.964', '8176810215.115759295057404', '8176801989', 1, 1);
    T('-499.71450869027309213', '695977502090249496.4', '695977502090249224', 58, 4);
    T('106093.6', '-1.823111543E+19', '66560', 33, 0);
    T('9.25185E+19', '-7829.8832253032376334251', '92518500000000000000', 43, 0);
    T('3629949281.725039553', '1.3E+7', '4456768', 22, 4);
    T('456346.9145137920376681802', '-85884.901863710424', '438400', 83, 1);
    T('986033.26119269668045', '45.44291', '33', 61, 5);
    T('-7339803878.38976106313143351', '7286403.56798294074826139416783', '207362', 23, 5);
    T('3670994.59634', '-4.54204E+7', '524432', 54, 6);
    T('9737308.8', '-14541.6385175', '9733136', 100, 6);
    T('11914.3004968', '-411310385', '9866', 78, 5);
    T('-7.930E+9', '8083622187.661', '558909696', 25, 6);
    T('7358.9175340987040813455845708', '-6.6393E+6', '4156', 64, 5);
    T('-7029705507.45724852516206', '70.496916', '68', 5, 5);
    T('-8.1E+9', '4.3E+7', '1048576', 41, 1);
    T('442.241136967135', '-4321382630.551073172192', '282', 14, 6);
    T('-962757.000909640068564674', '9404188.6', '8474392', 30, 4);
    T('-3032858367.5643539174', '-47873.394', '-3032858623', 48, 1);
    T('-5.2446E+6', '-586353292.642058259', '-586354368', 97, 0);
    T('9190.046317358049', '4.47', '4', 3, 1);
    T('-239.592849400999483920882332610', '17.694771814853148042466585929', '17', 21, 5);
    T('1260700350.3835273355127699', '-8.53E+4', '1260683916', 88, 4);
    T('-95034.754286111', '-8556413332', '-8556508092', 6, 3);
    T('5.17520933', '-3.590822982638047738131012', '5', 6, 3);
    T('-6573641007.5913', '4.0956E+9', '1879842944', 8, 5);
    T('-7E+5', '-4286769.3783', '-4976512', 38, 6);
    T('-97079573798.663470', '802523.0328', '525018', 77, 6);
    T('-6E+4', '-7267.4125491375', '-65152', 83, 2);
    T('-4656319.94701702629583841122540', '2144.25459621235683703586', '64', 68, 5);
    T('3.904932607409420876696107', '-1301.8244803898864546', '3', 8, 4);
    T('-7E+8', '-1565575197', '-2113531648', 99, 3);
    T('9492723261.6093245156292305637', '-3.905885', '9492723261', 43, 2);
    T('-1317172344498.3484334291969432', '9802.27190803886958080320812257', '74', 24, 5);
    T('-16.39550768', '-498046588.390558299273', '-498046592', 21, 2);
    T('-3.65649148632E+17', '-850.868016973190', '-365649148632000512', 75, 1);
    T('-189.570108897941206251246', '-7788396.365406', '-7788544', 7, 0);
    T('-8651878737.2096052', '-9060.49310', '-8651879284', 89, 2);
    T('1.5867E+5', '125.3761', '76', 88, 5);
    T('-1.884292396E+16', '70618.22234657', '66048', 30, 4);
    T('43651.9026313858149510022067', '-9E+3', '34944', 52, 2);
    T('-70', '-5310026420718.6', '-5310026420718', 28, 5);
    T('-8216.75410607', '-851890108.88515913005666', '-851898304', 48, 1);
    T('-339937722.83589689289', '-4.496373449513', '-339937724', 100, 5);
    T('-98.3035550477485856011283', '8130480749744277.997384', '8130480749744276', 44, 3);
    T('28.4935580', '-60410630128438.56902', '8', 42, 4);
    T('63141.3906946572580', '7.560226533185176441462159360', '5', 33, 3);
    T('7.2E+4', '4911.725829280375', '4352', 23, 6);
    T('1765.402', '4.818716E+8', '1760', 84, 3);
    T('-8840.2046', '-2261749709.55830925962088220747', '-2261757904', 69, 5);
    T('2E+19', '5.7E+6', '5242880', 69, 5);
    T('412715796.13570413526975188054', '9E+2', '772', 88, 3);
    T('-4426618583794.054868', '54.036361826374135012864249', '6', 80, 2);
    T('463.70731925', '85607206.3', '262', 61, 2);
    T('-93649.0817866485004160791845', '9.991960216364925', '9', 24, 2);
    T('928695400.335391', '76632', '72', 26, 4);
    T('-277.85539286123757', '71662.203041094550993', '71402', 61, 2);
    T('-8.131E+4', '5205287068.3209587', '5205278720', 95, 3);
    T('-75787682', '26.7', '26', 33, 2);
    T('1430.34389771907887303323200', '92.03131403961532192663', '20', 9, 2);
    T('-1151.0425939', '58261.996754976962744758', '58241', 29, 0);
    T('4.939E+9', '-339.2570908563468889', '4938999936', 75, 6);
    T('6E+8', '-50813519936951.9468827', '33636864', 31, 2);
    T('7.4698E+8', '-71381', '746979360', 81, 0);
    T('913922427.151789', '-73360.62', '913850736', 4, 6);
    T('790257535.341', '63.6310100713052607651399', '63', 8, 6);
    T('65386.07545927051184', '-29752.9612', '35656', 92, 4);
    T('5742.21057701029249273258463369', '3.6E+3', '1536', 52, 4);
    T('-497.439384', '99637.37012373819524', '99333', 96, 6);
    T('947094.1', '-7.47665676911018E+15', '680724', 35, 2);
    T('-1.47175E+9', '-686018.96', '-1471905776', 12, 6);
    T('763646450.418893075914', '-6.147165E+15', '226758656', 73, 1);
    T('2923.660', '2.625255', '2', 37, 2);
    T('9.0E+6', '60689983.61540473932849', '8913920', 19, 0);
    T('-119882330.90982', '-3908831846.5813957', '-4026354302', 44, 1);
    T('3.73656E+6', '5.55932E+20', '3145728', 70, 4);
    T('-778104337.05535', '97727.2250184475098742090476', '70063', 31, 6);
    T('47596.2650850550225347', '1304081.525944296967244590', '40960', 25, 0);
    T('1E+5', '40449.843190581146326252045', '34304', 29, 5);
    T('3.15E+9', '-201.8187900038136', '3149999872', 19, 2);
    T('692879.999576158986010964', '4.22E+10', '33280', 97, 6);
    T('-10057.618471135471', '95.5044791956501023446852', '23', 38, 4);
    T('-39.41705803351153616231808645', '-1123852804815.259', '-1123852804847', 60, 3);
    T('-80020028.5038', '5.159818E+9', '5151166720', 2, 1);
    T('8.0348022937375E+18', '-4.486E+8', '8034802293557864512', 40, 6);
    T('78275.66710751373173', '5.90899793911805E+15', '78274', 93, 4);
    T('7487.6666838675894879008525919', '-2.90E+3', '5164', 48, 1);
    T('-780251063.241846473444', '-9.59E+4', '-780271552', 19, 2);
    T('-1898997942160.8396232', '-5E+19', '-50000000721623187456', 58, 0);
    T('-32.9018419180023502589989', '979.5', '960', 41, 3);
    T('700.685086005', '30.4085680128238776341925490', '28', 46, 2);
    T('7660.70561627471890', '-8186502.7042285782144', '5480', 76, 1);
    T('4.86421E+20', '-9.439E+4', '486421000000000000000', 23, 3);
    T('129094.26319257065381908477020', '20.562', '4', 21, 5);
    T('-108400.933730', '-485153144241079.407831376', '-485153144307712', 43, 6);
    T('9.188951E+13', '-5.6E+16', '11552161792', 14, 4);
    T('-216090696.0053202657', '3.468165106E+15', '3468164902559872', 85, 0);
    T('9.631619420', '-839.666474991', '9', 24, 6);
    T('3544806.188373738886', '-531366.9396017250', '3540034', 1, 2);
    T('44693.6253', '-11.07245412247671', '44693', 3, 4);
    T('45858823469.911066505330461', '-9.2084828780307', '45858823461', 72, 0);
    T('40707474187.334057623', '-8.23809E+8', '39900446728', 26, 2);
    T('-78268.4', '63484.81', '50756', 88, 3);
    T('-8.4587E+6', '6556515.529028', '6556192', 24, 5);
    T('-12.589660810021821874', '-77.580660881538205171096', '-80', 75, 6);
    T('8.5122E+9', '-90.15356832', '8512199936', 20, 1);
    T('7.333E+8', '-41102.7233157708770378', '733300000', 42, 1);
    T('9.572417610746', '-613.19303814001952776217845962', '9', 15, 2);
    T('455294.280016266578867700477', '-902341.857462127542128', '143930', 3, 3);
    T('9259214001.944611819', '1836.25315069272684744', '1056', 92, 5);
    T('-278420.2', '46.3814', '44', 60, 2);
    T('-35009751.89615005151850', '-5.4467553760845799820101', '-35009751', 55, 6);
    T('-9.64928884E+14', '-18.69894283418272377951', '-964928884000000', 82, 1);
    T('-88.17568122', '2771947702432334.336', '2771947702432264', 6, 5);
    T('53162844.032406787614', '-9.86015127904048392018793753', '53162836', 20, 1);
    T('-7263.86238836021972982596', '-643033', '-647135', 50, 2);
    T('197.4051384207808077631', '-4376591.64481493', '193', 20, 6);
    T('-855395219.6854067357552522138', '2852.493', '36', 20, 0);
    T('204948.051277372674683', '569179668.486736472539718105582', '8212', 3, 3);
    T('-39454.08906', '-19058023.9487079', '-19062656', 61, 2);
    T('-59533637.7791087', '317.239967581340298123345748', '57', 4, 3);
    T('9894.657', '45253.9886', '8324', 56, 3);
    T('13991074120', '996.98119379329', '320', 94, 4);
    T('48718.87340988773513363', '-5.2750E+5', '45636', 16, 2);
    T('27.44895944969190769372184123', '-16.45407483460001026559435905', '16', 17, 3);
    T('-89322805.39667163776', '9474.2761293', '2', 46, 0);
    T('-8052.912897968005', '-1.75', '-8052', 9, 2);
    T('98143716615.37079579277', '-567887190.0875', '98113290242', 16, 2);
    T('-76.69162863', '-83728.57283164553543205503', '-83792', 67, 5);
    T('-286980745.0216908469139', '-44882920.00477432822934', '-331283440', 72, 3);
    T('1.400E+9', '-615360480.146001328133654079', '1397901312', 75, 0);
    T('-5875', '-37019739694748023.22109634007', '-37019739694749687', 26, 0);
    T('156.2', '3.197E+5', '148', 67, 6);
    T('-43.26325622109990784204', '-1768.59670930148', '-1776', 6, 1);
    T('1528289986.1138', '-7734.43804346165', '1528283330', 4, 5);
    T('94959.8552154202972110572049', '-3701049.652994608157543570178', '66247', 35, 3);
    T('-9.4409', '-631827.131656718137819492721', '-631835', 10, 6);
    T('-5140.9771263067286', '954554.6932049069767', '950440', 25, 2);
    T('3E+4', '-52325593690820.9669181316', '17712', 72, 5);
    T('-9.0750E+7', '-47071144.07071355900', '-133087152', 45, 1);
    T('752189.170', '-604540122.899242398675', '225828', 38, 3);
    T('54016884.4465382042484249', '-82196.2', '54016612', 57, 4);
    T('-1.263203E+8', '-1567697023.321219134706078811', '-1610055424', 33, 2);
    T('233.13', '2206.21147706298526253154759791', '136', 13, 6);
    T('-2389522.04096556552912', '-556895.9101346017', '-2916192', 84, 6);
    T('-3164484966.399747222546540', '2707268594.201925213328564', '21070482', 62, 0);
    T('9.9E+18', '748205.884200', '655360', 75, 4);
    T('1.50E+4', '6.43E+8', '8832', 30, 1);
    T('-447850699.11411211668', '3069.18748608010545611', '821', 46, 1);
    T('-10774.36701765059739005955', '-1908418.5190482078251', '-1916630', 69, 2);
    T('7748.68817', '-41122.440362966938084', '7748', 24, 1);
    T('-4.1E+6', '-5119788071.292924596901948', '-5121232832', 74, 6);
    T('598413.34950136229742114', '-606', '598400', 82, 1);
    T('-9551428.520534412210', '-1009895.3524888580', '-10485480', 38, 2);
    T('-218833384133.74', '31638.5681', '2322', 89, 1);
    T('8985954.8344347071046738', '4E+6', '592128', 4, 5);
    T('6.82E+3', '-6982411027.91358', '6308', 45, 4);
    T('-7883.429183286912', '13546.6', '8224', 6, 4);
    T('-97339644.593426007296764068', '-1.914E+7', '-99438080', 52, 2);
    T('9.57929934E+11', '34848.853', '34848', 53, 3);
    T('90972765.7500668560144', '-1609445.72818649', '90447897', 48, 1);
    T('6350810683.80705080139642768134', '68109143.467742519981948612', '590355', 29, 5);
    T('7.551E+8', '81144701.5072329578665466860806', '67119456', 37, 3);
    T('-9147757646184.2016195967832', '293068.72', '272520', 74, 3);
    T('-6818767.908964256807493', '-388434006804343342.485405988697', '-388434006806965232', 69, 5);
    T('8857261.50', '-8.7E+2', '8856712', 78, 5);
    T('-5404037285.14989973948668683', '63673124.564225446045679', '29393664', 10, 1);
    T('244315441.1483350843232330', '-1322.742395405066457620452', '244314128', 34, 4);
    T('-4.6913154738119', '-6.57E+3', '-6572', 63, 2);
    T('38133511.910', '-9.01905E+15', '121856', 21, 3);
    T('7.05688164226746', '6289767938.44332714750221289181', '2', 12, 3);
    T('-31567.031865440676', '-80842.2213189301947', '-97232', 59, 0);
    T('8587846.421329153388901', '951.28854', '518', 93, 0);
    T('-882735896.763263', '8073775.60279302', '6422568', 9, 1);
    T('-1.41E+4', '-96427.729509253349', '-98236', 4, 5);
    T('-9.214E+7', '9497029059606.53', '9497011684352', 19, 6);
    T('12524675.0', '-35380217.74899', '10748931', 94, 0);
    T('1213661974.76853041831167004130', '47.844696440101', '6', 36, 0);
    T('-8.0956731030475412197666805', '3708531542.3', '3708531536', 55, 2);
    T('38.10506435678316120', '-7002689.026', '38', 56, 2);
    T('-899817282.16210479785421300403', '-933691.26908282', '-900611964', 7, 6);
    T('8034845', '5639361086.2014697', '2134556', 100, 1);
    T('97.3622241804422797867', '4649.75445071032615624391992583', '33', 94, 0);
    T('849391299.00022443564225404', '5554319.031253777492945', '32899', 34, 4);
    T('-956.0', '-32.89866105010016666253', '-960', 78, 2);
    T('-8.608E+4', '-469.863', '-86528', 25, 5);
    T('2.34777799E+9', '-129122.03', '2347763590', 35, 3);
    T('-5.33431954168806E+16', '92171.592014301735', '2056', 29, 6);
    T('-6593.1145803728630258261', '-680919739.265959306065237118792', '-680926203', 10, 6);
    T('-9989013.03', '98436644.4696', '88474656', 31, 2);
    T('797218.12543122', '25989.229442', '8192', 16, 6);
    T('4060.0', '-7789725.731', '832', 17, 4);
    T('-5.68E+3', '-9.092', '-5680', 48, 6);
    T('-654748412.4522462582876', '2.27E+4', '20484', 33, 4);
    T('610.7920357322648063281628003', '-4.8E+3', '64', 55, 1);
    T('-5.10E+4', '-7.8628154586418419415824839068', '-51000', 81, 0);
    T('730633.8402', '-4E+7', '599552', 21, 2);
    T('-4364496.718984029268253', '5.80E+3', '1568', 14, 6);
    T('-2547340844.94606909329003687523', '124.16675', '84', 11, 1);
    T('-14413763.187958160365', '-3546579594490765.86122581098792', '-3546579596214223', 57, 3);
    T('72.930204510015723444935097', '-136.524236378344281173569158', '72', 50, 0);
    T('-774.7', '-431.282840298993379', '-944', 90, 3);
    T('7180.4510317809034035543', '-483.5832334864', '7180', 48, 6);
    T('64058.331968', '78.0906373657417065379218', '10', 41, 6);
    T('6.7E+3', '9331844745.15394351186707842068', '520', 1, 1);
    T('-1186.05', '2138382.8689', '2138382', 83, 0);
    T('81504', '-7568.07504380255335622', '74336', 70, 3);
    T('4.7420416484', '-23365844.9352100', '4', 59, 5);
    T('-323', '-83.1', '-339', 69, 6);
    T('64346.437591', '5.38E+4', '53768', 37, 6);
    T('9.68E+8', '9076987451.256226959715', '419594752', 78, 1);
    T('3203433.8875837286844218', '77449.525809349686387493523615', '8201', 58, 1);
    T('86776392.6538518912', '-9.9418E+5', '85987400', 73, 2);
    T('5.063972585124192665079231', '7081268.97197', '4', 48, 5);
    T('7.80E+14', '-447503518.4653397460883952192', '779999955156992', 9, 4);
    T('-97666313.7587326301', '4.30699630957267483137', '4', 81, 4);
    T('-5.175833E+11', '-10.198377879529701', '-517583300000', 13, 4);
    T('3E+5', '7923984.080558544031871', '33024', 72, 1);
    T('6.3E+5', '-3.90684E+8', '32928', 65, 5);
    T('-7332766.3666506370', '6062884603707.10', '6062884258850', 52, 5);
    T('-99916.22061201084747965238', '-24219263.33765070246141', '-24219264', 77, 5);
    T('2599696.313538', '-2402028.532486465', '198928', 19, 2);
    T('-417588497.903470907650205290', '33.343109570974734', '33', 38, 4);
    T('-604195.2588790068446', '2.407E+5', '164892', 97, 1);
    T('-8695817026.8897433378524938966', '-9.776207E+7', '-8722037590', 59, 6);
    T('866638.3', '6.211858811041', '6', 18, 1);
    T('-5.09176240608', '-4.067E+6', '-4067000', 98, 3);
    T('4.42620026841610383029153370589', '31.669840', '4', 39, 1);
    T('6944894485.28055', '35361308416.648305766', '431140352', 59, 2);
    T('-8350.33343', '-3335749105.3344903', '-3335749118', 78, 2);
    T('-4.5169949649475874782674', '-5.15488', '-8', 28, 6);
    T('56.5087064654879159172891036', '-4.5E+2', '56', 96, 2);
    T('-6.5994766541735015899809969', '98182985.51264092331276405138', '98182984', 16, 6);
    T('-1.802547E+8', '2443611.8316282', '67600', 80, 4);
    T('-22.7', '4.9E+16', '49000000000000000', 11, 3);
    T('552619.1869', '-7.5828981535E+17', '18048', 7, 6);
    T('-7658', '2581535376', '2581529104', 10, 2);
    T('-4.8E+2', '-35576.07179908078258413627205', '-35840', 48, 6);
    T('83736.84', '7724006.8222796309535200227228', '82688', 38, 4);
    T('-390184.10949548041155', '-6.3E+2', '-390776', 22, 6);
    T('-565365.763687', '55884021.70986', '55842945', 26, 0);
    T('-18.121958950725036202364248006', '-9.354E+18', '-9354000000000000000', 16, 1);
    T('-7376.353722', '-9.01E+9', '-9010003200', 17, 4);
    T('-7.35484E+9', '-12.7315939101', '-7354840000', 78, 1);
    T('631.23052925663040', '6101923996.7', '20', 67, 2);
    T('6.573344309382170555746141', '-49.667494336226746818662786711', '6', 35, 5);
    T('455.046736907783670703', '-453.270', '3', 54, 2);
    T('-57.64229576728314', '-94111.6980047940211917099365077', '-94143', 56, 4);
    T('-32030928.906703', '-737.973167323560829322718664924', '-32031472', 88, 4);
    T('-27.441805075894266840587727', '836162.416772476033742632', '836160', 16, 1);
    T('-62503771.4510', '-3E+9', '-3019505664', 72, 2);
    T('-40802795.1966', '533943.331482540677', '9237', 57, 3);
    T('-34174159.974', '925198238.886', '891552528', 95, 5);
    T('3.7E+3', '77245.9151440', '3124', 40, 1);
    T('735184.02809390561721664922', '5.3E+3', '5264', 50, 0);
    T('-492.487132852253392392', '17668.121127', '17412', 46, 1);
    T('5.6713326E+9', '-42321371292.66833350', '68192', 42, 2);
    T('323.19341946596652583164616650', '77097809224606.0790858637176632', '258', 59, 4);
    T('9.06169E+7', '-8081987.226143558267041716945', '84190212', 49, 6);
    T('-3871754.60195', '-96390.54954440431', '-3898510', 9, 1);
    T('-2.8256451E+9', '6594409.64749979189', '267072', 83, 1);
    T('-7.786E+6', '8.67595E+10', '86754992352', 16, 3);
    T('7.6591E+8', '-7935696733.39238413687636', '614908064', 30, 0);
    T('1796473.4181090536482', '-1.9E+3', '1796112', 86, 2);
    T('-6153098.7901271095', '1.021E+9', '1015158848', 71, 1);
    T('-6.7850E+10', '5416850825.75', '47317376', 67, 2);
    T('-7589827.99848097103809741', '1.64E+17', '163999999997771776', 2, 6);
    T('5681420.1690769856315', '9.2375365322E+14', '5517312', 26, 2);
    T('28856983.589550727981', '3314.7291269261062505514', '146', 88, 6);
    T('-1.63E+3', '5.69269E+7', '56926368', 35, 5);
    T('-6671746.6360', '-84326250.858765734752417582', '-90701802', 15, 4);
    T('8656472402.930071148', '464927604.4717640764718328588', '62261584', 78, 1);
    T('-1815806', '-5.847135012225726', '-1815806', 27, 2);
    T('-5.557748674529678', '3E+3', '3000', 59, 2);
    T('5850.78481', '-1535.5261393693', '4608', 3, 1);
    T('-9511253.942088819', '945454', '937002', 52, 0);
    T('5744633.041902119219270', '631322254.69', '75400', 55, 2);
    T('313144010.51813181637991', '-75744.25993839746105127714', '313135104', 63, 0);
    T('2932', '-703.2496', '2368', 58, 6);
    T('39726.750468', '-287564.0711409491365436', '38948', 84, 6);
    T('32136137.3615979927391518144', '-449.77592353422861', '32135689', 16, 6);
    T('-99850', '1E+6', '933952', 30, 2);
    T('-9.820E+8', '8213484626.1150992338472338260', '7533483008', 100, 2);
    T('-58.74584768908784682', '-88063368316677700.6631786', '-88063368316677756', 77, 1);
    T('-309736.2', '826121346.1', '825820160', 89, 2);
    T('3284634.0', '-8.48920079140054100965', '3284632', 48, 2);
    T('-7.3E+7', '4.124171E+8', '411310144', 83, 4);
    T('79132.10829760989101440', '6062376434.814949643', '1296', 85, 0);
    T('703.9438271643322432215903011', '-25302717.3', '3', 12, 2);
    T('-5E+5', '86.61229976429714614358273437', '64', 100, 3);
    T('6.203362428615773057E+19', '-568221.75653034340197896076', '62033624286157164546', 41, 3);
    T('-912678993.970137', '-181.737731248906', '-912679157', 22, 0);
    T('-6.85213E+6', '-9.55E+6', '-16367280', 68, 4);
    T('80.3535890729025539184186', '-19.70596083028', '64', 47, 0);
    T('87404493.3', '107559.8614392', '107525', 54, 3);
    T('841025735.94133054592066523368', '-28.44800220408035850920570', '841025732', 48, 1);
    T('-27947477.342', '232912.3371900316684', '101376', 37, 5);
    T('6542.311056016932019772210', '812928475082.7731969156974682', '6538', 7, 0);
    T('-702868424599.48648598573', '-955696502.2294837300651', '-703284103160', 40, 4);
    T('-60958.0501560695983875014', '875.79361330', '354', 60, 4);
    T('-8.53259E+7', '-706928.26063908234', '-85981552', 74, 1);
    T('-436635.502787160362292217212393', '-229156.64896927', '-524220', 76, 0);
    T('-391321717.693', '-76606.2864643757625', '-391330686', 5, 3);
    T('-9.77442118260738615', '-87.73390885865310347', '-95', 14, 0);
    T('-1.20E+7', '308897417490724.932760513396', '308897407590656', 6, 0);
    T('-9', '3.18219E+11', '318219000000', 16, 2);
    T('-6.9E+8', '-63005919846386035534.00039', '-63005919847076002688', 74, 0);
    T('-727.14024579', '34.207202966442146', '32', 94, 3);
    T('-7.38', '6E+6', '6000000', 90, 5);
    T('-1460.68324', '-9824595.8763420936017728863207', '-9825780', 53, 3);
    T('746628.789881540772103185', '-7.555389E+8', '222212', 70, 5);
    T('-371289242.4879796', '68.5846445157131', '68', 80, 5);
    T('260218.23955245490218671736281', '36252.5', '34840', 18, 2);
    T('2609.1918111733384224', '558218167.60286228506585', '2609', 84, 5);
    T('-118315.040116698', '-24.11822008', '-118336', 77, 4);
    T('-996738143.376317199333', '-8486.298509499', '-996746624', 37, 2);
    T('84.9255095552328983254217', '-3156.185876167586484305', '4', 85, 4);
    T('-2.640E+9', '-708975.8519804', '-2640049152', 88, 5);
    T('412021.93889771693', '-7073777.057743747382592224560', '262149', 10, 5);
    T('92.42', '65490.68797284530302855899', '80', 21, 2);
    T('4665976559.9531853638447459', '8.13E+16', '4632412160', 31, 5);
    T('-504.03921734435632719287', '-909096.1829266502741877', '-909304', 54, 6);
    T('-84046.72239077647605054336118', '302478861.65879318718', '302396928', 48, 2);
    T('-46.44470078618447343676052992', '-3983781426.31211999175', '-3983781438', 69, 6);
    T('-870252.2203', '-27439847.38', '-28309488', 30, 3);
    T('-8989.566219', '9547.0734306175975262536', '1091', 96, 0);
    T('4.44E+3', '-65672.4092854467', '4440', 96, 2);
    T('24496122.6950596288728', '20724491492.74610902', '21267680', 42, 0);
    T('-797.9389', '78543.4696404037505', '78019', 83, 2);
    T('9314.24855103491562709', '-166.98', '9282', 42, 4);
    T('-47099364917.01', '3.1568010123917571702E+20', '315680101203939172488', 33, 6);
    T('-9E+3', '-7995353.160015789478135477801', '-7995392', 5, 0);
    T('-795.3880', '911.97347974523846593755437513', '133', 56, 2);
    T('-886.048', '-9E+5', '-900096', 12, 4);
    T('-6.5192611435E+17', '-5818.111910267459389326833742', '-651926114350004224', 96, 5);
    T('2246.760', '-8.25598E+7', '2240', 14, 5);
    T('-2.392063797', '92779.307419772278', '92778', 27, 1);
    T('37.7504287775', '-3681054.7973160673110488235114', '32', 29, 6);
    T('-8.9E+3', '4.9E+4', '40232', 82, 2);
    T('-6183058325.8493037', '-43967662.8', '-6218055614', 74, 5);
    T('4.904096E+9', '-276171.554587', '4903829760', 76, 5);
    T('-91179.3021633329', '-2.2780373180935E+15', '-2278037318102716', 64, 3);
    T('-4.780245E+8', '554.1', '8', 2, 1);
    T('50.2919478216019062', '-80.16253', '48', 54, 2);
    T('99.79432698036', '-2.1461600', '98', 22, 6);
    T('-5112572.0611236108960655', '4737733.37191597', '18436', 3, 5);
    T('87612213704425130.419803', '5.73658E+7', '54678568', 46, 4);
    T('3160.3803', '848311.399798601602644736', '16', 46, 5);
    T('-1.00929E+19', '-271264573.45321526704286776', '-10092900000002162688', 32, 5);
    T('-40363.4', '-3620291400.957967151821733636', '-3620331504', 82, 0);
    T('-1.619896817E+15', '55000768.835145942167289311640', '17178816', 89, 1);
    T('4.846969990226E+13', '32962809724666', '13262860073520', 93, 5);
    T('92.957378717830374791', '-498652828.9083098574130440119', '68', 70, 2);
    T('-9.4010368383598209366204', '5.0E+8', '500000000', 77, 4);
    T('28.4787', '498015132.26678', '28', 82, 4);
    T('2.116E+4', '-97423.330193513006357378052', '544', 97, 6);
    T('-3.579020159', '3644246.02760244066955106928160', '3644244', 55, 4);
    T('-4.80588924639896369E+19', '7873118184.743099048490', '1359085768', 52, 4);
    T('4561187.6934767818390687274055', '6.971124902789667550237', '2', 69, 6);
    T('19169.90', '-5.005E+4', '2144', 98, 3);
    T('-508871.45023557556', '-664.6630593132', '-508888', 83, 3);
    T('-4.9210E+5', '-64204.2220766795153677667648787', '-522956', 93, 2);
    T('-6.1776551E+8', '-7.795021E+9', '-8403214024', 30, 6);
    T('-7861.63', '7E+9', '6999998464', 91, 6);
    T('-40377990.7907349417', '572.10231877274', '56', 29, 1);
    T('44918937.919922402', '7574032136.802', '35653640', 58, 5);
    T('468798.49216983476233', '587.369282508959572466', '522', 10, 2);
    T('-463934790.54020168', '-984546.545058485', '-464459238', 6, 4);
    T('96070229.95', '-77265.1500771872719334617340', '95994373', 94, 2);
    T('-4766.02662716254496', '-6.295259562899E+14', '-629525956294656', 28, 5);
    T('-811389718.49177149901129', '499310033178102384.05969', '499310032635168864', 93, 1);
    T('-50118558976497871652.627465', '-2386425045969938.237', '-50118585503845445428', 35, 0);
    T('-507.520014116026662586810777', '48538.06017964189377', '48128', 7, 1);
    T('69298961.2375239725', '2.02994490E+17', '81920', 39, 4);
    T('-3641.8303659161', '2.21945865227050E+15', '2219458652266884', 4, 6);
    T('5618.7118370245', '24.049423020916432926', '16', 44, 4);
    T('2179094.81656', '-484518499303251158.21916396', '2097154', 61, 1);
    T('-48.94298074149212', '78468936.48964006709', '78468928', 28, 0);
    T('-683.86646768', '-463336639.311', '-463337151', 11, 6);
    T('24460957041.1583471216854646', '3.3E+3', '1120', 71, 0);
    T('155878497.765928430087897', '-708627775.833', '21102657', 59, 4);
    T('874424.7332', '69815.897812010542799416', '69808', 55, 3);
    T('4E+2', '-5703.110720143451', '400', 91, 5);
    T('1.84E+7', '-45651.76533970488754', '18366720', 69, 2);
    T('-404.83827832291761656497828939', '-13317612.2568945994800175982134', '-13317628', 19, 6);
    T('39391.51186420471734681694868', '-7.6142983820', '39385', 28, 1);
    T('-152530257.2374394', '4.0E+3', '672', 57, 1);
    T('42346482.3288056436297664', '-7.73', '42346480', 69, 6);
    T('9.3E+5', '-7.3745224258804370E+19', '143504', 11, 1);
    T('-8546.9947429443', '3.860E+9', '3859991552', 17, 1);
    T('-4325955841.198714', '3612.680011927733384512', '1564', 61, 0);
    T('3193.7260349469487435727408', '7E+9', '1024', 89, 2);
    T('4E+9', '-5170.4466982788084910517703', '4000000000', 75, 5);
    T('-560956.9720591', '-5E+1', '-560956', 90, 0);
    T('-4E+9', '-6.217481984283141179488057', '-4000000000', 24, 0);
    T('1489.432659133923957951', '773.12427561139677095060', '257', 5, 0);
    T('348.458631086088060612', '1.9E+3', '332', 68, 4);
    T('-3.572E+6', '-6678.214668461423', '-3578656', 74, 3);
    T('909.584828982469808835681', '-3.4962E+9', '128', 72, 0);
    T('620368.189335127207252758826405', '-5510', '614992', 56, 6);
    T('-1.780821E+7', '-5051834530.6181236837541016319', '-5052038130', 80, 0);
    T('130314.27', '8.569', '8', 33, 2);
    T('-9.6058E+5', '96.2051058', '32', 52, 1);
    T('-86.12874976315', '-126900641.58581449206063945', '-126900726', 33, 5);
    T('6E+1', '-23634476.60707', '20', 61, 5);
    T('-85198290.22', '-2.8E+5', '-85214720', 99, 1);
    T('-662012924922152667724.40622', '834.0157979159', '256', 50, 2);
    T('664364327.761996185', '-6544.12093797690774887399', '664364064', 33, 2);
    T('-28302659.0333009977066', '629405', '669', 89, 4);
    T('-3.697011891636', '-6.25034E+7', '-62503400', 47, 2);
    T('-1.0E+4', '5930.5893135719786', '4128', 54, 2);
    T('7004.81', '106.0118161948926978287442041', '72', 11, 3);
    T('4717090645963.854524596622', '-20284.7021181132796167727', '4717090644160', 90, 3);
    T('39626.4120094', '-52433.3488688073999769548992636', '4618', 98, 6);
    T('8137741784.382', '9.87029461466327601191', '8', 15, 0);
    T('85439592.07940567644197', '934452.3', '393248', 86, 4);
    T('-14.49', '6.797690077119305068', '2', 33, 1);
    T('3624.71', '4656259.58984887740324804466192', '3072', 69, 3);
    T('32950501.88749425953', '2.6165E+5', '182272', 12, 5);
    T('-6.9216E+5', '1.355E+7', '12861440', 20, 5);
    T('5236878159.19448283194512468428', '-5045.537884991585394000371', '5236877387', 73, 5);
    T('-2.28514410', '8375459463.837219378', '8375459462', 53, 3);
    T('-6.512E+6', '-78', '-6512000', 10, 4);
    T('517777.05', '-3.8E+9', '33280', 61, 0);
    T('-621219861.206148', '34.67447534975183415274085', '34', 85, 6);
    T('-5.48334685E+9', '-2.75850115018171334274228242691', '-5483346850', 18, 1);
    T('64.1261679019719400666499385', '4.18E+7', '64', 95, 4);
    T('-49', '-768523417.230761185433', '-768523449', 2, 3);
    T('5E+6', '-60.550471827', '5000000', 51, 2);
    T('-8', '-330676771.893927', '-330676776', 4, 0);
    T('824.7294932309643393', '-8.365E+8', '288', 80, 3);
    T('-640444.59176625624995177884778', '7312545155.77', '7311986688', 13, 4);
    T('-5.5764617E+20', '1415682101.39363156', '1080033280', 89, 2);
    T('-6.9773236035182696663', '-5661174779.96080692797823553029', '-5661174784', 76, 5);
    T('96.037922856066', '9144117869.935313322053469', '96', 30, 6);
    T('7.0E+9', '-35583.8934', '6999966720', 16, 5);
    T('525545113.263212987', '-3.9E+9', '386017280', 84, 2);
    T('36651.667220344', '-1153805.46891965164', '1059', 75, 1);
    T('2.5084E+5', '-3.0E+7', '135296', 38, 6);
    T('776.416755640', '-71782.700229206', '776', 4, 6);
    T('1.039091E+8', '530109.0776', '1708', 9, 3);
    T('-71458266927423247.031346216', '89026340.2376509029244367145', '84287520', 50, 5);
    T('9.936890065849100680180', '1343060765.36683507204988', '9', 88, 6);
    T('-8.144E+13', '-7.3944160', '-81440000000000', 57, 2);
    T('1.58E+8', '-556291.552685', '157450880', 49, 6);
    T('409745818.9695581645224636', '3.42183949974', '2', 22, 6);
    T('-39.9268297473267', '-853.5911236955685503', '-887', 72, 4);
    T('3028239.7588938036909561', '-7125347339.1192', '659717', 62, 2);
    T('-8285523541620130808.0381', '-5121549505.3292854125488', '-8285523541636917240', 58, 4);
    T('-3903795.5656258444539', '-6E+1', '-3903804', 15, 6);
    T('958918.42761560774', '-36.69125290696017481217710', '958916', 91, 4);
    T('79799774.0344820963652532919', '13.75831739042', '12', 51, 1);
    T('-126938', '-38639543.057313546143031077', '-38666240', 29, 0);
    T('6801267257726006281.9492617', '-630825', '6801267257725965313', 36, 5);
    T('40228.5090112379669899', '2824482608.1504933043', '3360', 2, 4);
    T('-5781016856.870874934', '917121068.267608', '640165928', 100, 4);
    T('-67146368.5433360822', '-28915.2611746488279490318633008', '-67171072', 52, 1);
    T('-42811.722795092956547', '-1237597212.89473', '-1237630780', 33, 6);
    T('-2E+2', '-3.226E+5', '-322792', 15, 2);
    T('-514632664.844110', '-3988077982.614585954618049745', '-4290625504', 96, 5);
    T('-9.596428842', '959593.18741710267', '959585', 8, 4);
    T('-102.961988566', '94843517903527086959.1', '94843517903527086858', 52, 0);
    T('84.28387518619335915082198403', '1402065.86903', '80', 40, 1);
    T('-72928.3240903745', '884344.03389', '811552', 2, 3);
    T('4339665854617498.18209763202', '-8.495587E+7', '4339665836770562', 64, 6);
    T('-8265051.47380246450924311817014', '6909006654.246', '6903890468', 85, 3);
    T('4125874.3813718168', '-81830.261792040043315897', '4112402', 100, 2);
    T('-458.71793820667171440', '-41.546', '-490', 1, 3);
    T('9.45E+8', '83795.9581402622817979', '67136', 37, 1);
    T('-978529.609', '-868.2088124185904117140634', '-978788', 72, 1);
    T('559662028.98', '-2668020306129634.469521068473', '21119244', 99, 3);
    T('-415.76349848938976229474847', '65.81962', '65', 73, 1);
    T('-5821055374.1', '-81778484.53167816483594203', '-5888792512', 37, 1);
    T('-1.32720827040469424719937', '6E+1', '60', 2, 2);
    T('-707.524464537656', '-455392188.283023951015094242', '-455392252', 36, 6);
    T('200462989', '1371839383477.64689806103', '66241157', 9, 1);
    T('148896.9580780761', '-6318.4763026356577393', '148736', 49, 5);
    T('261726.72441278457', '-554.3', '261206', 66, 4);
    T('1950.8973890957260978098900', '91.737142557760189537954770064', '26', 98, 4);
    T('-622.565253263786605569967670', '93676115.617016380857', '93675538', 45, 2);
    T('-46981.46916', '-542.083538030702009856', '-47006', 3, 2);
    T('-851840.658723339700124143493', '-900875.803307873', '-917376', 84, 6);
    T('-102', '430197.543447705370163464', '430096', 59, 0);
    T('-9.4408916E+8', '-9078899.108945510261605', '-953133176', 42, 0);
    T('253.70635625253767688308169068', '99765.56047042', '181', 13, 2);
    T('3009750938.992615956824741964', '18077.302567178250500941948', '1688', 57, 5);
    T('-564.298292242893696915213', '9599.12013230533658650660750', '9548', 84, 4);
    T('-6.604575642264819244', '-4463756.858483727317', '-4463760', 60, 5);
    T('94214014.4757307', '2.24E+4', '5888', 89, 0);
    T('-8.662E+4', '-8.87572892074378735153496379', '-86624', 26, 1);
    T('81404846674.8344124604925', '1547230294.882701684272914248', '1410875474', 71, 0);
    T('199840057.146', '-43004.538', '199839744', 27, 0);
    T('9246854.09838724373261110341535', '8842.96363353336575910828', '130', 30, 5);
    T('-914.27639568379', '424.88089299050', '40', 46, 4);
    T('-5797577668.6342148611177406', '-481577.587284326043', '-5798058988', 91, 4);
    T('955.3209', '6388.8233887942643808443', '176', 71, 4);
    T('9.343023724131582306450569', '651736.3886772', '8', 41, 3);
    T('70.11148717595', '7.103804200204392831', '6', 36, 0);
    T('-1115.9076806728034802', '636125.42315205', '635013', 75, 3);
    T('-4E+4', '-59000668.829', '-59039616', 53, 5);
    T('94004.2', '49085.881489509535988321316', '12084', 12, 0);
    T('-6.08E+4', '4112136.282144026', '4067840', 4, 5);
    T('-92951.6097', '87423.2324970117084158818691772', '5225', 6, 4);
    T('-726686.70051642970290700', '3.42486103E+20', '342486102999999471616', 100, 3);
    T('-41.44643954794658993231', '86.72305668561104', '86', 100, 4);
    T('27279321.06388224', '6.1188917971294E+19', '18879360', 46, 1);
    T('7.22E+5', '867.176254699915447007', '64', 38, 1);
    T('45.00', '90602.181417603531', '40', 69, 2);
    T('-46078.97182', '-146963.09756338', '-180224', 17, 3);
    T('76086833.916', '564.025902299458071352996229228', '560', 54, 0);
    T('-3.73115E+7', '361.4', '352', 21, 5);
    T('-7.6052236E+15', '-8.0498012', '-7605223600000000', 77, 2);
    T('31.76429551', '-470916.5649287223296073', '28', 99, 3);
    T('-3022898149.802689114069', '-778293280.27851332907103277122', '-3194999808', 67, 0);
    T('-7266758.9096', '8207675674.0', '8205176858', 70, 5);
    T('222226.593947650147637155848', '3.46972E+9', '204800', 80, 2);
    T('6457425.8000898639503214685', '34917.6231361764756327377427', '34881', 18, 1);
    T('2.51E+6', '-1400.0324', '2508928', 33, 4);
    T('-7.42771564098319716', '3167.596', '3161', 100, 1);
    T('-5.4737522574443271957850802', '4626928.53', '4626928', 71, 6);
    T('-5118395601.869581011', '-4.529E+6', '-5122662392', 1, 1);
    T('622734610.9121067187671928', '9569731580802496151.33', '84943890', 41, 2);
    T('-5354.443754286', '686.90', '518', 96, 5);
    T('-893549053.48361', '-3.0692711025705', '-893549055', 39, 6);
    T('393807.7', '6.067665979503', '6', 85, 1);
    T('92656433.37546', '-4.365360325831E+20', '25170176', 72, 4);
    T('-73875.6707920170105', '985861774894.77065913399546', '985861774892', 39, 5);
    T('-465989.1260189519711', '774.464947647557724629423', '770', 22, 3);
    T('-9.08', '-1.1778E+7', '-11778000', 24, 3);
    T('6802.5638', '3.23402538E+9', '2688', 52, 0);
    T('71.166682', '4304470.620968', '70', 4, 5);
    T('2644672.24909898191708472', '-7.74099616988094214375347992', '2644672', 99, 2);
    T('-249726122.8866185130985', '-291', '-249726380', 15, 5);
    T('-80327336.16873', '99077.13015848', '256', 95, 2);
    T('199897873.0032078150', '6.784895E+7', '655888', 89, 4);
    T('13220887.6777225834284241628326', '-1.871E+5', '13181956', 57, 5);
    T('-66946.91305', '33088423.55595743729706426', '33088038', 3, 1);
    T('42151.1953345694453488403320', '-33193346713084935540.7205194', '132', 13, 5);
    T('-557.89339918873', '757921.221848', '757889', 62, 4);
    T('-8.249383493060884213857', '-24.94149938084031', '-24', 36, 4);
    T('-649.08550', '-4422516636917.1143', '-4422516637437', 52, 3);
    T('-59439758.9142427206419026', '-7982829548.484', '-7983529968', 71, 0);
    T('4535.8843', '-628372575.038835621526315', '417', 1, 2);
    T('-10193.64795677143542514', '350.312613310593835654906202992', '14', 43, 2);
    T('-2320747423.8349967973', '99012.92823029830722701610', '64', 83, 2);
    T('6400614583.670695082122923', '-524.0696029155080939', '6400614580', 83, 4);
    T('-5726992257.3392932117762', '-3065.77641347', '-5726994425', 54, 6);
    T('-8169547.054787601955866401528', '705.26644003798375842504725447', '641', 99, 1);
    T('-73993461.40440392', '12332737.7359752751934269', '9708033', 30, 0);
    T('1.6070E+8', '-8147.117553175836', '160694304', 15, 4);
    T('2507404828.299', '-4134637923.1482133827818440383', '16934428', 99, 1);
    T('847162.77592467475', '-6.527969355053E+15', '837688', 13, 2);
    T('-4E+6', '-21348.177564625', '-4021248', 89, 3);
    T('8846217713.9017611947877500715', '913351.4575880102532530349', '295361', 75, 5);
    T('6.652E+8', '25541747.8838790', '25437184', 100, 2);
    T('-2.459597095588596E+19', '-6.7750073E+9', '-24595970960190503808', 97, 6);
    T('-418.02918402379929006518', '-1994.299669845', '-2026', 68, 2);
    T('-8.545683982266', '-680105521.050331138646883', '-680105528', 34, 4);
    T('875435.13858448', '86827455.33833445659872', '803243', 97, 6);
    T('-313728530.088', '9424.4882855422087923619631', '8384', 28, 6);
    T('-2.525394794358854285024941', '-204.89066701579274702', '-204', 100, 2);
    T('2.451E+5', '-6.87237203E+9', '240704', 28, 3);
    T('-36.964', '185.13503078599', '152', 90, 0);
    T('2.847435E+7', '-22', '28474346', 99, 3);
    T('88836077170549.5006988487', '-1914949.761249199304615', '88836076111665', 15, 3);
    T('-6564960406.07825120948', '-3598.1906809467698845', '-6564961950', 15, 5);
    T('-5.567756E+18', '-12020527.290629650446', '-5567756000011747328', 76, 3);
    T('6.415E+5', '55324542795531725.403107792', '16844', 63, 0);
    T('420151.32971993223526555', '-366.64092788', '419858', 67, 2);
    T('618974438600228437.94', '4.7E+5', '10832', 84, 5);
    T('93796870.027669918832494', '-5.2328699E+9', '1062916', 58, 2);
    T('-5E+5', '686461.970046901688', '546912', 78, 4);
    T('-9.5E+8', '2E+5', '1024', 64, 4);
    T('1023210.7276456157', '111657.21757190241', '103464', 86, 3);
    T('-2252761265556599.21945065731', '315046115.664153411736', '12417', 39, 6);
    T('-794389025.6672287720052267578', '-412305693420428.56332', '-412305846004652', 63, 6);
    T('-463.14294835509', '821.4477682717762452855749191', '561', 74, 6);
    T('199.0574314432527237129693922', '-749347432.313509685', '128', 54, 2);
    T('7.504E+6', '464.1731086118209575856678', '128', 97, 3);
    T('34799935633513.5747891757', '-651106.242344315232311906996', '34799935033352', 55, 3);
    T('149687.9069060555326055852', '1238890.74881966', '147490', 57, 4);
    T('7.524E+7', '5638.95386058265692863', '4608', 81, 6);
    T('963013809.04012625483782416', '-39.213981544187', '963013777', 70, 6);
    T('5446010.18372633', '-141.6184076548996', '5446002', 94, 1);
    T('-738056570676759040674.128174098', '-1E+1', '-738056570676759040682', 69, 2);
    T('1.3E+8', '-21.4499863', '130000000', 56, 2);
    T('-4.46238783873', '4857.96887965452', '4856', 53, 2);
    T('-7.21E+8', '4.84E+3', '192', 24, 0);
    T('5.22037E+8', '-1101.70560271843434', '522035968', 8, 4);
    T('-2.261713662087529335477567', '7069.945320179040191', '7068', 2, 0);
    T('5.7421880', '192942', '4', 77, 4);
    T('213012.4871520635813270', '-7934416.342543234', '147472', 33, 3);
    T('3.565E+8', '83546.4405112882309749', '82432', 7, 0);
    T('-9.101137E+8', '-849513.06584941780398865', '-910163948', 75, 4);
    T('6833775.30039568325389494928', '-3623968.89945491412', '4719200', 24, 1);
    T('3221214433.853686973159064', '4293', '4289', 5, 6);
    T('1.775759E+8', '5274965070.67779788254', '167875660', 68, 0);
    T('-31712065.59456369', '-71239.24337735061348004529526', '-31717191', 82, 4);
    T('-859707223', '7903766666.8308834683960', '7583426696', 21, 3);
    T('-19633.316130', '-3146886493.4384343204964167', '-3146903037', 33, 1);
    T('29188.973132631781213157673', '73801.438796', '8192', 28, 5);
    T('-2.2E+4', '-200005775.0618817424', '-200007152', 81, 2);
    T('6E+6', '-299.29955152857985398706', '5999744', 83, 4);
    T('-40.39810232151374375903508', '-7539806', '-7539840', 22, 0);
    T('-8225211.897252614274911127', '-8969918.7775', '-16637888', 39, 1);
    T('8023.1078629898788575680', '-6E+9', '1024', 51, 4);
    T('1.018477E+12', '7.5517E+7', '8389696', 78, 5);
    T('-758.7243426454771', '-483627.72259356084743756', '-484352', 62, 1);
    T('-376241036214148012.7286541403', '-7524819902729.66671917361', '-376244059905178540', 38, 3);
    T('-5.0014538460647309739082208', '4.83E+3', '4826', 93, 2);
    T('4276.8537863730615356056', '-4277048684.1784569478304595904', '148', 99, 5);
    T('-2.0E+7', '5.4E+7', '34001152', 82, 0);
    T('-2686049677059.45', '7.865601E+11', '575569821856', 94, 3);
    T('-5829.14679733188889820083775', '-1.2E+8', '-120004608', 99, 5);
    T('-55712040.2726773', '-5.1E+3', '-55712752', 11, 0);
    T('-2.2371312152999774351', '6.51E+4', '65100', 45, 5);
    T('-1382733.5245870606544474', '925582441.099014693868016768892', '925516833', 26, 6);
    T('5.8505E+6', '9697731.3503372656', '1130880', 79, 2);
    T('-13.3117480387471250393297144', '-8.44685270E+13', '-84468527000000', 85, 3);
    T('-444765.01690', '44.118752237013944081575', '32', 55, 6);
    T('-8.36001362E+9', '2.1863E+7', '17043528', 13, 0);
    T('-930.695578264660617114927343749', '-8385681.65402521951567759768904', '-8386482', 62, 1);
    T('-5E+5', '7.5611E+6', '7364224', 21, 3);
    T('-64.2443862156174778747751311701', '626662613.915833166', '626662592', 91, 6);
    T('-69.17965339371916616705030', '-1222.360140164113504165', '-1222', 3, 6);
    T('547.9643839215763', '586229660.524921991214', '512', 96, 4);
    T('6485953450.16735601818', '9970863381.92506511314473949830', '34031872', 10, 3);
    T('-1558.6367227785229781890', '662015285.45', '662014240', 68, 5);
    T('39806115.140960354220745892748', '55287.362292535691377', '17571', 61, 0);
    T('2779', '-1.1825206651486920014748159', '2779', 72, 2);
    T('-7.84E+4', '-85927.7829044495221974337253', '-98240', 57, 4);
    T('9.499E+7', '1.9739E+16', '19406848', 7, 3);
    T('5939426.043059462', '5193509.50039', '4857888', 17, 4);
    T('1521.057944644394', '-7656317647', '1329', 1, 0);
    T('-7017.4840527553451758062248042', '-3045.76870507286422', '-7149', 51, 6);
    T('748.7480322', '-16702295', '168', 82, 6);
    T('-20201.0391091948133150', '572.225166450623727142479390689', '20', 35, 6);
    T('-18110.86776008295805440505320', '-6.535E+6', '-6551552', 99, 3);
    T('-2357725.944', '-2E+2', '-2357728', 86, 0);
    T('-1600.08842', '-61.5', '-1600', 83, 5);
    T('-4E+7', '-4.267868E+15', '-4267868039864320', 1, 3);
    T('-5621528653781638769.867', '-2838928.4219029499128277478', '-5621528653784408064', 15, 0);
    T('6.05939E+8', '8333.026410986944127', '8200', 34, 4);
    T('19329294.91948722049274044', '-3.01874706348E+15', '17060096', 39, 5);
    T('-49.295565617627388583281', '-521555148.8526795610430869', '-521555196', 40, 2);
    T('30.76', '-66696847.2716444339494795049882', '16', 20, 1);
    T('-5E+3', '9.68E+4', '92192', 37, 4);
    T('6876450716.841', '-5054271676.5569', '2426162948', 85, 2);
    T('-1.95450', '-1973446.01304327', '-1973446', 66, 4);
    T('9.069984042E+10', '-8581.9844011215531799564473303', '90699831840', 87, 6);
    T('5662063.756259456516176224784', '2.63616644886852969', '2', 99, 5);
    T('8.76E+5', '3347398.917958132139', '70080', 80, 2);
    T('37713440.9619416657252861690185', '5245653585.810440468472032406', '2773504', 27, 5);
    T('-13912624.29740564272', '-27.186111427996420985599', '-13912640', 28, 1);
    T('5536.221020388', '7.613E+4', '288', 5, 6);
    T('-541659141.964067', '-3637239.4003878129039492918', '-545226743', 20, 0);
    T('-172178', '-677.904794', '-172726', 76, 1);
    T('-9896.0181515349755', '353827071.345657028', '353818712', 71, 6);
    T('-5.0E+9', '-928426251249536.371597901', '-928431250864128', 55, 4);
    T('-55.830156948680709611', '5358.42480426', '5320', 49, 0);
    T('-9.9876E+9', '-152437.4354537479720894618', '-9987620736', 36, 5);
    T('8E+5', '3E+9', '5120', 100, 5);
    T('-79.36657716976', '3.794E+4', '37936', 37, 0);
    T('-2.0637968995483845499494', '372976.70381', '372976', 74, 2);
    T('-3.9E+8', '921147110.55', '549524096', 98, 6);
    T('443.84288895712', '-416406.45475211113457240948345', '298', 43, 1);
    T('24993.0380429598', '-2.7721871563', '24992', 90, 3);
    T('4.2589E+7', '-555', '42588480', 72, 4);
    T('-92.2856711242442941118125036', '315232281.9324010', '315232256', 91, 2);
    T('47295336.44', '-6333.55068243707117885156', '47293248', 96, 4);
    T('3399947.27468311551582963', '-5.07E+9', '122880', 91, 6);
    T('-3.083396528450562310415925819', '-4.28610767210476904520961186080', '-4', 16, 6);
    T('4.559E+20', '-64.536265820715795097253', '455900000000000000000', 62, 6);
    T('-610470.18757528', '-145004270938.339179155864', '-145004287486', 55, 0);
    T('779.8491429494', '3560.949176', '264', 23, 5);
    T('-7467862.76882698364', '-72.7359193463886149449997', '-7467864', 89, 3);
    T('4E+8', '98715100254.6038963185392942054', '331383808', 36, 0);
    T('306340322.98867514', '8.08E+3', '384', 57, 1);
    T('-12811394403648648044.3847129593', '38239995551.524725', '38202246292', 5, 6);
    T('834613630813.93186168983591', '1.16E+7', '9502720', 99, 5);
    T('-21995232.55083942778213', '-7397012.502788767420994180919', '-25157344', 66, 6);
    T('-322739778.7909', '3422432.91847086071', '8352', 48, 0);
    T('86.0977', '56.14771210815411638', '16', 50, 2);
    T('6060088243.5405357083640761', '98134.4', '72466', 29, 1);
    T('706984964529.483576064355415076', '6015891.46044615024198692', '1196433', 97, 1);
    T('3535773769.3635192', '-840597261.76289568435374', '3232071745', 2, 3);
    T('7463999.550744', '-40.865105035468543214', '7463960', 5, 6);
    T('-30654075', '-76.286', '-30654076', 69, 5);
    T('-6E+9', '-691692.789533', '-6000656384', 85, 0);
    T('-225.4578583073', '7584.923904', '7424', 29, 2);
    T('915997063.40384564', '2077207860.030521354719767287', '847839492', 69, 1);
    T('48798.1', '-1869214757478923.55', '7316', 69, 3);
    T('4598108103.6585405401689', '375315034.368', '303073858', 98, 0);
    T('71846.4406762794877271549', '-3', '71844', 95, 2);
    T('-96855.77368302423633521827668', '658', '128', 71, 6);
    T('-25526.55627171542', '938939.688630003774375', '921610', 55, 4);
    T('-51.7955273740913573700379', '-807.2392', '-823', 60, 5);
    T('-42642.9204907377929965954', '-400.14909454', '-42912', 90, 3);
    T('-57400372.86', '-7.428E+7', '-124779584', 18, 5);
    T('557807.915195881060659', '9.4092E+6', '557728', 51, 5);
    T('-55998.894984', '-635993.1284387', '-655102', 69, 6);
    T('-7.8E+20', '5.427926E+8', '542113792', 83, 5);
    T('90.8118011288725620866201677', '-3103825.9830180629076210459', '10', 4, 6);
    T('3984.985509014', '-90733.337369721227139874374723', '3472', 78, 1);
    T('-3E+3', '-6.1162737847E+12', '-6116273786880', 93, 1);
    T('-3E+15', '-1.888E+4', '-3000000000000000', 33, 3);
    T('9294.0709510443435', '25207630445.182876580749325527', '8268', 5, 0);
    T('-2.40820E+9', '6.710E+7', '7718976', 36, 6);
    T('-497727163.6', '9277.53885659827148894954', '5', 78, 5);
    T('-9225.6929984777398', '92.0338385252582081543', '84', 52, 2);
    T('259223368.9644', '90028873.288491553', '89205576', 10, 0);
    T('1.797715E+17', '89830688.95643853672279566565', '68694016', 25, 4);
    T('2.18034281036568067240', '-864286730.01734223817781', '2', 86, 1);
    T('-52', '93007204.1732878438', '93007172', 94, 6);
    T('4.5583', '-91034', '4', 29, 1);
    T('-20.87674941', '6E+8', '600000000', 87, 5);
    T('1228017656.728567808931476242', '91098035664152291657.339546619', '1226836296', 9, 2);
    T('-773763.110476168388', '-49165230.627180763539738977037', '-49282992', 44, 6);
    T('-3.566806476896049869879', '42447.3825642826744950966486655', '42445', 13, 6);
    T('31090.00951091461685', '2.1E+8', '22528', 66, 3);
    T('7884.4844092339177556947', '610120.852', '3656', 82, 1);
    T('-56.8953467686677791', '46.5236605015', '8', 15, 6);
    T('79698.9165076382711711069', '4628763.8734259356', '8466', 86, 6);
    T('8940.5488294911420673828', '204.7863', '204', 64, 0);
    T('-66994237.198644716845694', '8718.6616558943814003101282', '8706', 92, 6);
    T('-5442930026.925995258372869', '5649386439.25361459647619987319', '278022790', 54, 1);
    T('-1449.919', '599079420.351996953726940', '599078996', 77, 5);
    T('14.40177070884447232783', '-5528288157.75410090000', '2', 70, 1);
    T('-95691861.3741099', '8.80173686', '8', 100, 1);
    T('-4.68741212631E+14', '-11297.0346652969', '-468741212631032', 27, 4);
    T('19602260.006627296518653', '-4.9148', '19602260', 4, 3);
    T('157.787889926482223173871149', '9028458477630547.0254941915', '17', 34, 1);
    T('-8254.092876263879124', '-22378.100549008185', '-30590', 16, 5);
    T('-718.09', '-7807088299.96558261447935810', '-7807088368', 70, 3);
    T('-8877.2123037474900742', '-5354.4408', '-14062', 76, 3);
    T('-8567094723717.9561283927588', '11557.50030635197520175447409', '10529', 40, 0);
    T('-641919.92850', '-603996000', '-604635008', 43, 0);
    T('6853.8981955723991541004731', '-7423.1996', '513', 6, 6);
    T('5.461E+5', '8.2E+4', '16400', 9, 4);
    T('4141625.90417', '610.84675728176656442', '544', 22, 0);
    T('-8.77', '-45578797.086354474811860', '-45578800', 40, 2);
    T('-5.66180E+8', '-9.38E+9', '-9391012096', 77, 6);
    T('7717018.882877665368244356', '6.35395E+7', '4292616', 2, 4);
    T('37700477.02568079461575', '-29.508271084795405625', '37700449', 54, 2);
    T('273.667331695832679', '-1.015032032080086033725', '273', 30, 0);
    T('5991.706116106593475', '-98299152.76414963240925', '4704', 94, 5);
    T('4191207137.14', '870.96452671386224427395', '608', 41, 3);
    T('-540689724.012', '-6.8E+2', '-540690368', 68, 6);
    T('76575136.5985397784572617085', '-281.548', '76574880', 44, 1);
    T('6.022179490831647679E+19', '-70182.2297560740347471786677', '60221794908316411218', 26, 3);
    T('233758.55563697093367766753', '7205104763.2893180059398', '65562', 15, 6);
    T('-587899053.405288273181644469', '-64.82549091462', '-587899072', 54, 1);
    T('-482063556630.9403245158481', '1009028.50790', '345472', 81, 0);
    T('-556220.54518757713039485912', '-3723.2751919153832', '-556732', 22, 6);
    T('52065919.60156838031', '707725.3649773118', '672781', 10, 0);
    T('-4477.7137128981950605636610', '-6748424238.932132047848', '-6748428670', 28, 6);
    T('83902.0052713798511405660649', '-96.41560798336395', '83872', 42, 6);
    T('-6034.181976030351663436', '-87902.3440862977639141517', '-88030', 72, 2);
    T('7539064.3', '-8.988886', '7539064', 58, 2);
    T('-1.86643163387', '-8041776424.52', '-8041776424', 82, 2);
    T('-6960708742.0996170592714', '-6559158286.8054669352726562', '-6962019470', 64, 1);
    T('-80126.0299', '9021313.9521105480501815', '8947456', 28, 4);
    T('5.71106E+8', '9.2E+6', '548992', 77, 5);
    T('-9.1E+14', '341839917.976980996758083874893', '339738624', 10, 1);
    T('9.97158E+7', '-8.872E+4', '99647568', 74, 0);
    T('-61052.380102481135793748372', '4.781E+16', '47809999999991808', 2, 6);
    T('-6230.3341183185610191927', '27312701.29581478464629', '27312680', 49, 2);
    T('-242692.803143757173', '6129517.86853177338644145081153', '6030188', 35, 4);
    T('-87.32814996627001297', '-9.484071002039', '-95', 3, 2);
    T('4583105.736232205130296', '-199350.1037071934454748', '4514880', 8, 0);
    T('2.18176346E+18', '-7.88393936', '2181763460000000000', 38, 3);
    T('-763666.86723309110076', '-857240990.127275743955410707', '-857470878', 51, 5);
    T('6.760E+4', '-69923029736650839813.65129', '67600', 52, 5);
    T('519.3515889', '5828.743880898667884997548', '516', 38, 3);
    T('-2699.30', '26155884.292770031468', '26153316', 55, 4);
    T('-2355662.420786251', '-1.41866E+9', '-1420818912', 13, 3);
    T('4.925989E+12', '-9.6916439336', '4925989000000', 10, 6);
    T('-807.6246380', '3924300.13754309746848648', '3924040', 48, 2);
    T('-12893277.65478575603', '902144', '606208', 75, 5);
    T('-2900203.43300', '-2.508454650446382721133914', '-2900204', 20, 4);
    T('477567230.2313', '-2108886.04983941255490765953', '475467818', 84, 4);
    T('-982.8671529424543669737276062', '35628233813.4403', '35628233728', 71, 1);
    T('-2042.48013956629413', '-72.2188386518589', '-2048', 26, 1);
    T('6757658.9', '59706829.979324786808378', '462088', 12, 0);
    T('-7.349E+8', '80624168044.862321', '80598925408', 11, 6);
    T('2.858356E+7', '-13843063', '19137672', 62, 5);
    T('2.212E+14', '-191773.221819', '221199999959040', 64, 5);
    T('-9418.27533797577709056060245174', '5002341.6578781692391', '5001252', 94, 6);
    T('138994900.08', '-448538.97462418279117965021658', '138945732', 33, 5);
    T('800654.5611617900119462301', '8.23E+4', '268', 1, 3);
    T('-68.6301982927149', '-5731629.97597992203658683', '-5731696', 14, 6);
    T('1.7266E+8', '-9.9445554', '172660000', 50, 5);
    T('42.7590', '-4.5429131761234E+16', '32', 13, 5);
    T('6.38513', '-80697.246', '6', 2, 4);
    T('268.328051531437', '8.2575', '8', 92, 4);
    T('-5.28574121299533456547669023', '-15543.58940207079', '-15543', 26, 0);
    T('-2.63705128109184773', '9927.630376590950640216087', '9926', 90, 1);
    T('-6E+1', '-187614301.1709940010', '-187614336', 70, 3);
    T('945.08890754069641918', '-2.2E+6', '512', 1, 6);
    T('543511140063278446.5198993569', '56131.61382430502488', '20802', 68, 1);
    T('8382.26901639866889697219192638', '813593.627', '8216', 38, 5);
    T('-86274', '-790.78397875140022585', '-86806', 65, 5);
    T('-573852.934418983785448839773', '349332208.588', '349315680', 15, 0);
    T('9E+3', '54998722.7969302330091', '8704', 19, 4);
    T('64563904793.6', '4638564982', '4299816976', 91, 3);
    T('-64.80', '-7.79792351E+9', '-7797923520', 33, 0);
    T('6312313.634', '58.822968661885', '56', 48, 1);
    T('-51.0634673348176', '81238544.289203835', '81238528', 78, 1);
    T('-5233112.02884591980', '9.7E+9', '9699328000', 37, 1);
    T('-34.44', '77.61085640763926890051707167', '76', 60, 6);
    T('-2964.1', '-50618703.390409', '-50621408', 84, 4);
    T('-38.244668221', '-8.73051657', '-40', 51, 5);
    T('-6.567119169', '3716585.044141962447586006883', '3716584', 20, 3);
    T('-89943248.408520', '-721299106.1396979277103', '-805203696', 92, 1);
    T('6.936853E+8', '-417.415885018', '693685268', 83, 3);
    T('52328811395098135.66024557432', '8.42E+8', '304686592', 27, 4);
    T('-960828', '-1769.506292758', '-962556', 77, 0);
    T('-7.236195001185095', '818.196290651098308187', '816', 37, 3);
    T('2085692.4264121741', '-85.80064567203362376040', '2085672', 77, 5);
    T('747513.72850', '24512.0331634431617064', '18368', 100, 2);
    T('-9976262.323608691722', '4.8E+4', '33280', 22, 3);
    T('-334634157.27297363444', '-4114743.62', '-335470015', 83, 2);
    T('733', '-59481.8490347223127873271', '645', 26, 2);
    T('-2496307935.0560639987', '7486390.2434038425944238882756', '3152160', 28, 3);
    T('-7208228280.53453', '-5481.8424905054661207196372058', '-7208228352', 52, 0);
    T('6377.932', '4434056.62', '2184', 57, 1);
    T('48.40', '-9.5E+6', '32', 75, 3);
    T('-2409.034112045239201', '-824.30230', '-2944', 59, 0);
    T('8E+2', '-32733', '32', 9, 3);
    T('-3.78652E+6', '-420567781.08875', '-423223288', 51, 1);
    T('51.6382404172838931886384743', '-946435815.3885767442567773', '17', 36, 4);
    T('-3684754919', '-5.8959E+5', '-3685285880', 76, 6);
    T('-4996293.29593020741', '4.1575205846621938E+17', '415752058465943856', 2, 2);
    T('199295.757928829', '9491108921.90672203200732196', '131129', 77, 1);
    T('-49.92634064365', '-2648.828301603035827141653', '-2680', 34, 1);
    T('-9.3802E+9', '-980853.1', '-9380495232', 22, 6);
    T('298206.03548314123418555147379', '6326.68303785', '2198', 68, 6);
    T('-3179.251888', '-581402', '-581500', 75, 1);
    T('441802913.9188947115815956090', '902737487.54014177', '272900097', 100, 1);
    T('-61821630.005684', '6.1721345391943515E+18', '6172134539151813888', 60, 0);
    T('-863', '-8319.19618927576826456343', '-9087', 44, 2);
    T('-218', '-5445800495.719565925', '-5445800704', 58, 3);
    T('7.9225', '7.639687793355135262181173', '7', 23, 5);
    T('-7.2E+4', '79.4693067', '64', 89, 2);
    T('-4.0108571E+8', '562412124.7071', '537242192', 59, 4);
    T('-96029742.41', '-84837', '-96030574', 3, 3);
    T('729788459.64661640487332445814', '6594946.014630908736', '6594562', 17, 3);
    T('829911211.69325154', '-406307961.4758068619299321327', '557854851', 16, 2);
    T('64146.3556219838711', '-1529639.51429979295999150630194', '43152', 77, 3);
    T('-4.93E+9', '-730482.806575855720232135246', '-4930139520', 83, 0);
    T('-25681017.98948193199170164', '-1.435095262484472', '-25681017', 38, 4);
    T('-1411086214.1882878', '123.5995344', '122', 89, 6);
    T('355097.2557866', '-682747.278151568', '327937', 62, 0);
    T('-906661.67972654', '-29071.958271455959316110733310', '-914863', 74, 1);
    T('42599015.44069560110249698', '-8E+4', '42598912', 2, 6);
    T('-70389.76346952443129', '-55469.814909902036645658152', '-121597', 83, 5);
    T('-852863.77708750792169825', '-385.6698285807626036917396244', '-852991', 23, 3);
    T('9540.555788156395380347103645', '-5.6E+3', '8192', 64, 6);
    T('305.634', '4.962E+6', '16', 52, 1);
    T('-39427602.105181347843302', '426131230846.1', '426093445230', 6, 3);
    T('-3057905432.67392605202', '-86.293396455', '-3057905496', 86, 0);
    T('-33589', '-2529114357.557553342', '-2529147893', 56, 5);
    T('29.71895279087', '-9647223480.296534067670805', '8', 89, 2);
    T('30139387849792195.69700', '6.7E+17', '20284963345661952', 20, 4);
    T('-9.70088494252235000427860', '260151.52090', '260151', 71, 3);
    T('-38.275', '82324300.70587601016114', '82324296', 84, 6);
    T('1302300054.12595346428541321653', '7307998855129463.28073549698285', '25624854', 97, 1);
    T('-13055169.1884245133664469691', '701877.294064008178750273388334', '557365', 17, 0);
    T('-97.5563298444151173', '-848899.483028887933435798', '-848995', 53, 0);
    T('7.6794E+9', '97.086787757757136265692273', '64', 80, 0);
    T('-6.97764387E+11', '-2413759.063958376316361', '-697764404416', 1, 1);
    T('9.0376816326726806', '-771493.01572327945440', '9', 56, 3);
    T('-7331008.85', '-46877.8354', '-7339968', 3, 2);
    T('-261.2832817279684', '-9867685.199019565979071', '-9867685', 48, 6);
    T('41.584873', '-2905.414102511297', '33', 97, 4);
    T('-452.252635225202291', '519.774152146798064355545519', '516', 56, 4);
    T('711.695695263', '64.9862223649041021295111732', '64', 77, 5);
    T('-99.5689519892297724446347821305', '55544.2255287148', '55448', 96, 5);
    T('-1318479.793790', '-4366153.859690140343', '-5676879', 7, 4);
    T('-29526359.54503013989525', '-3.684206388646E+17', '-368420638873021440', 48, 1);
    T('5.3E+3', '-9199.996529947744567', '5136', 39, 5);
    T('-8.321E+7', '-8.5097E+8', '-922611600', 98, 0);
    T('-92120305.78687', '-7481874639.7505', '-7482506495', 51, 6);
    T('29.955840053555517097', '6406.32656303040340553959801', '4', 51, 1);
    T('-6E+13', '-536826703.65542970067100031', '-60000156254208', 72, 5);
    T('-231436.60866481417083', '153461.21', '22388', 96, 3);
    T('-376.2179374107213774827127411', '-9029187.255577776', '-9029496', 14, 3);
    T('2379.3700368', '64979704', '72', 78, 4);
    T('-2381112250.495682093501', '-1687.6340318103487', '-2381113280', 98, 3);
    T('-5766.2663634002880832269481', '4.217027388E+15', '4217027387998464', 60, 3);
    T('-43070318.5323791825037406199', '-9.9921371986850E+14', '-999213719877504', 8, 0);
    T('-5855402059.24803806775951484150', '-1.984749356858926622996593624', '-5855402059', 63, 0);
    T('-799.9919071938486', '8129.1', '7361', 7, 2);
    T('-5.86852E+14', '-274803896.52860', '-586852268503040', 77, 3);
    T('-1813.68476', '-1.5240E+6', '-1525536', 98, 2);
    T('-9835.23039', '-731646657867051739.533715259', '-731646657867052795', 4, 0);
    T('-9902624402.35770853', '-991458.917575975', '-9902698226', 24, 0);
    T('679401255.9326513168060445855', '10.74', '2', 47, 4);
    T('4278718346.4770859', '579238021.155985985459342625926', '570427520', 100, 0);
    T('785781101050.26134217', '-107347960.2015', '785711628296', 55, 4);
    T('6.54475713692814431804433231657', '-49568555.840129210894', '4', 3, 4);
    T('4.8E+4', '176665.2072637200923', '45568', 74, 3);
    T('734.847556184677536', '328300858.190682053', '26', 29, 0);
    T('8.298217E+8', '-1472.03140026167', '829821440', 60, 0);
    T('-81908.51', '2394799.7059553017', '2392076', 58, 4);
    T('-2924573.5785411231090767533440', '765567.068776989', '200291', 79, 3);
    T('5.189E+5', '-5373142022745660038.6195316112', '352368', 8, 1);
    T('-7.4E+8', '4.6E+6', '4468736', 57, 6);
    T('34967546814.2865280242', '400887.9984', '133558', 48, 4);
    T('74521.929', '24750376.50', '73992', 25, 4);
    T('-568.56156884968038', '30617005.01324236340402348569', '30616968', 56, 0);
    T('-8E+5', '-186245.637', '-980992', 20, 4);
    T('10233.294420631724226174090037', '-6415560961.469469630883673907', '1785', 1, 4);
    T('77315229.0459650084', '-929.94742', '77315101', 71, 0);
    T('74282.6040641334614683183994', '293323', '8202', 7, 1);
    T('-70850885.90737733670066560', '-72375118.28', '-75062094', 15, 6);
    T('6294568325.468353227675', '-2E+2', '6294568192', 73, 1);
    T('-7.32700466128165486205704694', '87296617.62934400406503', '87296617', 72, 6);
    T('-2.1E+4', '-9.012646E+11', '-901264604096', 88, 2);
    T('-8.17E+5', '55981.7587', '34952', 32, 1);
    T('72818.4512231530174472', '23.354573206', '18', 63, 5);
    T('-2.234E+9', '1.83E+4', '17664', 24, 3);
    T('-6.34E+5', '940080.3502475617819615009', '413744', 93, 1);
    T('194169.89230348494', '897.5230879250', '513', 57, 2);
    T('-943632421.67575728560507', '720086844922261.1', '720086709127569', 90, 6);
    T('3.46159E+7', '-331301.7737438807443920', '34615384', 24, 2);
    T('-2303271475.18747453550279764', '8266.34840945395337812531762', '72', 71, 4);
    T('858068.0073990837593944', '-9.417E+9', '70592', 77, 6);
    T('-753617.682388872747', '7.573E+7', '75530240', 31, 2);
    T('4.219E+7', '705053', '180240', 53, 3);
    T('-728405574.27', '-9.02E+6', '-736867936', 84, 5);
    T('142674663.509', '-1.7E+2', '142674502', 12, 5);
    T('-7.1E+2', '5.26873E+6', '5268538', 90, 1);
    T('36149.03', '-8.6729965700835', '36144', 34, 1);
    T('4466882034.56363504', '953707989.09181692', '135800272', 22, 4);
    T('-4924.95417647220458624161', '-3.3113616E+9', '-3311361856', 55, 5);
    T('83940730215509252.6340754', '-2.15026042101988664', '83940730215509252', 38, 4);
    T('-3.02041939845451978039383', '789561.3092659632698269933461', '789561', 60, 2);
    T('81.08', '-11807037', '65', 91, 0);
    T('-3.1E+4', '-3.52250E+6', '-3538904', 96, 6);
    T('396567557.890064045392307753', '264848167.252130414962499487301', '125894661', 56, 3);
    T('66.31113442624975', '72.8290267266642760540578215534', '64', 62, 1);
    T('-1014489768.45874647761436640809', '807742.302998116', '528664', 94, 4);
    T('925.95805894373464961399594', '-9.266306', '917', 56, 0);
    T('-178926552.6761994855', '730680638.21956609', '553995304', 62, 4);
    T('-7640818837.434336', '7641621.30836', '1055233', 33, 3);
    T('-6394755425', '19762.987938931686764', '17426', 80, 0);
    T('-25064777.6796965', '9078223453.5', '9059729941', 20, 2);
    T('-2801.942064273200931', '-505198.78330109', '-507902', 85, 0);
    T('-39780663.7827699756654328459', '-28669928.234602713470324', '-67074040', 44, 3);
    T('9.5E+6', '2.5E+9', '61696', 21, 2);
    T('5.759E+6', '50331.38881258866085', '49176', 97, 5);
    T('3.8840E+8', '8E+5', '262400', 80, 1);
    T('-811.457283612839963001495614036', '74511383.1753201503152292677174', '74511381', 90, 5);
    T('87390.00465618544', '-3384.1', '86088', 79, 6);
    T('931368.91136745299029497', '-663126.3615815471443229254391', '270376', 65, 4);
    T('-196814917.1605505899149', '-8024907652.458', '-8052768712', 43, 5);
    T('9.39854E+15', '-72.69450697', '9398540000000000', 74, 1);
    T('-845.953909932487337595687568819', '-6.90230E+14', '-690230000000000', 55, 2);
    T('58015976.6583825859', '-8.7773196607112E+17', '38879360', 88, 3);
    T('1280462286260.5112625602539995', '-3.33217284997794310201689', '1280462286260', 54, 6);
    T('2216.383735815', '607902534957', '2088', 34, 1);
    T('-14033.6526687', '96.682799061536', '32', 94, 6);
    T('7.829625324285699E+16', '3.1492E+5', '50696', 65, 0);
    T('50793553049.52', '-4.82681955004350', '50793553048', 43, 3);
    T('2.5E+7', '4509031566.0219134833', '4216832', 4, 2);
    T('1237440906.02967667703', '38.743', '2', 23, 3);
    T('-56.770584448321510515164011745', '-7.60586E+10', '-76058600000', 12, 0);
    T('84.71470903900467618646', '7.3263', '4', 68, 0);
    T('-2798.83', '-6.9257613345864136332996', '-2798', 15, 4);
    T('-6E+3', '-474873.5745265346024532212', '-475136', 44, 5);
    T('-2304.5', '-72452.978', '-72704', 22, 1);
    T('-9.38922E+6', '32514628.4', '24126020', 26, 3);
    T('-846579.273859739665192155842', '-86881713.43173', '-86900723', 58, 0);
    T('1.15989E+6', '-8', '1159888', 69, 2);
    T('-36424.9902239438841', '-91.9583647646153424455174241', '-36448', 78, 3);
    T('-787.622691919141448577', '67313.59512825961112', '66785', 5, 5);
    T('9552622472.00401268618', '2931319.6226991469800059211873', '2109952', 93, 2);
    T('-8959032289.4', '23358.587616653555453349', '30', 29, 1);
    T('3E+1', '-993.3498006610', '30', 41, 0);
    T('-760.901189555007783682898', '7.7642E+8', '776419328', 19, 2);
    T('-943932.889576144535918', '-4.61177067E+14', '-461177067927488', 61, 3);
    T('57246950576316556606', '-477806.2566768332410684', '57246950576316491026', 37, 4);
    T('8.3210676', '65203237177.21510524214504644', '8', 42, 5);
    T('82442.72105', '-9.9E+3', '81920', 47, 5);
    T('-6876484.1979125', '68546.370457117563946879', '66176', 20, 5);
    T('-79.0', '-13181.8048614157', '-13183', 66, 3);
    T('39441043.212471', '17.237211677550246909250', '17', 14, 2);
    T('1066.164854108514', '7672872.6829304555', '1064', 42, 3);
    T('-8763414.6748072619', '4990.116674', '874', 33, 4);
    T('817.126452', '-196420554835', '801', 34, 4);
    T('-46.927438282430800230672839346', '451560.461455443091920310288206', '451520', 57, 6);
    T('11160.1955093650031056', '-7.76924682294520', '11160', 65, 2);
    T('-9.276488647817136', '-3.1', '-11', 80, 1);
    T('374413.7020269928220', '96015319.8253697200886395347', '70277', 44, 1);
    T('-5011.63', '4.8', '4', 11, 0);
    T('-769887393.64519714043', '950874511.7848256596', '269234447', 3, 4);
    T('99574.482540', '41', '32', 48, 4);
    T('-51412.146134', '934417382.70', '934417188', 62, 4);
    T('-316499.51655945', '1542.22', '516', 40, 2);
    T('-4E+8', '9732478269.343875457763477', '9664222208', 56, 1);
    T('-4.218E+9', '-13275010227.890556356438', '-17170011904', 3, 5);
    T('8357946173.75973755674355847', '8550776.8202', '8504', 6, 5);
    T('855.1248427215476742', '6.9213681125', '6', 78, 4);
    T('-6.1E+4', '1E+10', '9999941632', 24, 0);
    T('428452355.729', '-1216.79605', '428452352', 83, 3);
    T('-62.567324763046953030', '-97.364149374610415869', '-126', 12, 0);
    T('6266.3242214942096792157', '8025627.284', '4122', 65, 6);
    T('16062', '-295161173.0937737', '12970', 24, 5);
    T('-8.473639', '-1.1840996', '-8', 70, 3);
    T('6.7E+2', '-25998812075028.395980509462076', '652', 86, 6);
    T('47833.185026', '-7884.4047940417', '40976', 54, 3);
    T('6644830.928273', '-450.76', '6644766', 53, 6);
    T('-1034633.3033844524800', '449.4490277034317', '65', 79, 0);
    T('-59532.3264633825608', '667.936156', '528', 45, 5);
    T('-848.0', '23118624.1308480294261', '23117856', 5, 4);
    T('-8922768242.9', '-60991.25793299369129391072', '-8922787712', 9, 6);
    T('812628.9015830839789290880', '-2.8E+7', '278528', 51, 1);
    T('-799126896314380965.43423452104', '48.8417912618286578', '16', 47, 6);
    T('-425300396.650919', '-659.1683135143219754432', '-425300924', 23, 1);
    T('48061.38064407830', '-960.9613427446', '47104', 39, 4);
    T('10250001.79229868', '-3291807.782569167402747', '9192705', 4, 2);
    T('7320512.65641', '187148034.595718', '2597632', 87, 4);
    T('-5194195146.981', '-31.53795927', '-5194195168', 90, 4);
    T('-48936112762.30942', '579.7841', '2', 55, 3);
    T('10327.702663323696850781', '5731848572728960011.58287036627', '8195', 7, 5);
    T('-880435.903', '-6.4E+6', '-7204864', 31, 1);
    T('-4124312.5249130421571410585950', '-2E+1', '-4124312', 96, 3);
    T('70.71', '943066740.1727801869997530', '68', 39, 3);
    T('58956227.4202006806058222890', '4E+9', '33753088', 65, 3);
    T('-326576273.8257212125579', '-8281230.727287852', '-327122078', 9, 5);
    T('-9.21E+7', '2.24160E+6', '139328', 85, 1);
    T('-6509.17144021574793820', '7.2167E+7', '72164880', 69, 2);
    T('-5007.9132', '-1.2417428622791', '-5007', 34, 4);
    T('-86.071', '-6.41075', '-86', 20, 6);
    T('2076067.5104', '-9378858381.90151464938326805612', '1681443', 35, 2);
    T('299129.883938371', '-95746.138134042866576', '295032', 12, 1);
    T('-88485088.8715', '-272329789.347103456482', '-360672512', 28, 5);
    T('-249.07570539827715086869050', '8068789.7990625300999984', '8068613', 76, 4);
    T('295.0614226', '-697117.20090', '35', 33, 3);
    T('-9.28055E+9', '-1193.3865122', '-9280550128', 12, 6);
    T('-789968.883907948149747786743708', '-1946206387.96', '-1946996224', 75, 0);
    T('-5561433.77875', '-11159011.26', '-16702971', 98, 6);
    T('-2.516', '-27332237.794374', '-27332238', 69, 3);
    T('911353262181541.5607', '569530.7570766288566368192592', '160', 76, 4);
    T('-4656397182834335885', '-5307996757.0109278', '-4656397183102876381', 6, 6);
    T('-8.6490969647174496725132422', '-5E+9', '-5000000000', 23, 3);
    T('-5.9558937265676503603946328312', '11.88705253544531004188498', '11', 55, 6);
    T('7.93216197E+9', '-6.22053008655E+14', '3628281120', 23, 5);
    T('-8322275.21316684808048900555732', '487.338', '261', 12, 4);
    T('-6986.61260', '-631.1572010663612', '-7040', 73, 6);
    T('-2.86650162', '878.74742171832550771316', '878', 88, 1);
    T('4.2E+4', '-7119343843', '9232', 33, 2);
    T('-7E+2', '-3682083317.63166117', '-3682083840', 13, 6);
    T('32223392648.00459342407660', '466110574.22864947', '8929288', 16, 2);
    T('1063165657', '102195419.217', '102105305', 19, 1);
    T('83187319.4212794', '-4829.1427004090897391030529559', '83182627', 79, 0);
    T('45113.6420356077', '-3.7236962557103', '45113', 54, 6);
    T('-1.9', '-362.91579085012204', '-362', 44, 2);
    T('-1822987.170023583', '516418.292442', '270400', 82, 1);
    T('-7229148322.94389722051001955200', '-29606.17733', '-7229177766', 68, 1);
    T('1.0228469206426717E+18', '9318980917.634047056646', '9126810644', 71, 0);
    T('77276.095459420561024', '-8.0913', '77272', 20, 2);
    T('1.7E+14', '6.6E+11', '657684725760', 99, 5);
    T('-81.529343189851303452623', '-894855.2068864188942819838623', '-894935', 11, 4);
    T('82832016247.2565917650387', '694411.6068', '524291', 60, 2);
    T('-6.2E+3', '-819.37418840166099127946414002', '-6968', 46, 2);
    T('-242759893.46480319806', '-35.1039342999533485602748', '-242759927', 80, 2);
    T('4.17192891151E+19', '9.34E+6', '656384', 60, 6);
    T('-938592297.918973353331661', '15307.5845011008076', '13251', 36, 3);
    T('-346.96008848721163', '2.1447225615000', '2', 76, 4);
    T('-43247573.646610016667', '-5.390364193835080', '-43247573', 81, 1);
    T('427911.644480794477660752010', '3258.954348309573700691', '1154', 71, 1);
    T('-2.9308E+9', '395398.08574481278353644113', '395392', 77, 6);
    T('-85828.9321065252016927106', '-42983.95936024', '-126952', 80, 1);
    T('3865.93836216986793954995128', '7E+9', '1536', 8, 5);
    T('-8.067E+7', '9E+9', '8995803648', 65, 0);
    T('317689.0827742396262967585', '-83', '317609', 20, 0);
    T('7228.532', '9E+6', '5120', 96, 4);
    T('1421912563.268', '897454.58', '41378', 72, 0);
    T('33417.701976212119544', '240189168.259169704541939479', '33408', 26, 2);
    T('-2996.73626156038142', '-5500017.06458184818711244098', '-5500916', 51, 1);
    T('80.724199220271790144766421958', '7933.5263828960', '80', 44, 4);
    T('50.1807460722909759376044137', '-8643410433.692558', '50', 13, 6);
    T('-6.754947E+8', '466934511.63643', '328515780', 57, 3);
    T('2092.116', '-8608.2723977236110254873969551', '2080', 11, 0);
    T('3613420395.25742829', '-2683988.3511', '3611298600', 16, 6);
    T('-775288254.33148325275488', '-1.073219E+19', '-10732190000738205696', 47, 6);
    T('716489030.5666580077', '-5.976655E+10', '10534912', 25, 1);
    T('6833925.83046', '109801620704.4518031979256632', '2638848', 54, 1);
    T('-80790479.65132982985490140802', '4.193E+4', '8192', 74, 6);
    T('-845556.938741363382354283818182', '-5337925.14855196455348563301', '-6158328', 91, 0);
    T('-51.05', '-5.3E+3', '-5300', 36, 5);
    T('1755019.186998826', '290432.812899726725698861', '18048', 100, 2);
    T('1.82217E+7', '3E+2', '4', 49, 4);
    T('-783.6901731009', '9.961E+9', '9961000000', 2, 2);
    T('6513725322.192328404', '8763554.708', '362626', 47, 4);
    T('7.18305462349638', '483135.8160', '7', 60, 4);
    T('891588.714971022479971864639038', '-5697.48676244647', '886916', 78, 0);
    T('-950.885429313131694947790447', '14.6379522743884126538095', '10', 57, 2);
    T('7402282522.3931831719922565', '-665924.8474236848295325306', '7402280472', 28, 3);
    T('-766248875.313480708', '-8.63605125021658', '-766248880', 10, 2);
    T('3.3E+8', '7174.921969192115914458275870', '1024', 95, 1);
    T('2.7452376E+18', '886536544.914122071309', '604192768', 36, 2);
    T('-6632.5937209', '-65259.634962984760', '-65520', 10, 6);
    T('-45989.35589', '-4368035480.889498480', '-4368039864', 56, 2);
    T('-946.53356679276402211', '3.335805176500150530', '2', 9, 4);
    T('-1.7290847065E+14', '-73010344.30090359143165569325', '-172908537892016', 92, 1);
    T('-98150844.948688446', '5E+5', '393216', 54, 0);
    T('8392.97369792248012', '69295011.1335061692221292106165', '128', 37, 1);
    T('-19862035.157463258768', '-60219.9693917615198', '-19921723', 26, 6);
    T('-8.89992E+18', '2596018555.205371822', '2325217280', 53, 6);
    T('240601903.03730969936', '-5465595.36844490366954839', '235145733', 21, 0);
    T('56511', '7.6538168071342664538686', '7', 9, 6);
    T('-3263079338.152027521857', '-453.1', '-3263079406', 1, 5);
    T('-338977.484', '596060164.58153815091', '595722244', 45, 5);
    T('-5.58871389E+9', '8.525E+5', '532', 50, 5);
    T('-9427113.2552074338877', '6418289.45846463555', '6301521', 48, 5);
    T('82754', '900751485.019415316', '16448', 76, 6);
    T('4.3872700E+10', '405834.11627667918965735271376', '262208', 82, 2);
    T('-1.616E+4', '5034747', '5030112', 67, 3);
    T('-7406.26079244690839111994', '80.0209101986429409388001', '16', 54, 1);
    T('93.86655538072566', '-8.195', '88', 38, 4);
    T('-2E+8', '-97558.1780', '-200015360', 56, 3);
    T('500232.21571626651696', '-8085.58004948543244460', '499720', 41, 0);
    T('-1382.66199098', '2.8795477549285608444188569', '2', 38, 6);
    T('9.996E+8', '-1391063.1851322256743443726', '998278656', 34, 6);
    T('-731840.58', '-8698609318.121', '-8698674880', 14, 3);
    T('21833.7531930082854687791', '31.6309221083989017653', '9', 29, 5);
    T('914011.692718481110802974485688', '7.657213021274', '3', 85, 4);
    T('8668.7791', '8.092272779199925787504514349', '8', 85, 4);
    T('3.6E+3', '-87632.46139', '2064', 72, 4);
    T('-183.9125076391424', '-9485085075.3468', '-9485085111', 82, 5);
    T('864641011', '-3380601.5722252747160', '864569987', 6, 6);
    T('131164830.59', '25.2414755491816', '24', 100, 3);
    T('58643.672237573196109727530444', '6.28611E+8', '50448', 65, 3);
    T('-99.6317729840294463924310326654', '5.39228E+17', '539228000000000000', 37, 6);
    T('3081655732.5759908710758042834', '-9239356.516677590794', '3072459908', 50, 3);
    T('2996.873636', '-98817.8408237733933182873299380', '2484', 20, 2);
    T('-6.32953221174E+14', '104446171.97', '1157136', 53, 0);
    T('-8.20275204789798464230369357899', '-8.71418850160625356355', '-8', 88, 0);
    T('-969694866.15233194484599619', '-1.52E+4', '-969703392', 16, 1);
    T('9144185261.415338518716132997', '-462015150.176', '9126818048', 84, 3);
    T('5947242.04394033472147842', '-843.980785985', '5946400', 63, 2);
    T('-741812.058346115', '2400875.19640635378', '2400840', 69, 6);
    T('9098.384850338725293', '-76.1677', '9088', 76, 2);
    T('-9E+2', '109755.94', '109624', 52, 5);
    T('310031.1423186120726162330944', '170.77', '10', 5, 3);
    T('-4.5E+2', '-7.198', '-456', 52, 4);
    T('9764987094.830133980300', '-440.94080154090338307461377296', '9764986944', 20, 2);
    T('-47218.2545233853537901899', '8780260541.84', '8780252300', 69, 3);
    T('7.124E+7', '-927493003957677.035434618983214', '70715456', 49, 1);
    T('59302059', '-1913612.746', '58769568', 32, 4);
    T('5E+3', '-142719757699052.3892578108', '4096', 53, 4);
    T('-565.065852313475921224023058', '7556759546.18387710037', '7556758986', 88, 1);
    T('-3.89984E+9', '-1.12E+16', '-11200003355443200', 97, 6);
    T('1658.182473960162673', '-9743292.518', '1088', 12, 4);
    T('-2.8466E+8', '-749.3448', '-284660736', 6, 1);
    T('-2105.275273', '7949485043.771393', '7949484995', 40, 5);
    T('-8.127914', '-587264.70896858254526135693085', '-587264', 51, 0);
    T('8106.3050135434816596', '99.97799668', '34', 50, 3);
    T('2.7E+5', '-92814450.48959815671052295179', '262784', 80, 1);
    T('-5.827E+5', '-65980256.87', '-65988480', 55, 3);
    T('-821201.63', '30131.540425825449176966187', '28707', 62, 6);
    T('-6.0525E+8', '7983300111.2544', '7982030336', 10, 1);
    T('-6445.907120681329923', '-5528.3615861550940908519616', '-7616', 4, 0);
    T('161312.0916742', '8.78E+8', '13824', 59, 5);
    T('9.72003E+9', '-30.096643207159239596277931', '9720029984', 25, 3);
    T('7.150124365682E+14', '-71983689466304984396.39', '714960829679744', 55, 5);
    T('35688589', '-19.341302', '35688589', 73, 6);
    T('-1974371329.932', '-7496667620.79', '-8589841892', 47, 2);
    T('7E+6', '-2603.655667926', '6997440', 85, 2);
    T('-6.6556454290914667', '98071893.2958', '98071888', 7, 0);
    T('-4.0555558276066133563000573', '998823.128200806', '998820', 9, 0);
    T('-6.4363354990611716', '3.56014767000752', '2', 14, 0);
    T('7776.8496090210500304097332442', '-895.1929785844051999337775568', '7168', 55, 3);
    T('6450.8989150349444878864158652', '60', '48', 95, 6);
    T('-2.6645656549277591625769621586', '3049533.62966940364461828296960', '3049532', 54, 3);
    T('2.2037673', '73415.5904001', '2', 12, 2);
    T('-6372114863.2', '4803.2471', '4673', 46, 3);
    T('5742397.0103347219586488056904', '7.34E+9', '5735168', 56, 4);
    T('-551847046.507337686958', '-520008.5', '-552071112', 97, 2);
    T('-3903012296.36481722287314613', '-1.50344444557817674878957123097', '-3903012296', 98, 6);
    T('-2.721220200', '-406590622.548043275091', '-406590622', 83, 0);
    T('-45.288000434089397', '-24053.81729798', '-24061', 39, 6);
    T('9E+18', '-236.2911563831381228519973', '9000000000000000000', 23, 2);
    T('-6E+8', '640525.766502643142672975567', '557568', 95, 4);
    T('-14706225.57208145', '57214.23861047950876', '39246', 16, 2);
    T('39261389.548674071423', '2258728', '136200', 26, 5);
    T('-3.3057630E+12', '-858658201.76414973', '-3306050969536', 52, 4);
    T('6.2E+4', '3092.072166240', '16', 93, 6);
    T('7864.9086065986295', '9.47237E+7', '7728', 15, 0);
    T('51610672.8933011', '-64597', '51576864', 90, 5);
    T('22290316.597281796132', '-25.390213715344158843', '22290308', 49, 6);
    T('-24.75282502932981839', '12004421.8851413', '12004416', 59, 6);
    T('-72646627212.8006971275345741437', '-45837130108.427825763863207', '-115663937532', 52, 2);
    T('301066575.78584003147979876', '68156.8437', '67596', 85, 0);
    T('-9.787E+5', '-13931683.4', '-14614444', 99, 2);
    T('80.730741887793', '-273692.3417993922', '64', 41, 4);
    T('-165825.53111823278989240', '-4351207.4701710333', '-4384743', 80, 2);
    T('40964.9233411560637784891692', '-764.63884525016364294576593', '40964', 46, 2);
    T('97779.74', '-82129760.96701226743', '19616', 37, 5);
    T('-23.762778076500899157478', '-53', '-55', 60, 0);
    T('9039.35328806222832', '3.63E+9', '8960', 93, 2);
    T('60729796.8', '4.066372', '4', 27, 1);
    T('-796418737.4386328157709707', '73137.469319068880738666312', '72961', 16, 5);
    T('-516.064597246793', '962954.199', '962952', 36, 6);
    T('17130260.53', '-766.921775143084737430199', '17129728', 15, 6);
    T('-4385.8855853646817', '6172.23', '2076', 54, 3);
    T('-7.03049E+7', '-8434142382.910601172414754705', '-8434142384', 32, 1);
    T('-2640073.821', '-2.17197356438667060636486943', '-2640074', 15, 1);
    T('566.287409793749', '37852.13734856991278081427004', '532', 83, 1);
    T('-1.8021E+11', '7.0286E+6', '2170624', 70, 4);
    T('97574.367611105', '-61510283.77965485127', '93476', 19, 5);
    T('5539527.8522364008809428702', '-37944928.4938459761082', '1310848', 95, 4);
    T('6707540571.944861831538', '36973307.12', '33825371', 38, 1);
    T('-6246819485.3625412914', '-2.29E+19', '-22900000001342570496', 48, 3);
    T('-9.590772564574', '974.83433722329256268651', '966', 73, 3);
    T('412796.620596237103008923', '-50134709.191475633544', '131144', 25, 0);
    T('112545678.61', '-74.927219', '112545670', 28, 0);
    T('-93390.096', '452987115.402389550959576783', '452984866', 79, 1);
    T('-78.8908767558', '-2.62E+5', '-262000', 52, 1);
    T('7673.834172459125422060509825', '-6083450.747040914195165706531', '3200', 63, 3);
    T('-5098946910.6', '-7.15E+4', '-5098952544', 21, 2);
    T('-351831067827889075092.485892636', '7892890104.91', '339902568', 66, 4);
    T('59.4687274991796', '-2097243209247068315', '33', 17, 1);
    T('-5.06990E+9', '2.122E+4', '21024', 15, 5);
    T('-951983.71519871989', '-15.49802255977', '-951983', 51, 0);
    T('-502134689.674763410068683', '-597.3578746701272543', '-502134773', 20, 4);
    T('-1', '8.33932', '8', 51, 6);
    T('6330585.8714790499626293', '-6.52155E+7', '32976', 1, 1);
    T('-330.724287574435885', '-808870783.185338146889818779772', '-808870784', 43, 6);
    T('1391.20860992871134871859902', '886099902.850049569621', '1326', 19, 2);
    T('9076924546385.494617401273113', '-153262870.0779', '9076924507200', 6, 1);
    T('-160863759.6613783347', '227632.92907439883824', '92464', 45, 2);
    T('-825457516.01', '4.518E+12', '4517446321152', 59, 5);
    T('-941.0190978515716391878', '2.4071683362E+20', '240716833620000000000', 79, 3);
    T('54.7917755', '45655.74', '22', 64, 3);
    T('9140.6981064', '-7.4699E+8', '528', 3, 4);
    T('-873981540.0302226397', '4490590499.2', '4490533120', 59, 6);
    T('-304747.1988443963138297339', '-99.503', '-304747', 96, 3);
    T('-825373.3', '2.6E+3', '544', 74, 5);
    T('2.48308271226', '-74.275463543124259465569', '2', 86, 1);
    T('17754845694674102719', '1.492644133E+13', '81875443984', 11, 5);
    T('951501986176.1', '-79785.1012961', '951501981696', 96, 2);
    T('-335029064.174260464293129', '-990.7341483786237937772', '-335029216', 38, 2);
    T('-516.9', '8.602E+4', '86020', 72, 3);
    T('-3.5011949289852434091430', '332156.80801723354119124', '332156', 25, 2);
    T('2603610.606248036934917', '-753.004052639444557717288', '2603018', 34, 3);
    T('7532414338.98', '824704526700.6095174906133', '3145984', 54, 4);
    T('-599051.547663777847218', '-705868264.87637353447', '-706459120', 91, 1);
    T('-805.60770', '-5E+5', '-500544', 22, 3);
    T('80.950734398110439003', '6E+4', '64', 70, 6);
    T('911870.55587', '4E+4', '34880', 14, 3);
    T('-5069.5254117719091790255878', '-20.27206521146406475', '-5088', 42, 0);
    T('5511077843.5', '-8.524579321', '5511077840', 2, 4);
    T('36899757086855714250.630', '9849136595264534.678828339499', '639435001086978', 61, 4);
    T('-71.9452705903576898806694176', '-70441211.7951172643574563074', '-70441215', 64, 1);
    T('-39097.963451546948359246757', '4438.0692', '326', 24, 5);
    T('-8.71E+4', '14.0040466363009660', '4', 51, 6);
    T('-750176158.99572', '-6E+9', '-6135676928', 64, 4);
    T('-7.991366E+12', '557625901', '20226560', 16, 4);
    T('-15.751128979', '804256971.5', '804256961', 62, 2);
    T('1.1E+6', '-3.8274892E+8', '32768', 59, 1);
    T('2099209285.09024597996826462248', '-81779241414.611668330391261', '1964196864', 89, 0);
    T('5801.3419925075435566863', '-95092.596019023524475413358588', '1160', 16, 4);
    T('-662928.62904041377541466062', '-644332614.2741295', '-644857296', 56, 3);
    T('9871953077835.353343556', '-130281.83400978478295379878', '9871952970243', 73, 1);
    T('914207', '-2918221.560727534114778', '94227', 8, 3);
    T('6.54E+6', '5738.03792452085463', '608', 11, 4);
    T('3222765957563370.273539967417', '-63153.4035897015066086416434', '3222765957546314', 48, 1);
    T('16818830.32', '6E+5', '8832', 51, 1);
    T('59520.55', '216332.5', '18432', 10, 6);
    T('30763', '691652.7416048951505971122', '2048', 19, 2);
    T('637.0185964107527137', '-79.3', '561', 54, 2);
    T('-465715.89285574336', '7.79155E+16', '77915499999535104', 82, 1);
    T('91060.7755963287', '2834.7311371108859902963991', '784', 6, 3);
    T('995.80658707222', '53090211.110849221448958631011', '931', 31, 2);
    T('-3883616.73258425729954523', '40.185118632225709683589383574', '32', 27, 5);
    T('3699419336192.194020656189039', '-19486.43838974070634073897255', '3699419316736', 95, 0);
    T('711.65050765588', '1478.8644125958794', '198', 46, 4);
    T('-974.698841611801561729454416565', '-8.7E+2', '-1006', 30, 4);
    T('-5.3E+5', '-52599391.247', '-53124704', 28, 5);
    T('-4.36988E+9', '-53411585', '-4420796352', 15, 0);
    T('852122493.3243878904705', '5811809012.0', '306711156', 77, 4);
    T('44684.3939', '-1.27445E+15', '3072', 67, 3);
    T('7296887.21022048259919118694', '-89.62779094148217862419381', '7296807', 92, 1);
    T('-9.59E+3', '3.20549789342793E+15', '3205497893427850', 24, 2);
    T('-1E+6', '32476895.3', '31493312', 44, 1);
    T('2.6662241227875144129', '-929.9', '2', 46, 4);
    T('557.4222506485', '-7.1659328E+9', '512', 21, 1);
    T('-233.7394', '-4729355.58174821', '-4729579', 45, 5);
    T('75.5115176', '-8.82E+3', '8', 84, 3);
    T('7452405082.8106968374024', '1.8E+7', '1222656', 3, 1);
    T('-8103591.148943588593641727363', '-4950.64916856359140323234', '-8108024', 63, 0);
    T('-745114435.44517004856', '112884426.6793', '43151496', 19, 2);
    T('-14520484.86063', '9.6E+5', '140800', 84, 5);
    T('9303.46071', '55284671.229933214540517231846', '23', 99, 4);
    T('8.917037E+9', '99235.35700948159542600195134', '66432', 54, 4);
    T('891991504.52963417921566836', '11086655.742', '2629904', 9, 1);
    T('43294468.0382227218344647223', '797.2037759945476', '772', 68, 0);
    T('1695.054656794688534', '-80.87536', '1680', 44, 6);
    T('-254.860314487817552645682', '-327.90', '-512', 92, 1);
    T('-4.63835008', '61715.2501', '61712', 30, 3);
    T('-4.85191086608468167667551', '-337.2', '-340', 56, 3);
    T('-4457.0407870286498128', '83195660.35768322', '83191300', 83, 3);
    T('-3E+1', '3.26088805132068', '2', 78, 2);
    T('-6150081.1', '-76.08659057', '-6150092', 66, 5);
    T('-4786.3962229123114000914740242', '-593177146.147', '-593181370', 31, 5);
    T('6E+7', '64175513286129496.8788367', '9602816', 2, 2);
    T('29410137.881', '-5.59109E+8', '8421464', 3, 0);
    T('5922562', '83.251133533', '2', 83, 3);
    T('-573568430.857421629', '-639274232.33812464620963537015', '-641728000', 42, 5);
    T('4145113797.8304843794668908', '2856875331.854391264485624', '2717933633', 48, 5);
    T('674607.21081', '92195.10137547', '18467', 70, 0);
    T('-74.127576805130016349', '-59119.9039473018', '-59120', 82, 1);
    T('4450748.3345723624435', '-835056066811077780.3', '51500', 97, 4);
    T('-63948740.87174555', '667475.89705048430387', '10256', 65, 0);
    T('964410.4902', '3.74484382846', '2', 62, 6);
    T('-4987755314.6', '72.4746', '72', 79, 1);
    T('-2764019.57090578685711', '6.622629871602E+17', '662262987160060672', 7, 5);
    T('60277025562583422622.3510147193', '-984.349324323', '60277025562583421960', 11, 2);
    T('401857.500822', '-47142254.42001937280331798160', '8320', 51, 6);
    T('-321.503708177', '3.4E+5', '340000', 16, 6);
    T('689.176236739580825150526477', '-683.767161082857335441544048033', '17', 100, 4);
    T('7.719636', '-45149.4803', '3', 66, 4);
    T('7.106585E+7', '-8834385.25045467054454', '70787242', 94, 1);
    T('-7.299E+5', '-8811395802.9334271976516155168', '-8811920380', 17, 6);
    T('5.310E+5', '2.66682E+18', '524288', 86, 3);
    T('-663707816333.93729955845', '448.135785207614904024641', '64', 45, 4);
    T('-956668.594456120913585709971194', '1017557477.19', '1017127172', 63, 4);
    T('-6E+1', '30.58596715583883995', '4', 47, 2);
    T('2732279694', '5.1782E+5', '214668', 9, 6);
    T('7786075420.224792771', '1.1E+9', '1074790656', 46, 3);
    T('-4526.11957345982', '-118166821.197262881356388', '-118166958', 80, 1);
    T('331.17521925608194828', '328.64', '328', 45, 5);
    T('855.757269720605831', '-19746462.670050967', '322', 27, 2);
    T('-1358433302.0', '-293845341.48', '-1375452510', 61, 4);
    T('-705157325.88863792387796062296', '7036.7871507101499826792194602', '816', 17, 5);
    T('25.140959267513724729', '-3901955576.95998730274456', '8', 22, 5);
    T('510036267890.92823245539', '2.3391205412', '2', 25, 3);
    T('-9019725474.4184775278190168379', '-9041017915.815', '-9059630780', 37, 1);
    T('-928.1062978632', '1833524', '1832992', 60, 4);
    T('720.285846400784', '79444436.911369625457219', '208', 47, 0);
    T('-8.3333217216E+19', '95619633.32300309920852', '26345472', 84, 6);
    T('-24.591147236312766', '-895.3283813869337348559699', '-896', 50, 1);
    T('-27.6000648', '4021.1758334646210787445800143', '4005', 37, 5);
    T('-7.44803E+8', '415204167.80223484', '278593856', 28, 3);
    T('-59471.768134', '-3.33685596124188124714295', '-59471', 43, 3);
    T('-3.580888', '-1.958008E+8', '-195800800', 93, 6);
    T('5.1E+8', '-4290.33194605661959665998321276', '509995776', 47, 0);
    T('3.1375419432150496', '-9363673098.49753983722949881', '2', 25, 6);
    T('8169397.90825', '5E+20', '5242880', 72, 3);
    T('444958.33487810', '-13637511.0300890821', '444440', 20, 4);
    T('7616056.564670611511372', '3169748.4548', '3150864', 42, 0);
    T('6E+6', '9384930.87479538468538535766', '721280', 39, 3);
    T('58452.9671862', '601867739.04021', '50256', 42, 4);
    T('-24697.581803761467134105', '8E+7', '79991808', 96, 6);
    T('-3359270581.56523609054912557861', '-5E+9', '-8225028096', 1, 5);
    T('566.286414', '-978970.57818102871554793615', '550', 8, 4);
    T('-49.5153', '7788.90656561542419755167785881', '7756', 48, 4);
    T('-6.671159975E+15', '4.422E+17', '441353367044816896', 59, 5);
    T('-2.5357626318E+15', '-2.1615690E+8', '-2535762631819008', 91, 4);
    T('1.262E+8', '-60173940.04212', '67207296', 92, 2);
    T('4096399.44062873094561137154', '-57573262.01886387', '1081346', 36, 0);
    T('-724.03339328992402578838866', '34893.44793490760261222', '34828', 37, 2);
    T('-4.508549035565110136832178683', '5.53231E+13', '55323100000000', 60, 6);
    T('3755.75371145', '-95.2726626966178010131128778', '3745', 35, 3);
    T('-3.941E+8', '1366.84510266573663489', '64', 78, 0);
    T('34.939675961088458', '-72539088.2949314', '32', 39, 4);
    T('4906437.50739656746', '85815.51085358185799030240', '19717', 89, 1);
    T('63607854.3975063', '653986.888701761940', '561186', 16, 6);
    T('9.666E+6', '-5584007926590.7640519', '1076416', 88, 2);
    T('-9659.21097305603366150610173', '-74102775.253039703122971', '-74102783', 3, 5);
    T('-628.78675026228899', '5.93E+9', '5929999488', 7, 5);
    T('77', '213.59831199121', '69', 43, 0);
    T('7488391.8638513783994253', '-667.4014579961', '7487749', 16, 2);
    T('-8.855749571850920172307', '20.7247587478538698025', '16', 50, 0);
    T('-10528.0944636143517', '-885089687824584.6206835819005', '-885089687824864', 67, 6);
    T('6008240.02028510', '-680336.3066', '5344304', 52, 5);
    T('92337.00668', '103692348.70412510544346741', '10288', 56, 1);
    T('-134476.010681729440', '31.787145260855685809', '20', 94, 3);
    T('-2.01241555E+17', '4887766.2424349732046603', '557056', 100, 1);
    T('37.521739679731002794072993071', '-136.487794575', '32', 82, 5);
    T('62.10774706079', '6359752612.5391', '36', 83, 6);
    T('2808.399996821396', '-5.419E+9', '2624', 84, 4);
    T('-53718933', '-890.540273476698532005708', '-53719038', 58, 1);
    T('2.65E+15', '9.039122760E+17', '2606018718597120', 27, 4);
    T('2.694E+8', '829182.4907769366820143093', '829120', 23, 5);
    T('-860.67057847361246591', '358665.2811350206093271', '358400', 69, 0);
    T('-1473682.27061369448901745679045', '-6174929.61678983231677830959348', '-6192338', 59, 6);
    T('-23661.9', '-38119781.8', '-38141293', 25, 4);
    T('1.753336E+7', '445.215', '432', 41, 3);
    T('-4205379.9948715431549196991955', '-4.3020', '-4205380', 91, 3);
    T('4938426.140559861', '87022674.280962554581261691', '743442', 85, 3);
    T('-7317.2414119053666611073', '3183.86574380956876753218050', '107', 98, 1);
    T('243.95004055335150414939728', '69609.995708093401613323221186', '225', 4, 1);
    T('59291.5898126066968', '-290.87755831447920623632', '59034', 7, 0);
    T('-13.2276816171', '-1.427712E+7', '-14277120', 43, 4);
    T('57542.31548165724', '-29.5828318', '57538', 11, 5);
    T('8812392157.06935052', '-929.2', '8812391517', 1, 6);
    T('-64571714.93273449415', '-62304.366', '-64617312', 55, 6);
    T('-7773871.254099537208605738955', '18700.3365914', '16640', 48, 3);
    T('-969026.9', '6036811442.1545535013', '6036661938', 47, 5);
    T('-54419612.2944062678175533931', '-86.842845875', '-54419680', 93, 5);
    T('488299.18596546', '-5.38E+9', '209664', 16, 0);
    T('4127741.17753296837869062', '-9.964E+4', '4094664', 54, 1);
    T('3.4231186E+10', '-1.787093E+7', '34230125056', 62, 3);
    T('-1.0823575314835', '95.6270403', '95', 87, 2);
    T('2.5487', '179', '2', 21, 5);
    T('-10069.386227', '42297.92553666883008203276677', '32809', 5, 4);
    T('95416096949616.2258', '31628.2458443096449', '256', 73, 4);
    T('580.9983533', '6723.218', '576', 31, 6);
    T('-10.829027010375712907', '5506039456.11', '5506039456', 6, 0);
    T('1855136773.59769448300375', '-6171.97108938', '1855136773', 97, 5);
    T('-197874.2', '9197.917248807111125814112', '8972', 56, 1);
    T('2.905781666686176544185278425', '-223519216757797274.9271622314', '2', 33, 2);
    T('45978', '-32.74024973885244551291109', '45952', 26, 0);
    T('-7.09385E+9', '-92307.424639172964331534251', '-7093874592', 3, 5);
    T('-475341.94535979734383', '-777431.771674718038315214252', '-1039583', 41, 6);
    T('694.54134978731515629546', '40.600', '32', 10, 5);
    T('-1.45023044515109', '882.9469273', '882', 99, 3);
    T('-4.249624614', '-999465295.173652424318773739183', '-999465296', 52, 6);
    T('-46614.2243357181191821073288669', '2643.28641419039717702105688', '2114', 88, 2);
    T('8.2E+2', '-1683.99869130566136814', '292', 82, 4);
    T('5.148E+9', '-23169727835982303859.58', '549989632', 73, 6);
    T('-6E+1', '350347.888250218325606', '350336', 28, 5);
    T('9671.16', '-11284835.3775133084', '1157', 99, 0);
    T('7.4', '267', '3', 18, 2);
    T('-51883541.844269183794811', '-341551524.2112', '-392146872', 55, 5);
    T('-7196535.992611495189003124', '-60.4696312139', '-7196544', 98, 3);
    T('-9.2296143897746756', '960625490.319805663385', '960625490', 29, 2);
    T('-60649618.2926113150645723939006', '-91842.497634184837970855', '-60651218', 55, 0);
    T('-819283.26216', '9866925.09008615808621616036', '9572013', 87, 6);
    T('-692.64081', '-310722.0264154290410987', '-311284', 35, 1);
    T('-5.88E+10', '-49580.9934167849151254801819', '-58800000000', 100, 4);
    T('-58.523445814930499235316196702', '-6E+2', '-640', 79, 2);
    T('87.6941007571721270', '1E+2', '68', 50, 2);
    T('-45.279667032295269736652031', '-2.713E+4', '-27134', 43, 2);
    T('50550514.4397055718336179744', '9.85508297505E+17', '50348608', 69, 6);
    T('-7.9125E+8', '-3992.8', '-791252960', 12, 6);
    T('7559.0557601399737304', '-8578846025.7674', '4231', 76, 4);
    T('8.833546E+7', '-35.66275', '88335428', 48, 6);
    T('-7318227.0106', '3.17260312019292E+17', '317260312016340256', 80, 1);
    T('519959958.1533', '905645841.51697917010', '351864080', 68, 5);
    T('-992630719.876969405947791', '1.1E+5', '108544', 59, 5);
    T('-4368193217973927147.03727961462', '9750.73306951692442650075', '532', 9, 5);
    T('-2.9E+5', '-7568.25066', '-294352', 75, 1);
    T('-7149548.667268544326', '-9750199.8', '-16635904', 35, 2);
    T('-9.953025826', '-92878.586680', '-92878', 26, 3);
    T('-38.266195569', '-9.3915508E+15', '-9391550800000000', 84, 4);
    T('-919016102.91975848814851720194', '38390.22110778003', '34130', 5, 4);
    T('-861056.4344214391734994', '-3.3044809420E+18', '-3304480942000532480', 35, 3);
    T('-68022.37637186253647958', '5120513046.076461', '5120513026', 62, 3);
    T('-55.419736898', '98.265', '64', 100, 5);
    T('7314441.43919690334217528', '-58894496801912699829.6705', '853001', 39, 5);
    T('-4793.7132201694292', '-4.74997E+7', '-47504316', 39, 1);
    T('31500.245', '-583306789.4775673', '28936', 62, 0);
    T('4203.855893448', '503134978.99907138', '4098', 72, 0);
    T('115574.49152560308293489659184', '6.34376907E+16', '82688', 35, 5);
    T('-8.96E+5', '-42.9872168815108550', '-896000', 43, 1);
    T('-82457779.5847', '-6617001978.1', '-6693027836', 96, 4);
    T('8.8E+6', '7469843590660.8', '394752', 17, 0);
    T('7943336.5768412792892', '-6693812230.86654791', '1192', 39, 3);
    T('-9770.097110', '8708.74400983598719942', '4', 61, 0);
    T('-104230.77', '607.152521342', '90', 7, 6);
    T('6.62E+5', '309.370782453', '304', 12, 0);
    T('98.5471437827551', '-14924064657886', '34', 79, 1);
    T('86443.6802', '-4.5801824386581E+16', '86440', 90, 2);
    T('35.460223', '-22260670.325706318584925820', '2', 89, 3);
    T('271454208519355379458.4057', '-6.44667925162502786255545271', '271454208519355379458', 68, 1);
    T('997218.15679452799103', '4936501415.18131141241', '852002', 5, 4);
    T('-5100.21397830784571394', '58117112.06803633022331159515', '58116112', 41, 5);
    T('-315.7130', '331428894.239652701438228', '331428868', 46, 6);
    T('-89439882.9411739258868', '-9.0E+6', '-98434752', 27, 5);
    T('728094646.609146', '103.28', '38', 50, 2);
    T('-8.962E+5', '990486.1074009082137180947576', '135440', 75, 1);
    T('-200928.514778827911', '112324380.1', '112258816', 22, 2);
    T('-2.6831E+8', '9.8763E+9', '9663700992', 38, 2);
    T('8E+4', '1.5E+3', '128', 28, 2);
    T('-4.2316E+6', '-3.89E+5', '-4587440', 16, 4);
    T('46208.8', '9772810053.153434268', '13312', 7, 2);
    T('-6.13783E+9', '-1.7944839980875097008267348', '-6137830000', 4, 5);
    T('2.67469E+7', '-19293.3540040151295937646588', '26746880', 47, 5);
    T('-694924.52282425562', '6503549.3929494', '6366324', 66, 2);
    T('398.7317254757140338403716202', '-5.3599', '394', 44, 6);
    T('-8.74751137', '-2996203403.2', '-2996203408', 85, 0);
    T('309782521.2835226309816', '3873553654.2669', '39888112', 33, 5);
    T('-6134665008.47893640092', '-92.625161824903828612576041', '-6134665088', 58, 5);
    T('-8.6E+6', '-35.796236701600862307587', '-8600000', 42, 3);
    T('-388854232.768330', '-6.3194E+9', '-6437172736', 66, 5);
    T('-210702588.575440397478', '-613.08741', '-210703104', 49, 2);
    T('3.755E+8', '1.41E+4', '9216', 89, 6);
    T('439805146.955160770851083040723', '-6.28E+5', '439771328', 96, 1);
    T('2.1E+2', '-67049006.07926054335217227142', '210', 55, 2);
    T('-3451903.609645384800660927', '7783824.3184508883', '4342784', 68, 1);
    T('-1868108.376942040807294355', '14034559.619884781996589', '12723764', 50, 3);
    T('-3224.2132098510232158863222464', '-6E+6', '-6000128', 48, 0);
    T('-4840616.4673', '4480176890.5944704', '4479648344', 5, 0);
    T('-446983.781693', '21495.69369599972644', '497', 36, 4);
    T('247932.6894203426047669', '5.4375986', '4', 11, 2);
    T('5.7039631312', '-35.61376270919922541971985892', '5', 57, 0);
    T('-5.9E+9', '-55784.735113172385825100636736', '-5900000256', 84, 0);
    T('346944698.708794858104706', '45443521.593516467732012821782', '10838144', 5, 0);
    T('-6801977572326.606', '6447.33639662437505168215231597', '10', 93, 2);
    T('48821924.228219040867985825', '-82260005.896', '34129536', 23, 1);
    T('9622336543.538967827573381', '-862', '9622336514', 81, 0);
    T('918.57122790169789025331568287', '98454534.6', '6', 37, 0);
    T('-8905272573.9421118534629264', '8E+9', '7718850560', 86, 5);
    T('4002359453.4', '23138970.33725383', '65688', 29, 1);
    T('31469.563397972798422', '-4.01E+9', '16512', 78, 3);
    T('7869047210.9221962', '-697.5034686820714', '7869047042', 74, 6);
    T('-3554031.740998760034260', '998.97591329538781492944467243', '256', 88, 6);
    T('-88316.123072108430565409', '320.321318', '256', 60, 4);
    T('-99.1552193703142730560054', '9.5800431E+8', '958004244', 75, 0);
    T('1E+5', '79792.1031883496220878746', '67232', 31, 5);
    T('-9.654E+5', '-2997761.18563', '-3129112', 52, 2);
    T('-4.01308440665901239445623', '7.035326166', '4', 79, 1);
    T('414671.6208', '-2.050046795237469E+18', '20616', 43, 3);
    T('121177.87279863999455794078168', '-657872849.2549148', '100361', 18, 3);
    T('9126.9855926820382', '-762361.3212811962236754291', '518', 50, 6);
    T('7266168.7', '-57240893', '430656', 18, 6);
    T('202.9972295277770878877713206', '-79.033134154904656844605236142', '128', 14, 6);
    T('-7.5045', '48752150.19098378143034745', '48752144', 43, 6);
    T('-201926312.062989', '471.92537338686028746428482', '336', 33, 4);
    T('-3762.95428381273382544078397213', '-34347.5305776264', '-36540', 26, 3);
    T('-5.4990E+8', '-457.7855136091341', '-549900256', 72, 3);
    T('-8607440.276', '2.3E+8', '221544704', 35, 2);
    T('-7986688.43200741916568846998', '233656.11086643092537', '131072', 62, 1);
    T('670929.6426330373156', '-373383.82234757253', '658513', 44, 5);
    T('-9.306E+7', '-79379906823.9510120789', '-79455583136', 41, 5);
    T('-5.34876E+9', '1011694988.05117738604833886', '9216', 17, 4);
    T('5.8808E+5', '3.85489E+6', '577568', 84, 2);
    T('-3.307E+5', '-932443.9356003793514230704', '-998364', 21, 3);
    T('-779531105.4220596', '9549335.1', '8455191', 65, 1);
    T('-1.165954277416671415500873620', '-626.802669553112125307819', '-626', 99, 6);
    T('708602524396.838239', '-5E+4', '708602507424', 25, 3);
    T('-78315.99', '-445290.387153382159040204368', '-523244', 30, 2);
    T('-9042.927020255970307', '64454.7393954177282', '55430', 95, 6);
    T('-88932699752172419.20', '-4863029.683307405221423913481', '-88932699757035447', 66, 3);
    T('4.20061094E+18', '3.24495E+8', '38879232', 23, 5);
    T('-4.65E+7', '-43.52953663', '-46500032', 1, 6);
    T('863.0247', '-3900.4509460308933459454609705', '68', 88, 6);
    T('-67614128433.39258836966', '8.16E+4', '1728', 90, 0);
    T('2104.5671', '49267994715349137322.62085916', '40', 65, 3);
    T('-697804558.46239', '56737.091', '22688', 48, 4);
    T('5.496E+4', '257913420.2383', '20992', 72, 3);
    T('-9.5E+18', '5438641320.05950606064506', '5369364480', 41, 2);
    T('-8986522.4822547202058', '2899214489.454161924', '2890301440', 42, 6);
    T('63064.9178', '6E+5', '9792', 76, 6);
    T('-11274707.428431393762171088768', '-776.190', '-11275224', 53, 1);
    T('-22.3003605888034083573884', '1356383.82062527572', '1356362', 50, 0);
    T('230410.57159001625964', '60.2248421433', '8', 53, 5);
    T('-4782292.3025', '5488238.64602892988873', '1246764', 71, 4);
    T('-3828316.2699143499669331809', '-5747.05', '-3833468', 38, 6);
    T('-8.4E+2', '36259.70020785', '36000', 79, 1);
    T('963.597638725589192051611', '1.38784279E+10', '192', 16, 4);
    T('-95232.68060023783314', '6214180.23440624858', '6193152', 16, 3);
    T('-8.4323E+12', '4407.35598274885213589393113', '4352', 29, 6);
    T('-69.2919555018', '-865231', '-865231', 59, 6);
    T('-200454.48', '429.65320204541862736', '168', 49, 1);
    T('-7314318.9542130431269831877', '-137469.581350749477139', '-7314430', 64, 5);
    T('7.9705720816584E+16', '-68322552584220.6110410334640', '79659395210069312', 37, 2);
    T('888900.55350499804495', '-4.7E+8', '790528', 11, 3);
    T('5236110358.4923014954753670033', '-7411.595839', '5236105220', 58, 2);
    T('5.9819E+7', '-7.7E+4', '59818808', 51, 1);
    T('-952186120.268', '7076.6420', '2720', 87, 6);
    T('756073291.38943962086786050255', '23.456028257', '3', 79, 6);
    T('-2443.570218244102975584496388', '-1034.357071', '-3468', 50, 4);
    T('5.6E+5', '-934.595599329', '559104', 20, 2);
    T('1667574433.196267917001416168', '224513725095596', '541330080', 43, 5);
    T('-53485272.07934424436818', '-9E+7', '-125656832', 93, 6);
    T('-5.9475E+14', '8.04E+7', '8389632', 21, 3);
    T('-2.731426E+7', '3728715272.493280', '3726583304', 33, 4);
    T('27.200347253404610993105140', '-1944722.3836531206845427', '10', 85, 6);
    T('39669.629555550159991679065', '20.2620540614003853336', '20', 72, 1);
    T('25664969.421317', '-22696427', '8752129', 55, 3);
    T('86.91', '-45.313339429654408327820590270', '82', 46, 3);
    T('8.7E+6', '5.308948607E+11', '8683520', 36, 6);
    T('466.2441552618699345', '-180225.1', '466', 69, 6);
    T('997787.6229230', '-6.7686233', '997786', 72, 3);
    T('-3861033304.48711', '-57074.4344365203788659958', '-3861053432', 48, 5);
    T('17197.60586678638297977321', '-7022369.5686807', '16397', 50, 0);
    T('304806.8018367285', '26702278.7431015344200919', '270470', 81, 1);
    T('615905428505411440.098434', '-658618884.648923785508', '615905428484392304', 43, 0);
    T('-1E+1', '421072.70731232508363186', '421072', 61, 6);
    T('-3E+9', '-35652986.60498369473896093231', '-3002097152', 59, 5);
    T('-6.42256345', '-61.3306720671680', '-62', 49, 3);
    T('-99984646.16081656201424964', '7165.196662528691030', '6904', 41, 5);
    T('821.9360684697433391246082', '-99426.42831', '788', 5, 1);
    T('-15878.903335699149638986549274', '-9.0344E+6', '-9043616', 96, 1);
    T('-66396823.203767744023143424', '7.66453863E+14', '766453825963328', 72, 0);
    T('6.67963309', '4.4943905068951417120226979002', '4', 50, 2);
    T('-4668409.68463', '4.436117052', '4', 37, 5);
    T('-25.9', '3.36E+6', '3360000', 14, 3);
    T('-20827363865495757.71', '-58.55078032366248', '-20827363865495806', 88, 6);
    T('5457320433123678.4', '-4.38390312921710403', '5457320433123676', 23, 4);
    T('6664.6879516', '-58.17061824', '6656', 21, 4);
    T('11460.1290998321256935334108425', '5395863.4031706', '1156', 89, 0);
    T('6930200077846119.888538', '-7E+6', '6930200073076800', 95, 4);
    T('-258891892.065095738', '84158855.9', '2436', 46, 3);
    T('1.45E+4', '-338560520038.345', '12416', 69, 4);
    T('98945.77196728999294', '-678312.52225143562', '98816', 19, 4);
    T('-87.039175268505443762426', '-6.55323995601042198933', '-88', 80, 5);
    T('-45089.50779273', '-484488600397.153843426637553', '-484488641389', 85, 5);
    T('9269.30103084969', '-8383106.90644068672830', '1076', 42, 4);
    T('-826.523694', '5.421773821058', '4', 28, 1);
    T('-62212775419.53734688205', '-82.10628169763310564970613709', '-62212775420', 66, 3);
    T('-6.240845068449', '4739.31317794', '4738', 8, 2);
    T('105.5122080369721752', '-9E+2', '104', 69, 5);
    T('-51946.435', '696427085.26103738777182925', '696393732', 53, 6);
    T('-9.2E+5', '80221076296293764.164597', '80221076296160256', 12, 2);
    T('-9.933E+19', '-8115.30', '-99330000000000000000', 61, 0);
    T('306.32238876832614183985', '459774.91399426', '306', 91, 1);
    T('-1.65328960E+9', '4123249.90456501', '3459072', 73, 0);
    T('-2E+5', '71202305', '71070208', 98, 4);
    T('4276.17308227391573115293970698', '-1765607082857776248.1', '4224', 53, 5);
    T('9.8E+9', '-9.5944E+5', '9799991296', 22, 5);
    T('-2252332.613565755576919', '-27458.25066159024153138595077', '-2260844', 70, 1);
    T('-4845930500492', '7878741.3808704258422851966', '534612', 84, 1);
    T('-2.683', '-8622971.816', '-8622972', 75, 3);
    T('-8E+1', '-612.674', '-624', 90, 0);
    T('-673.116228707552445753246319440', '-7.08980540264659890838', '-679', 3, 0);
    T('6979.1718', '-5E+1', '6978', 58, 0);
    T('248.15456365069697154704565', '-5E+1', '200', 70, 0);
    T('-567787336315261223983.85', '-209595539.180659790457170255291', '-567787336315262938303', 39, 1);
    T('-2937253.1527324', '-1.788E+9', '-1790900224', 1, 1);
    T('-600.6260', '5042510793.3', '5042510216', 12, 4);
    T('-949.855686320952338018506009', '-6.49E+4', '-65464', 99, 0);
    T('-1189471.3173838329926907', '-4.1041', '-1189472', 35, 3);
    T('9804.805', '1943.28033206800199614911', '1540', 8, 0);
    T('4006080.8266', '-626.583502610913984165306409', '4006016', 67, 1);
    T('3906.38', '-823419.5959184171', '3840', 60, 3);
    T('1577468.202201276739343068', '4304.9752875131669', '4304', 56, 2);
    T('-627.41511797839333103', '-6.2196E+6', '-6219648', 64, 0);
    T('-65.41569732536', '-6.060', '-70', 94, 1);
    T('566.081308864', '-8370144.767293163392395', '32', 56, 2);
    T('42.7123097815966', '9.6299060859019560409103047745', '8', 39, 6);
    T('-67', '-6121028877.651', '-6121028943', 38, 3);
    T('652684898.541135706795575591', '-5465106.3713387457709230561', '648284770', 100, 0);
    T('8380612.63205066869', '-3467385136779.47339596775222008', '4030532', 49, 0);
    T('4.05246370E+14', '-36296.6794308884051', '405246369996800', 39, 6);
    T('-7.1114E+5', '-6.690679149E+11', '-669067968500', 64, 2);
    T('6.016689379655E+18', '-8342.233467370983721339656', '6016689379654999872', 86, 3);
    T('331.9796750080100973', '-4.0643226', '328', 2, 1);
    T('-58843921559.516238514', '9320567.351', '8388705', 30, 5);
    T('-19.2517852568593336', '-46.116865536667', '-64', 90, 3);
    T('-4410579.4372030631711281', '-4182944.41667077', '-8380384', 78, 6);
    T('220.0586115526926103156', '-602904.101573', '200', 32, 1);
    T('-6676452802.8814273847297412', '-8326.237506987988342', '-6676460998', 51, 3);
    T('-4886529481.7792868081133300135', '-3.5663E+8', '-5222153712', 37, 4);
    T('6680', '-5E+9', '2560', 60, 5);
    T('-591247020.1192522', '8E+7', '79691776', 41, 1);
    T('7.1E+17', '-1.8', '710000000000000000', 37, 1);
    T('-1.12E+3', '12023239634', '12023239552', 19, 2);
    T('-2.795492026960E+17', '3996.3', '3584', 72, 2);
    T('3.0', '4554.03883626193788588495397', '2', 70, 0);
    T('49429.191411', '-346.427085005331', '49156', 70, 1);
    T('-985882.258243', '-61455.68773716781316172518', '-1047328', 60, 0);
    T('345634617', '5.666E+6', '1078288', 83, 4);
    T('2143663.6096448894347', '-4563.973859218309170791310381', '2139181', 54, 1);
    T('-948.1420903482681917', '81324.0311279482', '80908', 86, 0);
    T('818166.136532320724626173403085', '1239463480.59953157', '12848', 67, 6);
    T('-7389052254.1093495', '-6.70500741474472456817960', '-7389052254', 47, 6);
    T('344160510.270902468219273793', '-22.42912834849684015170046', '344160490', 50, 2);
    T('-5.8352289203505750855285250', '54784.42823', '54784', 45, 2);
    T('-9E+6', '-41322590.679290736070554583', '-50322560', 17, 2);
    T('-4E+3', '5.8E+5', '577568', 64, 2);
    T('-3924804.293378794', '677184226.62844618143', '675545248', 99, 0);
    T('-6.32409E+6', '8858339378.2', '8852045826', 4, 2);
    T('-3155219.2293629537', '-8171.974717117730640628858', '-3162107', 53, 2);
    T('3063283153.14433', '418.93293510760318049760823900', '384', 28, 2);
    T('755933.848549389', '-68.01631394024795', '755868', 88, 1);
    T('-738252.882299182014361933625680', '-4.837879081212977825184', '-738252', 8, 0);
    T('-86.46946', '5402073256.905852035', '5402073256', 55, 4);
    T('-7.655973E+17', '-8.9070212472166730137347156', '-765597300000000000', 57, 2);
    T('46.346833223449026917', '-121.271253201730004889', '6', 54, 1);
    T('-9.09E+8', '-1501235.111473509', '-910097728', 66, 5);
    T('-5.74641585E+17', '90542934.21406', '73404928', 30, 6);
    T('2.780208E+8', '632.80436790725431340582', '576', 4, 2);
    T('-7501226.8083225', '-4377100399.043452', '-4378293744', 31, 2);
    T('-7.8458894044651648570', '-999230.308831693635736972', '-999232', 64, 6);
    T('-5.16', '-3.2519E+7', '-32519000', 29, 3);
    T('185.253552020', '4581', '161', 25, 2);
    T('-9958259672.5383713625', '3E+9', '2723152896', 66, 5);
    T('-3713.0045326120344935774', '-5308567668.8501117851025', '-5308571380', 72, 5);
    T('-88404289.83170918621', '659276720.0', '571146928', 14, 6);
    T('-40.08438169476607', '9542.9384011741935054212764474', '9536', 46, 4);
    T('311542', '-4486527.03402884370983732869332', '32896', 78, 6);
    T('-3073911.015767', '-5.9632E+5', '-3145600', 83, 6);
    T('-8828081.587', '-6.904024648E+20', '-690402464800008814592', 15, 6);
    T('7478586815.759313', '-3682.02267118414418922747', '7478583710', 44, 6);
    T('1E+2', '93412020.885804844364527', '36', 89, 4);
    T('9009', '872309013.7047249873', '8465', 82, 6);
    T('959.2260518873136', '-4625609886', '802', 99, 0);
    T('-6246408255786939.8', '9.919E+4', '32836', 56, 0);
    T('-8.339E+9', '-6541516917.81286889282620123160', '-8421092096', 47, 0);
    T('-346.54960', '-574.26881378984945552', '-894', 60, 0);
    T('-40304680.04699915429574', '60463.2082353301346', '60424', 61, 3);
    T('-6583.8644844', '-82691.6418281647044', '-89015', 12, 3);
    T('-440030.496510657961529893289591', '174', '34', 93, 3);
    T('962911431', '-6.3399122E+9', '302272', 27, 5);
    T('-3.46E+3', '-550733.70', '-552912', 66, 5);
    T('-488751553.9869808317291126', '-6.4237001199E+18', '-6423700120187424768', 91, 3);
    T('-5224.3068615343916024617671633', '-642.03146725', '-5864', 54, 3);
    T('-3625050.20152868309729', '15.7360544830622785814670337', '6', 48, 5);
    T('-4.3E+15', '698415.391607150269003620918738', '131072', 34, 2);
    T('-8.8381638405340463372496', '-4.72335680E+16', '-47233568000000000', 100, 1);
    T('932788115.34113034496', '-9003180.10804236741', '923801360', 96, 6);
    T('-3658.5', '-53614.6367412201575217198', '-57198', 63, 3);
    T('4911348.341965115221547889158', '7844500.2959', '4370580', 59, 1);
    T('-5.65676E+8', '-933002.1664911985844924864', '-566214624', 85, 3);
    T('-4.500409387375489969613227291', '3.9E+7', '39000000', 93, 6);
    T('-6232.9584414927', '134906.47054413009833783', '132776', 10, 0);
    T('36.455427406913967491', '-735.89763342521730746804', '32', 94, 2);
    T('337146833.559378', '-45730530524343450.551813', '68178752', 70, 4);
    T('-10.334349637748243667', '-9.02460072062606349752', '-10', 9, 0);
    T('-667.0591691289255039554', '1102.2918381526145924016569644', '1092', 17, 4);
    T('-7365690654.5', '-84.9918726091545', '-7365690720', 81, 5);
    T('-30.45773233031429455925639361', '-4.8749528453847085', '-32', 69, 6);
    T('294.422634376608624162', '15.36', '6', 66, 4);
    T('-585137.463552171244691515875557', '-693211464.47600567992496137561', '-693763576', 93, 0);
    T('4.8E+7', '2438.8054017514498344', '2048', 43, 3);
    T('678.82304302019300320001', '160664.63795', '640', 59, 4);
    T('-9332.7843', '640479.8097530853713', '639372', 31, 4);
    T('-8.907E+7', '9396.355268730', '9232', 19, 6);
    T('-683590.4281', '-6.4E+3', '-687872', 33, 2);
    T('-7.69E+5', '-521.7305935630', '-769008', 31, 5);
    T('-16112217.88301211691', '7748.02668498907', '1028', 22, 1);
    T('-9E+9', '-17.67580888221', '-9000000000', 91, 1);
    T('-4331.0', '326400.7588991048028129317', '322304', 91, 2);
    T('484686681831505.3745012559', '660429.8337', '659521', 84, 1);
    T('33.17718825', '5095287.85408557', '33', 37, 6);
    T('-4.94160804201003077E+18', '-98921.713659074795608716456023', '-4941608042010096378', 41, 4);
    T('54.6772360995', '9752665.86858', '16', 25, 0);
    T('-944.40833', '-8.8E+10', '-88000000000', 54, 1);
    T('-3.263E+5', '-72518447062357378364.43', '-72518447062357704636', 92, 2);
    T('7.289E+5', '-417.59366911609329', '728644', 88, 1);
    T('-28.1860983325464579436431940', '-8992.5797685610659684', '-8992', 69, 6);
    T('-470785477.69675', '-767989.2', '-470794229', 89, 6);
    T('7.70E+8', '120299.51221958716522026896', '83072', 98, 6);
    T('-41857.50744', '74593035.935777361663802', '74584075', 17, 0);
    T('6545.7699372480', '5380.793599288233457630135082', '4352', 73, 1);
    T('-9505001965.4114131353', '75773.93', '75281', 42, 4);
    T('97.57017576589544820017754466', '-8452664.8956259051914101', '64', 41, 6);
    T('863.504245012', '-4.187265698004', '860', 43, 3);
    T('637755993701.866', '753.79389804130344561786259040', '609', 71, 0);
    T('62266.13956016434756', '-596.63055511122849468816', '61736', 16, 4);
    T('2.01464545199235667', '-318.3375', '2', 7, 5);
    T('-708060849.753616085276889377069', '-3023482416.4738399', '-3191254720', 61, 1);
    T('36462544.513647150', '4.8972392E+14', '525312', 24, 4);
    T('-51177.88718561070311', '-9.772169483557738871130172', '-51177', 7, 5);
    T('-9E+8', '8.7094593E+17', '870945929192539136', 82, 0);
    T('2E+5', '5119112435.8', '197696', 79, 4);
    T('-6153376083.14652615599827768', '229.4308818451405', '165', 69, 6);
    T('-3481564.8703028366', '91960.751645612189848734', '24608', 36, 5);
    T('62321532.92547407411516114957', '-4407433.4156554517', '62174068', 94, 4);
    T('-82.6768646498509021230', '-8.454E+5', '-845400', 25, 6);
    T('-56417.4467223066736320116575', '1.7448E+8', '174457472', 10, 1);
    T('7.843E+4', '-62669918439062.991746035506162', '77898', 4, 0);
    T('-48439.7882759184440535005', '-56.8503270779863360', '-48440', 43, 6);
    T('-1.5E+7', '-7E+3', '-15006720', 39, 2);
    T('-82919.35825680970796', '-106142.8437331602044', '-122880', 26, 3);
    T('-279.2515404813369', '-1E+7', '-10000256', 89, 5);
    T('-9233.319585347845173491746', '2276', '2276', 86, 1);
    T('-810974.07', '-66.79972046213475239468615000', '-810974', 94, 0);
    T('-7.66120420', '-95610003.3411447546', '-95610007', 56, 4);
    T('9.6554679535723406028848', '-5.2888939527885323337910364318', '9', 22, 0);
    T('23.25437684274017', '-5869268584.807427', '16', 8, 1);
    T('-9354.34', '26936332.1090', '26935300', 82, 4);
    T('-4892.4863', '-6.21080', '-4896', 100, 0);
    T('762794221637.30088278', '917.0998', '5', 98, 2);
    T('397991433.8019587096437172403', '-8.31E+8', '103862784', 28, 1);
    T('60976.015377055609', '-48', '60944', 26, 3);
    T('-9084.16388100426045068134', '6E+6', '5999744', 2, 4);
    T('103449.71385570', '-390234218.713121334503266562', '70672', 38, 5);
    T('86.869824086204197565253985', '-2.53728837513', '86', 9, 3);
    T('533583.559877413', '335922342.4', '1030', 39, 6);
    T('4339', '9153421526.75', '210', 1, 0);
    T('3303656541.56281', '-671292633.43', '3303587845', 32, 0);
    T('-2.1E+6', '-63871.935065', '-2161536', 92, 3);
    T('-5673402.1088442036', '-281632.33', '-5692864', 29, 2);
    T('-7.78766242954212034058223256190', '-1972', '-1976', 91, 1);
    T('-8260014.4181884391896664892', '-23.980227956549116', '-8260032', 18, 5);
    T('6810302486', '3.34402E+9', '2235609088', 30, 3);
    T('4729812885.8881796714058', '-73351543.5', '4724897409', 50, 5);
    T('-251872632.187348342887', '-51.0390357476496086641251111', '-251872632', 36, 2);
    T('-75.2', '-648662.8119551702667517994749', '-648672', 52, 2);
    T('3778737481.436898274246', '-7.765E+9', '556433472', 46, 0);
    T('9792.0879174446110', '704.40627875785265767', '576', 45, 5);
    T('-30.2657445539', '959573627.3679', '959573602', 6, 1);
    T('-844144352.877235268495774339', '-910.8935594197649789675764354', '-844144608', 85, 3);
    T('3.1812746E+8', '9.44868574E+9', '304480292', 58, 4);
    T('-28.80307902244310235221826', '-1352.01102', '-1376', 35, 1);
    T('-9.471E+9', '-667.1492242491923649', '-9471000512', 92, 6);
    T('-9263.7213636101828809078', '-7476274.11744719895508702', '-7484480', 80, 0);
    T('8.9E+6', '669.507213392614381263934', '128', 26, 6);
    T('-9.610E+4', '8.4E+3', '144', 58, 5);
    T('1301.6475657490', '-954.843199237540902481199823', '1028', 65, 5);
    T('-4984755.9063752210041', '-84619.2', '-5066683', 82, 1);
    T('751497105355.1103557977', '-64241.959966520726730132020', '751497053451', 1, 1);
    T('693.105693457068806377779812', '-8.29717', '688', 70, 0);
    T('293824713453746936.6517237', '5932679.144528170309957266', '640', 43, 0);
    T('-2961275.65911', '-1E+17', '-100000000002359296', 28, 1);
    T('2E+8', '855767.0407974576425', '590336', 73, 4);
    T('-6970.1611056492', '-829500534.1534', '-829505406', 22, 4);
    T('-5.8809708E+8', '-272894555678309648.3418803167', '-272894556266037056', 54, 2);
    T('60332.5356738835377165728', '-6472169.224', '10756', 32, 3);
    T('87918.7', '-72.76795037396734', '87848', 44, 3);
    T('-7.76633109', '20479614706960.097397', '20479614706960', 59, 0);
    T('-8.16831327698597E+17', '69.53084419', '64', 82, 5);
    T('38304826.946235340545513173', '8.751106587813111', '8', 75, 5);
    T('-10.422915', '25699035150300.751873393368', '25699035150292', 85, 2);
    T('955017732724553747715.329919', '166.8921134902644815158618', '2', 30, 4);
    T('1875757.430227683397', '-2117.4195431237057696240951', '1873705', 58, 4);
    T('88406657239379', '-2385429.653', '88406654880067', 7, 1);
    T('74038', '-69853.9338420315', '8482', 55, 3);
    T('-409569.856456408335247422590', '8.07900458651E+13', '80790045589516', 24, 5);
    T('-294.09699373622', '-43647082.6209927907', '-43647342', 76, 2);
    T('-1E+13', '-2589222.04442806010201096787', '-10000000327680', 86, 2);
    T('2.822296377900E+13', '39602358.1525735350', '35127472', 58, 3);
    T('6742.931453231495747611', '28098.952521', '2114', 52, 5);
    T('84.8750970603', '-456.1285057021052', '16', 98, 1);
    T('-157959105.1894', '7E+6', '35840', 24, 3);
    T('7.97E+4', '-26.016914669', '79684', 46, 3);
    T('-297.610168659401215394942036747', '-63088595.084108', '-63088635', 40, 2);
    T('-5069118.55620636795294500', '27392954627138456.712352423', '27392954622681728', 47, 2);
    T('8.403651E+16', '3629804.9', '3547136', 10, 3);
    T('81343.2851', '-9728182.9568', '68874', 93, 2);
    T('6.6019152224053849500435', '-786.677248026', '6', 28, 2);
    T('-205360900.308', '-941.349313142', '-205361072', 79, 5);
    T('-73388487.53', '-26160615.115729089169', '-98565607', 57, 4);
    T('82.965357', '-3.97321636952854357', '80', 14, 6);
    T('-393.42', '390.1138624', '6', 7, 1);
    T('91089.3972172467438191370', '-671397091172.006836', '90256', 1, 5);
    T('-7161677633.3166230268235221', '-8.3E+18', '-8300000007117864960', 35, 4);
    T('2905749.9202388792701009636', '69351587173370.2501996', '2380432', 29, 2);
    T('135.563701904105', '-4725637933543207261', '131', 7, 6);
    T('91.9016437231956574420758', '9E+1', '90', 82, 1);
    T('318.68', '5.9073022', '4', 19, 5);
    T('330562.62795461205450421', '1E+5', '66048', 1, 1);
    T('35146947.498853667226024950', '1407.3044', '1091', 20, 4);
    T('341458.08568463312645', '-41752908282.3552435558022', '336898', 84, 5);
    T('-308393682.766', '3025.649', '2304', 59, 4);
    T('-4562306099.4506106942677492524', '2160225.506388921297603', '45633', 92, 5);
    T('6.71123349763956', '-84210.510575209154', '6', 85, 2);
    T('438921446.627798325839404', '-6135014.196451690', '438329346', 64, 5);
    T('7.936254E+18', '69905.3', '65536', 1, 4);
    T('95203495.8724414281802', '-9.135E+12', '92315648', 8, 3);
    T('216.7962396', '878647.553343', '16', 62, 2);
    T('-7.22846825E+13', '5.2962E+5', '524352', 6, 0);
    T('-8.82509E+8', '-7329.4979252', '-882515176', 19, 0);
    T('3.6768827007859567090008677093', '61233107717227.63830652030825', '3', 8, 1);
    T('-3.6107E+9', '7.860385E+9', '4303426592', 84, 2);
    T('-54.26275616700', '-9.001E+16', '-90010000000000000', 79, 2);
    T('46466.3', '-7.0E+2', '46336', 54, 3);
    T('6.281E+8', '63652.571341954566751672435161', '2208', 11, 1);
    T('-425632987.533115554449', '1E+5', '66080', 17, 3);
    T('-522.92816684099935706', '-395022632.89599767048607', '-395023152', 1, 0);
    T('-98.31831520356245085092575', '-33061.0554222760562225631', '-33126', 94, 5);
    T('-7.19E+14', '81169107.4191853903', '71303168', 92, 0);
    T('5311514876.02999985701818539368', '7.4218728E+9', '5234509984', 54, 4);
    T('-35682.76171522883438965753', '138.07709314', '138', 63, 4);
    T('3610705.0563', '2744.655064954', '2064', 44, 0);
    T('12137698.26444240', '1.233417E+7', '12072002', 89, 1);
    T('7958887547.2698966355829705', '9.6171E+6', '179272', 37, 5);
    T('9911.910481156308990', '8.00708E+8', '1184', 32, 5);
    T('-568523.9166680935808145', '956.346305455', '820', 60, 6);
    T('758.38198', '3.80440015', '2', 98, 0);
    T('-10.38746', '-34829743.06995359935248267', '-34829744', 13, 5);
    T('-3.180E+4', '-40715.67422854', '-65344', 30, 1);
    T('9.0431377E+8', '308431.338190368886708332474815', '307338', 56, 0);
    T('-2E+5', '-8.4E+8', '-840134144', 30, 3);
    T('7.5202E+5', '4833.2593909950', '4224', 5, 6);
    T('891.58', '-5073071650.254787683208505805', '346', 100, 2);
    T('-5021349700.56495734159351208762', '481.08218817292', '160', 29, 0);
    T('-22765978.6727', '-484668981.375802271296006471', '-503019454', 52, 2);
    T('241271170891416.318158482833', '587834375.596002420314', '34153472', 73, 4);
    T('-1.23005', '1.10664170E+9', '1106641700', 34, 3);
    T('-4346.99789751086792159413932', '3480381.82', '3476228', 9, 2);
    T('7.870470186708', '226.8611009920847126347', '2', 15, 0);
    T('20911674.7904', '-9528766.025380514455430', '19796482', 80, 4);
    T('-705176.0316598020', '70347679074953401.0465952371', '70347679074428968', 65, 2);
    T('-3E+5', '8284692.30613', '8022016', 71, 3);
    T('-2251.4', '-829805313.893643708419041', '-829807563', 9, 4);
    T('-12.79', '-423486.9029065966856095724386', '-423488', 99, 5);
    T('-848563533057.0042442', '-2E+17', '-200000021479030784', 25, 2);
    T('-2618.9', '9293696.1372258199600318876900', '9291136', 5, 4);
    T('1.474E+4', '-1.1941397E+9', '6532', 43, 2);
    T('8.5296E+7', '9.07050395892E+17', '327936', 12, 0);
    T('989909177394571470.466994963904', '807.382547190058176', '6', 47, 1);
    T('-468274.248', '41132.87963152', '32908', 37, 3);
    T('-2.04467601E+9', '-86.611685692850735660994976176', '-2044676094', 59, 3);
    T('7860.7222016504272', '-3503521959644293109.7803', '6144', 90, 3);
    T('-79224.549106722721482018029', '3326327036.496821', '3326249096', 59, 2);
    T('67100970.02', '2.829386784214077', '2', 44, 4);
    T('4659.3995', '6.54E+4', '4656', 10, 2);
    T('400073269.181415708317234387', '70474.42', '512', 40, 2);
    T('316.213471684954020677607843611', '-588579.64713069917226', '28', 79, 2);
    T('11841961.9', '-58978.95198779267055', '11800968', 60, 0);
    T('154492645.872708813', '-9E+1', '154492580', 29, 3);
    T('-4907', '9356.2126021', '9348', 3, 5);
    T('-9.64191183651121713939198324', '68081005.762782', '68080997', 78, 4);
    T('207443640.4102029', '25096467.07988', '6049808', 27, 5);
    T('-656.1202863479460', '79.2510931559907973', '64', 20, 1);
    T('4684960.82', '-698088.4427250317747', '4544512', 59, 4);
    T('-2.8E+6', '-129102722.5057866356937995832', '-129760256', 34, 2);
    T('5.5072971111102E+20', '5E+5', '41216', 27, 3);
    T('-68.538493626', '-673.6', '-740', 12, 2);
    T('-966025066320431550954.451725624', '73534.658624', '69142', 29, 0);
    T('4203427.6696428955385815', '95752590.3255592043373196166', '386', 92, 0);
    T('9467634557.313', '483598376.14582663971969965', '340795432', 67, 1);
    T('-8473941813.70967112555', '3.6936115616943297E+18', '3693611556039354432', 51, 4);
    T('-9E+1', '9273588.280', '9273508', 70, 4);
    T('-717201219195.1', '-7028807336', '-721537146624', 53, 6);
    T('-41053.3', '-23951733737811606.936435523728', '-23951733737844446', 42, 3);
    T('2.37086530758E+12', '31.90245480590236554206388880', '28', 55, 5);
    T('11104450.6602430559857979624774', '-947013488.5', '8990848', 76, 6);
    T('-47253.9', '200.46905108320', '72', 60, 2);
    T('-933643257.847357355853670', '-5E+4', '-933676032', 25, 4);
    T('-55.69140234637227453414376903', '618.045', '584', 34, 6);
    T('7.600671E+18', '-7.4384E+5', '7600670999999455232', 20, 4);
    T('29459029.6', '-6.4E+6', '25165824', 15, 4);
    T('9.358310410907689', '4686329163.9779802576', '9', 9, 5);
    T('7920105', '569366.100753', '561152', 30, 3);
    T('-894240.30', '-392457.0', '-916768', 56, 1);
    T('560.79910447935874', '-2737405916.08003188626', '32', 100, 3);
    T('6E+9', '-22.6770403', '6000000000', 65, 4);
    T('-5.6309E+20', '-33004.70821418120819931', '-563090000000000000000', 25, 6);
    T('-386914588.95568653483', '72.235623084534351', '64', 100, 2);
    T('5574.4846350063', '-99328.503021739220177055781148', '5120', 52, 1);
    T('20717.5614', '-644.5740215118', '20588', 12, 5);
    T('3428285315.18408709374833', '256.350', '256', 52, 1);
    T('-750152517.296314590293778036', '-1.5E+4', '-750156760', 34, 5);
    T('8.246E+8', '7234301.33271367462303947', '2515136', 9, 5);
    T('-7', '-287.8893289378389801828400', '-287', 64, 4);
    T('7013588.82744342', '-169.4', '7013460', 63, 4);
    T('477326068467820.7683530', '3.50690225300431E+20', '474989035798592', 38, 4);
    T('2139786488.37637902', '-5.8838454967', '2139786488', 96, 0);
    T('-2367613445.94311507', '7.296E+17', '729599997651189760', 100, 1);
    T('3472.1063268673080463', '960220386.19474093709169046', '3200', 51, 1);
    T('-201344.7286739', '8522739313554170.40904279', '8522739313549440', 87, 5);
    T('7527.2504981918444835545460', '-90.184471322210921887636', '7462', 77, 5);
    T('912456.56336318', '-797617.21548700978', '115784', 66, 5);
    T('-6110298847.01512768297381251221', '-730.745783285520005290661810287', '-6110298848', 22, 1);
    T('-177.73370852838', '-55559.667325490', '-55735', 37, 1);
    T('18169489.85269', '4.676E+7', '65536', 44, 4);
    T('8.01E+3', '-88231.448159496463', '1864', 80, 6);
    T('5243757.0351618707020808869', '-76.4571972', '5243684', 74, 1);
    T('-6.890E+4', '773821.2517324271387397534222', '705180', 30, 6);
    T('6332948550', '77888154519448024.127289', '4837154880', 22, 2);
    T('-7049.10290', '669.61761325964665', '21', 35, 3);
    T('-3.1E+7', '8670321.64630837473768325', '280640', 98, 3);
    T('5.126655E+7', '-79858772.0', '51135396', 72, 3);
    T('-744937737.91003373177', '6E+8', '58787328', 29, 5);
    T('-85853.04366420804634', '-7196.61', '-89952', 60, 1);
    T('-36.9697075699921428615414942', '-581.85', '-616', 41, 6);
    T('-936.8653773282822', '-1659.9573240514702577', '-2048', 53, 4);
    T('5.8759E+17', '1.65E+8', '26222592', 59, 0);
    T('-9.047327526182E+13', '-87.2603246096', '-90473275261824', 49, 0);
    T('-776752048.09187230235100', '-62802.9753756809', '-776798208', 40, 0);
    T('-9.68E+17', '-9.583100', '-968000000000000000', 11, 1);
    T('4455.40098097716884224744639498', '118.42526453968959', '102', 43, 5);
    T('-9.01523848740259668561887538', '-2.1224E+7', '-21224000', 94, 6);
    T('78452.0965123230502416423', '29.26758425360429788561855827', '20', 21, 1);
    T('-5.27E+7', '11873', '3104', 31, 4);
    T('-19.1067443021', '-51', '-51', 30, 3);
    T('4636272024368.4417145017839054', '-59103200.2', '4636221638688', 40, 6);
    T('-7.670587935356', '520120696.21996773', '520120696', 56, 5);
    T('-200.059515122225489069320451', '952.11300777', '824', 23, 6);
    T('-37.10337609339901073208', '20465435.1861', '20465435', 60, 4);
    T('-87.51178603177271434412364', '8739510.22078', '8739488', 96, 1);
    T('-1.1987E+17', '-36.44491925862682415272700', '-119870000000000000', 85, 4);
    T('-2011.3480690613', '-28763.8', '-30683', 13, 1);
    T('406.949951426316255319', '-59132277.05729383880047', '130', 37, 4);
    T('2.554E+14', '8.08E+5', '266240', 41, 5);
    T('73131.1', '42.782444036130230980714477', '42', 54, 5);
    T('-99782.031806498815100353', '-95125222.6378765008314', '-95158246', 98, 6);
    T('42457953.489992', '-565367141.134974512', '33884673', 73, 3);
    T('-25291859.464007425067', '5.596454568670E+16', '55964545661408160', 89, 1);
    T('-976.0639748693593', '84194789684217668855.11045365', '84194789684217668656', 73, 2);
    T('-6470.236631620821229620', '-77103265.012547790808686028610', '-77109734', 66, 5);
    T('-457678.81835404245388528440668', '-457.816', '-457678', 7, 3);
    T('-66.6534377690623', '-89.8521022881770795973340598', '-90', 4, 6);
    T('7154775906.434971075040', '207172633.39035141', '139539456', 27, 5);
    T('-2765580.36200064425544509', '13652', '1108', 55, 6);
    T('45.13460286874176459058', '1282223278.84', '44', 92, 0);
    T('-142137.115734517048769258191', '-97423.2406582', '-229311', 25, 5);
    T('-9E+9', '-24212.36687071640775624842', '-9000017920', 72, 1);
    T('-6.4909434063', '-7.1697490531016235331', '-8', 16, 3);
    T('-91.373443819919244846630336', '675958.7433', '675876', 64, 6);
    T('-9E+13', '-1889676218217962166', '-1889677698908266496', 5, 0);
    T('-7077724677.899384398740225', '31897.87', '31897', 74, 0);
    T('3E+10', '-420903497.077116', '29597205504', 54, 3);
    T('-78042.7', '89840.9685503', '20000', 48, 0);
    T('-7397748.39257399235468507032494', '1424441454.60460888143', '1418133516', 94, 5);
    T('179.919023', '-9963.77944720091502', '17', 52, 3);
    T('-484097485827404601299', '3124.9920078162670475626026518', '2084', 20, 4);
    T('8E+7', '643603399.78395003', '71602176', 97, 1);
    T('3904801.352030', '457014.37233486392', '168224', 91, 6);
    T('4.2E+8', '7E+3', '4352', 72, 3);
    T('-8967776.1064', '-4E+7', '-48947200', 75, 3);
    T('-6.99879535E+14', '3.60E+5', '280128', 87, 1);
    T('-8.374951', '-906435.1305148768161360', '-906440', 71, 4);
    T('-8890626429.4', '201.82313660639112', '129', 34, 0);
    T('2.930053925947713E+17', '764182688.0780348548', '612401184', 30, 3);
    T('-6.9E+9', '-26820.98040854713816769', '-6900018432', 100, 4);
    T('-8568507085.4422', '991873.104354', '401409', 57, 0);
    T('16606104.54571128770', '70981.64442618683359875160', '65792', 2, 4);
    T('751165538959.6', '1441855.460799', '1310735', 56, 5);
    T('-90.1729610375141', '4127.15665715916188680987415', '4102', 83, 2);
    T('8.859652004579E+16', '-20.7827482005', '88596520045789984', 30, 0);
    T('5.342E+9', '969882630', '944254976', 64, 6);
    T('-52287.4795257', '885653.03065839632', '852865', 95, 0);
    T('-96.394017894176763', '-722477495.427465', '-722477568', 37, 6);
    T('8.7', '-91057.662390093', '8', 17, 2);
    T('-374834.2014245744602455813', '-33957.275566734023192867', '-375990', 21, 1);
    T('72.831576502', '-7215.9104679630330777493', '64', 77, 3);
    T('144391978440099755425.645', '9673542138.2', '8589967776', 70, 0);
    T('6.12838666330', '452290590.586245562063104803', '6', 100, 1);
    T('972921.18942753122876349673', '2346814.087', '182328', 19, 6);
    T('5.269', '6748.509037426968470351', '4', 89, 0);
    T('3798.120987067301778', '-2219293.97', '706', 92, 6);
    T('-70568468.027519763', '558.6321450602020335565319', '44', 88, 0);
    T('-20.245967027604572592006', '-9.6726', '-28', 64, 0);
    T('309208.04334441631', '486229.3', '271184', 33, 5);
    T('-7E+6', '9532023.529477758', '9515072', 47, 6);
    T('-27036.0206774699', '758453255.5657', '758453252', 50, 4);
    T('303326987.35234042990278575', '799.665585758', '779', 2, 4);
    T('-2168.09633374033803', '-2184048.8097544814782337', '-2186112', 34, 5);
    T('5467406607.87027', '-72414.915764596725', '5467406594', 97, 1);
    T('-77356.283601649650927895', '-62.42359', '-77376', 43, 1);
    T('989021516.839442187991626923593', '4394707984.56', '15811584', 12, 4);
    T('15.64060572363993857181', '-892999630.360122', '2', 18, 0);
    T('-8072500.474742797216005', '642751.759911748464060631', '49804', 60, 5);
    T('3E+6', '-88300510.37648596768334495', '2917376', 72, 1);
    T('4.223148919786', '39.53526448857', '4', 64, 6);
    T('-736252.2070242949942223480037', '-499047142.606014536005083079', '-499121152', 61, 3);
    T('-644358.66196564675439436', '-6.380', '-644358', 47, 4);
    T('18.99958', '6.36330590253557740490844', '2', 86, 4);
    T('-50178.577600705795530961617', '8.56E+14', '855999999967232', 92, 1);
    T('3213.9271434603600074313527156', '78746926.0744361566', '1036', 36, 0);
    T('81723302.9732606655', '583383264.06158', '12892320', 20, 0);
    T('-4E+7', '-7050268.55886783284453872539190', '-40623616', 75, 5);
    T('-12.20303568316078722050', '-1918.90376838', '-1920', 1, 1);
    T('21294197.94735129885854884', '7.56436E+7', '10320', 63, 1);
    T('-8529174.98422224', '-4237511.34458966807874', '-12758488', 82, 2);
    T('-7.5E+11', '3.8446523E+8', '8400896', 78, 2);
    T('12.156139990187001552158', '-8.5679E+5', '8', 29, 5);
    T('-5897991.03459924933982', '-7360726.36591123308873648', '-7995352', 43, 5);
    T('6967.301', '8732495', '6919', 91, 6);
    T('4269224132.5023634732', '-821314525119.0096842446', '3293978688', 8, 2);
    T('476062836.09151851012867735', '-1119581765.41081424767761', '473956400', 56, 3);
    T('9E+2', '-437602420.6635', '900', 74, 6);
    T('2628.3130078897', '-7.3761500817027383', '2624', 90, 6);
    T('36.187', '-900787.116928119908956880', '4', 43, 3);
    T('-14604.9', '6621.3', '212', 16, 3);
    T('1054005.7724036908018013471', '343.92573010044', '277', 64, 2);
    T('6.84384068952490', '-1.9360915468690223E+17', '2', 1, 5);
    T('-8020535188113619.1383553904862', '7045877.5997', '2097701', 68, 1);
    T('5575974.2904314107', '-6.71895852E+9', '267264', 18, 4);
    T('-68.668172483671', '-610283946.222873252257513698', '-610284012', 12, 4);
    T('-1478924004.88', '416888309289521093.247894983', '416888308213287172', 97, 3);
    T('-868849.0', '-4.17463173463192880395286816631', '-868852', 15, 6);
    T('495709.30948159090', '-17.0614842304683434', '495693', 86, 6);
    T('-4396450313376728569.668974', '8062139.82956513406105475965009', '131075', 94, 1);
    T('-5.66E+9', '-288822552509.836799', '-289901838336', 32, 5);
    T('-5.25055845E+14', '11285.7', '3072', 14, 1);
    T('-7.0807005878507515969', '-2835022915', '-2835022919', 16, 2);
    T('-984934842.0173', '-758079.50', '-985659840', 92, 4);
    T('-9412.17700', '-719303.80097251325510', '-720328', 39, 2);
    T('4.38800E+8', '84659054.4119718853065289', '231936', 58, 5);
    T('313911425.0941212969919429', '5037', '129', 44, 6);
    T('-7.0E+2', '907444387776943.823', '907444387776772', 49, 2);
    T('4674.52055168600', '-178185.00059306', '578', 22, 4);
    T('-48.74', '903.5531435125531636686055367', '896', 47, 6);
    T('40038.1', '18.323437969186015', '2', 50, 1);
    T('-85', '-576723494.552594778', '-576723574', 65, 6);
    T('5.68501E+6', '-68101981.2477355', '5281794', 92, 6);
    T('875210.6895973', '46561034.25140692251081', '283146', 45, 6);
    T('-24716867.2', '4.344E+4', '35248', 11, 6);
    T('-911.044880225511628119771', '19349.89343306', '18449', 19, 0);
    T('-43.28894231414611', '-6E+20', '-600000000000000000000', 12, 6);
    T('395184770', '3016201.61437957055917178', '918016', 79, 3);
    T('5443783419477996564.26', '7.4976E+5', '77824', 7, 0);
    T('-23514274.400371155546849', '9.556859E+8', '948965388', 87, 6);
    T('7949704.54357138493', '-5969451.370692886106', '2115968', 60, 6);
    T('-6747.1', '1244', '1156', 98, 2);
    T('-9.23E+4', '-517281.2631731046', '-519340', 29, 6);
    T('-985339449.0383507512', '3378.0265442759463919674948982', '2306', 60, 3);
    T('8845573.94972767951', '8781390061.62053148566764056', '24581', 37, 1);
    T('-522026135.733', '726', '576', 99, 4);
    T('9693.55085603369580185841', '-6641302083.675731680648', '1437', 90, 3);
    T('302.9161303787448562977422115', '6357384.432', '264', 21, 2);
    T('753781241.1952538567203', '24989.88239150173', '16793', 41, 1);
    T('375460.0730023380982135882', '-1.968358E+9', '342144', 6, 3);
    T('3954.788422996904695628150', '814069693.0050795026720', '1840', 98, 2);
    T('-1.2379E+7', '717254478.69001579', '708840456', 79, 0);
    T('-4738.8222706730837821', '4420837.308959529', '4416612', 85, 3);
    T('-42.86732757763136502', '-998513.80539546985', '-998522', 7, 1);
    T('-4.8625578607183630644', '5017169.5158988604366006087', '5017168', 82, 0);
    T('-89434410.9204805566176738', '2.81421', '2', 49, 2);
    T('-6.05E+4', '710548675.104563419549597468021', '710545536', 13, 2);
    T('95.82853787169743398634', '50383.921999', '79', 49, 5);
    T('56.690134', '-9E+3', '24', 55, 4);
    T('-58439794020256297.269150200', '-398674.110733556764297', '-58439794020523898', 23, 1);
    T('-3.1321E+5', '629218.9042747794754200262', '596098', 92, 0);
    T('-11.5972069', '47.26379', '37', 66, 6);
    T('27.22832584923', '-30928.1', '16', 22, 3);
    T('836.91987', '329117.5109069457026187874', '260', 21, 6);
    T('-39483.56744709743555741916', '6E+9', '5999961088', 80, 5);
    T('-94579.6908308237673326344783', '-9792199.0', '-9796599', 82, 3);
    T('-517.367635', '-4249.9916028381981166517', '-4765', 8, 0);
    T('-213.6656740397858361515137', '682314.715514', '682250', 74, 5);
    T('-499297618.31240722046672961176', '-688181427.358584', '-1036451316', 91, 6);
    T('-78.3', '-8.94E+9', '-8940000000', 73, 5);
    T('-7.862E+14', '1797148.235501336996934790018', '196608', 34, 6);
    T('6.66379551373979661714', '-211.9884612652358838982265', '4', 100, 6);
    T('3E+4', '3.750613E+9', '20480', 29, 5);
    T('-94071.0760', '397.433778304007', '137', 86, 4);
    T('31999.69355460577653', '-9.50245E+9', '7344', 83, 5);
    T('18741795.0908949440491194835622', '4.96E+5', '364544', 39, 1);
    T('49636.171253778330429903390', '-6E+5', '49216', 89, 5);
    T('-172079908996.39226004630260129', '7478.92186', '5428', 62, 4);
    T('-39482297568145.949847', '-539.91566', '-39482297568155', 6, 5);
    T('-474.3715', '-4', '-476', 19, 0);
    T('317755399.3', '189128762715224236.0174', '40898564', 40, 2);
    T('-9.904072E+9', '-3.2792659335642143', '-9904072000', 5, 4);
    T('-3E+8', '656800200898416804.939374560469', '656800200883703808', 49, 2);
    T('18024149.7798013', '109473.411202439586893', '66177', 64, 6);
    T('224425418.5', '2407506513.58586897276', '224403520', 59, 6);
    T('-3980454.14', '95100279.91471566050301', '92471634', 100, 3);
    T('879874.2231024438736238', '-8539702972715068555', '524544', 17, 2);
    T('686800063.821024203773', '-73099507.18735', '681874445', 19, 0);
    T('7.176E+9', '9.9681E+5', '593920', 93, 0);
    T('6E+1', '-55224098', '28', 76, 3);
    T('-8618121425.0022278872481257563', '3064.99711179157108792316595', '808', 2, 5);
    T('-4E+9', '-4.64851E+6', '-4000313344', 4, 5);
    T('-3965525.636261273947964', '9.7E+3', '9632', 56, 3);
    T('73976.17998375', '534086830.8320276', '65704', 76, 2);
    T('-4.647888165313459769175004', '-8308652733.163426', '-8308652736', 86, 5);
    T('-3866.81467', '194.022348644317656581051656', '194', 86, 3);
    T('-595197.2893', '4503099.9', '4497923', 98, 5);
    T('5424.801056308130642795', '8.26E+5', '4112', 87, 1);
    T('1546.845', '53410.25188', '2', 59, 0);
    T('-5450.90295265', '-781027930.141155927489312765465', '-781033306', 53, 3);
    T('102476.1802236260', '8826.117481498', '72', 59, 4);
    T('-2603229.1872862', '83.1074', '3', 28, 6);
    T('6062124.2', '304402810.72193844696538', '294952', 1, 0);
    T('-67', '-1705310.00195350470', '-1705312', 33, 4);
    T('-28.528661689589330130575911', '62.52110119355', '36', 58, 1);
    T('-208457.4647050129635895241821', '1.1727E+5', '49174', 88, 6);
    T('62859889.448703067977389415', '95.171', '81', 91, 4);
    T('-923.769187871189619545368871412', '6.7993797345E+18', '6799379734499999744', 23, 5);
    T('-85.911249635764405935005050436', '-7033.1', '-7037', 45, 1);
    T('-9.219766115155903125014399', '-72.853956058', '-80', 56, 1);
    T('6297048934.18080301779953926', '586482464.558468518733007', '575996704', 6, 2);
    T('-7.24111952856E+14', '268397035755', '189180248128', 73, 2);
    T('53211590.0176869368275794269449', '335229.9', '69956', 61, 3);
    T('480.57477743541160988189262484', '-940371397.2276406855', '32', 55, 0);
    T('4059.1', '38.222416845177778', '2', 11, 2);
    T('3.2279573069E+20', '-4792969527.584157384046404', '322795730685637235712', 24, 1);
    T('95746450.421', '8.51936E+7', '84996480', 8, 5);
    T('-8200433.6012', '41570138.873465999221534302', '33705738', 60, 5);
    T('9.0430E+7', '9.71E+4', '88576', 29, 2);
    T('13.3803', '60', '12', 48, 6);
    T('8620619.85261275', '45254997891542063468.8870', '165960', 56, 5);
    T('-4E+1', '-46199823.15993858962091658889', '-46199856', 4, 4);
    T('2478.7371534975700316771858793', '-2528961103.78973092107681', '2464', 11, 3);
    T('-58699.8626696388802425704', '-54278443.30812136517333280', '-54328683', 7, 2);
    T('712.7938979548537865135829', '-93.5761444544618881', '640', 21, 5);
    T('-339870.47382', '3801623.6174583', '3801090', 55, 1);
    T('25724.8726269402513', '-9462977.5518406836', '60', 40, 2);
    T('4.444580293E+10', '-53150.3378634278969', '44445802530', 56, 2);
    T('-80.205748259326308', '-157288042.9845658523695063', '-157288048', 24, 0);
    T('62433.5', '649.805109', '641', 100, 4);
    T('9727', '-7.953E+7', '9712', 52, 1);
    T('541595148.97609011', '-97.03868782258748547', '541595148', 73, 0);
    T('938645.11832617878039219423086', '-35414369.518770034336', '135829', 95, 4);
    T('41489178.114569811774', '-83.50631014401415074004', '41489160', 40, 0);
    T('-68115.453709363629637', '298600.07517141636081296', '296040', 5, 2);
    T('-2495401978.41753', '-5.9215E+5', '-2495467518', 75, 5);
    T('377.05892384186567', '-805688', '72', 38, 4);
    T('-9194.69746', '-9E+2', '-9196', 19, 4);
    T('-2E+2', '72.1194504351053', '8', 58, 0);
    T('7282.302011611546279187', '46532.4673094281', '5184', 97, 5);
    T('47158513.643443739373510200', '24.1056431462', '16', 43, 0);
    T('84297485.1558588244996', '-7.917E+8', '394496', 50, 1);
    T('311164237.302705011', '-1.08465E+12', '276984064', 57, 0);
    T('-65657.9435452', '-4.716E+6', '-4716032', 71, 4);
    T('4E+18', '-367.62247433', '4000000000000000000', 77, 2);
    T('-76.162496849038474971943', '5.23617743999398032531069', '4', 21, 3);
    T('78.56663406', '546133881.806977248653195660', '72', 25, 2);
    T('3241.827175484922653512022072', '89006889.99883', '41', 68, 6);
    T('5.1156654E+8', '1.726E+16', '139509760', 18, 6);
    T('-24.53124374', '-76717819.0106211798051', '-76717824', 15, 3);
    T('8500803531569387.827679030607', '-5E+3', '8500803531565160', 90, 0);
    T('-9523.16872', '-9.254290E+15', '-9254290000001024', 78, 6);
    T('-5390251308.6273539469328287109', '1619858.5629699273092', '1049232', 30, 6);
    T('-2564.295825537857721106274138', '315875647.796906038627182', '315875644', 7, 5);
    T('-2.246311073937184229196357683', '-3.77E+8', '-377000000', 46, 6);
    T('-414.2632096', '-364918.12212811232525240', '-365054', 31, 6);
    T('43927731.26902476464', '-64.3499202840647566088035389', '43927680', 73, 1);
    T('-671175.2858444602', '-2846346589.149689', '-2846883295', 9, 6);
    T('-45.688708142972357743784', '383.8978727324488837405738826', '339', 37, 1);
    T('-19.5574301312238721568975', '6059.2235', '6057', 92, 5);
    T('4986578017.4299911772361146', '5.7323E+7', '19407968', 2, 2);
    T('795302717073247636736.68319', '196987622.5993', '27854848', 4, 5);
    T('-9595.371612890424310695', '-584563.17269', '-585595', 50, 1);
    T('-1.6859160977907541581665007381', '37622.2076458568036832439', '37622', 66, 4);
    T('73192.67965', '1.5721031E+10', '66888', 10, 5);
    T('6794.07911', '-3337.083824197352805068035326', '4738', 25, 5);
    T('-7.38401E+9', '2656378652532720190.3', '2656378647432184368', 24, 6);
    T('-5840.5485938484', '-1890.20125775512327769', '-6128', 38, 2);
    T('40322.735601847223093051', '1516875793.1230038003', '36864', 10, 1);
    T('39095.1896417861893674519481102', '-2E+8', '6144', 17, 5);
    T('-765.11198', '-516113803.050780', '-516114431', 88, 4);
    T('-27994.2947063933662446129968962', '-728123755.36', '-728132988', 6, 4);
    T('672878.2027538180070', '88258.39758844597237064975155', '16450', 3, 4);
    T('1E+2', '1173.0831199694987523924763', '4', 69, 1);
    T('-130.2883469143056448', '3679465.111465587678294307634', '3679336', 5, 6);
    T('-8E+1', '-604458.9899805580403254', '-604528', 93, 2);
    T('-665004.88363327520470', '1.012168E+8', '100684288', 76, 0);
    T('78644.84798668', '57', '48', 68, 2);
    T('-984.657127489', '-676387237.7743237165908157', '-676387832', 9, 2);
    T('878012845935161.261', '44011777.487658204', '42598401', 44, 3);
    T('45433.3', '59732.92201119994170195059368', '41296', 38, 0);
    T('8E+6', '-569102.5627475', '7475200', 59, 3);
    T('776.25361237155553943868814461', '5.9370E+6', '776', 46, 6);
    T('5881671923.007832295', '-6.72198E+19', '4665245696', 39, 3);
    T('4.701490E+18', '-8675.129875', '4701489999999991808', 78, 6);
    T('-9543.45795725047218633183913235', '-6.700525714856958', '-9544', 33, 2);
    T('-309781.79647275603', '-21750.11100352745362900', '-327414', 74, 2);
    T('-4.0E+8', '-76396927', '-400538624', 92, 6);
    T('-2.988499273726092', '-26930652.004076823', '-26930652', 64, 4);
    T('-834.431917360776', '674.891565', '162', 22, 0);
    T('4915636358.12', '49182.37057280388674189177406', '32774', 48, 2);
    T('859448378.1956621', '3858682769601.96746680523945', '589963264', 14, 4);
    T('47058124899203172967.5406033846', '-641129.5969920828129', '47058124899202630151', 45, 1);
    T('612.18511237445900045', '8832.7614924701743883013728', '512', 18, 0);
    T('7847005.8333890678575', '8.5E+5', '309328', 37, 0);
    T('-15.918', '-9950333460.36121689795', '-9950333472', 40, 1);
    T('9033156.89160990842601237661514', '7.679885723156700634', '4', 83, 6);
    T('1220.45742234744505748886549976', '730.29117243974750601', '192', 28, 5);
    T('7286096892.09339360589', '-1802831.4640440813658', '7285506480', 98, 0);
    T('-2.954E+8', '8.0880923228283277E+18', '8088092322549729536', 30, 3);
    T('44.78704026847604523008828284', '6030.918921213366190', '12', 14, 6);
    T('-5.92453545726044E+16', '-635521520.85705', '-59245355176651760', 25, 6);
    T('9.4155392138668109185038357', '140280', '8', 85, 2);
    T('2911.404895657613', '352', '320', 52, 3);
    T('-1934999407.753848', '-482158851435339515.37375', '-482158852546871295', 84, 0);
    T('560.29953695', '-4047477104.61792025072459282493', '528', 14, 5);
    T('-7435771.574120267857793620', '-299333', '-7730687', 95, 6);
    T('470.012155', '1609981.7', '212', 85, 2);
    T('-7.8E+18', '-69.68312251307729386894', '-7800000000000000000', 69, 0);
    T('-1157.603700223', '44503.898269001434167474147889', '43347', 53, 4);
    T('76', '773829.9900599973960', '68', 17, 0);
    T('-851903764.6442409382', '-5833328.1257', '-853477248', 16, 2);
    T('-4.85E+4', '-3.611E+5', '-376828', 65, 5);
    T('-22.8196', '96.9378333015174540126', '96', 87, 1);
    T('214.07155415347503230628182200', '430.64407966891399719258622', '134', 33, 1);
    T('-4.29619061682075', '-803059.5929857', '-803060', 38, 4);
    T('542913.730422781658465571105', '9645938370161624811.1', '540865', 21, 0);
    T('50887915059835526543.21', '3.74E+11', '4632812544', 44, 3);
    T('-1E+7', '2008369216.834095504371995599', '1998931968', 59, 6);
    T('13446.95426', '10441703345678.3310122', '1030', 88, 4);
    T('37.6917', '4.1815736241871553', '4', 4, 6);
    T('2.5894018E+16', '-2552760323.5216376903', '25894015850419200', 10, 1);
    T('5E+6', '-85.54149597167009937493', '4999936', 4, 1);
    T('427608.26073320814265724430', '398.3813591019673134990790422', '8', 77, 0);
    T('-75916888137501724.92', '56593.69699', '20736', 7, 1);
    T('-89189.5901845182021178515', '-60782982327725138807.24', '-60782982327725162359', 52, 1);
    T('4.375E+6', '286466.445', '16640', 16, 2);
    T('-88613868.2506707112976516', '805844367.826635633898', '805311492', 15, 1);
    T('1E+3', '-29203239.885444940265', '200', 28, 5);
    T('-9.99403330032839478864692', '-67008552.945142091352168286513', '-67008560', 48, 3);
    T('-3491001.322921185', '3.7640488724632105851153', '3', 21, 2);
    T('-87474223.3552720782374269295', '-4.036E+7', '-125294656', 85, 5);
    T('-1.4E+9', '-6.932686420', '-1400000000', 73, 4);
    T('-542708.141322', '-1.1941226172516231783', '-542708', 26, 5);
    T('7387.104183979554443903126918', '-8.773219903848', '7384', 9, 0);
    T('-778567842.3227326863819713', '-84215.7', '-778651896', 83, 0);
    T('4242967.253150096951206', '7.395E+9', '4242944', 60, 6);
    T('-692521495222278.42593326849', '-21.75142815802969762400251', '-692521495222294', 61, 6);
    T('4455458317.700363', '103.102487055246486', '5', 43, 0);
    T('-30.458894186287058480328703277', '62425136.69828860909767465355', '62425120', 35, 2);
    T('4286.59700223', '5.1307137E+8', '4106', 99, 3);
    T('-36.660323008915', '-6250.110265737785080084', '-6252', 94, 1);
    T('-6328442181.300989690', '-9.1', '-6328442189', 42, 3);
    T('-875.31041825091622038354', '-1.41619575701336050E+20', '-141619575701336050544', 62, 0);
    T('7698.59707686250165993724860', '93966667449040022.88', '7186', 37, 4);
    T('-9902.705315', '2158278.5398980', '2148418', 22, 0);
    T('-636.223197489', '-59876.014492645210', '-60412', 48, 1);
    T('5463504285.40512', '38487004.764538', '147868', 34, 3);
    T('4.1E+6', '319984.13566', '295328', 67, 3);
    T('-5.92636408E+9', '500', '80', 57, 1);
    T('255766358.997040697635500945889', '9.8719E+5', '917526', 52, 3);
    T('-77756505614301.43023630507', '158.43940927648', '2', 41, 3);
    T('-994891.5323528', '1654390248.771683657843439', '1653658016', 25, 5);
    T('8.8108673959483774', '-933234842400608311.91', '8', 26, 1);
    T('-401160.601', '-2E+20', '-200000000000000000000', 60, 2);
    T('-8909209559.71591561172807001073', '-774.496694763656534799', '-8909209560', 10, 1);
    T('7431570.588967245362515725', '-57.596', '7431554', 89, 6);
    T('-93.2766857364190', '4821101123.8916341119666', '4821101059', 9, 4);
    T('6384500882.833332112462245462', '-164675.238686262750002183936', '6384337040', 6, 6);
    T('-49898.3054279337432824', '-4325446567.24594909281395476', '-4325495792', 16, 3);
    T('4114297780', '934974.3618814527785133793349', '655412', 95, 6);
    T('-76.109335', '-3.17915E+14', '-317915000000000', 96, 4);
    T('2E+8', '-1.228E+8', '145358848', 53, 5);
    T('-94876632445.5035084421590916', '-7.5751E+6', '-94882994048', 23, 1);
    T('1198.7448', '14.474223775740357846045079937', '14', 76, 3);
    T('-221.560449412956165264045352', '-73.4735739564404', '-221', 64, 6);
    T('1931340.7484870169', '-391.0', '1931336', 31, 0);
    T('987368070588622.331526572', '-6905.881899923494', '987368070586374', 22, 6);
    T('-34.18', '-759650', '-759650', 59, 6);
    T('601.9175842442556968035158166', '-90819.451737833320', '25', 30, 5);
    T('-933956247938475513.270540044232', '-5914941106.5837', '-933956252779673594', 17, 3);
    T('486156131.5', '25001722.9', '7874146', 29, 0);
    T('598912.696406338741433920445', '-753.7885208912956398546', '598272', 76, 5);
    T('8189.8713281321230367', '-2354066.6462257977495905366131', '5228', 55, 1);
    T('7488.705472202590375997585221', '-1586354.185378474293354', '2368', 79, 2);
    T('6E+3', '-8.9E+6', '4704', 27, 1);
    T('-9.9E+4', '-18438.91785158', '-117432', 37, 2);
    T('1916416146.60582397', '-95398008087.8860859166476231', '1074798720', 17, 0);
    T('1214.713208269959197138939371', '-55.52524344931768380', '1160', 50, 3);
    T('-4286167.90', '1.383516E+13', '13835155804160', 94, 0);
    T('-3473.026561898532', '1256165799.29366989362178', '1256165415', 19, 1);
    T('-6.005701742837399364481', '-9348735.3061015553899', '-9348736', 44, 0);
    T('702494114.847', '-7607.3524186384646768', '702488576', 66, 4);
    T('-9422.2397', '83727976.77253', '83726880', 29, 4);
    T('-9E+7', '-7526811791.05527468304137871081', '-7616809728', 55, 4);
    T('247803012.36876083409758646093', '-301839.9829743', '247538816', 5, 2);
    T('55586.74687261', '2.9E+3', '2304', 7, 3);
    T('-4738209237.495493389938274712', '75904.44', '10240', 100, 0);
    T('79266.2359510079922915944221', '-3.2E+7', '77824', 48, 2);
    T('112669714787.1800433785123', '-307930.84399', '112669706530', 79, 3);
    T('622.2638216402156283', '-311739351.1953734201242715', '40', 45, 4);
    T('-1057184', '38805.7724151317505', '38400', 45, 5);
    T('24213746.5861420398213', '5349.72623', '4320', 83, 1);
    T('752832463700591080.863818655', '-160373424.1706716203612819697', '752832463700525376', 36, 4);
    T('2.047E+9', '-6.3703331640603644047', '2047000000', 15, 3);
    T('-7.7329548477196', '1627435.1833', '1627433', 24, 0);
    T('8829.481409', '-68627.0151853393317280267', '8813', 60, 1);
    T('7.075393E+8', '-54.238146486780049', '707539264', 49, 2);
    T('1428809464.726375123971157579', '-851996', '1428219616', 34, 5);
    T('5.85768E+10', '1.44838248975264605E+20', '53690433792', 50, 2);
    T('-20.14070630', '7301.48974115725315678313851963', '7300', 46, 5);
    T('-814353606393.8669', '-93257.68654697', '-814353608441', 50, 3);
    T('-35376192.1575', '95144.596718790027955523144', '13184', 87, 3);
    T('653.08778788816756460656579537', '-5.726862315064879855990113872', '649', 32, 6);
    T('-3.7131087143838E+14', '96.78100868', '64', 59, 2);
    T('62316714.99334348', '6027429.9251', '1237152', 89, 3);
    T('-8.66E+8', '515458365.689641443', '203505920', 62, 3);
    T('712268893.961', '-306655329', '674253853', 87, 1);
    T('394303.26451', '4993983298.669194892933', '131074', 41, 5);
    T('-24418.1891', '975572.647781233499629500', '958612', 26, 0);
    T('4.21196905023917E+15', '3462430.2677676234', '16386', 64, 6);
    T('75532.459347', '-33962.272377202585038438', '74500', 34, 4);
    T('67241.09507623807993', '291942230', '1536', 68, 2);
    T('56989.1838835382', '-40029855', '4097', 74, 2);
    T('-6.995E+6', '64529440.71594012613', '59768832', 40, 4);
    T('-79901605.278668053539716993560', '3.027E+7', '17612816', 80, 3);
    T('658.39891694388106359886585329', '-1511080.02695918672419728249', '16', 26, 1);
    T('59120.8680900142209503', '-9.9', '59120', 82, 6);
    T('-2612.86892860753466273986976', '7.0503E+8', '705029440', 79, 2);
    T('8.3310E+9', '48314.573948868', '47232', 17, 6);
    T('-15883414.2', '-2.91780E+9', '-2918866112', 74, 4);
    T('270.1624911534366', '-70.632', '266', 88, 2);
    T('-33.4561130519', '-2717644345.163111181656013', '-2717644345', 92, 4);
    T('-523275.04010892028239', '7.785169727E+20', '778516972699999797248', 5, 4);
    T('52119394.14114316310246', '501502.65744876516851306311530', '198242', 98, 0);
    T('-5.595', '-8520.8376738671608123000917600', '-8520', 78, 2);
    T('76001', '-47010898082889.47871222733', '161', 56, 3);
    T('-7163589.34284993370', '44212046.9432359238211520471', '42111242', 35, 0);
    T('-199544.351318', '-8E+6', '-8068096', 67, 4);
    T('-53230.34245167462', '-6939024530706656688.994655264', '-6939024530706657264', 73, 2);
    T('923770340.12', '-74.5097397', '923770276', 99, 5);
    T('8.6E+3', '711850.5400369164586125', '136', 92, 1);
    T('7766.0974107240163523657379', '-33327546.68091395', '5702', 7, 6);
    T('6.124E+5', '4207106376429.5668', '16416', 12, 1);
    T('71.37568303160238', '3375358231.5607640203000', '7', 21, 4);
    T('8669517617.9828242117044723263', '-5079261001', '8589934641', 85, 6);
    T('5.0021675E+8', '3.640', '2', 28, 1);
    T('-430.373827056207028064940', '192470304.54045452793694', '192470016', 98, 2);
    T('-5983.54374922141811552', '38.50384473736625806', '32', 39, 0);
    T('8.4E+7', '-55958421.654', '67118080', 18, 5);
    T('-4791785437618010.49044547', '3667.907414415', '2', 57, 4);
    T('-3938044719.30984448862', '6.36283E+8', '88350800', 15, 4);
    T('4087.6082', '-413126368.578997144610072435', '288', 87, 3);
    T('4966698847.5368', '8.06409E+7', '543492', 88, 4);
    T('7.7669180548141E+17', '63803464.60', '26021952', 23, 0);
    T('617038.056581571670249023748', '-2E+9', '550912', 3, 3);
    T('4.210223E+13', '-9.005117575E+12', '42099540107392', 69, 1);
    T('739089112.746097099590', '-8166664873.8779609268204', '134778960', 45, 6);
    T('4824864116400', '-6.5E+4', '4824864064016', 38, 6);
    T('8.9732518639300557', '-2107765713.8233575328', '8', 5, 3);
    T('-7277081016071.5', '741786361.946186957', '740475129', 42, 5);
    T('222.8', '-412.80512110105877', '68', 44, 1);
    T('14710857.233226693321924', '-7.55038984601872E+16', '4160', 88, 6);
    T('99.246951421373', '78940677403538.71', '2', 84, 6);
    T('78.03', '5173333.55425760162031727660358', '68', 22, 4);
    T('-6.9', '-6.09606306274E+13', '-60960630627400', 86, 2);
    T('-530947408.61092712289', '7.23E+4', '544', 77, 6);
    T('8E+8', '31673123.07672239685906601469', '27461632', 38, 5);
    T('1.68517E+8', '-2766092806.57397570765', '167789960', 62, 5);
    T('203688.1', '402446.281137723580309', '131080', 60, 2);
    T('20028490.40543838489', '341771.970533557164461718969889', '70666', 51, 1);
    T('318.329255637501', '2.69002E+7', '40', 23, 5);
    T('-5.3166893906067970', '872.5439855064496108611648', '872', 71, 6);
    T('-140.12407952651699536', '8302252.3799748284649', '8302116', 45, 5);
    T('-8.510822764E+20', '-9.191E+6', '-851082276400000794624', 2, 6);
    T('-373.391', '-3.63393481139794597E+18', '-3633934811397946230', 96, 0);
    T('7849739.73', '-2E+7', '4637440', 78, 2);
    T('1.2753E+17', '19442489.2846129457382', '2138112', 11, 3);
    T('-76.03971507297928586', '-96485048.79786239479531', '-96485120', 52, 0);
    T('-5323.27854', '-9.11742871064183E+17', '-911742871064188128', 14, 2);
    T('-89.5276775987476321', '853600.671543348311199349082', '853536', 11, 6);
    T('5971244.6712288943', '691769470.162', '1773612', 32, 6);
    T('4E+1', '5.4673E+5', '40', 79, 2);
    T('-4.55', '-7184.2269814241422096628296', '-7184', 93, 5);
    T('6.43095E+6', '-1970025280.10402', '131264', 92, 3);
    T('-7.97588905337581E+15', '48595220.2603', '35946516', 82, 5);
    T('2.327E+7', '-5.76447549422737', '23270000', 90, 2);
    T('-169489.783460345919290610', '1484412001.3756968690771656382', '1484275809', 99, 3);
    T('-9.7047E+6', '-217104.17', '-9917696', 99, 3);
    T('-92903166.03540744979197', '55162669.288797', '37757184', 50, 6);
    T('3123985051.745623', '6957.66983670974202528', '6665', 68, 5);
    T('-1515593.8555860', '12920.69048813902188', '4656', 90, 2);
    T('580694377049983', '-2192664.843004343636639515', '580694376974952', 41, 6);
    T('-435572', '-7225687.775612884284748430', '-7267704', 70, 4);
    T('8625.6145290', '43820.2850', '8480', 63, 3);
    T('-816.754920515', '-6470.7306335667', '-7024', 94, 3);
    T('753742597.7970000675176818418', '9805904.800422546962321163', '8724480', 34, 6);
    T('7509199383.734372912168178997', '841.12987220479', '513', 8, 0);
    T('2.153E+5', '-9415246', '16640', 46, 6);
    T('-121.664112707495322795', '-51.2015987398', '-123', 97, 2);
    T('-3.31745486903450210693', '-6454449.702103920164286656', '-6454451', 9, 0);
    T('-57863.6453867324108', '365020360968672227.437405681', '365020360968638945', 22, 6);
    T('-4.5091E+10', '3356356.59321218208137', '1126464', 84, 2);
    T('-23.7297113347088506', '-364607.94603254624', '-364607', 20, 5);
    T('-57.38508493', '-4765357590.806243495', '-4765357630', 71, 0);
    T('7159537918.19444726320', '216953343519947752.56', '2283069672', 29, 4);
    T('-984043.9', '5063273062.4824667462', '5062551556', 68, 3);
    T('-456.292', '-8.08E+8', '-808000000', 10, 6);
    T('-1.85921290774E+13', '1.6938740905388E+16', '16938050219157344', 94, 4);
    T('594818.383828764879', '811681.29604991029425', '524928', 34, 4);
    T('-9.686160E+8', '-984.44593038259996', '-968616960', 4, 2);
    T('-28390.1942202978040018', '9830509.761065442651', '9830408', 73, 1);
    T('-7E+1', '5.2E+3', '5136', 75, 0);
    T('686.83058083320317366655', '5498.309985059074760', '42', 43, 1);
    T('-448120675360.291135230206', '-67430893', '-448120946176', 31, 5);
    T('-625659433.07780483925', '-8733168.2466068451309002', '-634376176', 90, 1);
    T('3853384279.06054434915283634', '-6460205921.00905451490428626', '1688277015', 76, 2);
    T('8946.50700337817', '72707.3326', '2', 24, 6);
    T('-7.7049295E+11', '-8.325933210789312468', '-770492950000', 66, 3);
    T('-86356609', '181377737.5573640658178449399', '181012553', 88, 4);
    T('7.40752E+12', '40284.7863423828060815670', '2048', 86, 1);
    T('-1125919.084698551924523', '2188225476.7656459635', '2188149184', 86, 3);
    T('2546466531.42', '329928.2215288913184019', '329920', 9, 6);
    T('-4.7503E+9', '-45905843.1352352440022', '-4760532992', 55, 6);
    T('-425241596.918292972361443359082', '-48815.2416001', '-425246720', 100, 5);
    T('-8.10633130015521', '-156710195', '-156710200', 84, 6);
    T('-6392681.44361912', '247538956.2230304954', '243278852', 13, 4);
    T('-1052585328.68738', '6.81177341E+17', '681177339958166016', 16, 0);
    T('-645.653713485799668639067277', '-52375.8798', '-52887', 11, 0);
    T('-6169793058.39619108654655', '-719.79847', '-6169793264', 85, 0);
    T('-8539781321129521.5608916953', '-77.311665019116485195304', '-8539781321129597', 50, 2);
    T('-7.7985457150874640', '16.8357064227872872793719635', '16', 9, 4);
    T('-2.0671030280930419973', '59.91429652275057803443502', '58', 22, 6);
    T('85843649.8916615041314708598343', '61594.2924551', '53376', 25, 4);
    T('-40759.1460924658211', '-8795160714.74586342', '-8795168704', 40, 5);
    T('689', '-93361.30031828294506704884499', '513', 49, 5);
    T('233.38560301428', '8.556248507936406426525', '8', 75, 6);
    T('-6.065E+9', '231920.4934878388', '197056', 80, 5);
    T('6746303824.668300441', '-482.2557817854659185', '6746303504', 78, 0);
    T('-5594844937.01317781118368', '6946973.2887764', '149', 54, 0);
    T('8.27E+7', '958.37115', '672', 31, 6);
    T('733828156.569859795835375444713', '9.24118997365857E+16', '143741988', 86, 3);
    T('-47920154.1101502349671844', '-31.1939539894246602738', '-47920160', 93, 5);
    T('-1E+5', '8.12582E+18', '8125819999999901696', 17, 5);
    T('7575875803.32793684588273439830', '8.4181721', '8', 44, 2);
    T('30.6169345', '-416759734.5546134597', '10', 22, 6);
    T('-875.284492426838627634970154652', '521115.1321921628617257477', '520337', 56, 1);
    T('-403.882373302272316726696809806', '-93987721.22239238', '-93987739', 36, 0);
    T('8210.945868726179309', '5.4296E+8', '8192', 1, 6);
    T('9782.6648303691857213266', '5.0017606145758193412052914507', '4', 72, 1);
    T('88836.840664', '-3245453256.3277375721649712018', '20480', 14, 3);
    T('-19006.72861152362146', '-9.109865560141785711986904', '-19006', 12, 6);
    T('-82.8712779277592707098', '-2.2E+6', '-2200064', 80, 6);
    T('-85043568888895.37429', '94.9627', '64', 23, 5);
    T('-309072.2309136967015823', '-896220.184693', '-901088', 17, 1);
    T('-4530.9086047160353513', '54.686934717', '6', 13, 6);
    T('16.0463335139', '691254.5792482915706750', '16', 98, 6);
    T('-9367.608380420776', '-5E+1', '-9400', 73, 6);
    T('-7E+12', '-22915.62786368', '-7000000004096', 30, 5);
    T('-8.9514277E+8', '57381819.590618370518', '35721354', 37, 0);
    T('61.814915633834739296481857', '405564.73732701961063', '60', 63, 5);
    T('-784282045.17939654', '-64585.9003039602529449885587090', '-784334333', 19, 3);
    T('467849394560.010869116207', '-5.450E+6', '467843944576', 1, 4);
    T('1.7E+7', '-5229.2952695928', '16998912', 92, 2);
    T('-13.90776802', '-5810740.52', '-5810752', 12, 6);
    T('-2.3E+13', '4178.6162', '4096', 20, 5);
    T('-7.926E+9', '-4236403.777949391797950033281', '-7926033792', 5, 6);
    T('-9837343909.03', '-5.88667E+7', '-9862642864', 23, 4);
    T('759667942.4987384134844661329', '-2.02392050060645483299561', '759667942', 78, 2);
    T('-39.943190846822', '-2.5E+5', '-250032', 91, 3);
    T('-172692.2478006822047723033719', '-1.4418022366536', '-172692', 69, 6);
    T('3.2E+10', '-884500.703045825', '31999393792', 10, 5);
    T('-576.3419010361277199', '-437.965888742023146500', '-960', 78, 2);
    T('600792646.14273960165661921', '350', '70', 8, 3);
    T('6727171.79661877', '1151906433566628079.6', '2129923', 100, 4);
    T('49343481.47632414867132047', '-41.812668060576', '49343441', 70, 3);
    T('-4459908273.1600056278090959', '8959.87529271758095807819607', '8783', 26, 0);
    T('-7019.8647543081', '-68182951.0391592867677', '-68189167', 48, 3);
    T('-72.6341683298862102767', '-4.678E+7', '-46780000', 43, 0);
    T('97', '15176791.08281290303404708', '65', 26, 3);
    T('379.1207093894520366737', '-92006.427905789109043386', '26', 34, 3);
    T('1979740.732859', '-99446.9', '1978632', 24, 4);
    T('-9.0544494166354283896', '-6036485100.69184141238741', '-6036485100', 97, 4);
    T('-1.3852E+5', '-3.5437930E+8', '-354385720', 25, 0);
    T('-40598865.300149', '243.535165130764589', '163', 23, 4);
    T('1.1098924E+8', '58806.116074808171', '34224', 83, 3);
    T('-634.6657212929569399555921', '-2.625903E+12', '-2625903000576', 86, 3);
    T('9611.601329910417', '465.55953828390812162911022', '385', 71, 1);
    T('774.949644286428791924314839056', '-95718.8675929296857792043', '514', 49, 4);
    T('-918103.358278760806', '-27082300.744596270032409917', '-27213440', 6, 0);
    T('668287960.311527993950856986', '241199.071328244624811', '66056', 85, 4);
    T('-6604741.1414195489823314', '-444250837.81207923348', '-444530645', 33, 4);
    T('-3601.175878834359941139917', '-60856356.857668', '-60857908', 97, 4);
    T('311159.13966784929', '-76.71759739963178612591027', '311092', 20, 0);
    T('8.26064552766', '-793117093.8459565394', '8', 47, 1);
    T('3620235917.237518', '-9697908.433835561', '3611820172', 15, 4);
    T('-71366448.878993632', '4.1013914E+8', '405932032', 5, 2);
    T('-46.8964312996853460588090864', '67', '66', 88, 0);
    T('-967965', '-1.2908E+12', '-1290800132096', 19, 5);
    T('64608.2680709281', '43587554.4163440431774298497', '5216', 13, 4);
    T('88.9911775114', '57863856.294', '16', 17, 0);
    T('7749008662.960432721312', '-5.24288989185357455E+20', '5437939968', 11, 1);
    T('4567229930.535', '-970786203.417946338360663343004', '4297220192', 40, 5);
    T('-4.644079632760', '2351457.6379893', '2351456', 57, 6);
    T('-8496098.38739067986', '7292306727780191.258486593', '7292306727771166', 81, 1);
    T('-9293169766757859.6353794', '-51704.362099596168404007', '-9293169766759928', 28, 2);
    T('-8200.846108932047476984987793', '-85.79055064', '-8280', 63, 5);
    T('6.722E+9', '-5140.141849241443', '6721994880', 43, 5);
    T('-1121746313.80097477739202334017', '-1.2580594669', '-1121746313', 100, 6);
    T('-19225750.3450827712', '118369.5675971435273513257376', '33376', 88, 4);
    T('-68.594699087508041184326', '-8958693591.1280893274261', '-8958693592', 3, 3);
    T('13322.7696137025498064074035', '142605608.79557861094973977', '13320', 90, 6);
    T('-2.764143533E+17', '-94417.95738225910467959900', '-276414353300094208', 94, 6);
    T('-9.1514501E+15', '182016.6410767856629851', '768', 42, 3);
    T('2569737917', '-4572.32', '2569733668', 37, 0);
    T('76917970415732.5130', '5929117.270895412', '4730900', 2, 2);
    T('-762708.00299', '711.74276', '132', 91, 5);
    T('-319.2147335', '46144.19', '46144', 99, 6);
    T('5E+2', '3951.23237439147073980', '356', 29, 0);
    T('-58430664.404335620605', '-7691292422590734215.1', '-7691292422646505416', 21, 3);
    T('-2E+1', '-6672912750213.524654375', '-6672912750232', 46, 6);
    T('50191601.4661', '7269.395', '7265', 5, 1);
    T('-92.14238', '-49.0517259136953404', '-124', 64, 3);
    T('-5.43162338E+14', '674.56993', '640', 79, 3);
    T('-84.551591805233672222506658416', '-23039133070741464813.62', '-23039133070741464832', 60, 4);
    T('49493825.58229463487630', '3E+7', '12649216', 45, 4);
    T('-1362650814.33', '7.4689514E+8', '746885376', 29, 4);
    T('314867146329228172', '-854881318.034625231612231', '314867146054239112', 79, 0);
    T('242691.801021915422345239770', '6.1607428', '2', 30, 6);
    T('40429840.574', '303001.784111608034', '35088', 79, 6);
    T('-2.91E+9', '3236.3813030734118874789016556', '3200', 70, 1);
    T('-582294.40514', '1721666.50987569823270633453', '1180994', 64, 4);
    T('-5.71E+3', '79.7378505424', '2', 79, 1);
    T('5606564464.500005756050', '-6264802056174050.43956826330', '168296976', 99, 5);
    T('-46748926.9235163674624019', '69076.9290337238756965726404209', '2304', 94, 0);
    T('14109160413971.61380', '-8.4E+8', '14109125810688', 97, 0);
    T('-39531.9196392', '-72.150171464111028574901313311', '-39536', 63, 2);
    T('-6.19874972E+9', '-5249954.348', '-6198754232', 45, 4);
    T('22383.4833233029931394240', '-638702.607004935', '16642', 86, 2);
    T('-34841807.88913067867482755698', '-844736.65143', '-35645440', 15, 6);
    T('930.617555925923849256443090124', '-498029423.1486529861675952377', '128', 26, 1);
    T('432794.0038', '-91120065.0473', '39450', 13, 0);
    T('555715.9', '-5244958.509796097308550803', '553666', 37, 2);
    T('-1.53E+5', '-2089050.6', '-2094592', 46, 2);
    T('74519643.65399276170', '-74462.7945310628806089103080', '74454018', 3, 2);
    T('-79545.83113383359', '-3E+9', '-3000074240', 26, 1);
    T('2142.05348569423480972970065', '-6.5E+12', '2048', 55, 4);
    T('1652862', '4021513.836313', '1644552', 26, 0);
    T('8.07148138527E+13', '-4256632.424540439149415', '80714809609224', 23, 2);
    T('-74.51160200809832881404', '761.42228945755', '688', 91, 3);
    T('9.446E+14', '-891.2249608016683148762532779', '944600000000000', 68, 3);
    T('51754590.4', '763.97824', '602', 26, 1);
    T('-9138.273406900356352', '-8E+15', '-8000000000000000', 33, 6);
    T('-1E+5', '97', '96', 88, 6);
    T('-7447.6197', '774', '512', 37, 4);
    T('-32761.16821871446', '6.79023070881779', '6', 25, 0);
    T('69848054.30123380', '5E+2', '500', 92, 1);
    T('196658.318575051', '-2571834221141.3354809112828612', '34', 66, 0);
    T('-928.68685399073444622', '2.94E+18', '2940000000000000000', 3, 4);
    T('4703209552.857708500668003729', '-967138.9', '4702930960', 73, 0);
    T('-4357699.31537645', '4202.3001', '40', 45, 0);
    T('536402.73', '59353750.66', '535058', 55, 4);
    T('-4E+6', '-7.661929', '-4000000', 20, 1);
    T('48986.992990475', '9183.4366847147130', '9050', 76, 2);
    T('-296115.6588306494387704914384', '4.673398487409771962', '4', 77, 2);
    T('6.227410808E+15', '-99.995', '6227410808000000', 1, 5);
    T('2.7E+6', '-98.9065808', '2699904', 4, 4);
    T('3.12219E+8', '865340.808186919618831', '791608', 64, 5);
    T('3.107E+6', '-1.8656555707502E+15', '3022856', 18, 2);
    T('-6.7883539E+9', '-1118339573.336311964372246', '-7897780224', 13, 3);
    T('-9.8158', '7.841713321345', '7', 30, 3);
    T('8252.17054808574766962018', '-363.88089790675214872771921452', '8212', 93, 1);
    T('9.082E+11', '-4180.9949012028331416777447', '908199995904', 77, 0);
    T('985845.7897115862067372625205', '-26576.08810750818696439732543', '985136', 98, 1);
    T('-4.8988630479', '3.9E+8', '390000000', 8, 5);
    T('9.4E+8', '-44049.5528359', '940000000', 79, 1);
    T('-2.59285348293760187210301536526', '96.648273327296355', '96', 72, 4);
    T('-58185635.41771494542', '282080.998127989102', '2112', 7, 2);
    T('6.4E+4', '-45556.5422868650369014', '18944', 34, 0);
    T('-82419940.12188745228', '3.50E+9', '3490988800', 89, 4);
    T('-2.28189069129495457981', '-668868007213.81', '-668868007214', 68, 0);
    T('-6E+7', '-6116281', '-65001472', 64, 5);
    T('549.352259', '-58758392', '512', 41, 6);
    T('-5.0252809341E+14', '-7.922586050066242714496', '-502528093410000', 40, 5);
    T('-9806.7576020068608203', '-4038433365139.25375305124643001', '-4038433373920', 9, 0);
    T('94426.044397749243', '-7258790988.12418193705', '73872', 36, 6);
    T('-803268.682751624144078630', '15112.3', '14856', 80, 5);
    T('9392903.883', '74944414.538346', '459526', 86, 6);
    T('-356588.11504', '7.28E+8', '727713280', 54, 2);
    T('140413.4627026', '7930862.6828790715878138935181', '108', 69, 1);
    T('-87.026988874580', '-7.361658', '-87', 36, 6);
    T('65294533400', '-651.750', '65294532880', 35, 1);
    T('818.369220', '-67651096.4830', '288', 72, 5);
    T('-8504421.06892', '-6E+8', '-600032768', 71, 4);
    T('5E+1', '-907194842.056811120482', '34', 95, 3);
    T('961342.96663285', '-90563.28917', '952892', 96, 3);
    T('-3095.2421', '-7.7469698', '-3095', 16, 4);
    T('-25.11', '-700199292.451879', '-700199292', 37, 5);
    T('-2459067', '-7.654E+17', '-765400000002129920', 61, 6);
    T('-894955.140', '-9945.522238180661682330084090', '-894971', 71, 2);
    T('-3536.120973565', '-7.3012E+7', '-73015264', 69, 5);
    T('556139175554403255.828822718', '14.3896847227472811', '6', 95, 2);
    T('865.6139504932', '724235035.02844794258983940', '769', 63, 2);
    T('33712.54443', '-2.30534E+7', '928', 1, 1);
    T('5.16316689355502876508124', '4.9478196120004792977526722079', '4', 2, 0);
    T('708188', '7E+15', '557056', 48, 2);
    T('65323975.79016', '-68872.782961', '65323712', 19, 2);
    T('-5.66444258117208937847665442105', '-9162092.362242639748764081', '-9162096', 93, 2);
    T('905.257761922634866670936324640', '162869008.1', '768', 13, 2);
    T('-141686351.5612399', '-8.78113128252730123', '-141686352', 21, 2);
    T('-5451647.4411580553154857', '-618545.5268079', '-5996415', 80, 0);
    T('10174.9341092432245', '-7.2275E+5', '8322', 18, 0);
    T('-1727997.5', '-6.7716562522', '-1727998', 4, 3);
    T('2866761.65717178267000', '-4927093520.43441004234593578', '164928', 24, 5);
    T('54983906.938904650', '-1.778', '54983906', 67, 0);
    T('6522774.032499157879388907435', '47177.268757668206236430547', '32768', 14, 0);
    T('2871.4803796', '-273.764864683013584392243863662', '2599', 33, 0);
    T('-672179.098954697', '-1.932E+6', '-2063360', 34, 6);
    T('-4253.06869555448565', '11556272.59146619', '11552032', 78, 6);
    T('-8103861310.1704149788824', '230900797665.2', '223350915264', 76, 6);
    T('806726.84884433262062571832', '-94821738756.3998', '788036', 68, 4);
    T('-1373877113.5280094722140', '4.16E+6', '1853440', 65, 1);
    T('434.3748679943465654261803', '19.61649438108560041619', '18', 28, 2);
    T('-8', '875.051911677717554117221801025', '872', 23, 6);
    T('4225901.23620450023', '18421.747391326973275', '17253', 97, 0);
    T('-4.1663E+7', '6.8243E+6', '360', 100, 0);
    T('-751427.80', '-4995.91652394', '-751555', 40, 2);
    T('-976064.987', '52958866.225065157112949615', '52433408', 12, 3);
    T('26823012.80812', '267681.552076404272402130286', '288', 82, 3);
    T('97.42140940274625', '-63355997785653432.3993', '64', 18, 0);
    T('-43471239.6152055348264875107', '-33281879.6079960785980980004167', '-67098583', 76, 4);
    T('-4668.721688659483967188246', '-643928070389612.3934186971794', '-643928070389628', 97, 4);
    T('-5807682225.3843857481856555', '-9E+4', '-5807767488', 25, 0);
    T('-35261.420262709196871003579159', '-15143497676604290190.34548', '-15143497676604292542', 27, 2);
    T('-8929.98', '-36.1718148860', '-8932', 82, 6);
    T('-33459.9808129651689015228319', '295.4227905252927', '261', 41, 2);
    T('324725543.1084285501417828', '-211.1', '324725541', 52, 3);
    T('-7.63767E+8', '4671.216165041902681021121', '4648', 72, 1);
    T('-90.1072870', '-66278.1209091135549141143', '-66302', 86, 4);
    T('640874.8074444363176269', '-23.47674082536', '640872', 67, 3);
    T('-11.159955', '571327862.15073126553', '571327860', 6, 0);
    T('-6640576603001365.177', '-5310816995.93736276', '-6640576670642935', 17, 2);
    T('1.1E+5', '6063593.2759866802281987032', '34208', 49, 3);
    T('969064345.435461120119', '9526810071.6275395', '834835857', 22, 4);
    T('818283.42861036134', '1648.8', '1120', 71, 5);
    T('224845.62787028403', '8E+10', '204800', 90, 3);
    T('-5.2E+4', '87.187612656564975086', '64', 1, 0);
    T('-5.432869164853590E+19', '-5222', '-54328691648535904128', 48, 1);
    T('-7.18E+3', '-76.025819363452', '-7244', 58, 5);
    T('-27.154', '-2403524.70627487884663764', '-2403548', 66, 5);
    T('-261', '2.98824578', '2', 55, 5);
    T('82959187.221284317053', '-705.79649616503169489036559', '82958611', 35, 5);
    T('54924676.466603271959184', '778035.566797352553814982779403', '136448', 74, 4);
    T('-3380150003.8090941', '8E+18', '7999999999846907904', 70, 0);
    T('2.479494535536279E+19', '-913.982266205838735', '24794945355362789472', 26, 4);
    T('-2.51E+5', '-1983951.996158951091634137629', '-2086400', 80, 1);
    T('3474.470929736693', '94511.3', '258', 61, 1);
    T('-57355.1302', '-4741567.6032522080725331079', '-4782527', 4, 5);
    T('9.28721169E+20', '-696.499463692952', '928721169000000000000', 81, 6);
    T('234.793488292214174', '9.95742E+9', '224', 92, 1);
    T('6.3E+3', '-1499672.439483920968822', '6280', 18, 3);
    T('-755763475.6', '9', '9', 16, 4);
    T('-4069.500118', '49584.2440840314578048', '49168', 79, 3);
    T('-8098887161964.606159376248', '55129703.830', '75268', 58, 3);
    T('965460687793', '-3937708.814758543', '965457537552', 45, 0);
    T('281.06015053182', '-3.13E+4', '280', 39, 1);
    T('28653.7644', '-65774913.234420615570029', '19117', 94, 6);
    T('479.11163479340', '9.65E+3', '402', 82, 4);
    T('51.213648060270349180608279', '54565391.85161118769020353054', '3', 38, 0);
    T('59.4213', '-942398585', '3', 21, 6);
    T('-3E+9', '-9449.403', '-3000008192', 88, 1);
    T('-9.9545E+14', '-75.7439', '-995450000000000', 28, 1);
    T('4.19E+4', '-31009.13939', '33420', 40, 6);
    T('9.89681511E+14', '-4.64E+4', '989681510990528', 94, 6);
    T('-60394137735685881756.5', '14951.542907331032', '100', 99, 4);
    T('645324096.33', '-1672640.65918674', '644241472', 14, 0);
    T('-95396130.865657033452863581', '-9615602.8700854576446298710060', '-96451058', 49, 3);
    T('-4.84E+7', '-13048482.816859862102609464', '-48733952', 4, 6);
    T('-82580797.37235998761880977514', '-97996.010730834277646', '-82673664', 30, 1);
    T('634.4112463318472107', '-71.473540922700752', '568', 30, 3);
    T('743.7712930', '4.728458764452205390E+20', '608', 59, 1);
    T('-561081117.425899105', '5219.8930806597126', '5219', 84, 6);
    T('-11687.708536169053289101164066', '1.0083E+5', '98392', 21, 4);
    T('490.32776', '361099.16', '138', 15, 1);
    T('-559.7033190062535358284818782', '-5725479.84327', '-5725999', 89, 6);
    T('2.87E+3', '4674.24831684794056428', '514', 56, 4);
    T('-7.6537E+6', '-251.4093330228119346812', '-7653884', 88, 0);
    T('-38095.471', '191801.054', '158001', 24, 1);
    T('6.529365906331419E+20', '-9547627710.571247937', '652936590624534069824', 60, 4);
    T('935164.93126878621490345', '-536.44414042', '935144', 7, 1);
    T('8947770450.4691787683891928', '-4.41E+3', '8947770434', 59, 0);
    T('-17346766.2895826041174247319513', '23536497.9514982254826', '6751024', 65, 6);
    T('3.57889836886E+15', '-11349.2807', '3578898368856864', 4, 3);
    T('-726686.4042101887337149358025', '-6804.4440320254', '-728736', 14, 1);
    T('-25321269.886308337848702900', '2.77070734E+13', '27707073396928', 84, 1);
    T('-778.298517788823846434', '1082.30546043104996483547907364', '1074', 76, 0);
    T('2.76E+3', '-28890199.74830013677461', '2696', 53, 1);
    T('-241471403.0801908676561', '-313147.7708371677627', '-241487803', 98, 3);
    T('158221865.755796162466247726840', '-6.4E+5', '157680640', 93, 6);
    T('-19989047.258285449996409276498', '90715252.7425601660359389370', '71840832', 70, 1);
    T('5798273135.380636663637942507', '-362655.05666303662708043', '5798240353', 49, 0);
    T('6072.45337198334558', '76564013.398', '1576', 86, 3);
    T('4.851E+7', '4.519378E+14', '266240', 3, 4);
    T('-7363277188962.14546', '8163073.7', '7897088', 42, 3);
    T('45481771.3', '7.84548995295E+17', '3192064', 19, 4);
    T('75.10115760233671802974', '9697.6374776', '65', 11, 2);
    T('-8583.1415746113963665511', '5700068.4835093915499', '5691488', 82, 4);
    T('-4735.723235848289537155406896', '-39.83945855410', '-4735', 93, 6);
    T('-9E+8', '2393202658.39732491645914', '2315327232', 55, 1);
    T('-961421322.149694489338351647', '448104565912149381.441926045888', '448104565890391428', 61, 0);
    T('-6047395.74770696082885411678634', '-5729069.4216245604134285045407', '-6254511', 79, 2);
    T('-9548953.61480450058641', '-8.454E+9', '-8455060992', 74, 3);
    T('82811818.8882669137879424313', '-8.231567E+19', '11042816', 59, 4);
    T('24706658.49401', '217649.5878555720950', '21024', 90, 1);
    T('9261966905863506.911286023', '-3.5840364E+9', '9261964406055248', 58, 4);
    T('-6879081.489581', '-564792614.54812955', '-569048942', 71, 6);
    T('-1.2524600', '328.757066585246390', '328', 94, 3);
    T('-79.374892780683', '-5.63E+7', '-56300000', 12, 1);
    T('-2.25', '75.465536512954392849297844366', '74', 4, 3);
    T('43281345.9052572', '1456233', '1321025', 55, 1);
    T('7956185.87359', '-84632.3022752057980', '7873608', 11, 3);
    T('451.05752691', '-3.4828', '449', 4, 2);
    T('-514823.5029287554284394', '-3.161347855', '-514823', 70, 6);
    T('-520168943.45749631243740', '2138.255014508882', '2064', 87, 2);
    T('658.22797', '-773.50', '146', 100, 0);
    T('545139147.4', '-64983.936931', '545128457', 5, 1);
    T('-7422314.9104017', '-6434.3905721727845145006', '-7428458', 58, 3);
    T('-4755.8095569610236398114838745', '6730328095.59677310973', '6730328077', 24, 4);
    T('3456997.199127841210536', '-4677.54254586230', '3452321', 29, 0);
    T('3082.4861053580', '909609836426654978.60', '1026', 29, 1);
    T('80950.668806372920', '30', '22', 23, 0);
    T('-7.19E+9', '9483.93136020292572557944457176', '1024', 58, 6);
    T('-88.31442488451210123812976497', '24775.27430844189608266360', '24704', 7, 4);
    T('9432.14713527', '-114.715873696', '9352', 28, 5);
    T('-340320.8197005520758050', '-2E+8', '-200274432', 65, 0);
    T('-6.304E+9', '86892890.953229135521823496', '32768', 57, 5);
    T('72.5169954228', '-2473.98527800106011299', '64', 52, 5);
    T('1912757469.63385', '-3.748744977', '1912757469', 71, 1);
    T('-96358.725819311695087', '-4642398997.12568633891832', '-4642405238', 56, 0);
    T('3247913132787968', '4.9199347225E+17', '995558655295488', 94, 5);
    T('-471333401.5522165502', '-77.57647488878100', '-471333469', 47, 0);
    T('23.9014679389', '3E+4', '16', 83, 4);
    T('-34.65617698551526743406', '873930.62811', '873930', 14, 3);
    T('279.5082333928937630424', '-85.3443980', '259', 13, 4);
    T('10858684886.19607', '134276888015816970.17721', '8644083970', 92, 3);
    T('6E+6', '-684037.87094337', '5344640', 61, 0);
    T('69388285.0516169654780707', '-3.6E+9', '2114560', 21, 5);
    T('-463844917.5690047', '48195726.436983847023278', '5916810', 30, 2);
    T('-603.9116166991', '1557.2941', '1029', 27, 0);
    T('-5977.5717', '4.712474E+9', '4712472704', 84, 4);
    T('-8.7E+6', '-4E+1', '-8700032', 34, 2);
    T('660.8884190504052619082', '-52.7368171987177917', '644', 53, 6);
    T('35.396976419365157', '572.270638101204375811', '32', 68, 3);
    T('7.6576329809495051642605', '9906783715626.89', '2', 4, 0);
    T('-30234666.30245929787189', '8E+4', '8320', 30, 3);
    T('-8819846041.0516030356607736549', '3.67279857', '3', 6, 1);
    T('-4053', '78331.304587398663511888526', '77867', 82, 0);
    T('3782905.29489971250842154759', '470.3526771519494007854286', '208', 64, 5);
    T('-1.07647E+9', '7983309.242222', '5263360', 52, 4);
    T('-519.894744310837257292689334', '-5665.68088700270228843283409', '-5671', 71, 5);
    T('5.45E+4', '-24.899038', '54496', 60, 5);
    T('42251634328969.84221845165', '-52756950868428.4955883457381', '17459250176', 46, 5);
    T('1372.0886', '-799166.9', '1088', 66, 5);
    T('-48742.2728', '-8.889169E+7', '-88932206', 39, 5);
    T('313407033.27649144', '1149246.2', '56', 31, 4);
    T('-25888629.737967683', '-1.37208227182E+14', '-137208227903488', 56, 3);
    T('7942166418.6364', '65412.087', '55168', 76, 6);
    T('221.85395780434174810430373248', '-61472368.3306584', '144', 98, 0);
    T('5.5112E+9', '-1.78779', '5511200000', 19, 5);
    T('-9653.367190748', '86267.57', '86091', 12, 1);
    T('-8.8714822E+9', '59872231.4665669279581407999236', '51478688', 71, 6);
    T('-2005545297163.9747980173416', '-646724252.77981977737', '-2005613199260', 63, 2);
    T('-8416.40659921094369273300', '-8278282175.05700762', '-8278290432', 46, 0);
    T('-33.4343580', '-1.463660E+7', '-14636600', 78, 6);
    T('-17.60658188', '-21261.747365777654308987895', '-21277', 61, 5);
    T('52219867.995504403090017534507', '-44', '52219856', 31, 1);
    T('63.824343367', '4045116302.8191978', '14', 37, 2);
    T('459824299.5558182', '8.09035065E+11', '438846632', 61, 5);
    T('80.6180107873145313257652137749', '-29.297285421', '64', 21, 4);
    T('9421216931877341.76320200823499', '5.073E+5', '233860', 26, 4);
    T('-4.85413828958E+16', '900.6558805121', '256', 12, 1);
    T('-19498969.745', '-6.46985E+9', '-6470473696', 1, 0);
    T('-57.3614367853578394482', '-928978.3878439953846137', '-929018', 5, 1);
    T('-792.3080817885663679341773854', '36.52160367', '32', 99, 4);
    T('52158846.6879117121254508688', '228465.1341944961284821585685', '221296', 73, 3);
    T('-841322999.4933443570855', '-95830278964995962021.27', '-95830278964996060663', 68, 6);
    T('30873.75786266', '-6789.1885509658387779', '24601', 13, 4);
    T('6.866E+5', '-12793.802532468468831091457', '674304', 18, 2);
    T('783895985.59316815', '1.991E+9', '648547712', 27, 0);
    T('70.8644723930135604711320032091', '214.39809988855235582', '70', 16, 1);
    T('388080168.50295515978964965004', '37.4296530', '32', 16, 0);
    T('-266434457.958', '-5E+4', '-266467296', 26, 1);
    T('8.6089190E+19', '-509.324033', '86089190000000000000', 59, 4);
    T('-642.19219994484617567603552', '-7.927942', '-648', 71, 6);
    T('69789582.8004', '-6.640', '69789578', 58, 4);
    T('4169.31', '-56.51', '4168', 25, 5);
    T('-575280148.0933475', '3548141593382.748864618579985', '3548141069092', 81, 4);
    T('896043258.910114087589981590', '2.919249E+8', '291506336', 65, 4);
    T('-660536058.824776442702254766', '1.1739E+5', '65542', 67, 1);
    T('9.462789E+10', '-8E+1', '94627889936', 46, 1);
    T('-217.2904385697571569980', '609076014.5', '609076006', 37, 2);
    T('58224655.8968584212778835090', '-5098.17781769888077174529649731', '58220550', 92, 5);
    T('-7.507483070963E+19', '-10.88736357121644919352107', '-75074830709630000000', 17, 6);
    T('-98833.4744905964715882', '-749963986535.78926', '-749964084855', 61, 4);
    T('-9486941756.1352188828108231', '-87602573773908926.35', '-87602574113849280', 71, 5);
    T('2.649847349E+11', '-7.06497E+8', '264413258768', 98, 4);
    T('145421527573.4847372115', '-73.950216158688954122985441924', '145421527573', 66, 0);
    T('-4224895594.85927898515932819', '5.3E+4', '1280', 23, 5);
    T('6380577534.290172018294', '7331144575.618406056276604985', '5172126334', 58, 4);
    T('63436.586827233', '-36743.453', '28744', 94, 6);
    T('-6.3867073579287060921', '4387273.514214735', '4387272', 74, 5);
    T('-5E+1', '-1.60219971006476142209286', '-50', 65, 0);
    T('9.208E+7', '77524.4316245800643553225', '67200', 93, 6);
    T('2850.3409161262857484243', '24814120.227222', '544', 77, 6);
    T('39818.8194', '6.05762103E+9', '37378', 1, 5);
    T('-9.0673098038662E+15', '295680441.9552702', '1192360', 40, 2);
    T('-1828188340.3125155', '770050.8', '524288', 93, 3);
    T('92076860.681057', '-2720.00126125651241940638975130', '92074272', 2, 2);
    T('9E+2', '-599.9162', '384', 38, 2);
    T('3303.642620983999624071513048', '-3.391255645784696647', '3301', 27, 6);
    T('2727935207.009957965181203073', '343.35221825642694363511059414', '71', 96, 2);
    T('8.51E+13', '-6483639913.1', '85093519523840', 58, 4);
    T('-908.254046851722', '-17.45468476', '-924', 92, 1);
    T('5.26E+3', '96055', '5124', 3, 6);
    T('95.35031520255955855484628', '236.4734420062', '76', 47, 2);
    T('-244345.82939304', '-5476018680055372291.77', '-5476018680055446139', 77, 3);
    T('90878.8', '7.2799892730996254680059', '6', 31, 2);
    T('-46513.692', '9798761508.5319046333', '9798748164', 84, 5);
    T('-41459.140239', '-6.15E+3', '-47608', 45, 1);
    T('8285958.57934', '-5.5495685706', '8285954', 94, 6);
    T('3016.2873872755251123715163531', '-4.52540321', '3016', 83, 5);
    T('65079.5004572151', '-308089441.34050539', '60439', 71, 4);
    T('793126450.3122365', '-3.3452042817', '793126448', 7, 1);
    T('-29.7322732', '4931.62860116474685', '4931', 39, 1);
    T('-6117.68', '539.250354293690103597969373', '27', 48, 3);
    T('-3547262.530149', '-35878675', '-37189504', 24, 0);
    T('-6.22006695463655', '257010864.9179869324', '257010864', 50, 0);
    T('-9179282.8254230', '-82.112836623948942', '-9179346', 63, 6);
    T('8.12E+8', '-4.7611E+8', '537273088', 60, 0);
    T('8833673.040', '-53.374721052891640328276967212', '8833673', 97, 4);
    T('-5.6449E+5', '-1E+8', '-100531712', 56, 1);
    T('-945819639.41661976492915493775', '25.71', '9', 96, 5);
    T('67419778.41900462142447', '3.7114509532338472', '2', 86, 1);
    T('532199101.3482841', '9434.20705602', '9368', 19, 4);
    T('302661592536469389.14', '3.52661E+7', '34213380', 99, 3);
    T('2362.07621078363403513772', '-2E+1', '2344', 25, 4);
    T('-4.67589930886855E+16', '6645522.2593915434232929475412', '6570496', 80, 3);
    T('55360588752838.1291953561', '8683556532.46650164376666', '68159108', 98, 3);
    T('30802188.165403532', '311.390142618978708810487', '260', 7, 1);
    T('796378.4083256992484', '-6767010.044506358726345204', '534106', 15, 2);
    T('-41367.46326797923', '-987843.3794635514534695852', '-1029079', 26, 2);
    T('1.178E+7', '3136604.1735986276931728102', '2333696', 68, 4);
    T('-329530.307833626917165120', '509668.110801859907', '180420', 9, 4);
    T('-7.89555340E+9', '-1.3E+2', '-7895553528', 52, 1);
    T('33480.7154', '1.971E+5', '200', 41, 1);
    T('-382555672.42461030181081', '-4.9E+5', '-382696992', 56, 6);
    T('-40596.7429', '82.34620041967696303', '64', 7, 0);
    T('-75.0228001997466183101804089698', '-2.3896307', '-76', 46, 6);
    T('-98138.2694998027554863037219', '-981321326.3', '-981335934', 91, 6);
    T('-4730885.88579500754269042067', '-9E+8', '-904722688', 80, 1);
    T('93164.6858162738796673327055440', '-9E+3', '84168', 11, 0);
    T('-689.0467238904701392974724813', '-4319531.44', '-4320187', 14, 5);
    T('8556437.855', '9.840E+6', '8521088', 34, 5);
    T('-1258537137.3567491474599', '-611.291740822835203962518027424', '-1258537715', 94, 1);
    T('3.0876667E+8', '-598585.6035', '308692422', 70, 4);
    T('991.80757575709045682816', '6.6E+2', '660', 90, 4);
    T('5540.6234967491630101385144', '6912642390.40626896282632962816', '1284', 7, 4);
    T('54743897.615', '9446.35', '64', 26, 4);
    T('-480227606.6374713397648', '-4.8941E+8', '-499121632', 72, 0);
    T('-89.279933855812169', '97222891.043192879', '97222819', 37, 4);
    T('-60284.49865152699315', '-8299077072.02139200035430', '-8299085824', 83, 5);
    T('-6782106390146.43823709783263217', '761.314229', '120', 100, 5);
    T('-4.12E+9', '-957617.487695695328364750493027', '-4120821248', 60, 5);
    T('673267.223', '981122.969096', '671874', 27, 2);
    T('-7E+8', '-1792.58', '-700000000', 98, 1);
    T('3E+4', '-8.0028418E+9', '20784', 27, 1);
    T('8.010051948E+10', '9676589645.2', '8594393608', 31, 4);
    T('240680009.64933', '-58.9', '240680000', 53, 3);
    T('9.917E+5', '29296.579526655643', '8272', 37, 0);
    T('-3.92715E+16', '-193246.5222975540440141976807', '-39271500000000000', 30, 0);
    T('-823533328840550.74930', '-5110356.0998338', '-823533333643128', 89, 1);
    T('8922427.17249750301196837521', '400540.946967906651955627183', '1048', 78, 2);
    T('3004.721404099624882889322', '71897866.192179391643320530289', '776', 86, 5);
    T('-30477393.95146323081855548477', '2.98409449371962E+15', '2984094489522180', 44, 2);
    T('-6E+13', '-96.17393510990909534503', '-60000000000000', 45, 4);
    T('-9026.562267', '-233947410.874556936011', '-233956178', 35, 1);
    T('60649.96', '8.01721E+6', '17448', 93, 4);
    T('-7625256203', '-356109', '-7625600783', 19, 2);
    T('-220282.41946110379049913841331', '35115.715671', '33026', 100, 6);
    T('305238573.5445010564', '3.5E+2', '12', 31, 1);
    T('-9731861.7', '-7.069366E+9', '-7077756928', 21, 4);
    T('-4.7E+8', '-6708.74390289', '-470006656', 86, 5);
    T('-8E+8', '-98852843417.9869369041', '-99585339392', 9, 1);
    T('-7515190258.735381688', '433112240.34705205', '17408', 61, 3);
    T('-5.22E+6', '-6.297317E+7', '-63956736', 18, 5);
    T('129.6651068921371938276500443', '-6.4566882479542', '128', 48, 0);
    T('-3969.39895112185193841117', '9.5E+5', '946288', 4, 1);
    T('8218.29705594', '-33421100.349317648070654266029', '16', 43, 1);
    T('-3.0515157E+11', '-605995796', '-305689260896', 61, 4);
    T('-8.8E+4', '7.8100138E+8', '780935168', 92, 4);
    T('-255.7809166392002752', '427.99055591487547685940735828', '257', 62, 2);
    T('84.7218004153438830869582', '5041316467.97862474645832361', '80', 13, 4);
    T('-99595.54', '-5.2208E+9', '-5220832768', 60, 0);
    T('2169283209.76154', '9627', '8329', 10, 2);
    T('277295.9', '791037.676996086259384009127', '266541', 6, 2);
    T('-588409487632.3448472772901732', '-22914852.9826', '-588410382128', 96, 6);
    T('9.9690116657353E+16', '2.93731E+7', '12587048', 87, 4);
    T('-487.683805868555343', '6.9E+3', '6672', 75, 6);
    T('-181.58323453313186198', '3.122804611244694', '3', 32, 2);
    T('4545816558.7', '4.9556964387819E+17', '4443046816', 57, 3);
    T('6.0916920E+9', '-31.783', '6091692000', 72, 3);
    T('-8.477E+4', '-195952436.2661557491598036940', '-195952436', 31, 1);
    T('-4150059.6289', '-5182880.4', '-8345536', 47, 6);
    T('28.9237538982897577934565278171', '-6730.49027785176158634326912', '20', 20, 3);
    T('-8.17E+7', '50.5765231214155435950087991716', '32', 90, 4);
    T('-51.74095667', '8093.4', '8077', 69, 2);
    T('-78214.86103868', '-9434991', '-9435120', 51, 0);
    T('-7.2006E+9', '3204521565407568.99399', '3204519400079424', 16, 3);
    T('-5131977063510543.38557', '-564.92806376062770346082023', '-5131977063510592', 76, 4);
    T('428640919.2048076', '46.38623402176518466', '6', 6, 3);
    T('2.355E+7', '-1.325814153E+17', '18944000', 27, 0);
    T('-3988.608561269763', '38.4899990308133117907222664', '36', 17, 3);
    T('90234697.4328592869792836903', '506133288.2252905121395979112', '69262088', 80, 6);
    T('6468.1304981944', '5.02815720E+13', '256', 1, 1);
    T('7160740085.5', '-7479.8482230094617', '7160733889', 45, 2);
    T('403094.8673', '-936.2024387468157406', '402448', 76, 0);
    T('4.4E+4', '94.1259677582337035296', '64', 7, 4);
    T('71277507.7569964736', '582.277547', '578', 38, 5);
    T('54600.30726330374253819', '-59190.5947939085791602', '4168', 15, 1);
    T('125613.6961173', '-6804510709.853333', '92169', 98, 1);
    T('8649715.337024083', '2487038.475151382401042700', '127730', 60, 0);
    T('-7.6465995572239', '-4111948719.1809757491982703612', '-4111948719', 65, 2);
    T('6042734.41809316987984648668', '4233', '4104', 1, 4);
    T('-1.982260E+13', '-76738804.735975192570754215', '-19822609625600', 25, 3);
    T('-6806.0621', '-1.79056094016962', '-6806', 75, 6);
    T('6.97391250E+18', '-2572.82218994862', '6973912499999997952', 51, 4);
    T('-8143863.35370341150590177', '-106010180.70181795', '-108910584', 24, 6);
    T('8025222035.321092', '50.9018', '18', 30, 4);
    T('-9026.607934820375100562', '583649214.0158701118', '583648446', 79, 6);
    T('-4494.30789798', '481.1177', '96', 53, 1);
    T('-9E+9', '-6.752E+5', '-9000672768', 28, 2);
    T('2721.19970', '-57923989.432710666924877705280', '545', 56, 2);
    T('-4350208166.5', '822.728425363', '786', 33, 3);
    T('-757.154322916934', '872429.6493023470655', '871689', 82, 6);
    T('2206196.71498938684976589629', '3.718100E+9', '106528', 14, 1);
    T('-1182068.557290982', '5.04E+15', '5039999999868928', 80, 2);
    T('2576085705934.59523238', '-4945.6684550656655169', '2576085705870', 89, 6);
    T('-45.336746089', '2070862173.53989016021747', '2070862161', 86, 6);
    T('-57772.9101961053158187660', '-5883.95001355638057235824539191', '-63484', 13, 6);
    T('-36550933.84271837266290626', '-56772220.736', '-57671552', 65, 3);
    T('-4.765932854361170414', '-350.4160565190118739799216298', '-352', 15, 0);
    T('-1819783236414.200945623317', '-8.7E+5', '-1819783581568', 15, 2);
    T('2749051829.85507517932849', '81.9245862114654775446677', '17', 72, 5);
    T('490345338348.3', '-282725013.08743765', '490331182440', 17, 3);
    T('-723.543863026664', '22839.8890609275891071470', '22821', 48, 5);
    T('820228530706.09542', '439245.493', '401920', 67, 5);
    T('53647.5802', '1.5210506775828258660E+20', '37256', 17, 2);
    T('-359', '-779188.976757999018', '-779256', 41, 6);
    T('26875.406541879727', '13.8981927183210510', '9', 7, 2);
    T('3.1756146E+18', '-510903.70488900737366605545349', '3175614599999787008', 4, 2);
    T('-471.5397092758102992070', '-87133.18222', '-87519', 97, 5);
    T('94907718574871.809801248871', '4119601696.88676007994364', '1686643200', 76, 3);
    T('-436686069327657.829507505758298', '9940883.469', '9799827', 46, 1);
    T('-3.79787231213867856', '-538.53770490', '-540', 84, 2);
    T('-38193160.217133095162973653', '-67.74302524724086647014163562', '-38193224', 29, 4);
    T('-9.77780838391861', '-21916704027.0478012', '-21916704027', 12, 0);
    T('-73787.4697', '-2.84', '-73788', 32, 3);
    T('-170252.7949094903', '34211', '1184', 67, 4);
    T('-3.713E+8', '6987402340.047', '6985238624', 35, 2);
    T('42128586.19611958520820', '-4388179897.222239126', '33591362', 88, 3);
    T('36007.87128802', '2.533678427891946027161382011', '2', 2, 2);
    T('6607422372', '462982.52', '327812', 7, 4);
    T('-37624562149.94765', '-65.75545075072', '-37624562149', 82, 3);
    T('-6151925833.893779134288950', '9.284202000961E+15', '9284201295646112', 73, 5);
    T('470744.8185', '93919.601017158130', '77528', 88, 6);
    T('211501.0971628', '56870681.029184997393', '197129', 45, 4);
    T('2827.6', '89120356871460', '2304', 19, 0);
    T('-581.2404030020344028975', '4130066403.7097588060418403', '4130065827', 18, 4);
    T('539423.94925486688', '-5.51110E+8', '14864', 12, 2);
    T('9E+6', '-7613.935811', '8994880', 57, 3);
    T('-559.78605701527725', '53245358.2811506699038066476517', '53245312', 62, 0);
    T('-509338.8841800', '-57.855382818644921700', '-509370', 47, 0);
    T('80543.2708721789214293075', '4784722.568335252412', '66066', 45, 4);
    T('37545.0', '-6.0728865491990534232204373', '37544', 29, 1);
    T('478.65824331184274690301', '-750243.816', '348', 84, 2);
    T('120.91810299', '-95.33982454420', '32', 14, 4);
    T('8.53460E+7', '-561328.867215', '85345872', 95, 3);
    T('-798959.5958', '-26800.4193598190326351', '-817392', 58, 6);
    T('2280.3388689', '50917745.54109785800527', '96', 92, 6);
    T('-3.51506E+7', '67221.833896852', '66704', 68, 6);
    T('-4170921.48707068828288997', '3.30171151314834522720624659', '3', 57, 6);
    T('-3.3684626062807375E+20', '-552.93794647475344', '-336846260628073750512', 9, 6);
    T('8223897691.74159427207483', '-8391286.723566358', '8223895562', 51, 1);
    T('-4.097928758360636610243', '32060.54477146062323', '32060', 19, 3);
    T('-205.93374343179661751999', '-87460.441807125', '-87536', 19, 3);
    T('7821506013.5212505627760058', '-9.9938E+9', '6443676864', 45, 2);
    T('-558379.275111695676', '116779.20517682337431630254014', '83969', 67, 2);
    T('-2567418945010307', '7579544.93324793705328605801', '4392216', 39, 2);
    T('-9.5835309946131336107E+20', '-65131846.6924', '-958353099461342787054', 40, 6);
    T('1885272661.531462641310', '-611498162894118183902', '805443584', 58, 2);
    T('203599.20827643884', '89.68471195827722668', '73', 87, 6);
    T('9E+7', '672.9240691850972', '640', 2, 6);
    T('-544221.390253883266457', '7523699.93859779308117258', '7503907', 88, 1);
    T('-63495498591587553575.245465348', '5535910866.8836415167723', '5504174800', 61, 4);
    T('-737089.554771463', '5.334E+19', '53339999999999868928', 19, 0);
    T('4139', '-630749067566729.6839401542', '35', 78, 4);
    T('-6531.5808', '7259205690.96062405136', '7259201592', 2, 4);
    T('-724102.4092073299', '-128.6687004186', '-724224', 29, 2);
    T('-67.707', '-588615.663376790786', '-588615', 40, 5);
    T('6793805404.43206052805712', '6.325471E+8', '78718492', 100, 3);
    T('-62409742.5420091', '-75433.556570', '-62484142', 47, 3);
    T('25673881.16349893724399746584', '-7887956617883266.0', '25264152', 98, 5);
    T('-1.6661E+9', '48996.8', '5216', 60, 4);
    T('-62030222370.2', '202384600.9424551', '202383576', 32, 4);
    T('22432557.8778195114353886', '-2402253.602970666276858', '22169633', 67, 2);
    T('-2.807198712227', '2858582.369382', '2858582', 23, 2);
    T('95647970.9066123628244', '-7E+18', '67108864', 2, 5);
    T('-7689518.309583908127', '-2.6E+6', '-7863616', 52, 0);
    T('-82002252429008.96257', '-1E+3', '-82002252429296', 29, 1);
    T('278663315499337557554.32', '-4.2E+6', '278663315499337555968', 46, 3);
    T('401239940.466', '30.00122698523573394361853', '4', 55, 6);
    T('-11948.70', '-25325889.354932159674377', '-25329644', 66, 2);
    T('-391.3480', '24792.95065269510848484925271', '24664', 93, 3);
    T('-222569.046956477', '-957.4511034339868424833', '-223229', 84, 6);
    T('-99075.3420581953', '-21561.675564883451718691', '-120635', 88, 4);
    T('76427.2654432182618094030021', '536039854.5966120400172319', '65674', 52, 0);
    T('43.660288774', '-39.76019734434756539', '9', 9, 2);
    T('-680140543.81458', '-30.3441183', '-680140544', 23, 6);
    T('3817971357.75844', '9.8303895905E+15', '3816915584', 14, 1);
    T('5.40981E+6', '-3081.06172267190157847670013', '5406738', 56, 3);
    T('3270245202.2521378020264722594', '988.6034', '848', 51, 4);
    T('-6405.949962931501395278', '-6E+19', '-60000000000000000000', 4, 3);
    T('-37184203.7976', '6.76E+9', '6723995648', 2, 6);
    T('-788.932181354407746934492682397', '-80298479.536166', '-80299008', 97, 2);
    T('-91860311.9297651', '207717.278', '131617', 56, 6);
    T('-14824.206163', '399346493.74627751328242558378', '399344152', 82, 1);
    T('196.7323606428552983498582', '-163066.27882473823358', '4', 86, 1);
    T('-156725.4', '-99.7867457304672054', '-156791', 59, 3);
    T('-6.5168714478324221119162791228', '3.614E+9', '3614000000', 6, 5);
    T('52896.974218407073444273102', '1.04E+9', '1024', 44, 3);
    T('931355911.821518', '5.502E+6', '218112', 19, 1);
    T('3785533.392986905201', '-9.6E+6', '2719744', 44, 3);
    T('-9.0689763E+9', '-29.07054708194146471238868', '-9068976320', 51, 6);
    T('3748127012', '134127.3974243601865', '131364', 18, 4);
    T('542815.09971142348197005576', '-740247.7190556281185136021', '73', 27, 5);
    T('49823.22667009', '-142477.25774031559563', '49683', 27, 1);
    T('405.9444701875878399134', '340496.799', '16', 58, 3);
    T('3.8851286E+9', '18053849', '17980056', 67, 6);
    T('-11284.2973421643202', '5.43E+15', '5429999999991808', 32, 1);
    T('354836.58654649', '-75.252567', '354836', 91, 1);
    T('2517502608', '57', '16', 60, 6);
    T('9145.885989009809996', '-27716957.02818', '673', 51, 5);
    T('-6.8484499330214329555', '-70', '-70', 45, 0);
    T('-2E+4', '-2.69', '-20000', 88, 2);
    T('-514.02163351751170888', '-653245.4', '-653246', 61, 3);
    T('12158029444708.7', '-7.461292E+9', '12155881828384', 31, 2);
    T('-4110353179.21070303', '307310.4148330', '45156', 36, 5);
    T('1135670132', '1952455436.0231726128327034170', '1075843844', 61, 3);
    T('-4.7E+4', '-4337894242.560436054773', '-4337940472', 27, 5);
    T('-223140456977714028.09', '7.4842619519677921043844', '4', 43, 5);
    T('-12834.68020', '145.413089315', '144', 32, 4);
    T('5.513487E+7', '2973333378.461244733590033', '17384066', 87, 5);
    T('22386.1442354434', '9.9275E+9', '96', 25, 1);
    T('-4804741617.3472283', '-14540273.6948423493', '-4815052273', 7, 6);
    T('7106796.05103760085710865', '-37532743159208.811832', '2895944', 68, 3);
    T('-378.54083331044509', '-7.745E+7', '-77450112', 84, 6);
    T('9855.576459959385859774722585', '-964863.689436446291851520', '1537', 70, 0);
    T('-922.28840635338320133352767763', '595486.2944872707', '594950', 93, 1);
    T('-775.1596040416253044299757519', '-5512.8821359940670245356054646', '-6024', 61, 1);
    T('8743.6069098877247183', '-91.249727825', '8741', 86, 2);
    T('177.289408', '6363.0993833846930', '145', 56, 5);
    T('6.956E+7', '-51442.5', '69543424', 44, 5);
    T('-3.3092010616430211540509688637', '848847.7844105720925378473739', '848845', 22, 0);
    T('3.4272E+8', '390890305.8751953752969198', '340525568', 47, 5);
    T('-50399489003761.0147892996991767', '680.022663464832116689202093', '520', 21, 4);
    T('-2E+10', '13932.258878858519806936', '12288', 66, 3);
    T('-7.90368482494', '39.2', '33', 53, 0);
    T('-36.298049675603322', '-675129.26663779196', '-675132', 23, 5);
    T('-498131709.149', '293266083.5973289735456038', '4849667', 1, 6);
    T('5.82E+4', '-1.7226219113262', '58200', 82, 3);
    T('2108.7', '-9.41E+11', '2048', 38, 1);
    T('2585230670', '6E+2', '72', 86, 0);
    T('-2.36997149292851', '-187.524431913', '-188', 1, 4);
    T('407560.677236450432554', '260386.87', '145408', 55, 4);
    T('664.975009', '335598985', '136', 9, 6);
    T('86212247.224921928', '-3.1E+5', '86197264', 92, 5);
    T('57461.91941731826611', '-9818484.23035827473', '8196', 31, 6);
    T('48770.94243256861492685444', '-942754371.137036221', '46208', 50, 1);
    T('-6.278480551517947', '-433507.238842514782736', '-433512', 71, 0);
    T('-3845817809.011784902065', '17903.3670837736228', '16431', 20, 6);
    T('97370.968', '405.28882124297551366043250466', '16', 85, 5);
    T('-7167919362884983446.6226230', '-771480315.42228723205392193957', '-7167919362962086656', 87, 1);
    T('3053297.644415976481520018', '4.757449114E+11', '655392', 86, 3);
    T('4332312045.876980355758', '28244699555332724744.1812578829', '4332294152', 46, 4);
    T('5723642306.43', '94521271.0900285525', '86131074', 9, 4);
    T('-288.77541637371998323', '-4607848.422', '-4607872', 52, 5);
    T('9451.038432315882', '-49.230135824238820864057', '9419', 56, 4);
    T('98.8747297650811946048331666294', '-18029022.783941', '34', 59, 2);
    T('19338.23001333273835062', '4E+7', '18944', 81, 2);
    T('-3940990508.40', '-61410589.0133839220', '-3958357824', 2, 2);
    T('-5909164.7084597780698924', '-68166103.04538491163394246887', '-73018368', 86, 0);
    T('66.69008456390036423659654', '92.649428635', '64', 7, 1);
    T('638744797.94863390309', '4292392681', '638595273', 15, 2);
    T('38469.730766181333336806898', '12079.3848927', '1541', 41, 3);
    T('-8.0976E+6', '9764', '8192', 70, 3);
    T('-42.3308957095487826', '6790702.351151891734420592', '6790662', 30, 6);
    T('-7352.8500341373645631674257578', '125.832717307', '72', 71, 3);
    T('5905.249826', '6.06E+3', '5888', 79, 0);
    T('89791560.1838356638201', '8.06467292784422966326', '8', 30, 1);
    T('-818717.196150431', '-250669.26023932243', '-1048381', 74, 1);
    T('6.9839075E+13', '59160.296921081', '42496', 42, 1);
    T('922.5498379637709166527', '214.90178717913362290217309699', '146', 17, 1);
    T('-4507517.1956669', '-4203420338.64043', '-4207927294', 4, 6);
    T('-1.4090311375390161', '-6.4262466730629253150', '-6', 63, 1);
    T('-808586340.1150911692253259993', '8350.37850324', '8348', 57, 6);
    T('-4.445030', '-861.9318888', '-864', 79, 0);
    T('5112245772.26263228', '-138908665.4', '5111819268', 95, 6);
    T('4.623E+9', '-322066.90224806665406139009', '4622713280', 78, 4);
    T('-2572429998.12397', '17.67214973301', '16', 27, 6);
    T('-8497059430.6254736', '-8.18E+6', '-8497584000', 71, 6);
    T('12.13913765570720633', '-90651.66227863', '4', 25, 4);
    T('339.2678832388276419344047120', '2602147.63219184242205208576961', '3', 81, 0);
    T('8090.8499227', '-3832.7578427', '4360', 57, 5);
    T('-6.2E+8', '-302103574.61362232275736782', '-922091264', 11, 0);
    T('-592.07543607002926095263848', '-1955756499.890665301326255867', '-1955757024', 82, 2);
    T('-95.334660516420350428697221', '-988097107.77673', '-988097119', 50, 2);
    T('-2995720.857', '29.28968327881', '24', 99, 1);
    T('-15.3039519339461', '883.381519640671809825664410013', '881', 34, 2);
    T('67631422465858219.53', '-5123375.95698682718797', '67631422465200769', 63, 1);
    T('-9164.9340596', '3837962.4772797753057981716', '3837952', 9, 0);
    T('-498590834.1393722373', '161937954.74737681', '6658', 71, 3);
    T('5.0E+14', '-58431791.957171709134448601', '499999959957504', 40, 6);
    T('73.0012038628831318569923190113', '-2521765.736575826101420', '73', 7, 2);
    T('4953951591.7', '-2765007.6416988565854628172', '4953820449', 66, 6);
    T('-327.436853882282836762840633991', '53.63904958883190', '49', 33, 3);
    T('5440.10953084046', '-881373883066730808.073895', '5184', 71, 4);
    T('5.128E+8', '-8062591.01880', '511750400', 69, 0);
    T('-176774629.1419400058029546', '76799003.93990643044', '68321307', 47, 1);
    T('-351.8389', '-7646.8952961449034112350282', '-7648', 58, 6);
    T('-5.7944969805830E+19', '-35.282631141', '-57944969805830000000', 95, 4);
    T('2.157785E+10', '73643.1003093041331557', '72832', 1, 0);
    T('6039463.41329897', '5.3382', '5', 96, 0);
    T('-7668.984258823364', '7.161299830101193E+16', '71612998301008392', 20, 1);
    T('-5.3074934200497081E+19', '-7.7743387536603040916', '-53074934200497081000', 28, 1);
    T('5338.528511', '-1403.2799', '4224', 48, 4);
    T('803294.41820954', '-6147.9', '803292', 74, 1);
    T('-839256141520737.0620895469', '-1.72842793963531275190500083178', '-839256141520737', 43, 2);
    T('9707.435961775652646', '56263570.404894883847289244', '386', 27, 1);
    T('933.892312978702', '-6.51E+3', '640', 49, 5);
    T('-1.77E+7', '44.0638970219', '32', 16, 1);
    T('-6', '5.7728E+12', '5772800000000', 30, 5);
    T('-98067.74887533', '-276109', '-360351', 69, 2);
    T('-98585444.7220750490534325', '75864099.941053559166059789946', '364544', 66, 4);
    T('856.6619781', '-95013931.40695036', '848', 87, 6);
    T('808186.071314405178434279546465', '-551.02121154706808170743', '808152', 60, 3);
    T('539871856.8261245772127890', '-5.5987785637741275227', '539871856', 44, 3);
    T('4552700.18957053', '-9622536129.96776177393153541', '4276284', 27, 0);
    T('138.85', '557.08929830033835512535278', '8', 39, 2);
    T('1836175.31', '-792.11572320053255502', '1836168', 11, 4);
    T('2961.957914825942504', '-3353677039.1775227', '785', 95, 5);
    T('280.864221973', '-59595.95623028088661045142466', '272', 55, 5);
    T('-95112372.49555115622754', '-8.966541626469', '-95112376', 51, 2);
    T('87392.03937526735969339164', '-32365.1044178637', '65792', 52, 2);
    T('-951513368.059497123504182613', '-295595108.35239747199', '-968818040', 31, 6);
    T('8.0E+7', '6.54755E+6', '4235264', 52, 4);
    T('-685644.93795282526434846059960', '-2.5E+7', '-25132672', 62, 0);
    T('27446391.3667518', '5727440.25', '148560', 3, 2);
    T('-2E+5', '947059.906303140', '815680', 66, 1);
    T('31.9733', '8968500.9051971094', '20', 26, 6);
    T('854.3819232484030391', '2.7E+3', '516', 49, 0);
    T('-80806873522554.1683777723637', '1294242332.010', '218108420', 15, 0);
    T('-56885.6923403595', '21289.9612751534602390666815121', '265', 1, 0);
    T('970.62153222503564453388611458', '-49736.224902113', '392', 76, 5);
    T('4.9E+8', '-96478679.1358097420', '406112768', 41, 1);
    T('-5363.28469628342916686383', '-3586313621.66086947186621095514', '-3586317815', 72, 3);
    T('317', '1146045.56314', '61', 8, 5);
    T('2619938081.5806', '366601.4922186429761', '69633', 7, 0);
    T('1.169760E+11', '9.883714E+15', '48251278336', 26, 3);
    T('4420857999581.5', '3877.697755199603658520727475', '5', 24, 4);
    T('177368.997833312649', '4.3259E+6', '131080', 55, 0);
    T('-3.55586741E+14', '-4666792325.636663888263', '-355586775179200', 88, 0);
    T('-1.7897508443165624160654', '76397.679259653564', '76397', 93, 6);
    T('-62.34467240228920921043', '51553.721917715526', '51520', 71, 5);
    T('-460555565.79386078114006', '502.7123850286', '210', 68, 6);
    T('-80.41101244895284', '7062.00529362', '7056', 26, 4);
    T('288.401651651905532977625', '1213.636264909', '32', 50, 4);
    T('95756.6', '6.24186E+20', '65536', 74, 6);
    T('9.673E+4', '977.1146007183255', '464', 82, 6);
    T('-8E+7', '-577134049.9', '-652673024', 28, 1);
    T('6470.94535', '6205987.16682', '4098', 99, 0);
    T('9000942907.349348681000539', '563692.4546', '530728', 37, 6);
    T('-6990999936.12978360610', '580.42822999337587', '512', 100, 2);
    T('-844.4940378163361407', '-98.0010426236041293', '-876', 32, 6);
    T('4022141553', '366.6748474005878068967797', '96', 1, 4);
    T('27.203221174485468909', '-3159.657912034711366215963923', '9', 1, 3);
    T('4838.79212042347863073698358196', '9.29506E+13', '512', 74, 5);
    T('-374143.6526081197', '-1.04979', '-374143', 83, 6);
    T('-9.04E+3', '1800916.4677255358130720698', '1792144', 38, 0);
    T('7E+4', '-120.365292835641172498052', '69888', 57, 4);
    T('692141.5285615709919', '736648471', '527621', 76, 0);
    T('118.53324746386', '-1370.774', '38', 13, 1);
    T('-2.84E+4', '7E+3', '4368', 56, 4);
    T('8.579959915757343198106', '-2836.07770846534092223491', '8', 45, 0);
    T('-32.30921695784691101055767214', '-6509612340.1705562177601', '-6509612352', 36, 4);
    T('4.96E+8', '-78896.301033814387053424078', '495994880', 11, 5);
    T('4895958.6280012076507781089366', '-3.093957784', '4895956', 11, 4);
    T('-8.20665E+9', '-5.63007E+7', '-8245976736', 32, 4);
    T('73953.64', '-2521.508475144005', '73761', 85, 4);
    T('-4E+4', '179259.474659', '139264', 21, 6);
    T('-975581555.59145824601', '31.960471185', '13', 44, 4);
    T('-7.503', '158605.324875458041066', '158601', 75, 0);
    T('-6460137.4', '4818.2190359319820240', '18', 3, 2);
    T('-75239.64047368569162717694100', '-28.359614749443542', '-75264', 95, 0);
    T('-66174.89', '51.1', '2', 72, 3);
    T('-81.4876334153486569551236955820', '-6228.9979730670500153995980', '-6228', 11, 2);
    T('531159039735003.1302306', '555153517', '16838729', 79, 6);
    T('4.0282E+20', '8264124.76343696970334973432049', '5898240', 82, 4);
    T('-6464099.70910562708887017885915', '83656.873804077923594180155', '83080', 1, 6);
    T('62607255.29025', '-3.89124399E+9', '1065986', 20, 2);
    T('-9122861147.0', '-970827687405354.9750872000221', '-970827964348284', 7, 5);
    T('872.25018934145152389231', '643368.3693634', '296', 50, 3);
    T('1.073045552509E+17', '-7306721899414438161.38080028644', '7045825809128480', 37, 2);
    T('72045262277889685.0', '-92346236.11970095084', '72045262252722308', 67, 3);
    T('4276278.7187382', '-843.0', '4276276', 72, 2);
    T('6948782.593', '-586464453.81367322404143', '656170', 26, 4);
    T('-25868820.429702408068622868', '-182240.5129373823829238', '-25886688', 55, 5);
    T('415.551417362561851', '-1E+5', '256', 54, 1);
    T('302628.01', '-6617763098.938', '299556', 67, 0);
    T('42.4555248400', '-7640190.26987844610802840265', '2', 62, 1);
    T('9907648373.7389970573639', '9.87017444E+20', '235012096', 36, 2);
    T('-6.2219016E+8', '758924.49', '655488', 66, 1);
    T('738229.44224896775355', '541819.48391470', '540721', 21, 1);
    T('9378402703.484530964', '190021.5519208836279678810416', '131077', 64, 0);
    T('299462.767176322971813676', '-5.30878184E+14', '266240', 96, 4);
    T('-6440683901.6845537118', '244565.48773', '176641', 27, 6);
    T('2.724172074978515053', '-53662.218133588638678882426931', '2', 1, 6);
    T('-8509.0585', '-4.55E+9', '-4550000000', 48, 4);
    T('4E+7', '-3.50436583177017', '40000000', 89, 2);
    T('-450090412286408548', '30711.002032064056396049260382', '148', 26, 0);
    T('-65902107.0653', '-180217524.788101601207960801299', '-201193148', 72, 0);
    T('-10760940.81657170864206', '-72.09692396065', '-10760944', 60, 5);
    T('5941.2739', '-1.298718463031235E+18', '1536', 92, 5);
    T('-410.79', '-2642.37632844901560856979710', '-3034', 14, 3);
    T('-885580371.7703486486943870', '9939115953.648617431', '9665912225', 62, 2);
    T('8.0676954E+20', '6442874.81455164192349209', '4210688', 14, 3);
    T('81228918.369', '1785.0245555959215180887994685', '1136', 98, 5);
    T('-409371323866.5174984952', '-9151.288294', '-409371324416', 14, 5);
    T('2797594295.66012992847142060', '-2.94', '2797594294', 72, 4);
    T('77184640.3554053469', '-4033435.985130380', '75510784', 2, 3);
    T('7.34', '5709199.308876631467', '7', 24, 5);
    T('26375.76', '-1.4131524255305E+16', '8704', 47, 3);
    T('4E+14', '-87007.291296685887114608', '399999999934464', 39, 3);
    T('-307866309.10', '200816.340109091100815874385', '135216', 46, 2);
    T('674971.7687284804382289273', '589.1799956471809477528', '9', 9, 1);
    T('-76351.7466', '-3.94E+12', '-3940000067584', 64, 4);
    T('2174829.658318', '2.3E+12', '2099200', 8, 3);
    T('4.865E+4', '6.3967E+5', '33282', 46, 4);
    T('23.386173276', '7.6E+2', '16', 84, 1);
    T('-413507.2745843318128992', '-934886.15234504686341964', '-937960', 64, 5);
    T('-3.8832237E+8', '6.8351267', '6', 69, 1);
    T('9.40E+9', '-2438206740.38684673931858', '9127365120', 32, 4);
    T('5700499.400955', '-354300.882744764551', '5412864', 81, 1);
    T('-33635850.19207590', '-2.968918E+8', '-330514336', 3, 4);
    T('-2207.100611232938480', '-5.80E+8', '-580000000', 54, 1);
    T('-4550466.23', '39893929275964024.2936286218157', '39893929275953208', 27, 0);
    T('-9726989.57267389832', '-8666214337.2', '-8667525069', 3, 0);
    T('9151450109.38042', '-30247518.02193539349914', '9129951648', 47, 6);
    T('-2638483.32430368', '-7.6E+6', '-8124416', 12, 4);
    T('-4338832543', '-9663446.36', '-4338972640', 69, 0);
    T('2991607934', '4512.240', '4128', 82, 1);
    T('-18651.904715862', '1.6701E+8', '166991360', 13, 4);
    T('6.5779895E+9', '-813158019.6033706343', '6576677244', 11, 6);
    T('-17170.83050', '6773493821.76682246822', '6773477420', 93, 1);
    T('-1.41E+8', '-1454.2', '-141000128', 65, 2);
    T('-51302.096288869', '-97.32612812274129716', '-51302', 90, 3);
    T('-28057487.15084279981134190385', '-289.1987712967404791', '-28057519', 78, 5);
    T('-24213302.228486913940665', '445335.140634545', '428162', 99, 5);
    T('6.759', '21015.906399485899497944307', '6', 89, 0);
    T('7.462988E+8', '-99.5456330588230393', '746298768', 45, 5);
    T('-98.358124523652325', '-727476.8376988', '-727540', 61, 1);
    T('-5E+1', '-8.456E+6', '-8456000', 28, 6);
    T('-59363858643441.5772828125653622', '489062364.147750257744', '67241484', 17, 2);
    T('-8499440.431855', '-6388734.680659108590457', '-14810112', 51, 5);
    T('-94095.009272395251476221', '-7330864532.815527', '-7330955168', 65, 2);
    T('2.05307902E+9', '-44102.8', '2053067688', 98, 6);
    T('10.859018636873098220980', '15486047115001214.8668878', '10', 61, 3);
    T('-40384.51717842194798813072', '-8.950E+5', '-900544', 82, 0);
    T('153312.23918557158938835963', '630.942', '608', 22, 4);
    T('1.6484607309E+13', '-735072258.538149', '16484422755528', 87, 0);
    T('-1.416752E+7', '898.2', '512', 23, 1);
    T('97698143.04364895827869783053', '300411850.753', '29540682', 39, 1);
    T('7207541.938854644', '-41348.8638692161446863119867', '7166580', 48, 0);
    T('-702622.13258076928044256317528', '-52.38017048876232054292812', '-702656', 14, 5);
    T('-2847350.549102', '-9E+6', '-11236992', 74, 4);
    T('7189054.679225333700812', '267382492.901628100130', '7184924', 99, 1);
    T('10.467257', '186143.863006409668', '10', 64, 4);
    T('9.251083837208276112', '-31623.1010135924', '9', 90, 1);
    T('444339719.9181159', '-221986778.7949336', '306446342', 75, 5);
    T('-8.819E+5', '239363028.417021356648105377603', '239076116', 9, 5);
    T('2028912462.1163099316422621013', '-1382793482.153617857222853', '679755334', 1, 2);
    T('98136.8304760420235070', '-41546451.69866147', '3336', 97, 0);
    T('-3457.10750139073', '85.03770603725198987732753', '85', 88, 0);
    T('842691537.9249832207', '-758324367.2678912717825307', '302539601', 47, 5);
    T('-6577.023758609', '-5358281.5602183', '-5364729', 50, 0);
    T('8510518.7316226', '416401.2105195581946640261654', '22544', 62, 1);
    T('-269631337.431533111360', '6150199', '5095447', 59, 0);
    T('-8.53470E+12', '470.6208061', '256', 92, 0);
    T('435.8919590206', '-2E+5', '128', 56, 3);
    T('151809.28627954797582', '8757506.0120821244329', '256', 67, 6);
    T('555423.286986946004886', '-20.715478911542433097432', '555404', 54, 6);
    T('-95329.62688392257226761722', '56.13958734181562618782', '24', 62, 4);
    T('-7850701683.877749748318', '-2365.5493644429223676862', '-7850703743', 42, 5);
    T('-4.410022791938185187463057', '-3.186101872834892671606', '-4', 38, 4);
    T('-6.3038374022198E+19', '893.639094', '512', 75, 2);
    T('-5.2686E+5', '-935842503609610307.52977', '-935842503609612876', 45, 4);
    T('-7.181440498E+17', '-337804.9082', '-718144049800263680', 96, 3);
    T('19876889.19764', '24.1881984668', '24', 38, 2);
    T('-75883169.4', '637071.75785970700242179055', '530447', 12, 3);
    T('-3015571.6743702', '1577.3667157636896331408', '1065', 81, 6);
    T('-6327110.3903', '-754620484.04', '-754621256', 84, 2);
    T('-139883.9144747', '6.4E+3', '6400', 81, 4);
    T('-5.44133830535864393570', '-19352.85236758645560498', '-19352', 43, 0);
    T('4.2780835738789851489974227689', '-77446892.65091148304918137764', '4', 80, 5);
    T('-21.18394571253884844931', '-9773732655.614', '-9773732671', 24, 2);
    T('93574285.623834522180927042', '-561802.2490911', '93537284', 68, 2);
    T('300207453.4867728', '68.074068858877185247484', '68', 19, 1);
    T('8793190729.36552234943733112', '-86.99', '8793190664', 70, 5);
    T('25114.36285231156885717', '399000.5847481160782413', '536', 28, 4);
    T('-52687809.8071622143', '75198.1277987837847801507', '1086', 96, 2);
    T('4.1E+8', '-8186.0685', '409993216', 77, 3);
    T('-8.07419682E+19', '5080954.1187736', '851968', 33, 3);
    T('7.73', '52.2317186', '4', 19, 1);
    T('47357609.427', '9.94068119', '9', 41, 6);
    T('-99169.543640838', '318627298.22018927', '318528642', 77, 6);
    T('-1E+5', '856758670.7868343291065168488', '856692992', 25, 3);
    T('731616739.971', '-164426.050376393426662616', '731452834', 54, 5);
    T('388915195.015970639382331919787', '12183640.40419', '2639960', 39, 2);
    T('17596081.6503025', '-6015223677.88493', '17070209', 68, 0);
    T('-7E+2', '-6.9311450567991628565', '-704', 64, 3);
    T('9056241.9695123146903631', '-92494477.56809571136481591275', '533873', 69, 1);
    T('-6297696891665721.4', '-1.9', '-6297696891665721', 96, 0);
    T('9652837114.724981423335', '74884.030347', '128', 66, 4);
    T('98776605.35756', '4.8E+3', '4608', 26, 0);
    T('131.9130', '-3.1032534931387229032025', '129', 97, 5);
    T('-632860285.5634', '36286.331478673', '386', 30, 6);
    T('-6105.713647049915466837445', '3.196527977974825553685901190', '3', 73, 5);
    T('-80.31643381798417510', '1692951.40646964452564', '1692944', 50, 3);
    T('-16997321', '41769.2923', '40993', 91, 5);
    T('504143.54', '-848155616.4', '139264', 65, 2);
    T('836006372', '3.0383610671E+16', '553673152', 76, 4);
    T('-7.73074E+9', '-8289897.6269839', '-7734296448', 1, 0);
    T('78375641.809279', '-9.101993740551012', '78375633', 82, 4);
    T('31.14978', '3021.7842225964593734', '13', 76, 0);
    T('-812291.4883', '-6848525.0', '-7136527', 72, 4);
    T('-7.2019545109259092', '-46109.75977552156', '-46111', 35, 6);
    T('4541.788965', '397196.7', '396', 5, 0);
    T('6.4128843E+8', '80.3364', '64', 42, 5);
    T('43042533.689944636792016633', '501.8876172071104439539358', '229', 75, 6);
    T('56155.33465013645213919079261', '-39993.6994134142260415', '17219', 61, 5);
    T('84737758.34355103510539659819', '-85926085.326294', '56858', 84, 0);
    T('-4243261235.8749037067', '-7', '-4243261239', 44, 6);
    T('-1329179755406822.3262', '-7.9', '-1329179755406824', 10, 5);
    T('62998886.2358840610842', '860.3', '324', 62, 3);
    T('-4.090834195002629E+20', '583605.44805628120397', '534176', 39, 2);
    T('264450025.0630', '685.3296540941762131032117712', '681', 9, 0);
    T('5718.4058830117599079015', '-1989458734.732', '1106', 80, 3);
    T('-702.150769', '611339.8822593109138331', '611330', 53, 1);
    T('1899600.725', '-1410094.75791', '555088', 36, 6);
    T('-36720.08239975030978017562', '-7E+19', '-70000000000000000000', 74, 5);
    T('-7819775.75405', '-1492051.856122300778718', '-7853567', 26, 6);
    T('5.67677111568266465558497', '2109989.21103', '5', 39, 3);
    T('-2E+2', '-1297.63816145226162491', '-1496', 49, 2);
    T('3.5E+8', '-3.62731E+9', '80248832', 54, 3);
    T('-4.4295529655787199073056550051', '-259.202220', '-260', 44, 6);
    T('932334605625944490.098', '3E+2', '296', 23, 3);
    T('3098636975.4767370180136574', '5.82E+5', '24608', 34, 6);
    T('-6.977931', '-1.896114232', '-6', 8, 2);
    T('85.49564273714885133078', '-1169555234.5357124646348632', '84', 85, 3);
    T('-463835139575982.30', '-77702.85807566883895250321', '-463835139653550', 56, 0);
    T('6E+4', '-2.328339739740371064569786', '60000', 93, 5);
    T('-3.59371413268252', '2753.92520188991552', '2753', 10, 4);
    T('-8416772.515057860770073011', '-35.2652114399528', '-8416804', 47, 1);
    T('90894.00717268880667', '-11884.733587815198595307603', '82180', 5, 3);
    T('67539172720508098.3337327752', '20711.7359204054786', '20674', 23, 4);
    T('-688632869.3979222015446877898', '-5.42010981506776681', '-688632869', 37, 2);
    T('815.9640451082737', '-8.3062009E+8', '518', 88, 6);
    T('5149843450459799.00727270', '57.3505126784131113694', '17', 43, 6);
    T('-6147.18614967527112443', '-9363576.8215698', '-9369720', 71, 1);
    T('8875330.687060209475894897371', '-622166318.7301', '8547394', 58, 4);
    T('5773110.4112955766995954397', '9962.661173881375120202272', '1570', 36, 4);
    T('-8.25996016738143166', '265.2292', '264', 53, 1);
    T('-48.6964613954633550', '6.467E+9', '6467000000', 60, 4);
    T('-9396873719.859391553263221', '8337062.39', '6755840', 80, 0);
    T('-84.442890883080121103', '-7.564396179692408197193324788', '-88', 12, 5);
    T('-6.63885', '7196.56817885516729486562351', '7192', 91, 6);
    T('-1748687.82749', '-88.230931', '-1748704', 46, 2);
    T('38945395.017', '1E+8', '5259264', 44, 2);
    T('3159709.3326655414324390', '-197.825550', '3159577', 25, 2);
    T('5.0200794E+11', '-6.509', '502007940000', 80, 3);
    T('-8881151.5722053973934500072365', '978878985.3277536476487212544', '978845697', 42, 6);
    T('-9.38767319767268276806440851584', '-699220.174158788820494066416031', '-699228', 72, 3);
    T('-71177859.1265295778454', '-9473747.324139612725322494231', '-79601363', 29, 4);
    T('3.43041903862', '-17.78255668007164', '3', 80, 6);
    T('-374176.41182103222523208994', '21589.17019221073217971', '16448', 55, 2);
    T('-3521726.3151370199695196054342', '-1.44672830241074296456018', '-3521726', 10, 2);
    T('365151.6826443185053', '2.311841780980815812307999', '2', 83, 1);
    T('3266.666278520', '1690687.27802593650626', '3074', 19, 6);
    T('-5E+3', '-6.11883590E+16', '-61188359000004608', 96, 6);
    T('-3529.64293621', '-8178.342348303153706', '-8186', 67, 2);
    T('-3.7172732206912159799', '-18475.762150821983552372240850', '-18475', 43, 2);
    T('602.90372684282029563302073590', '-2.095E+7', '16', 43, 0);
    T('-23262833.5322', '904272.670804085738', '854016', 16, 1);
    T('-133808.1086406006810147978383', '18.3643156139530381680283', '16', 8, 4);
    T('-6.47634', '3119.36706882688', '3114', 97, 6);
    T('24543048.340762', '6372.8297045036197085', '6208', 33, 0);
    T('-500125.51815970439439027', '-13.407', '-500125', 9, 6);
    T('-8.6E+3', '-7647.22034451931554628186', '-15840', 72, 4);
    T('-405071215.14', '-6951.760', '-405077871', 20, 0);
    T('-86177359.34582782717836446', '47.56119', '33', 90, 2);
    T('72.1327290698202901715451364924', '-22685609.149904975', '64', 65, 0);
    T('-201.0490', '-841.121062047', '-969', 32, 5);
    T('884259183.77177814153', '-8.69332800911287793', '884259176', 80, 3);
    T('-731610.3327243222', '725483.484', '4130', 94, 2);
    T('-7E+3', '-914.39211900106', '-7128', 78, 3);
    T('74630.14347983', '6993852.06462330986320693314446', '9092', 16, 6);
    T('7536197782.68', '5.06554E+9', '4313841792', 31, 5);
    T('-2E+7', '83531630.91994380429329227', '80384768', 40, 0);
    T('220.43969497498439571', '-9.7384362337', '212', 37, 0);
    T('-947.568737848817448459882178', '-9192001357364394575.6', '-9192001357364395007', 4, 4);
    T('-2695437.25251', '5E+2', '240', 35, 3);
    T('-12274.0358488320681', '-452200.5292306241534078234131', '-454648', 82, 0);
    T('-6.516488446', '-3679552063.582268536070975', '-3679552064', 36, 0);
    T('-1601822.9332222398062333139237', '-573.0453272399150850131', '-1602366', 60, 1);
    T('52635.4029537740', '8450.5', '258', 9, 6);
    T('-7088364531.40739', '-5.1E+8', '-7491025920', 65, 3);
    T('-2944.3496807632580', '-9.507968550163', '-2944', 76, 1);
    T('-2.95573E+20', '890922004.267632078673906551', '17956864', 81, 3);
    T('22943102.322168042029214593', '-4926.143278451945252822', '22938690', 90, 6);
    T('71985.45', '-283988111.696', '2353', 88, 2);
    T('-613782.1108901123015747305186', '-5.41894540604508735761', '-613782', 41, 2);
    T('-4.9E+5', '55860294.950338696965461484691', '55575616', 91, 3);
    T('108940.268603606155952', '-9.667', '108932', 40, 6);
    T('-4.92390', '-5.65902E+16', '-56590200000000000', 1, 6);
    T('6.2528605650', '217472525.9500228429', '4', 52, 6);
    T('-9204288.60603', '-6.82917485798495', '-9204288', 90, 6);
    T('-9.5E+5', '-875705627054763.9', '-875705627737840', 39, 6);
    T('1717322097.69140172079575006', '-82505.2982504307148484934753331', '1717305649', 15, 4);
    T('-7183156.7606618935319939654', '-4865261229.9181896368178193', '-4865261504', 2, 5);
    T('-3.4862534', '-635232.9815892010796651957', '-635232', 10, 5);
    T('-1.7859673E+9', '-2.6642E+20', '-266420000000677511168', 18, 3);
    T('-6.4104095541388', '-5.314E+5', '-531400', 93, 5);
    T('7278161.968', '7656.9556835235614468', '3136', 94, 4);
    T('-4.4901579996014596045644237969', '3444.45', '3444', 55, 6);
    T('-200094.65', '-55766472.18947016697534', '-55832032', 32, 2);
    T('-2474.796643432213999158495971', '8142223143655615', '8142223143653398', 51, 6);
    T('-78247609.501208310069935', '-55.2185691', '-78247615', 75, 6);
    T('-3E+5', '-4873529.36', '-5169152', 96, 0);
    T('620775282.29470597118392', '8.82E+9', '83887360', 82, 6);
    T('-46.8781', '-45477656.2881', '-45477696', 32, 3);
    T('-468789016184881009441.20', '6068982730.05565544017', '5520752842', 82, 2);
    T('-5.0787E+5', '-116447779.99624965470125943', '-116916224', 47, 2);
    T('-58.25990847513758281', '9889328883.54487', '9889328834', 85, 4);
    T('4.3384848E+8', '-2.061', '433848480', 85, 5);
    T('-25.7310028012669525368', '-649594.76777', '-649594', 13, 1);
    T('-58.7036321821', '-3.600E+5', '-360000', 31, 5);
    T('1077681888.0958564451', '-8.2E+3', '1077681888', 62, 0);
    T('3.42534518765750599301135', '-86870.6875836230', '2', 15, 4);
    T('27905.24076539381482', '-67205573', '1025', 92, 4);
    T('-9327', '-91960329.8176', '-91960431', 29, 5);
    T('540869.1092482', '-27468.9520194977513', '524420', 38, 4);
    T('76414.9024524359131901651', '-689154.62990254150536702377', '76414', 19, 0);
    T('55.887504527903064', '9.57747E+9', '48', 29, 3);
    T('-2.79535977611E+20', '69142.547852489602618228', '512', 4, 1);
    T('-469.482253813802', '9.45433E+15', '9454330000000000', 19, 6);
    T('7.352847E+7', '-5803.0968757773', '73523220', 92, 3);
    T('-70233.364817477252590266788197', '9.2405E+6', '9235876', 39, 4);
    T('545112', '2319.421', '264', 59, 0);
    T('-75415.0212785088183', '6E+9', '5999990784', 63, 1);
    T('-8393848068.3711462918', '-4.577414130224388', '-8393848068', 37, 5);
    T('1515429.54', '-793551.242624637', '1246241', 42, 4);
    T('-8.22E+8', '552.277721908745143601304', '512', 5, 4);
    T('983197312.6897915555225160', '447604720.27689684499028543', '445146752', 66, 6);
    T('-58226843553447.8788', '3303334.4862327771735865739042', '2121984', 92, 1);
    T('-6229300.249808799611118641706', '-294.163610281890479776059503', '-6229304', 41, 2);
    T('-1.006201528755454E+17', '93.588', '72', 17, 5);
    T('-826190497641740.93222434036208', '-206.230934795250', '-826190497641936', 45, 0);
    T('-726380.241818940521426355', '6689648120.00442', '6688925840', 31, 4);
    T('-598696.19792560', '2.091794E+9', '2091261008', 76, 6);
    T('7.7247389', '-3.7289789445270361476', '5', 80, 0);
    T('187270241.7', '767.59', '97', 61, 3);
    T('71923.255533621679337004754833', '9378.7130539025', '162', 20, 2);
    T('5.581822008393035142658989631', '30.30066606', '4', 43, 0);
    T('3691070348037002.987175066074', '966733437.794005672', '143591944', 75, 1);
    T('-5.8287109712117', '-26717.6389', '-26717', 97, 2);
    T('-6434711444.57050303590', '-911169', '-6434973652', 46, 5);
    T('7.722953E+9', '6833309284.5975', '6513754144', 50, 4);
    T('-26.927237448945', '1.38732E+9', '1387320000', 83, 0);
    T('-5.41E+8', '-4.30589816E+17', '-430589816539688960', 75, 1);
    T('7663995393620166246.04325441', '-1.6676E+6', '7663995393619035232', 15, 5);
    T('-99.4594142971849514940', '77920099831.3013594', '77920099733', 3, 5);
    T('-734521.982544325539687', '-8.99147E+9', '-8991536576', 87, 1);
    T('38.3834930466289653143694322965', '49.252324047405228462596363127', '32', 25, 2);
    T('6E+3', '85627', '1648', 88, 5);
    T('4266.1581253214383', '906303.773802553271589164011', '4138', 87, 6);
    T('6.3E+6', '21092788214866.9970588775845', '2097216', 53, 6);
    T('614614', '5.56777E+7', '65540', 64, 6);
    T('5806770161.515781567275450', '9.28E+3', '1088', 89, 2);
    T('97.5025900394037', '-2715381416.288518197', '64', 18, 1);
    T('44242021.78399', '-7.75851595081157364107342854', '44242017', 1, 0);
    T('188539176.467314', '-9.418E+8', '52183296', 68, 5);
    T('-3.201348626', '671605.32292927021373729807544', '671605', 15, 4);
    T('-2.8E+9', '150488842.6', '135808000', 51, 5);
    T('-8.4E+8', '-6979316.0946209184501803191265', '-846954496', 21, 5);
    T('5.366E+5', '-4240371.68606755540051720902', '524296', 66, 2);
    T('9830370.403545762', '621431.070383181', '97122', 91, 2);
    T('152788762954976160.663', '-25.82', '152788762954976160', 41, 5);
    T('-98120666.19116', '105.946425961485', '32', 10, 5);
    T('808860.0941943', '1764930117.8615871', '4612', 38, 3);
    T('-8.16E+20', '-5890404.1856883172193117982591', '-816000000000004194304', 34, 6);
    T('-2591572325.550069727', '53.1991', '17', 93, 5);
    T('-5E+3', '-45.68442506906974', '-5040', 9, 6);
    T('-3.0E+5', '-6846.31311943574164', '-302080', 75, 4);
    T('4855261.6', '8.0015E+5', '529812', 64, 1);
    T('231.2', '82.6655591842087', '66', 2, 5);
    T('39438712.3255377979045815505', '-587.029099173062918767457', '39438640', 92, 0);
    T('3571.626206020864505124330', '-39116736.768303567', '64', 13, 3);
    T('-1744.72089620235895463362815112', '159010058.6084', '159009024', 97, 3);
    T('2901673483.881468534087207422', '-1.85651232724544983001984987728', '2901673483', 46, 0);
    T('6449.47259706714123549', '89609.4105043133729870', '6145', 48, 5);
    T('-363317508.990473', '-4.30862710081135', '-363317508', 97, 4);
    T('-33.9', '-2234451.2838', '-2234483', 65, 2);
    T('389.004162675278158', '8.774E+5', '256', 97, 1);
    T('-6313940380.1', '35281692.7', '34097668', 33, 6);
    T('4.0E+9', '-224851395.470390252961716', '3792242688', 41, 3);
    T('-7205431471.0856559705412', '54690.186', '54528', 52, 2);
    T('-74263916.18855866080949', '-6.2063E+18', '-6206300000007077888', 13, 1);
    T('-9509824415273.02361250546', '-2084481104.35848493', '-9511167258224', 79, 1);
    T('906919.5327710', '-9232269.028480', '65571', 91, 0);
    T('-6057.09747477324461132', '55188.484137141545615710', '49172', 63, 4);
    T('3736392657.080', '980624.50334545740', '316048', 89, 2);
    T('-3.01E+7', '-583.782239031925', '-30100064', 50, 3);
    T('200877.068354668311831', '-8771.93', '200877', 18, 0);
    T('-462172.1', '-4.4921203179788272192240872', '-462172', 97, 4);
    T('-78416.287176763790', '-254584.9462', '-258688', 6, 6);
    T('-6.2642E+6', '64.14039485618321279886', '64', 47, 6);
    T('-6751736.8287879334606', '2888480983212637218.83', '2888480983208179712', 30, 5);
    T('7390519563.76534228', '2.176466257784E+18', '7256293376', 77, 6);
    T('368013806.40952122024633402', '935.580664923794210790', '422', 41, 3);
    T('8234.3680017282965832723', '6.6887366076747067306924468', '2', 65, 5);
    T('-60.361918551', '-8.621430489203976', '-64', 43, 2);
    T('412741.597742459883673111620', '-5903.1156519', '411713', 25, 6);
    T('1585.42826371972230', '7.750E+5', '528', 22, 1);
    T('1812754.44343803380264192653', '56504.1', '34832', 42, 1);
    T('777767425.066350439657569923', '-84996.1522848217', '777683456', 28, 5);
    T('-48098512695783.9358931544515047', '-4.6633857123254326293987785', '-48098512695784', 100, 1);
    T('-7775235.3', '227192.6002268572323476561', '86904', 48, 1);
    T('-8.066489096720E+18', '27980800.064492718339929', '18895872', 42, 4);
    T('-9.8462059774083507927025734256', '-84.052356526369275728543278784', '-92', 8, 0);
    T('6349443303.8', '6984586024.722021567533012370', '4837101600', 13, 3);
    T('-9.488601040387224072', '931630697.10595055', '931630689', 58, 4);
    T('-643386336.503902647216945', '-63.95442510894160634280142698', '-643386368', 13, 2);
    T('33357.49', '6E+8', '512', 1, 4);
    T('-213497784.906168599', '52501.44289698251296656627', '18432', 95, 0);
    T('3662661.74496166', '-9.219266496371414134009751910', '3662661', 80, 6);
    T('540.50934214332142927091929', '5.862088', '4', 77, 1);
    T('3789.11905269924393', '-8.0719915192681111', '3784', 96, 6);
    T('-7594.223502737226737528278676', '258323874.99510591', '258318338', 6, 6);
    T('-3372903.5525280667094014', '62.4708', '24', 71, 3);
    T('605', '-77909.3615678368025', '521', 38, 1);
    T('59.0227667479194442659376', '-6628.8387', '24', 20, 1);
    T('-43768062.77889757168188', '-33917539319.07466256242647', '-33952881664', 26, 5);
    T('-86.16574', '16206.133136872453872020', '16138', 92, 0);
    T('-5E+4', '962.925137720887274558', '128', 26, 3);
    T('-84775724.31806', '-5988720.86635708423362609', '-90174320', 19, 6);
    T('-3.3047E+9', '-59980017.37606286166647', '-3355162880', 67, 0);
    T('7.274E+7', '-38678.06844277892341846890', '72706208', 88, 1);
    T('-8.6674300425E+20', '3567.52267694', '3072', 40, 4);
    T('-3E+4', '-37475.17082294877959642987486', '-63344', 44, 1);
    T('-7024883.777027389809393466', '71809634.750490861319884', '67406336', 32, 6);
    T('-6565.552848', '9.234363E+8', '923436040', 8, 6);
    T('-92.1489661', '934765728431591315216', '934765728431591315200', 80, 5);
    T('4E+7', '-9502700.5587922', '39976960', 49, 4);

    log('\n ' + passed + ' of ' + total + ' tests passed in ' + (+new Date() - start) + ' ms \n');
    return [passed, total];
})(this.Decimal);
if (typeof module !== 'undefined' && module.exports) module.exports = count;