var count = (function or(Decimal) {
    var start = +new Date(),
        log,
        error,
        undefined,
        passed = 0,
        total = 0,
        n = 'null',
        N = 'NaN',
        I = 'Infinity';

    if (typeof window === 'undefined') {
        log = console.log;
        error = console.error;
    } else {
        log = function (str) { document.body.innerHTML += str.replace('\n', '<br>') };
        error = function (str) { document.body.innerHTML += '<div style="color: red">' +
          str.replace('\n', '<br>') + '</div>' };
    }

    if (!Decimal && typeof require === 'function') Decimal = require('../decimal');

    function assert(expected, actual) {
        total++;
        if (expected !== actual) {
           error('\n Test number: ' + total + ' failed');
           error(' Expected: ' + expected);
           error(' Actual:   ' + actual);
           //process.exit();
        } else {
            passed++;
            //log('\n Expected and actual: ' + actual);
        }
    }

    function T(orendA, orendB, expected, sd, rm) {

        if ( sd != null ) {
            Decimal.precision = sd;
            Decimal.rounding = rm;
        }
        assert(String(expected), String(new Decimal(orendA).or(orendB)));
    }

    log('\n Testing or...');

    Decimal.config({
        precision: 20,
        rounding: 4,
        toExpNeg: -9e15,
        toExpPos: 9e15,
        minE: -9e15,
        maxE: 9e15,
        errors: false
    });

    T(1, 0, 1);
    T(1, -0, 1);
    T(-1, 0, -1);
    T(-1, -0, -1);
    T(1, N, N);
    T(-1, N, N);
    T(1, I, I);
    T(1, -I, -I);
    T(-1, I, -1);
    T(-1, -I, -1);
    T(0, 1, 1);
    T(0, -1, -1);
    T(-0, 1, 1);
    T(-0, -1, -1);

    T(0, N, N);
    T(-0, N, N);
    T(0, I, I);
    T(0, -I, -I);
    T(-0, I, I);
    T(-0, -I, -I);
    T(N, 1, N);
    T(N, -1, N);
    T(N, 0, N);
    T(N, -0, N);
    T(N, N, N);
    T(N, I, N);
    T(N, -I, N);
    T(I, 1, I);
    T(I, -1, -1);
    T(-I, 1, -I);
    T(-I, -1, -1);
    T(I, 0, I);
    T(I, -0, I);
    T(-I, 0, -I);
    T(-I, -0, -I);
    T(I, N, N);
    T(-I, N, N);
    T(I, I, I);
    T(I, -I, -1);
    T(-I, I, -1);
    T(-I, -I, -I);

    T(1, '0', '1');
    T(1, '1', '1');
    T(1, '-45', '-45');
    T(1, '22', '23');
    T(1, '0144', '145');
    T(1, '6.1915', '7');
    T(1, '-1.02', '-1');
    T(1, '0.09', '1');
    T(1, '-0.0001', '1');
    T(1, '8e5', '800001');
    T(1, '9E12', '9000000000001');
    T(1, '1e-14', '1');
    T(1, '3.345E-9', '1');
    T(1, '-345.43e+4', '-3454299');
    T(1, '-94.12E+0', '-93');
    T(1, '', N);
    T(1, '    ', N);
    T(1, '		', N);
    T(1, 'ertgrt546', N);
    T(1, 'qweqwdewee', N);
    T(1, true, N);
    T(1, false, N);
    T(1, 'e 4.3', N);
    T(1, '4 .3', N);
    T(1, '4.0 01e', N);
    T(1, ' 4.001', '5');
    T(1, '4.001 ', '5');
    T(1, ' 4.001 ', '5');
    T(1, '    4.001', '5');
    T(1, ' 4.0 01', N);
    T(1, '4. 001', N);
    T(1, '4. 001 ', N);
    T(1, '  4.001e ', N);
    T(1, ' 4 .001 e ', N);
    T(1, undefined, N);
    T(1, null, N);
    T(1, Number.POSITIVE_INFINITY, I);
    T(1, Number.NEGATIVE_INFINITY, -I);
    T(1, new Date(2012, 11, 4), N);
    T(1, new Object(), N);
    T(1, function () {}, N);
    T('0', 0, '0');
    T(0, '+0', '0');
    T('0', '0', '0');
    T(3, -0, '3');
    T(9.654, 0, '9');
    T(0, '0.001', '0');
    T(0, '111.1111111110000', '111');
    T(N, '0', N);
    T(-1, 1, '-1');
    T(-0.01, 0.01, '0');
    T(54, -54, '-2');
    T(9.99, '-9.99', '-1');
    T('0.0000023432495704937', '-0.0000023432495704937', '0');
    T(NaN, NaN, N);
    T(NaN, N, N);
    T(N, NaN, N);
    T(N, 4, N);
    T(N, '4534534.45435435', N);
    T(N, 99999.999, N);
    T(Infinity, '354.345341', I);
    T(3, -I, -I);
    T(-3, -I, -3);
    T(-Infinity, -I, -I);
    T(-I, -Infinity, -I);
    T(I, '-999e999', -1);
    T('1.21123e43', -I, -I);
    T('-999.0', I, -1);
    T('657.342e-45', -I, -I);
    T(I, 123, I);
    T(100, 100, '100');
    T(-999.99, '0.01', '-999');
    T('10 ', 4, '14');
    T('03.333', -4, '-1');
    T(-1, -0.1, '-1');
    T(43534.5435, '0.054645', '43534');
    T('99999', '1', '99999');
    T('3e', 8, N);
    T('-3..0', 13, N);
    T('0 0', -0.4, N);
    T(' +3e0', 4, '7');
    T(9.9806, '+ 1', N);
    T(' +2 0', '1e1', N);
    T('e3', 4, N);
    T(' ', 0, N);
    T(323, null, N);
    T(undefined, undefined, N);
    T('undefined', undefined, N);
    T(null, null, N);

    Decimal.errors = true;

    T('-3.877E+4', '-2974.366010066855689', '-786', 88, 6);
    T('-2.342980623622353E+85', '5.1991299391228200706E+74', '-23429806236216016580739025952482613353918341126639987025519732538620022822287066529792', 42, 0);
    T('6160191.55423793677', '-34.64032736', '-1', 67, 0);
    T('-4021.25018869164674645896235', '-16.694009862768109964208578', '-5', 40, 3);
    T('3.56E+7', '-5235397', '-4243525', 5, 3);
    T('-38048.47744627045858', '-3261286771.1882973138', '-19', 5, 3);
    T('-9.994762778115843054659265405', '549.609525900', '-9', 74, 0);
    T('-7.47E+7', '4.819259361103860205732E+131', '-74700000', 37, 4);
    T('547890076.2401183249062759437', '-2.8591860296003671547E+123', '-2859186029600367154699999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999452109924', 96, 5);
    T('5.21E+82', '7.7E+52', '52100000000000000000000000000029102933664193502347489114998173994091390673765793792', 100, 5);
    T('-5.2E+4', '-7.874085494682464729557126E+92', '-52000', 57, 3);
    T('-6.67E+6', '-9.7555555954095236057728512E+79', '-6670000', 48, 0);
    T('3.2399278674252230327', '-3050556.78919', '-3050553', 52, 6);
    T('-94783790675343.3199', '9.10235E+90', '-94783790675343', 82, 1);
    T('-6.90606819892E+56', '-4.278E+85', '-101911140540156563841496993978128368950781903742913478656', 4, 1);
    T('-4.049492597216386E+47', '-15.48311192772454689386360', '-15', 7, 2);
    T('8.86456042353122772649E+59', '440949421.80350027322', '886456042353122772649000000000000000000000000000000440949421', 10, 3);
    T('334680.00429507494', '-8.76074046788E+78', '-8760740467879999999999999999999999999999999999999999999999999999999999999665320', 55, 6);
    T('9E+36', '6.71559744207387E+99', '6715597442073870000000000000000000000000000000000000000000000003329641490194725674209729598837489664', 81, 6);
    T('871', '-206523834.86024705392317555', '-206523545', 44, 2);
    T('9.971E+70', '-844.5144620104533808', '-844', 89, 3);
    T('3925845258.832822793167124', '-537764.6109965898784340', '-4258', 55, 4);
    T('-5.27212703', '8.7E+72', '-5', 74, 5);
    T('-7E+45', '5891.271931', '-6999999999999999999999999999999999999999994109', 95, 4);
    T('6.52108468107E+58', '6.1399235904017699E+141', '6139923590401769900000000000000000000000000000000000000000000000000000000000000000002439829430320605770222903079338261055844309366365900242944', 19, 4);
    T('8.17268423E+57', '21079067585719023436298.09', '8172684230000000000000000000000000019563966036129087750666', 70, 1);
    T('8.2826714381329139E+129', '7.790452E+49', '8282671438132913900000000000000000000000000000000000000000000000000000000000000076392080845905914564268743125212733433979496038400', 58, 0);
    T('1.3928191813577546747237168515', '-3.678743813103099548637E+71', '-367874381310309954863699999999999999999999999999999999999999999999999999', 27, 2);
    T('7.396614660683620810913E+66', '99.0111032425180988', '7396614660683620810913000000000000000000000000000000000000000000099', 35, 2);
    T('-7.35147508473427290044874903346E+32', '105690653810448209063.205494', '-735147508473399025277103749745481', 22, 4);
    T('7.175137064433855204E+36', '7.67106617E+9', '7175137064433855204000000002150313530', 88, 1);
    T('-8.28742E+26', '3.64516828855193591E+23', '-828722218811204709674996800', 98, 0);
    T('-6.5409126104952548518326772E+69', '-7093068675.182067230637', '-7093068675', 30, 5);
    T('-8.65420E+27', '3598092.258', '-8654199999999999999996401908', 41, 3);
    T('-551402.7315', '-1.1267250903999765143E+39', '-551402', 2, 3);
    T('9695253680179491.846829137343', '-6.256133621324723E+65', '-625613362132472299999999999999999999999999999999990304746319820509', 46, 0);
    T('4E+14', '7.3988E+28', '73988000000000010480825991168', 20, 0);
    T('5.2641E+38', '-7.4586346756462980E+33', '-5500025280416690253659250325192704', 26, 0);
    T('-47786169.904570', '7.3120067443379E+71', '-47786169', 96, 0);
    T('-8793512.70', '9.2945087845E+95', '-8793512', 66, 0);
    T('-6773', '6.2715E+53', '-6773', 40, 4);
    T('15.05828136009164889', '4.606536140435E+86', '460653614043500000000000000000000000000000000000000000000000000000000000000000000000015', 6, 5);
    T('51.53118615', '-739947329269237845437.207379887', '-739947329269237845389', 62, 5);
    T('6.304263528986E+48', '-2.72675E+68', '-272674999999999999994061115027973241728432276302017168531133026009088', 49, 0);
    T('3.47348329E+161', '-366114112.827051398136021077905', '-366114112', 79, 4);
    T('-240104.19430638749680', '8.8816E+6', '-10280', 86, 1);
    T('-5.4892532936E+38', '4185579.8503714810823884391', '-548925329359999999999999999999995814421', 17, 4);
    T('-3E+89', '-7133.25688777090539775804499426', '-7133', 88, 5);
    T('9.21842957888E+87', '-6.07', '-6', 99, 2);
    T('-227946090.0099106891996372624', '1E+2', '-227945994', 24, 2);
    T('83.311849138567273', '-6.457806265810973393801975291E+38', '-645780626581097339380197529099999999917', 58, 6);
    T('-9.661235152260198268834326247E+68', '-86432.7687386923763111598', '-86432', 76, 2);
    T('8.5530144582438765056021871829', '7.0983600396666562734391817E+145', '70983600396666562734391817000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000008', 92, 6);
    T('976345697491.62880013488', '-4.15994042377861623E+195', '-4159940423778616229999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999023654302509', 59, 1);
    T('-48.15', '-7258003.42069147718850842042084', '-3', 54, 3);
    T('4.1603595881320983635437283211E+59', '-17.3', '-17', 26, 5);
    T('-15296.88394944', '-1.6378865960255630E+28', '-7104', 24, 0);
    T('-4.157833219349161E+88', '-283.73706979505667', '-283', 64, 2);
    T('9112463.36', '-3395739.954431653747644655094', '-3198993', 32, 2);
    T('-9.95E+7', '6.98E+52', '-99500000', 71, 5);
    T('70716209914.3108418919400', '-4.3790959E+45', '-4379095899999999999999999999999999929283790086', 14, 2);
    T('-7.760904E+96', '77014108.822881', '-7760903999999999999999999999999999999999999999999999999999999999999999999999999999999999922985892', 95, 1);
    T('-3.8E+23', '-4.6063942392E+41', '-76845032433689693257728', 54, 0);
    T('-305586.949789858619', '-9489582033.3022', '-295313', 93, 4);
    T('2.89648566167398838671643751790E+84', '2.4372', '2896485661673988386716437517900000000000000000000000000000000000000000000000000000002', 11, 4);
    T('4.3507238284826016709308611586E+69', '-8.357594355129290552970907E+71', '-835759426145583990427176083272668156433243897517390221687697396811694080', 18, 6);
    T('-8549.077', '-57.69883425087951278544482479', '-33', 41, 1);
    T('-429251305', '-7.40651360590413691081730106909E+53', '-412474089', 61, 3);
    T('59948.15111644307558', '-9.3809052243E+148', '-93809052242999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999940052', 63, 3);
    T('5.5797307340232924E+165', '1.729427284410E+55', '5579730734023292400000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000014226281293797791168768394256504671225925187580591079424', 41, 0);
    T('407.156501242', '-3.94888487577318453955264716796E+87', '-3948884875773184539552647167959999999999999999999999999999999999999999999999999999999593', 90, 4);
    T('-4.46771229555771E+71', '8.8801E+70', '-442631781835629873072641304662672664543742452403713816671521193985048576', 7, 4);
    T('4166662.043087923776', '-12074.599718525533224901614491', '-11050', 45, 1);
    T('-43351447.7507', '-5.792E+6', '-1073303', 71, 3);
    T('6761691.7', '-413698.4568152470023', '-20481', 12, 6);
    T('-4.4E+56', '-6.4773E+5', '-647730', 8, 5);
    T('-1.087301631098E+55', '-9.56618638675488859071415543E+69', '-1629774734751009750451071340923869629002124581392089088', 82, 2);
    T('10.8503482577213', '7.7495386495E+22', '77495386495000000000010', 95, 0);
    T('7.29237323308E+96', '-3.526939281359166510E+189', '-3526939281359166509999999999999999999999999999999999999999999999999999999999999999999999999993249743188665992810431452669085222054999497920726144267898311350434744999397060476829040866492416', 14, 6);
    T('2.5E+2', '-7.39343386896857124320E+25', '-73934338689685712431999750', 34, 4);
    T('-310456.7706', '-1.9511921548992E+79', '-310456', 53, 1);
    T('-9.309568119462531087152008E+36', '-92075.520829245955', '-26539', 75, 0);
    T('66957.870161227681915351474', '-34966.22', '-34833', 31, 4);
    T('-428925426.656428065746972', '6528210.90413', '-428892450', 77, 5);
    T('-5150849286.9198', '-2.0192561E+43', '-5150849286', 11, 1);
    T('1720892705.63', '740754.8757555766992019029', '1721499059', 15, 5);
    T('16235905.42228866822675987', '-69653479199038892.443834901', '-69653479198572587', 32, 5);
    T('-1E+3', '-1.7695007019801805', '-1', 11, 0);
    T('-5.569095E+43', '9606025.07', '-55690949999999999999999999999999999990393975', 78, 1);
    T('3130.38635', '-4.92640E+79', '-49263999999999999999999999999999999999999999999999999999999999999999999999996870', 42, 6);
    T('-8.492408089226056159033839028E+78', '8.21735709522890E+43', '-8492408089226056159033839027999999920812109799249992135433953326447840876036096', 11, 4);
    T('5.3082063093780206860064433771E+84', '3.9959503054925787E+86', '403556253880738346757364397117329022546845711368146052705005617569727701547620356849664', 98, 2);
    T('-4.82873E+56', '8.5313658898231983730183945716E+75', '-444428257432078457507488678122717487346374606417328865280', 63, 4);
    T('-9.2512033836985975368666E+82', '-5.56825814320808741290559826E+163', '-60712224021114691693425113324684544406122814125761413390153194922453426236586721280', 96, 3);
    T('-53.0728', '9.899904E+19', '-53', 44, 6);
    T('-7.072E+28', '6.29783312E+92', '-1395357800018704605649043456', 71, 1);
    T('-5.4816026189781468875380033202', '2.1999232145E+86', '-5', 88, 4);
    T('-7087632.96102378226279180798', '-45580426211661250.373', '-787458', 97, 0);
    T('7.6929949E+98', '14.4051', '769299490000000000000000000000000000000000000000000000000000000000000000000000000000000000000000014', 63, 2);
    T('6.14465412E+9', '1.4881724913532191880E+94', '14881724913532191880000000000000000000000000000000000000000000000000000000000000000006144654120', 78, 6);
    T('24936672.251065707', '-8868536.3961741550739943506731', '-8606232', 11, 6);
    T('-5500418.108233334200616', '-88.3279317193371768', '-2', 21, 2);
    T('9354.0674629685', '-4.689E+9', '-4688990774', 8, 3);
    T('-2.3522E+9', '-7.9286E+5', '-6428', 36, 6);
    T('68865.38597188784633530036258', '3474.6153740221311998934024', '69011', 59, 1);
    T('-3.16885669738177251E+86', '-2.09971884672751855809349924196E+54', '-169132473505808779003071677396150889549187717892407296', 24, 5);
    T('1.737534642425597799812E+92', '88842.6568298352', '173753464242559779981200000000000000000000000000000000000000000000000000000000000000000088842', 63, 4);
    T('69267095692540.0923923437', '-4.080554798E+34', '-40805547979999999999970334650260228', 93, 3);
    T('563826.676839', '5.322E+9', '5322563314', 67, 1);
    T('-8.78502433257066631632354184349E+67', '-8.9286087695159988894421183017E+53', '-126472522910525293205530766821216397761250772769570816', 62, 5);
    T('-3235944250', '-951.60154452728', '-817', 18, 6);
    T('9.6E+59', '-3.24361E+6', '-3243610', 27, 3);
    T('-6', '-6.75212E+9', '-6', 61, 4);
    T('-199.386453363915173221827925', '-6.70546192958626672857141785321E+63', '-199', 63, 5);
    T('1.9486359911996627911490820', '1285689427680955928.2224815642', '1285689427680955929', 91, 6);
    T('7.17281450047070302580946807E+79', '5.5533E+54', '71728145004707030258094683855019588847548273666585057405461122463894060595675136', 16, 2);
    T('-7.042867839275016484E+36', '2679.19', '-7042867839275016483999999999999997321', 69, 6);
    T('-1.22316183498761124735820650E+51', '8.952259481545995866586487200E+65', '-559849188896295374800006608178466252901853429760', 37, 2);
    T('8.6637993E+46', '-4.4425E+41', '-357127012662967549229687022405493758885888', 43, 0);
    T('88200.0126169282282738590', '3.90253040892791723954525988789E+34', '39025304089279172395452598878986152', 43, 4);
    T('-541894161896.9336875', '-1000.05334379786033186176557745', '-488', 74, 3);
    T('-1.7027993558485644571138078E+156', '-692337.9530166726387973841', '-692337', 52, 3);
    T('1.7E+127', '9E+90', '17000000000000000000000000000000000008920425850043117334439600390962879277244459332630823165050847178723645778700551869192732672', 26, 4);
    T('814565.1306', '-755.1167', '-531', 95, 6);
    T('-75.9443', '7.7320975033758562431E+22', '-67', 82, 0);
    T('-5.3178E+19', '-73184.5005', '-7648', 72, 6);
    T('-4.791E+6', '2.2E+19', '-4266712', 16, 2);
    T('-863814227.741826385738', '-1.890362595263475718326790E+30', '-286261331', 67, 6);
    T('52366.0439492', '7866.78622958492461827', '57022', 41, 5);
    T('-4.33797E+33', '-2.272833543E+95', '-1402021885229220724838241025392640', 12, 2);
    T('-1.24350366E+66', '-3.19718818255164742866993962608E+177', '-397505113297128124357780562186663878628079963879530338595253518336', 100, 6);
    T('-3.080056798769777E+41', '264.4868498955025117102167', '-308005679876977699999999999999999999999736', 60, 3);
    T('9E+8', '-2.398627534364', '-2', 19, 2);
    T('-846634919040277188641.1019', '441055536041.638883101410649333', '-846634918891290267649', 14, 4);
    T('-4.7370415942149800691851', '41941142.912893', '-2', 94, 1);
    T('-3.18196170367316719566584559419E+60', '-8.88732695646071001892E+78', '-816815360563756034561504744641977981539961063157832479670272', 56, 4);
    T('1.390434303250494012112535527E+66', '9.2394717590668101890E+73', '92394717696160597491689049525961809726980891662925840857650385586464227328', 67, 6);
    T('82682.46868574', '6.10E+6', '6117114', 20, 0);
    T('6.586141760579766166201558243E+91', '-3710398.999', '-3710398', 18, 4);
    T('8.64013918564292284461222737551E+31', '9283353.285788559428817895', '86401391856429228446122282708957', 53, 0);
    T('-2.1118898720941265813378639365E+69', '-4324023.45874873937981876013827', '-4324023', 19, 4);
    T('-1.609908E+41', '3910918897.8474815379841625', '-160990799999999999999999999999996089081103', 20, 1);
    T('-6.74303663817295561478E+79', '5.66061559460399820E+26', '-67430366381729556147799999999999999999999999999999999825914089348477574944327680', 75, 4);
    T('2540074.339668118195838458', '-4.08575E+11', '-408572476822', 89, 0);
    T('-459299177081811276338.56', '-91599', '-1', 99, 2);
    T('54106602.9641154045217697', '-4.006037358390533E+120', '-4006037358390532999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999945893398', 51, 0);
    T('-644624903.9689987', '-43.25914290', '-3', 28, 5);
    T('-9.68E+61', '7.620981E+42', '-96799999999999999994060013951023061707430533153509964660080640', 53, 2);
    T('-926482.04373584348429058', '-6.347908596318294179E+29', '-271122', 56, 0);
    T('5783297.21702', '7070847.82749807935', '8126335', 68, 1);
    T('1.4998976539718E+71', '7.8779527840565611187E+90', '7877952784056561118811757056007460382805886243247731435490362542961553506939815716422942720', 39, 5);
    T('-3.5004949E+32', '-9.2624E+9', '-8591311360', 73, 5);
    T('663531213.40658081747', '7.80827559211290254579806E+89', '780827559211290254579806000000000000000000000000000000000000000000000000000000000663531213', 22, 6);
    T('-8.053449194661E+35', '4.4381012050144889E+78', '-748057134562436800720957881041551360', 30, 3);
    T('4534.9538016628098091652532', '-9.134365146E+92', '-913436514599999999999999999999999999999999999999999999999999999999999999999999999999999995466', 15, 4);
    T('584.6001742476687918875', '4.8638308E+182', '486383080000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000584', 9, 5);
    T('-162174186458.0761158015724', '1060078.02341995733107', '-162173129490', 50, 6);
    T('-12.265162766109613', '-6.1290781505861470735821E+82', '-12', 6, 3);
    T('-8.1997682869775400274367281040E+97', '5.205175867E+78', '-81997682869775400273417989213922767061694199191937829650145385161708870802432644915035590094749696', 65, 3);
    T('551235115.4566008414313040214', '2.3369695405860104258652840127E+71', '233696954058601042586528401270000000000000000000000000000000000551235115', 68, 5);
    T('-6.457752559257182863926525E+76', '9.470632935817978171564E+45', '-64577525592571828639265249999996955512451623784163995185277537007918641053696', 52, 2);
    T('7.98838558255469E+25', '-9.385725881111857048E+53', '-938572588111185704799999999997582139125425986453583872', 14, 2);
    T('-7.7125156E+44', '2.32027049E+72', '-724820710197083896416500643477400756309458944', 46, 5);
    T('-967926.061588406227', '-160.8835656644', '-150', 100, 3);
    T('-2180960.15906167009', '-2E+170', '-2180960', 39, 3);
    T('-2.34933868617E+111', '-2153481128.440395779539601', '-2153481128', 41, 3);
    T('-3.4640308347511486697370E+137', '6.71400096304488E+23', '-346403083475114866973699999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999328599903695512000000000', 92, 6);
    T('-209.43406364238', '971.91331772480142147848325', '-17', 14, 6);
    T('-6.322010456789133E+92', '7932427.54172307513', '-632201045678913299999999999999999999999999999999999999999999999999999999999999999999992067573', 91, 1);
    T('-8361.53029791457572875', '-3.7719562E+64', '-8361', 61, 5);
    T('-4998.1226', '-7.2861028835969146550957714740E+132', '-4998', 67, 1);
    T('637567036086775332533', '-4.38E+9', '-4379983947', 80, 5);
    T('-1.0638404310933E+95', '-9.424583220774E+98', '-68835533765581198046312292297635154900420148908966929918429733239534421257520585823600775266304', 52, 6);
    T('91.29959896626856805916729', '-29950.97207038756', '-29861', 78, 0);
    T('-572305148.0', '-36.8278', '-36', 59, 4);
    T('70.9133999626100765100', '9.76129E+8', '976129006', 52, 0);
    T('153.584014984448342005003983018', '2.649632248964E+68', '264963224896400000000000000000000000000000000000000000000000000000153', 8, 6);
    T('71511979532099460.979897625326', '5E+1', '71511979532099510', 56, 5);
    T('3.56163341232060083514177743398E+44', '-4.6406892736138948982410446E+99', '-4640689273613894898241044599999999999999999999999999999837622181724833205103434722146140390905413632', 74, 0);
    T('-4.082297630481E+63', '-5.426442389735154471959490E+85', '-13470857684584873328593797111300427446297466405688641639677952', 42, 2);
    T('7819956.79774478383008670050', '1005.11908960928966631794955', '7820285', 34, 3);
    T('-6.40287390E+60', '9756996822.29253921465481', '-6402873899999999999999999999999999999999999999999990243003178', 64, 1);
    T('4.598717026843E+43', '6.9404179E+36', '45987170352419460065976575287462765157941248', 96, 3);
    T('-1700.99011', '-4.14207164494154E+75', '-1700', 8, 5);
    T('6.45448149379835402957642179799E+49', '8.3991826922083608791366783267E+164', '839918269220836087913667832670000000000000000000000000000000000000000000000000000000000000000000000000000000000000000187350653889226210251922984376429980983111974912', 31, 0);
    T('-79246.78209047', '-25612969328.9804124672', '-9486', 44, 3);
    T('-5.374537919250448183760870E+160', '-959807.24', '-959807', 74, 0);
    T('8.69620071E+17', '-5E+1', '-50', 25, 0);
    T('-84.22348469419211', '-45550.61963', '-66', 52, 2);
    T('29.470931173749690865', '-3.7E+48', '-3699999999999999999999999999999999999999999999971', 12, 0);
    T('-32.652743724909721993029', '-821.3617497365627324676', '-21', 32, 1);
    T('1.3E+7', '4.247042158857276041636E+85', '42470421588572760416360000000000000000000000000000000000000000000000000000000013000000', 57, 5);
    T('-5225.6676768699864286', '-6.1307202E+37', '-5225', 89, 1);
    T('-45.522226605986712547256937', '-6E+57', '-45', 90, 2);
    T('375.50122355119059055334920', '-1.8962172911601978382823627005E+64', '-18962172911601978382823627004999999999999999999999999999999999625', 13, 1);
    T('125.892709529360913881', '9.406334055056053E+92', '940633405505605300000000000000000000000000000000000000000000000000000000000000000000000000125', 30, 2);
    T('-9.742965586311395823459830', '2.4E+40', '-9', 79, 6);
    T('7.096302258169103', '3.0841229661E+78', '3084122966100000000000000000000000000000000000000000000000000000000000000000007', 58, 0);
    T('-3164926.033291960201223834', '81.05727577', '-3164845', 70, 1);
    T('3.128864195570E+92', '794.03209501894806', '312886419557000000000000000000000000000000000000000000000000000000000000000000000000000000794', 71, 1);
    T('-5.191E+17', '-4.186407936451E+83', '-519100000000000000', 91, 5);
    T('-4583509.192725027781037', '-2.8764E+5', '-286741', 63, 2);
    T('-50.31578089608070930387581', '-8.82819087429564869094E+71', '-50', 90, 6);
    T('-7E+1', '9.2529309E+71', '-70', 70, 6);
    T('4.06362488496E+92', '434046.13', '406362488496000000000000000000000000000000000000000000000000000000000000000000000000000434046', 85, 0);
    T('-5.4154839E+63', '-3.7E+4', '-37000', 40, 1);
    T('-512.49631570', '226495.366354', '-321', 60, 2);
    T('-207.336979683362147781', '7813114392.277680', '-199', 67, 6);
    T('302.98384860896463', '873.097533', '879', 79, 1);
    T('-3.4572147888E+73', '9.3056969083E+77', '-110429246038054780699611421402349492856207356714850267360009878866231296', 74, 6);
    T('-2.8096301416230078704', '-71163.3', '-1', 44, 1);
    T('942984392.021172063329553', '1.9766749208384238334204E+98', '197667492083842383342040000000000000000000000000000000000000000000000000000000000000000000942984392', 21, 3);
    T('2.36E+7', '-5.793E+4', '-57418', 49, 5);
    T('-8.1356013869221182831672E+58', '4.65090010398E+87', '-30616232675496213218102869489601998607633937471065903071232', 47, 2);
    T('9.56668E+64', '-4.021422100791E+42', '-11059363847935067282006021732235420368896', 57, 0);
    T('-1.89358236743', '2.6E+9', '-1', 49, 1);
    T('-33978.1', '-1.517602E+61', '-33978', 31, 0);
    T('-8.4E+7', '7.7501871065222', '-83999993', 100, 1);
    T('-1958602786.757994100053778493', '-2.5554E+41', '-1958602786', 68, 2);
    T('-8.56672E+74', '-4613080.5682', '-4613080', 35, 3);
    T('-5.03230425605213592297E+39', '8.2550975923046787725024897E+85', '-181452603149066199860112847145003384832', 100, 0);
    T('2.176882109654541E+20', '-5081', '-473', 27, 0);
    T('-1346547459.21', '-46641.7233915758130331', '-42497', 78, 5);
    T('-6.8632E+54', '34797136.861723528442229793169', '-6863199999999999999999999999999999999999999999965202864', 92, 2);
    T('-4.11650924108149387642147911043E+72', '8249126579.11623451368533', '-4116509241081493876421479110429999999999999999999999999999999991750873421', 38, 4);
    T('-420.66', '92535.424', '-129', 21, 2);
    T('-7027263053.56543474609864944293', '6.296354E+9', '-2156986893', 36, 5);
    T('253495957.282658514751165', '464621.0', '253697789', 45, 5);
    T('-4330.177750551821913934518217', '3282.63', '-4138', 54, 3);
    T('900545.27652070057256870617', '-45324.49452278', '-11', 42, 3);
    T('6.4932815417036517460416', '-3.6818933376474026E+34', '-36818933376474025999999999999999994', 79, 2);
    T('-9239446019.717106691266', '5.40', '-9239446019', 66, 5);
    T('-5.53395676895674746632470956E+27', '-56.973432491523', '-56', 76, 4);
    T('6.35E+70', '-1.49375160720882E+66', '-645901517350232736330345433066436781764446672351162102326358966272', 10, 0);
    T('-9.36270303495478806E+94', '-28506.4310753028', '-28506', 98, 0);
    T('4.14933758391543206161745848E+32', '4.181184484313930E+88', '41811844843139300000000000000000000000000000000000000000324846375709024307592788860952064', 20, 3);
    T('-2126935.816875760493', '-1.9941E+5', '-81', 3, 1);
    T('-5.8304677821980751637', '-2.4331325134170051E+81', '-5', 93, 0);
    T('-2.37700651329960E+158', '-6.3975425E+19', '-63975425000000000000', 96, 0);
    T('-8.292089772E+68', '4.859505E+7', '-829208977199999999999999999999999999999999999999999999999999951404950', 66, 2);
    T('-7.42078891450737534562358E+38', '7.95E+29', '-742078891450727230353475480394942840832', 64, 5);
    T('-3.4234979061845301E+101', '-7.313799012185125412E+53', '-287448207779117095279650442672550211823945860559929344', 4, 4);
    T('6.824445153774171757E+88', '-834513.618745', '-834513', 63, 2);
    T('-92908924.917700761', '-4.8981645165100563874036798104E+64', '-92908924', 96, 3);
    T('-44.88', '43351022041595.11787034461', '-1', 69, 1);
    T('-118311.94379267032501450', '6.38899E+50', '-118311', 100, 1);
    T('3.66857E+66', '8.155671769647877128190103852E+42', '3668570000000000000000000743210258864479094879543539227570590318592', 52, 2);
    T('567739.04406544235352843180', '-5.964E+84', '-5963999999999999999999999999999999999999999999999999999999999999999999999999999432261', 70, 1);
    T('3.2357079131520860002E+64', '19.30724683171232548928352', '32357079131520860002000000000000000000000000000000000000000000019', 59, 5);
    T('-3.35953E+6', '-9.109066963331908E+37', '-3359530', 79, 4);
    T('8.09474012302535', '8.4771924998016537393357322077E+75', '8477192499801653739335732207700000000000000000000000000000000000000000000008', 53, 3);
    T('6.390110875835429723769686630E+84', '5.11943', '6390110875835429723769686630000000000000000000000000000000000000000000000000000000005', 70, 3);
    T('761.7549456410', '9.37735748747225315E+36', '9377357487472253150000000000000000761', 7, 3);
    T('641.89049088833078309', '2.8431898690766869399E+60', '2843189869076686939900000000000000000000000000000000000000641', 31, 1);
    T('7.2492437596496440318E+20', '44.9143314849291449625017', '724924375964964403180', 34, 3);
    T('-67.955974065540442782', '7687926.6851057', '-1', 39, 0);
    T('836263426.712299225', '-478946267165918958003698.014206', '-478946267165918658634226', 20, 1);
    T('-2937312.07800421861651', '4.450264E+9', '-2904096', 23, 6);
    T('8.8E+43', '6.0660519', '88000000000000000000000000000000000000000006', 56, 0);
    T('-5.4088311733E+73', '6.357248538395345397757060320E+35', '-54088311732999999999999999999999999999407235957478910020226833422203953152', 30, 0);
    T('-4.04326662731933', '2.984993643086E+67', '-4', 27, 2);
    T('9.6859E+8', '8.93044E+25', '89304400000000000414941872', 64, 3);
    T('-233936.061974885411061625058', '3.407504096589', '-233933', 62, 6);
    T('2.7786606977887635235E+97', '-3.699188E+8', '-369918800', 15, 6);
    T('6E+1', '25036359.59456967779399161884', '25036415', 22, 1);
    T('2.679957470388980081E+24', '-3165270.6296786016965342018', '-22', 10, 1);
    T('2.3847805732409431E+60', '-8.77900390672537010360999130262', '-8', 72, 2);
    T('-4635', '-14559587.801', '-3', 80, 3);
    T('-63463813.0716342921331', '-388245982.6', '-50340229', 15, 1);
    T('635401670339903699.89794', '9.6292102052753302581046322', '635401670339903707', 58, 1);
    T('-6E+7', '-7.78132225189545177445958820E+85', '-60000000', 36, 5);
    T('4.036109538E+49', '6.6997268951E+76', '66997268951000000000000000015465880083777511150374042561746532586521060442112', 24, 3);
    T('966696.0768811', '3.89633108E+77', '389633108000000000000000000000000000000000000000000000000000000000000000966696', 12, 2);
    T('-4.043E+9', '-3.55449677287192604', '-3', 93, 2);
    T('-29407998.607841145698', '5.871863244325453743E+80', '-29407998', 88, 6);
    T('-5271.6070771194111426938726', '-475322996.191468123419371', '-4115', 46, 5);
    T('436138141844834302.4712892', '578.14351', '436138141844834302', 66, 1);
    T('-333451518.55369', '9.6821061843E+60', '-333451518', 11, 6);
    T('413078130.512575433', '10611027.70', '415234931', 26, 0);
    T('9446.524428822921068670766', '-232975.828660480590562216303', '-231945', 11, 4);
    T('2.6562E+5', '8540068148', '8540069300', 90, 4);
    T('82.48998968701339', '-81282390.2516061799805114892', '-81282310', 32, 6);
    T('5.8178400563529877391209412E+32', '5357909841.9386859174703', '581784005635298773912098554494801', 94, 5);
    T('6608125.024832532473', '-398.94442724', '-257', 71, 6);
    T('8.9777737498725168E+33', '6.45380239285E+33', '9060176058446598811179152190734336', 18, 3);
    T('-462759256580133.743857', '7.4310E+97', '-462759256580133', 67, 2);
    T('9.490E+11', '9871942.68427964795', '949001056838', 74, 1);
    T('-4.7764285E+14', '7.6E+6', '-477642843490432', 4, 0);
    T('3187.655562326139340458303', '-5.16673269E+9', '-5166731649', 53, 1);
    T('842547.60358512972', '-2.3', '-1', 49, 4);
    T('2.116E+12', '3736241.2380386623256014533048', '2116001049265', 26, 1);
    T('-8.3727454842E+71', '-8.973E+5', '-897300', 98, 5);
    T('-5.8662689E+12', '-8692.8288150549883834439', '-8340', 2, 6);
    T('984178154.15749', '74301994.78929194203', '1055776746', 73, 6);
    T('-9.82906136E+22', '7.032E+23', '-300913921197186875392', 22, 3);
    T('-66493230.75744', '4049434.586313060517', '-63050022', 44, 0);
    T('4.7015091666008139857E+75', '-3.398433E+52', '-30704719298569995734557501123349703804808972958957568', 32, 2);
    T('-3.4290333783893E+99', '9.07903E+6', '-3429033378389299999999999999999999999999999999999999999999999999999999999999999999999999999990920970', 35, 4);
    T('-6472.004451140604886513239818', '1.292757967686638804443158625E+60', '-6472', 37, 5);
    T('-702.970827109853675461887597447', '7.7E+7', '-702', 52, 5);
    T('136387.5631943889654132', '823.057155334286639', '137207', 22, 6);
    T('-4604386790.43052146191', '-2.19634408553337004659E+100', '-4604386790', 96, 2);
    T('5.627294478150476E+128', '-2.739767721586910E+71', '-239036681245520480055110282458575933565725594545581016169310720224133120', 70, 6);
    T('8.44821082E+99', '-5901.5822396373232315302419400', '-5901', 70, 6);
    T('8.9363460730126607152893141681E+94', '6.63220E+8', '89363460730126607152893141681000000000000000000000000000000000000000000000000000000000663220000', 69, 1);
    T('-5.99293771E+64', '16.51701092096745899599', '-59929377099999999999999999999999999999999999999999999999999999984', 68, 2);
    T('-5244.00807372264', '60004528988.886544041392430736', '-1060', 67, 2);
    T('1469457.41669737567477275540', '9.4209E+56', '942090000000000000000000000000000000000000000000001469457', 34, 4);
    T('-4E+6', '-9.963E+7', '-3147952', 57, 1);
    T('-51737.738148417025360', '-3.9500853311469399E+85', '-51737', 59, 5);
    T('6.2820109230021174E+39', '935.672176879701487294192846759', '6282010923002117400000000000000000000935', 64, 5);
    T('3.75349614E+72', '-3.4025338981615168506352123', '-3', 90, 0);
    T('-2.799862798935751405468777966E+31', '-6E+2', '-88', 47, 6);
    T('6.27249443480129286119358E+47', '742982738363765977360104818.935', '627249443480129286119358097704612573240322424178', 95, 2);
    T('3136370058', '-2.12378920481032477935E+178', '-21237892048103247793499999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999996863629942', 13, 0);
    T('-58146063', '40617.410918253056999306', '-58138887', 39, 0);
    T('-61.2321568654322869', '56.507800576272', '-5', 30, 6);
    T('-50.6700638464166527061129179', '-913021371.662722194857293', '-49', 48, 5);
    T('1.0112259548302499276892546E+26', '-1318968021.371578', '-1284587713', 13, 1);
    T('946297456', '7.37435E+57', '7374350000000000000000000000000000000000000000000946297456', 58, 6);
    T('-9.11424E+89', '-740724763.6653306306900703388', '-740724763', 9, 1);
    T('-5.98785004174463210E+85', '5.79E+9', '-59878500417446320999999999999999999999999999999999999999999999999999999999994210000000', 72, 4);
    T('-5.88391008231477428380841457E+87', '2.75768773480163146219133E+128', '-994652438473030055251696731864103326411528789430940089645987320183423932295061748842496', 85, 2);
    T('93228361.5572206429769577', '4.9E+10', '49084804937', 50, 2);
    T('1683274', '-2.32745257468E+27', '-2327452574679999999998316726', 69, 6);
    T('-8.934E+31', '-24563.8921963477309964', '-24563', 13, 4);
    T('4.98836289673E+47', '-8.1293014929446755318824537266E+97', '-81293014929446755318824537265999999999999999999999977151057154199161501748764894840921664211910656', 16, 0);
    T('-91076.8078', '5.3582418367887607620945E+44', '-91076', 95, 5);
    T('-421104.60703', '-3.5243973609449988E+91', '-421104', 50, 6);
    T('4.3823373091383634918E+99', '-736.681082361692436614286', '-736', 91, 3);
    T('9E+36', '951338.8817713830', '9000000000000000000000000000000951338', 51, 3);
    T('-6.120035725662044485504512E+81', '-1525184529.77', '-1525184529', 26, 6);
    T('34586804532806398784700.78128', '6E+1', '34586804532806398784700', 19, 4);
    T('-8.935444E+7', '8750449384.4800853280571455459', '-71446536', 55, 4);
    T('9.11948434863817556200296788E+62', '-981503.5898650', '-981503', 22, 0);
    T('602832209979136522152.1516158', '-9016523184.406', '-8613005320', 71, 5);
    T('6.8161E+79', '-7.96556160046963141505E+39', '-85792813634480213159577189859839180800', 84, 6);
    T('6127.7160897315659970487', '3.27992112729238273392235461E+163', '32799211272923827339223546100000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000006127', 12, 4);
    T('-7625680.09020263909220581595', '911140729.05701', '-3152007', 11, 5);
    T('-6.00E+22', '-7.65225694404163461899551E+79', '-56974661914317595607040', 75, 5);
    T('-3.090293770870051E+87', '-4.95502527855E+92', '-1092820352906961822774090013491006610384225796952114210808227971550372861456172307185664', 2, 3);
    T('39148246.66729733', '-1.6628555E+26', '-166285549999999999960851754', 80, 1);
    T('1.599257830E+92', '-7.84901947640950293476263E+76', '-6107770309810390508136716031376152716925616897407604171276098750424392138752', 59, 1);
    T('-8.94630013160252735036909147E+98', '-9.1042564731300236', '-9', 53, 6);
    T('7.48010601043193147184324', '2.241842593077818097097813E+71', '224184259307781809709781300000000000000000000000000000000000000000000007', 40, 0);
    T('-8.333630417794084414107558098', '9.7760358E+40', '-8', 64, 0);
    T('-9.7E+8', '-4.156021291E+26', '-939591296', 56, 5);
    T('1.7003977317932E+73', '3.80037974220E+27', '17003977317932000000000000000000000000000000001317845139055229282277916672', 82, 4);
    T('-4.398157736E+29', '-45.09805181190', '-45', 18, 5);
    T('-3.2406123E+28', '-6.015245408488825986721942E+77', '-19851418265276948335021785088', 91, 1);
    T('5690.726754311100', '-8.14569693904082695748710743E+51', '-8145696939040826957487107429999999999999999999994310', 77, 3);
    T('5.68483377253223954515467', '-3.553998992637986574843E+37', '-35539989926379865748429999999999999995', 67, 0);
    T('-2485.3146329138550788964077', '-5.518960E+97', '-2485', 2, 6);
    T('5.11929347162520013011', '-621.8747332663', '-617', 73, 6);
    T('7003.4', '646702.853236957692052221', '647039', 95, 3);
    T('41269547', '-4.3965250128E+18', '-4396525012765394645', 6, 5);
    T('-1.4520116E+15', '-7.2638138524737E+85', '-1452011600000000', 77, 2);
    T('-3.97304891690460379836669324', '-53.794705870491436137', '-1', 50, 6);
    T('-6.99102253307300E+44', '5.0471230669167575746477E+96', '-563790986476303519882272849442973020724396032', 31, 3);
    T('4.29838360E+43', '-7920.0246772398582362050', '-7920', 37, 2);
    T('1.9996825E+98', '-9.9208603015260901E+49', '-97920621385624816679851136991265840484952286691328', 13, 5);
    T('16540431.09', '1.1064E+57', '1106400000000000000000000000000000000000000000000016540431', 64, 0);
    T('-4.5E+81', '-7781.761048243480007280', '-7781', 15, 6);
    T('-6.05373E+37', '5.5070E+47', '-1339841093796292236279467344132046848', 27, 5);
    T('9.07418E+85', '-2E+9', '-2000000000', 85, 0);
    T('-5.343176974373862116110E+148', '-9.9E+23', '-990000000000000000000000', 8, 3);
    T('-491189779.6', '-5203015974.7678', '-335982593', 52, 1);
    T('-76.9393085738152', '-8414.4051529984104894', '-74', 38, 2);
    T('97714.77827', '9.15E+7', '91586034', 13, 3);
    T('44.17596171701', '-11153748', '-11153748', 20, 0);
    T('4E+99', '1.9834E+66', '4000000000000000000000000000000000236953862366182868110441975384136461226571754530483373716684144640', 57, 4);
    T('449.170666891992032941949138', '-94.19602', '-29', 37, 2);
    T('-20224570.8866521948180992', '4.1000449450E+63', '-20224570', 50, 2);
    T('4709113079.769025801052', '237.388292', '4709113087', 92, 2);
    T('-4.89834443639915611749861382E+28', '22313678.0748', '-48983444363991561174965157906', 90, 5);
    T('8.9001E+7', '-50784.4321935350', '-49752', 39, 0);
    T('79.581915', '8.087258135053E+41', '808725813505300000000000000000000000000079', 26, 2);
    T('-68.80689885579933988', '6.8452E+72', '-68', 66, 5);
    T('-6.84146488142922848798215186960E+105', '5344.4668377879602678618493', '-6841464881429228487982151869599999999999999999999999999999999999999999999999999999999999999999999999994656', 25, 4);
    T('-92628541.5619239282392', '-8.0075451509013E+84', '-92628541', 87, 0);
    T('370688149.49055745209817181', '-117490160.354287021903875', '-16810347', 84, 5);
    T('784558.7843568524', '-792607572.685954992763725489700', '-791937874', 30, 0);
    T('-2.3901377E+51', '-4.134775494012549018460E+46', '-34434495854287481173160331262970217988626579456', 60, 5);
    T('-5.0906835007E+38', '97.8775555316211268073821008', '-509068350069999999999999999999999999903', 70, 3);
    T('-553.65632999019869168927', '-3.4267739046640386451992838E+147', '-553', 3, 4);
    T('3.38684396E+139', '-8.0E+156', '-7999999999999999975807714552366667310967910153965006982242514403279090083045583787995062307064937963536000849499981015512328170899439876103220029188357488640', 13, 5);
    T('6088.8780701754597724', '6.105E+5', '612300', 25, 5);
    T('-8.567E+9', '-3.45714E+8', '-344066320', 100, 1);
    T('9.37278090820564037447824439', '9E+7', '90000009', 97, 3);
    T('-3.96', '-7.325E+6', '-3', 41, 4);
    T('5643304266.74842169716517831', '-4.110327045088563E+28', '-41103270450885629998920630966', 89, 0);
    T('7479.642', '376820.017652431535843077731801', '376823', 47, 5);
    T('-8.19912795892067361344266E+32', '5.9629505961015744E+40', '-654761691071977567405280740369408', 65, 1);
    T('-1.416773E+10', '-43.56', '-11', 15, 3);
    T('-548016091.695461966297150', '9637259408.9317672232764156768', '-8521547', 94, 6);
    T('495325.6246', '5.83357E+40', '58335700000000000000000000000000000495325', 27, 0);
    T('-9.856498238793175E+38', '2.405605E+90', '-303729895126133174454964378276173185024', 32, 6);
    T('-3.791847539784014013E+98', '57.520228', '-379184753978401401299999999999999999999999999999999999999999999999999999999999999999999999999999943', 4, 2);
    T('8.9092531E+8', '-144188.412889975511365401405', '-770', 62, 1);
    T('3.2276486105690870618244361E+36', '-548.2668900473956993622', '-548', 15, 5);
    T('-5.6313894473006063105093E+96', '1.5323641040126624E+33', '-5631389447300606310509299999999999999999999999999999999999999999979715404421709832638639886041088', 75, 5);
    T('-9.0E+31', '-7.0388782781793252E+189', '-90000000000000000000000000000000', 65, 4);
    T('2.3191960E+68', '-639141839.7', '-639141839', 11, 5);
    T('95095422.56017937452603771425', '314130672.53863310', '398150398', 71, 5);
    T('1.18806598512750', '865753735.960404', '865753735', 47, 0);
    T('-9.69835850426632366816843830E+99', '-670835880.8841055642798826', '-670835880', 18, 2);
    T('-4.61', '5.9185444990558657149E+30', '-4', 50, 2);
    T('-3.6116025824565583E+36', '8744.90202705405632574695520640', '-3611602582456558299999999999999991256', 51, 0);
    T('98808636.7647', '-7.04035374674684E+97', '-70403537467468399999999999999999999999999999999999999999999999999999999999999999999999999901191364', 28, 2);
    T('582.14666946893863067017356415', '-9.13643773839009814008419271E+118', '-91364377383900981400841927099999999999999999999999999999999999999999999999999999999999999999999999999999999999999999418', 77, 2);
    T('-9388700.434562', '-2.441485130E+24', '-8405660', 84, 2);
    T('4.670302E+8', '-7.988251394E+21', '-7988251393999717797704', 17, 3);
    T('1.29E+56', '8721.646113072574', '129000000000000000000000000000000000000000000000000008721', 18, 2);
    T('4.956E+52', '-2.3366600490068859244482E+86', '-233666004900688592444819999999999950487149841892884821415561962173978751830056209743872', 40, 5);
    T('-4877420486976121562.2', '87728443.7182558', '-4877420486973459137', 87, 2);
    T('-695.784799386667', '5.803006217E+64', '-695', 98, 6);
    T('-29.750224219', '-4.939023542E+97', '-29', 7, 0);
    T('-9.033547037006280738E+32', '4.047314554813596970644E-8', '-903354703700628073800000000000000', 13, 1);
    T('9.0E+8', '-40.4257147118834956219', '-40', 38, 0);
    T('7.387E+14', '-3.300186603E+30', '-3300186602999999429555394152448', 94, 5);
    T('2118181.873119514', '888426.1945', '3006063', 38, 3);
    T('-891.28453', '8667065940809494906312944.63', '-779', 50, 6);
    T('-14.1681137238', '-9.96929200E+65', '-14', 71, 6);
    T('-9311265297.635951338250458', '89.642528773999853258', '-9311265281', 33, 2);
    T('1.0346E+5', '-7.61833233235687646707900610809E+46', '-76183323323568764670790061080899999999999896540', 63, 2);
    T('-4.233147222108704140E+50', '5.23494341993087383625E+53', '-917901908102346585806276976843276887697223843840', 69, 0);
    T('3282936.06355042041695184540022', '8.61105425970969032790597E+96', '8611054259709690327905970000000000000000000000000000000000000000000000000000000000000000003282936', 80, 2);
    T('-9386892134.1127555962305', '-24140599.76436563', '-16784165', 23, 3);
    T('-61631.2102556452165', '-3.1E+12', '-4287', 84, 0);
    T('3.715516639643', '-7.3E+9', '-7299999997', 47, 1);
    T('-6.3426692577674472E+70', '6.87512653071845E+29', '-63426692577674471999999999999999999999999314044453752474078870623977472', 57, 1);
    T('2.4609E+12', '-5235.0085865157296181', '-5235', 42, 2);
    T('-9.563560514E+39', '333686344125341087769146.2', '-9563560513999999988046220711695191956934', 100, 2);
    T('7601.60609460371', '-2.2333347979737104505769812E+95', '-223333479797371045057698119999999999999999999999999999999999999999999999999999999999999999992399', 99, 3);
    T('3.0565536972367047527192', '-5.82E+6', '-5819997', 99, 4);
    T('6E+57', '1.09543858676828915161455E+96', '1095438586768289151614550000000000000005101954616223137882763379301401384661267780948974681194496', 19, 0);
    T('-8.6E+4', '-1.07785391834815969700E+58', '-86000', 54, 4);
    T('2.990710E+94', '-8.1571E+10', '-81571000000', 70, 0);
    T('-2.196719593809637141123259393E+85', '3.66331457894251855505400788E+50', '-21967195938096371411232593929999999704552936933438660083999256883792428599518796185600', 33, 2);
    T('13064.8489976932', '-10744315407.31', '-10744302599', 100, 6);
    T('-9.48506E+15', '2.0993E+5', '-9485059999925238', 46, 0);
    T('18386.70537335646', '-737.919', '-33', 89, 3);
    T('9.677982E+59', '1.0654742644754432655949E+91', '10654742644754432655949000000000853784733307479230283383017110325654217616579741515346083840', 77, 0);
    T('51987.18390487796', '-76310329.9981499140329245423360', '-76293161', 36, 0);
    T('3.89622679094123', '-96456.130606719138894', '-96453', 88, 3);
    T('-57144010888580.390178948', '-1.7022270518987022960878291460E+43', '-53877145097604', 2, 1);
    T('92059.0818847320467', '9558.71935', '92127', 25, 6);
    T('8.33242891138627607E+91', '-36090.2954', '-36090', 63, 1);
    T('665582321.94306654142', '-2.648594413595068124662716', '-1', 40, 2);
    T('-5818525194665077504717524.50', '96.2881', '-5818525194665077504717460', 46, 0);
    T('514011725398214647', '7.4555E+15', '520868331465441271', 63, 4);
    T('-2739.0608184738534857', '-8.475598630340085882741547E+65', '-2739', 2, 3);
    T('-682669.817912514096018759495', '-7.321623398037427439478', '-5', 67, 2);
    T('8.2431899765277633077287112499E+72', '-5.7697852470281847919867077201E+34', '-57209071647861578024590318275425856', 75, 0);
    T('1.438031E+56', '4.5E+4', '143803100000000000000000000000000000000000000000000045000', 96, 2);
    T('9.1905428287E+30', '-394494.055425693583338072313900', '-394494', 1, 2);
    T('-33036776.2617', '-9.7091846595794710743274292556E+98', '-33036776', 27, 1);
    T('9974505.0493277488', '-498.668268957833097277743', '-273', 19, 5);
    T('8.76427233502540E+28', '657.196213', '87642723350254000000000000657', 33, 6);
    T('-2.74E+6', '-8.73046581369061664429E+37', '-118560', 84, 5);
    T('7500016.7792298812609527', '-4.66736E+12', '-4667354744592', 54, 4);
    T('3.79930594562428684833301222E+54', '-571235.777', '-571235', 6, 6);
    T('4.05001337282119254001478E+85', '-252.47500', '-252', 7, 3);
    T('7.43968515389153184E+80', '-957178787.7455383', '-957178787', 24, 0);
    T('-4.4120760967431031542876E+70', '-85382.3526', '-85382', 63, 4);
    T('-3.148E+12', '384802.9726863915643', '-3147999879390', 15, 1);
    T('4.88286349173414911766806428498E+71', '-3.170665711964338', '-3', 65, 1);
    T('9.0790E+15', '-6.58E+3', '-2484', 82, 1);
    T('-61.759405182950400391004', '-547561.77918035918794081', '-41', 24, 3);
    T('-3.47020981230079980E+43', '-9.258029927', '-9', 42, 5);
    T('-56200459.08765786', '708515272.5138107244', '-21006339', 36, 4);
    T('8.22303578164879E+89', '-6.51977718566E+18', '-6519777185660000000', 90, 4);
    T('-6086078.712536410550490', '-20.0670485456638868675974400165', '-18', 15, 1);
    T('44839015890672.121', '-3.792945016516790301873568E+84', '-3792945016516790301873567999999999999999999999999999999999999999999999955160984109328', 18, 1);
    T('7.6E+4', '6.158E+87', '6158000000000000000000000000000000000000000000000000000000000000000000000000000000076000', 85, 1);
    T('5.284177E+9', '4924354762.43416856', '5368165610', 10, 4);
    T('100232467.0830658115808', '-2.23E+4', '-4617', 35, 5);
    T('9.782E+77', '-2E+6', '-2000000', 67, 3);
    T('-9.64641E+29', '-9.58167273013060427480683E+88', '-13656026084735994709225242624', 9, 3);
    T('-1.69453656683700068', '-68693178.788998447246468386084', '-1', 8, 3);
    T('-8.4944E+5', '-6.256E+86', '-849440', 17, 4);
    T('846108.248428699650552647093398', '4E+66', '4000000000000000000000000000000000000000000000000000000000000846108', 54, 2);
    T('8.138645955962820451568E+55', '108065.34517', '81386459559628204515680000000000000000000000000000108065', 22, 1);
    T('-816', '-9.0794138321E+52', '-816', 12, 5);
    T('1187.29730300667539484627', '-623172715.93301584399', '-623171657', 63, 3);
    T('-7.342702335207111925E+97', '-2.6908E+114', '-533996766979652538703644068178667414511278916011999533864853196011248469134495636742213226987520', 95, 5);
    T('-7.474234919634419E+38', '1.2375722162289187360250076E+74', '-704867401161069628252017390095075115008', 64, 2);
    T('-29101.141451565166085821716', '-5.636433045E+61', '-29101', 41, 0);
    T('-9.8256192262124637E+39', '799730620526.23034404592300082', '-9825619226212463699999999999965637584786', 19, 5);
    T('1142.35129141680139343', '-1.228394522563172E+87', '-1228394522563171999999999999999999999999999999999999999999999999999999999999999999998858', 65, 4);
    T('-7.7518244234627125229052574E+67', '5.64806551628985091E+18', '-77518244234627125229052573999999999999999999999995225984655140913634', 67, 2);
    T('-4.22815E+68', '-6.85328E+76', '-14175308632589013177825573257103116993939061564250979150836428439552', 40, 2);
    T('2563683857.0631527', '-93877.984132797826601697', '-84133', 32, 3);
    T('6.6238655567978559370636708E+81', '-7627.4389076', '-7627', 18, 4);
    T('-7.557371221557967E+36', '-5.5671164411609962714804982413E+78', '-686235126109834989343549051671412736', 4, 4);
    T('4027970.176223255', '3.7957854893226332797717577181E+54', '3795785489322633279771757718100000000000000000004027970', 76, 1);
    T('-2.586128595183E+24', '-2.90077000530E+92', '-2586128595183000000000000', 67, 5);
    T('5.528240', '128507167.57202061580621', '128507167', 52, 4);
    T('7.96597293522634626276140777E+27', '-5.7822546E+30', '-5774449451978349556415909231334', 15, 5);
    T('5.2298139E+91', '9E+2', '52298139000000000000000000000000000000000000000000000000000000000000000000000000000000000900', 56, 6);
    T('5.7526485946E+171', '-1.3713812184264630728975438E+26', '-137138121842646307289754380', 52, 0);
    T('-92010228.0494046253718', '-5085047141466197751508245256.19', '-70259204', 47, 4);
    T('3.632500603230E+88', '2.523445017702600', '36325006032300000000000000000000000000000000000000000000000000000000000000000000000000002', 25, 5);
    T('-8952.880450220448', '-5638.7784497586131635593669845', '-518', 22, 0);
    T('63.923928499909', '-4.02878848603610E+67', '-40287884860360999999999999999999999999999999999999999999999999999937', 58, 4);
    T('5.893948629377251668013048908E+93', '67823.5790215735912689025836881', '5893948629377251668013048908000000000000000000000000000000000000000000000000000000000000067823', 22, 6);
    T('2.2002093E+64', '-9.5835965E+38', '-1252697404175018259079789089482866688', 72, 4);
    T('-5.049310630877582701550522E+40', '-842.871', '-842', 69, 5);
    T('6E+55', '7845026.929389735314332', '60000000000000000000000000000000000000000000000007845026', 49, 5);
    T('-5.53360E+6', '9.7047247312177307630707910E+75', '-5533600', 28, 5);
    T('-6.0713244E+76', '-5327220190.8164843439509004', '-5327220190', 80, 5);
    T('-2574331757.69547', '-5.341163E+36', '-2574331757', 27, 3);
    T('-263464.848804578908', '5682900.158310842172481315572', '-292', 41, 4);
    T('-5.946625909888769867E+49', '8.13358E+26', '-59466259098887698669999961304928802925750268198912', 24, 6);
    T('-6.3804226065974077908454325028E+97', '4.8657997939132336690094882E+29', '-63804226065974077908454325027999999999999999999999999999999999999999514677910285168896190155562976', 59, 5);
    T('-4913836.07', '4.9074789E+69', '-4913836', 36, 4);
    T('-2156.8802908893347', '-8.22219482774715E+65', '-2156', 44, 5);
    T('-82.648064002649453165210243945', '-80693', '-17', 95, 4);
    T('8.291563E+86', '-1.9E+2', '-190', 5, 0);
    T('-4.003695E+152', '4.588211268E+11', '-400369499999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999541178873200', 89, 0);
    T('-68228', '1661.2191025025107731', '-67715', 79, 6);
    T('-7.05080309732E+81', '7.0712261490586814430421E+74', '-7050802871017977856543126409702528382063197947892923891823789399254928497506779136', 5, 3);
    T('603', '-4.03E+4', '-40225', 15, 0);
    T('8861.249410234162597', '6951504.5340', '6959837', 1, 3);
    T('-5199231.73341492636', '4.195E+84', '-5199231', 87, 1);
    T('9.2410E+39', '-6.04580301690978417E+97', '-60458030169097841699999999999999999999999999999999999999991099487717630466983426528976643347709952', 13, 6);
    T('569014.22963', '-3316477.535099', '-3280969', 81, 5);
    T('-1.3568999396784E+60', '-2014.41526240522', '-2014', 56, 0);
    T('-848706.11791194713827953013302', '28345549713.09221255863299', '-536641', 53, 6);
    T('4886236.1711613600167', '-5.08E+51', '-5079999999999999999999999999999999999999999995113764', 16, 5);
    T('1.07540810452E+68', '-8.84E+30', '-322643078319911861880822431744', 39, 6);
    T('9.238279E+148', '-3.464E+7', '-34640000', 13, 0);
    T('-9736.0639258986559', '-6414717.153637398547520552496', '-8197', 78, 5);
    T('-1.2E+5', '-9.3965800E+95', '-120000', 87, 5);
    T('-2.2E+3', '1.4292636177098917106213434E+37', '-2200', 23, 0);
    T('-6977.16522468', '-2.48E+6', '-4929', 33, 2);
    T('-91038.895', '33817.9648684', '-91013', 51, 4);
    T('-2.5058150716917423624489861E+36', '8.82E+28', '-2505815064118936128525959885288802304', 89, 0);
    T('7.6863322090748204429E+166', '5842279.74618837731', '76863322090748204429000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000005842279', 18, 3);
    T('-489.934', '7.239935433E+67', '-489', 64, 4);
    T('-1.2823182811431784876374490E+54', '4E-7', '-1282318281143178487637449000000000000000000000000000000', 9, 1);
    T('1817.2005', '2.1383285769158E+39', '2138328576915800000000000000000000001817', 56, 5);
    T('-7.7074040E+73', '-9.0706922352838009295E+27', '-5350709429167515217798754048', 41, 6);
    T('-88938435.646171613361', '3.33529412109779193281837', '-88938433', 62, 0);
    T('-30.69369829276', '2.70467038666348E+47', '-30', 100, 4);
    T('656.472492932379', '167251386.25070062315121732324', '167251898', 2, 3);
    T('9349692.749189704102655', '9.5E+58', '95000000000000000000000000000000000000000000000000009349692', 66, 0);
    T('3.674346E+61', '-6.59076749E+9', '-6590767490', 6, 4);
    T('3.1428059322941553705018378', '8.628713173515E+22', '86287131735150000000003', 87, 1);
    T('-565648.29266', '-6.178E+8', '-41232', 81, 4);
    T('7084492.43074922810170609155', '-4.38198845631E+96', '-4381988456309999999999999999999999999999999999999999999999999999999999999999999999999999992915508', 56, 2);
    T('-637535.554975760571', '-76.60846', '-75', 29, 6);
    T('252.04517812716779093166178', '509122.7374304266052216833', '509182', 4, 3);
    T('-81.04182457701722057193', '-1869022485.6202', '-17', 70, 3);
    T('-1.03848E+9', '6832172302.8288954', '-684020338', 64, 5);
    T('-6962991204.371', '-39835.910510447352026196', '-36867', 47, 3);
    T('-7.82E+6', '-2525.851', '-221', 38, 4);
    T('5.540042', '-3.305108646658E+33', '-3305108646657999999999999999999995', 33, 5);
    T('7.88598869242237844940902463E+93', '1E+13', '7885988692422378449409024630000000000000000000000000000000000000000000000000000010000000000000', 33, 1);
    T('590.77391007593162599082677', '7.30084E+98', '730084000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000590', 69, 5);
    T('8.64402985394936389641924E+64', '7.220065236E+77', '722006523600052693394205046166798829476863111300555436362052128176852294434816', 69, 0);
    T('8.5', '-3.9451222395678878E+79', '-39451222395678877999999999999999999999999999999999999999999999999999999999999992', 53, 1);
    T('8.4056578512239E+79', '8E+109', '80000000000000000000000000000081521362556126803302559717474192825249171657947771359460550655108210391181688832', 14, 6);
    T('12036726', '2.2730251699532078274637E+81', '2273025169953207827463700000000000000000000000000000000000000000000000000012036726', 65, 6);
    T('378066.3124260027', '7.8232697115512118180E+84', '7823269711551211818000000000000000000000000000000000000000000000000000000000000378066', 97, 3);
    T('4092359030.42603', '3.674942503002877918E+98', '367494250300287791800000000000000000000000000000000000000000000000000000000000000000000004092359030', 58, 0);
    T('833999.901962', '-5E+5', '-196625', 82, 2);
    T('-439194297.475603419471797830', '7.46580637193351917244853710E+122', '-439194297', 100, 4);
    T('-8E+4', '-51809.0388365105173610634', '-2145', 67, 6);
    T('9.072901E+43', '7.00697140133E+56', '700697140133000001563537455164816165209626019539363823616', 86, 2);
    T('21929.91312974215', '330153.111985485748121791693660', '351657', 1, 0);
    T('6.236E+7', '-9.301895082706690669584430E+26', '-930189508270669066958016568', 48, 6);
    T('-4.30626446868221010E+54', '8811.871992065341774098576001', '-4306264468682210099999999999999999999999999999999991189', 25, 5);
    T('-2743004462.446472830887203', '-20.88504459', '-2', 7, 5);
    T('15851326.6431930351099333187304', '436381493.5019078794', '452198207', 88, 2);
    T('8.898509864777270244E+27', '8.7838576E+82', '87838576000000000000000000000000000000000000000000000001470265166155181280017901568', 65, 2);
    T('3.5', '-4.27222449975899939454401476990E+70', '-42722244997589993945440147698999999999999999999999999999999999999999997', 8, 0);
    T('7.604E+9', '-8196571748.32182007472216', '-679740004', 42, 1);
    T('-409189199.55778502', '7.02881E+78', '-409189199', 58, 4);
    T('93945.61134', '-5.8968999507173116E+33', '-5896899950717311599999999999906055', 38, 6);
    T('631790.270160535216874214539', '7.6113785430657963E+99', '7611378543065796300000000000000000000000000000000000000000000000000000000000000000000000000000631790', 16, 4);
    T('4E-857', '-4.459921004941106163454703E+64', '-44599210049411061634547030000000000000000000000000000000000000000', 18, 5);
    T('-4.5170909119866749279E+37', '-9.21E+33', '-7788762201080373825325556620328960', 4, 0);
    T('9.604266697743848943E+51', '1E+31', '9604266697743848943006983127883288044605288742912000', 24, 2);
    T('5.544E+8', '-7.81688E+32', '-781687999999999999999999445600000', 17, 1);
    T('192.0074112121343', '632444272.6663223884709', '632444400', 66, 2);
    T('2136990663.463249748', '25733.461948', '2136991687', 59, 0);
    T('766344038.2935', '-476.785954236685', '-154', 29, 2);
    T('-71.5267', '42994130567004.4014678', '-3', 58, 2);
    T('-4.51579004617138648E+58', '7463785492.563', '-45157900461713864799999999999999999999999999999992536214508', 90, 0);
    T('83872019879263137.392951', '1E+7', '83872019887685537', 82, 4);
    T('-4.3758389690017255E+38', '-7899488.31234537', '-3705184', 92, 5);
    T('623.043944408', '9.89704034920968360475716415E+46', '98970403492096836047571641500000000000000000623', 51, 3);
    T('477.67014754455404', '344.6915', '477', 12, 2);
    T('-8662967.062651165498512', '2.2871839662589030E+58', '-8662967', 1, 1);
    T('8926477781.945', '5.84689000008947903E+38', '584689000008947903000000000008658042325', 83, 4);
    T('3012527707670.28375', '-3.066699926645669546664236729E+36', '-3066699926645669546664236518544189930', 5, 1);
    T('88732881.44020', '-8.2671E+36', '-8267099999999999999999999999911267119', 100, 4);
    T('-484937', '6.99460E+49', '-484937', 56, 1);
    T('-3.083967E+13', '9.64320666965440604E+40', '-8797864282496', 70, 3);
    T('-5.6406042997566684796262', '2.228308471E+14', '-5', 28, 2);
    T('-2.8316427558573628211879E+55', '-2.617E+24', '-2607407679280326203408384', 1, 1);
    T('3696.3527898629', '-30043.3252310222813087651', '-28939', 79, 5);
    T('-3.9313781395160263302270389', '2.2230738438465007213900E+23', '-3', 62, 4);
    T('723.8942138231131384740465', '-9.1E+3', '-8457', 10, 0);
    T('176854454549882105', '5.7E+6', '176854454551117305', 99, 1);
    T('-6952.159489735279408', '-9.3', '-1', 75, 0);
    T('-58.3847655443220541695298083', '2.95773730811478447537', '-58', 52, 5);
    T('3.2366086064118E+25', '-9561.461415777804', '-1369', 97, 6);
    T('67763926.201789210113', '-785688780.729880099758398391', '-718536714', 1, 2);
    T('-84291843639231430960.96282', '7.93283E+9', '-84291843633728487440', 26, 3);
    T('9.497853847464002431274740', '5.8068326427293671135E+26', '580683264272936711350000009', 37, 2);
    T('-73.6385009046427', '-4.9287993E+23', '-73', 65, 6);
    T('3.671248105461516050883E+63', '507.328902559071379806967847820', '3671248105461516050883000000000000000000000000000000000000000507', 76, 4);
    T('-9.74232063374783421E+26', '673683490.8426127404848152387', '-974232063374783420462801374', 16, 1);
    T('-75.360271676', '-4624.94876268933921543156774', '-11', 44, 5);
    T('8866646', '-1.17572623818657550155298846525E+53', '-117572623818657550155298846524999999999999999991133354', 10, 6);
    T('8.5266361862920076E+49', '4007441.522973374420762731', '85266361862920076000000000000000000000000004007441', 73, 2);
    T('6.4096958456329E+31', '87850916315401503301', '64096958456412238096777661071941', 69, 0);
    T('8.494503242188453793406058423E+30', '-5.33826E+8', '-113314056', 2, 4);
    T('96896.925702026602580499381', '5.1610E+23', '516100000000000000096896', 69, 5);
    T('-8.7309', '3367.237223', '-1', 72, 3);
    T('8.5215441605086204E+35', '9008576.353956333977836207020', '852154416050862040000000000009008576', 99, 1);
    T('5.280916605219E+46', '3.2012841768582060160819166E+59', '320128417685871982822121185690463862969470946855952207314944', 82, 5);
    T('-6.7621518643E+61', '1183595.640474210259356786', '-67621518642999999999999999999999999999999999999999999998816405', 21, 2);
    T('189803628.78', '772621.9389107950362858845', '190574189', 55, 6);
    T('4199.5528425335', '-6178.77077', '-2049', 70, 1);
    T('-72.7389849627', '-151.85254232561144121958', '-7', 55, 1);
    T('9136.37563772382769', '8.75854151581472E+23', '875854151581472000009136', 97, 2);
    T('1.82299522349282307750E+55', '31.2185190327656060', '18229952234928230775000000000000000000000000000000000031', 92, 5);
    T('1825122226.502764239', '-9.357040133756', '-9', 80, 0);
    T('-853185.409066868631234635290', '-416665838.28383965954168914677', '-327873', 62, 4);
    T('6.2908314727', '568.0266838043130225972', '574', 27, 1);
    T('2.658302228724', '5491.835123619', '5491', 98, 3);
    T('-797918681.4818452329236', '-2.38541912956E+33', '-110052825', 22, 1);
    T('-7.471100782506E+21', '-40', '-40', 38, 3);
    T('-7.4667521', '60553482804.651885742347824046', '-3', 46, 3);
    T('-1111784019.306530971907990', '-1080.960', '-19', 19, 4);
    T('3.569468', '-5441654418113644999183500.02861', '-5441654418113644999183497', 29, 6);
    T('7130605.204847458612190', '-66063199.58199706661', '-59769363', 70, 4);
    T('-9.9701E+7', '-94641.172128096351006', '-86273', 36, 2);
    T('-8063.467515542451863980409', '32.2860526032522', '-8031', 27, 5);
    T('55083.76842954317560', '5675611506.61810181130971472875', '5675612027', 2, 0);
    T('-11.59910833', '-6941.76247087992605778577', '-9', 65, 4);
    T('2590131.7980512066', '-8.3E+5', '-535053', 59, 6);
    T('-4.09839E+50', '5.4E+6', '-409838999999999999999999999999999999999999994600000', 3, 1);
    T('-2079754.1785876370406', '4.06330E+9', '-963594', 27, 6);
    T('5.63769832809492700E+63', '9846711.4774573556706', '5637698328094927000000000000000000000000000000000000000009846711', 73, 6);
    T('-6.632E+57', '-2.17890082317414711E+26', '-58198518453605150516536832', 22, 2);
    T('5968.87352701672387291871979951', '-7.480390071059285883655E+48', '-7480390071059285883654999999999999999999999994032', 39, 1);
    T('-1258.4560876468067702948940', '3.22E+58', '-1258', 20, 6);
    T('-8E+49', '-7.574737679437275922547464566E+40', '-50384543314375793733403452234780099592192', 29, 5);
    T('-4.1229612E+29', '8.24222E+54', '-84241692591218501796742823936', 47, 0);
    T('59575509.40397155', '-260644.9634524855989056', '-193059', 85, 3);
    T('-2.43782168072781443497911544', '1.016954E+10', '-2', 88, 5);
    T('7.0E+4', '-211.962042111570218729', '-131', 61, 5);
    T('-2.1671535828', '7.259598E+56', '-2', 58, 1);
    T('320473.5271744621', '9.69334404482292E+31', '96933440448229200000000000320473', 63, 6);
    T('-6.46590889237992160092090084887E+42', '7.649E+9', '-6465908892379921600920900848869992399373760', 28, 4);
    T('68.65150', '9369507833.319385955692906588', '9369507837', 24, 2);
    T('2.76174407710650E+30', '37.940', '2761744077106500000000000000037', 79, 4);
    T('-2.14424419', '-5.4E+7', '-2', 28, 0);
    T('835.10803', '-2.54080374782425039983119E+31', '-25408037478242503998311899999421', 23, 5);
    T('7.87301082805495957E+63', '-4.241341353495571005E+67', '-42406420124292009593847933440348995121597004831221367934545435820032', 29, 3);
    T('-26.9', '17416730.07877795521543', '-2', 46, 1);
    T('6056769739.649340', '-8892.58095465283', '-561', 22, 4);
    T('3.679816206343E+54', '-7.088241769E+56', '-705720262554139559737469575994339677204501817519706734592', 78, 1);
    T('-539728612.0429167965429', '7.367968', '-539728609', 42, 3);
    T('-2.303E+6', '9939.146551763273787212', '-2293765', 8, 6);
    T('6.928962874530679192728511', '4.353747392153659E+38', '435374739215365900000000000000000000006', 2, 5);
    T('86237196011967153.4698638365', '866035.6579408982115062', '86237196012304115', 44, 6);
    T('53.16823398197280547027665758', '5626261.2058182156', '5626293', 58, 2);
    T('-1E+18', '-892.3110496916164380441', '-892', 49, 0);
    T('-8.08790E+42', '44.8819290281853', '-8087899999999999999999999999999999999999956', 98, 2);
    T('-43383.8834533869938311503923', '40487.55388919', '-8529', 41, 2);
    T('-3.607535900234E+41', '-9.20E+8', '-920000000', 95, 3);
    T('-64293584.0558873666730', '-5.89690412243344321120415124676', '-5', 9, 6);
    T('705108093.71431990', '-6.4092E+7', '-30467843', 43, 6);
    T('936234.63698198574300988622330', '-6.02788582642014001803362937E+46', '-60278858264201400180336293699999999999999063766', 18, 3);
    T('-964389781.343', '73778357.8400343335444', '-958016257', 83, 0);
    T('-90.52', '496.768332619', '-10', 10, 1);
    T('-965071833.313234718525282897', '-3.8E+4', '-36937', 42, 5);
    T('-41576565044677064.8760856679038', '-7.31632333964541678626113E+32', '-5542260803897800', 9, 6);
    T('-8.41485E+25', '-64713.96036520622381310757', '-64713', 17, 1);
    T('8.661475787170250', '58664230727381273.6780791073870', '58664230727381273', 16, 6);
    T('9.64150538962147715759928524759E+32', '8.905446337084245E+59', '890544633708424500000000000812010183823765354872350508146648', 14, 4);
    T('648078684.656504792312180', '-2.72413769E+69', '-2724137689999999999999999999999999999999999999999999999999999351921316', 48, 5);
    T('475692253', '-18022.447', '-545', 43, 0);
    T('506.83055689709877624408316703', '3.8495092E+19', '38495092000000000506', 69, 2);
    T('-9.92293858140101328628E+23', '176049815.977284300275872326512', '-992293858140101325988105', 17, 6);
    T('-6.4E+2', '-9E+51', '-640', 78, 6);
    T('-7.242091376369429482530018E+54', '-1.7429E+30', '-1315625699229520744988324921344', 20, 1);
    T('-9.6491746004087687054041E+46', '-8.45938932120790', '-8', 64, 3);
    T('-662.988863379424341881195815058', '902925057.477604475979583', '-149', 22, 6);
    T('-8842.93527950164', '-89707456.09855', '-650', 67, 5);
    T('9.8E+3', '-822021579.195652276445', '-822020483', 63, 2);
    T('-181247461.84417', '62096.165634', '-181210469', 4, 1);
    T('-9913.02870195429299087796951296', '1.64281E+7', '-697', 51, 0);
    T('5.2175E+5', '2.386552E+9', '2386556630', 66, 4);
    T('8E+15', '9.0759100244E+36', '9075910024400000000007961362474205184', 27, 6);
    T('-5.7E+6', '-6.780645534991037160469824E+70', '-5700000', 6, 3);
    T('74699856', '-67.066', '-3', 85, 5);
    T('7.098E+8', '8.1', '709800008', 22, 0);
    T('7.06393607032388E+46', '196157773.8940', '70639360703238800000000000000000000000196157773', 95, 0);
    T('47551039.94206470652057', '9.1889813305E+22', '91889813305000046465599', 86, 1);
    T('-32.0278', '-5.36600E+50', '-32', 51, 4);
    T('-99150212.77488725', '41944890703301771987.69630034', '-84470017', 69, 3);
    T('2.046817E+7', '-616902.952570475155170', '-75782', 59, 3);
    T('501.717816322', '4994514.516831', '4994551', 29, 5);
    T('-1672.404294899547545823417', '-1.70514950033136410491014E+65', '-1672', 35, 0);
    T('1.74940437154965849E+34', '764', '17494043715496584900000000000000764', 61, 4);
    T('7.48503887822354098651E+21', '536.306201', '7485038878223540986526', 48, 6);
    T('4.62669E+30', '-6.8350432E+60', '-6835043199999999999999999999998078402717060075665911934091264', 80, 5);
    T('-1.0197051220502399121263476039E+63', '7', '-1019705122050239912126347603899999999999999999999999999999999993', 47, 4);
    T('-182418.3373226', '80964.3398', '-180370', 25, 5);
    T('7.2539447E+53', '1.1383746E+9', '725394470000000000000000000000000000000000001138374600', 4, 0);
    T('86304738711053454.656001395', '-4096389.5842682859865949621', '-3178753', 59, 0);
    T('-2517.66478108751362', '320.6368267', '-2197', 17, 0);
    T('53.060077060576514964340659815', '-317024.07686552426515256478957', '-317003', 10, 4);
    T('-45.58935128852900614148117637', '-9213423.8521885035408843214', '-45', 97, 5);
    T('-392.1', '83810.5351052536499029511594558', '-134', 14, 3);
    T('4.315353823925041569291E+42', '4207.335671', '4315353823925041569291000000000000000004207', 5, 6);
    T('-6063.37196171514610', '-1.7760583512070734358836328999', '-1', 99, 5);
    T('-9.2785E+66', '-5.68427367', '-5', 61, 4);
    T('9.64E+8', '-91568.7543', '-1200', 41, 5);
    T('-6.2715354542856259323512359452E+65', '9.402946815552173914E+34', '-627153545428562593235123594519999431876848742671489357663621742592', 36, 5);
    T('613311', '-3.3E+2', '-65', 56, 5);
    T('-4619073272', '-2.4196711494485824998171604824E+68', '-4619073272', 65, 6);
    T('-15.808065993132', '2.4654143490E+28', '-15', 48, 0);
    T('7.32777E+9', '-7.1016802994327972261E+27', '-7101680299432797220995530864', 49, 6);
    T('-7.2436810842933321183448E+35', '599704.47982180', '-724368108429333211834479999999990120', 87, 5);
    T('-5E+68', '2.358733283E+16', '-499999999999999999999999999999999999999999999999999976412667170000000', 23, 2);
    T('5811959.87810771198761', '6.2509391E+16', '62509391005286135', 40, 2);
    T('-2.50E+31', '3.362401440346813397E+29', '-24996804431216386648000805009408', 46, 2);
    T('57035465.2789637191781', '-6.12217241423644755093E+47', '-612217241423644755092999999999999999999942964535', 7, 5);
    T('-947897968.46897898629170935', '-9.68583424235917274414090E+41', '-946325104', 96, 1);
    T('182543.3395972', '-8.68E+4', '-70145', 93, 5);
    T('-36.6602931442162560377', '-5.381086566671576E+17', '-4', 64, 3);
    T('-3.92040030818E+47', '9.0775653224529849903E+24', '-392040030817999999999998176492361414443036280992', 21, 1);
    T('3.91E+8', '3.95634307E+28', '39563430700000000000105787328', 75, 5);
    T('-8573245.1793060652573760584409', '-3.64034290598414740207E+45', '-8573245', 98, 6);
    T('-4965902658909182.034018', '8.3E+8', '-4965902634266750', 8, 5);
    T('3.4542E+9', '926617.21835610370', '3454987225', 2, 3);
    T('62451425.63420', '-55.145537254563356444240118605', '-23', 69, 5);
    T('2.5755529958851235910305E+70', '-8621563.831787098314716', '-8621563', 11, 4);
    T('476.220', '-5E+41', '-499999999999999999999999999999999999999524', 93, 2);
    T('587273031.521924846097741', '-2.89843647508192637929449174E+61', '-28984364750819263792944917399999999999999999999999999412726969', 96, 4);
    T('-8.4584652786890E+15', '3.389738551995845504537', '-8458465278688997', 45, 5);
    T('-413.7074217910022825', '-44.7826834292009846502810', '-9', 24, 4);
    T('-7E+2', '8.1194E+68', '-700', 84, 1);
    T('-66016221.9949437273619', '9.30325744272E+41', '-66016221', 77, 2);
    T('80.435070', '5122420.62590927', '5122420', 9, 4);
    T('-2.6537058617967E+15', '-6960009.728999666775008359', '-2757385', 5, 0);
    T('-6.85E+3', '-6621331.3859751448937766824728', '-2177', 72, 5);
    T('-2.94517121401956980886015091748E+36', '3289.95334859184822860657452030', '-2945171214019569808860150917479997735', 88, 5);
    T('453961.001', '7.31201210E+25', '73120121000000000000191817', 56, 1);
    T('-2.90788157232E+56', '6816.8757427867529671', '-290788157231999999999999999999999999999999999999999993184', 86, 6);
    T('4.20602334867433222953055394433E+56', '-5.20171257558', '-5', 10, 0);
    T('6.78325339381121444078996301500E+53', '-26461.4679169265882', '-26461', 63, 4);
    T('-53.0417147729', '1752329.24681192333991', '-53', 76, 1);
    T('6.881585519895212120086139983E+60', '96860682.6279141764264757', '6881585519895212120086139983000000000000000000000000096860682', 86, 0);
    T('-3293446303.35599218508529309160', '8.5E+3', '-3293446283', 15, 4);
    T('206.23042727084972263269', '-5.3266473622227E+34', '-53266473622226999999999999999999794', 20, 6);
    T('-495770407203736.588', '-2.458703716264E+21', '-72716078187416', 91, 6);
    T('96041188.1850702434088459', '1.1994802896773630033747E+46', '11994802896773630033747000000000000000079263972', 65, 1);
    T('12741.619834343490', '2.3987715183009657500E+21', '2398771518300965762549', 42, 5);
    T('342377723.8825463208549450', '2288.962423804175664308', '342379771', 32, 5);
    T('4.98169E+8', '7.01997E+61', '70199700000000000000000000000000000000000000000000000498169000', 31, 1);
    T('-16688764.83', '3.552', '-16688761', 13, 6);
    T('8.8365165912E+57', '31933045.8919394229', '8836516591200000000000000000000000000000000000000031933045', 26, 2);
    T('2.2E+7', '-812495.779', '-17487', 12, 2);
    T('5.36178951180930623640219916151', '-16.644852537535', '-11', 86, 4);
    T('-9.0787475083514E+51', '-8486308052.3790', '-8486308052', 20, 6);
    T('-776711.7257016', '-2.0118177961616144E+25', '-694791', 4, 2);
    T('3.28526109085E+16', '239350253.655329915', '32852610979803629', 97, 2);
    T('-49.43775', '759.2', '-1', 12, 6);
    T('-24045.1650699547', '-9716306906.7431372803', '-4553', 80, 2);
    T('9.99140453466574805943279520', '-96201060.504744127718309', '-96201059', 69, 2);
    T('9.8772E+38', '2.6354618942294E+68', '263546189422940000000000000000093048557190382700514090027898227392512', 60, 4);
    T('5.03586180752732656923E+34', '4.2906E+8', '50358618075273265692300000429010848', 56, 3);
    T('-1.538', '787.393617041823971691687292341', '-1', 85, 3);
    T('9.78248511234778405', '1871502.900357476021098333', '1871503', 87, 6);
    T('-6.2614893489098853E+62', '2809580033.509', '-626148934890988529999999999999999999999999999999999997190419967', 94, 0);
    T('-63781973044919610262170338.54', '-8.881E+5', '-264226', 58, 3);
    T('95.78211391545501321997152430', '-493816.5533979143002338284985', '-493729', 72, 0);
    T('180913959.85748', '-3.70611305', '-1', 79, 6);
    T('4.18E+3', '7180.619304404641150518164273', '7260', 47, 2);
    T('5.58E+5', '986932.282345', '1019828', 46, 0);
    T('-1.28473482999342787E+69', '1E+3', '-1284734829993427869999999999999999999999999999999999999999999999999000', 100, 6);
    T('2.60823908259870265E+21', '-66.555889', '-66', 35, 3);
    T('4821910235140344534736.98526', '7.18408426151775086E+66', '7184084261517750860000000000000000000000000004801067576064873879248', 7, 2);
    T('8517.542969199860900190586', '73.0', '8525', 94, 0);
    T('7.587460417385303277', '-9611.8480', '-9609', 38, 2);
    T('13562748.180166039814626', '72.4536138126', '13562748', 74, 5);
    T('1304654435.639945586462504', '9505943.629850428067974', '1305706231', 51, 6);
    T('-204183645600.426905841933665', '2.84E+29', '-199888678304', 24, 0);
    T('-2.053E+35', '-61062789.823863985467', '-61062789', 50, 6);
    T('-59533861416555.3773', '7.6E+8', '-59533659553899', 79, 3);
    T('-54623.1013126620989125215', '-6', '-5', 29, 1);
    T('5.064441929645733718564960153E+44', '8.4E+13', '506444192964573371856496015300075182362411008', 16, 1);
    T('-2.11116226428400448637587344E+62', '-743792370.8153352120426', '-743792370', 5, 6);
    T('8.0551845E+52', '-728922680.49257', '-728922680', 78, 1);
    T('7.0116528783505268687553940600E+63', '-26299.53656717209577948', '-26299', 46, 4);
    T('-9.71382E+43', '4880251.62024331123305974', '-97138199999999999999999999999999999995119749', 27, 6);
    T('4.219399850874357651591505', '285.312', '285', 39, 3);
    T('4.704275568575116E+22', '-6.4619', '-6', 38, 2);
    T('557.76555929053392914914', '-2E+9', '-1999999443', 23, 2);
    T('-879.954489118', '36.615734066682', '-843', 73, 1);
    T('-7.85787926879674565384894E+66', '-988606.105744927804361432458', '-988606', 62, 4);
    T('3E+6', '-8.053E+5', '-2356', 63, 2);
    T('-193255965202966296', '-36.59695546771941895', '-4', 63, 0);
    T('6063565.1', '1.8179995520596186E+35', '181799955205961860000000000005014989', 20, 4);
    T('8.370446538204822381E+68', '-7517.6554681467711639', '-7517', 61, 6);
    T('-7.5573023948781553E+33', '-1.621E+44', '-81134899840405484357280284147712', 28, 4);
    T('5.820020528237680065', '756877.535820525', '756877', 17, 1);
    T('-5.249523952322041100365E+32', '3757622.1182946565503415194307', '-524952395232204110036499999916490', 2, 1);
    T('-253111.72710130902715970168708', '-29.19409', '-21', 12, 3);
    T('644.68136986284', '-5.39E+8', '-538999868', 31, 0);
    T('4.0724E+29', '-9.297003558', '-9', 13, 0);
    T('-72019577.37284581882033858828', '9.1840678160181E+69', '-72019577', 38, 3);
    T('6E+7', '-5.25980E+54', '-5259799999999999999999999999999999999999999999940000000', 42, 0);
    T('380625787.67681671155', '7.643E+44', '764300000000000000000000000000000000380625787', 74, 6);
    T('755.61016852134', '-8.76265219979395122E+40', '-87626521997939512199999999999999999999245', 88, 5);
    T('6.2480869052817E+46', '6.38745560363341973E+61', '63874556036334259065148215696115794645702550206075549945692160', 31, 4);
    T('489.5323353129081427386464', '3.50E+6', '3500009', 83, 4);
    T('-236074230.533', '8739505.19436017466', '-236069957', 60, 0);
    T('2.611861393550983711146056E+62', '3.197E+5', '261186139355098371114605600000000000000000000000000000000319700', 28, 2);
    T('-7577888965.98765122', '6.422384092941121489768591863E+52', '-2175625413', 79, 5);
    T('-64764470.4160537703', '-20076.0160050', '-2594', 40, 0);
    T('-203.205451510739265245', '-88751899.4402671595847', '-11', 20, 0);
    T('-2E+8', '-1945451.9780569516202453644', '-622955', 98, 1);
    T('-3.49957259872902E+44', '9.51509869539674232493113077475E+37', '-349957169379442882292222487811750203447016704', 39, 1);
    T('-3.1855468E+55', '-71267436.4774013062257972832135', '-71267436', 63, 2);
    T('9.0E+6', '397508.9651619283255989', '9393348', 47, 0);
    T('-76269.31388586947644023155', '875599239.15267266376408', '-75881', 68, 5);
    T('-1.727450139E+51', '-374.08023589466468557', '-374', 11, 2);
    T('2819398.43036537', '-9.2E+7', '-89180858', 42, 3);
    T('-986611136.294', '182779.45559403238875', '-986461189', 16, 2);
    T('-2.81886412056528527E+20', '8.55783', '-281886412056528527000', 51, 2);
    T('-501350193.296496009833344', '-4.26245421934791945738E+22', '-148962081', 42, 3);
    T('7.12652645E+40', '-3E+60', '-2999999999999999999999651708504673267566785086459829179908096', 74, 1);
    T('864', '4.1430335E+22', '41430335000000000000864', 15, 4);
    T('7942964.82304072', '-6.92E+8', '-688260300', 1, 2);
    T('-2.17330965934694179E+56', '-1651952.6279626952010', '-1651952', 53, 6);
    T('-10619.80198899191211376691', '1.2710020155590E+23', '-8571', 84, 6);
    T('8.0696574E+27', '1590071375.7', '8069657400000000001443270735', 31, 6);
    T('5.35838993127020344779708586', '3.7E+9', '3700000005', 82, 1);
    T('-894126228846224.115022879801550', '6359.1365003', '-894126228841993', 54, 4);
    T('5557595296103529521.2501', '8363.8791058399117687804143', '5557595296103529659', 34, 0);
    T('-623740262.439212', '7.802165106310392267E+42', '-70092134', 51, 3);
    T('12188.931994227924208760', '8.4427304480E+50', '844273044800000000000000000000000000000000000012188', 44, 5);
    T('464.2', '350316.53808920018', '350716', 79, 4);
    T('35655.0424965295', '119925.732684312953157046291', '122743', 71, 0);
    T('6467502.907087576', '6.79921636586E+23', '679921636586000004329390', 44, 4);
    T('5.8085649065705732E+32', '-3.47381759E+9', '-1326071798', 35, 4);
    T('74032.2', '88705.432923', '97201', 45, 2);
    T('453.520725767375912577', '6397429.858333111312369272', '6397429', 52, 3);
    T('-6.5323253469785E+23', '6.13549827E+61', '-614272254609438028743680', 20, 0);
    T('6.651E+4', '-2.2991514E+9', '-2299151394', 55, 3);
    T('1.20282946860354803E+26', '2.1802384600137027E+49', '21802384600137027000000116569882666096042596220416', 14, 6);
    T('-878795335.65557394962411019482', '3625.53082616286688313790', '-878792775', 22, 1);
    T('3910.14740759', '9E+7', '90001350', 80, 6);
    T('-3524622650485.4381106309710', '-460011492.8899049', '-56689761', 90, 2);
    T('-5.0556373626042', '21630.677996099059', '-1', 67, 6);
    T('-8.2098125519582E+53', '-5.167883471214', '-5', 88, 1);
    T('1.9903259767028570867997', '-4.32497465714327627157405185E+39', '-4324974657143276271574051849999999999999', 69, 3);
    T('-715665218328777410.756', '-81071.51241207023869', '-4225', 7, 3);
    T('448516.525492566265747021', '455.929172514968', '448967', 5, 2);
    T('6.91612E+9', '-4.1E+2', '-26', 35, 5);
    T('330775.1545983238764849977', '217.4640634825', '330975', 84, 0);
    T('-45871.867', '-9.3036965585500163694154E+45', '-45871', 54, 2);
    T('8687148473834.700016728980458', '-462613.1339870582284996839296', '-66069', 44, 0);
    T('1726089037.0233725945', '7.944858E+39', '7944858000000000000000000000001726089037', 74, 1);
    T('6.11472781', '-757501.3814374031972668577', '-757497', 19, 5);
    T('9.9334868377693522975481668631E+35', '-513.091', '-513', 39, 0);
    T('1.3376594790899069526789E+27', '-8.791325E+8', '-809533012', 14, 0);
    T('-8.1442E+43', '-56.802780', '-56', 15, 4);
    T('-533829.2025', '-666463851344956.025470157', '-533505', 45, 3);
    T('879439.001052883847285084175896', '2.3018692748873848434E+29', '230186927488738484340000811855', 12, 4);
    T('-8.5555388E+24', '6881989', '-8555538799999999995739451', 36, 3);
    T('68.5646869982968999782880', '-8067114.419926', '-8067114', 29, 4);
    T('2925.7261469300331039933239152', '-5971799263.339340437279', '-5971797139', 8, 0);
    T('3.25132800390707E+28', '916.254889574896309054654174849', '32513280039070700000000000916', 24, 2);
    T('-6.7773', '-7.0571597001290761870E+66', '-6', 96, 0);
    T('-8.362439E+53', '5.7016805550579', '-836243899999999999999999999999999999999999999999999995', 66, 6);
    T('-4.233E+5', '6.8962360E+56', '-423300', 23, 1);
    T('2.386888294447239373E+61', '745088284645081826112666.51391', '23868882944472393730000000000000000000039088654076246934598810', 32, 6);
    T('-3.787564096E+48', '7.70154137334783515589E+23', '-3787564095999999999999999234974093652057874990712', 92, 1);
    T('-237011826.03096236414', '-24973221.605592841570370083935', '-2097953', 37, 5);
    T('6.9754697699604087E+35', '8765007.02778746026', '697546976996040870000000000000376399', 56, 6);
    T('35315093.75088228', '-2E+1', '-3', 82, 1);
    T('1.15541E+60', '1.11E+44', '1155410000000000009769010477162618066918654882793711145582592', 38, 3);
    T('23455.7019544918851245403720507', '-9.6788291E+48', '-9678829099999999999999999999999999999999999976545', 95, 4);
    T('9.17E+5', '-9.9E+42', '-9899999999999999999999999999999999999083000', 23, 3);
    T('-59182.496424618221835', '177225.53732633724992978080255', '-17189', 79, 0);
    T('-523514265.9505', '3.411142372E+40', '-523514265', 13, 1);
    T('-5.10158025419953901794661890576', '10895449.41023708116513', '-5', 53, 0);
    T('-853993520.594760916474718058', '-8.28739727298E+58', '-853993520', 86, 5);
    T('2.28867028E+45', '872750504316632954.3831', '2288670280000000000000000000867120455026605946', 81, 3);
    T('7.596833143460882571626', '8.8692696611194078638E+66', '8869269661119407863800000000000000000000000000000000000000000000007', 28, 4);
    T('-936089.680740690', '654228.53037202858233703892', '-393225', 52, 0);
    T('-6.7231637446580162E+37', '-1.872911E+25', '-6347008273369266665291776', 45, 6);
    T('-9.05049483E+49', '-8.1755720683235E+60', '-8478163972069295552563680004554879211323690844160', 6, 5);
    T('-6462962.2056471253056048', '7.505284658E+61', '-6462962', 36, 4);
    T('-8.18991215690799229815436535E+62', '25304088', '-818991215690799229815436534999999999999999999999999999974695912', 89, 6);
    T('656554025.2891353305909', '4652463507231717272.6743', '4652463507233816505', 51, 4);
    T('-82898951.383298089227', '-3073.47', '-1', 11, 4);
    T('-4.11E+3', '-5.8320377583122E+20', '-4110', 48, 5);
    T('772.032097039016', '-1.0313889824504428015226765', '-1', 22, 1);
    T('8.0050404', '77.377039', '77', 38, 0);
    T('89.701282024115238324', '521882072.6797214057237776', '521882073', 28, 0);
    T('5.4719430252204703543589E+58', '1003.95621165998', '54719430252204703543589000000000000000000000000000000001003', 85, 0);
    T('9E+3', '9742.4309276146', '10030', 93, 6);
    T('1986.65338625988620669753', '-23525.68485', '-22565', 50, 2);
    T('6366.86948479726869091054291282', '-82.512873567373', '-2', 30, 3);
    T('-8358428957548549.31811019487710', '-3162.4', '-1', 90, 4);
    T('9.490522983012769996', '1451869301564467424.8080981', '1451869301564467433', 3, 5);
    T('-17409623.84853863', '-5.3594E+25', '-632407', 26, 0);
    T('-9.08751380660386218379711', '47.46508509096427290871547228', '-1', 5, 3);
    T('28.55487395629555', '1325883440367980.298', '1325883440367996', 58, 1);
    T('8.42812698957477448485E+43', '150944.57', '84281269895747744848500000000000000000150944', 67, 1);
    T('-6.72736843027E+54', '3.348E+4', '-6727368430269999999999999999999999999999999999999966520', 80, 3);
    T('130.991169018418601', '-7E+8', '-699999870', 65, 5);
    T('9532315.869548514597273', '-35417.4607792', '-34881', 10, 6);
    T('-5.27E+6', '-1.5193E+5', '-16746', 60, 0);
    T('8878086.03016292538792851', '85770954.75446', '94370510', 86, 6);
    T('1.005085580307532762069E+33', '8.8030662233767434183419E+68', '880306622337674341834190000000000000993981682072536744077646562217984', 8, 0);
    T('-3.46665161', '-81959.16932', '-3', 24, 2);
    T('-169393963.85640818066851821134', '-8.96E+5', '-568107', 37, 1);
    T('-4.13729170', '4.8281494745969259555208E+28', '-4', 6, 6);
    T('-8.76768659792009013168502E+52', '-4.788284942972E+28', '-42131078981898197301422981120', 36, 2);
    T('-8.9218138086E+46', '-8.32434001005708E+64', '-89214180257790872506430533542006609912140922880', 27, 4);
    T('8.586903965E+40', '13995.53', '85869039650000000000000000000000000013995', 79, 4);
    T('11929990.424214089720172793334', '909018400670786.952661', '909018402901446', 57, 6);
    T('1.3698180969657565535945073726', '3E+1', '31', 17, 5);
    T('47.238528404222187', '4.283061478811E+47', '428306147881100000000000000000000000000000000047', 44, 2);
    T('63.5294296247933514', '-5.21E+40', '-52099999999999999999999999999999999999937', 79, 3);
    T('-3.96E+8', '6.639140E+10', '-42082496', 35, 1);
    T('-2024.104073720090', '34.2553516', '-1990', 81, 1);
    T('5.37091E+67', '-7.6889195E+54', '-6132414309141085850414097736951582525102699124476608512', 73, 0);
    T('63950.4619033', '4.5E+5', '458206', 73, 5);
    T('2946011.037689679042094766', '-4.2816164064187975E+38', '-428161640641879749999999999999997053989', 54, 4);
    T('81.79', '5.058500268113384622468813801E+30', '5058500268113384622468813801081', 22, 2);
    T('8306.36572200738317775865222', '-2057659928.592178352317768260', '-2057651718', 79, 4);
    T('-5193794258.8596687', '-322704.16534871771660274380', '-130', 71, 6);
    T('-71386.889703341250544699524560', '-74114385049971328.23', '-602', 65, 4);
    T('-2.44105461E+70', '-4884666007.3560763585', '-4884666007', 21, 1);
    T('7.776979478169E+63', '-3.33673609602780863300275E+29', '-1905272055634701902593118912', 57, 3);
    T('-17.611525994', '8268258670.16212597158839205949', '-17', 19, 0);
    T('-3.1193844628684167335E+61', '3.61038909198845413', '-31193844628684167334999999999999999999999999999999999999999997', 77, 6);
    T('5514610191.974437897', '-7.5073027133690476526197103E+52', '-75073027133690476526197102999999999999999999988316657', 26, 6);
    T('-9.344E+40', '7.15107013126352476E+37', '-93418398011043868989672586694308394958848', 68, 0);
    T('0.00035698544244', '5782.88575', '5782', 18, 3);
    T('8.41617231348709506457404', '7397.7', '7405', 34, 1);
    T('88.0966236851227801300331', '7478.7257', '7550', 23, 2);
    T('-479.443910989090862853685653440', '-114.474396857322467914831416966', '-81', 85, 4);
    T('-6.8E+57', '6.9395836611473296373E+62', '-130286073912325947091773488322388268798199634097101340672', 69, 4);
    T('66120.2924080018', '-6.761418023890932173', '-6', 31, 0);
    T('6.12E+55', '377422432.4743', '61200000000000000000000000000000000000000000000377422432', 13, 5);
    T('439487330.50649606135876008', '8.81825563E+40', '88182556300000000000000000000000439487330', 83, 1);
    T('-30944.87823604108973553056350', '933268.251574772', '-16460', 4, 1);
    T('282731056.2601782278026534339', '3365200.568757046066067', '284916592', 39, 4);
    T('-4.0093040E+61', '9.4E+26', '-40093039999999999999999999999999999989704169185730522171572224', 80, 1);
    T('5.4E+48', '-8.9E+6', '-8900000', 54, 3);
    T('446402050995.330278185209', '262376681190.9472088519177879', '549755748343', 96, 2);
    T('-8.464257075289491029530110', '-2.6E+67', '-8', 53, 6);
    T('2.05543E+8', '-24288938.32911193932021503', '-20088994', 65, 3);
    T('-6.406655147691907303E+51', '-8.452801344024449012573415E+60', '-412280491457860012481269781717556865599152047783936', 65, 1);
    T('1.467748999224563638235E+24', '3400.9', '1467748999224563638235000', 99, 6);
    T('-88087496.97069828996699459', '-7.1280966E+60', '-88087496', 67, 2);
    T('-20123.402583681281892703380', '40.91966056569708075', '-20115', 25, 0);
    T('53282.1835952615165', '9.595E+8', '959504098', 57, 6);
    T('-9E+6', '-1252661088.5591944118815', '-8918048', 22, 0);
    T('-4.8987E+31', '53948.3731659035557649184214', '-48986999999999999999999999946052', 98, 5);
    T('8.02908244036E+24', '6.6036683323408E+27', '6604273097461851298035302400', 8, 4);
    T('6258458677636069136437009378.58', '-732672644.8420948840421', '-572596226', 39, 1);
    T('453891036328.706478251648095726', '8.45411E+58', '84541100000000000000000000000000000000000000000453891036328', 21, 0);
    T('-2.8732E+13', '562785.39518034535108585', '-28731999994271', 16, 6);
    T('2.153E+41', '-2.4907044897082787E+42', '-2485082501012087260579585265739126141878272', 14, 3);
    T('4221934641489621344.56846233', '273861708.4975979455', '4221934641759124844', 68, 3);
    T('-75738423.31132227415', '537.5254975944971833225032', '-75738407', 62, 1);
    T('-8.545023856525E+32', '5.4494897347599251671195', '-854502385652499999999999999999995', 84, 3);
    T('-2.3E+64', '8.218256324062587481756995', '-22999999999999999999999999999999999999999999999999999999999999992', 6, 2);
    T('-5.56805020500E+54', '8.880878538642E+39', '-5568050204999994532583264733958671553865406600441757696', 20, 0);
    T('8.58755609E+9', '-995883402.718327388451211010', '-18690', 5, 3);
    T('-8989617.33349515311544370568507', '1358531650602.289', '-2961', 24, 0);
    T('-820566793', '503.09423673716541', '-820566537', 65, 6);
    T('-6346097.94837356397165879', '-2.54030571141199845087863317953E+42', '-38257', 66, 4);
    T('-6682.823', '6.27E+3', '-514', 68, 0);
    T('-9.51644403800270927491E+48', '-3.7343079614807090408641339294E+65', '-2934689649231759896498282380530897845456392421376', 97, 6);
    T('-9.86211892244788310E+39', '6.4921E+9', '-9862118922447883099999999999997844810336', 17, 0);
    T('31100.57626962968597013362', '77840664.8810329', '77855100', 60, 4);
    T('-1498885.02564785242', '-5531237377518982.9472', '-396549', 73, 6);
    T('-267848024.103157788680242640', '301723.8209043166923173', '-267583813', 88, 6);
    T('6603753324.19665795004339425', '94333.0915', '6603765629', 16, 5);
    T('-2.83954007129320E+29', '-8.7985800E+19', '-14196471978000416768', 69, 6);
    T('2.87230360130E+63', '-1.796E+24', '-1437098264797262722891776', 75, 3);
    T('-29798093.81211265595906', '-9.2193771086965E+61', '-29798093', 12, 5);
    T('-2.12856157624900555465E+53', '7015', '-212856157624900555464999999999999999999999999999992985', 72, 2);
    T('-678768414.75392331837974844009', '2.26987385887471361801E+22', '-7348250', 40, 5);
    T('8.46169160660012409680230552643E+30', '-3.03972281773910095481E+69', '-3039722817739100954809999999999999999994888215502967750921111230035298', 11, 3);
    T('-629354565718142719.7707571', '-13872.1676952657936134265575431', '-9775', 46, 1);
    T('-3037945252.8837473208645420093', '-138.2733848534027126128938728', '-130', 99, 6);
    T('-8.463943442E+39', '9.13717626747667328848867523914E+53', '-5732379180335514188440575482759974223872', 66, 5);
    T('-403706.629630201096254334896558', '7272277837.24030119', '-2225', 28, 1);
    T('-3.3122163E+10', '-184253.942982', '-2357', 46, 5);
    T('8.684319948952E+45', '2.6649642', '8684319948952000000000000000000000000000000002', 54, 0);
    T('-804761.25', '1E+6', '-1433', 92, 3);
    T('-71.7', '-3850979', '-67', 84, 1);
    T('9.675825E+38', '-3831.2464105245569088685', '-3831', 46, 6);
    T('-65954853.64982', '9.79186832637E+13', '-61490209', 51, 6);
    T('9.743589596E+70', '3.955634E+9', '97435895960000000000000000000000000000000000000000000000000003955634000', 35, 5);
    T('-86861372085.861760347', '9114152676.5302662137135', '-86440480785', 73, 3);
    T('3.20E+41', '-4.218388626036', '-4', 69, 3);
    T('864146.52623785762744744407286', '-1314.88686319294560099', '-34', 62, 1);
    T('4.57577E+9', '-6.646087346027326310267118686E+58', '-66460873460273263102671186859999999999999999999999719197296', 3, 0);
    T('7417.288075590565618468', '86045.289705628240016016', '89341', 81, 2);
    T('41149.84597914545867', '-3E+18', '-2999999999999958851', 75, 3);
    T('-6.516344187177260E+44', '761721470.73851648557053841', '-651634418717725999999999999999999999238278530', 95, 3);
    T('-5E+6', '942.60', '-4999186', 15, 0);
    T('-6.2728691119E+27', '-90479171.588606522792111039165', '-21273155', 19, 2);
    T('-3143287132.900', '19.6350036', '-3143287113', 52, 4);
    T('1.2898405E+24', '-8.748797566E+22', '-11890875498805338882048', 46, 1);
    T('4.8E+7', '-1.57407029E+46', '-15740702899999999999999999999999999999952000000', 94, 2);
    T('2.8E+50', '-2.405026517E+24', '-265791111301331121897472', 42, 0);
    T('7028758.05181814165932697956', '-487051.9', '-274057', 4, 1);
    T('1239.450704718685368', '3.13419874758970361856847054877E+60', '3134198747589703618568470548770000000000000000000000000001239', 30, 3);
    T('5.16E+37', '6.167580188017066954085480476', '51600000000000000000000000000000000006', 18, 1);
    T('485483945.396', '-357306.85620384442954289', '-4625', 99, 2);
    T('-2.27300382215011E+69', '5.885E+66', '-2272227085847982180293851479368845687652362629404975478779333996183552', 46, 4);
    T('551310.784068470', '3.174378E+7', '32276398', 37, 1);
    T('-51895.764622059494506998', '-81106791337796822612.1861', '-49683', 73, 4);
    T('-1.541025022268874589482', '-84.127489289', '-1', 21, 3);
    T('-8.9876387614632412358229341905E+33', '-42080205.8052248591070193505754', '-41943181', 22, 2);
    T('-2.9657582694953673909687732E+66', '-211130.5489254097', '-211130', 86, 4);
    T('3.36530763', '6.9476400366185457E+67', '69476400366185457000000000000000000000000000000000000000000000000003', 68, 6);
    T('8.916216438978350504E+29', '4.803860E+61', '48038600000000000000000000000000079494282054929090194550308864', 58, 2);
    T('-1.825939117223507829932207798E+28', '5.3598698256895524455E+30', '-7528661842294808140979929884', 68, 5);
    T('-3.014629039E+46', '8.7510009420334375E+22', '-30146290389999999999999914962504044825357166656', 6, 5);
    T('31.560180145737614169518855', '-7.6263082605420115348E+34', '-76263082605420115347999999999999969', 33, 5);
    T('-7.044661109395798E+53', '767709379.5496024213', '-704466110939579799999999999999999999999999999232290621', 72, 2);
    T('-3.759058488363768874718550650E+54', '7.247E+4', '-3759058488363768874718550649999999999999999999999927530', 54, 0);
    T('-71.5912020961508188464867426', '6.49082630593871', '-65', 18, 6);
    T('-1.617179E+20', '7153998.426450631285287', '-161717899999997630130', 91, 3);
    T('-878825590.7499366986', '4828285723.69', '-538972261', 88, 1);
    T('-4.094904559262750E+60', '86762.66796417134', '-4094904559262749999999999999999999999999999999999999999913238', 78, 2);
    T('1156570799.258929515', '-2.70729843873376E+16', '-27072983306608977', 99, 4);
    T('6.593233E+64', '-3.38202905028991668303E+39', '-2828639081144234429879767177097127657472', 77, 6);
    T('1E+63', '3878499101.80748', '1000000000000000000000000000000000000000000000000000003878499101', 78, 6);
    T('-2.881304976556046237590710661E+65', '5424253988.29562081753', '-288130497655604623759071066099999999999999999999999999994575746012', 62, 4);
    T('8.213794423E+61', '9079.139466050170111244551642', '82137944230000000000000000000000000000000000000000000000009079', 12, 3);
    T('3.651', '-2359.537582149425742953', '-2357', 51, 0);
    T('-7.7513735209232463417', '-2.2175183352952584259149360559E+29', '-5', 65, 1);
    T('-8E+1', '-6903.8403788466592141', '-71', 79, 5);
    T('-4417586397.2875119956587787', '562.38808533263379', '-4417586381', 97, 5);
    T('9.2781636967164778E+25', '379693.6884521559576261114', '92781636967164778000019245', 40, 0);
    T('2.5843E+12', '902057646.526', '2584325447598', 39, 6);
    T('4.93939343767401461679420E+32', '40.342762007898711', '493939343767401461679420000000040', 3, 1);
    T('-2.5323034905353567816420552164E+43', '8148769763.48234918', '-25323034905353567816420552163999995621123101', 75, 4);
    T('-9264.2913134423', '-53309069379684761941815197', '-9229', 8, 0);
    T('7488968919.66408928', '1.827965123E+18', '1827965129782189783', 71, 3);
    T('-964.245329734691742', '-5.10604504239881979751400002754E+70', '-964', 47, 2);
    T('-7.76258259340555831178317792673', '6.05E+5', '-7', 42, 5);
    T('-3.6771180583785575933768980050E+37', '-7798.23019555532344023351396', '-4726', 89, 5);
    T('5.317892281994204E+37', '-3.55780281618E+28', '-30523110209447760543643598848', 35, 3);
    T('1314595824601435424993.3311149', '181057.423862624405180685599', '1314595824601435458529', 50, 2);
    T('5.653518489218063016E+19', '4.731521110841220922612037413', '56535184892180630164', 14, 5);
    T('3.3658255E+13', '94537.692916083', '33658255012297', 85, 2);
    T('-4544.4313187474869947867645628', '-701894525.2382330455457222471', '-317', 83, 3);
    T('-4.7754433194740291899E+23', '73', '-477544331947402918989991', 69, 6);
    T('7.20E+24', '1.745E+7', '7200000000000000017450000', 69, 6);
    T('-6.528417E+12', '9.82141661955468610', '-6528416999991', 88, 6);
    T('3.653E+7', '5.4513644341E+46', '54513644341000000000000000000000000000036530000', 56, 6);
    T('-659605772028993581874155367.67', '8295504872.451188874', '-659605772028993574893782023', 6, 6);
    T('2.52581792832464056E+25', '-5.0974258E+64', '-50974257999999999999999999999999999999994087004525431509024393216', 43, 3);
    T('29392968.78762379486119', '-9530255.87418632383765743703', '-1141639', 69, 1);
    T('1.1E+2', '-67981926.083856', '-67981826', 55, 6);
    T('-8.19E+4', '-53455.63547746', '-4299', 88, 5);
    T('-6.936508165634521097', '1.225807779104515036E+55', '-6', 88, 1);
    T('603', '-6.334495250274577296', '-5', 37, 3);
    T('83052.06572317347496', '4.45248E+60', '4452480000000000000000000000000000000000000000000000000083052', 78, 6);
    T('-218736828.517849889615805631', '-5.4911385870730E+31', '-218212540', 32, 6);
    T('-5.9E+6', '941.241784905162', '-5899347', 79, 5);
    T('349.7964276', '69643972.1471557652', '69644253', 49, 1);
    T('33.09219379157', '-186332770.2078378801', '-186332737', 37, 5);
    T('-6.0045500522387E+31', '42977.32138118436400897387794', '-60045500522386999999999999957023', 25, 2);
    T('120816.92407131954215693', '-9.33393458E+14', '-933393457881104', 31, 4);
    T('6.478', '34786.8798595078762834916011', '34790', 2, 5);
    T('598080192200311.049411760', '-45.5543436412137784', '-9', 52, 6);
    T('-9.67619698E+33', '-3299.325043796594076897189520', '-3299', 43, 0);
    T('7729231568.09548937', '-9.500701478387357043963400271E+31', '-95007014783873570439626341812528', 8, 0);
    T('5.0696371143943270E+69', '-2.66E+8', '-266000000', 50, 1);
    T('-68.4386449522', '44.027210', '-68', 25, 5);
    T('6492720560422266.948237', '47565181.004848353051', '6492720565976447', 16, 6);
    T('6.517261955505111434E+50', '450.49', '651726195550511143400000000000000000000000000000450', 67, 5);
    T('61669633.17717336561', '-8.62101194208154E+38', '-862101194208153999999999999999971884799', 17, 5);
    T('-2.5E+24', '1.40012', '-2499999999999999999999999', 96, 2);
    T('5.390100521E+61', '4.26E+27', '53901005210000000000000000000000004256930414156065071540731904', 52, 3);
    T('-22402826.644', '5.78126050878E+58', '-22402826', 98, 0);
    T('-55.317846', '-1215.164200448316728', '-55', 86, 0);
    T('-5.75210E+33', '1.7809072634797E+22', '-5752099999984560038139102122966528', 98, 1);
    T('-4E+5', '-236.2', '-108', 61, 2);
    T('-65436.12411254509', '6.0815045774864111791E+37', '-65436', 12, 1);
    T('180236.6204064931573429356582', '4.40173414579046701920994550E+59', '440173414579046701920994550000000000000000000000000000180236', 28, 1);
    T('-96346145.013723167447358605119', '9538.29941751401788116', '-96337953', 36, 1);
    T('4.02E+7', '6.3E+25', '63000000000000000006645568', 90, 1);
    T('-5.10188616E+35', '327635.451947749', '-510188615999999999999999999999672365', 55, 5);
    T('2.288937726115E+42', '-5.0006674385258336996284096E+68', '-500066743852583369962840958605326048911175214903810190203229764059136', 60, 0);
    T('-36223845.026', '-22.9', '-5', 61, 6);
    T('-2.5595180918244E+43', '2779596.60521437121089936', '-25595180918243999999999999999999999997220404', 93, 3);
    T('-20562845.65784432384904844363', '2.094405764539611964704', '-20562845', 71, 0);
    T('-7.61508598973055E+47', '-315523.909669281740378', '-315523', 4, 0);
    T('-4.28660119775849165044784631E+69', '4610179980.488661567912132427', '-4286601197758491650447846309999999999999999999999999999999995389820020', 23, 6);
    T('-5233263.63490211940', '-81613107.7094162270', '-5066787', 98, 2);
    T('-52.850517832835282776844697076', '-9578986.0047166638516', '-34', 29, 3);
    T('7.3200702781850852987063866E+46', '-8.383566842E+16', '-81064864221395200', 75, 5);
    T('8.497E+7', '6005966716.06970109900467891576', '6005968764', 75, 1);
    T('-93.24404441277', '23081369.292094891395354891', '-69', 67, 1);
    T('4.69607E+20', '7981735.41', '469607000000002116263', 23, 0);
    T('-4.24699554E+9', '559644.69837314145510', '-4246995012', 29, 2);
    T('8.0722855680708274752381195609E+30', '-2.5065E+5', '-229658', 48, 1);
    T('-888.96294321501167555822680117', '-2.4637398254127809E+26', '-888', 72, 1);
    T('-4.374048158161959141993176951E+53', '-84323.093101248405119778896', '-84323', 49, 6);
    T('2.43887877911130818234300778E+38', '-5.883220815E+44', '-588322010666670885581139741467300672585555968', 55, 0);
    T('7237.0316952533684033342', '-4.62055647876E+57', '-4620556478759999999999999999999999999999999999999999992763', 99, 4);
    T('-63177.135603455154514', '1.49678300853E+68', '-63177', 40, 2);
    T('2.70E+22', '9.879150147742657416E+63', '9879150147742657416000000000000000000000019001011179264302645248', 68, 0);
    T('-455916.7977050776', '-4.8781578212E+13', '-266380', 27, 0);
    T('4.9E+2', '-7.057447', '-5', 7, 1);
    T('-7.6826536020150202721273E+51', '-5.90930607E+13', '-6273016022880', 49, 6);
    T('-76201.8834468249187034371570', '-1.12E+4', '-10665', 72, 0);
    T('142.35147162325311', '-6.0582535579868753', '-2', 16, 3);
    T('-3.9338882023672578523E+70', '97.24813275664504566584', '-39338882023672578522999999999999999999999999999999999999999999999999903', 83, 1);
    T('12828277.8676122231986', '-2.93E+7', '-20709643', 58, 3);
    T('9.79806271803231554213E+64', '-7.425127617E+23', '-609482767242476095422464', 61, 2);
    T('500148329397381.146871433162', '-3.355999240340E+24', '-3355999240056181799846779', 8, 3);
    T('97813.23229744987963', '15931705.901998', '15957821', 14, 5);
    T('1.2639798075857332677554128427E+38', '-42.432129023122808533922651', '-42', 61, 1);
    T('-8795682972342771889.738', '1.94942759147772124141E+43', '-5908873388284272817', 77, 5);
    T('-8.299542E+12', '95747.8597050577634446', '-8299541987709', 87, 6);
    T('-3.8959222E+9', '-4.9009E+9', '-538250264', 60, 5);
    T('45.232586179714839944780132', '-76.63380206427991514424371365', '-67', 91, 0);
    T('-5.2299316465236E+41', '8.7592303577726', '-522993164652359999999999999999999999999992', 99, 6);
    T('-289656289.6030460', '3343035563.01', '-268517697', 67, 4);
    T('3.285284074596577E+38', '939813942.48626311859933588', '328528407459657700000000000000402943030', 49, 3);
    T('6.0090111539365E+16', '-8.726E+59', '-872599999999999999999999999999999999999999939909888460635000', 70, 5);
    T('-613295.79364', '8.18E+56', '-613295', 77, 5);
    T('4402749934392607593138226.3', '-3844439388.8', '-3825497418', 72, 5);
    T('9.245514392044259E+32', '168.829455', '924551439204425900000000000000168', 10, 2);
    T('-9.7269081003582234E+42', '26.7', '-9726908100358223399999999999999999999999974', 36, 6);
    T('-8.92569E+9', '2.055551925538025609E+24', '-8657111184', 88, 0);
    T('2811706912.599803950170306579', '-8458329645.73902556720883311', '-5773508621', 63, 1);
    T('8E+65', '-2.1882124044E+22', '-21882124044000000000000', 68, 1);
    T('-1218938170.283788885592254998', '-16591724.3614039482477464637073', '-10813738', 67, 0);
    T('5E+2', '3.69770632328E+61', '36977063232800000000000000000000000000000000000000000000000500', 4, 5);
    T('-4509.02286322720517', '7.009802142661727623E+50', '-4509', 48, 4);
    T('68715484406663613010.52', '-3.70987618150E+63', '-3709876181499999999999999999999999999999999977509462168667157934', 6, 5);
    T('5.98908191786078999732064338E+65', '-3.796E+15', '-79650698117120', 73, 5);
    T('7.2824E+36', '-9.723459E+61', '-97234589999999999999999998418944794603370175183356874108960768', 74, 5);
    T('9576184.79772517591820022225267', '5771287.232310124982718', '14294783', 73, 3);
    T('3684.813719100', '19553139.040606456896942459888', '19554167', 63, 4);
    T('7024878473.214', '9952.3842063384', '7024879593', 92, 1);
    T('-1.554E+6', '-88.681236287', '-72', 29, 3);
    T('64.9425469', '127430801.644986785', '127430865', 69, 3);
    T('-3.953255281737E+19', '33222.6731646630260643322615705', '-39532552817369967162', 45, 4);
    T('-3.954646572254E+60', '9.80804326016790897168309535', '-3954646572253999999999999999999999999999999999999999999999991', 77, 5);
    T('-1366.707581931', '28956809.397851', '-1365', 56, 2);
    T('-7.43222E+43', '3.92786E+69', '-1494882049563135060520370977224936814280704', 43, 4);
    T('-3.80864E+7', '7.08626032848331', '-38086393', 100, 0);
    T('542025983', '-645956132.950', '-109052417', 58, 5);
    T('2.65E+5', '-99.97872100039', '-67', 85, 6);
    T('54.6917910764613', '-6E+7', '-59999946', 60, 2);
    T('-2469714333.051455213900259236', '-3037838.1', '-2381965', 95, 3);
    T('5.03762400509708179217553462087E+40', '-7.97126629701388259044642717353E+65', '-797126629701388259044642715981200848929705847869331657810485553152', 11, 1);
    T('55.2428340101513140192649858110', '-7.746405489054168', '-1', 52, 6);
    T('-353638752573806', '1009175.19775810', '-353638751967593', 48, 6);
    T('-1.23812833950', '-9.4815', '-1', 26, 2);
    T('424079315.9016517479', '8170216407.241584', '8589934551', 53, 0);
    T('-1446', '-6733515580955.84', '-1025', 43, 0);
    T('43.4704023', '-91243596847851.48', '-91243596847809', 9, 5);
    T('42018.4487511163889', '-56.9685721936432840886', '-22', 74, 2);
    T('2.4340667356033018325', '146957062109.7914388', '146957062111', 91, 4);
    T('4.344998E-196', '5788.36406175537403361', '5788', 21, 2);
    T('8.64846E+31', '-11696828.040', '-11696828', 60, 0);
    T('-5.4237768322887786211430104722E+46', '3.6154456712463E+58', '-2854670174159048378416447539650809244687007744', 65, 0);
    T('4.90461947498105864085328596617', '-1.258011628080852768264436E+36', '-1258011628080852768264435999999999996', 78, 6);
    T('-9.7949144541081138786285E+25', '-7461483.9395792', '-6361155', 54, 4);
    T('-2.414660763690379092E+25', '9.704897E+57', '-2040545399285981789479424', 77, 5);
    T('-589938.388437820502330', '6.0051153408E+44', '-589938', 71, 6);
    T('-1.21174964E+33', '-7.4883E+8', '-77741360', 38, 1);
    T('3.2407773E+49', '-2.150161478805128E+69', '-2150161478805127999991159264358049405322389764956713707558237716348928', 33, 2);
    T('-8609760.6168720780040902', '-1.04030785151458229034178', '-1', 30, 0);
    T('133756.9543296282462672294222', '3.38244', '133759', 67, 5);
    T('4.674015879', '4.6576', '4', 53, 1);
    T('3E+9', '656.2577788046548195345930', '3000000144', 41, 2);
    T('-31782.39', '-3884.7745', '-3106', 37, 3);
    T('-6.65699860537373192E+70', '-63707231.23', '-63707231', 4, 2);
    T('-98665.14983566412307596304', '278157.4', '-98657', 66, 0);
    T('-6.92215564110059E+19', '311.61662402199646923953592615', '-69221556411005899977', 14, 5);
    T('8.7015E+8', '5225114.89989932065857813', '870318074', 58, 3);
    T('6.813967362292E+35', '3.2943294375834293E+41', '329432954813736740447538280109348044668928', 44, 2);
    T('956386.75738332154011572240', '5.10238', '956391', 27, 0);
    T('7.3760741089E+36', '-61.539075874654301', '-61', 34, 1);
    T('2288612.4970591373943575587725', '2861434.66387507494053424401857', '2878462', 62, 2);
    T('-5E+1', '-9860923.1', '-49', 38, 5);
    T('15132382.0371007', '1.569314817598936280', '15132383', 32, 1);
    T('-92010.2017912350', '-7.85447257820847E+17', '-82690', 85, 2);
    T('-2.5111E+7', '-429936.29656901250', '-395592', 29, 1);
    T('-4.02985E+7', '6.2848050174446799625', '-40298498', 66, 6);
    T('-3466580832.7395', '3.1942E+49', '-3466580832', 52, 2);
    T('-86182927.2881750', '2.0788447993607109E+32', '-86117391', 51, 3);
    T('-7173348.31226108', '584.624', '-7173284', 68, 2);
    T('-4.72209055938254', '-3.0821322443821E+68', '-4', 56, 2);
    T('-1.11136937080E+43', '-2873694.974', '-2873694', 36, 2);
    T('-197.84795086897908771453744261', '6.6603254630017317950203637004E+67', '-197', 34, 5);
    T('997204708.53401002241733936', '4.703293484', '997204708', 45, 3);
    T('-32.294060783611434058114520507', '604132586.4692983533', '-22', 76, 5);
    T('7.0071936988186188878E+45', '3.1E+9', '7007193698818618887800000000000000002160475904', 27, 2);
    T('-2.92548223492877915382700845675E+58', '-79090.0094461427354757445753', '-79090', 93, 6);
    T('1.0176242E+21', '-900466976987792952770.601', '-14997005107750391234', 88, 6);
    T('-941921.4261824350318083510023', '4.256801764E+55', '-941921', 78, 6);
    T('4.914926220E+43', '9204408.62468539075659013', '49149262200000000000000000000000000009204408', 86, 5);
    T('17026011.649866389033586838466', '39123.9655060069036', '17030107', 65, 4);
    T('4.04E+3', '-31.88202502020918078081577289', '-23', 96, 4);
    T('9754527140.2214908540', '-3.57E+16', '-35699998919309916', 38, 4);
    T('3.34508E+23', '-2.512260515631', '-2', 75, 4);
    T('-9.20066519335E+56', '-1169354405.353', '-1169354405', 68, 4);
    T('-9.69188578124303489586176E+66', '512166602.88685203222920028207', '-9691885781243034895861759999999999999999999999999999999999487833398', 73, 3);
    T('4.74834570685891970', '-3990472701.04', '-3990472697', 77, 1);
    T('-9859381228.2402953', '2.543644E+59', '-9859381228', 77, 3);
    T('29.00', '2.1E+5', '210013', 8, 2);
    T('4.40861406989989504816905078E+66', '6.590009226740533E+22', '4408614069899895048169050780000000000000000056744583510984935254144', 49, 4);
    T('-7.13E+61', '-17.414808', '-17', 7, 4);
    T('-2199.5023314038854', '9.4362581075933196868355E+42', '-2199', 10, 5);
    T('-9.0E+6', '8349981396.168834857', '-607276', 77, 0);
    T('72.4821065241518', '-8.99134948486E+39', '-8991349484859999999999999999999999999928', 5, 0);
    T('-685210.8', '-37.6673658216448623481359', '-1', 78, 2);
    T('2466.966154860500', '4.79393541842746101055E+42', '4793935418427461010550000000000000000002466', 43, 6);
    T('6.7E+53', '-9188', '-9188', 29, 2);
    T('2615.24373905701627', '-60145672687.678208338200575349', '-60145672649', 28, 6);
    T('1.60888912895707737489854681E+69', '-3.05506039893474065675771304E+38', '-214037230196982668378529637796264706048', 39, 3);
    T('8227255231498390885893.6', '1.7421E+7', '8227255231498391508685', 9, 4);
    T('-36398585.0559169', '-2.73517290573686054064841749', '-1', 36, 4);
    T('-3.815112790E+34', '-4607.10264786196', '-4607', 38, 0);
    T('-6.77594419190186737851898771E+32', '16235.1314964965', '-677594419190186737851898770997397', 60, 5);
    T('-9.72161789816362502E+28', '-3781', '-3781', 47, 0);
    T('22614.1324216659057', '1.109250880373031571761692200E+39', '1109250880373031571761692200000000022614', 52, 3);
    T('89340.5228917844967160459567851', '88710056.42336571154', '88727548', 38, 4);
    T('80794.99781728695789911682', '2.25E+6', '2326426', 48, 1);
    T('7.16502697E+34', '5.48964174', '71650269700000000000000000000000005', 31, 3);
    T('-5.31', '-81313.122879690408443138283598', '-1', 9, 5);
    T('-5922428.36956', '5.5971E+39', '-5922428', 6, 3);
    T('-3.8134477760609', '8.012E+31', '-3', 85, 6);
    T('-591427.7699116539', '-6927.433976', '-515', 39, 2);
    T('496248346.9459932018', '2.93975261468770638042755385E+43', '29397526146877063804275538500000000000271898', 44, 2);
    T('-7.409771E+53', '-11661163.6795850742', '-11661163', 25, 2);
    T('-2.45784056E+63', '5.712286999144735647943212E+42', '-2457840559999999999994337480710620273814368052131709647328378880', 42, 3);
    T('2150.609', '3318056456.81509496003322066', '3318058606', 63, 1);
    T('4299.8826386978576532412', '-8204264.110007326570644', '-8204069', 17, 3);
    T('-9.88777310E+25', '422343.20271784', '-98877730999999999999839801', 47, 4);
    T('6.1885892E+43', '3.6E+46', '36011520695548788535057909294276148115940573184', 60, 1);
    T('36585555.9301250379838198045', '26230.2574745516', '36595319', 51, 1);
    T('-8.958655265454103479905852209E+65', '7797227.306882771', '-895865526545410347990585220899999999999999999999999999999992202773', 13, 4);
    T('948694.750127078663318705979509', '40502826', '40796158', 20, 0);
    T('643183.919', '2354.498459478166', '645503', 15, 1);
    T('-1.698E+34', '-4.4927E+69', '-1380236295213467297999833358401536', 98, 6);
    T('90677.439723', '-8.213166912668073373858487', '-3', 28, 1);
    T('-6.95563E+9', '6.952762E+23', '-4438785456', 52, 2);
    T('-5E+3', '-8.87886E+70', '-5000', 59, 2);
    T('2454311552971549.73414773184561', '-8.50666E+6', '-8490019', 30, 4);
    T('-13133.601498938858547503', '-1.27153847134330336392E+48', '-13133', 92, 2);
    T('4.523801722E+36', '-1.966770E+56', '-196676999999999999995986341851691812151824892000930365440', 12, 4);
    T('-9.253887197E+30', '-155211278.138892090265', '-22030', 59, 6);
    T('-817.087609892', '6.338050830303184398831812E+48', '-817', 61, 4);
    T('-492.599739722821837384', '1.69339E+7', '-484', 22, 4);
    T('-7934.140651134069', '4.916E+5', '-7854', 24, 4);
    T('721700.00665233', '-69936142.050138', '-69215242', 86, 4);
    T('-8.2495E+36', '-260360951.704755540559109156005', '-260360951', 70, 4);
    T('-513714792019773967189.838', '6.318497176100332E+65', '-153413311031252175701', 83, 6);
    T('9883773893.898093', '7.24399761911131533764138E+46', '72439976191113153376413800000000000000203320261', 32, 1);
    T('-93.89081707273547498982753', '490.528', '-21', 25, 0);
    T('-6.33E+4', '-5904191090721.0358680', '-28673', 73, 2);
    T('94870.8568781149741962', '8.832682499343178E+44', '883268249934317800000000000000000000000094870', 32, 4);
    T('7.07899E+57', '9.085981276758344253E+66', '9085981276760263622846325270876581579560089639567477771991670325248', 15, 3);
    T('1.0795440048924865366244842928E+37', '-395989.33021626148823264', '-133845', 85, 1);
    T('9.23200487E+51', '-79679020740704787922080.344640', '-2903094811854633073824', 54, 1);
    T('-93.18345736052527899957170', '58.827788', '-69', 13, 4);
    T('1.4680918693834797E+29', '-63385.6796522287740195504634', '-55193', 88, 5);
    T('615.8889870920061', '5949.9323', '6015', 61, 5);
    T('9.324350276E+56', '6', '932435027600000000000000000000000000000000000000000000006', 58, 0);
    T('5760.5', '-3.45999E+7', '-34595164', 58, 3);
    T('-6.3909487E+9', '-3.241E+23', '-4908262236', 7, 3);
    T('-33916110.071907', '-8E+8', '-33883342', 8, 6);
    T('-6761703439021318.3', '7374003666972.3810305191', '-6756546247734530', 49, 3);
    T('448482.1211789083024', '-1.330611E+9', '-1330184214', 54, 2);
    T('-78', '7.4357701781765921758979074651', '-73', 76, 6);
    T('-57039', '51.3106', '-57037', 79, 3);
    T('-3.453970E+36', '-6.29700', '-6', 50, 6);
    T('8E+50', '-4716.691970', '-4716', 47, 5);
    T('-2720667424.73001854556301537', '-6.90E+9', '-2181039136', 25, 6);
    T('877579.2313287887', '6.249792', '877583', 6, 3);
    T('-9.911695421E+49', '9.4674435120992', '-99116954209999999999999999999999999999999999999991', 67, 4);
    T('-1.014659730095150266', '-4793.30', '-1', 3, 0);
    T('2.40180415152880609522357198975E+33', '4.9E+21', '2401804151528955986566419733635312', 99, 2);
    T('-2.5821480E+22', '-2.98E+8', '-25370240', 96, 5);
    T('-6E+35', '5094.263346020904828', '-599999999999999999999999999999994906', 90, 1);
    T('64.612718000335352898067187', '4', '68', 79, 5);
    T('28059.351809', '95226356.426089', '95251967', 51, 4);
    T('-5.3768858E+39', '-4.146910E+54', '-3584940894590484822033445575652676730880', 47, 1);
    T('76369609.6724709917484756738859', '-83.8069890238761732276485062410', '-19', 64, 2);
    T('193.6526944745647469708', '-34.87371', '-33', 87, 4);
    T('-6.55661668462455908476090128E+31', '-8.5897098380E+25', '-7316864180223969768294912', 96, 3);
    T('33746017.022761621885359', '74094148.99088', '107675237', 82, 2);
    T('901603618.0319419045590854', '59729.24063604129580', '901638515', 40, 2);
    T('-4390269338.17', '-157030.340611', '-139522', 14, 6);
    T('-6.340E+5', '50.08651062429369', '-633998', 78, 5);
    T('-6.0833059605500677303002449915E+44', '776695800.84899715868', '-608330596055006773030024499149999999865098248', 60, 2);
    T('210654035.3631788575', '8.4669608176330322474203257E+61', '84669608176330322474203257000000000000000000000000000210654035', 97, 3);
    T('8639788.3737920028720666911', '7.94567E+9', '7945837948', 9, 2);
    T('-62669.89984', '-95.3957053904030162439', '-77', 3, 6);
    T('5.6502242270653E+35', '9.42483581623700E+60', '9424835816237000000000000542595061505684377325048012138872832', 28, 1);
    T('619480.30', '-81519.245806761059932517327637', '-3111', 17, 6);
    T('-3.7E+47', '-4527720.010', '-4527720', 4, 6);
    T('-6.745E+46', '-4.12933E+8', '-412933000', 29, 5);
    T('-1.07E+28', '-162.871', '-162', 39, 1);
    T('8.382385E+60', '-80.6323469670', '-80', 20, 1);
    T('-40238.63623379345742180', '682864691090.270233848884593890', '-38958', 40, 1);
    T('3786146.237502883362', '5.512476923767574E+67', '55124769237675740000000000000000000000000000000000000000000003786146', 2, 4);
    T('4.4803909893E+49', '-7.1540213E+44', '-1405028094758333107775279739889128554102784', 25, 3);
    T('-4.4919E+6', '54933.2', '-4458603', 35, 2);
    T('-5.5E+42', '-4.3122E+70', '-3321156051724968400349075285927215602073600', 40, 4);
    T('7702.601049260', '-7247039.4540112776013284', '-7241897', 92, 1);
    T('9.87266E+34', '18826876.357479869', '98726600000000000000000000018826876', 56, 6);
    T('212654587.6196616095743776280', '31.02666', '212654591', 40, 0);
    T('-4.794179614', '-82276.24006519392', '-4', 72, 2);
    T('-8.842230674849685048895092E+59', '-7.180E+12', '-4431220930560', 12, 2);
    T('231907763.297604263381', '-4.804319136746355E+32', '-480431913674635499999999986327117', 31, 3);
    T('45881.2630479928345948', '3.062E+34', '30620000000000000000000000000045881', 6, 2);
    T('-4.323E+15', '-5074447.9151737', '-5058063', 94, 0);
    T('-320734.89240467614', '73.747363932906634', '-320661', 16, 0);
    T('-3.8739437870E+58', '-586.091414315', '-586', 20, 3);
    T('-6.67771E+46', '9.09917945464135', '-66777099999999999999999999999999999999999999991', 11, 6);
    T('-6.55691090367324756240784427197E+64', '-206816226033359.11', '-65975658462927', 26, 6);
    T('-9.35673652491769523920', '-4.2958260608896678833728E+54', '-9', 100, 1);
    T('46293970.9389487499715163', '1.502931020583567821352E+63', '1502931020583567821352000000000000000000000000000000000046293970', 36, 3);
    T('8.77E+59', '-5040973766902562233', '-5040973766902562233', 10, 6);
    T('837798373.274', '2710.66605142429', '837798903', 49, 2);
    T('1.65698637E+60', '-6.96E+8', '-696000000', 37, 6);
    T('4.24875E+26', '-57889.639184418521', '-57889', 53, 2);
    T('2.2238288909765E+18', '6805400497.107', '2223828897687387057', 84, 2);
    T('-5.9329258860E+34', '96914.536332941', '-59329258859999999999999999999903086', 90, 2);
    T('-5.6064507316510613166636122E+43', '-2.7475965544306778156E+44', '-181718845322089009090376792705587074301952', 44, 4);
    T('6.14E+58', '3.0200116972277628651423114E+31', '61400000000000000000000000004446932382291834754904806979200', 22, 4);
    T('-1.7180531012844', '-4.57574798033621550E+29', '-1', 90, 4);
    T('-511273454.54947013533', '16105693.942857840764800100828', '-503851297', 39, 2);
    T('-7.1679980783379042E+64', '-4.93410E+30', '-2852219687395977403909072224256', 24, 1);
    T('-56541.743486956437168032', '3295953764.76277004683', '-40089', 2, 4);
    T('-95900.3481686811570051318709', '5.5516184367424379401E+37', '-95900', 88, 0);
    T('345547.1165', '-5.7576605725490155091811E+57', '-5757660572549015509181099999999999999999999999999999654453', 20, 4);
    T('8.7E+2', '5.8822166306825E+64', '58822166306825000000000000000000000000000000000000000000000000870', 18, 6);
    T('-9671508.848729', '6.578400967867244147732063E+70', '-9671508', 6, 5);
    T('-9.252E+8', '-4.469E+65', '-925200000', 6, 0);
    T('-891095.6500662270181607238914', '964.369', '-890899', 84, 4);
    T('-14988733.3067786', '-7.38993925127627E+35', '-12891581', 18, 1);
    T('7.62399898245E+49', '-6.95532E+7', '-69553200', 17, 5);
    T('-982681.55212671370', '-6.601638844E+10', '-140305', 55, 1);
    T('-4.19706882722358360632', '-7362668.458585519514685114', '-4', 14, 3);
    T('-2.4126403185174593E+27', '-53507.476209953792271145', '-49411', 24, 1);
    T('-342138.50537212813841804973', '-32.581498822692273920', '-26', 69, 0);
    T('9.2E+3', '4E+9', '4000001008', 61, 6);
    T('4.887236544E+31', '1829682.15040', '48872365440000000000000001829682', 12, 3);
    T('5191203115.43', '-3815.4698022859409957279677', '-1733', 37, 6);
    T('6.386261476108298509305E+27', '-2.32483332588521924E+66', '-2324833325885219239999999999999999999993809590267818029937411739584', 5, 3);
    T('-8.415751717887E+52', '-86.076212', '-86', 68, 3);
    T('624.517653538267471351618898', '-105547.32551772739', '-105483', 51, 5);
    T('-6E+18', '-934419172.437532487139', '-605166308', 14, 4);
    T('501.9837427024383948736314520', '-87707461.87603189775688', '-87707137', 13, 5);
    T('-35.25626357746723385331289', '-1275577.1588191923889', '-33', 16, 2);
    T('442.2963386553124', '5E+59', '500000000000000000000000000000000000000000000000000000000442', 35, 5);
    T('8.9E+33', '-54965.8986438048406', '-54965', 19, 3);
    T('7.93306185558209500171430922535E+41', '-5.5543032E+10', '-21139949760', 85, 6);
    T('-9077842046789747763228252.46', '-9451164.48386541263171', '-9446940', 40, 2);
    T('5.16027398E+50', '-3.5229235997083510034452', '-3', 51, 6);
    T('6.126E+39', '-5.7021746357515095391928160094E+69', '-5702174635751509539192816009393874249535753159111884465514339509469184', 27, 5);
    T('-7083.656796', '5.1234E+65', '-7083', 80, 1);
    T('-9.8E+43', '4.58930096935607418909225515E+48', '-2835271440873973496617233165606382704001024', 18, 1);
    T('-623.19264987978967496637', '7.7087163E+39', '-623', 53, 5);
    T('-1661426.0080652267599480', '-1.9720283', '-1', 28, 4);
    T('1.122536472305039317191814405E+67', '1.25714179935487687387843420896E+48', '11225364723050393172078802809427540304648183579952146122660693147648', 97, 1);
    T('-132.5401570', '513', '-131', 36, 6);
    T('858283582.59679', '6.904076439619470424938729407E+64', '69040764396194704249387294070000000000000000000000000000858283582', 61, 2);
    T('2732.300581369942386', '21176311.8989878054784', '21176319', 32, 5);
    T('-2.04797202028841730533500E+57', '3.335383E+54', '-2047893424382465389557167993312038076865211756801591083008', 76, 2);
    T('-4257.0044136691744913164103527', '80528.23081423', '-33', 10, 5);
    T('8.3', '-9410420264.370335070378', '-9410420264', 14, 4);
    T('80.1148775147840', '-2.60807608098302E+25', '-26080760809830199999999920', 8, 6);
    T('-153.19227367058746792248458', '58153933.289687592545339', '-17', 36, 0);
    T('59798.954957233501091', '-6.02465358033518514415681585E+58', '-60246535803351851441568158499999999999999999999999999940202', 1, 5);
    T('70974.962121273944038698', '-7.41103069513587105E+69', '-7411030695135871049999999999999999999999999999999999999999999999929026', 93, 1);
    T('37', '-344932.5', '-344899', 95, 5);
    T('6.39197153435E+51', '-5.20E+9', '-5200000000', 49, 6);
    T('-4.89216269463190176294E+23', '-34573685.2', '-33555557', 30, 4);
    T('6.626911157E+36', '-1.7966804322986E+20', '-315284019561689344', 9, 1);
    T('7993.11786086941729924218', '-18373230.944220155424424', '-18366533', 63, 1);
    T('-6.2', '-5.9247071169559390805263344689E+57', '-6', 39, 5);
    T('-362582.390245932633572279319389', '-44074795.595131142395', '-32769', 99, 2);
    T('7.5795', '5669.50707377227715826112015', '5671', 63, 3);
    T('-6625710705.38', '183310.5051548', '-6625694321', 8, 3);
    T('5.9E+6', '5.1814309869720318140748188E+34', '51814309869720318140748188004327136', 28, 1);
    T('5206092599.883', '-441905.36', '-5121', 83, 4);
    T('-2.48', '6.0022759093838156E+65', '-2', 57, 3);
    T('463.9', '380802.813157118022654', '380879', 4, 4);
    T('12654.1010', '9.36E+3', '13822', 71, 0);
    T('1.71608E+48', '-2.310862359E+14', '-19980003367008', 34, 4);
    T('-8573.50885603324300431142874', '2704250.61248689452122057720899', '-8197', 83, 3);
    T('-4E+33', '-9.2279256445E+45', '-83989280000029428659481185615872', 74, 6);
    T('1.12440486389747E+42', '7.3047854123884306E+38', '1125130020333156164790025582614960911941632', 34, 2);
    T('-8.55E+7', '-5.313156424633696583997885E+38', '-8288', 29, 2);
    T('19205.193792279396393974', '-55.829', '-51', 32, 2);
    T('-505013541139.9585283', '-4.01957455273E+67', '-505013541139', 85, 2);
    T('-6291518134.12146360981', '-758751255.87041', '-620797973', 60, 1);
    T('-587720.555222455923602265', '6.4040852E+42', '-587720', 40, 0);
    T('-4680983971389440561059843184.63', '-668.57729972414892', '-12', 9, 0);
    T('1.546379146169E+60', '-80840723.037085202390', '-80840723', 47, 2);
    T('-7132988741.366352001277775', '-1.531112149676813099393145515E+62', '-7132988741', 23, 3);
    T('-557.820446823142943622', '-9.4604052749826E+30', '-557', 99, 5);
    T('-4450295347642.7669974141793', '9743794844.1935991', '-4450290858274', 42, 1);
    T('-3960.59076918644259533535', '-533390109.9235040138911476', '-789', 48, 1);
    T('109550749057101953.33', '1.80E+13', '109550803038974081', 46, 5);
    T('-4.127E+5', '-3539723.801471', '-393227', 65, 2);
    T('-3.033657276590388916837364224E+35', '-3.12372332931E+22', '-152370286246513129472', 44, 3);
    T('8952457.436703', '-5177.646203839', '-1073', 99, 3);
    T('-3.936E+8', '5.39245841230', '-393599995', 2, 3);
    T('-1.06263286662353239805884217', '1E+9', '-1', 61, 0);
    T('-7.36118853326942099E+35', '2.6724526735537322E+27', '-736118850654565225423580192240693248', 26, 2);
    T('1572549682603671.9893192867', '224057.5813957784742', '1572549682753471', 89, 1);
    T('133429.6', '-39.552029278925', '-3', 87, 3);
    T('-797033457.5347734153', '-285739911.222688', '-16778113', 10, 4);
    T('-5575920514163.5441118947', '-4.9217265683042099014E+60', '-1177874003059', 89, 1);
    T('-14353.0048676140039172598382', '-231.640703724224', '-1', 49, 2);
    T('-540.0912865905771441', '30347249.8577431', '-11', 34, 4);
    T('-1.0146524389028432013561365127E+41', '9.9E+5', '-101465243890284320135613651269999999861968', 78, 1);
    T('966739.1590868', '-2.6672218063561847E+23', '-266722180635618469557549', 69, 4);
    T('-15396477979.6522196125011829', '-4.47865E+52', '-15396477979', 36, 6);
    T('86341.88895458286', '746401.933680460129743074761', '750565', 58, 4);
    T('53.8293866981159909648539874', '-2569441219046390.99128823246205', '-2569441219046337', 28, 6);
    T('2.62848656099887768677773834989', '9.082326E+9', '9082326002', 96, 0);
    T('206.2019', '196.590873862', '206', 77, 5);
    T('46924.93901666', '-5749869128185.88750859', '-5749869119665', 4, 5);
    T('-3.3934453302783081295E+65', '8566435665', '-339344533027830812949999999999999999999999999999999999991433564335', 10, 4);
    T('9.196376055795515E+65', '-1.741818490761567925850289632E+60', '-128289943281857778720001784811833554405557706951468850872320', 29, 1);
    T('-8.132598104888882425771503553', '3.59506531083600', '-5', 66, 0);
    T('-172937218470.4830791', '-56278.1529034750659342427', '-35206', 93, 1);
    T('4.861732135081999E+44', '-8240262403.9993600', '-2334682371', 77, 3);
    T('-1.029330171136', '5085245.3695277675', '-1', 27, 4);
    T('-6.3100009643843E+32', '-77.4054', '-77', 17, 3);
    T('7497258150414899876086', '7719903.9', '7497258150414904187903', 72, 6);
    T('-6.7E+31', '-2.7646765895489357E+48', '-41208712491230362345679748071424', 4, 3);
    T('-2.181E+28', '-1836567.71', '-1836567', 83, 4);
    T('-639414.2830429364770345241077', '58.743068335249617053', '-639366', 32, 1);
    T('-243404.5633156035', '6.52E+12', '-198348', 91, 4);
    T('-12.222853816935789632', '9641993413.4350564953959014', '-11', 98, 4);
    T('-9.556611E+7', '59425.51', '-95555869', 20, 2);
    T('7.737559151262297009', '9.25129939159723E+42', '9251299391597230000000000000000000000000007', 17, 0);
    T('4.0554280067E+17', '-21', '-21', 74, 3);
    T('-3.522E+6', '-9.9964063438056629768681641675E+45', '-2473424', 79, 0);
    T('-76783286.7315784673465158510783', '-629.9688591991249021233', '-565', 5, 2);
    T('-9.83726892169156418865654059123', '4.02485381195199551495E+67', '-9', 43, 4);
    T('3E+1', '-3.172E+32', '-317199999999999999999999999999970', 35, 5);
    T('8.5642913437', '7.59968577408471580126800E+34', '75996857740847158012680000000000008', 69, 3);
    T('-2.984798622720211E+25', '-64314.8298796580134803757', '-60218', 87, 3);
    T('5.0312E+8', '4.54211402654939672101', '503120004', 31, 3);
    T('-8372.4', '-3.33602349E+37', '-8372', 19, 6);
    T('9.46600101E+26', '-6283.2448872', '-6283', 53, 1);
    T('-73557.06259978522131341528728', '98343.42979487903877', '-8017', 15, 2);
    T('3E+6', '-3.587309225E+63', '-3587309224999999999999999999999999999999999999999999999997000000', 71, 0);
    T('-5.565E+55', '57.3526', '-55649999999999999999999999999999999999999999999999999943', 65, 4);
    T('7887.8294454775783274', '-1.577E+33', '-1576999999999999999999999999992113', 87, 2);
    T('974624695.3856608862510174', '-28685769.73535283745177250', '-27271241', 9, 4);
    T('-424395824.3912471765031247153', '-805698.3596423362905335', '-540674', 82, 6);
    T('-589.76667', '-9717010481.79549652742661852144', '-1', 43, 0);
    T('1065987212.53376720080', '97.39533769', '1065987309', 13, 6);
    T('-22.2279030396364', '1265.2298918313623762632380', '-5', 59, 2);
    T('-38082.1316465740894401', '735.929500220972032353024198625', '-37889', 87, 5);
    T('74223732.25941', '-888394026.5060932272411263', '-814956810', 4, 1);
    T('9.0440249794332306E+40', '-4E+53', '-399999999999909652321120930342498766598720821942812672', 64, 5);
    T('-3.53139E+28', '1.7346293E+70', '-19826804367728063912572092416', 4, 6);
    T('-86.0628456504', '-3.95999685E+66', '-86', 70, 5);
    T('-1.2024', '5918.5952423226', '-1', 28, 4);
    T('-6.2405308982356231944722279E+27', '681260.99024190140620', '-6240530898235623194472218644', 21, 3);
    T('-223139.4080359476746', '-6.778127E+12', '-139683', 83, 4);
    T('-48.76453900792753633901', '-7.05277782147440210324080', '-7', 48, 6);
    T('-7738.79026728110367898', '2.31501852', '-7738', 7, 2);
    T('-2.54E+54', '-476765.241137470254580', '-476765', 44, 4);
    T('-4.567590937990889851655497E+41', '-1.542417388', '-1', 68, 3);
    T('1.56708484454276925E+45', '9.880E+6', '1567084844542769250000000000000000000009880000', 54, 2);
    T('258290.58635664114354', '-9.7144069507728355067995E+67', '-97144069507728355067994999999999999999999999999999999999999999741710', 33, 5);
    T('-7E+16', '294.5935243534130583461', '-69999999999999706', 31, 6);
    T('8.60490227809679570602710011931', '60.656796924553741043', '60', 87, 1);
    T('-2.6466776530747001267514028988', '5.6641071865495148827192E+39', '-2', 48, 4);
    T('-584574097.58179340617737', '66899.33559850948935473743786', '-584507521', 11, 1);
    T('618318053.6148099027', '-50821301507502439301781.827526', '-50821301507501888635409', 60, 5);
    T('-4.0373113325419510940433681E+27', '-2.069E+58', '-1251316841025877723505416868', 62, 6);
    T('-6.983956927997059314375E+47', '-88.3189', '-88', 42, 6);
    T('1E+17', '672.2276233140', '100000000000000672', 23, 1);
    T('-7.6304495722272141177935716E+30', '-4.59082727423095850414E+49', '-2558625421920727064590743168', 76, 2);
    T('4E+5', '27345390.55374807896534132', '27745262', 62, 2);
    T('-5340.28943038096940884079', '-4.31E+4', '-92', 68, 4);
    T('-368.9070764067135680773', '9696418.382', '-334', 44, 5);
    T('2.7E+40', '-7.8055897902085882E+42', '-7802165688343535400622556565653068567281664', 72, 3);
    T('-1.4696466610046108E+24', '211601.21022201760921324', '-1469646661004610799927663', 59, 4);
    T('-3.6773716213E+45', '1459272.17420253785', '-3677371621299999999999999999999999999998540728', 34, 5);
    T('162208.03727365925321804682431', '-680.24809', '-520', 44, 6);
    T('58.22847870063811393034', '-9E+28', '-89999999999999999999999999942', 77, 6);
    T('-28006894029.85412', '-149438740', '-4210945', 22, 2);
    T('-1144590490142873.54090295489', '8.8311', '-1144590490142865', 48, 5);
    T('-1.102E+9', '5490808982.01403945', '-11020138', 82, 5);
    T('-7.9686E+9', '7.4936121340E+47', '-7968600000', 100, 1);
    T('58.801937853701231230', '4.326743181358913516256090E+52', '43267431813589135162560900000000000000000000000000058', 76, 5);
    T('8957929273.2', '377.491929488', '8957929337', 90, 2);
    T('4544601.0356851', '-8442257.88013969941569776411738', '-8421761', 59, 6);
    T('-4.15912E+61', '6798.59200883752642', '-41591199999999999999999999999999999999999999999999999999993202', 16, 5);
    T('-313.483924952938413713133', '7E+42', '-313', 95, 3);
    T('8.024791004428487034324485391E+32', '3.6E+10', '802479100442848703432450179361632', 80, 2);
    T('-9.2E+9', '5.0182497622280740176040961', '-9199999995', 66, 1);
    T('56171706.248697890408', '1E+43', '10000000000000000000000000000000000056171706', 62, 0);
    T('1.22515225148964233E+47', '-9900443441588.80735118', '-8800931813812', 98, 4);
    T('4.9E+3', '7.81242E+9', '7812420516', 25, 3);
    T('-2489030895.90309242493', '-1.686E+44', '-2489030895', 59, 1);
    T('-1.84E+10', '7.6307626230686608E+44', '-18400000000', 47, 2);
    T('9.20585E+65', '-49.1282', '-49', 58, 2);
    T('3.771544595993950338653E+33', '49972.2628507835966809296671', '3771544595993950338653000000000820', 27, 5);
    T('-6125206419.8760054336757394', '-8.9790E+51', '-6125206419', 81, 1);
    T('-1.5037908696E+11', '-6623.804116229495224898', '-79', 4, 5);
    T('9.0235E+21', '8.601684839E+19', '9106620715715599973376', 34, 0);
    T('2.5E+6', '6.7985E+19', '67985000000000009632', 1, 1);
    T('-88150033.960754192073781431959', '6.988537947170E+18', '-83890193', 55, 2);
    T('-5.2674E+49', '92.6044402911405804641', '-52673999999999999999999999999999999999999999999908', 51, 3);
    T('-601898063.44250', '24563421.57719552016541314687', '-578826243', 43, 3);
    T('5685138125376681960556577.2038', '2.2355464327E+33', '2235546437689512520012777310930977', 97, 2);
    T('-945658093.409531303267058268', '118720.4911', '-945557549', 36, 2);
    T('8E+33', '9565961.23923071981245691878178', '8000000000000000000000000009565961', 90, 2);
    T('8496.117805879198924', '-5.164E+13', '-51639999991504', 23, 6);
    T('40708274.12205636186116180617', '-4.273557954E+53', '-427355795399999999999999999999999999999999999959291726', 20, 4);
    T('9.665102E+14', '-581027.421301023544179926023929', '-545187', 30, 1);
    T('2E+3', '5955951.6748985620281', '5957631', 83, 6);
    T('848', '-7.8207317931206807684150905E+29', '-782073179312068076841509049488', 19, 4);
    T('95342.345', '-7.2693266430E+63', '-7269326642999999999999999999999999999999999999999999999999904658', 76, 2);
    T('73838.69317008365', '39654.50016997', '113390', 18, 5);
    T('-93.7047042794586320000148459', '7.2232099', '-89', 26, 3);
    T('2.44608E+8', '94.0996811326567817780023760348', '244608094', 31, 2);
    T('-770555827266945217987', '-7.43473473E+21', '-18557084470272497091', 47, 1);
    T('-92924075', '-15.3860081732105', '-11', 3, 6);
    T('27102.596430587543306269332953', '-3.46117824239961311E+60', '-3461178242399613109999999999999999999999999999999999999972898', 65, 2);
    T('-7.3904549', '53.94624748415', '-3', 90, 1);
    T('2.5489536460422702655198038688E+33', '-72.03304522583773', '-72', 6, 4);
    T('8.255E+63', '6922688.523926', '8255000000000000000000000000000000000000000000000000000006922688', 40, 5);
    T('3E+2', '99605988.505757059679712365', '99605996', 80, 6);
    T('-2241.7157424535381754', '79.0643495254036188', '-2177', 98, 2);
    T('9051286.620724971668088', '-6.1083451608197291865E+21', '-6108345160819729048130', 74, 5);
    T('7.9408258119080E+67', '-7613089055.1674840', '-7613089055', 51, 2);
    T('9450948217.3737103352', '1.4633715007532103282964E+63', '1463371500753210328296400000000000000000000000000000009450948217', 73, 5);
    T('-353.0231597', '7671837794.4173598660539809414', '-257', 3, 1);
    T('9.227865289274E+19', '28053.235852732210', '92278652892740025749', 62, 5);
    T('-16468493.930642060261385', '1.098599431192275670E+61', '-16468493', 64, 2);
    T('222936.782067', '-3.836410503557489221270E+55', '-38364105035574892212699999999999999999999999999999777064', 41, 1);
    T('901.61287992', '3017539748.1654392737', '3017540517', 17, 4);
    T('-5659466046.16903210082583', '-3.299873610927949477370197496E+61', '-5659466046', 90, 6);
    T('9.530233086E+50', '4.19304280751529541394105596053E+63', '4193042807516049551688534145228049952559545715746769610083401728', 94, 1);
    T('4.54E+8', '31.7736179126', '454000031', 79, 3);
    T('-6.847995E+7', '23976546.1468135733264', '-68166030', 88, 2);
    T('1760842.405601375919444197063', '8.0E+14', '800000000581194', 57, 6);
    T('-49517163830120799075316.566311', '-123565943011.5092', '-68737345763', 94, 2);
    T('80498686.2425190298', '-2.18680601904E+26', '-218680601903999999991328770', 74, 5);
    T('337535337533.97898911020886', '-1894.207372561', '-833', 66, 2);
    T('7341.49522240794331', '-8933597.159921478804', '-8929361', 99, 4);
    T('347041.711573728053552', '-5.525232647304231E+33', '-5525232647304230999999999999915103', 90, 3);
    T('98607633397692521453.0630', '8.39389E+8', '98607633397960957933', 89, 0);
    T('143313334156105183747403', '-1.331E+57', '-1330999999999999999999999999999999932245106030561443095221', 20, 2);
    T('7.227624E+56', '81928176.0787897978301338991044', '722762400000000000000000000000000000000000000000081928176', 99, 6);
    T('2.278479862323E+48', '15550.097', '2278479862323000000000000000000000000000000015550', 92, 6);
    T('13631786.201741038', '3297784918918223.9394', '3297784924161391', 21, 1);
    T('-5.446440479375115412E+32', '7.224073E+56', '-162894209733233738507869418749952', 60, 0);
    T('6.9435738184158686327199718130', '113.528145602196512437213800347', '119', 81, 0);
    T('-8705631.55647826014082020', '24291665.1877', '-8672783', 23, 2);
    T('6.28127657E+10', '-49159.7417', '-16387', 94, 5);
    T('-6513.3129702146476036926043999', '-4793841288.192278635325316', '-4097', 9, 5);
    T('-2.42E+8', '-17.1588969464198762390276', '-17', 31, 4);
    T('33651288419114.49565', '-73.79599', '-65', 56, 3);
    T('34.08913332545147587048057', '-1.25169E+43', '-12516899999999999999999999999999999999999966', 33, 6);
    T('1.72400E+7', '-8.7976126262022E+37', '-87976126262021999999999999999982760000', 98, 2);
    T('-750.418562935', '4.53E+63', '-750', 92, 1);
    T('5E+15', '4.714372E+23', '471437204716153914032128', 51, 5);
    T('-2816.32458', '-5.063943922329939236161E+42', '-2816', 27, 5);
    T('-3.902889476437490435E+31', '3.7649331287597305940587042E+64', '-18381254163210326954580028940288', 35, 1);
    T('8.66E+46', '5.95819226E+25', '86600000000000000000038689541190569788870754304', 29, 1);
    T('-5.1E+5', '-2.6563135E+12', '-475152', 65, 2);
    T('-28236.994421271669182990563', '-1.719091664917790690971379E+69', '-28236', 23, 3);
    T('-1004061457.424030049376', '769.373091399387768128709', '-1004060689', 88, 4);
    T('11262742.8308011461', '7.00E+23', '700000000000000002874134', 4, 5);
    T('-87.31122072754741041', '5554854.6331875072621898740', '-81', 29, 6);
    T('5755674.554351228682', '3.0068986E+9', '3011507130', 74, 4);
    T('582305.94', '-887260.030753995770962593128673', '-330075', 20, 0);
    T('-8244721366.6', '-77752.4862289800', '-9878', 54, 2);
    T('-6.78253890853098108807', '34.447023698', '-6', 87, 6);
    T('56076786.88075371432', '9002425759.35727568149', '9057058303', 35, 3);
    T('6.009E+6', '-5.8E+55', '-57999999999999999999999999999999999999999999999993991000', 37, 2);
    T('-885124423.131213', '-3.4948327526563741991E+60', '-885124423', 17, 6);
    T('-4.78508438E+46', '9402422749.4', '-47850843799999999999999999999999999990597577251', 57, 5);
    T('-7.64277697687831E+60', '939154.86509083', '-7642776976878309999999999999999999999999999999999999999060846', 3, 4);
    T('-7.455305521E+39', '-4.925098050136553890350231E+50', '-436285752100526632538106505290833723392', 61, 4);
    T('-873186826', '5.1378879487860876290428E+39', '-335791626', 45, 4);
    T('4.60012623590325670768053E+62', '-1.0079E+52', '-10032231812407116546934768220727285861675080303509504', 58, 3);
    T('34488572.6110838233010571812', '-5255906911.47', '-5255497219', 5, 0);
    T('98.48716274801516337', '-4.9322E+15', '-4932199999999902', 5, 1);
    T('-14637.026070389604', '-24927.51335071550285877', '-8461', 68, 3);
    T('24465.86638936657402073939', '5.6565637635886951766458E+64', '56565637635886951766458000000000000000000000000000000000000024465', 95, 5);
    T('-4669', '1E+1', '-4661', 5, 5);
    T('-3.80309E+66', '-6E+6', '-6000000', 5, 0);
    T('35.322526011558', '201886201.4823291125359324', '201886203', 16, 1);
    T('-9.144477948417433712939895743', '7555605438.576557991', '-1', 3, 6);
    T('6999.12782378191', '-3.88890853627768030931087E+24', '-3888908536277680309306497', 13, 2);
    T('4.37108098038429305545780617623E+35', '-275229915.9173407266398', '-371739', 71, 1);
    T('-4316.99', '96974.03', '-18', 6, 1);
    T('-4205413999', '-3.64', '-3', 44, 5);
    T('-3657590.887369', '5.93294E+13', '-3146102', 47, 3);
    T('3037770518.814293', '97820909.0969439861446', '3050615807', 37, 0);
    T('860148378.693092788492601832', '2.67985614924482040630441E+51', '2679856149244820406304410000000000000000000591712922', 14, 1);
    T('31025.5850503993122357149206', '-7.3338237275E+52', '-73338237274999999999999999999999999999999999999968975', 14, 3);
    T('945964.05038786388078687', '9.364063972364680271E+33', '9364063972364680271000000000945964', 5, 4);
    T('515580.95853793208156377974764', '3.21910279327299182791987455', '515583', 66, 2);
    T('99185391.842', '-4424', '-257', 74, 1);
    T('9.5946806899E+64', '384098281247.66240960417544', '95946806899000000000000000000000000000000000000000000384098281247', 85, 6);
    T('4634.993956106813', '9.9214086613E+55', '99214086613000000000000000000000000000000000000000004634', 34, 2);
    T('-468115154.76254463709069834', '-7.8753774E+9', '-291543250', 22, 3);
    T('516361874.1616252', '4.73213240830833837184084992E+67', '47321324083083383718408499200000000000000000000000000000000516361874', 56, 0);
    T('-311169712.6422832', '6.8489003649175E+27', '-8655536', 48, 6);
    T('-4284361672126.447889949442498', '9.2E+6', '-4284352758846', 93, 2);
    T('-7.02164502838E+35', '10063550.66', '-702164502837999999999999999989936450', 20, 0);
    T('6030.0707769354379', '2.063E+9', '2063005646', 12, 1);
    T('-9.60143572004078501', '406564.012618696669', '-9', 57, 6);
    T('-3937582596.098', '-3934885231028.5262', '-673363972', 24, 5);
    T('9.33192655677327961989E+54', '-1.351555', '-1', 1, 0);
    T('-5.379700608207E+31', '4.8583702804790E+15', '-53797006082069995423693513598696', 87, 5);
    T('9.1637', '73207964437512913721847694026.7', '73207964437512913721847694027', 91, 4);
    T('5984890471.263793412535606', '-5.326185844586518930E+58', '-53261858445865189299999999999999999999999999999994015109529', 72, 1);
    T('-5.6627182460E+47', '9.43023E+44', '-565558103087122052084408121327786574680921473024', 36, 0);
    T('9.636119240618E+44', '29682680.80858112742166926', '963611924061800000000000000000000000029682680', 40, 4);
    T('6.6783669776E+28', '8350427128.78556027223913585254', '66783669776000000002444847096', 84, 1);
    T('-98725974.6299', '2714112333.85778855', '-69230609', 46, 2);
    T('-2.598734754', '154.6232239197', '-2', 77, 2);
    T('6.2071030080082467889892951472', '5.1584281663383367E+56', '515842816633833670000000000000000000000000000000000000006', 20, 6);
    T('-2.0232282363E+21', '8.8E+35', '-2004157567343722330112', 64, 2);
    T('6E+23', '-4.72E+5', '-472000', 91, 6);
    T('425.55', '-459784418.2977648824', '-459784257', 38, 0);
    T('-2.38717788E+39', '374873950.0067547105509810943', '-2387177879999999999999999999999625126050', 75, 1);
    T('2.714735631432', '5E+61', '50000000000000000000000000000000000000000000000000000000000002', 66, 4);
    T('-4E+9', '65328.6946602324', '-3999989968', 99, 0);
    T('-7.018529594654987840E+41', '-3911.961', '-3911', 24, 4);
    T('78963.178950', '9684.0440753232986562177515408', '79351', 29, 1);
    T('-8880150731.62028', '8272.059169', '-8880150667', 52, 5);
    T('-5.8174E+69', '84.575467151', '-5817399999999999999999999999999999999999999999999999999999999999999916', 79, 3);
    T('1.52969720202017782E+21', '-426.7927493600656427683861', '-138', 18, 5);
    T('9.5644398801634691848471E+23', '-4.59478979451148682004552930E+35', '-459478979450544209243399400736686362', 19, 4);
    T('25.448', '19853620.5451', '19853629', 94, 1);
    T('-6.46053922269E+40', '-3.3488135618171378661877E+23', '-22606792445263203124114', 51, 3);
    T('48.21361660285646637189293753', '4.015964569299594892116638078E+51', '4015964569299594892116638078000000000000000000000048', 32, 0);
    T('-72084.50456', '9.283120612710707E+42', '-72084', 47, 2);
    T('-6.3E+41', '3.7129032689E+23', '-629999999999999999952730199728280303001600', 89, 1);
    T('42876.4004416362802589946248', '8.0592983614829331', '42876', 67, 2);
    T('7.70632936706126228392006', '-2.7626687E+23', '-276266869999999999999993', 35, 0);
    T('279.2', '555892.64503', '555895', 59, 3);
    T('8541.3', '-1531565664.37475462', '-1531565571', 79, 3);
    T('-8.54432', '1.73E+28', '-8', 6, 0);
    T('-47.43916', '-13890.26354120', '-1', 26, 6);
    T('7.29442E+63', '-87121965001.01', '-87121965001', 89, 2);
    T('-45875.818747803848810444', '5.47744432757335884171E+35', '-13107', 9, 3);
    T('1.9724828E+18', '-8.6433E+8', '-268730640', 100, 3);
    T('-129813.3', '-410.97402709593207222591', '-273', 26, 0);
    T('-6.935863124192156394903E+33', '5123919.46', '-6935863124192156394902999999201457', 51, 4);
    T('-1.27172705193577032538E+28', '2.117805469', '-12717270519357703253799999998', 34, 6);
    T('338336932.916510231', '-7528327447.7853200147183206', '-7525703955', 35, 3);
    T('3.2853E+32', '-651.9063555890566685262579706', '-651', 74, 1);
    T('-3727818.6356476258906167409892', '-94.6967682618439405', '-74', 22, 6);
    T('3.509217E+11', '7691.73728195379', '350921703083', 4, 2);
    T('-602979197178291769874665.4', '2.740011138426E+61', '-140029241538942853486825', 59, 3);
    T('15511.14', '5.09E+9', '5090000023', 85, 3);
    T('-10.752333457602607287', '3.3788025594415960041E+68', '-10', 75, 1);
    T('-2.50501514039668E+17', '68546011.6726658', '-250501514039656453', 97, 3);
    T('-352.9879908209129616745108951', '59.13631977910489890474831940', '-325', 14, 5);
    T('5.814112247E+63', '-15180677.5516666428884820537285', '-15180677', 7, 1);
    T('-3.944E+5', '6.3067E+8', '-1040', 82, 4);
    T('-6043026966068.8693384979409036', '18821632.860003774190', '-6043025327156', 71, 5);
    T('41947154.4598771734959361', '199.7379092623365', '41947351', 96, 3);
    T('-9563963152.831151051110', '2.0679636452102949428406E+25', '-436754704', 33, 4);
    T('68216549.657186', '1.4917613199304909977617582960E+49', '14917613199304909977617582960000000000000001107685', 25, 3);
    T('-2177806021', '982051995.618535571232364104', '-2168848965', 50, 1);
    T('3.87E+7', '-7581.156514227012975654869441', '-7197', 68, 4);
    T('-2.4141E+6', '9.975196616435E+20', '-279572', 96, 0);
    T('-7.457169370167880118345395E+61', '986663257.03747578', '-74571693701678801183453949999999999999999999999999999013336743', 25, 5);
    T('8.101261216E+32', '5.756E+5', '810126121600000000000000000575600', 74, 5);
    T('-5.82937210790942798593103', '-491656.83871429772097', '-5', 27, 2);
    T('267401802.775454935967461503029', '-2.3E+8', '-361782', 31, 5);
    T('1.0937706417193483375847821E+42', '-72238374.0521602749840', '-4998438', 76, 2);
    T('847.54004270279347858820242877', '-2754.069222524861224087116184', '-2177', 19, 6);
    T('-197043.16', '-6.0E+26', '-197043', 8, 3);
    T('-9.17255E+14', '-7.521401514146E+44', '-565291020027392', 62, 6);
    T('3.541685971581540530', '510713.208036443104', '510715', 50, 6);
    T('-3.507080710620494607340445878E+46', '5.130101E+38', '-35070806765246927378852828501596205796119543808', 41, 2);
    T('-1.7E+6', '-410.70', '-154', 31, 0);
    T('-5.16718466889491878E+51', '60156101.92434947845015843', '-5167184668894918779999999999999999999999999939843899', 46, 1);
    T('8006582.43501', '4.2938583409111324362204271E+44', '429385834091113243622042710000000000006433718', 23, 0);
    T('3387126232.3993120769', '9.60993624606996190E+23', '960993624606999560319960', 64, 2);
    T('-8.61249329E+15', '4.825839E+33', '-5224880382299776', 27, 4);
    T('-509507.60209292019', '-15467696743.5419401758257108', '-148035', 73, 3);
    T('-23.1967579278525224264785477367', '3.95210351887181118352E+41', '-23', 83, 3);
    T('-4.9339420675516529152061880E+45', '-9.746E+5', '-974600', 15, 5);
    T('-4.3E+51', '96636389.384', '-4299999999999999999999999999999999999999999903363611', 63, 6);
    T('-27454.2', '-163.9933384', '-33', 26, 6);
    T('-2.2282692E+9', '-48283870.721434035436558', '-12615822', 71, 3);
    T('-9.30646396085E+67', '-9.91716782109E+58', '-58174297167945133609154002077253626827763136778592319438848', 57, 5);
    T('-3710.6648052', '9.811E+26', '-3710', 87, 6);
    T('-858157971892857724.440503363', '8.6484670375295204034E+70', '-155596430023060348', 6, 5);
    T('-21.7871562951832651525', '879456.31658003785183220', '-21', 3, 0);
    T('-9.14005374', '7.1435302E+54', '-9', 97, 5);
    T('-6.3280E+52', '-3116.47323', '-3116', 55, 0);
    T('-3903.7', '-5100419.68', '-771', 89, 5);
    T('818.0844875383116347', '-4.5064', '-2', 18, 0);
    T('94.6956204646530020867276', '-6.825191687831170850E+32', '-682519168783117084999999999999906', 38, 4);
    T('-3.1301544657177979568694807E+59', '7709.35408548748104', '-313015446571779795686948069999999999999999999999999999992291', 37, 5);
    T('939867.9501217077696336452019', '-1.3E+8', '-129081381', 4, 0);
    T('-4422425423.27910447690', '10.957025', '-4422425413', 71, 0);
    T('709.0', '-9049874249.5805', '-9049873673', 92, 6);
    T('-2.9765E+9', '-4354.9054876595435749253303', '-258', 12, 2);
    T('-7278546.3630408208416', '-731.142129383466644', '-721', 26, 4);
    T('-4.19E+23', '2.334E+7', '-418999999999999978757152', 68, 2);
    T('98451.23063658698', '-81', '-65', 53, 6);
    T('-42874.003856464668380203924', '9.7760665978E+41', '-42874', 97, 6);
    T('9419556.17742074960535', '-7.41E+6', '-7340108', 49, 4);
    T('1.740420267E+14', '-439778394', '-168955930', 89, 0);
    T('-2.4838144', '-3.81565836440572107E+65', '-2', 55, 5);
    T('-9884024.17218822149926788013', '-990248.47', '-397352', 55, 2);
    T('-4E+7', '-6.08398E+41', '-40000000', 33, 0);
    T('-4.5927E+16', '-34.2501551143051074080', '-34', 16, 6);
    T('821556314.412881046273044969', '4.304E+67', '43040000000000000000000000000000000000000000000000000000000821556314', 24, 2);
    T('-1.493E+9', '-594048.504', '-593984', 1, 6);
    T('-6.024950001989E+62', '6.8963860896014058410', '-602495000198899999999999999999999999999999999999999999999999994', 35, 0);
    T('2531787343.587950966300', '-1.5644E+48', '-1564399999999999999999999999999999999997468212657', 18, 1);
    T('-1.090E+65', '3529.6815087', '-108999999999999999999999999999999999999999999999999999999999996471', 24, 2);
    T('-7.1E+8', '-4506.86184532951218', '-4378', 9, 2);
    T('4.49285222E+36', '549.77632208383315866', '4492852220000000000000000000000000549', 31, 4);
    T('59.388222929', '-7338200.68628564714416510', '-7338181', 28, 5);
    T('-7.79428E+42', '6028.2801709039982642', '-7794279999999999999999999999999999999993972', 61, 3);
    T('-2.49492127027628220344189001E+40', '-3.94190698532734877450668502E+50', '-427438076559958334566537904287020498944', 96, 5);
    T('801329972.6', '7325112545.24000285634208682086', '7514053621', 59, 3);
    T('-6.1869731', '72795100775140.1460479024357589', '-2', 33, 1);
    T('-5269.0417157', '-9770001921.01', '-1025', 57, 2);
    T('-456.592456993115546070596', '3.691260348603790E+23', '-456', 24, 4);
    T('-8.796881318045', '-6048804274.30729', '-2', 42, 6);
    T('-607869.40411014', '-3623389.33', '-82013', 62, 0);
    T('738.565056953972', '792.6878', '1018', 47, 6);
    T('89.1933293179727238734447', '8938.3297822752864', '8955', 31, 6);
    T('5.200720914345669469E+47', '-70.44391', '-70', 37, 5);
    T('38370750.1505505225', '8206237028441248.40', '8206237033168318', 44, 6);
    T('-5.68902410085400999872948834012', '9525664238.54399387317488075051', '-1', 35, 2);
    T('7.30', '-825523422.658', '-825523417', 17, 1);
    T('-247392.1315507181189881', '1825375.0849736388429079', '-1025', 4, 0);
    T('-5.908637146403791846179', '-6380285738.2095107069308645329', '-1', 89, 0);
    T('-3.257411871003980E+39', '7.300452411E+17', '-3257411871003979999999846596136589927680', 6, 1);
    T('7.6240539E+49', '28814072.944120694', '76240539000000000000000000000000000000000028814072', 80, 2);
    T('761385855.131066078005055', '8.774542904E+49', '87745429040000000000000000000000000000000761385855', 60, 0);
    T('-607321.36568452206', '43779784873393584.35133573', '-81993', 20, 0);
    T('8.1', '-64345241073272.87285944', '-64345241073272', 66, 5);
    T('-4969477.38', '-21136.8261911298325625234174', '-20485', 65, 5);
    T('-41719.4412301338363064', '62.991444345304490662942836444', '-41665', 85, 6);
    T('8E+3', '-7.5526552603132449171605529690E+29', '-755265526031324491716055294084', 83, 4);
    T('750.379', '-84.807078666', '-18', 97, 0);
    T('6615.45387536859670651505', '5.96092983E+9', '5960932343', 100, 0);
    T('-3.691E+49', '-1.261540586806108302165876709', '-1', 6, 6);
    T('4.0889635167161991445107E+47', '-7895996.0940617608543876535731', '-7895996', 83, 3);
    T('1.7571E+48', '-6.904056070803424342938744', '-6', 31, 6);
    T('-2.556E+45', '-771.1505580636', '-771', 95, 2);
    T('-1990936.09810369730', '-59191.634493132423', '-24855', 87, 0);
    T('9.9171785840930269996340E+38', '-3592104360.309807486418215', '-3322620328', 65, 6);
    T('-2.111572466063872E+32', '4179868.8248672035197830193', '-211157246606387199999999995820132', 54, 1);
    T('3442474514.977582971630088', '-10406435.9211', '-9437217', 46, 2);
    T('-4147.23009882409237830751665280', '-44', '-35', 76, 4);
    T('-402279.68', '7.497E+25', '-402279', 58, 0);
    T('-76131595514931272.0930661668', '2512511.5421049', '-76131595514914817', 36, 4);
    T('-15909.4564537741', '-25003990799674.31371533', '-5153', 71, 6);
    T('-74050856.62', '2.9702785861E+12', '-67733764', 5, 4);
    T('2.49834285635E+47', '-83.4', '-83', 46, 6);
    T('999.487358946455178143738782992', '6.340493558281E+26', '634049355828100000000000999', 55, 6);
    T('-80.80464603984632', '-8.775553091992305000', '-8', 38, 5);
    T('33.35164440377038002057771406', '-4.4825869404446E-49', '33', 97, 0);
    T('-4.2E+4', '-4.04747964614E+49', '-42000', 79, 2);
    T('1.0556E+8', '7.7E+5', '105627600', 15, 5);
    T('-5.15974604700237110E+26', '-917', '-917', 61, 0);
    T('5.646893713080639611E+35', '2654.22554029549083205848699774', '564689371308063961100000000000002654', 72, 0);
    T('73.4115623291425965945565', '-8E+4', '-79927', 8, 0);
    T('6690.01689625313497469', '-558614.16660689014870', '-558102', 26, 0);
    T('-7884080720.4479311387', '5.973253137041176959927222448E+40', '-7535167056', 91, 6);
    T('-1.38428681E+18', '18.48474891861137172057', '-1384286809999999982', 97, 1);
    T('7.49146750356833383665E+47', '-6.78841234657107989742387068934E+34', '-55937832159794426374500905461696', 21, 3);
    T('-3.69418189241971425E+41', '-53.98032571451', '-53', 11, 1);
    T('7.170004308', '-3E+7', '-29999993', 25, 4);
    T('-505.138573149002397848703', '6.955088089275E+17', '-281', 27, 3);
    T('-44.800651270290367', '-5.96734973611E+41', '-44', 69, 6);
    T('85247267.570', '-410.7566339399', '-153', 59, 6);
    T('60878267.2787436984', '3229388.507818', '61992959', 68, 3);
    T('-8725.1914178158721840', '5.5230925', '-8721', 51, 2);
    T('8.331E+8', '58.245161947106172201623489', '833100026', 20, 6);
    T('7E+1', '-42979.343111336883042076667231', '-42913', 7, 0);
    T('-189.18750516', '1.7644250417366725545162E+42', '-189', 32, 0);
    T('-7078115.156745', '-41263752.071722699581180', '-6553731', 8, 4);
    T('-3815890.99028523434537', '3528809.64618222233', '-663953', 27, 0);
    T('743190586.330455521933073696933', '5194.363344905', '743191674', 14, 4);
    T('-1015738.561', '7360953392.580800111840710370', '-17290', 11, 2);
    T('7.1562E+6', '-1012313.398', '-147985', 5, 6);
    T('-2.0E+8', '-1.5837E+6', '-524372', 24, 2);
    T('-9.443978E+9', '-462.928', '-270', 13, 1);
    T('96.97562156550003062566', '-3.8001E+8', '-380010000', 64, 1);
    T('-752.21785972652500209379933350', '7599', '-577', 39, 0);
    T('888966.2121', '73676553.656842591705', '74299279', 24, 0);
    T('-4.70744795255013049E+18', '-6902460917', '-2187538737', 66, 5);
    T('413281.78866', '-6.9442875808188706E+37', '-69442875808188705999999999999999586719', 14, 6);
    T('-23.284', '6.4E+9', '-23', 20, 4);
    T('-3.22403269E+26', '-53523.710200167754698031913002', '-53523', 61, 6);
    T('2.72826810140525614091072', '-5.97445E+9', '-5974449998', 9, 5);
    T('303.397269737647001', '-24574601.3', '-24574593', 69, 2);
    T('-48064.6', '7103.507459197748298682299', '-40961', 69, 2);
    T('-82057057.962', '-35.187605636214', '-33', 49, 3);
    T('-9.927165949E+27', '449781.3599', '-9927165948999999999999812363', 98, 2);
    T('-2.0035477401E+13', '-3.22083994245E+33', '-19791662509480', 71, 3);
    T('-6.5897E+7', '-6.8E+7', '-884776', 78, 1);
    T('-519158.69073759543905494259143', '584.385888670', '-518582', 86, 3);
    T('-7.792746508691485490145931747E+32', '-3.6828568E+17', '-76570824794071008', 56, 1);
    T('257669.50082304', '-8600.0175189005820473327156064', '-275', 91, 5);
    T('-8683.30123044831789992448964381', '404029111.0193107', '-329', 56, 0);
    T('-9E+3', '2.031E+8', '-8200', 22, 6);
    T('-334477.57', '-6.836E+5', '-2573', 59, 4);
    T('7.93602E+6', '-9306454.19209944', '-8782146', 39, 6);
    T('8.406E+5', '-2.148151015', '-2', 15, 1);
    T('-31077.9099701845082656024875903', '2.21200134681629846E+32', '-31077', 7, 0);
    T('-4527.2', '3293602234945.76309183970168692', '-4527', 98, 6);
    T('972.0558962380', '-1E+9', '-999999540', 34, 3);
    T('-3.587676270886E+28', '3844355686729546421.4273391', '-35876762708835054139503379787', 61, 1);
    T('-59.242863608', '-6752354088136037872.20192', '-43', 31, 1);
    T('534.6309545477148', '8E+1', '598', 7, 3);
    T('5.821E+20', '-378.08', '-378', 99, 4);
    T('683577306.6462', '5.0125E+41', '501250000000000000000000000000000683577306', 40, 5);
    T('1216.3160735', '-818844', '-817692', 23, 1);
    T('-4662478.1012678861176355', '9.1337521342240080972E+34', '-74958', 64, 5);
    T('844.873043174517964287', '-2747455950.782029641826950679', '-2747455618', 2, 0);
    T('39913.56914938612045', '3E+1', '39935', 4, 6);
    T('4.60723E+19', '-166229325239.668171760', '-536884663', 100, 2);
    T('-49614.916939072278373393333082', '6331912.67967514589608362607', '-16838', 69, 0);
    T('-3.5991706586780062', '738193.2255151978976791138378', '-3', 54, 4);
    T('-570.8705769572', '5.75508E+9', '-570', 57, 1);
    T('1.89187592606E+14', '9.77E+38', '977000000000000000000000175924733595952', 9, 1);
    T('9638896386.0453', '3.21554734616377112234061902334E+43', '32155473461637711223406190233400009127092994', 81, 2);
    T('2.44E+5', '26.94838001694606658917423362', '244026', 56, 1);
    T('371.57404322113441095815735326', '6.89173573616E+28', '68917357361600000000000000371', 27, 3);
    T('608434.8', '-2.246E+7', '-22459982', 50, 6);
    T('-8403243.9870981', '-996915393.2891894233129', '-14337', 62, 5);
    T('-73837.4986295078124', '2.109949', '-73837', 13, 4);
    T('440768.327206322491102986092', '-724.8556214', '-532', 62, 2);
    T('7E+1', '-4.7E+3', '-4634', 96, 2);
    T('-8.33203431E+29', '35428224.3', '-833203430999999999999964571776', 64, 0);
    T('90.939503258108731485358', '-725511.6455165812', '-725509', 51, 1);
    T('3817.406835112272', '29390.2158133896294', '32495', 1, 5);
    T('-6.8E+8', '7.0651E+42', '-680000000', 36, 4);
    T('5846935412.175029820170592', '-9.4297269146125313645913E+45', '-9429726914612531364591299999999999999731488908', 98, 3);
    T('152.159148363445124', '-33934.914788809344660835254', '-33798', 83, 4);
    T('-793920591.946752035617086840', '8979693892.96789430987178558', '-675283979', 93, 1);
    T('-4E+26', '19836.66875987066944', '-399999999999999999999980164', 41, 4);
    T('-9.495109740765736E+43', '7217955.767196718668237', '-94951097407657359999999999999999999992782045', 34, 6);
    T('15.748439', '-10135.6', '-10129', 5, 2);
    T('2.0738108026658509177346E+32', '3.13503E+7', '207381080266585091773460016782876', 41, 4);
    T('120.54783489354788839296551', '-3412.478856773004269305844', '-3332', 20, 1);
    T('-31371976.2458887351624505264703', '-82174079.3350', '-12886087', 71, 4);
    T('-6.68557569', '-2777.419518', '-1', 42, 0);
    T('1656.706391264070956467720', '-2.4E+8', '-239999368', 36, 4);
    T('-8.182294905547E+20', '-2337.55037730483686021426', '-2081', 84, 4);
    T('-89.3233544435900314624302320', '-39.156506', '-1', 68, 2);
    T('512380.49906', '9.8872E+37', '98872000000000000000000000000000512380', 77, 3);
    T('232902149.98', '-42.42980497', '-41', 97, 3);
    T('-4217.822281163359181228141', '1919064110.894180530556', '-81', 20, 2);
    T('-34.951930517', '5.2067224682413696073E+35', '-34', 93, 2);
    T('757613.629498175105913132811', '8', '757613', 94, 4);
    T('3208441359.79564424241', '7.0686690892120938815E+31', '70686690892120938815003088059919', 62, 6);
    T('5919.38084457416401986753013991', '-3.01081727411696', '-1', 3, 4);
    T('-8033662228.4317018', '-9.326471895E+14', '-3628486676', 16, 0);
    T('-5.157566E+28', '-801665414185.3502152038920959', '-2189128745', 4, 4);
    T('-3.5330935631921E+49', '3.1866E+28', '-35330935631920999999968971555398438174044104687616', 68, 3);
    T('-5.20002241111149E+18', '1.245E+5', '-5200022411111432588', 31, 0);
    T('672088', '3.83515332246856971735905245E+40', '38351533224685697173590524500000000131416', 1, 3);
    T('-26658.7350786533521149270', '-86097.437', '-16385', 58, 6);
    T('8.582864129617E+17', '-7022715551.273633378666560', '-43393567', 91, 1);
    T('6.440520827982890194E+23', '441.8892419123074462397337', '644052082798289019400185', 23, 4);
    T('4.0169110353015212116491708715', '4.0E+30', '4000000000000000000000000000004', 96, 4);
    T('333652.7702960', '-365.704435859808', '-41', 44, 0);
    T('3.773297E+9', '539375.78572750757', '3773823983', 48, 5);
    T('3.491433729288556688787E+36', '-9.81301315015587953679795270', '-9', 29, 4);
    T('70177.0169757518164466907158', '16109.10407335258167805', '81645', 56, 6);
    T('94828.5', '-9.502953392E+19', '-95029533919999987092', 84, 4);
    T('8.37E+18', '-2374.7819034849309278892469346', '-2374', 14, 1);
    T('-7.93389E+27', '6.673544189769438689532569', '-7933889999999999999999999994', 62, 1);
    T('1.4481E+26', '-222.6', '-222', 2, 1);
    T('-6.2803537264E+14', '-194263.513', '-190167', 77, 2);
    T('-7.25E+47', '-9.073E+4', '-90730', 91, 0);
    T('1.2463455060279188E+23', '-6.69904054342194E+42', '-6699040543421939999988703494806456267406848', 69, 1);
    T('-9.3347696523E+19', '7.3825E+22', '-92256415426745052672', 20, 4);
    T('-3272842810.359108123244', '6.55767617218438E+43', '-51617338', 7, 1);
    T('5.78962688579436689567892685E+42', '9294.37485', '5789626885794366895678926850000000000009294', 42, 5);
    T('4.14765850400554E+35', '-5820.393436524880760544644383', '-5820', 31, 2);
    T('878193.946481694424608', '-8.8E+6', '-8519823', 29, 2);
    T('-682661.01369919967015224537455', '81397.8869192705216', '-672257', 86, 0);
    T('-9782520.91327736248606', '-4992.1567158855254374', '-120', 93, 1);
    T('-903079722.88028714', '-8349502801239.8648428', '-84018433', 14, 6);
    T('-562.6', '9.6E+2', '-50', 14, 0);
    T('9748446789612131766734141.94', '8.616352887683598501830773345', '9748446789612131766734141', 84, 1);
    T('641719.14778558510202775427170', '9.277E+6', '9293567', 40, 4);
    T('-1.2889800085519887869919E+37', '-164108071154878.423777774488272', '-17596519363774', 38, 5);
    T('-202870.0627064381847749528411', '-11.7419945935398375', '-1', 41, 5);
    T('224.4241861198124', '-4.855608937E+44', '-485560893699999999999999999999999999999999776', 20, 3);
    T('331120.26788083507127', '-1.72874E+6', '-1728644', 20, 0);
    T('7.57189E+8', '88209490.9071741', '761395674', 99, 1);
    T('6.4174165241E+17', '99.85652700442093208715', '641741652410000099', 97, 0);
    T('60491748812862774634842280.9', '7.41246929088652304E+32', '741246989537894764909160760838312', 12, 6);
    T('-8.031E+8', '45962091.2458062456018', '-759301141', 92, 2);
    T('-4816524.65370268294', '15.875920919209235784803996', '-4816513', 53, 5);
    T('-4886066451.77013', '90575.36734219647498720', '-4885976081', 44, 0);
    T('88.7764060', '-713037064.7652745311336052', '-713037064', 61, 2);
    T('-929240.02', '-2325124522.533569092825036', '-394626', 79, 3);
    T('-9164984.2958330938000727614377', '583181220.08831', '-612372', 24, 6);
    T('-6.85864279427686787E+39', '-6E+17', '-599576894164959232', 4, 6);
    T('-2E+37', '383539556.313138', '-19999999999999999999999999999616460444', 12, 3);
    T('9471.34369487928490754247', '-171.016709650257', '-1', 29, 4);
    T('-815.514036813131973877875344', '646.25171362806431330', '-297', 93, 1);
    T('647950.830348792180135240', '842581437.614496', '842655679', 79, 2);
    T('-7.2321061212653593207165E+50', '6.55004381868798588920E+31', '-723210612126535932071645028273082424166659588046848', 56, 5);
    T('7.88E+9', '1.1845985659710839746104014', '7880000001', 75, 4);
    T('34206.0606771153232464', '971534220.90814605', '971567006', 84, 4);
    T('152175.95', '-2480.39228473', '-2433', 77, 6);
    T('-7.99E+4', '-32960753.07483679', '-12305', 100, 6);
    T('8.602E+24', '-9.104800', '-9', 51, 5);
    T('55167659816.99235057995421305', '-7.4424612940031E+18', '-7442461241118822488', 81, 1);
    T('-4.227530602297', '3.2880773164007810759', '-1', 2, 0);
    T('48174620.7171115135799', '240903.63792517832346840', '48217887', 88, 2);
    T('54.62229228969303', '3E+20', '300000000000000000054', 63, 4);
    T('57711312.46351663335540', '94.415962105463159621614002', '57711326', 53, 4);
    T('-4258812100.056897133', '67.5590326', '-4258812033', 35, 5);
    T('-1658916653.274146735', '6.55', '-1658916649', 21, 6);
    T('-75274650867203.5810', '5.598E+7', '-75274611937283', 84, 1);
    T('97227792862259.35083', '-4.926695598278086', '-1', 77, 3);
    T('9.974100931052546898000481', '38.7356075342268427', '47', 79, 3);
    T('8.98E+8', '3954626.94230', '901674946', 16, 4);
    T('9343546', '-791.045601306', '-261', 84, 3);
    T('8.3205654984627243312916754', '97.92033110681', '105', 52, 4);
    T('21.6663000255114589957', '-22872.553609151503772842', '-22851', 38, 2);
    T('-53714.3534', '121859.989801582', '-465', 44, 0);
    T('-6.2829499E+8', '6.32191E+30', '-24315214', 78, 1);
    T('-1.5640E+46', '-4.26796232307303713224654', '-4', 92, 5);
    T('186.09417536187', '-7.07143', '-5', 34, 3);
    T('3.41509318', '94238.67382559962666', '94239', 33, 4);
    T('57054128.315875018290227253', '34.20233124', '57054130', 91, 1);
    T('1027278315714.7662335600', '1.2842E+14', '128570902931650', 31, 2);
    T('3.56681515849380938826733', '-610100087.670', '-610100085', 62, 4);
    T('45772.2488353', '-1.3375576375007991248E+49', '-13375576375007991247999999999999999999999999954228', 12, 6);
    T('-372661918.044141', '-3.2105014041E+35', '-271998622', 88, 5);
    T('9389457745.6083335166700741584', '9.7E+5', '9389985105', 32, 0);
    T('-729', '80223638.48826062765033', '-585', 94, 4);
    T('374.9555941326564571570', '-21.00600868126309302', '-1', 23, 6);
    T('30489.027', '84739267.41384641555695424', '84768731', 66, 2);
    T('979.7576698324859956124', '236.4755583348262889', '1023', 87, 0);
    T('-8714452.82319350569098131865275', '-1.3103658099432E+26', '-63700', 96, 6);
    T('103.9452715495', '-2288198', '-2288129', 16, 1);
    T('-7.709872698437273576E+39', '44629053118860706394.388', '-7709872698437273575963009088490918165926', 15, 6);
    T('18.2554472218', '1.52417032344465221788407744017', '19', 52, 2);
    T('378.74204788124', '-52883306.9353194', '-52882946', 71, 1);
    T('4.040859E+34', '6.9317835470193322E+40', '69317868084315431604577911513766315425792', 19, 2);
    T('5.39197E+9', '804642971.4562498', '6173486811', 7, 0);
    T('168399609.24118', '-40272581.045929425293', '-6684677', 27, 6);
    T('23310.64', '525809.439414362008178230041584', '548863', 3, 3);
    T('245668.829798186', '-6.2953270058974984554093', '-2', 14, 4);
    T('894558718.5716884777', '-1158.10700867461953869', '-1026', 74, 2);
    T('7.5327339340', '57327.665915093442654015351570', '57327', 52, 5);
    T('350', '-8.2950100909644995770042', '-2', 28, 0);
    T('5196285046.41946051986679435968', '-314.0502', '-266', 76, 6);
    T('6161.0147696092755492565605139', '-6.93499519933968863', '-5', 99, 5);
    T('-7.6172E+44', '7.3511921453609346780E+28', '-761719999999999936856593024413805962596345856', 10, 2);
    T('7.439E+7', '201832.90', '74391032', 59, 2);
    T('1.7357206845665934E+17', '348.954754794828313063497879457', '173572068456659420', 66, 4);
    T('1.70E+3', '-5.58298932477769100019011838E+40', '-55829893247776910001901183799999999998300', 41, 6);
    T('878072996.391490467062284', '-7.73146185044795419E+25', '-77314618504479541899602524', 36, 6);
    T('4817.3769911033300707270871', '-5770789923.241059', '-5770789923', 75, 3);
    T('7.830334E+17', '4578', '783033400000000482', 1, 2);
    T('-817.936700926607169110', '1.001E+33', '-817', 59, 5);
    T('796905.2', '-2.876966089325E+37', '-28769660893249999999999999999999203095', 33, 6);
    T('6.1924876168228918191E+24', '1189.64320826', '6192487616822891819100133', 39, 2);
    T('8494.720286576923', '-469743.4346092', '-461505', 64, 5);
    T('-9.47674571476', '-790705.6346495', '-1', 69, 1);
    T('1E+32', '504.477651291178649498465751363', '100000000000000000000000000000504', 58, 0);
    T('52681878785811955611424.58', '750661200.665', '52681878785811959152496', 25, 0);
    T('-726901.47086270756181453', '4.469E+49', '-726901', 38, 3);
    T('6.8270638654762813E+19', '-2.62E+3', '-2100', 69, 4);
    T('1422376282.96755', '9.7053232021204489604643658E+40', '97053232021204489604643658000000335986010', 42, 0);
    T('3913.67083390553954', '9171827.550319147324093589619', '9174907', 14, 2);
    T('-266.54579582762039', '-1562279758.3458201855785975115', '-266', 88, 1);
    T('-673.124312', '80586215438.143', '-673', 15, 1);
    T('5E+48', '-1.040E+45', '-716630592853238720344502053808312662345383936', 92, 6);
    T('808.705581304623727473154450376', '8.95E+44', '895000000000000000000000000000000000000000808', 60, 5);
    T('101.67141371986', '8974277392.5848', '8974277493', 42, 1);
    T('-173871.192227790440832154', '73726.67297751713', '-172033', 93, 2);
    T('-9.30E+3', '440561099.3087169705', '-17', 95, 2);
    T('-482.3712814829934548893471', '-15.4820956901272319290083112', '-1', 27, 5);
    T('-8.4904831334570898983064125635E+45', '85.81568659025137759201354503', '-8490483133457089898306412563499999999999999915', 67, 6);
    T('-62220268781', '-8668628673.2363187617', '-8666531009', 58, 6);
    T('848.06381', '296.79503304461', '888', 39, 3);
    T('-6E+3', '-6136.1308', '-5992', 6, 4);
    T('72.0020796594', '85227567.079245', '85227631', 39, 1);
    T('-8.30620803725086950627576984E+30', '395810300.390219108', '-8306208037250869506275400507396', 95, 5);
    T('1397732080.703843', '7.59E+5', '1397733112', 77, 4);
    T('-853277735.99032', '-8.9969565663686647279803E+30', '-847992871', 32, 3);
    T('4529357.19516783968910918569324', '4.1584536673766E+21', '4158453667376604200653', 69, 0);
    T('-12373443.06724753109267', '4848819925.862298643924209', '-12370179', 29, 1);
    T('-6.809841764043E+17', '6.5768E+5', '-680984176403775696', 48, 2);
    T('-3.6227E+27', '457824.72', '-3622699999999999999999542176', 53, 1);
    T('-3.78850120606924E+28', '96297620.076532121798481884', '-37885012060692399999997353324', 47, 0);
    T('-4.3175174', '5.354705044015254238896644663E+49', '-4', 82, 2);
    T('12.2440296708092977356', '993254.573445', '993262', 92, 0);
    T('-89.44468725763534614', '-4.693460E+31', '-89', 82, 1);
    T('-3.69059434974598057E+34', '1292', '-36905943497459805699999999999998708', 90, 6);
    T('9032.7487292', '-6.041089958125692940920E+33', '-6041089958125692940919999999990968', 26, 3);
    T('725591344.048', '-9.0410226070790085897E+37', '-90410226070790085896999999999429335760', 23, 4);
    T('9.5E+4', '14850405.8387840', '14941053', 71, 5);
    T('-481.0694186455461', '-48639800614028114.96959', '-321', 90, 3);
    T('8.5756402527805079539791', '83315.351246800266720', '83323', 90, 0);
    T('-6162937247963443781.2979', '16182.1728688952206554877377', '-6162937247963430977', 38, 3);
    T('-1.037573051049E+21', '223987', '-1037573051048999784717', 67, 2);
    T('1.0096022E+17', '-20878518231639059.8654', '-2251966614873107', 79, 0);
    T('3925128722.6720512016822809324', '-4444534900.523082597', '-4295624802', 100, 6);
    T('-7.69339140031906847071898707243E+31', '-7.05E+8', '-671350796', 1, 1);
    T('-36219.51221380228285', '8942150710924303806.58076', '-32833', 73, 6);
    T('915537699.2688086398961313', '4.0334301613574055916911997', '915537703', 11, 2);
    T('-48746.9', '1.3089510817609E+48', '-48746', 9, 6);
    T('1.761874739E+37', '-5.682838927521821E+50', '-568283892752171128306576464337757704662826512023552', 74, 6);
    T('7E+5', '1.88827878668340201043', '700001', 71, 2);
    T('-372408366.195333784753300342598', '38145249.7610808576605938266', '-338722829', 43, 3);
    T('5924.40', '-3.1409236523029778445600031692E+40', '-31409236523029778445600031691999999994076', 97, 4);
    T('-8080.42687143130105414709', '4705.555097511469668139787904', '-3471', 23, 6);
    T('3341280274.15347482476569012', '26.636671012931457229', '3341280282', 80, 2);
    T('-7817447.44426220678265341357', '4.0393078601805', '-7817443', 57, 1);
    T('-710.86848166200701155336584', '-4228403404.640', '-194', 95, 5);
    T('5.40E+48', '9.82297513428535', '5400000000000000000000000000000000000000000000009', 81, 3);
    T('-8866914.32312442926910296187', '-4.46188683683E+37', '-8866914', 64, 5);
    T('560278655', '89.1095163957627736856669294464', '560278655', 24, 0);
    T('-4360.9103805288370856346', '-648252582738213227273156.348', '-4356', 67, 2);
    T('4.738028443967339', '5225800309.6544555806441779886', '5225800309', 100, 4);
    T('-1.240954305007783', '3646.726457762177866200832467', '-1', 20, 2);
    T('53592.08858380797', '-665.83040011', '-641', 48, 2);
    T('-8834.7282453146566743', '-986500651.1331434591', '-513', 76, 4);
    T('647571372551943513266877.9', '2.5038E+6', '647571372551943513669373', 41, 2);
    T('-77895485.253409136063', '-783.9392649642251517718425786', '-781', 83, 0);
    T('9.17131555240818399307998704773E+34', '-94.0908580383638334084910697177', '-94', 5, 5);
    T('2709.190324398131539620', '-2778979152322307.27606766484', '-2778979152319747', 24, 1);
    T('6.81292E+50', '-9E+3', '-9000', 34, 1);
    T('-6281438.66425968569594849677', '-32604.9980750504269', '-22618', 19, 4);
    T('-6.6E+6', '-39.85235532357307933646760436', '-39', 52, 1);
    T('-2.71431696', '-6485.73692272059173670774281169', '-1', 81, 1);
    T('23559149297', '-9.8341397271E+17', '-983413954522972431', 63, 0);
    T('-3868.9673532333', '1.9590251426556E+26', '-3868', 53, 3);
    T('-1083848700.434085113', '-57214.3694190161', '-6010', 79, 0);
    T('-1483.42222573298', '8.771962118523112E+33', '-1483', 42, 6);
    T('-3E+3', '459127676', '-132', 49, 6);
    T('-8.785E+8', '-1088793.85930642873409669227', '-1087513', 19, 2);
    T('-3943037776869.212004113', '630857700.9400379613370961560', '-3942952312833', 50, 0);
    T('700.2294746952259600694', '-2709887.804244081973849', '-2709827', 97, 5);
    T('-4.14296439487133E+37', '2.2503852057892E+49', '-5332714696905110968252740443591147520', 64, 4);
    T('-150411784.67378320404', '2.3E+5', '-150214664', 46, 0);
    T('4964283227927.82037538', '71.726000', '4964283227991', 2, 3);
    T('-587.57', '-2.2676220854E+13', '-587', 20, 5);
    T('-471943107.4769503', '67420.49368079240', '-471875715', 93, 1);
    T('397891166.3532009198366380432', '-42986929970452082368452214.076', '-42986929970452082351669282', 70, 0);
    T('-4244.1412981732186', '1.225416322774E+44', '-4244', 32, 0);
    T('8978876.4448', '-74.8', '-66', 76, 2);
    T('4.96202E+35', '5332.2056845974298256294490211', '496202000000000000000000000000005332', 7, 3);
    T('-64019335.283164344631', '-19539.82333371885320', '-18435', 7, 5);
    T('-8E+30', '48443.9240949', '-7999999999999999999999999951557', 12, 5);
    T('-48965.67681', '-4.5E+5', '-40261', 49, 1);
    T('-1.6100847798194415092737169E+44', '-9.08311E+39', '-2764836095087000420815698855599249293312', 69, 6);
    T('-97206514701800120.2429', '-921.275896450576492403683', '-657', 55, 5);
    T('-1.56664307672572093873728617E+40', '-6.336223897750396822007342', '-6', 32, 5);
    T('12949744.0', '307582027431267.234703154828747', '307582036082163', 95, 1);
    T('-1.270150278928151E+23', '-3.3028959510195654278E+23', '-4151132723099941868128', 68, 5);
    T('3.71E+9', '4.0535E+9', '4256930784', 56, 3);
    T('7431.89891543976187363732', '3124587.99018918883165', '3128687', 32, 2);
    T('-6107446553.25474061896440523', '987926261.008340623397590', '-5436354825', 45, 3);
    T('3701404.778767182794557021', '-37759.7020694857270428755980', '-33123', 16, 6);
    T('-384497777.7462145709400', '2.4961E+8', '-269107297', 13, 3);
    T('51778.6903859', '2.386597996975773865528E+27', '2386597996975773865528000066', 90, 0);
    T('-8285796330.27293491', '8E+4', '-8285718378', 14, 0);
    T('-6.9395897438660268677324365983E+31', '5.25E+5', '-69395897438660268677324365458712', 12, 5);
    T('1456', '-1.910526246025487E+46', '-19105262460254869999999999999999999999999998544', 79, 4);
    T('610404327687556201.2592584706', '-4744624297.424801', '-4743770241', 54, 3);
    T('-767506629.1', '7792831296420651450.288327916', '-202119237', 80, 4);
    T('7E+30', '269.968428729', '7000000000000000000000000000269', 32, 6);
    T('211522187.853796696543469439', '622551596.04446', '765194927', 81, 6);
    T('-16.718282697776320878', '5065308519.974', '-9', 4, 4);
    T('8E+4', '5501.3013308', '81405', 63, 0);
    T('5770.0412152', '3.31110131983302745825661329371E+40', '33111013198330274582566132937100000001674', 82, 2);
    T('-19427', '-1.54834674', '-1', 77, 2);
    T('1728423.0709536691272114', '4673196.31466105822548', '6250415', 2, 0);
    T('-1522484.63198', '26919.05312736811755794745', '-1511953', 22, 3);
    T('892789094.32', '-8918858982.771810704002', '-8632409218', 35, 4);
    T('-80055841.0071037941424', '-8.93447409482737408611725546', '-1', 48, 4);
    T('-4', '-9E+37', '-4', 79, 0);
    T('-5.144885E+42', '-871310.472286998579', '-871310', 54, 6);
    T('1520591.83098', '57812614520.90085245129', '57813729279', 86, 5);
    T('630219.344', '-1.8721E+38', '-187209999999999999999999999999999369781', 94, 3);
    T('-19779565.1236196420', '70.3990607127217798', '-19779497', 33, 3);
    T('-417897332.8', '-6935.52203514939976354188', '-6931', 34, 6);
    T('-3675988656.692714741924', '375511687747829982727192.86', '-3508085416', 77, 2);
    T('-558904.6356', '-4.258716093555E+15', '-33080', 93, 2);
    T('8.28641940528379808795913E+42', '-66657.77169859440814', '-66657', 95, 5);
    T('-1.13068521218E+14', '73652.78752', '-113068521209932', 33, 5);
    T('4920921202981787510933.6', '1.481892035607164092900E+34', '14818920356076510941493071232084117', 76, 0);
    T('-3821408.1714240388362419009', '4847.629840681195665280', '-3820817', 89, 6);
    T('6.5909671106132226865754694E+31', '-862597111.14765957797605', '-39985783', 29, 6);
    T('639.5375668', '-4.1845', '-1', 12, 5);
    T('7371814512277.4236512', '-32515.19402697', '-22787', 9, 1);
    T('-4.258959024673771961141217', '492.11477839572', '-4', 47, 3);
    T('349906582.13465605535223134930', '-43321.2', '-35113', 4, 0);
    T('-90853.41786882', '4.310817697', '-90849', 22, 0);
    T('9.57297784779978871465497385911E+36', '-6089911785.72861', '-5405190249', 85, 5);
    T('24881923.9876842127505', '28.516216168', '24881951', 68, 5);
    T('64.1763183962107414', '4.4E+39', '4400000000000000000000000000000000000064', 31, 0);
    T('4.21097556E+35', '22.0', '421097556000000000000000000000000022', 63, 6);
    T('1332.61461956472862367545', '2.4787E+8', '247871284', 63, 0);
    T('9246052857.6142172176052044317', '-6137292.73012135', '-4465667', 19, 4);
    T('-3380029443.217562', '-73.5073785234633567982303821', '-1', 88, 1);
    T('44458303.71610485935609932931', '-1.313204531932E+18', '-1313204531896061633', 90, 3);
    T('-8.1739328390E+17', '-4.45087918E+9', '-134350540', 89, 3);
    T('7512.10178772227778611293156', '-31.551850834224782130', '-7', 25, 4);
    T('8273572.650021182278388631402', '44988.2235', '8306620', 93, 4);
    T('-87', '-90005.4664111037460636155927', '-21', 83, 2);
    T('7608014.428284360348716754397', '74.27404', '7608014', 100, 2);
    T('3531', '179.835796133766', '3579', 72, 1);
    T('9457777.60039181798750395186991', '-19.7094719653573340148740048', '-3', 2, 2);
    T('-47.950304711636', '4.6142939461404996E+21', '-47', 94, 1);
    T('-4.643448482520173756E+20', '-8.32E+10', '-13959182704', 13, 0);
    T('-319528.6876', '75647.870051845854449', '-311297', 30, 6);
    T('362941.02', '678299.3971161', '1038783', 5, 4);
    T('8291703521.47841522280740239146', '426.23347436746580974086734049', '8291703787', 74, 2);
    T('-2.0529E+7', '-2.24111004319377185216245775E+34', '-18361960', 99, 5);
    T('-8.605855699034748E+32', '-31174781.998784281', '-13873277', 54, 3);
    T('-9.8020186376593276793E+25', '3.98005952170030E+35', '-77465999709021222751965248', 47, 0);
    T('258.571', '9577840433.492422574', '9577840435', 3, 2);
    T('6E+7', '5.44343760860697178014216E+40', '54434376086069717801421600000000058951424', 18, 0);
    T('6.9216546E+19', '9924.48', '69216546000000001732', 26, 2);
    T('-3.09E+7', '-5.1668054E+8', '-12806940', 28, 3);
    T('-703856.93585849281152', '-1E+6', '-655408', 63, 4);
    T('829.425643846615668528275429', '7.2195584E+13', '72195584000829', 19, 6);
    T('3.83E+4', '-13.031', '-1', 31, 4);
    T('-9040699410.7', '-524204564125833793.808670148', '-8897822721', 62, 3);
    T('-9.10827', '-6435995719.46802', '-1', 3, 6);
    T('4.0989626662442', '71925903.8277', '71925903', 63, 0);
    T('-523303.65', '-151315.294665176761546', '-150531', 27, 1);
    T('-16.7995534963041795571', '1.1127040504643E+45', '-16', 18, 2);
    T('8.98E+6', '-317367', '-315799', 92, 6);
    T('40.74568661177474274', '-3.50', '-3', 56, 0);
    T('112238.092532106502884996079863', '54848739.6829376767', '54918895', 33, 3);
    T('-63.53841086', '-6.26972844500605914411', '-5', 70, 3);
    T('-2252320.1195306871461', '-84095.25745016408450924534', '-18463', 70, 5);
    T('2.823621E+9', '8.367801E+9', '8502873000', 38, 5);
    T('30936.15515604', '1.5105321821406954565682E+47', '151053218214069545656820000000000000000000030936', 82, 6);
    T('778802.70659610987', '-217400.43438', '-4358', 74, 5);
    T('-20589.17336967541821719062', '7576929.5998498807449669083177', '-16397', 11, 4);
    T('6949.017159', '9840347.5896568204715', '9846783', 71, 2);
    T('-362761041.4358566057429', '169.323889229', '-362761041', 89, 5);
    T('356.017398640622826403335397', '-9.177294724206615E+48', '-9177294724206614999999999999999999999999999999644', 34, 5);
    T('-4.256984006236E+20', '-446000.035495', '-182832', 58, 0);
    T('-4.4923E+42', '-151086246.8', '-151086246', 2, 4);
    T('-63.7594', '-1.36885697914794585388604957E+49', '-63', 73, 5);
    T('710742080.0580524971558338', '-904.59832228495', '-904', 65, 1);
    T('-7.6', '559601689.2', '-7', 35, 1);
    T('295615021871564121033.64726', '-2824537985', '-2685600769', 74, 2);
    T('3.49485634636245629E+28', '414451', '34948563463624562900000004851', 89, 3);
    T('-8152444.018907323124', '1.7677066354692348E+47', '-8152444', 60, 2);
    T('6.2E+3', '5.3353583E-98', '6200', 72, 6);
    T('34.25438285008782670', '72612438.27026580941854049287', '72612470', 9, 4);
    T('-3.995596164558896940038682072E+29', '-9325652.4112997671', '-526420', 31, 6);
    T('-174780642.9042593977964332535', '-6.284051181306722691E+44', '-174780642', 64, 5);
    T('-8965485446.20239559804', '18.57811329', '-8965485446', 39, 4);
    T('3203824403278.64922406556835', '4168.0401350201056578167763', '3203824407374', 59, 6);
    T('3.2671060530293033551265E+43', '-86573.08', '-86573', 27, 1);
    T('-2.46153429E+50', '-5.3E+4', '-53000', 97, 4);
    T('63.1877671155746307614458297857', '280466.718962390916597974077767', '280511', 75, 3);
    T('7.195528376089E+20', '8515.3597424', '719552837608900000067', 66, 1);
    T('3668.31157223648577321974', '832.189781134873488676369161306', '3924', 79, 5);
    T('5323633.9022', '-3928.290', '-1031', 64, 2);
    T('7.584507007164648E+27', '3.7E+5', '7584507007164648000000075088', 98, 3);
    T('-41068968930.7119256301', '-2.76295396784154', '-2', 24, 5);
    T('77.430', '54.383776817', '127', 73, 5);
    T('-6.4097590923', '-43244.665813966', '-2', 3, 4);
    T('71.981779057724253479661629902', '-2.4E+5', '-239929', 82, 3);
    T('860654.9398768388538560581', '64.618051364930274', '860654', 8, 1);
    T('-4746.710', '3869618322.787485325472014', '-522', 8, 6);
    T('-193888.15907', '-462214647.864', '-54615', 29, 6);
    T('9.9E+45', '-3.53E+6', '-3530000', 62, 3);
    T('7E+5', '8.0059330961643573989530E+41', '800593309616435739895300000000000000700000', 8, 5);
    T('-2918.2922750382029817', '-136935.25600', '-613', 5, 4);
    T('-53455820631748642588485.495785', '4573511.947237605214444', '-53455820631748642473473', 75, 4);
    T('7.76E+4', '26670.20', '93998', 15, 4);
    T('-303', '87.988783', '-297', 64, 6);
    T('-5.165026513441953E+39', '8352406.0', '-5165026513441952999999999999999991647594', 54, 5);
    T('-1.702E+5', '487155037029650529990.448', '-131090', 99, 0);
    T('-719545131.97', '9.09670631696508549520007246067E+47', '-134439723', 7, 1);
    T('55323.649898351669', '7773655285969194', '7773655286020411', 6, 0);
    T('5.2864882520932867646126E+33', '693680.93067014846723535748', '5286488252093286764612600000656816', 66, 1);
    T('-17258911.8733748591839988155', '-3.87233664E+39', '-17258911', 82, 1);
    T('-40508.2742556399992862', '313.23572', '-40451', 71, 4);
    T('7655.251188734565453692335', '417756358.75507869448240346438', '417758695', 65, 3);
    T('-63.3105369989068563744236634', '5609930902.796052672654', '-41', 74, 6);
    T('9.0E+21', '-3.5E+8', '-73175936', 26, 2);
    T('995940393679798558210.357578200', '17140.1270596220722501692', '995940393679798558454', 57, 1);
    T('189113276.64296248393908614566', '-7.73903461206608868960432', '-3', 35, 0);
    T('7.91E+3', '-981573913.75952608614', '-981573913', 5, 5);
    T('1.172E+22', '3.537953768509E+15', '11720000141837093998152', 78, 1);
    T('-652378712.6780', '-82373.0', '-69', 16, 4);
    T('-1.8908227', '-519098993.3141', '-1', 12, 5);
    T('7.894139610737455740967E+32', '6.35614050785450E+35', '635711247052696301174839728792229888', 39, 2);
    T('-5.985676656174E+24', '-39454.973295973659416', '-39454', 89, 6);
    T('8.69', '325335595.24891', '325335595', 85, 0);
    T('9.79461E+14', '-8.38019133072492211481E+49', '-83801913307249221148099999999999999031602835754496', 17, 3);
    T('15647.4756', '-6392748.7741650995185622096674', '-6390433', 100, 2);
    T('-91.34291153697', '-3528.13450459110678924137573', '-67', 43, 0);
    T('8.8E+16', '7.2900E+8', '88000000188983360', 66, 2);
    T('-2.7084587129658772399909E+48', '-4.66703781E+24', '-3135651371664797855973376', 54, 6);
    T('-1.0E+6', '9.33647161921842145338896370870', '-999991', 28, 1);
    T('-41589239146098871239600.4021577', '2.740856E+50', '-41579105343249845846960', 62, 3);
    T('43428.193792716486', '1.0E+27', '1000000000000000000000043428', 33, 5);
    T('82973.561674615', '7.36301605213381080', '82975', 2, 5);
    T('5.5337E+35', '3.261898745822983930', '553370000000000000000000000000000003', 72, 5);
    T('-51.856344581148', '-11355.9692618416025359240694', '-19', 66, 6);
    T('4E+9', '4.062110E+7', '4000054316', 66, 1);
    T('-7.199026265596E+35', '8.63670E+43', '-664725598264370990760474601012068352', 80, 2);
    T('860.7140', '-96.22589', '-4', 35, 5);
    T('-56084520.118288', '5257308523.7016501745408', '-33800197', 90, 4);
    T('-137029641.59360041', '-7.718062192480652970E+22', '-136364041', 68, 4);
    T('9158911067506399030567.00', '8808478335.0703981081542', '9158911067515207466879', 83, 2);
    T('-8.543340273302174769231E+47', '8674.7536202074301211981787', '-854334027330217476923099999999999999999999991326', 19, 5);
    T('-1536806925.51341637537312', '-8.226942866E+11', '-134254597', 68, 1);
    T('-7.522348830445020332299099822E+48', '-311.016410126909331', '-311', 72, 0);
    T('-77.33795', '-45.38707637494787497710030202', '-13', 11, 0);
    T('-5.37680E+25', '41072.420598', '-53767999999999999999958928', 39, 4);
    T('292196.36300', '-54950084.39550', '-54659204', 64, 6);
    T('-9.8357174E+9', '468.62891135183175653447309', '-9835717124', 15, 2);
    T('-7.8E+7', '-8.0253087135753E+24', '-77997952', 50, 1);
    T('-5257156470.47331651642', '9785529002.307497983', '-5236098390', 92, 2);
    T('89703.493', '90042665225937891688', '90042665225937977199', 16, 5);
    T('-92044569.0', '-7633293.921578', '-7633161', 60, 3);
    T('-8443108.720876657762434671000', '724.55560484883169959489702', '-8442916', 2, 6);
    T('-672224.0507274874', '5829667632513094', '-672154', 47, 2);
    T('-6589350972100029155.469064', '-6.842E+6', '-6300291', 69, 1);
    T('379.547', '-416159749.6370437562823', '-416159749', 99, 1);
    T('8.8E+2', '4794.83068', '5114', 4, 3);
    T('-6.482006041877588E+27', '-7845.90668228700924416745671017', '-7845', 92, 2);
    T('84097457.6742', '5.2619346143979E+24', '5261934614397900067174833', 34, 5);
    T('-23.759647486', '3.9808530072034816373', '-21', 45, 5);
    T('-920712.833460550342540401193', '7.10602874526', '-920705', 91, 1);
    T('-120820021.7066994296', '73.250869', '-120820021', 68, 4);
    T('-820.0686656798344976181', '4.98E+18', '-820', 17, 5);
    T('83080905.6302930041', '513238149979085209505145.799', '513238149979085222166521', 3, 3);
    T('-6.794832', '9.3588497510E+15', '-6', 12, 4);
    T('9.9509042117107', '-9.820607E+9', '-9820606999', 41, 4);
    T('50.29723673', '69.12056', '119', 49, 6);
    T('860.8', '4.90539688129982679914408E+33', '4905396881299826799144080000000860', 45, 2);
    T('2.48265448737980707198070E+42', '1.0802016523098127923225744', '2482654487379807071980700000000000000000001', 23, 0);
    T('4591944262.3512497573020289044', '6.9193261', '4591944262', 52, 0);
    T('9E+5', '-59480.19062367200000758409473', '-16472', 57, 3);
    T('808.709062079380426083884451772', '1901.0031612375942110897082497', '1901', 65, 6);
    T('27.0457314175395257398812414', '-5828048.629071777521268', '-5828037', 88, 1);
    T('-2542.733298476470211530446', '43.084424682722020547137631', '-2501', 51, 5);
    T('846477344.0850326936460036', '-2.14466949E+33', '-2144669489999999999999999187077088', 21, 5);
    T('-75200033.65', '4.0720172834375293979516811168E+34', '-75126305', 44, 1);
    T('3985537.2554374708', '8E+6', '8311425', 18, 2);
    T('-7.2', '5.55445057698746065478816905760E+40', '-7', 25, 1);
    T('-41650764237585676805719.02', '969400348781.0120037409', '-41650764236620840076819', 60, 4);
    T('-6.1E+25', '3177316800.974951197', '-60999999999999999523814976', 84, 3);
    T('-63781.57184094608240', '-2375861.2146', '-16421', 59, 4);
    T('615.89', '-3.8923230551602670E+19', '-38923230551602669961', 14, 6);
    T('-1.053059116960', '5540132.5474824', '-1', 14, 4);
    T('-3283.965774467', '5387350.720303273752', '-2177', 16, 0);
    T('760', '-84442306339.1583051824105043', '-84442305795', 50, 4);
    T('9.2125204615726496483817828710E+48', '6612.31218500403', '9212520461572649648381782871000000000000000006612', 100, 0);
    T('7660047376.0180021053540949936', '-4710.408037589964', '-4710', 46, 0);
    T('9.516953004050980650038', '886783.92399817258', '886783', 81, 5);
    T('5.126071480077287906524E+47', '5.06837527633455904973870090480', '512607148007728790652400000000000000000000000005', 54, 4);
    T('1E+10', '663202.9427661438', '10000006818', 35, 3);
    T('624931041.355066775177', '129498.87400858', '624949755', 83, 2);
    T('3.83568E+17', '-36055.903069161595302385', '-36055', 100, 3);
    T('-7.391482E+7', '931.64846', '-73914433', 70, 1);
    T('-3.3361560453231869', '5.250608001539803391808585E+42', '-3', 85, 2);
    T('349.3134870215054104803964938', '-4.078731991084709196924E+22', '-40787319910847091969155', 94, 1);
    T('24.270544124223817919052614', '2192716.22915869946769669725', '2192732', 57, 4);
    T('619.91017363026797954336022', '8233169.35731407904797', '8233723', 90, 6);
    T('5771801.413693657601', '89696360.29304949238940825212', '89700985', 27, 1);
    T('-520481629703.75468728', '4954.029', '-520481629189', 98, 1);
    T('66991719.135129105486913', '-2.951', '-1', 69, 3);
    T('-8396731535.5020079748', '55275.0247709820044', '-8396677125', 61, 5);
    T('4.763E+8', '-8.525E+24', '-8524999999999999664209184', 84, 6);
    T('3.2691E+18', '-42134647.6540396', '-8399991', 11, 4);
    T('6.8E+9', '2.3256579085E+46', '23256579085000000000000000000000000006800000000', 41, 1);
    T('4.7714E+6', '-15572175', '-10817671', 86, 1);
    T('-857172001.0561101328642862812', '-6250738880.2205743509820648', '-806494241', 42, 4);
    T('-288.7784076334497794757', '1.137533E+7', '-286', 39, 1);
    T('-926584168982219762462.619121', '5.772E+7', '-926584168982199796510', 67, 0);
    T('79519.676132897698133580748812', '2477175.7717405037715029474', '2490111', 24, 0);
    T('3.0E+7', '60935786874544862695.0668246891', '60935786874574338023', 22, 5);
    T('-9.7036823248990034443848E+50', '-2.8000346559712248838296635E+34', '-20850638716961178076300970057567744', 60, 5);
    T('848518.443724', '7.6728E+31', '76728000000000000000000000848518', 74, 1);
    T('6.3E+9', '1155322.9233520893', '6301155322', 23, 2);
    T('669930103.9498382', '4.7928', '669930103', 91, 1);
    T('9662838506774204953.6416', '2.332414780882004290', '9662838506774204955', 85, 6);
    T('10318.20893547', '-7.44E+35', '-743999999999999999999999999999989682', 6, 0);
    T('1.24736641582E+14', '385814.94283858698056137447', '124736641688502', 40, 2);
    T('474304.5538909', '4.233167485953E+32', '423316748595300000000000000474304', 20, 4);
    T('-4.4570584200242984375154137E+36', '-2.93E+32', '-90175281167156913765253324646400', 53, 1);
    T('-10.6316663962', '-2417.87772785804', '-1', 24, 1);
    T('345.273606023', '-4.6275898E+15', '-4627589799999655', 33, 5);
    T('7075.1122485', '7233757.4389989269', '7240703', 90, 2);
    T('9.03243313941300561801578E+27', '6333593640.36', '9032433139413005619760659624', 42, 4);
    T('-278384.360', '6981.87382189212105926610940', '-271403', 59, 6);
    T('-51542.3827059806505310', '4.0E+6', '-49238', 47, 4);
    T('99473273.35863155269', '5065541210.192471381', '5065660283', 15, 1);
    T('-6075802471056.967830905794', '-6.3538E+30', '-4400228354704', 73, 6);
    T('-8.740954E+12', '292489527.2818660931706377', '-8740930601545', 28, 3);
    T('5.7682415258E+37', '-2.695361070738090', '-2', 50, 0);
    T('960332875.86', '8.832083351142965E+27', '8832083351142965000288457803', 23, 4);
    T('-1867532745.53', '4.08853009891499E+18', '-1744848969', 6, 4);
    T('3.471E+10', '5.8632039954943656845E+40', '58632039954943656845000000000000012620160', 94, 1);
    T('-641.52644901', '-440.509266527669208', '-129', 34, 3);
    T('-8956045994.760578786650', '-1864818124.7243144567182', '-84035722', 84, 5);
    T('40.958097103020', '-3.045437281746413636959346630', '-3', 63, 2);
    T('5E+18', '12409692.9544293213738432266949', '5000000000000613212', 28, 0);
    T('-6848.029', '-2.16013836E+22', '-6848', 7, 3);
    T('-7.58233267009E+45', '-926391436.41674', '-926391436', 48, 5);
    T('29581.589', '-989616.30662051', '-985123', 17, 0);
    T('-25739864.3611919086624884', '-4.176401456081495869316839334E+37', '-25215576', 34, 6);
    T('9.014023714558294635780E+26', '11843037242055169', '901402371467090703597697665', 91, 6);
    T('5.09092952587903454272407565342E+44', '-760208.7221740051791', '-563600', 22, 4);
    T('8E+1', '-3.62197649E+48', '-3621976489999999999999999999999999999999999999920', 97, 2);
    T('-581767578.309', '2.33012891924', '-581767578', 84, 1);
    T('2104218.4382849992326982841426', '-44718239.26415151660774124', '-42614789', 62, 2);
    T('-2752.266198595350251315312136', '-362749.310258664063457398022', '-2237', 52, 3);
    T('6444932955.75508420559', '906410.72738', '6445457403', 58, 2);
    T('303.84', '8.33616449697972694197977', '303', 49, 0);
    T('-2.0625469461294635857103084E+26', '5139380.2214703875428', '-206254694612946358566424580', 94, 0);
    T('-5.1646530717578E+20', '7.4204394E+45', '-500593412076380004608', 20, 0);
    T('67015798.52405864792', '1730944.123531894232921', '67042806', 82, 2);
    T('5983031.443753238947270879', '-14198.70697266929', '-13377', 92, 5);
    T('-552065.38220861785067', '-559855645432272.26', '-526465', 40, 1);
    T('-8.2382E+13', '6441192.369', '-82381995803416', 7, 6);
    T('4.7441E+8', '3.18719024213891804980910430648E+38', '318719024213891804980910430648470076432', 54, 4);
    T('4.83081E+8', '-7274704432822054.860', '-7274703954658310', 76, 2);
    T('5.27951E+6', '1E+44', '100000000000000000000000000000000000005279510', 91, 0);
    T('3.461011', '-6.65819979166378E+40', '-66581997916637799999999999999999999999997', 50, 0);
    T('1.80337137809E+46', '-399604646.657208802730667', '-399604646', 66, 4);
    T('-729537.941540686317637534503042', '886709.26394', '-139329', 82, 4);
    T('30268634503953074185059678.743', '-8555872963.2486588935348845841', '-3767550593', 85, 2);
    T('-3680025.6985785', '28044231.9686304851065610', '-1049625', 70, 6);
    T('3.761308493154371859E+34', '3789.8576373693947399407', '37613084931543718590000000000003789', 66, 3);
    T('495', '83440379.65', '83440639', 5, 2);
    T('75892488.9359104792321446797440', '6', '75892494', 40, 1);
    T('91.57701936805311710269878440', '-4169.3971', '-4097', 61, 5);
    T('-796915.219331894', '83.5', '-796833', 6, 0);
    T('-1.120601E+44', '-7.64E+40', '-32667481115432366079897611017828735909888', 81, 1);
    T('-6562845.61616404', '-21508087346611332.915923232226', '-263169', 16, 5);
    T('37234.6237282525235080181', '460847.3815225', '498047', 7, 3);
    T('-518804.560783360648019557', '6.672E+34', '-518804', 92, 5);
    T('5.4E+4', '234.81489464191433376439424', '54010', 5, 1);
    T('2.80535E+6', '647913.90899114667', '2879215', 34, 3);
    T('-2.341589599965025489697178888E+37', '-29.4535457219523731', '-29', 67, 0);
    T('909835192767614810.2', '-78424.330916173400917525814', '-77830', 63, 5);
    T('-5.27658E+39', '108296649267770808.6', '-5276579999999999999999963918278012144200', 56, 0);
    T('-4027604.141', '-4.1904638E+8', '-3678404', 10, 3);
    T('1739369395.1', '747062414.436600919540171817', '1873801151', 49, 1);
    T('-4713.488461888139327517839152', '-1529702968.09568265654668216', '-545', 81, 4);
    T('6.85E+37', '4.847E+8', '68500000000000000000000000000484700000', 4, 1);
    T('9.8261370561614946482089047E+46', '-2980409884.68479058', '-2441441820', 19, 1);
    T('2259.389016948296148', '55255861.1039092781016090215084', '55258103', 50, 6);
    T('86810.308332308477173624039', '94810.54685534', '95066', 79, 6);
    T('7.4663E+50', '-593035695.446479', '-593035695', 85, 3);
    T('-19638.88121288381', '4.56355854600E+18', '-18614', 50, 2);
    T('-20002.3469336252425099577572', '-280.81882698897900810', '-2', 60, 1);
    T('9.5E+50', '9.004699E+40', '950000000089857232317739096429665015636329930686464', 23, 4);
    T('-38559194', '-5.30505136639337451', '-1', 50, 5);
    T('1.2777201942284854499E+40', '1127666.7012', '12777201942284854499000000000000001127666', 59, 3);
    T('3.38759345411849411786854254E+40', '34.99098841741399077950797', '33875934541184941178685425400000000000034', 78, 5);
    T('-7603305.07672887277871336339', '-8.95905144892022797249775', '-1', 88, 6);
    T('859391419.7274615283783818', '-62725474.7674189847789667752', '-8656961', 22, 3);
    T('-4537500.338284218182235015674', '-8.28311082057142068297319298E+38', '-7324', 72, 1);
    T('3.66618E+9', '9354099655.2', '12877397991', 96, 4);
    T('-7E+50', '-733869984.0455268', '-733869984', 71, 3);
    T('3.877E+33', '78784.4', '3877000000000000000000000000078784', 58, 6);
    T('-2250288433.13096591686542130', '-3201.5171942576235990700780', '-3073', 53, 2);
    T('2.2618E+21', '2.341E+9', '2261800000002299056960', 70, 6);
    T('-5.094941E+9', '9737.007224247067082635123', '-5094932807', 12, 1);
    T('1307.49771622649452572050273', '8.00167594880218572419811712934', '1307', 81, 0);
    T('-733027.95', '5.6019719E+9', '-532803', 60, 6);
    T('-72.53578637926', '2.987E+36', '-72', 100, 0);
    T('8214113986.6795507', '303373105.44105925225128146848', '8516370419', 35, 1);
    T('1.09316711931660291E+48', '-8E+36', '-20810049978041937093423699953975296', 44, 1);
    T('-4319.42549083613178055716188', '-9566874372.678075671288348', '-3', 54, 0);
    T('-10.901450140905371', '-7.697852E+47', '-10', 12, 1);
    T('-46.4260799433', '57786516.9782366107538', '-42', 51, 4);
    T('4248.7113509639157', '2.43651706366253791378719978E+43', '24365170636625379137871997800000000000004248', 56, 6);
    T('427619.44409', '2.55568E+26', '255568000000000000000427619', 62, 3);
    T('2816.736', '23522262270.05124', '23522263038', 26, 2);
    T('-75554011769094980268.00956569', '7E+6', '-75554011769094799404', 94, 1);
    T('201.5475518440691', '4.3605107681161741662494E+25', '43605107681161741662494201', 90, 0);
    T('488073595.27721', '278530330963.28', '278597728635', 53, 1);
    T('5.30993082469696804E+23', '530365.058165781363983290628031', '530993082469696804526013', 18, 4);
    T('27.675', '279.644380727124010753714', '287', 88, 5);
    T('-195.943', '4.271689E+26', '-195', 48, 1);
    T('-679068097.09021996710724', '-3518004.8079726469968796770', '-3244033', 11, 1);
    T('48093864466939540101.60900782', '-89986699633.4214248', '-87241523569', 42, 6);
    T('56610.351373', '4975.33198', '57199', 83, 2);
    T('811998.41898', '-60936.93392638578052', '-35842', 21, 1);
    T('-89392.5765679270', '7.80008974325501', '-89385', 52, 5);
    T('-9.11813775658825535472E+41', '3.9586797E+14', '-911813775658825535471999999718524725832576', 6, 5);
    T('-9554.1077056709380872371', '72100268.145', '-1106', 92, 6);
    T('244.254010330272', '6.65325168027529395E+25', '66532516802752939500000244', 48, 1);
    T('3758332.9828209666551562186', '-5.26', '-1', 41, 4);
    T('6190.9547599', '8.01931E+6', '8019310', 22, 5);
    T('-77725.2', '6.02349866783059E+50', '-77725', 8, 2);
    T('-1438425', '-4.5914725E+30', '-1438425', 85, 5);
    T('-9740865.65412690697432930302', '2E+5', '-9740801', 90, 4);
    T('-674.003784514722582640175883873', '327407.280061300862753', '-1', 14, 3);
    T('4.39636526054773348E+29', '9.4353620695497E+40', '94353620695814079845601486526599160020992', 24, 4);
    T('4.7447477325E+39', '8.55270072', '4744747732500000000000000000000000000008', 5, 1);
    T('26912', '-451949.80238836080', '-427085', 68, 1);
    T('-79989.17325247', '-3.330E+5', '-69701', 47, 1);
    T('-38566942.57303177870088879', '659884918.561', '-553994', 90, 3);
    T('-2384.67099089292048125', '1.9194603061702234660851E+26', '-2384', 37, 4);
    T('-7.249122998268715', '1.59678734135190E+31', '-7', 100, 0);
    T('9E+31', '8E+6', '90000000000000000000000008000000', 57, 4);
    T('3094320793', '5.38741119266318474855661007678E+40', '53874111926631847485566100767800543917721', 16, 1);
    T('-4.26650416353334E+40', '-9926.437602643', '-9926', 47, 2);
    T('63.7', '-2.91E+7', '-29099969', 58, 4);
    T('-6.83163E+12', '561077.740124987180266275829', '-6831629996107', 74, 0);
    T('4305403827.1', '-8.511283E+29', '-851128299999999999999997952077', 17, 1);
    T('62855955.759286444941247866527', '20617069467074.3377802288427746', '20617113837523', 80, 1);
    T('5923389782', '52.5669133320924466946118892472', '5923389814', 70, 6);
    T('6601041602732922447943.8', '-5.8380625139E+29', '-583806249522122834533084878777', 17, 3);
    T('-4.0036945E+8', '7098434.1517', '-395388714', 96, 4);
    T('3.02E+42', '8.56967E+26', '3020000000000000160490844712544496129146880', 76, 6);
    T('-905.6204693', '-795362.358', '-641', 45, 1);
    T('-3.490215E+9', '-3.4579942463165558863442', '-3', 32, 4);
    T('-5.64972353202693E+32', '8.9E+8', '-564972353202692999999999395999104', 77, 1);
    T('-66608.09104715230953', '7345443639.1539901130', '-66569', 95, 0);
    T('-68237415.735192', '-5452845.2098', '-1126437', 94, 1);
    T('3.5964308517467468649788007044E+39', '-2733818.73', '-2103034', 73, 6);
    T('642964406.76682914023289', '4.79668026E+44', '479668026000000000000000000000000000642964406', 84, 5);
    T('-5.34904665E+38', '9008178421.8', '-534904664999999999999999999999581756171', 15, 4);
    T('607.634702399449873', '-4.8854E+7', '-48853409', 89, 1);
    T('-2.725874E+50', '-15.840933412053488545825760082', '-15', 11, 1);
    T('5410607407458683666.396246803', '-6.68387884019E+40', '-66838788401899999999994595099883060065518', 14, 6);
    T('2282.441836064143214', '435320.6195914724243499734', '437498', 3, 5);
    T('-1.98385', '4.55803E+42', '-1', 78, 1);
    T('10666525.768775275846931', '-7.7509944E+19', '-77509943999997754851', 16, 3);
    T('-7.6348229683486747E+21', '-62182569.3060088227654', '-2363529', 73, 2);
    T('6804232.007620', '8823914162.935237064370479660', '8824291258', 20, 5);
    T('-8.17883762938505625986141', '452425729139.00699680981021', '-5', 64, 6);
    T('8429.0', '-8487.1633791159469115', '-259', 9, 0);
    T('7.4300063242218', '8E+6', '8000007', 55, 0);
    T('56.65760270166613', '7209.689452573', '7225', 20, 0);
    T('-33', '-2.8E+2', '-1', 3, 4);
    T('374880553507084713.690370', '-886442450.22053', '-604110929', 38, 2);
    T('-5.708712693554545607755', '-636657038', '-5', 88, 4);
    T('-50401430.1454818747', '9.02621E+6', '-50331670', 85, 5);
    T('-9910.53608022027265249350986', '304495.68', '-657', 74, 3);
    T('-6965468.0681401975', '-9.250', '-9', 41, 5);
    T('163110645.2', '48.8960063401989468667910', '163110645', 97, 6);
    T('74980413.2498153029375', '8E+4', '75054269', 5, 2);
    T('-99.778637133907331', '-74.066184788', '-65', 92, 5);
    T('1.168027E+43', '5.7861717104536524E+50', '578617182375484595478736444827156151303383120084992', 85, 0);
    T('7.376193146132908974548208363E+30', '-8.4303381451E+23', '-2370415620946753772040', 34, 2);
    T('7.9E+3', '714422396.82646125', '714424060', 71, 2);
    T('6E+11', '7.5056870383601E+18', '7505687053430783136', 93, 0);
    T('43.65773955436709710', '-1.0E+10', '-9999999957', 59, 0);
    T('-87884079.840195', '-7.6191763051134E+15', '-19202343', 77, 4);
    T('-9.7E+47', '-1796102853.151', '-1796102853', 4, 2);
    T('903169.42528872154914902315', '48499.5', '916851', 7, 5);
    T('-314', '557034446.2341338792201656', '-50', 31, 5);
    T('-3010249985.4971605', '741070737.067110273729552278786', '-2470707201', 28, 3);
    T('9.1478656149E+33', '-6.6175933082637626777273826865E+30', '-6458333185694382735530254879524', 41, 3);
    T('-6.8836414132739196081E+49', '-7.292802474227485496123287E+38', '-729247709347237294957707248321118846976', 86, 5);
    T('-7514779124350588006036.134733', '-6.4637E+18', '-4648423481300561556', 70, 0);
    T('-837203346565307.2728', '-4.818E+5', '-198659', 44, 3);
    T('-4.833636008', '9115.35906376290877', '-1', 84, 3);
    T('-882097020277044.1995103075', '235.246880676435', '-882097020277009', 86, 0);
    T('-6.81053584602062258E+50', '8.891732783528969981995252E+38', '-681053584601349127117829555804875473417795534520320', 32, 1);
    T('279582.34721024677', '-4.59357E+9', '-4593291458', 81, 1);
    T('-72.3342286532', '-3269.0274136264176', '-69', 43, 5);
    T('-17112326.7526', '564463958.0151188873174010121', '-5122', 55, 6);
    T('-52960371.217438985089556860148', '4.018153499744E+48', '-52960371', 34, 0);
    T('7449572315094706.76283764892898', '-90.4341317452', '-74', 56, 5);
    T('48.367760636010', '8559392708.1896361695232', '8559392756', 87, 1);
    T('2E+9', '978.290350467031', '2000000978', 94, 1);
    T('5451366762.227105', '-6.661160192921885E+25', '-66611601929218848852054678', 87, 3);
    T('-3.7', '609735.691917499299', '-1', 64, 0);
    T('14003646.26442448457604', '40175377.9127425159312022', '49655743', 93, 0);
    T('-21.35158122945761840', '9448742.20156', '-17', 1, 6);
    T('86360.4', '1.125174996407924006E+24', '1125174996407924006016472', 99, 1);
    T('8.006346E+7', '-368531645.08588', '-288509977', 6, 4);
    T('4E+23', '-37950037.55029344956', '-4395605', 71, 1);
    T('-3766944.67330179106307', '555.38241924758696076909631886', '-3766421', 82, 1);
    T('-25615.89165616537820892', '-8.404', '-7', 21, 5);
    T('-6394148.374', '-9.4148065932876E+18', '-6394148', 51, 4);
    T('-7916.7', '-1.169556357433077472101', '-1', 85, 4);
    T('6E+1', '-79541.79966', '-79489', 18, 6);
    T('-6E+9', '3.57809136588658414673919060812E+48', '-4378901504', 65, 4);
    T('92725.41533008108', '-20268.9', '-1291', 75, 2);
    T('-7.41994688944822834482E+40', '3.536E+4', '-74199468894482283448199999999999999964640', 23, 0);
    T('2.4734934E+45', '-29808130337260781713.03', '-19419592084556431505', 31, 4);
    T('-4E+17', '3E+6', '-399999999997524288', 42, 2);
    T('45801.332818229944', '-9.359E+8', '-935854359', 13, 3);
    T('-4008799.924219', '-6.22179131201248482E+34', '-1125215', 24, 5);
    T('-38.95688024', '-5446.37987245642436908591297404', '-6', 26, 3);
    T('9.3235550E+11', '-80.6941478973169357', '-16', 50, 2);
    T('2.862E+4', '20.429005882', '28636', 44, 2);
    T('-458116903.4846211085192790', '-2E+43', '-458116903', 57, 2);
    T('20732355.241811455553299', '52659436918723953177.6', '52659436918742571995', 93, 5);
    T('9.90961203302224710697835', '5.700285788854820194168E+22', '57002857888548201941689', 2, 4);
    T('8019697961758776465.436', '8.88E+8', '8019697962369146513', 83, 5);
    T('6.68418E+12', '-2.7518927020466764651E+40', '-27518927020466764650999999997731048477440', 81, 2);
    T('-4945274118.292465951100', '5.59183E+41', '-4945274118', 7, 3);
    T('-427557.11437', '-9789475.9', '-262177', 47, 5);
    T('-7.217510E+9', '15.3855798605889335277948487', '-7217509985', 5, 3);
    T('-54042.366775', '7.03157905017E+47', '-54042', 75, 0);
    T('-4.32645', '7.2604437096086116E+40', '-4', 81, 0);
    T('2.41343177668', '6.2E+28', '62000000000000000000000000002', 84, 4);
    T('-4.281901E+19', '55285821.447196', '-42819009999945336771', 99, 5);
    T('-6.32887E+12', '4.36032E+6', '-6328870000000', 65, 3);
    T('1.1846699235226810604723110', '4188829777.7019504120', '4188829777', 3, 1);
    T('-3.32213318361', '43272.01181459', '-3', 77, 5);
    T('-5.963760781853795863803044E+28', '6.6507', '-59637607818537958638030439994', 54, 4);
    T('-22.477621251949723', '26.4820324077', '-6', 65, 5);
    T('-79142043.681674810898531', '-5.7671081182E+17', '-77627547', 56, 1);
    T('-7.77374241655370379215580E+43', '-34.3776563894653549553403', '-34', 17, 6);
    T('3.5750645059737165602981E+50', '-3.941', '-3', 64, 5);
    T('-343.9181602742915928189416513', '-429971865.106835089229531', '-273', 32, 3);
    T('5.5E+8', '-834882.537686606825706246', '-305218', 43, 5);
    T('71163444.89871115363637163', '8.147E+5', '71171708', 18, 5);
    T('17919378.2006', '4885378036', '4885446646', 62, 4);
    T('-3.86E+7', '8827182341.37276778280905091', '-4775995', 30, 3);
    T('-4.709545826150360E+28', '3.301', '-47095458261503599999999999997', 56, 5);
    T('7.8364257757661E+38', '-3.5E+9', '-278774528', 76, 4);
    T('-4305638952262575286371', '-11756.306190955', '-10339', 85, 4);
    T('45.371023417447636460112946412', '157346421896.8276003', '157346421933', 62, 2);
    T('4.0706069234', '-5.2671316873E+49', '-52671316872999999999999999999999999999999999999996', 73, 4);
    T('-5.266E+5', '-940985309.42624561680482', '-2309', 62, 5);
    T('75.760', '-8.942689402', '-5', 74, 2);
    T('-5E+9', '8.78E+4', '-4999913736', 26, 6);
    T('-465065.724942072', '2.0068780582453924504096675527', '-465065', 94, 2);
    T('-85312.341405591084684856702013', '3.8514234888931616093', '-85309', 7, 6);
    T('525.542854', '2593944754.24006237576433', '2593945279', 26, 3);
    T('-174.507154409', '-4938.6489886708', '-10', 53, 3);
    T('-24450617.5028611966145', '-1.6E+7', '-7602745', 47, 3);
    T('6822779885.39286', '5.8207161040632609988E+39', '5820716104063260998800000000000111893485', 47, 5);
    T('-571684339.92', '7428187.27799343991609220', '-570566049', 84, 1);
    T('-61437725327121581.88257', '278088.6529', '-61437725326852261', 72, 4);
    T('-726372930.551', '-8.7911207901156685', '-2', 3, 5);
    T('-617807.5062777', '-80.38', '-79', 65, 0);
    T('209951.61565347547758', '1.971728745869636', '209951', 87, 6);
    T('4914.1', '-6.464817606545799E+35', '-646481760654579899999999999999995086', 56, 6);
    T('70604441.8950651995', '-47246901.65505', '-46180389', 11, 2);
    T('4922827622134304276381586.8698', '-31561428.77519198740635', '-10584130', 19, 2);
    T('-93867277.29322327032', '-9.2587620722833950338', '-9', 51, 3);
    T('46976', '-7E+49', '-69999999999999999999999999999999999999999999953024', 66, 0);
    T('-13468218.7624745842415413978', '4.96269416967369029', '-13468218', 100, 1);
    T('24.718160184258568074165', '3.2376805397263363262607761774', '27', 34, 4);
    T('-1.111E+8', '9209539119.39204457021221213', '-34668625', 39, 5);
    T('5E+6', '-183178908.273', '-178459804', 18, 2);
    T('67957.76011941', '-3.8005445673017153821', '-3', 45, 2);
    T('15137636.89835599272285869', '72966395487.78', '72979251071', 56, 5);
    T('-99457291.795', '-27.391292120220971', '-11', 41, 1);
    T('-7287786.334729092689565780', '7.28316194131174242933489E+40', '-340970', 9, 0);
    T('8.86287921082E+34', '-80608.759831683599090', '-80608', 89, 2);
    T('5.296604883940544694673576230E+28', '-7.4E+14', '-141863524766852', 20, 0);
    T('4.47341954254E+49', '42830056.057702402281707642', '44734195425400000000000000000000000000000042830056', 52, 5);
    T('-297.54125', '5E+9', '-297', 43, 5);
    T('-8.95397832589082', '1.27577765897821E+18', '-8', 8, 4);
    T('-436928688.565716330344943779043', '-1590.30266', '-38', 82, 3);
    T('267961.6982737378016665501237', '6.9594307915429854', '267967', 18, 1);
    T('-853.078328151276427582140', '-6.58694986195528093931163808E+49', '-853', 54, 5);
    T('7.809975951E+32', '-9649.7465397163753028888', '-9649', 97, 0);
    T('-804.605999', '-6941828.3379265980028794519', '-4', 16, 1);
    T('2.2535235E+50', '767.0167', '225352350000000000000000000000000000000000000000767', 80, 0);
    T('-6.38250375753653883183', '-200671.19994618827246353', '-5', 72, 3);
    T('1.35206366E+39', '803677.618708431', '1352063660000000000000000000000000803677', 30, 4);
    T('-5.29E+25', '69.157', '-52899999999999999999999931', 25, 3);
    T('6.95065523953090793681660E+37', '4.5E+3', '69506552395309079368166000000000004500', 95, 6);
    T('6.55732107E+36', '-775683543.76050845', '-238812631', 26, 4);
    T('2079488524.123432066551', '635813.3238223', '2080111533', 90, 2);
    T('-9.530749089274749876E+39', '9728.6908', '-9530749089274749875999999999999999990272', 16, 2);
    T('-1.65060941232559488765E+39', '-3.6165E+41', '-1628305594397689467016570814434971746304', 28, 6);
    T('23.53608488256', '48769.401181717287', '48791', 58, 1);
    T('3.13278134E+47', '5563737506312.75741', '313278134000000000000000000000000000066179367432', 85, 4);
    T('23364392.5503560843163104819953', '77235.299', '23441339', 62, 6);
    T('6.237576277704939809181103E+46', '2.60E+10', '62375762777049398091811030000000000008660747264', 84, 1);
    T('62562492.9957853143759', '7798535273.6702934416', '7851652349', 92, 6);
    T('-2.7681E+9', '-7.267214761676108142418434168E+36', '-2692516512', 19, 3);
    T('-4730427441.29', '-596', '-17', 41, 4);
    T('-974.69988156066455761446339', '50915.1702927326137535', '-269', 41, 3);
    T('-2.30E+7', '-246.689561094293', '-182', 3, 1);
    T('653.631536025863752756', '1871427072.0967599641', '1871427213', 25, 6);
    T('979365232.701276972112632', '-12381.545013287162', '-4109', 56, 1);
    T('-2743732349.0079519072599925', '-51367.7857185009998', '-2085', 93, 6);
    T('-1.13518685E+26', '-956268829.3934610017894', '-676561181', 4, 2);
    T('-19416671.6385439130125595560270', '8.784525632387903906313914', '-19416663', 26, 2);
    T('67392.059605637832', '-5.213E+41', '-521299999999999999999999999999999999932608', 13, 5);
    T('-888159.8304555', '-3898.55308', '-3353', 19, 4);
    T('4.844324E+31', '-223132.93933350011473514204', '-223132', 18, 2);
    T('7150692905.828', '1302.889608452915076', '7150694207', 22, 6);
    T('-5.46064411591624980118247269E+47', '9.7535676740102290E+21', '-546064411591624980118247259248873288138625136832', 11, 2);
    T('-1.220E+32', '-1.8E+23', '-160589393829795444293632', 54, 2);
    T('3898943868.372576730166028', '8.2856E+6', '3900665340', 15, 5);
    T('-6318.827', '-7.58988366869824776375198798', '-5', 92, 4);
    T('5.63E+32', '-50838401', '-50838401', 2, 3);
    T('5646487999.1480333694708', '-1.677E+40', '-16769999999999999999999999999994353512001', 78, 1);
    T('6329.3773229654115', '35155242.859232592987438145142', '35159483', 73, 3);
    T('-8E+5', '718495.239899010595636', '-262241', 6, 1);
    T('6.69', '-623.792379520700463103663', '-617', 17, 1);
    T('-8270.7103998724811036238312', '4520711.95039381', '-73', 41, 5);
    T('-70564882.67761399920425582', '1.75365501E+12', '-269314', 71, 1);
    T('-7.1786E+6', '95320714135829.077142320703125', '-2195555', 70, 4);
    T('-263060477.761445755501731836', '-7.880980166E+10', '-153887673', 66, 5);
    T('497800657.23', '-947.135', '-547', 64, 3);
    T('49.4179497028823985764585997566', '-3833539968290.583157', '-3833539968257', 68, 3);
    T('-1.7942E+21', '8713981.672769229002', '-1794199999999991548163', 17, 3);
    T('2.68E+7', '593692655.6823', '603713519', 90, 1);
    T('33.4998215101149848757411', '-9299', '-9299', 47, 4);
    T('20630173.8', '3.0908464794716775210E+28', '30908464794716775210020499101', 83, 4);
    T('-5.5E+9', '-4987.511', '-4731', 2, 1);
    T('-4.3977454349061919772E+50', '-989687160322654628.1', '-110358190617264548', 56, 1);
    T('-96478.9120829744509142', '417685.061655512', '-73801', 10, 0);
    T('5.239693360567393146E+34', '-5245615.5628158424217759148', '-2735', 27, 0);
    T('-66212', '-90599.77848751715730', '-65699', 37, 3);
    T('-207095850.007944719458692274412', '-5.5181238', '-1', 23, 3);
    T('2.3883296937E+40', '4096840.92318941309846', '23883296937000000000000000000000004096840', 24, 3);
    T('17344.476296930420921199918', '6.3203470118', '17350', 95, 6);
    T('-6.841E+6', '-79341.4323711959469079023536', '-8357', 21, 2);
    T('-4584.7961', '-3118887.6609748', '-4391', 21, 1);
    T('-15924.711530614642777643', '8E+3', '-8244', 8, 1);
    T('835469.90', '-68.011028803447', '-67', 53, 2);
    T('-7637.99', '-87550.6602945', '-5589', 90, 5);
    T('6251984832395.5499095807', '900017091.57581403094893290', '6252263763915', 87, 4);
    T('-6.31199963728744279E+50', '-3976822751.14012279440777', '-3976822751', 92, 5);
    T('-9.994544292876482071', '392.57882317779670876352116', '-1', 43, 0);
    T('-313.43088571121985693880417', '7.786092E+7', '-257', 51, 0);
    T('-612597108114892412500.94418337', '-5783476595.7960060', '-1085821011', 87, 4);
    T('-4.49633737E+44', '463.457826596289757503', '-449633736999999999999999999999999999999999537', 54, 4);
    T('78.28495', '-1.0325667931E+50', '-103256679309999999999999999999999999999999999999922', 84, 0);
    T('7.0773E+42', '-327757.62456518201395793', '-327757', 99, 0);
    T('-2E+5', '-2.62E+3', '-2108', 80, 4);
    T('-118275.138', '8.64679469406848E+34', '-118275', 94, 6);
    T('-108.9494201526190029403169815', '25930.19818312', '-34', 48, 1);
    T('-56492', '-552.35861883137400112', '-36', 86, 0);
    T('650.482022519', '6.5060090182490372547364851', '654', 62, 0);
    T('66151.646523696799297377643', '-2.4E+4', '-23961', 98, 6);
    T('-78479892.87013773477438215', '-848.009391477220996', '-516', 72, 0);
    T('984019.78551782114', '57339769965625086088.3887865842', '57339769965625938907', 63, 6);
    T('-75.11580912139254189251968', '-4E+3', '-11', 94, 2);
    T('5.884E+9', '-2702060.188206062650', '-592108', 21, 1);
    T('-4E+2', '-15290065.381240', '-129', 71, 2);
    T('-31097.8969445093131425', '1.6052909646083497976E+50', '-31097', 27, 0);
    T('-91697058.7934082627949436587558', '-2964013.318920459464984372665', '-2435617', 26, 3);
    T('-195571988.533098608835210155136', '-49716.421', '-20', 56, 1);
    T('1.4151410E+9', '279595.9727120481278620621', '1415403179', 62, 1);
    T('-157.709674067313831731390007327', '10.2809669', '-149', 70, 1);
    T('-19484.96317860128038484442186', '5534.66052907527407', '-18434', 21, 4);
    T('-8523667386675', '-39.553045215698359651', '-35', 31, 0);
    T('-681650626', '551.71755446631811457635', '-681650625', 48, 5);
    T('5.20584014733260325534516373', '37317268.0235', '37317269', 2, 2);
    T('72.82256614642324895944', '-55.7', '-55', 26, 0);
    T('515.45706278870', '9.72E+47', '972000000000000000000000000000000000000000000515', 29, 0);
    T('-303278.933904523634738892864433', '-7214.040', '-46', 24, 3);
    T('-1.45439016093320638332506E+39', '864208044456818620.75657386067', '-1454390160933206383324895046717134194756', 8, 3);
    T('3.527148127112752494224994045', '1700425314.63', '1700425315', 98, 2);
    T('-5.114E+8', '-30478975.182862806143648164663', '-5312575', 23, 5);
    T('6.8324195683686599659', '-7622153.8693270', '-7622153', 79, 4);
    T('6.670485587281E+40', '2787.775681050274370916891822', '66704855872810000000000000000000000002787', 90, 5);
    T('-7.26', '790434.984', '-5', 56, 5);
    T('-2.31599755507360062075E+44', '-1420725.42616639161', '-1420725', 6, 2);
    T('-51979584596259411495434.84', '123956.6004432543424725533', '-51979584596259411462666', 94, 5);
    T('811274.357774435890179174', '4.3906844542294478615327659', '811278', 65, 0);
    T('8.04E+34', '-282572466.38838159', '-282572466', 78, 0);
    T('8415555.440110531891277077628', '2.834E+4', '8417271', 98, 6);
    T('-9.133059077059092403173705', '-5595507.28', '-1', 93, 0);
    T('1408473.37366460990230970', '735950', '2064351', 64, 1);
    T('-817.2', '-1E+3', '-801', 51, 5);
    T('9995534.07232948451', '812418.914552374542950430', '10282382', 63, 4);
    T('6247176.1554661', '-3722.226307', '-3202', 3, 5);
    T('6.85014216494886', '9849.2859634410064', '9855', 54, 2);
    T('6.2550E+5', '-7.270254091020732912137801E+41', '-727025409102073291213780099999999999374500', 10, 5);
    T('-650160.4742382766047807963', '-1.010989016317269750145E+37', '-60336', 32, 2);
    T('-6.92839894', '1484.54965628611042009044015386', '-2', 84, 6);
    T('3.207553698501', '7.4E+5', '740003', 45, 3);
    T('1.70E+5', '6.711941E+7', '67287346', 51, 1);
    T('5.55150E+26', '-52214361.9695244383', '-52214361', 65, 0);
    T('-8888293', '280.730082514815', '-8888037', 89, 2);
    T('967518076.4426802004257556', '-8.34906474797E+14', '-834906314821764', 86, 3);
    T('-9.5176598784875E+34', '-9843202.1305008813', '-9843202', 24, 4);
    T('61114328.210768902916', '-985869104765936228063117.427072', '-985869104765936202895365', 92, 5);
    T('8944747092.54233795770826080', '9.3772E+25', '93772000000000000002490964', 93, 6);
    T('-9.11584476056204883025229E+36', '564872441.8832009017865397', '-9115844760562048830252289999454083847', 56, 6);
    T('1.38869463933438793', '-8.1326629078291E+42', '-8132662907829099999999999999999999999999999', 86, 3);
    T('68230.8957883', '7.4306E+23', '743060000000000000068230', 37, 4);
    T('-905496.80455176', '827795.2', '-86021', 36, 3);
    T('-2.2502144756668225481420455', '-3.520E+5', '-2', 100, 6);
    T('8934029.003199', '-3249106.0146231785641', '-3244369', 13, 0);
    T('6.08572178E+25', '-8.433075E+24', '-5632630889304092960358400', 95, 0);
    T('-9', '-1686873825.5872237857', '-1', 3, 3);
    T('4.26281249182831891', '-4.419424755436132297E+20', '-441942475543613229700', 88, 3);
    T('1E+6', '-3882073.3714742888', '-3161113', 68, 5);
    T('-1180.2058388741626786788294114', '-865756763.46657099529719607', '-1051', 78, 1);
    T('-1', '-9.988065211209576E+20', '-1', 69, 3);
    T('841725629292560.828370473754', '-3.10883856085518284033E+23', '-310883856076172435131368', 84, 1);
    T('39966.7338', '-7.8735762701771E+30', '-7873576270177099999999999960034', 88, 6);
    T('-3188235.647294422723', '321.43143', '-3188235', 19, 4);
    T('-9905.5862462004890', '-8.73E+18', '-9905', 26, 5);
    T('9.47362708301566430', '-7654108115.470561482018', '-7654108115', 9, 5);
    T('94.4395449077112947190563707', '-8375853406.8167518043633448', '-8375853314', 24, 5);
    T('873062.1', '-37562336.413', '-36709786', 51, 0);
    T('188.2205562', '50758915.7781601968476882726946', '50759103', 97, 0);
    T('4.3E+26', '-6641630656.227863867107054', '-6473858496', 35, 1);
    T('244279410.63410', '1.5603057111920E+42', '1560305711192000000000000000000000244279410', 32, 4);
    T('266034739914436897', '-60074821.05230377663', '-18123333', 29, 3);
    T('-7.844954E+8', '-579041589.1441140311', '-578973989', 2, 5);
    T('-224.385781142407838331806572', '7.033653266267293E+24', '-224', 47, 2);
    T('6.85E+5', '-56.5060560751367723044', '-56', 4, 4);
    T('6237388802.66', '217430.0844588325054144697512', '6237409622', 100, 6);
    T('-1.0506382714E+24', '1.01907E+28', '-388746893468326315589632', 48, 4);
    T('3.79E+6', '-7.672517494842249926206458399', '-7', 69, 5);
    T('68166286001790094193865547211.3', '-1.7E+5', '-163845', 28, 1);
    T('-908779098430.377', '-831.7892681265602', '-317', 29, 1);
    T('83120.5952', '50729302068125315.8581021707952', '50729302068125363', 46, 3);
    T('200379682155782941554111', '-278125381.303977', '-269634113', 15, 3);
    T('-8.692858010828601648078433834E+29', '-2.24363585175356443001897844', '-2', 38, 1);
    T('1860119.19390538308145801523457', '-3.89739500923803352', '-1', 59, 0);
    T('6.22110633739553335640707E+43', '-9451230542.5494648346', '-575034702', 12, 0);
    T('26.76', '628114886817802770730600.232', '628114886817802770730618', 14, 1);
    T('80782604.1733174', '5831.6778085549', '80787407', 34, 3);
    T('1097028513.81643607636573', '-305245.2443722123579836746', '-305245', 100, 4);
    T('-3791.6936682867661006324', '-0.000009390822', '-3791', 2, 3);
    T('7.212345954E+17', '809349.07923222070767249885118', '721234595400285061', 4, 0);
    T('-6.5475E+6', '9E+9', '-188460', 10, 2);
    T('-8.6E+2', '664.6232056700291', '-324', 41, 1);
    T('3.704136E+43', '-4095.008164707151627266739866', '-4095', 46, 4);
    T('2510366', '-3E+4', '-12578', 99, 1);
    T('-76743.968997585097547802', '10.0021327', '-76741', 47, 4);
    T('-3.76E+6', '-5166873990.0475650103589', '-3677446', 98, 6);
    T('-328894368.7569', '-8.96450E+12', '-294814880', 38, 4);
    T('-54553318104761413329.8056562819', '-680481.3470190', '-8705', 45, 4);
    T('8787735.444759394649', '6.92509258185464382E+25', '69250925818546438200000279', 87, 6);
    T('783305516879196.6115', '4512.63118402726310137', '783305516883452', 37, 3);
    T('-4.14549794836', '2512936953.663', '-3', 87, 5);
    T('-6.6E+19', '1.388276E+12', '-65999999720231361280', 62, 1);
    T('-35402.676680', '6.153709E+50', '-35402', 70, 3);
    T('1.61915171031281854214', '-790.4004731489299803', '-789', 38, 1);
    T('3081455201197570.104550185139', '10625.62', '3081455201206147', 67, 0);
    T('9E+46', '-331683.730118453138167006838', '-331683', 25, 3);
    T('95487584.509760030822541994', '3.22E+18', '3220000000087098976', 44, 6);
    T('392.3295', '20051432725204561.8195234', '20051432725204953', 20, 1);
    T('58.214', '-57331362.865398404092945196', '-57331330', 65, 6);
    T('-937184217.20', '-47442.41009', '-2385', 72, 1);
    T('-6382410929.9', '-8.1E+26', '-6046866609', 53, 3);
    T('30.62778748806803314479107', '3.189307084276599933', '31', 21, 4);
    T('4023.918769147804059174860', '-4.688788397409578219838E+38', '-468878839740957821983799999999999995977', 48, 4);
    T('-3.264332628307563E+39', '-8.38338306860802E+20', '-244420537928137458816', 80, 5);
    T('8.0055991354973594886238885555', '-4.68053508331E+33', '-4680535083309999999999999999999992', 88, 4);
    T('58620.39858218571396888499632', '5647568.446054627', '5696764', 24, 3);
    T('-609.62521051334629', '-55.833837680684094692919141636', '-33', 28, 4);
    T('-78403.8315578252', '-2114.795873471548294116', '-65', 24, 5);
    T('3.19062480586369031092446816890', '-7.2E+7', '-71999997', 47, 6);
    T('-2.655230017066E+35', '6.488011E+28', '-265522976789951753308850697912975360', 11, 6);
    T('7930447783.7945195653490', '435997.778442660673', '7930881983', 22, 5);
    T('57505.7384396214190543390510214', '3.56958851423380616371E+45', '3569588514233806163710000000000000000000057505', 25, 0);
    T('-7.88083287914248', '-69311.043378116', '-7', 78, 1);
    T('-574804487.102', '5.9803378E+16', '-4194823', 17, 4);
    T('-604144.7741617067660198508790', '89.0536', '-604071', 94, 4);
    T('676322158.08349562682087823124', '-9.7E+17', '-969999999865726098', 50, 5);
    T('-8E+34', '-4.8194846E+8', '-481948460', 51, 6);
    T('-7.103052189332563042E+49', '75619.1909535613248497', '-71030521893325630419999999999999999999999999924381', 37, 5);
    T('-5.1480489901449561', '-7E+3', '-5', 43, 1);
    T('1.172753380666', '81512.8678159826425485', '81513', 78, 2);
    T('-850785732603016468810.026871609', '3.39E+9', '-850785732601808162890', 6, 4);
    T('-288308948.6871820522131008108', '-53.319', '-17', 75, 0);
    T('4.1512076851127530265492440539', '8.0453E+7', '80453004', 28, 3);
    T('7E+9', '-7.315157089528329551168111469E+43', '-73151570895283295511681114689999999997344256', 66, 5);
    T('-28.6776821666515071278324281178', '5332540021.447350774751604', '-11', 25, 0);
    T('221512.84', '4.782712921488', '221516', 95, 5);
    T('-74.456744956', '80791.67983875', '-73', 77, 4);
    T('-4.14453685429313E+37', '-3.286209818779792E+20', '-313596902841998883328', 74, 1);
    T('8.7808056E+33', '-96.5685245', '-96', 65, 4);
    T('9.93917356', '-356.6163905', '-355', 69, 4);
    T('-7.5418921E+8', '-4.42720413476E+23', '-547619738', 95, 0);
    T('-3030.327229693396276942361987', '2801841.102939684', '-2885', 53, 6);
    T('-5.0E+8', '50343352.64949325353786704', '-483213384', 10, 2);
    T('4.6E+48', '1.3290954744002851103358588268E+45', '4600013329723217530986157041530936282730462707712', 18, 6);
    T('4.8E+16', '4', '48000000000000004', 32, 0);
    T('-99448.3032347182', '-3.46E+4', '-33832', 21, 3);
    T('-5.743248610451281186402272801', '4638.8009330552409938', '-1', 96, 5);
    T('-1.41804397209775644', '-4289442.3356763666882922712', '-1', 19, 6);
    T('5.78E+5', '3.6836E+6', '3732944', 32, 3);
    T('72522509.0089816639907289691497', '-295.3050313554685', '-35', 34, 0);
    T('-99625.46869813190543427', '-6432049517.88', '-65833', 62, 0);
    T('514.24468799351', '-469.9971875327940784877905', '-469', 22, 0);
    T('70.327191678793126994169', '87491562.070033440067840666', '87491566', 14, 4);
    T('-20647532.2928200233517304460401', '53393.202051294849226', '-20647531', 91, 5);
    T('605.6115', '806414.5864898039065', '806495', 46, 5);
    T('-2.466179745797E+20', '942.620764', '-246617974579699999826', 85, 1);
    T('544.617731983942214455295388', '-200454.17450904656156150', '-199942', 52, 4);
    T('664.365936372057065757595064', '-49.020927154223256673140650975', '-33', 27, 2);
    T('3E+6', '-8.6008E+7', '-83894336', 86, 6);
    T('-623893.846248', '5.192814541E+16', '-622869', 98, 2);
    T('-8.71442433505268350098736900832E+34', '4451086980', '-87144243350526835009873689927747964', 11, 4);
    T('-10198783.7557471017916221339277', '-2.2E+41', '-10198783', 81, 1);
    T('-775.18822021948454561759834', '6.3157015459E+50', '-775', 68, 5);
    T('4.43347023E+18', '8109937.7', '4433470230001090417', 35, 2);
    T('6.0629E+34', '8.956076E+28', '60629010291002291271625304254185472', 39, 0);
    T('-2720831.568786876724775489', '7806226192.306395', '-2097199', 55, 2);
    T('-66410293.226353609410852714472', '-1.415463568433635223', '-1', 65, 0);
    T('391.793180', '-90.1697', '-89', 99, 2);
    T('-105311.467479652512299357010875', '9E+45', '-105311', 1, 1);
    T('796949194.83044517528469298', '-9.9899753702E+34', '-99899753701999999999999999370822966', 80, 4);
    T('-705.5', '-318.4740615', '-1', 60, 1);
    T('-3521888.7', '-43787745859055771.2018329677461', '-3256347', 40, 4);
    T('5.24359200946057737', '649.1746487', '653', 83, 2);
    T('1.4256172432180216541E+35', '3.3', '142561724321802165410000000000000003', 43, 2);
    T('9.0903916960437096386799E+26', '-87729843.129994216987714004251', '-20086787', 25, 6);
    T('-5.427143E+33', '6.174372439403964233589750E+27', '-5427142764249418597163883035592464', 9, 4);
    T('40.6', '8.2423', '40', 36, 2);
    T('4.911969', '-4.9127386708162986954733', '-4', 20, 1);
    T('-358710522.2463285759122105195', '-48609.8840', '-15585', 36, 1);
    T('-1131748368463985.36284751443', '-54.9451831583020021', '-49', 13, 3);
    T('-866443801.9753806017', '27138092.753484857111244', '-841015825', 67, 1);
    T('7880.38490931', '4.929849E+42', '4929849000000000000000000000000000000007880', 10, 4);
    T('4.01668934617E+37', '-459369644878.645062', '-415279121230', 34, 5);
    T('-1526.02705858603396430', '-7.5566848969382728180954962923', '-5', 4, 0);
    T('-9424.079', '-4729240.11459470909104427', '-8328', 10, 3);
    T('-47652180.149', '6531.2588477', '-47645777', 10, 2);
    T('44.8', '-95066.5791', '-95058', 9, 1);
    T('4.6997917238771171023218E+40', '-20673.822602', '-20673', 85, 2);
    T('8.23372913705796E+39', '5263211122.6891', '8233729137057960000000000000000297155186', 64, 5);
    T('8.492359478392809076E+43', '-1.23898398683929E+38', '-122559299646642731769688307918608269312', 28, 4);
    T('-6.1E+9', '-6278.934077793', '-6278', 76, 5);
    T('-6.5432040838621', '-3.79E+4', '-2', 41, 4);
    T('-9', '-1.7482845E+15', '-9', 3, 3);
    T('-3.134E+25', '-698724275758.074279204654', '-559070729774', 15, 4);
    T('-110975127082254595549.1964', '1.105043351E+47', '-73786985211754313181', 82, 0);
    T('-2752110.585680', '-321830240.6000251', '-2669646', 57, 5);
    T('-19.742982992139104512083085', '-18.65705837191595412478637292', '-17', 60, 6);
    T('-16.784468063425', '-54953499.87315160786827080', '-11', 76, 6);
    T('5.6092822598E+11', '94.57334', '560928226046', 39, 1);
    T('-1680039.85953201677622601670', '439250055.150190', '-1147425', 69, 5);
    T('-11533722240068998.8', '7.0960465173849994491E+28', '-150404805599622', 79, 3);
    T('-99849706.7751062570', '-7.4E+14', '-86119914', 56, 5);
    T('-9332.36388034245780233', '7.74E+4', '-36', 24, 6);
    T('5.21E+26', '215364.97636750', '521000000000000000000215364', 6, 0);
    T('6.29E+19', '6393084447.29574381048601', '62900000000688699935', 17, 3);
    T('8896.13755045', '-138.0550973298787', '-10', 100, 0);
    T('-3544478540.957098585940572386', '-3.07067041708775E+23', '-2453684556', 59, 2);
    T('-3.7494086E+47', '5.2', '-374940859999999999999999999999999999999999999995', 41, 3);
    T('-6.693469238E+36', '-8.509836053968', '-8', 9, 5);
    T('838769940.7084430', '3.107473573723678339110E+42', '3107473573723678339110000000000000809409812', 86, 0);
    T('7.24597080053643321796754377621E+40', '-2849.5386809277433195', '-801', 94, 1);
    T('2.16833E+31', '5.5121E+5', '21683300000000000000000000551210', 72, 1);
    T('-66.60162529013', '-7.1818965087307731486587', '-1', 40, 6);
    T('-8.492018892228631', '3.8708447104496402722524E+39', '-8', 74, 4);
    T('86829.787087135204530', '-43.90212360566680945', '-3', 5, 4);
    T('-154006.49048828987', '3.12453E+26', '-154006', 32, 4);
    T('-9283849789.49524844448319483455', '700299795.538381377867061', '-8594146349', 37, 2);
    T('-5.1250852884988521095E+46', '856799981.797373375', '-51250852884988521094999999999999999999680070931', 37, 5);
    T('6.3678004343E+36', '-637964475.86', '-33984699', 43, 3);
    T('-3.974E+9', '-6.77E+7', '-67634464', 84, 2);
    T('-899374969.771325085459013866', '1.99740444828E+50', '-899374969', 76, 4);
    T('8263133214.1', '-3734744731.995004267180415791', '-303728257', 60, 0);
    T('170', '77', '239', 29, 3);
    T('-8.49802211940942530760603126E+50', '-56917782.281239101', '-23363350', 50, 2);
    T('-9236192.677', '711155101.90550', '-9216579', 39, 1);
    T('8389.21915877275290802', '4.370165094447E+46', '43701650944470000000000000000000000000000008389', 74, 0);
    T('2.95130706254337', '-9.727287597645215981', '-9', 17, 4);
    T('-368195.13381571947094849', '-58004110809.52501', '-7233', 72, 0);
    T('-264242037.3551059752183249220', '-1.000328E+18', '-180355957', 54, 0);
    T('523.1525405577193244219957', '-2867698314.5124', '-2867697793', 33, 2);
    T('-812849.2009385736437519804392', '21063192922.511134456756903977', '-534049', 99, 2);
    T('-51.526463140066195601083', '-25.29904899893', '-17', 88, 1);
    T('-8.7318731649182E+32', '-5.51290497829221799282E+47', '-811624555920294696426118648430592', 38, 0);
    T('4.8568403749827152696456064', '-6.66923695152E+12', '-6669236951516', 62, 5);
    T('-7.91545799055200', '3.95841109612205917634551E+30', '-7', 36, 6);
    T('646.5', '-782272427.3535629675256690459', '-782271785', 36, 5);
    T('6.6513398E+9', '3.3211507998841994', '6651339803', 94, 5);
    T('92.6166942', '-10.93993458220126', '-2', 80, 4);
    T('3383187.587', '47.3312094829', '3383231', 67, 0);
    T('3911394.92787547785658700', '1.466949237165E+38', '146694923716500000000000000000003911394', 16, 5);
    T('528164995374690112298.216298', '291351.88149994055', '528164995374690136895', 10, 4);
    T('-440528.593139339260596890', '636605.54175886443028837931933', '-395331', 86, 1);
    T('53601060226.16068571033508470', '223231452.29435378386', '53684960734', 27, 6);
    T('-6.589318991231E+19', '-687.7383350295371825', '-47', 32, 5);
    T('-4.5056809539E+44', '3685.158521232936', '-450568095389999999999999999999999999999996315', 43, 5);
    T('6.88072410900455766E+40', '965372.6464807463', '68807241090045576600000000000000000965372', 32, 1);
    T('-1.8435E+6', '74036715.9225360556543576186', '-1310721', 7, 6);
    T('7569970.712233069', '-13459130.022071628773681552', '-9198730', 29, 5);
    T('4.6E+8', '2.982461084563522E+31', '29824610845635220000000405342976', 67, 2);
    T('-57.29413312722022285369867826', '-7.224181697E+30', '-57', 66, 3);
    T('846.13015993308612344673', '1.0E+2', '878', 24, 3);
    T('984754.623403700732955063158409', '-390352.51710050473', '-61518', 55, 5);
    T('-777.44795134661316120', '-8306391864.6568981334811914', '-769', 49, 6);
    T('9967.3', '-52.15210', '-17', 48, 2);
    T('660.1', '-7054325518.2012276', '-7054325002', 56, 1);
    T('-386.4146408', '3.9753637380E+11', '-386', 37, 4);
    T('-3298955870.07460708238502078', '-781943.6481058947530076', '-131669', 75, 5);
    T('1.8404942439662618E+46', '850.8', '18404942439662618000000000000000000000000000850', 55, 2);
    T('-1725335651.11813', '-5E+24', '-618039395', 69, 2);
    T('-93598.8437012489757997', '410.5882008200', '-93190', 91, 2);
    T('3.5509264293668646685032172E+50', '3.81999285986E+17', '355092642936686466850321720000000291645749205531776', 43, 4);
    T('-4.9741327614479E+18', '7.398509E+7', '-4974132761378161438', 33, 2);
    T('5.1373799867125E+25', '-378592.2909029', '-362208', 28, 4);
    T('578503.1873', '-71944291.24198871308796226', '-71370785', 76, 2);
    T('-419882.5729931861818107', '-17746867562344', '-270370', 89, 2);
    T('6.8399E+6', '-84190', '-65666', 11, 3);
    T('4.2489490439260431601770E+40', '-715954459451.9938057', '-567742436155', 86, 4);
    T('8.97064E+9', '-259012.355136229633380314422', '-188740', 59, 1);
    T('3.9670996369', '-99359019.876559060568901730', '-99359017', 78, 3);
    T('-4138.6927970573480389975781', '-9169793.6646582243841', '-1', 95, 0);
    T('574647.91', '7.7701432627072680672E+44', '777014326270726806720000000000000000000574647', 83, 1);
    T('-1.09435744898E+29', '-89.6', '-89', 56, 4);
    T('1.686368309', '5.05651812439010080', '5', 67, 3);
    T('-768.2504305155', '-2117799230917595.612465', '-731', 80, 6);
    T('86489.53986833075970107273887', '-2214152.92', '-2131975', 37, 4);
    T('-8E+3', '-1.870183244814879E+45', '-8000', 90, 2);
    T('2.89763729629667422230E+49', '-1.1934747955814846097395725E+50', '-93765491909593785459238469080719587841139649019904', 61, 1);
    T('9.746934542898586E+44', '1.474984923193895824266E+23', '974693454289858600000132531246695566679278056', 32, 6);
    T('-40068854.922198390915171606', '-4087.2057666432778901936', '-1781', 86, 0);
    T('350.1169894859582161443553125', '52125873.3133614', '52126207', 7, 6);
    T('1.5882169569341158753540', '-9.7622968115250E+45', '-9762296811524999999999999999999999999999999999', 66, 3);
    T('1.4272E+5', '-3911347.00212841379739', '-3768883', 45, 6);
    T('-9E+40', '-70.31972212668950162822102063', '-70', 95, 3);
    T('-2.6741603215448487723938223731E+46', '-77034.777259053', '-77034', 25, 4);
    T('752.34399380901', '-6.5254E+5', '-652300', 48, 0);
    T('3055142.94596488862', '4.9661848930617784771E+27', '4966184893061778477100826406', 28, 3);
    T('19940162.39', '-838554.546506414332706332915319', '-821402', 91, 2);
    T('3.94E+8', '-2.451E+5', '-2412', 55, 2);
    T('-8327497.2306025801977675684577', '-632.68761', '-65', 18, 5);
    T('1528416481.564521', '54.0184', '1528416503', 54, 5);
    T('-551487189.1509032', '9315762618.4070734578480780765', '-10225221', 85, 5);
    T('-4.336961E+25', '-350022153.78344661120', '-12904969', 57, 4);
    T('-43375436.1358291793075965176493', '64703627.05610', '-299841', 10, 3);
    T('5.22E+26', '-9.3555', '-9', 83, 1);
    T('71824911.8564320', '-9.73596352876051106E+43', '-97359635287605110599999999999999999928175089', 3, 5);
    T('1.8908530893119642945402908E+26', '-1.13990464889652160E+37', '-11399046488950518498956901688223977192', 81, 6);
    T('-235098.441730428456038114133572', '2.819758505630115945543573E+40', '-169562', 10, 4);
    T('-685267.122902434302067', '-8.151310E+8', '-24659', 34, 2);
    T('-1.175470E+9', '-89.801230730413158', '-9', 58, 4);
    T('668.67544325393068490068052444', '4467261.084', '4467389', 71, 5);
    T('-7.18312940109595421E+43', '-9.1185E+8', '-307870224', 20, 1);
    T('-6509.3691979', '-36641470.90642', '-6189', 65, 1);
    T('6564038.13059601', '811844677.54028842691', '812117191', 31, 3);
    T('993493229836107.3', '6.8501764839E+31', '68501764839000000428274963257163', 63, 4);
    T('758342033494620057529.6044', '-7331270.940728355565607', '-4902981', 20, 4);
    T('2550200967.474883', '-4.28461801180E+49', '-42846180117999999999999999999999999999997449799033', 57, 6);
    T('-4.90532E+8', '6.505051669304663', '-490531994', 64, 6);
    T('-6.6E+5', '-16459.0269757238325', '-11', 68, 1);
    T('-35537.6479545435210', '658035546.131', '-2177', 58, 6);
    T('-4715.6789880955463207', '2.00239480638763077911288', '-4713', 7, 6);
    T('193925092356.926162395820697118', '-1.90110008867100845522019266714', '-1', 72, 3);
    T('602488390', '3.9702E+8', '938164070', 70, 2);
    T('2.532374108140418018444750139', '152.0865001399077898372', '154', 27, 5);
    T('23763354.9580567065805936842881', '-6.9732320996401792518', '-6', 51, 0);
    T('-13078691379719682698662.538', '-6.332629406036707002020652259', '-6', 100, 2);
    T('-512943026.36468879278932146', '-3556.63844726515200804197055434', '-418', 79, 6);
    T('1.9855658842662910E+33', '3.6664633E+23', '1985565884287565289219750153224192', 39, 3);
    T('6179139.1741753871018066879', '-670.677608994590103215122014', '-669', 27, 1);
    T('-7082933.61234', '-3.9891E+49', '-7082933', 24, 1);
    T('651778.628826', '5.13638490747166E+27', '5136384907471660000000078338', 94, 3);
    T('58.8169218512970662167', '2.896040E+16', '28960400000000058', 88, 4);
    T('3944295770.229378458469371', '6199340.6935394355720', '3948920190', 64, 5);
    T('16900.11302727279174', '495.60638014092114677467306', '17391', 45, 2);
    T('4.38866266762376661E+43', '-1.60E+8', '-160000000', 22, 1);
    T('-302.52129883', '8.29505238801240647E+37', '-302', 72, 5);
    T('-601.033108895763646230852214', '-2649743.37784873167870', '-521', 5, 6);
    T('7393215.5608091080925160689', '670379177767520.77', '670379180949503', 36, 2);
    T('4.22455E+6', '9.09792394385293807621154025E+36', '9097923943852938076211540250000029222', 42, 1);
    T('-7129280110162777.3', '-2.857139479976396736924674934E+43', '-281520618107737', 38, 4);
    T('-23.8517831220', '-9.4E+18', '-23', 98, 3);
    T('-1.85217316795888589', '4.6207733562703678543327E+41', '-1', 1, 0);
    T('-1.9485792396915', '143666.3280', '-1', 90, 3);
    T('-132.002679908861758636', '47480.341725', '-132', 31, 0);
    T('-69372.033544147747633025053', '-220898.63409672526', '-69346', 79, 2);
    T('15562300726422342.187751047', '-1991524405.40632145', '-1065009', 12, 3);
    T('47537133.3283699653', '-97.5', '-1', 47, 1);
    T('-6.5477362128602786E+35', '-57956588.1849415496675787260', '-4479212', 76, 1);
    T('4.62630864E+9', '428742.197771', '4626308838', 59, 3);
    T('3.386109387278181595E+36', '-8.476601070244', '-8', 21, 0);
    T('-4.10118304567E+14', '5.92697485857761E+27', '-36284340899544', 72, 2);
    T('725.9312896149546844654', '-7.516931882899281441389194139E+39', '-7516931882899281441389194138999999999275', 57, 6);
    T('-7.04016608942126434071E+45', '43.958238443904181527963137', '-7040166089421264340709999999999999999999999957', 53, 5);
    T('60605490.77386898', '-5257.9312563249798', '-4233', 22, 0);
    T('9.71798155714003440', '-2830.16381834610468594429057498', '-2821', 8, 1);
    T('-71.705678268989613750791', '-154270.918704553162074', '-5', 25, 3);
    T('6.6809776462541576E+27', '336292.2111725369', '6680977646254157600000008612', 91, 4);
    T('-8.9802E+8', '5.559871654757023648122978638', '-898019995', 81, 3);
    T('-3.02932766870741448915128E+29', '2.08E+4', '-302932766870741448915127995584', 87, 1);
    T('429.322516700621014363605', '6E+6', '6000045', 89, 5);
    T('-504630978.605547240708', '-3773560.48', '-1049666', 52, 1);
    T('6.9E+6', '2E+26', '200000000000000000006900000', 41, 5);
    T('7E+27', '1.0496E+9', '7000000000000000000646946816', 40, 3);
    T('530.46053', '59483.9550', '59995', 97, 5);
    T('-67911889.91142938337202287', '-9.9019998516310917290E+33', '-803025', 51, 5);
    T('-3.11E+3', '2.222682179633896078E+34', '-3110', 48, 6);
    T('-71745.6', '8111.174550612004', '-65601', 31, 1);
    T('3E+5', '4904978.675618260685470429', '5168114', 51, 4);
    T('3511733.82211195345807656702', '-1.5E+49', '-14999999999999999999999999999999999999999996488267', 17, 1);
    T('5560530.448645216191436964994', '-7.5069600125306367743', '-5', 27, 0);
    T('-8.3E+26', '-1E+1', '-10', 42, 3);
    T('5.1013E+38', '-0.000057161978833', '510130000000000000000000000000000000000', 66, 1);
    T('-3516.922616809847113722233874', '-3E+20', '-3516', 35, 1);
    T('-9.675032946', '1.6E+16', '-9', 74, 5);
    T('-2340', '-736824.2997318304126349076', '-2084', 25, 1);
    T('-3736.3303497929630482945569', '5.8624437123269292473E+34', '-3736', 47, 4);
    T('2.2E+5', '878.4', '220014', 22, 6);
    T('8.8092324062536576290E+27', '6720257112011.54491', '8809232406253659847988737995', 27, 4);
    T('54098672.8048604', '2058632141236319301322809.814', '2058632141236319318702841', 42, 1);
    T('7.00673881375592881448044147E+46', '1.1944821', '70067388137559288144804414700000000000000000001', 17, 1);
    T('-64506504.7601', '5.0304645911283018872454332E+33', '-30425736', 71, 6);
    T('2.4570522500227973213406E+40', '5129898671.6', '24570522500227973213406000000000558107311', 91, 3);
    T('8.141E+22', '-7.52E+4', '-75200', 96, 3);
    T('-7069.37136168782', '-2.3918517083597395112252562E+43', '-7069', 50, 1);
    T('-8E+9', '-6.895E+4', '-3414', 79, 3);
    T('9.66231791270E+12', '2.8894559028', '9662317912702', 44, 0);
    T('-8.42633764902227096980720E+44', '5.76325550084630407299379704', '-842633764902227096980719999999999999999999995', 92, 1);
    T('-2.708878116E+40', '-319117962.0981282231630254', '-319117962', 99, 1);
    T('594974', '313.748401610738304065904480877', '595263', 72, 4);
    T('-9.9347755E+42', '600652.7696029', '-9934775499999999999999999999999999999399348', 12, 4);
    T('-68001319.403033923013618804754', '9392.9160541929976', '-68000263', 55, 3);
    T('7E+4', '831935.003273441617879722', '897535', 91, 6);
    T('-5165343.83764571038588870218', '-406646.393403063540483081629', '-397333', 89, 1);
    T('-5.914206366822414063767056E+39', '876091353', '-5914206366822414063767055999999393916967', 77, 2);
    T('-9.276399242342124E+47', '2.0075593911414548494', '-927639924234212399999999999999999999999999999998', 80, 4);
    T('-4991147297231485430553699587.16', '3491', '-4991147297231485430553698305', 58, 1);
    T('-6.713928983E+12', '6945.471', '-6713928982743', 74, 2);
    T('7864201.30484395207281839', '-424031065796.8051452340', '-424027881539', 9, 4);
    T('131401558583.2', '9.538305095062806E+41', '953830509506280600000000000000051542010423', 17, 3);
    T('-28014754.59391722200573383959', '6.674E+47', '-28014754', 41, 5);
    T('-138.31726473970768782526', '-2.69E+5', '-130', 84, 2);
    T('-35.355047855', '-1.78607E+7', '-3', 13, 4);
    T('-85178199', '-984.381565387659232422099231871', '-855', 42, 4);
    T('8.929848366213650097362', '-83962464265747.83762233', '-83962464265747', 62, 0);
    T('-51647.114172265081319181356', '9.1474E+9', '-49343', 27, 4);
    T('-1037085.75433343224645590804846', '-5576.1612079', '-4357', 75, 1);
    T('2.7095285165118693532637106572E+29', '-518011461668707959.58218066', '-436920108158291975', 78, 0);
    T('-394.1509124016481', '-6.013899786E+44', '-394', 7, 3);
    T('2.076331214E+35', '297.4197783821248559', '207633121400000000000000000000000297', 60, 3);
    T('3278390991.70754568', '-1.56653649063455875905', '-1', 8, 0);
    T('-562.876689395021658282817814', '5864418426.424277', '-514', 46, 2);
    T('2.5248109716824554448E+31', '-958.9187412866177', '-958', 36, 4);
    T('-747170161184941.893075238537', '5.82194478483928767999E+47', '-148485677207725', 56, 0);
    T('-96.363301130483', '24.27766039397029930174194', '-72', 38, 5);
    T('1.2811E+32', '-344442.8675122539228536', '-344442', 6, 0);
    T('-6344501247203.5365226946219', '-78.5169457293939782288495514350', '-65', 29, 3);
    T('-1.0423261861219899367826E+49', '-6.0166418191289023658948833524', '-6', 96, 6);
    T('819708', '8.83046E+26', '883046000000000000000819708', 35, 4);
    T('-118185702044053013495938385', '-608331.87', '-608321', 62, 3);
    T('-45.5795', '-2298811841.21', '-1', 42, 2);
    T('257.0205', '-1.94144781230589000E+45', '-1941447812305889999999999999999999999999999743', 55, 1);
    T('-345619900.36189', '-4.15266390988973E+24', '-336138684', 49, 6);
    T('334084.9865678', '31053307247771496475.7', '31053307247771760927', 89, 3);
    T('-3284.987310', '2364.8360561768298274920424556', '-1220', 24, 5);
    T('8.40467E+37', '33.5778891258217138', '84046700000000000000000000000000000033', 52, 5);
    T('1.72E+34', '5.91776471118785359E+25', '17200000019427855884060474336833280', 10, 5);
    T('-3.1245E+31', '-6.78650E+9', '-6518064544', 65, 1);
    T('8.7E+37', '61575843.9113417', '87000000000000000000000000000061575843', 4, 6);
    T('-8.220963466583965242211038E+38', '8119921.67662296906841', '-822096346658396524221103799999999777167', 64, 0);
    T('7.5007E+9', '58243096159487412.117617984', '58243096931442164', 23, 3);
    T('7716736365.0801918', '766196807381580.951270537666653', '766204381511533', 62, 1);
    T('-9.72169E+15', '-7931938.916751', '-1114146', 57, 4);
    T('-83.12', '-3.093E+7', '-67', 48, 2);
    T('43044.52024266388343662780815', '2662.265495864604', '43622', 68, 2);
    T('-78552195.056764572320022', '73650.040499127290753143', '-78544897', 64, 4);
    T('5480571.6453674636', '-882.77', '-769', 89, 4);
    T('6.493626E+42', '-8.774E+15', '-5077854224277504', 83, 1);
    T('5.393E+37', '4.04E+27', '53930000002481957848578197223681032192', 78, 5);
    T('23.33305856936136002', '4E+28', '40000000000000000000000000023', 77, 0);
    T('-765782567.67725801', '5.4E+9', '-740329511', 90, 0);
    T('409994.8', '-136.490866', '-6', 78, 5);
    T('5514.78167', '7787201052.25608640835', '7787206558', 54, 5);
    T('2.738417020840E+43', '9E+15', '27384170208400000000000000008401590796582912', 5, 5);
    T('-2.8195268255412220E+38', '2.239E+18', '-281952682554122199998918988612533387264', 20, 6);
    T('6242656.948775', '1.37', '6242657', 75, 3);
    T('3181208.637', '6590518241.0050475849407934', '6592650233', 16, 4);
    T('701747.75158347968103', '-389.819509357266028306653105068', '-133', 100, 6);
    T('1237307.458472447758', '323.923', '1237371', 42, 1);
    T('-6.18124037862359037E+20', '-4.01053552366134468912389389268', '-4', 8, 0);
    T('328557', '3918870706217292.2', '3918870706217837', 67, 2);
    T('3.1434996910499987634462410495E+41', '2.77E+21', '314349969104999876347024575448371665133568', 52, 4);
    T('-3555.62237638', '-92.9542', '-67', 59, 2);
    T('-90804190.91316695302', '-7102786911.03669916759819', '-88706397', 27, 6);
    T('762420.3520798825113319750536', '-840411247.2838992316091167381', '-840173643', 21, 4);
    T('-6062771762.050683', '3298849.49006958', '-6061590545', 95, 0);
    T('79228759718.713306844', '-304.034605500', '-266', 13, 3);
    T('-2.48144889732252940E+26', '-5.110E+5', '-214040', 21, 3);
    T('77.4307934819815614872118276501', '3122.34563264643168267078725645', '3199', 56, 6);
    T('-599.100', '-2.44E+30', '-599', 90, 2);
    T('-456.8666', '35728432599307.1689525120579', '-197', 22, 3);
    T('1.8016672666E+27', '5.1906378146532331341688980717', '1801667266600000000000000005', 82, 3);
    T('9.623471229990771994531533965E+40', '-1.082070E+7', '-334940', 72, 4);
    T('2369973.620459915792879748', '-3575.25592375', '-1091', 11, 5);
    T('4.44659385E+28', '6.093362E+9', '44465938500000000000153178960', 36, 3);
    T('49780000.9543697362804525935272', '-8.843964222169314E+22', '-88439642221693104048352', 15, 4);
    T('-6000283.414696351597029056937', '690.35620136326467236', '-5999625', 60, 2);
    T('34175.661465350155985797069', '9181836.1391090536025133', '9215999', 40, 0);
    T('3562075.528374', '9.8E+45', '9800000000000000000000000000000000000003562075', 61, 5);
    T('9012558.47281217226660790', '-2.06430460359835692272491439E+45', '-2064304603598356922724914389999999999991511730', 30, 2);
    T('4.24228449031622501734E+21', '-154722223.846390720901291', '-135301635', 47, 3);
    T('8.831E+9', '-30110', '-8222', 89, 3);
    T('1149209742.7460464460590897', '148.047596572689251603127', '1149209758', 30, 6);
    T('7255.80852376031599693069588', '9.715830E+9', '9715834103', 50, 0);
    T('-8.10E+9', '-8.5456162717256E+37', '-5415645440', 42, 3);
    T('98099.7334394816670819134', '-2824315751.2428738', '-2824241221', 5, 3);
    T('6515637.9388178260', '9.096683013553776E+43', '90966830135537760000000000000000000006515637', 92, 4);
    T('-4387421472.4016398634302413', '-3.971209437477007832932918963', '-3', 100, 6);
    T('-35816756.733949975430004318', '-726589.79442065677707', '-132145', 36, 0);
    T('9320121698817445703.066', '95346.756301124', '9320121698817539959', 87, 0);
    T('-969.335480095931514394', '-7E+4', '-329', 4, 1);
    T('-5.7920E+5', '3E+10', '-545408', 77, 6);
    T('-33.797698108372841689865', '82011370588669412135', '-1', 37, 4);
    T('6E+44', '-60.882430571843759813655021', '-60', 72, 1);
    T('1833485.4633873226545', '2.24E+21', '2240000000000001833485', 68, 4);
    T('12789.87185', '296967.801457234868134695500', '309751', 82, 0);
    T('147798178.44245', '-48147.6765979026861380', '-33809', 72, 6);
    T('-18158278677494593387485114.40', '2.9457302E+36', '-14526188547348592483096506', 49, 3);
    T('-6.0E+6', '-6368569061.663473913734529902', '-1606757', 43, 0);
    T('-88336.4903243119', '-2.9E+2', '-258', 37, 6);
    T('-8.0E+29', '-3.7E+2', '-370', 65, 4);
    T('-71.588', '22016640148556.1', '-3', 31, 0);
    T('-7.265834216466514426E+48', '-6.742361713253', '-6', 3, 5);
    T('95759.755', '-269877842347492.00381899568270', '-269877842280929', 24, 4);
    T('-4.17844665642E+13', '4379.7', '-41784466564197', 86, 2);
    T('1.9326284590823E+38', '369988185.478538868307747', '193262845908230000000000000000269324889', 43, 4);
    T('6E+16', '-57.403746286368680', '-57', 98, 5);
    T('-5.3485785463E+20', '-2.4553', '-2', 44, 2);
    T('3.6E+3', '4.4211774130971997E+28', '44211774130971997000000003600', 91, 5);
    T('382917.11310588871276588250481', '-1.12E+3', '-27', 14, 6);
    T('-240', '32381.4017402154563847907', '-131', 7, 1);
    T('-1.580161E+27', '-2.0418E+6', '-2041800', 15, 4);
    T('91263684.503682045050900395', '390.0', '91263942', 60, 1);
    T('-420709.633309593884', '-2.8E+45', '-420709', 52, 2);
    T('16927.6549516', '9.8190550975095838534411E+33', '9819055097509583853441100000000543', 28, 5);
    T('3.5039978955987500543832E+44', '-835.93494283795718035885163679', '-835', 68, 2);
    T('8.936482496354122007210E+36', '-6.192E+9', '-16935936', 10, 4);
    T('3.0526083016001869918036E+39', '38.029152926', '3052608301600186991803600000000000000038', 59, 0);
    T('60993.0238', '90432.0035854594714355795', '126785', 92, 5);
    T('-9.50412E+8', '-89.543019719222476302800', '-89', 54, 1);
    T('60657.05058', '56215670.8276815896983657388064', '56225015', 29, 1);
    T('-1138.112337657491749253142808', '7.511955337316E+17', '-114', 77, 0);
    T('-5.025E+6', '-1E+6', '-786472', 92, 1);
    T('-62.77346', '-976778545137119087.4513095', '-45', 96, 1);
    T('4.5418320787E+48', '-6183294212.3', '-6183294212', 18, 2);
    T('-59', '43.124121923956598437710306290', '-17', 48, 0);
    T('7.26041065132925697804680E+43', '9266.2020552', '72604106513292569780468000000000000000009266', 41, 0);
    T('315497086437230902289.286350', '49604.72540765747', '315497086437230902741', 34, 3);
    T('257312045.659721309313997939912', '858.5760', '257312639', 79, 3);
    T('4.3368430E+16', '-6.23E+4', '-13148', 84, 6);
    T('6.8307677E+36', '-2.010E+5', '-201000', 50, 5);
    T('6.3291857446E+42', '-8.777450027294173E+26', '-256293175344061858429421568', 13, 3);
    T('33461518358288.46931647', '74.295432259290346829537969569', '33461518358362', 91, 0);
    T('23292.432', '-2748825.70058226880', '-2728193', 90, 3);
    T('-8.7986517261852E+37', '-5.9302040096332730914233947E+38', '-2832765562434884699606474293960957952', 44, 3);
    T('-976369.5', '2.66E+8', '-270705', 47, 6);
    T('-6.714177E+34', '4877996387.5057', '-67141769999999999999999995658874525', 33, 5);
    T('3950.9664702217240681337', '2.41113E+36', '2411130000000000000000000000000003950', 88, 6);
    T('424.260', '-47857213.57418676804021659457', '-47857173', 70, 5);
    T('4535402740.08539015409348889689', '1.7', '4535402741', 71, 5);
    T('-75217727765.092798952919713', '1.56396964259105E+29', '-73035510037', 68, 1);
    T('-965.14755459027705911', '7E+38', '-965', 70, 2);
    T('-4E+44', '-342.79727608898735239', '-342', 74, 1);
    T('44.2367', '529.02486387990595217', '573', 52, 6);
    T('1.409172786427685E+36', '-1.7E+2', '-170', 43, 2);
    T('6.293540387251594724905E+37', '1997807974155', '62935403872515947249050000828995958539', 86, 6);
    T('3.531875E+7', '9.082337258858', '35318751', 33, 0);
    T('2.6001612E+10', '271.25193589205035547604183918', '26001612271', 59, 6);
    T('6478023241.2531006277142', '-606.41486888364563', '-21', 7, 4);
    T('-94.2', '-4.06227E+13', '-94', 55, 2);
    T('-4.073644611136105697663E+32', '-20581903.815623534441230427531', '-2098703', 62, 3);
    T('-7.5E+5', '8961816.1058579583564550', '-213160', 61, 6);
    T('-70386.293187', '-457299.193210188211526929', '-4689', 51, 5);
    T('-6E+4', '9.75574E+11', '-2656', 45, 1);
    T('-8.43E+8', '9.6886297307E+28', '-3352768', 68, 2);
    T('-6444.3829571210721056333588', '2507903590.942544329025108', '-2314', 36, 2);
    T('7.664150712531203348212419599E+38', '-7.99298940100850E+20', '-59988022926501748864', 54, 3);
    T('474961062.43112246883', '2.177E+9', '2647619302', 78, 5);
    T('-3567.935773', '-14825.01408373279741436099119', '-2537', 23, 3);
    T('-6.8019E+6', '74.745318686801573436177670', '-6801826', 99, 1);
    T('4299196.01810897887546866131', '-1.247E+9', '-1242702852', 44, 0);
    T('77136.37097272896497820249', '89921924.51366', '89996756', 16, 4);
    T('917328417436901.3036380931', '-89284637.356423748817021', '-83902489', 13, 3);
    T('-5.3234929513163156861726E+26', '7492946.20334', '-532349295131631568617243278', 12, 6);
    T('-9.05743539701235332545E+48', '8.018565067E+43', '-9057411686029981882382073975140552938346149576704', 16, 1);
    T('-16068018.4139', '-6.972530E+22', '-15805874', 46, 4);
    T('54.0927747844808293099917619577', '-7.7E+3', '-7682', 76, 2);
    T('-7.8E+8', '94673.53990411065', '-779913775', 26, 0);
    T('-3105014.5659580641989740439200', '24516.53053433452783', '-3088434', 37, 5);
    T('-3219.988054908788755291421138', '-555797619.917', '-3091', 95, 0);
    T('-654753.80394884', '-987236158.77', '-525601', 72, 1);
    T('6.25108458174986E+28', '-3537.062656657665424848057', '-3537', 87, 4);
    T('-4769144.578820077287881369073', '-2.9725E+17', '-4719992', 78, 2);
    T('739194.900962544030082559525', '8.57899E+29', '857899000000000000000000739194', 27, 4);
    T('-71947852.438850634', '-5.735E+15', '-71910988', 54, 1);
    T('4958.5244', '5.84603337140425961747', '4959', 78, 3);
    T('-8E+5', '-2.8E+46', '-800000', 25, 0);
    T('7.30540963183810812654E+27', '53850073131.67660235683018', '7305409631838108126541179691', 2, 6);
    T('9.211186715E+26', '-8.74535067538563816E+30', '-8745117927244121800862160977920', 61, 0);
    T('-4.2326E+5', '-9.606909923124140854', '-9', 15, 4);
    T('-895212293609688634278.90313471', '220.093544153788596481', '-895212293609688634146', 12, 6);
    T('1.82E+24', '897242493.7106663800603058', '1820000000000000075158909', 15, 3);
    T('-1.4E+29', '-24341074442170.419184', '-10084710330', 21, 0);
    T('-7E+2', '-5437723249542122.551189646928', '-682', 96, 4);
    T('1.8729876149651609E+42', '4153106371617120166.0283695', '1872987614965160900000000613136155216863142', 39, 5);
    T('1.61958943145E+17', '5.36893846924665699E+46', '53689384692466569900000000000007635850999036992', 85, 0);
    T('-97779254.42818083882120', '8.50240885E+9', '-85166118', 44, 3);
    T('-19540923.1736917971437', '-16834.73428679480', '-385', 72, 6);
    T('90481053.9680', '-261830.34283627977685396176222', '-220737', 91, 2);
    T('6327.54', '6733406.708090697818414123664', '6733567', 78, 2);
    T('61.2', '-2565.143066328', '-2561', 92, 4);
    T('-6.9E+4', '8121991641.96414351044', '-3079', 53, 3);
    T('-7.461818968043309118163835E+47', '-247090.8143', '-247090', 24, 3);
    T('43.9132233544845174753626', '-1727.712746008203578539507901', '-1685', 32, 4);
    T('106.126430414366582751497363', '-19472.7872', '-19462', 13, 6);
    T('-104.37676266002314186672458', '837311.9074199', '-65', 57, 0);
    T('-9.134283183657349E+23', '5075.832643367201954', '-913428318365734899999789', 52, 1);
    T('-3.8423', '63952249.67955411988434', '-3', 97, 6);
    T('97625.96622890504', '-9.125118975939494E+41', '-912511897593949399999999999999999999902375', 96, 4);
    T('-7.92310914429134044E+19', '115357668.9125357074161660171', '-79231091442842091532', 65, 3);
    T('-36378150652929525.8758447', '5464657.0556299794151802031', '-36378150648710565', 74, 0);
    T('-8.629346490838896765457E+45', '-3.1443956267975457498685755016', '-3', 77, 0);
    T('8924186292.301331043', '-6.57170924712E+25', '-65717092471199999712147788', 98, 6);
    T('46.87467477227866', '-385.31735298774248994469', '-385', 9, 5);
    T('-62791.401911440449133', '-5.472164559146946157', '-5', 91, 4);
    T('508835899.073432', '29492571.0', '534134139', 8, 1);
    T('-1.8976E+8', '4745859547983.76', '-655537', 65, 1);
    T('-7E+9', '-3.530E+6', '-3245328', 6, 2);
    T('9.06805932633149543694949482E+41', '-612658621553098.301883', '-598360406923722', 69, 5);
    T('-5.6004875E+20', '8.38E+9', '-560048749999948847360', 15, 3);
    T('-6.81928271009064185228E+43', '-8.283859308029324819342244E+35', '-13183894377331538418003966599405568', 10, 6);
    T('7996161.4686', '-44984376.65849490', '-42231863', 17, 5);
    T('831322934.5130963391098', '2.4605407E+9', '3014459198', 47, 5);
    T('-9197484.5315575472533', '-678350724.700594881276839494138', '-804740', 40, 3);
    T('9.89352781E+39', '-7.103237978018E+34', '-70302200151973698403119066765066240', 25, 5);
    T('-653.69072551229543556704', '-771381316.06680959606962', '-1', 83, 1);
    T('-8300599.313212710118927292390', '-1.0949890520E+24', '-6596663', 10, 3);
    T('274.10152119520', '-1741709.3825127146671', '-1741453', 91, 3);
    T('301730.5203057614931530159094', '-5.04E+47', '-503999999999999999999999999999999999999999698270', 22, 0);
    T('9668.955', '72366105586.2764511', '72366106614', 96, 4);
    T('-667804743.27497', '51118680.017369561852816262', '-616686599', 19, 3);
    T('-3.320399537705828584219593', '36187619752612.55997', '-3', 20, 2);
    T('-2322343.52577184329575425828', '-3.99997654985894923832E+34', '-2191271', 77, 6);
    T('-38049097.172810807678939', '91.730588317', '-38049025', 11, 6);
    T('-444057.5992765597444147317952', '-2.952148893680365007252E+31', '-181913', 2, 4);
    T('3.905988557896219248513002E+30', '-2.8425E+7', '-9548072', 81, 2);
    T('3.1696375860379', '-38.630', '-37', 25, 2);
    T('-6.1283734540491028424873607072', '-7030.5843546947296', '-6', 8, 4);
    T('7.129561981506664092', '-2.017247256E+48', '-2017247255999999999999999999999999999999999999993', 9, 3);
    T('-8.1E+48', '6.581090378884800892E+48', '-1518959798665202489406105680760319436034370699264', 51, 2);
    T('-2.37E+4', '-3660802.72031978968854567554445', '-23554', 4, 5);
    T('6.552447766580068641348875E+29', '412942853.639149999015072119922', '655244776658006864135022570213', 20, 5);
    T('8838765893608857.98176335', '-9.3E+7', '-8917031', 43, 6);
    T('-9949182', '-8.0199E+15', '-8538110', 68, 6);
    T('8606764337.5847177044772', '6.62895085', '8606764343', 85, 1);
    T('4.46268738174474129E+47', '-196.91922285389318146471678848', '-196', 20, 4);
    T('-7882834.0330546399292924830486', '8.2E+49', '-7882834', 23, 5);
    T('-9.394026926498580E+41', '6.329413025E+42', '-196172784723643979736245723962618297712640', 86, 4);
    T('615559265309785229', '9.9493479671227254447318', '615559265309785229', 19, 6);
    T('15944.5531442847778498770334', '-8.767065E+7', '-87654706', 50, 2);
    T('39246.98861381506', '-6407.6578921620825', '-1', 41, 6);
    T('-99212', '-7.143054553564279485E+48', '-99212', 91, 0);
    T('585989541.6184158', '-7.5E+23', '-749999999999999451759195', 55, 2);
    T('15.751856553744', '-46849547.1353343', '-46849537', 99, 6);
    T('2.6336590', '-9.15625111816378926446786975E+29', '-915625111816378926446786974998', 47, 0);
    T('3062940.62728619025447767640', '-17237.4802234389', '-17217', 44, 5);
    T('14114.26510', '85219972.5319374335254513770', '85229478', 12, 4);
    T('-79199.524468744321775', '6.8711995968E+21', '-79199', 51, 5);
    T('9.2630389486613577934E+32', '-327576.5757', '-16280', 37, 0);
    T('-3.953184E+23', '-83.836978198', '-83', 80, 1);
    T('-6.15620656E+9', '-7558157.660765881', '-7356429', 77, 6);
    T('9.0069279491894229E+26', '404446978915503.764469668', '900692794919060307690306735', 30, 2);
    T('665.45592839422847681', '5.236181674932356009', '669', 5, 1);
    T('-1.6528141561635704E+19', '-3.34583526977167324723E+28', '-2399785291861754048', 61, 5);
    T('-211.37322', '4205.528520418115492713538', '-147', 28, 3);
    T('-181721384.8031945', '4.21015029E+9', '-266278', 19, 5);
    T('-484440.82584', '6.160828613383328929E+37', '-484440', 4, 1);
    T('-4.1666405159819', '373.12835162752406394586582', '-3', 45, 1);
    T('-2413.13251697589792032406983', '622094331.40460371467057320592', '-2053', 53, 5);
    T('-7.26029186', '-2.92925640946635', '-1', 16, 3);
    T('6.84E+21', '1.76129029785974235E+32', '176129029787486872675973780701184', 69, 6);
    T('-3625814371.1940668111083018', '-8.5891075259782961084E-385', '-3625814371', 93, 3);
    T('2.702379E+34', '-7800412.3', '-7800412', 4, 4);
    T('-51.8811577067883', '-3.7482E+35', '-51', 53, 6);
    T('3.122261390628E+30', '-370091.1828354765026880886', '-370091', 85, 5);
    T('-5.4671507446811E+23', '9.3290149', '-546715074468109999999991', 35, 1);
    T('8.1477041199872092676953E+29', '-6634.55764149165928752508624', '-2410', 80, 1);
    T('5.272298518757561991731349672E+30', '2.4785E+8', '5272298518757561991731492549712', 55, 2);
    T('-251.94965446166929', '8.636132818293404252437312E+37', '-251', 28, 6);
    T('9.903501123258336437319503E+41', '3.467E+7', '990350112325833643731950300000000000066992', 16, 0);
    T('659725.61505457674715200157664', '311316049.055164338799500480641', '311320413', 67, 5);
    T('1.7258E+6', '-4194.605523033130273079', '-2', 56, 6);
    T('7.319E+6', '3.1E+14', '310000000953816', 75, 0);
    T('8887.7086378296', '3.35675627059698349E+36', '3356756270596983490000000000000008887', 41, 2);
    T('3426.353191080209524557', '2822931063.7', '2822934391', 86, 1);
    T('5.642E+31', '2.3254687498666215E+41', '232546875038003392029567716278225099292672', 44, 3);
    T('7E+7', '4699492043041.55319707', '4699494145441', 50, 0);
    T('-7942527.3819546067', '9.2622997997659068399378644E+33', '-74111', 96, 2);
    T('-597.233016002624672893', '-1406489736.81552085530', '-5', 5, 0);
    T('7.560202401826906E+19', '8473', '75602024018269060025', 6, 1);
    T('-25986346.581535004776998', '-1.53834413359604294870672E+48', '-25986346', 13, 2);
    T('-2106.8986636017', '-4.5614267923940672135', '-2', 74, 6);
    T('9.7E+9', '-4.60E+7', '-9807488', 90, 6);
    T('-5.67E+25', '288.234699337655933644343575', '-56699999999999999999999712', 97, 0);
    T('-1.71E+16', '7.0615861684227014E-8', '-17100000000000000', 76, 4);
    T('-329602193.9', '-2.97E+29', '-61166737', 78, 1);
    T('-31.26319733099850751199', '-4.752179790667149E+37', '-31', 90, 6);
    T('-4598170033.41', '1084.2527553719643575923', '-4598169985', 31, 1);
    T('4.6701690577913E+19', '9.6145393509154322E+46', '96145393509154322000000000036895889500052795456', 77, 0);
    T('-597450199481192210803.61748347', '-581.61825574806064264763553', '-65', 24, 4);
    T('-7.7642824066086255821E+36', '953968559.02144043733106750', '-7764282406608625582099999999052060753', 41, 0);
    T('-114073881.1', '-8.646130132217339621E+20', '-75497745', 33, 0);
    T('-8E+24', '-6.2E+8', '-83129088', 79, 2);
    T('-3074798.976344939865212018828', '-6.7442817453777791730417E+38', '-2157294', 1, 1);
    T('53.55791965683982233876735298', '5.233E+6', '5233021', 13, 6);
    T('-2.469606983247177675563E+35', '-77102890007.7237067418121129', '-70380469271', 12, 4);
    T('6334.95034680170648804509', '-71.74960656980351949480', '-65', 43, 6);
    T('34108.889289251168577711648', '3.384424524591819758981779E+38', '338442452459181975898177900000000001340', 84, 3);
    T('-58689027.6', '-53556.76047915084090283', '-32771', 75, 2);
    T('-69180227.78914', '13525065374500.5539590509884938', '-524355', 41, 1);
    T('6588.52193730478561040', '2913.8743', '7165', 47, 3);
    T('2E+1', '-3E+34', '-29999999999999999999999999999999980', 28, 0);
    T('-395.11557', '-54613.357379483213131862', '-257', 19, 3);
    T('6.211224912425630237413970676E+31', '-7.0672507281534E+41', '-706725072814715613676279962180286077445312', 18, 6);
    T('2.62234346284E+28', '-2.9942E+13', '-19796213505024', 59, 5);
    T('-5.7213976200836399096061452971', '6.7606E+6', '-5', 36, 2);
    T('-6.60949E+8', '-9704.1929927527863631639798347', '-8', 59, 4);
    T('-72.77', '203762', '-6', 11, 6);
    T('-7008724.0287248746612023664807', '792727.3212588345', '-6480193', 26, 0);
    T('4.492559398290157205226868E+29', '-57404', '-49212', 40, 3);
    T('-5254372473', '-8.18E+9', '-4848632953', 84, 6);
    T('-5.87665', '5.351E+7', '-5', 20, 3);
    T('-884050029.529703532782509', '-1751513429.14621779971452', '-539068485', 51, 6);
    T('-3938.133634', '-469.4511', '-321', 77, 3);
    T('5.147829711459614E+38', '-6.61E+33', '-1417563011351844801268736336068608', 9, 2);
    T('-4781936.035049812278010914594', '9.39748791198184907E+42', '-4781936', 45, 5);
    T('97955.5746347484', '-1.76749446706358632942643164E+31', '-17674944670635863294264316395869', 24, 1);
    T('-6.372717', '9621.65635', '-1', 58, 4);
    T('7.27477034E+25', '18.601623729390138057513892', '72747703400000000000000018', 37, 6);
    T('65307051.110697405054654295059', '7.499482073721902596669496', '65307055', 7, 0);
    T('-10.9702', '-1.30796358512643998856990475685', '-1', 18, 5);
    T('7.808075E+7', '84813651564202070.062496973', '84813651566390014', 78, 4);
    T('-77860317', '2.3E+8', '-2141', 78, 1);
    T('8.1762413948', '300', '300', 18, 3);
    T('-6.3717E+5', '2.2', '-637170', 35, 2);
    T('31.328291788', '74.679348258885960862383111', '95', 46, 2);
    T('-1188.74', '48684128.4392', '-132', 81, 3);
    T('300899.194779367010007921934', '4.99210256079900510599E+25', '49921025607990051060162403', 2, 1);
    T('5046758676.0', '-4.4859074095537255272941458E+37', '-44859074095537255272941457999857193708', 37, 6);
    T('6362350651.4756', '266480.29268489', '6362617083', 99, 2);
    T('63.60961799284232944', '-4521841900.4', '-4521841857', 47, 6);
    T('-47698961.2', '-52698276484286872.9', '-35061777', 5, 5);
    T('-5E+43', '-799.318018075346280081451735', '-799', 84, 4);
    T('-5451872622726748427.82171428117', '5.765303904066835E+20', '-795043679345180683', 4, 5);
    T('805.5548811', '2.19E+44', '219000000000000000000000000000000000000000805', 7, 1);
    T('3.297671E+46', '-60007482.5861733927245538283249', '-60007482', 90, 6);
    T('6.8593021E+35', '-752229.612879', '-752229', 18, 0);
    T('2624834.195731919606', '196464.41640226020', '2817906', 13, 1);
    T('2.7319048E+9', '4.9991551744570E+30', '4999155174457000000000043093792', 63, 3);
    T('-592352.503252607532604', '8.9809545138272649264314789E+36', '-480', 83, 5);
    T('-373', '9.5151E+39', '-373', 52, 1);
    T('67.05236189204236', '3580.0', '3583', 72, 6);
    T('5.20639720217805912625E+23', '-7375254.06386098048', '-32918', 3, 0);
    T('-1.66026E+8', '-3990090.86535541087020606', '-2376202', 67, 3);
    T('-5144490291.1860956286323874228', '662289.2636231129849', '-5144354851', 17, 6);
    T('-8826.1290243157567', '3.94019E+30', '-8826', 82, 4);
    T('-15.360045584783492786009255997', '-89.6705891032979385438762281', '-9', 64, 5);
    T('-2.531561865510E+45', '353.360032162', '-2531561865509999999999999999999999999999999647', 30, 1);
    T('-27.50862465336403818', '-7E+6', '-27', 57, 2);
    T('574.114758187', '6.2E+44', '620000000000000000000000000000000000000000574', 58, 1);
    T('6.06E+14', '6.185E+4', '606000000004506', 73, 4);
    T('4091.85998', '-2.8E+6', '-2797573', 55, 2);
    T('-86169179.041046', '-1.2593E+24', '-67294811', 78, 1);
    T('7.37697404E+13', '-1E+3', '-616', 28, 6);
    T('-154548.1', '87641061.91346788', '-135187', 50, 5);
    T('3858.900066', '-8.534488401699', '-6', 59, 1);
    T('-2.12E+47', '-355.552257804695', '-355', 1, 3);
    T('9.5484091071', '339789842.2284462052438429', '339789851', 7, 3);
    T('4E+6', '4856787.22829678833259', '8330195', 76, 3);
    T('37916765628.908440539', '-95406.32660276', '-4098', 87, 6);
    T('9424.2', '489121.882601326981609509', '489201', 42, 0);
    T('8.118628711748224E+23', '-49.8505195365932', '-49', 74, 5);
    T('46.8147996142615186962302746342', '5.043033899563318642E+36', '5043033899563318642000000000000000046', 15, 0);
    T('95445391.40610336104379079', '3.07180042251487E+36', '3071800422514870000000000000003170703', 10, 1);
    T('9732116.02022338429420502', '88970.81477003613832140417', '9821086', 86, 3);
    T('-639468.613', '3.8116681955857542', '-639465', 100, 2);
    T('-324982532.837250325491296', '9388609.1465792861289154', '-324048131', 16, 2);
    T('7.55253E+36', '-12239783.453221253694191797', '-12239783', 74, 6);
    T('-32934748344667151764.9', '-7287541.59434918417', '-4526225', 21, 4);
    T('2.06E+38', '-9776860256', '-9776860256', 46, 4);
    T('-706165.604025389076', '-6E+8', '-148597', 80, 4);
    T('14165284.4755937983855210677918', '63.3355666096028090745', '14165311', 41, 1);
    T('-3.99117392025', '-68081.7602965705089675815', '-1', 94, 6);
    T('3578.14340469245334', '-9.2916377797E+27', '-9291637779699999999999996422', 11, 2);
    T('-96241557.8415', '92.3154', '-96241537', 84, 0);
    T('304.10782871159038044951805495', '-232850291.064722126518000871', '-232849987', 97, 1);
    T('-1.76944E+7', '-46.99187055518365324507', '-46', 16, 6);
    T('6.70E+9', '-5.73247893803417E+36', '-5732478938034169999999999997716602112', 69, 3);
    T('561776195.646828', '672139.72166540555216', '561924043', 17, 1);
    T('203348.5691157305732405406899', '-4.176949329750722441960', '-4', 19, 5);
    T('-4.07E+7', '35103.3472529680574296886646', '-40697921', 82, 2);
    T('-1.099067269644655', '-4E+25', '-1', 47, 6);
    T('2.23677737118975467', '-7.047E+36', '-7046999999999999999999999999999999998', 72, 4);
    T('925749', '14.279902230869796995595486', '925759', 68, 1);
    T('14.24741', '234112.270285967083', '234126', 1, 2);
    T('7', '-4E+8', '-399999993', 92, 3);
    T('86812922284839', '6568647.66764092226818020', '86812922297319', 43, 0);
    T('5.72490049841497268091248E+35', '5675634.424222025194900938', '572490049841497268091248000001088114', 44, 1);
    T('22.6146346971049573', '-412.840434', '-394', 56, 0);
    T('-9956.0430462798', '-7160.886265850', '-740', 40, 5);
    T('-177.47905', '209140.6567602781411', '-1', 74, 1);
    T('7.5066851523960834', '10665494.68434950184', '10665495', 35, 1);
    T('6.25408E+6', '1.0953E+25', '10953000000000000006254080', 98, 5);
    T('7E+6', '-1.26437393727048076958312865', '-1', 98, 3);
    T('-9027629.39', '8890941554.168', '-573453', 37, 1);
    T('315.07347964517604611708', '-60304.10936', '-60037', 2, 6);
    T('5.257302294885606759843478E+42', '-2.88428E+44', '-284564580015311951491208590678096688844374016', 62, 1);
    T('-73.66145906347521604234688106', '-3', '-1', 93, 1);
    T('6.5383E+36', '85540367.896324169138246227', '6538300000000000000000000000085540367', 57, 4);
    T('5032177.4365490592963896124', '-22530.515975861661091081093564', '-4097', 92, 0);
    T('7336.7130914370782', '-2.32802313E+42', '-2328023129999999999999999999999999999992664', 53, 0);
    T('-5.812585536649979165656141006E+34', '837.47588373663438609590127107', '-58125855366499791656561410059999419', 33, 5);
    T('-363.8278037212101971', '-45752309.9160843', '-353', 29, 5);
    T('50110825.29264257', '1.76283000651900', '50110825', 62, 0);
    T('-3.49E+23', '8.9077E+32', '-309357685558566727974912', 15, 5);
    T('4168062069.029530510577829916', '-325810690.196792', '-50358785', 92, 6);
    T('-5.87284173923165554889917917', '90.3652228293327723870429950', '-5', 36, 1);
    T('3.44428887828930474117023092', '1.7408107E+39', '1740810700000000000000000000000000000003', 86, 4);
    T('-71599439.539105', '-6.1878045618E+34', '-4490575', 59, 4);
    T('1.5362E+34', '7.1823E+8', '15362000000000000000000000718230000', 59, 2);
    T('68449.147302607', '2629.96448498352', '68453', 12, 4);
    T('-50913.7', '-940546.624', '-16897', 52, 1);
    T('-1.897505768', '-960.55701490286034187', '-1', 74, 3);
    T('5.74', '-4.7963150E+21', '-4796314999999999999995', 37, 0);
    T('8.569452961173161600692310217E+33', '-12.5024521110467684760001', '-12', 41, 3);
    T('60507252.1527193984', '-804.68876899483729155340545', '-772', 14, 0);
    T('519160441.96738', '762975', '519825023', 49, 5);
    T('3.75688E+6', '5E+33', '5000000000000000000000000003756880', 86, 3);
    T('6.489568699110469669069E+24', '2.556126E+7', '6489568699110469686241516', 38, 2);
    T('-7600408.646142743', '835.067578731593', '-7600149', 7, 4);
    T('3681.8628135816450', '-7.75552791740560636E+28', '-77555279174056063599999996319', 86, 0);
    T('5.9374309382E+21', '-9711311.6367184267199660129', '-9703119', 41, 0);
    T('6E+8', '-4.97755E+36', '-4977549999999999999999999999400000000', 53, 1);
    T('9901.8669', '5.96503266386159', '9901', 35, 0);
    T('-775837340.1233062379740633364', '-735662.660', '-659594', 44, 1);
    T('871744.03209', '-658087.391', '-131751', 3, 3);
    T('3E+6', '1.201330846385E+27', '1201330846385000000000083648', 93, 4);
    T('-309789386.38907', '5650535476.16', '-36897482', 5, 2);
    T('-983145660.03797868334662552075', '1.42766670475289044485321E+28', '-41978908', 92, 6);
    T('-4.30426338272620', '-1.1E+39', '-4', 16, 3);
    T('-8.7132685169554E+29', '962758.558524181416401176980', '-871326851695539999999999954746', 36, 4);
    T('-1.1896963', '9.128E+4', '-1', 31, 6);
    T('9.368115576675607059038048E+28', '-18365475.156912577025', '-534563', 35, 6);
    T('-4.304708E+26', '8.71176864261131949455E+36', '-309497410702506624814219264', 17, 4);
    T('-592605581.6163191', '-6.6966962E+9', '-50491781', 25, 5);
    T('12.53173293', '-68', '-68', 75, 3);
    T('-6.2903667884856822791E+48', '-7.15561E+9', '-176288144', 6, 4);
    T('3.44437567905E+34', '270218.6459', '34443756790500000000000000000270218', 33, 5);
    T('145.8', '43258.7422659172424647498308', '43259', 81, 6);
    T('5.7174167130E+43', '2.04E+5', '57174167130000000000000000000000000000204000', 34, 4);
    T('8.35738210E+50', '9.84963830859928425708E+43', '835738210701843410862416940784996013131813231788032', 96, 3);
    T('-912.52419810996368411', '-2170864989.811657', '-269', 6, 3);
    T('-26.30', '7440.3881899', '-10', 43, 4);
    T('156616.174166', '-8.1869042537E+17', '-818690425369991224', 69, 6);
    T('3371804.4889032465476', '-37086265894981808.199201628568', '-37086265891618980', 4, 6);
    T('644819849.793958554114290', '-8.003621E+13', '-80035668082807', 83, 3);
    T('-85047.3768829065828', '-9.32223033128E+46', '-85047', 72, 6);
    T('-309917938.92850823934003867', '-9.538060401868758816269607E+45', '-39385330', 15, 2);
    T('7.18', '99.9391', '103', 54, 6);
    T('-544.07478600306201298607', '-22513.02728197416654', '-529', 77, 3);
    T('1.56518165829364274868E+48', '-2E+19', '-19999922995531350016', 8, 6);
    T('-87285.82320852756848187396444', '-6.533983E+23', '-87285', 68, 6);
    T('8224559579.775870007007', '-6.39681E+41', '-639680999999999999999999999999991775440421', 1, 5);
    T('3.4631091654E+48', '-6.7289079148207', '-6', 77, 0);
    T('-82841021.48', '595391.5752', '-82839553', 75, 5);
    T('2403584.6362', '8226779008.09982961081', '8229138304', 66, 5);
    T('-954.66', '-8456864.40', '-666', 57, 6);
    T('9.42471791872089817058168E+43', '-509954.631142', '-509954', 16, 6);
    T('-618036413.185675022994', '16132978.4584331068225103929987', '-604001421', 56, 1);
    T('-8.312E+32', '75588656956.81510748', '-831199999999999999999928706310340', 92, 6);
    T('29814.78920645', '6558517.39168614251135389785211', '6584183', 12, 6);
    T('-81493824.839', '5.94885E+23', '-67862336', 64, 5);
    T('4462913251.35495090214470242227', '-6.561351484059322E+50', '-656135148405932199999999999999999999999995537086749', 42, 4);
    T('7336.144009', '458281.46939399183', '458409', 92, 4);
    T('-7.239E+5', '-3.3807543216608934917681089061E+45', '-68540', 63, 1);
    T('2943195365.4229018908592837', '-8.7278060997476072126E+47', '-872780609974760721259999999999999999997593675547', 61, 2);
    T('-76.55302', '78568.4100534819', '-4', 13, 6);
    T('-54696351507959497.4887457625', '801.4516676', '-54696351507958985', 77, 5);
    T('-32.5920', '388182541673987852.2878042', '-20', 65, 1);
    T('3.45659042973291571441092447555E+31', '586845220.7557553658405149135', '34565904297329157144109827927596', 89, 2);
    T('5.53140788932034232353', '-6.0359E+7', '-60358995', 89, 4);
    T('5973.0030095514633664922597', '-4.09739616093296077841393230881E+49', '-40973961609329607784139323088099999999999999994027', 22, 0);
    T('72.518765980', '-8.204813', '-8', 68, 1);
    T('-619.2473201953102679144049651', '-6046356821.78', '-65', 77, 6);
    T('2505550296.1980381539804', '-7.710665729920336954649427E+38', '-771066572992033695464942699999727195688', 10, 4);
    T('5447.74', '-834096.86209652898821469', '-829993', 47, 4);
    T('8166591.6605344976276972', '2675266440.420754528171', '2675826623', 41, 6);
    T('1159848107.173783838', '-609705.28857374435163610663', '-527617', 33, 3);
    T('6.928170481E+35', '-3.738331652E+24', '-1312970377076636760276992', 55, 5);
    T('-4.52E+4', '23.894541929953303096407', '-45193', 13, 2);
    T('230892075.3408117907850146678', '-4.83E+19', '-48299999999844736469', 57, 0);
    T('-210.609', '838.833073', '-146', 42, 5);
    T('8.9E+4', '1668.8411', '90028', 23, 1);
    T('-5533789404330.1234', '-979', '-129', 34, 0);
    T('438180.817345297591161', '4718.80495', '442350', 11, 4);
    T('1.715E+6', '1E+25', '10000000000000000001715000', 59, 0);
    T('-9.8E+6', '-7.8799925505E+20', '-8749376', 2, 2);
    T('-340373406.9404659', '1E+1', '-340373398', 48, 5);
    T('-73.06815805605389354', '-7692.891950965136934168', '-9', 78, 5);
    T('-9.30511933452046690634852516E+50', '345312157.80482409973636', '-930511933452046690634852515999999999999999990232163', 43, 6);
    T('-3933257.273249472062', '-88.1908963395085442947006382', '-65', 52, 6);
    T('6.05E+45', '4.7953502E+18', '6050000000000000000000000000036171293776228352', 92, 3);
    T('-9978543571', '8691.4122471260477101564', '-9978534913', 22, 6);
    T('-6.33247435719533E+24', '-356358.69426638', '-266246', 4, 4);
    T('-5891.39018663', '41.29914417010858707756000156', '-5891', 75, 1);
    T('-4.900349215243', '2E+15', '-4', 10, 2);
    T('-3.6', '879.1692420486540631975700', '-1', 66, 3);
    T('-453838.67557112', '-7.597537370201730E+29', '-289998', 83, 3);
    T('36069146.75511740168851812408', '-11.46', '-1', 53, 1);
    T('-1.042274009095083E+45', '-5154.05592048488812468413636', '-5154', 90, 0);
    T('-7725.912634', '-13905981.055884375230077649', '-4141', 55, 6);
    T('4.70980562649702E+34', '7.1631696586E+15', '47098056264970200000037402296416832', 56, 5);
    T('-136.058772293474763307091', '-4.9332628769827843E+46', '-136', 20, 0);
    T('-4.409644790931919E+24', '1528.823871924962466348', '-4409644790931918999998472', 87, 5);
    T('4629164149.0', '97057990.77', '4696308983', 80, 5);
    T('6.37819422420307362', '926.311767364612993543', '926', 36, 0);
    T('5252.685', '8.281E+15', '8281000000001156', 45, 4);
    T('3.0604E+11', '-157811.699732519539050617265784', '-8307', 87, 2);
    T('-5465054171.67220422012834628', '6.8076686374454968E+21', '-5463480539', 4, 1);
    T('25705750.49876413134031712116', '921.793298622133113301898204', '25706399', 6, 4);
    T('3627.694061695', '-6E+36', '-5999999999999999999999999999999996373', 8, 1);
    T('-785506.391967865', '-6.4227825440787934E+24', '-138338', 47, 0);
    T('455587.2874', '27422', '457663', 78, 4);
    T('-33142170.045891174989391584', '-1.5348971835898297284', '-1', 11, 5);
    T('1.027622116039894162400729E+35', '482782418.73254014182', '102762211603989416240072900075760850', 59, 5);
    T('-4.371E+8', '367035642452.205661105593561199', '-168332684', 11, 2);
    T('-3776887930.4094118363', '1.20567372653913', '-3776887929', 81, 5);
    T('8315989.2420731381', '3506.71989', '8318455', 6, 2);
    T('6.21532E+49', '-814759.266899448729', '-814759', 89, 5);
    T('7.286566428147268819189152', '-2.203744186603227021639879957E+37', '-22037441866032270216398799569999999993', 97, 2);
    T('38932.7877632440204646989', '514862.91436796381524409', '514878', 5, 3);
    T('-4116.011301532073721', '-90781.707351', '-17', 17, 5);
    T('39162.831352601615', '6089682438.292945788216235', '6089719550', 7, 5);
    T('-2249009', '9.8695352159837', '-2249009', 8, 3);
    T('-510.8101668', '545116.752235512083237687', '-162', 29, 3);
    T('6.0642316E+16', '96230.2', '60642316000002022', 27, 0);
    T('9642509768603227.563', '-381741314.818609501258140266', '-373344513', 98, 1);
    T('-93277737.35056140784', '1.1329E+8', '-17777705', 17, 2);
    T('2.19055673E+46', '-71997335.4967565995926', '-71997335', 36, 4);
    T('-1.8E+8', '997900.24667224871792991208', '-179340532', 68, 3);
    T('9.83071E+14', '-8699', '-507', 91, 5);
    T('86.364537955721919', '-9681080817.86428027895', '-9681080737', 26, 5);
    T('-4.770477237241076632467', '-46508.71204756860828172867665', '-4', 75, 6);
    T('-3.54632012E+46', '26202700.310096533312', '-35463201199999999999999999999999999999973797300', 80, 6);
    T('8.185E+6', '9.209505662E+34', '92095056620000000000000000008185000', 30, 0);
    T('-39.097138193090301480304', '9.174469995152547546062693E+44', '-39', 15, 1);
    T('-9.559686656426002112638513755E+50', '877785.05', '-955968665642600211263851375499999999999999999122215', 19, 1);
    T('9808.91947562581874', '-742.42441676579979', '-166', 29, 6);
    T('2.868487650948E+40', '6.6783022399016332814844E+33', '28684881869107387093740624167160029405184', 9, 1);
    T('-26355673.6338054754221', '-722156.1667', '-132297', 13, 3);
    T('1.806275392115647', '1.4480540E+9', '1448054001', 39, 5);
    T('-7.2E+2', '-2.266286E+9', '-656', 18, 2);
    T('33', '9162239031954238.7639', '9162239031954239', 76, 0);
    T('-5E+38', '-60.5270880168804148877562842', '-60', 37, 1);
    T('169354987.78', '9962.9', '169354987', 23, 0);
    T('1136.751184', '109381.701996569150602960211', '110453', 56, 3);
    T('-154025287.8573806266904274', '-6214.6489089027', '-6213', 48, 0);
    T('-1291.8765534696700', '-473205.04554214589', '-1', 91, 6);
    T('4766.0298779293109787557658', '9099.62225871539905863384825', '13215', 84, 5);
    T('-749410728806489338046570.211958', '-547591699.11060', '-537001985', 28, 6);
    T('1.871056725995E+17', '-18876.8675237634336930', '-2332', 79, 2);
    T('62.983030134437841397993537', '-4115.728821018002', '-4097', 92, 6);
    T('44093851.43', '-8.45093778917088135687664085370E+38', '-845093778917088135687664085369966428773', 16, 0);
    T('267535102.5356046302588', '4.2489E+8', '536039166', 57, 4);
    T('2.913E+9', '2.3283645631708146918', '2913000002', 3, 4);
    T('3622747.852001906', '666011992.32817740120', '666357595', 44, 0);
    T('8.895899', '5.511486404', '13', 6, 4);
    T('11.591331', '-8.9E+5', '-889989', 79, 2);
    T('-5.6E+2', '-314992135', '-519', 22, 1);
    T('-8.43241832927911746E+46', '387786.421104943249', '-84324183292791174599999999999999999999999612214', 3, 3);
    T('-5.99949056313349E+45', '-8.779093176E+21', '-5954435489502771511296', 83, 3);
    T('-6.6543E+9', '212575.2726743939', '-6654296321', 21, 6);
    T('1.8', '3258253.92788', '3258253', 8, 5);
    T('-551.7253859', '-4.2886E+22', '-551', 82, 4);
    T('-5.76E+3', '5301919233.3695559', '-127', 18, 0);
    T('25.8508719027708344261163', '-7105549.38942826286', '-7105541', 72, 0);
    T('-14327.58669025488543158617018', '85.4842173813653956726724588611', '-14243', 49, 3);
    T('31423.9661129', '146328386.298911966811', '146340863', 70, 1);
    T('-124.7197859698043740', '5.2E+2', '-116', 67, 6);
    T('1.138859680691150E+34', '958386292496908.0374545473419', '11388596806911500000566821900360204', 44, 0);
    T('396389.841', '478.56668103585193', '396799', 57, 6);
    T('-3.810681889252375', '46599161.9437973354851', '-3', 28, 1);
    T('-7031205413358.2', '67.6614', '-7031205413293', 4, 0);
    T('-82834.7649633612235554', '459136.5', '-16914', 68, 6);
    T('8.6616479895766475E+39', '-938640.2507', '-938640', 30, 2);
    T('-581653784917.6258012', '76224.88', '-581653774357', 86, 2);
    T('295.4565337060887115', '-373502.94743', '-373465', 81, 2);
    T('88111601.0019145', '-37706968.7069165552670', '-37684231', 63, 2);
    T('2.078709016021007081E+36', '6763243.5447207214501', '2078709016021007081000000000006501099', 25, 6);
    T('233.85056871345278263151584379', '-1783.80784749753776', '-1559', 97, 1);
    T('-441.9524323899032820', '55262.7284131450795398625', '-33', 49, 2);
    T('-57.26551962246', '110.95483', '-17', 61, 6);
    T('651922807', '37420853970094722.915464914848', '37420854553858039', 59, 6);
    T('-4932936470.02630917', '3.16984868319639460136960002E+34', '-4865663254', 91, 5);
    T('8.781506562813E+45', '1.179E+21', '8781506562813000000000000964472918091252891648', 32, 4);
    T('-2694209068.9602624248', '-2.376213891764614902934400E+28', '-1447468', 32, 1);
    T('-1.85815930771877777E+22', '-355802.867305043404924', '-270490', 19, 5);
    T('8.81771', '54547839.6505252', '54547839', 18, 2);
    T('-2.684957160164100463E+26', '30.3747968744', '-268495716016410046299999970', 21, 3);
    T('-9.49225222E+33', '4746631606.1296054603529761', '-9492252219999999999999995253368394', 76, 3);
    T('-9.597390733561047325579429', '-422', '-1', 62, 6);
    T('-5868', '9.704540269546513E+37', '-5868', 1, 0);
    T('46217516.299250', '-29038.7271', '-16450', 19, 4);
    T('8.87009267815797373161942539E+33', '-7207.610607', '-2087', 7, 3);
    T('-5425074', '3E+9', '-164274', 45, 6);
    T('-408377475.1286376', '-9.640720732763104756191689487E+48', '-139942019', 98, 6);
    T('51', '97063.3391973221504880392', '97079', 6, 3);
    T('11230', '-13555951.1252486', '-13553697', 55, 6);
    T('1.27E+9', '4.86E+9', '6102695808', 52, 5);
    T('1.8E+2', '-6180799642.6645351274', '-6180799498', 32, 1);
    T('-1.8E+6', '8.537748260722548388108162E+35', '-141120', 7, 5);
    T('-4.6833674525E+49', '-7.131867617040670122E+19', '-2131403416276379812', 87, 1);
    T('38896.69885435', '8.33683E+48', '8336830000000000000000000000000000000000000038896', 51, 4);
    T('2.336E+7', '-2.2932150425215655562E+24', '-2293215042521565549887552', 44, 5);
    T('-891.0553539', '-4.90E+12', '-891', 95, 2);
    T('-5.040284820542E+15', '4118992.87727690', '-5040284819849776', 82, 3);
    T('-4E+1', '83591.893136157225671871', '-33', 19, 0);
    T('928068901.51785114749309568', '-5.2828499862786939546353', '-1', 69, 6);
    T('-7.8708987934890616435542814322E+31', '39.0060897921884', '-78708987934890616435542814321993', 10, 2);
    T('-1517666183.648669', '1.67770672421718888E+19', '-1073777415', 28, 3);
    T('7.2518668581407975620858170012', '9007888751.3801027144', '9007888751', 54, 2);
    T('-5.05404622E+9', '-9806942', '-1351690', 48, 3);
    T('3.25E+3', '83.2185935', '3315', 72, 0);
    T('14609.761669', '1.9854277E+19', '19854277000000010513', 67, 1);
    T('9.605498611948472384163347E+38', '849752967.62847208208458471', '960549861194847238416334700000304362375', 39, 6);
    T('2481004.519', '7.3406219082026E+45', '7340621908202600000000000000000000000002481004', 36, 3);
    T('216253.566574', '-36826836.581307617336745669631', '-36741699', 51, 5);
    T('9.31811369608E+23', '-5.64622313367776187185932', '-5', 79, 0);
    T('-68719.12342', '37', '-68683', 29, 4);
    T('9.821737', '-331648.793093169416045', '-331639', 83, 2);
    T('-3.78967502E+18', '-4E+13', '-35459807868928', 66, 2);
    T('-8.68E+9', '-9406.624241', '-190', 62, 1);
    T('2176949111.347815342366001530', '7.190154939866321362E+30', '7190154939866321362000008428407', 10, 6);
    T('2.3E+8', '-7.3043916E+8', '-570955896', 51, 2);
    T('-430839752.364756334221892246', '-5.69720123491506147879768590', '-5', 89, 5);
    T('626889655.2716360215338792137', '-9702707.677921102', '-8391681', 53, 5);
    T('4.1165E+7', '-1377.10694904932053910165', '-1313', 33, 5);
    T('-3275819168.356966521594475674', '671722697.03754', '-3275751447', 47, 3);
    T('-18587752442724848625.834869259', '-11740040.62828040742299355100', '-8586113', 43, 0);
    T('-617.45017217171142', '-3815536184.0', '-545', 58, 3);
    T('-653886.596687744554147840331101', '1890629539.06106296629929005660', '-608285', 93, 0);
    T('4.76119494082935821053574433E+31', '-4.1734129859509877215141E+30', '-2856244437572393093923665937504', 99, 6);
    T('115420.60', '-8.3252E+7', '-83235076', 30, 1);
    T('-6.8893322239415386820419282E+45', '1.3446184028328925043', '-6889332223941538682041928199999999999999999999', 45, 4);
    T('7938028470.1725088501122', '20276851.36271825', '7939160055', 37, 6);
    T('-2.506E+47', '8.2173E+8', '-250599999999999999999999999999999999999178270000', 55, 3);
    T('-999.5208116901809578635', '-8.1172371E+9', '-355', 4, 0);
    T('-219742.7262', '-843049222.329355966328946649421', '-215046', 17, 3);
    T('5660.94392', '6.24235562630451E+32', '624235562630451000000000000005660', 52, 1);
    T('4981322190.3378987194019318', '702831.773316', '4981455343', 40, 4);
    T('-90.174', '-772341.000150146', '-81', 22, 2);
    T('-8.81577004E+9', '-131041379.2216533115030733211', '-88442915', 65, 0);
    T('-826.11019565718', '4.20E+7', '-314', 91, 4);
    T('8.9914830218558826447964215109E+47', '-7757922629.2543474036', '-3428876613', 82, 3);
    T('2309.94437809', '49449.78353110124914521387', '51501', 32, 3);
    T('-2330.09356850738858171069223', '-16.038214841245749851', '-10', 48, 6);
    T('-26997', '-58645098.27976450581', '-18529', 42, 3);
    T('897.152318914502799521325', '50478.638556860834565952581389', '51119', 64, 1);
    T('-35789.696101509859385', '-4', '-1', 71, 2);
    T('43.9630509096418775016391091', '76750.218131743830120', '76783', 37, 3);
    T('-2.8614796180217702391986', '3401.4998907318868578', '-1', 49, 3);
    T('9955648.75821742646318250', '250.786275728', '9955834', 65, 5);
    T('-165.2865585244592157544884', '5607277', '-129', 26, 3);
    T('5.50761E+9', '7.794829676E+38', '779482967600000000000000000001212642704', 60, 5);
    T('2628600241.7310589755058', '-30535.697643166953164841941', '-13895', 56, 0);
    T('5.67108085818823E+26', '2.53474E+9', '567108085818823002147483680', 37, 3);
    T('-8E+6', '705272573.2410921809', '-7471363', 18, 4);
    T('2.29828244202854', '-789407464.30416177226421495', '-789407462', 77, 4);
    T('80403321.4013416806379', '6.58564057397000904012383E+26', '658564057397000904079498105', 39, 4);
    T('8E+8', '3.9866E+6', '801103016', 89, 2);
    T('-42855276648792.1471232', '-6.0106648416714E+46', '-42752197433688', 98, 1);
    T('-113.774430218199923805', '4036761.547149738329053552', '-97', 4, 6);
    T('-99669052436461496745.67388', '-9.033619051305746547743E+50', '-11821987795151273', 51, 1);
    T('74509218643984.23630680612982', '4098487.42449952849793679685', '74509222578615', 16, 4);
    T('8179011176.04466', '3206.72346673', '8179011310', 7, 5);
    T('-3.1E+9', '987754.073919920', '-3099602070', 20, 4);
    T('-34359.01584518926346', '2.7546150588E+39', '-34359', 73, 3);
    T('91.204', '-3.04426953490467578047E+32', '-304426953490467578046999999999909', 36, 5);
    T('-7.38454E+8', '-40743838.04057072', '-106894', 100, 2);
    T('8.6732296503327669406379880481', '514698180373018323.26945962', '514698180373018331', 16, 3);
    T('2131.849602053892', '1.5481336999606156E+44', '154813369996061560000000000000000000000002131', 84, 5);
    T('-5.76676E+39', '19572662.3420', '-5766759999999999999999999999999980427338', 7, 5);
    T('-3766.5', '62.76623134297648', '-3714', 22, 2);
    T('-5039786732.93781741865080', '-448125123.862257', '-136644803', 46, 1);
    T('-625103.606131104681981', '-46953570314319.4105193', '-67663', 48, 6);
    T('7409966', '39.79410039859211792784158750', '7409967', 41, 0);
    T('-94311386.834454916', '5.6807708', '-94311385', 98, 0);
    T('8922.1832', '68971916.907573190644612', '68972510', 4, 6);
    T('40.3265', '-5792.14700531', '-5784', 49, 5);
    T('9.33263023971471E+48', '-7.3177372439', '-7', 56, 6);
    T('-3.1E+14', '7.81225063024053474508350E+35', '-26458443489280', 4, 5);
    T('69272257.9663537', '7.26970761639165681517228344929E+30', '7269707616391656815172352720843', 87, 5);
    T('-60841.940578074127565907', '-721563388.1709826127246008259', '-11433', 30, 5);
    T('-86539.152887090810828837', '-119953944.06158168', '-20995', 15, 5);
    T('58363494.979', '-70.84152337448', '-2', 1, 4);
    T('-8.19E+35', '-3.4091658281953820464E+37', '-693506292926174493205212961146142720', 89, 5);
    T('508226.0741279162592', '27.36904779214442528', '508251', 23, 3);
    T('-7940648915.40238660864915199457', '-603936574.450', '-21759761', 19, 4);
    T('-9.657975E+32', '-7.817952788644173418436890', '-7', 43, 0);
    T('-40.714842508803474', '7.48592E+16', '-40', 35, 2);
    T('-544.1974074', '7436.517409767', '-532', 91, 0);
    T('-44511346.118521257729', '-978152.965107', '-401506', 45, 2);
    T('-98725.854147314', '730146718.42334003574639', '-32801', 61, 6);
    T('64.11405364318191189949961', '1.72903E+41', '172903000000000000000000000000000000000064', 19, 2);
    T('-915514485.11060844105515019', '-150944.717851643', '-1045', 71, 4);
    T('3.67331395405529722343120689264E+35', '2811.296176876', '367331395405529722343120689264000763', 40, 1);
    T('-2.3965143992989198778891011560E+44', '6.04448943', '-239651439929891987788910115599999999999999994', 4, 1);
    T('-1.045167946961265E+27', '-3.701310150344453209140210930', '-3', 94, 5);
    T('-39910244.6018849', '-306.6894673159983224223814', '-290', 58, 1);
    T('-6.197030317579928E+26', '-7.24116E+23', '-722820106592701662216192', 2, 1);
    T('-69646705.484818375834706', '-8.339756576380E+39', '-69646705', 49, 0);
    T('-5.1619935473040332E+24', '-65.6986205539', '-65', 94, 3);
    T('-5.07189732694326809290370562E+50', '449018.67751173469463996593', '-507189732694326809290370561999999999999999999550982', 17, 2);
    T('1.4649E+47', '8.8E+4', '146490000000000000000000000000000000000000088000', 86, 1);
    T('-6986.865777634047842', '-2.78E+38', '-6986', 46, 6);
    T('1881577.58539895349126514', '9670714.3304341296015', '10466811', 73, 2);
    T('4.98135312929E+49', '1.6627E+8', '49813531292900000000000000000000000000000166270000', 87, 3);
    T('6.0463301722598897E+33', '-9968850846.2257747283977593268', '-8624576414', 42, 1);
    T('-821.199', '-71056.4023036214263128778', '-261', 79, 0);
    T('9.2355E+6', '-8947.4833950574524', '-723', 75, 5);
    T('-3.136021E+37', '8972.793830848408052697002229', '-31360209999999999999999999999999991028', 22, 5);
    T('-6.289911E+7', '14.683111628241', '-62899106', 36, 6);
    T('422148254.7669567', '-25.0915936', '-1', 45, 5);
    T('4.346E+8', '-8.015340041615449267731E-7', '434600000', 49, 5);
    T('119629880712489.9363', '14117.06013934065667478497', '119629880721197', 62, 4);
    T('-769001.179252176166811325003131', '2.86E+47', '-769001', 24, 2);
    T('-3.85834966E+19', '7.5332981E+9', '-38583496592466701900', 72, 5);
    T('911032544.68515140603', '-1.4106E+12', '-1409957402912', 46, 1);
    T('-447.3299052834177677', '-1.89734441245601679991E+41', '-447', 42, 5);
    T('1.0810737E+8', '43.71784438602124925748930', '108107371', 25, 5);
    T('5.7E+28', '-2.60638222113737E+39', '-2606382221129942315491801325072908550144', 89, 3);
    T('8.8', '782.266698931', '782', 16, 0);
    T('395949.236380128', '-9335.64697333727135348', '-9299', 23, 2);
    T('-6951.714992242430557215602', '30462.34544', '-2305', 16, 1);
    T('7.3', '-317.73', '-313', 16, 3);
    T('-5967177962.6', '-1113143.828493477', '-59425', 52, 2);
    T('-16332476909664954.20', '-3635667.4045106260', '-14481', 54, 1);
    T('285307.5', '85.1470415497885029893', '285311', 8, 1);
    T('-7185.9664100', '8.32502119512E+16', '-6161', 5, 0);
    T('-8.1385256089106566140683250632E+29', '-6.1321E+8', '-8394128', 97, 3);
    T('-7.9336676084732628568157917E+45', '-4889228234.9407505804', '-4836799434', 2, 3);
    T('4.229493372024070052979', '-2E+3', '-1996', 63, 0);
    T('-1.320308E+7', '-732070.58857402555515234', '-598662', 65, 6);
    T('7241323.4970926015374647', '-65356119319966421193.572444909', '-65356119319964057729', 12, 5);
    T('-3.31553997959828703643667842E+27', '235082.482032570866190071188', '-3315539979598287036436447506', 95, 5);
    T('-6.327694956122E+49', '-517.236055092817708326286036473', '-517', 75, 2);
    T('-6.582768079840863474526E+45', '-3365.5842133608217252', '-3365', 28, 6);
    T('804.454740832758', '-91839981.216', '-91839689', 56, 5);
    T('-16874280.63791107732234768752', '90.0491470305626709248028531', '-16874278', 58, 4);
    T('6.914796', '-24.62435057441123826127376', '-18', 7, 2);
    T('-1.41356', '-44.0596274571924448', '-1', 46, 3);
    T('3.27E+38', '-92917111.0413', '-92917111', 74, 4);
    T('361583629.0423317192', '1.545205942', '361583629', 28, 5);
    T('946673.8', '5.9655376854488010872E+48', '5965537685448801087200000000000000000000000946673', 27, 0);
    T('1.9666E+6', '-705161.17043959', '-49281', 35, 2);
    T('960.76990222423600', '35461309.2055539729852945', '35462141', 56, 0);
    T('-365909.98', '-5.07541E+7', '-266257', 4, 4);
    T('-6.18905922857313E+21', '5.23156968969E-39', '-6189059228573130000000', 37, 4);
    T('5.54023054309698E+50', '-3E+7', '-30000000', 2, 2);
    T('4E+7', '-5.886663629585370300770240674', '-5', 81, 3);
    T('-793', '6.112414612247E+32', '-793', 44, 2);
    T('7.22344191853640430744E+36', '-231.82469767895165819302516', '-231', 5, 2);
    T('-47542.2717554573951809774', '2.4792779573238173008031037253E+45', '-47542', 73, 2);
    T('9054.7', '8.95213640798520989559', '9054', 53, 6);
    T('3197.33850815289201477240615929', '-50.17690950655', '-1', 6, 4);
    T('-5.5410846516644938329E+34', '-8.31E+3', '-8310', 89, 2);
    T('379.941', '-7.47806222657188345158631927', '-5', 53, 4);
    T('-6.2581990936960', '8E+6', '-6', 37, 5);
    T('219.935164646124446249', '-97100677', '-97100549', 84, 5);
    T('-3.243699008E+25', '-1.6795599E+8', '-167955990', 2, 0);
    T('9177558914232426.00921478782', '5.54E+29', '554000000000000026598245724266', 41, 3);
    T('-8.77277767659599660803E+35', '-7237554998.233910696699157268', '-188764982', 3, 5);
    T('1831527931.8499250802874629873', '33362571.49444579485368024211', '1845491707', 14, 6);
    T('-8.386618711268930E+42', '4.46260E+32', '-8386618710944404560109881849073010961547264', 39, 2);
    T('-40609615146801718907.838737', '-489884664.21235607261058516', '-137364083', 9, 2);
    T('-8.79457015269E+44', '-73607268.15733802818082', '-73607268', 32, 1);
    T('-6.532139846230E+34', '2931.556', '-65321398462299999999999999999997069', 31, 2);
    T('9.285766258196621486E+39', '-65575157.2253370683127695268537', '-52992245', 14, 2);
    T('-2.258E+9', '16.3959', '-2257999984', 24, 4);
    T('-1.582555903508949256E+20', '-6.5808768573928146E+20', '-9514993801203286816', 1, 3);
    T('1.5931E+12', '-9.106871117764127404', '-9', 1, 0);
    T('-8.9610422111862E+25', '1.13E+10', '-89610422111861997844107008', 15, 6);
    T('-3.48765615375481E+29', '-3206097579.27353548818', '-454044331', 94, 1);
    T('7.365E+8', '-3.7062148E+45', '-3706214799999999999999999999999999999263500000', 37, 2);
    T('-6.66562790606738427467645E+42', '518968', '-6665627906067384274676449999999999999481032', 79, 2);
    T('2.68441E+43', '-87383.3939716165', '-87383', 98, 1);
    T('-2.857319913449E+39', '679813341.96932726113554', '-2857319913448999999999999999999454404387', 9, 4);
    T('493.021504481540254', '-8792.2568963346706806274747943', '-8723', 96, 5);
    T('-14.7238132454841128328268691', '-7E+6', '-14', 40, 0);
    T('-639172.5557000314190241', '1790.49174288517184766564844634', '-638978', 94, 3);
    T('-6.31943909348299E+15', '5.1E+3', '-6319439093482498', 94, 5);
    T('-513.69340', '-73823970.58', '-513', 33, 0);
    T('-6.0163424E+32', '244.568772978383666239316', '-601634239999999999999999999999756', 98, 5);
    T('-25.76898', '-3830.3141131079849', '-17', 76, 3);
    T('-1.30E+18', '12.96442550039659', '-1299999999999999988', 64, 4);
    T('-7.382919759931330738E+47', '-13.7335853122590050', '-13', 47, 1);
    T('136448.478810029559883340109', '19738327.20', '19873751', 5, 4);
    T('-7580001715.07562981619600', '-5.40508136012387366559E+28', '-6501999795', 5, 4);
    T('7.62E+6', '2.60E+5', '7862176', 43, 1);
    T('533117.57460346641470057087874', '7815221398', '7815754495', 29, 5);
    T('-153094541939654262172404212088', '-8.26E+7', '-811064', 51, 3);
    T('-6E+37', '7395', '-59999999999999999999999999999999992605', 72, 4);
    T('24301506.3', '-3.661872E+27', '-3661871999999999999975698494', 30, 2);
    T('478523367.068614621412027254', '-8E+37', '-79999999999999999999999999999521476633', 31, 0);
    T('-8.9156120999E+34', '8125038.779984338140009990328', '-89156120998999999999999999991874962', 34, 5);
    T('7.052E+17', '-8E+10', '-77313875968', 37, 4);
    T('-7.519520758611998351E+38', '26495034.3863103531612', '-751952075861199835099999999999974553542', 87, 0);
    T('-1.6792000287921020279718162E+38', '4.604929E+39', '-156849699670634961675449150734985019392', 57, 2);
    T('7034406874', '30710.410494217', '7034435582', 75, 6);
    T('19.2267910249208595', '-8.70192489E+33', '-8701924889999999999999999999999981', 24, 5);
    T('2316144961813.53336426662535994', '-9325276.5210909224588048', '-715', 41, 6);
    T('-6.90E+4', '-24930.73421', '-258', 92, 2);
    T('-9.55E+7', '993207.5445281', '-95424585', 39, 0);
    T('1.54412003340875378576631016E+37', '-9.122042818006E+17', '-290482940520999360', 2, 6);
    T('-9838.6798702', '-6.6004858941342365E+18', '-1090', 99, 1);
    T('-4.77277130E+39', '4596.43941375035107006592691', '-4772771299999999999999999999999999995404', 93, 6);
    T('-5828908.98237831382', '8.658782082862524459E+28', '-4239660', 98, 3);
    T('6238564554.6234170790389282', '230874132.13055072126528', '6440025310', 85, 4);
    T('610.269383970444778344', '-43441', '-43409', 40, 4);
    T('673.9747294549', '-5093946.24833359157082', '-5093401', 64, 5);
    T('-17.9084282541245042808180496', '-57096.234343320', '-1', 11, 5);
    T('-1.49315E+38', '6126877113259580.4534037', '-149314999999999999999998733239159417284', 55, 4);
    T('1.229025339004669E+26', '3.9396887E+22', '122903714573170553728256000', 11, 4);
    T('-3.18E+9', '7.545788E+9', '-1007181984', 86, 4);
    T('801.498', '83.73278853', '883', 82, 3);
    T('-1.9866E+34', '9.004693493883245205248632505E+28', '-19865990096403389902259008214531270', 68, 4);
    T('32.755135261613705930818', '6.53816515901709152434160056145', '38', 26, 4);
    T('4.6E+4', '-3.79662007', '-3', 2, 0);
    T('930355371391.9909945339863888', '788675.798', '930356157951', 70, 1);
    T('2.1642E+7', '-612466.031', '-82018', 28, 0);
    T('-8329.93073446', '-1211.3232', '-137', 76, 2);
    T('-9758.571495761567035527072', '1.8169899030', '-9757', 25, 4);
    T('-49218073.240740033570', '-1.578025903', '-1', 96, 1);
    T('9.1394639E+9', '3.34E+27', '3340000000000000009139463900', 39, 2);
    T('9E+33', '2524.92701144888959', '9000000000000000000000000000002524', 99, 2);
    T('6.244E+40', '1.44069496014416622706793', '62440000000000000000000000000000000000001', 28, 0);
    T('9.48518227987863013687E+38', '-20571', '-20571', 59, 2);
    T('418', '30615.58344714272076907', '30647', 63, 2);
    T('1.8380409857706785833368672046E+39', '-1869.20964159', '-1869', 59, 1);
    T('3.46E+9', '-1.0013E+6', '-263764', 72, 6);
    T('7E+43', '-37084607409426.5866', '-37084607409426', 96, 1);
    T('-5.28184160434E+29', '4107.40570', '-528184160433999999999999995893', 35, 5);
    T('-438865781.004957387322257', '18.2618761783', '-438865765', 61, 3);
    T('2928.598668466101485941', '-9.65', '-9', 13, 0);
    T('36826365348858230.0079297052', '-52.5925219423456056704960', '-2', 53, 5);
    T('154507770.266413572389562478', '-48.272772974741343', '-6', 15, 4);
    T('780.81701', '6947.234802', '6959', 17, 2);
    T('6.415E+4', '-820102624.4', '-820053322', 73, 3);
    T('-613.7463158', '-91896872.7816099', '-37', 14, 1);
    T('-6732742.8889', '619782.3195924', '-6720194', 88, 6);
    T('6.5551127107512871856E+48', '-8.06E+37', '-5493745364024342617508671208703393792', 64, 2);
    T('9.638426179311237739427938485', '-748.89552558902007', '-739', 12, 2);
    T('8.8297448E+33', '-5265052237016369', '-4680075543817521', 38, 3);
    T('-31027669444975125337.9', '-7614.43', '-281', 62, 5);
    T('383829626.9831136434656', '-58.928996674', '-2', 64, 2);
    T('201.7982327068062058634393', '-7.0815808151377155169', '-7', 48, 0);
    T('6.31E+16', '29317302.562072810935198604169', '63100000011278518', 78, 5);
    T('-2.202655E+7', '1010836792.01726047105227790', '-17831942', 78, 3);
    T('-4580.7', '4177170.71376416800788579735207', '-226', 86, 3);
    T('-799.152', '-5.7E+33', '-799', 43, 6);
    T('-3819984001286219738879939.9058', '-665078.73016117967621003190', '-132545', 8, 5);
    T('-7821.1', '-3154.743764', '-3073', 81, 5);
    T('4579.642088834071643', '-3.84106181853866811327E+35', '-384106181853866811326999999999995421', 71, 0);
    T('-2.9557858620402567530E+42', '7.038882E+21', '-2955785862040256752994807233572734203265024', 56, 5);
    T('4.57E+14', '441867.5', '457000000405003', 35, 6);
    T('27.97', '20168.675091231222785436724', '20187', 21, 3);
    T('-97.14608', '16963.65075376790955', '-33', 86, 5);
    T('-5683896182.57768906936666517544', '-2.91634E+8', '-272718662', 11, 5);
    T('-8896249.67917999353169', '-1.72643547102022E+43', '-8896249', 12, 4);
    T('3.898993129E+40', '4917771639.444301509033', '38989931290000000000000000000004917771639', 33, 5);
    T('-8.89418176587644160697503817E+38', '620178.74791664', '-889418176587644160697503816999999932782', 47, 2);
    T('648441708.2428076526677002', '7.2833797930175849842004E+26', '728337979301758498430676844', 14, 4);
    T('-8796.79237068172', '112920.29694', '-580', 86, 5);
    T('7.7839', '-6.15778072194998076264845239', '-1', 54, 6);
    T('-2.436489427', '769710625.512071255505', '-1', 9, 5);
    T('-3512837.617262665120', '7.980824932297878', '-3512833', 65, 4);
    T('-9.4112679E+43', '-1.966E+8', '-196600000', 82, 5);
    T('8941580.41905', '4.5405223E+11', '454052246396', 34, 2);
    T('9.58E+8', '5908453907.97712', '6328941459', 13, 2);
    T('-1.96', '-5877889581.8011682726', '-1', 77, 1);
    T('-25349006966698642566697641.81', '-292541928.674558786805531795', '-268587169', 66, 6);
    T('6.68424994465980076553038517528E+30', '-2820.700015876948927232348', '-2308', 83, 6);
    T('36.67033121199859', '7.7287377843523E+41', '772873778435230000000000000000000000000036', 65, 2);
    T('-2.8055405E+9', '923.3911020', '-2805539841', 34, 0);
    T('6863350411.516604', '-271661703.585234074163317258529', '-2166789', 77, 6);
    T('8.3593601280535595255442313', '1.839735555485032924', '9', 100, 3);
    T('-80.065661', '908745854.143739957307084', '-2', 48, 0);
    T('4.4E+32', '-3200273.203751081043004', '-3200273', 30, 5);
    T('-8.38', '-9.73725E+6', '-2', 82, 0);
    T('3067.67653754215791116872480840', '65677.8901219143270', '68607', 25, 4);
    T('-5116.993589058633', '-5.3323E+39', '-5116', 98, 1);
    T('9.451019764E+21', '-9.41416E+17', '-576606197778235392', 38, 3);
    T('-97.42308551286472303944702683', '147.6156488628726724157657613', '-97', 60, 3);
    T('93790867660858860.33418248140', '1.74631646601196', '93790867660858861', 83, 6);
    T('44579.42861256', '-629.3667276136071814716016129', '-85', 82, 1);
    T('7E+8', '-127450477.319436890109007380382', '-100702317', 77, 5);
    T('3E+40', '6287626932.2284346390864', '30000000000000000000000000000006287626932', 72, 2);
    T('8853692181.84', '-1.614395855520381E+40', '-16143958555203809999999999999999971123435', 10, 2);
    T('666263.81456936925377', '-9.48347E+9', '-9483338793', 82, 2);
    T('-570.694247085879329', '-267674.50674842206268805336160', '-26', 48, 2);
    T('4096.178289520732618216', '99171432.058886', '99171432', 69, 4);
    T('-9.347568647409665050059E+34', '-49678271082', '-11006132842', 35, 0);
    T('3081986580.6934', '901017567.839220921181648948648', '3082252255', 29, 6);
    T('-67828.691845048572472', '7.9E+4', '-2148', 97, 6);
    T('-875134271.5', '-891605636630368.7024105', '-335562015', 79, 1);
    T('-6847202.6727906910160637269', '9.360E+31', '-6847202', 37, 5);
    T('-175142157519.917590130205766961', '-6E+16', '-174046919887', 86, 6);
    T('8057238584.7867194927245180', '-912126096.94405996', '-373309576', 12, 0);
    T('8.925592242949E+44', '4.2737729E+24', '892559224294900000000042519831082945443659776', 33, 4);
    T('1043.537119194730893', '639.111', '1663', 4, 2);
    T('30431703915.1', '-9157.3903552956743473', '-133', 47, 3);
    T('-1.56', '-1.4383E+41', '-1', 50, 2);
    T('-961455485.92549296', '39026.3621217', '-961422605', 75, 1);
    T('6.939041715829E+47', '-4539.92687620192695550899', '-4539', 36, 2);
    T('868114160.021', '-62.1674555977790115280181', '-14', 25, 3);
    T('30455.61151480212892037665582', '9E+9', '9000025847', 84, 3);
    T('-34534178.0430907138492', '88207.99935269', '-34513697', 56, 6);
    T('-862', '3.9334511E+36', '-862', 60, 5);
    T('-3.23722375806E+32', '2.95697513167900976462', '-323722375805999999999999999999998', 41, 1);
    T('-426801.331813914426', '58014.74266259435172925535478', '-393505', 10, 5);
    T('-20046948.89', '-2229619776.6725588812', '-2180132', 23, 2);
    T('766.2821', '5552358.5243044325513807525', '5552894', 68, 3);
    T('2.21562216555110E+15', '-1776504376.786409', '-1103169540', 47, 2);
    T('-6.32286734852182E+24', '4.3E+5', '-6322867348521819999572048', 16, 6);
    T('-3E+1', '7.11061', '-25', 17, 6);
    T('503385345.0980152089950819', '-6.43E+8', '-542270143', 67, 2);
    T('-57.5', '3.02483228839E+12', '-57', 43, 4);
    T('6.184928510E+41', '364966125.27', '618492851000000000000000000000000364966125', 4, 4);
    T('8505356042', '-3.0748719877608930', '-1', 50, 5);
    T('-7.753E+8', '-8.49599E+10', '-134226208', 47, 2);
    T('7.776629316238367949', '-3.765411E+35', '-376541099999999999999999999999999993', 40, 0);
    T('-9416.1224030', '-8.59786488472275972968908E+28', '-9288', 3, 3);
    T('5.2E+9', '7.0190007616235071924438288152E+50', '701900076162350719244382881520000000000004327584768', 54, 1);
    T('-2548214.3347868608212000', '-9.1067545068212E+46', '-2548214', 74, 4);
    T('-92.4214017314851204162685828', '4.91185801172223320E+19', '-28', 12, 2);
    T('-22276.271826321844237013', '31161.0957207835448707857575650', '-1539', 62, 2);
    T('-7984613400.20035', '5400824.748788481534143924727', '-7980285960', 22, 5);
    T('586050.21474', '91587763916562274137.20', '91587763916562298715', 36, 4);
    T('-2.9481230551E+45', '2.31529539877E+34', '-2948123055099918448179655254540867319407575040', 21, 0);
    T('-417.32796266326', '6.34957973153', '-417', 95, 1);
    T('-9.259115742892841219E+43', '2958692.67638464285910195', '-92591157428928412189999999999999999997041308', 78, 4);
    T('-3.15780012114610216802139911483E+45', '535876622.37377377705', '-3157800121146102168021399114829999999623506930', 28, 0);
    T('-130279116.59893730914775', '2.1867340227403734149207278E+29', '-71460364', 89, 3);
    T('-2.3130163938E+27', '1.9E+6', '-2313016393799999999998886432', 57, 4);
    T('-667164342.399971861150642', '-4.852235528950486584853', '-2', 46, 5);
    T('-51.7863647', '-5.60204565706276E+23', '-51', 61, 2);
    T('-4.5910060242934E+45', '-5.8035170E+28', '-50136571693091512176160538624', 11, 6);
    T('39.3874289262628438', '727760.805', '727799', 84, 2);
    T('21.8564210609866299004', '9370817.8640843669684776193', '9370837', 18, 1);
    T('-2.2786840396105E+44', '-6.541E+9', '-98549056', 77, 6);
    T('38.546897000663820228546', '-89390225.22939530764004277', '-89390225', 95, 6);
    T('815654.7105166925760410', '-2711911.5113', '-2163009', 65, 1);
    T('3548.3367666', '-660.000984070591728544', '-516', 66, 6);
    T('687217814705891949.529682183', '6.2632690949135E+31', '62632690949135651166124959951469', 17, 2);
    T('-51.1426799458392328890', '-7.30012703521750372895825922698E+42', '-51', 51, 0);
    T('7.951E+38', '13350945131784.75857200551', '795100000000000000000000008952898620680', 39, 5);
    T('4.259884982133138003041630E+32', '-1.380366853956429402664307E+46', '-13803668539564293971554284894475903843012600320', 20, 1);
    T('8.44973307295682522808442184E+28', '5547549.017', '84497330729568252280849757757', 63, 4);
    T('576.0328414', '-1242.6372234', '-1178', 36, 0);
    T('3695.10127', '9.922', '3695', 3, 3);
    T('6.93568237514225122455E+24', '-1.2E+2', '-8', 21, 5);
    T('661066.32994777979960046', '-50494430.73', '-50358678', 24, 1);
    T('-47.89769705769900', '-9637566734.6931828306673', '-13', 2, 2);
    T('3.8883380E+31', '21082607.808579230370362814760', '38883380000000000000000021082607', 91, 4);
    T('894745497.858329267830', '5E+2', '894745597', 34, 2);
    T('-8.02921838916717742450029537E+49', '7.26E+3', '-80292183891671774245002953699999999999999999992740', 73, 6);
    T('9.46E+8', '-566.507120773576769712458206002', '-566', 86, 5);
    T('-4.592E+40', '11.4670065981166726192671', '-45919999999999999999999999999999999999989', 84, 4);
    T('-2.2182605648059769589E+37', '66405.47139', '-22182605648059769588999999999999933595', 49, 2);
    T('269400.5563976299843363101', '8.68E+9', '8680005208', 37, 5);
    T('-3.80E+7', '-96934.381158392900772425', '-86054', 17, 6);
    T('-9211977436.4074670983782625634', '-81978370.556458', '-67273730', 97, 2);
    T('-1.2E+9', '367982201987239735636583.0581', '-84150681', 100, 2);
    T('5.00729390964887E+39', '59071590.379615589116192413', '5007293909648870000000000000000025517158', 43, 5);
    T('6365.786897999', '-586038.867035', '-581921', 86, 2);
    T('-1106238.633420', '737717134.611853113880334', '-16434', 26, 5);
    T('-9.631520543E+18', '-5837282.30', '-4198882', 63, 1);
    T('696.43622035719', '-39.00184167904040377662', '-7', 81, 1);
    T('-81.9112', '-5.9E+5', '-1', 78, 2);
    T('-563166998.8', '8.4696711E+37', '-563166998', 86, 3);
    T('3031132.321256915438698868', '-2221101.91141865163435471', '-107553', 68, 2);
    T('-2169.3893', '-29154003.77140', '-2129', 43, 2);
    T('8.9618', '9.2549E+35', '925490000000000000000000000000000008', 78, 3);
    T('-25393497.72', '5.058736', '-25393497', 70, 0);
    T('9.7', '3007912.246982608948844075041', '3007913', 11, 6);
    T('993999.00746', '-7.88085296642E+30', '-7880852966419999999999999006001', 85, 3);
    T('271015.4497245667175844776', '-793.62195722', '-281', 75, 6);
    T('-8425925617.1', '-739.1639837665360381', '-737', 26, 5);
    T('-6.4916539309177300', '7.66971816449667866', '-1', 68, 5);
    T('-9.3766670806858E+50', '723148111.70915755975714169', '-937666708068579999999999999999999999999999276851889', 13, 0);
    T('-6563.385903343760126', '-78274.32', '-4481', 17, 0);
    T('-3514889336.92693536405', '-90479.472001219', '-24679', 12, 0);
    T('-26271259.2306918678856426', '1.8E+8', '-16796187', 86, 2);
    T('8.56267124213342E+25', '9103466109.2991936927082', '85626712421334200511889021', 67, 0);
    T('3.247857185528350203999325498E+40', '-8.3291199958099681E+43', '-83290410187677700669837064424826438815301632', 13, 0);
    T('-6.381737E+49', '73730.6894864236', '-63817369999999999999999999999999999999999999926270', 79, 3);
    T('5893.8174896057195539', '-1728186.736843362640', '-1722553', 51, 0);
    T('8.6E+14', '7011.067', '860000000007011', 88, 4);
    T('-7552.85698668209744', '-7964012.4934', '-1388', 62, 4);
    T('-44294.59725509433993434', '1.22077730793667731027287E+49', '-44294', 28, 5);
    T('3.68701E+8', '9.025E+18', '9025000000068775496', 57, 1);
    T('1.78717718335E+43', '3.8062604E+9', '17871771833500000000000000000000003806260400', 11, 0);
    T('-7.12441958160', '-4.92574218686086295E+33', '-7', 86, 3);
    T('5204.7671413922335', '-1.186', '-1', 76, 2);
    T('-80816046.6314213253', '-1.297861E+9', '-72417670', 52, 6);
    T('8692606.8941138858093', '-98357.616904484547459029384', '-65537', 73, 0);
    T('261.5081', '-269.06543006197997186', '-9', 62, 0);
    T('-96', '-788919171554363.9520324606111', '-27', 65, 2);
    T('-588.554312232532089530564', '835338441.41951629313714269', '-515', 56, 1);
    T('9.70146604282394326278681299184E+38', '3.137', '970146604282394326278681299184000000003', 75, 6);
    T('509.8267799271', '38.51', '511', 46, 3);
    T('516681679.331719', '-30712745.241', '-18087969', 93, 3);
    T('-246.106761579288', '-4.68E+4', '-198', 73, 3);
    T('4688.116702660601019965160767', '760813.06257394676', '760829', 30, 0);
    T('-7.519E+27', '-2997631.319253678', '-2997631', 67, 1);
    T('51.78300', '-2331.532646', '-2313', 3, 6);
    T('-479227311.6678050434', '-9.69258567574833E+31', '-402681263', 58, 6);
    T('-3E+10', '-84070.34776003099901009224', '-67686', 25, 3);
    T('6072103.918984130861', '-1813.704521284363943626297661', '-17', 30, 4);
    T('-4.70817E+8', '63074.28052357', '-470812806', 41, 6);
    T('42.649219', '-79397.592195912', '-79365', 90, 5);
    T('-40421.018306665924023675670948', '5941864.33686144253546229793260', '-5509', 83, 5);
    T('42.43608', '1.899163332533068405082286E+29', '189916333253306840508228600042', 37, 3);
    T('-7644131.4687514545061729475', '2.499112E+32', '-7644131', 10, 1);
    T('-99884079.46', '2987333.1390537', '-97519659', 85, 1);
    T('-1459404.244', '26.8467836156934830', '-1459394', 80, 6);
    T('76.20875390555', '54826.651395581924757065', '54894', 12, 2);
    T('6.16407072189961689E+43', '-6865.84934214911', '-6865', 84, 4);
    T('8.57678769E+30', '8E+7', '8576787690000000000000008696832', 19, 4);
    T('8977.4094602', '7.19499257289851E+19', '71949925728985100273', 20, 1);
    T('6.221140044E+29', '-328849.4021853462', '-328849', 91, 5);
    T('-664641569.03065', '2.4E+2', '-664641537', 98, 2);
    T('-4.2E+15', '-12064229374440.38425913503714', '-11959941085672', 70, 1);
    T('14.7893036056', '-9800.00360643058474', '-9794', 29, 0);
    T('1.8429E+6', '466761.9375325451258031604157', '2039773', 80, 5);
    T('-6E+6', '5016203.379293', '-1246581', 61, 6);
    T('-1845520.12129384772389116562074', '58.999815824', '-1845510', 19, 5);
    T('3E+4', '5.54271748605E+20', '554271748605000021808', 31, 2);
    T('6.1235E+31', '-2.8147590033573995697382E+34', '-28086703010796137021372909751132160', 80, 2);
    T('978065287.956313894116074696654', '9.422178', '978065295', 69, 5);
    T('-59.16339325711503274632', '6.3E+18', '-59', 41, 2);
    T('383.73478339577550', '5271794200.3911342', '5271794559', 68, 3);
    T('62231.72725', '2.4159912E+44', '241599120000000000000000000000000000000062231', 88, 1);
    T('302325.2020707951378672039', '1.6E+8', '160300277', 48, 6);
    T('1988.2', '7.046602E+9', '7046602708', 62, 4);
    T('-8.7E+2', '-4.279241676484496758378961E+45', '-870', 88, 1);
    T('9192886835.543862790391', '3E+3', '9192889275', 60, 6);
    T('-5262157708.6287', '5.424811270133836204384', '-5262157707', 2, 2);
    T('57883944.500824444653805612561', '-58180808.23591122', '-311496', 61, 5);
    T('-84359561', '-1.9931848654031289475236E+23', '-17235969', 97, 5);
    T('81432533.6468626243660748', '-3.263576E+33', '-3263575999999999999999999918567467', 53, 5);
    T('-7.11025E+8', '3E+18', '-138502504', 76, 2);
    T('1583321.93355545486080', '-4.997434743133909391801E+34', '-49974347431339093918009999998949159', 68, 1);
    T('-3500.3507', '-1.1E+3', '-1036', 93, 0);
    T('-3.6073367597772352346797059998E+43', '97.387', '-36073367597772352346797059997999999999999903', 74, 1);
    T('-7.6135374906476E+45', '6412.52085018094697452888014305', '-7613537490647599999999999999999999999999993588', 95, 0);
    T('-6983030053.3114931855', '1.4E+7', '-6981943333', 36, 2);
    T('6.079925003073E+14', '86.55541319', '607992500307318', 100, 1);
    T('2.8810866676703335947E+20', '5861500190.24129859554403059238', '288108666768595090814', 28, 2);
    T('3.49E+34', '-2.24806', '-2', 47, 0);
    T('-748256.32376', '291639.7447047', '-723145', 68, 5);
    T('65.862251817558', '-2.463722456185', '-1', 79, 4);
    T('6E+13', '-2555.6085404853494926', '-2555', 1, 2);
    T('404028452.27704', '-1913764.79911685', '-590724', 13, 1);
    T('48291335.284639', '-5.339738E+7', '-17695105', 82, 3);
    T('-4176940743982290495.4441', '75798.99987549831', '-4176940743982224937', 87, 2);
    T('1.75E+7', '-15.98740763907125140111069655', '-15', 76, 1);
    T('32723.578168322241430071', '4258771.42153356', '4259795', 50, 1);
    T('918515.200141301474521397562022', '-5.2164154E+9', '-5215628293', 25, 2);
    T('7313.446297202776448570', '-4.69507053E+22', '-46950705299999999992687', 43, 1);
    T('-8.109751935084551E+17', '964626.72855453368', '-810975193507889834', 96, 4);
    T('8.5488243103103951E+48', '4742759.038199977', '8548824310310395100000000000000000000000004742759', 20, 1);
    T('3.081E+9', '-9092748.0382698375074', '-699020', 23, 4);
    T('-5.6530981405749411653194791E+40', '380.302717120818406282680134090', '-56530981405749411653194790999999999999620', 66, 6);
    T('-7.63175432990801294018694277', '-268.7841785915509963921440', '-3', 94, 1);
    T('-2.501094073737867973599E+49', '-1119.804108', '-1119', 51, 1);
    T('3854.3900542', '-3.13E+10', '-31299997938', 82, 5);
    T('7732.12025736479936046626', '9.098E+4', '98164', 46, 6);
    T('-81020218.42884781554570524197', '3.41E+9', '-76809530', 61, 5);
    T('78780.491136857', '-33.5015606597', '-1', 7, 6);
    T('4708129083.64371020', '-934625843.622462122758391721', '-655688193', 88, 3);
    T('-69606324.56', '3.3587911445923196570523515E+34', '-69341620', 36, 6);
    T('9.77641336296048381286198463E+41', '294032122.84418', '977641336296048381286198463000000293999354', 8, 4);
    T('-86962.46038521089', '4.74915983E+41', '-86962', 6, 4);
    T('99.6674138418512111781717', '-1.025359965321555E+28', '-10253599653215549999999999901', 67, 5);
    T('3.748468895952318577561E+45', '7492903913.992702061311133', '3748468895952318577561000000000000006553379817', 78, 0);
    T('3.668420192E+18', '-4.03E+16', '-2009909410414592', 47, 0);
    T('6.494929941452907380', '-427.16426663109', '-425', 72, 4);
    T('3.8E+33', '3.281108073605160730340587', '3800000000000000000000000000000003', 85, 1);
    T('-8271.2813175', '-2.03', '-1', 86, 6);
    T('4.52282536277963507E+29', '824976.4480525840456102033350', '452282536277963507000000034448', 37, 1);
    T('-5343743475.421031723033176730', '-1732.5587717799964416596762', '-1219', 32, 3);
    T('9.117471126454192289922E+28', '4.243E+14', '91174711264542346219933891840', 66, 4);
    T('2.5894749E+8', '-587880759922927118504673.22040', '-587880759922927116272193', 82, 2);
    T('-3.141935E+7', '1.62350089693737931388138E+39', '-26569686', 73, 5);
    T('46.833946041', '-53.84544873973240236257578280', '-17', 70, 0);
    T('-1092956860.269901476761605893', '-5.364E+29', '-1092956860', 93, 0);
    T('19927.15715945406808516947', '7.7501055464E+37', '77501055464000000000000000000000019927', 6, 2);
    T('2.4739689228398840444E+50', '6.9780012432748', '247396892283988404440000000000000000000000000000006', 82, 5);
    T('-8.8571796021419E+15', '2E+2', '-8857179602141700', 6, 3);
    T('8.1527949473655766589307647513E+48', '-471.92007081366508882787502658', '-471', 37, 0);
    T('6021.707163349332', '-7.247534200E+47', '-724753419999999999999999999999999999999999993979', 30, 4);
    T('-81.48943545425875212619', '-9.84699255637138066631261802', '-1', 37, 2);
    T('-944.705416', '-71695.7117747167295669071908287', '-15', 21, 2);
    T('8.9740328408498787E+18', '-73907006.581566394', '-73666834', 11, 0);
    T('-7814.8382179344447520306', '-90132.1', '-2', 52, 3);
    T('-8.60585887400789117154850290E+40', '82.63826624883267314819478', '-86058588740078911715485028999999999999918', 43, 2);
    T('51028731.64245638555935444', '89.86693617', '51028731', 56, 2);
    T('53379266.0013273074602172149', '431067.2', '53384155', 1, 6);
    T('-1.49728549032160063339827113E+37', '-48.19822625646186538032277', '-48', 24, 5);
    T('-1.5615E+8', '-2.1E+5', '-139344', 6, 5);
    T('-260.574', '-6.5163580209811369466602', '-2', 52, 3);
    T('42382343.7630555150585964772', '-1.8684E+9', '-1834549625', 67, 3);
    T('509.500', '8E+2', '1021', 22, 2);
    T('-302289000770145089664803.75', '-347877945757895.7805516588', '-347602996465667', 34, 0);
    T('1E+17', '-19282.88692004', '-19282', 43, 1);
    T('7465.442666235204', '8987377.358145698368751117195', '8994809', 45, 3);
    T('-1293.810346074', '-78.6', '-13', 13, 2);
    T('3860513677.3072431', '-97719368.01', '-29430851', 81, 5);
    T('5.024297493131497734239', '-5.7884627089E+13', '-57884627088995', 76, 6);
    T('-25356539383730693440631.2477245', '1E+1', '-25356539383730693440629', 15, 4);
    T('699.47451939763496', '-9.11235E+9', '-9112349957', 9, 2);
    T('614.033710', '33247.27948', '33791', 46, 5);
    T('-6554005.629119978322633734314', '-7939741947.727347', '-2359441', 37, 0);
    T('3.4880842807210156783445223', '-4156.13', '-4153', 12, 2);
    T('4.3260242E+22', '11.979344754612', '43260242000000000000011', 60, 5);
    T('8E+5', '-3569037701.6354751767144021', '-3568500869', 82, 6);
    T('-833052721.2950245513', '-8.43368E+7', '-17195025', 41, 1);
    T('29522.3872593', '-8214637.08', '-8194093', 6, 1);
    T('-29.805384196534724486', '-9242.38106926701711717928', '-25', 60, 3);
    T('705262723997133859.2', '8757.979057826119379210664', '705262723997134391', 56, 2);
    T('-916145077.642', '-52687.1', '-16773', 40, 2);
    T('5425.741923294', '-6.05', '-5', 99, 2);
    T('-2.024E+19', '-8E+1', '-80', 8, 3);
    T('367.1614269640798707293128', '-96772.793990936338033464759025', '-96769', 1, 5);
    T('25.93196846364809', '-4241573.2884940619133478595', '-4241573', 41, 0);
    T('98846', '-17.3754736935439', '-1', 14, 2);
    T('-72790.9011', '-1.2521E+22', '-72790', 37, 1);
    T('6.8397298444434188527E+25', '4.37E+22', '68436258040891737177119168', 48, 5);
    T('7.143E+6', '-3.9132903184079382240', '-3', 86, 5);
    T('1.7E+9', '8.849204011444576664606583087E+37', '88492040114445766646065830871681989888', 54, 2);
    T('-1.3474013910399876163E+25', '367.9040454105872070016400154', '-13474013910399876162999953', 61, 4);
    T('8.269677983594424676878E+30', '-993510932.353145', '-454345236', 83, 5);
    T('3891714574852249391346.8431595', '7.4533236993816670312E+34', '74533236993816687056541756418724082', 82, 1);
    T('-9.416909537E+39', '70.79253294687094715624108', '-9416909536999999999999999999999999999930', 69, 5);
    T('-1.72804953E+35', '6E+32', '-172692052855685009197902653674225664', 37, 2);
    T('52925.5748857036500933', '6.59305887794584168', '52927', 40, 6);
    T('520.52289427890751795', '4.79777084097207840670475E+26', '479777084097207840670475000', 80, 3);
    T('-2.04E+45', '452.0966700132268', '-2039999999999999999999999999999999999999999548', 26, 1);
    T('-1.8948336312310248963650864965E+33', '4544285719.816384606235', '-1894833631231024896365081995223305', 76, 4);
    T('9.137972E+28', '-8.5E+9', '-178500864', 86, 5);
    T('-64602672.10475541852742449376', '153.6661', '-64602663', 18, 0);
    T('2.6E+9', '87.45186547488336651578', '2600000087', 11, 2);
    T('2.74242718577E+34', '-5.167422039E+42', '-5167422018230121628474313630131873606795264', 44, 4);
    T('2E+3', '5.9425238712886682472E+45', '5942523871288668247200000000000000000000002000', 87, 1);
    T('-2963.9082904342305880504421', '907717.109624287287', '-531', 97, 2);
    T('1.42E+9', '822534782.061766', '1973943166', 94, 0);
    T('5.95089414E+38', '7.38355E+13', '595089414000000000000000072577074582272', 36, 6);
    T('2.39E+8', '-5.153E+26', '-515299999999999999895217728', 42, 3);
    T('-9632.53699075547577407460', '9.825759139118941935056935E+28', '-1168', 37, 0);
    T('-129.373583568107', '-9E+5', '-129', 73, 4);
    T('3.55662E+46', '5.4366163218553E+31', '35566200000000001114769846106866548459834703872', 88, 3);
    T('5420273001.4794295', '8E+46', '80000000000000000000000000000000000005420273001', 1, 3);
    T('2.782030256', '-5978.46992829502607822422914878', '-5978', 58, 0);
    T('257775426.3499164255', '-9.93787347E+48', '-9937873469999999999999999999999999999999742224574', 65, 2);
    T('-9385.30665372878586379231189', '5.9999027042594208110412477364E+33', '-9257', 58, 2);
    T('38.29', '903.30043495719830', '935', 67, 2);
    T('8929.232', '-309267055.7836396688', '-309266447', 98, 1);
    T('-6.5366415E+32', '-499981.2720', '-499981', 48, 5);
    T('891509.061', '-426.9145316', '-393', 28, 2);
    T('5.84E+5', '-473.3122033679787643048', '-153', 30, 2);
    T('8.892360160878792081551199E+34', '-2.0E+4', '-16928', 99, 6);
    T('4934.1261596551537904500', '733313.7788200', '734151', 54, 1);
    T('53100.057534435357178855', '-7880360847018422163.83334127', '-7880360847018369171', 68, 2);
    T('9.7255546662546307236E+27', '-8.21872E+20', '-591179395495333452800', 82, 6);
    T('-7483713479.5494320756534891638', '8153.2878531688879554', '-7483711495', 55, 5);
    T('9.2108096758', '578413187024291813557.78', '578413187024291813565', 81, 2);
    T('3.31E+3', '-9.808628434443708987E+19', '-98086284344437088770', 25, 5);
    T('9.7530130845964459955560E+42', '-56.18351262', '-56', 40, 4);
    T('-4.93665597726081E+15', '-183.4', '-1', 7, 3);
    T('8.68E+32', '-96168.4', '-96168', 17, 3);
    T('8.84218945954561133887618005022E+33', '722.991376', '8842189459545611338876180050220018', 18, 0);
    T('8E+3', '-40.670617339', '-40', 5, 0);
    T('-927916.68541', '8.409602290496324085774030039E+38', '-139436', 97, 2);
    T('-8.446837829E+16', '295.620140871023635435085819593', '-84468378289999961', 29, 1);
    T('78525974.1909303135800958', '284426985.0487060595765964', '352204543', 21, 5);
    T('208113.20614522132239971265', '391748.3280889734598548583', '524021', 72, 3);
    T('-33', '-9.2379488091802542628871546658E+32', '-1', 72, 1);
    T('-9601047.055898', '-5280.75428106255977434165022', '-23', 54, 4);
    T('4.0E+5', '-2.2500E+7', '-22102048', 4, 0);
    T('-560637834.875099953834847280126', '-5993725.3952', '-4859017', 90, 1);
    T('7E+6', '-296976399236198.046214', '-296976394498086', 1, 3);
    T('72.90209967906296170494956', '-15943.17621990317066', '-15879', 59, 2);
    T('8.418E+7', '-1.9907', '-1', 85, 3);
    T('-8179.24830495941659', '60098427.86642', '-6273', 10, 6);
    T('7408024586', '-9831810.734963037127816', '-1180034', 46, 6);
    T('3.172E+9', '276106.28902115', '3172267914', 63, 6);
    T('-140957351.108', '6.91456492420E+25', '-2545319', 80, 3);
    T('-1.95133678906404731188500E+43', '739001.6378458520423', '-19513367890640473118849999999999999999260999', 23, 2);
    T('5.9565057E+12', '4.36216373643E+35', '436216373643000000000001273733056160', 23, 4);
    T('733.4251000819913', '-3.67E+31', '-36699999999999999999999999999267', 14, 4);
    T('-19359034810588973501.5246136', '-21743.244097', '-16557', 90, 2);
    T('-24.146189419231', '9.86127723370908599190346237397', '-23', 62, 6);
    T('-6771971882.9553497716345617', '3.1235273390E+45', '-6771971882', 58, 0);
    T('23.34242', '5110731.415371930', '5110751', 100, 2);
    T('3.345910429', '-23110.0683452082887628661439', '-23109', 9, 3);
    T('610953871917.8492055813868', '-406.8205642', '-401', 76, 6);
    T('-5.56877915692019416331672138402E+31', '-9.231466223343174023521649351E+29', '-842051325828463676241863509252', 81, 0);
    T('2.208531E+13', '7068.20799974336627599603', '22085310004124', 4, 0);
    T('6E+9', '43608284678024894913.319886798', '43608284683462819265', 45, 0);
    T('-2875357.4918668', '-20876316.48', '-2788377', 77, 0);
    T('9.2710002E+21', '72.650757806311185', '9271000200000000000072', 8, 0);
    T('-9.20692785307E+35', '3.8009710357E+47', '-83079335920690047475944759796695040', 8, 6);
    T('3.606694037126346686024900', '-46106.0226049472646746', '-46105', 98, 1);
    T('-53151.0508617232354532176', '-5.2110E+6', '-33559', 67, 1);
    T('5920.26099733730486272729', '1.63E+8', '163004384', 77, 5);
    T('7.21E+9', '-7.606695585220300846979527', '-7', 20, 3);
    T('2E+4', '907076104.3', '907079208', 40, 3);
    T('-826508761.56527089789469302', '9.12E+29', '-826508761', 51, 2);
    T('145533970.2321029154641703', '-8008749359.3380171780084', '-7873974573', 1, 3);
    T('-789.264627280923', '829081862.1577684529', '-529', 31, 5);
    T('3963896293.62945', '8009.7613190018262651', '3963903981', 55, 0);
    T('9488954178.00019314997343664', '-3.59E+4', '-3130', 5, 0);
    T('-7216021102.3843701485337173', '27.1832611290405776198572332', '-7216021093', 83, 6);
    T('-7E+1', '3.991801339515390167106458E+38', '-70', 19, 4);
    T('-1.07520', '1.597117E+49', '-1', 91, 3);
    T('-1.309422591840482816892421795E+49', '15.77384108449531675534459', '-13094225918404828168924217949999999999999999999985', 91, 2);
    T('312812.9762335475080086', '7343869895.10465550122', '7344148463', 5, 0);
    T('-938971.956843035400289687', '-91985142.7163211267193137', '-659665', 16, 0);
    T('-282506.626505953369327500002', '-6.4081493E+12', '-279306', 9, 4);
    T('498443.3256638381', '6650729463.05571355111423061637', '6651091967', 33, 0);
    T('-518298', '9.18E+26', '-518298', 29, 6);
    T('-5E+43', '-1.45128E+47', '-44751311677413452138665987439404895583600640', 17, 1);
    T('-3156206184', '-1965266319746.208024308677190', '-2415927298', 8, 5);
    T('5028548094.1', '4723.57014143425792292469963', '5028552703', 47, 6);
    T('-1.776826E+30', '-59831.4270', '-59831', 76, 6);
    T('-6474103646045.105698', '99940976.723759', '-6474025731341', 84, 2);
    T('-9.6639347385E+48', '9.874608335519883711492', '-9663934738499999999999999999999999999999999999991', 36, 2);
    T('-79003480865936888430709358.87', '-8753.59945512365595241142986206', '-545', 59, 6);
    T('7047204565221.6887009228658824', '-227.2876228075353625', '-3', 94, 2);
    T('82.8', '8923.0', '8923', 60, 5);
    T('-3.039530E+41', '-1.8112E+6', '-1811200', 71, 1);
    T('807015.0496492', '857949.6163', '874367', 14, 5);
    T('-67.924145067529405', '-709755846.6457974369665', '-65', 25, 4);
    T('3.278057504868E+42', '-1.40E+4', '-14000', 84, 5);
    T('225671314.703483665665', '85848565.1277425270099736607916', '226490871', 89, 6);
    T('-5116611.254082683486', '2.45225569102252E+40', '-5116611', 3, 4);
    T('-126416845479492890.36637100524', '-351605.91642650986514246971869', '-269585', 15, 2);
    T('3.716250E+12', '4E+7', '3716285651584', 92, 1);
    T('833.8447991362275442355929', '5.250177234263469E+40', '52501772342634690000000000000000000000833', 79, 2);
    T('9.11627E+38', '2.6657760E+32', '911627083715898257144538225512995094528', 15, 2);
    T('8.1709000601723487648523', '4190.27599223506', '4190', 34, 1);
    T('888897169.43173', '-1310.72648', '-269', 19, 1);
    T('-6.35550357817025434E+32', '-34092.721833491051916357531988', '-34092', 70, 5);
    T('211.927425969182097867030948', '939632.46835672456720581', '939763', 92, 1);
    T('592859326.050254', '-800078399.924155280001511054', '-211823105', 15, 1);
    T('7.79848', '3.811E+11', '381100000007', 28, 0);
    T('5.4391949747E+50', '-8.71446', '-8', 83, 5);
    T('-51810.4984221', '356.92748528969362107890', '-51714', 3, 2);
    T('-299.8', '1E+7', '-299', 11, 5);
    T('7841113262401919.8218', '-9.09377E+32', '-909376999999999992819697789294209', 98, 4);
    T('-9.8734916006500369092040312070E+40', '-605232074829580.87', '-2545036693260', 32, 4);
    T('548618.41381053226156473744482', '-9.355904919592625336E+31', '-93559049195926253359999999975670', 80, 0);
    T('23983778.4851252', '-1.01E+6', '-133454', 76, 2);
    T('-3.447956082766302E+33', '-5.56E+5', '-31712', 9, 2);
    T('31595832986647307952', '8.98575092720E+17', '32172295148506382000', 4, 6);
    T('-232.7041526565924927', '3.647464406707943699818050E+37', '-232', 64, 2);
    T('17072.46011104837081', '435753947.71699152', '435770363', 60, 6);
    T('630.949932837621', '-1.1560946E+20', '-115609459999999999370', 62, 3);
    T('-5.559102269356694831E+47', '63.1314302', '-555910226935669483099999999999999999999999999937', 82, 6);
    T('3136966.495484', '-1311.326700974756882865', '-25', 14, 3);
    T('243080428.37117', '-28987.37840189636068', '-24851', 27, 2);
    T('-611164.31434307188881422883', '-2863034007.5137308595425845', '-16915', 45, 6);
    T('-8.587119671218795905', '13423471.410635406446389', '-1', 12, 6);
    T('-7.05588E+39', '-4552252320.7670054112', '-4552252320', 69, 0);
    T('2.196584910032', '5.12163E+7', '51216302', 60, 5);
    T('61928.471978949660096', '37010.009473193903488170052940', '61946', 67, 1);
    T('-9461.446500160992338072727666', '275547100.59471', '-9249', 43, 3);
    T('8.2656326E+20', '2.309', '826563260000000000002', 36, 0);
    T('-2', '-1.393E+27', '-2', 70, 6);
    T('22382640.01225', '-7.6218565E+25', '-76218564999999999977879504', 26, 0);
    T('-6.87577123440954012202E+27', '-1.2E+29', '-683648148796514068922740992', 12, 0);
    T('1706446.99999369003957913', '9741921302.6017751903', '9743101406', 14, 2);
    T('-533.22656', '-6.4E+4', '-21', 3, 3);
    T('-683234.484', '3059358445114207052.96', '-17570', 77, 5);
    T('1.5986E+7', '-2993.663824646487553', '-673', 95, 2);
    T('35545791661278356776.820866', '5.0881943711073373845579280646E+39', '5088194371107337384577258640255309444392', 57, 0);
    T('-2042.4134558327364572222493', '-9.20E+3', '-1002', 13, 4);
    T('-9634.9813796338208623', '-3.3173800E+45', '-9634', 70, 4);
    T('-4223321920.75', '757.464', '-4223321355', 64, 0);
    T('-7.2555E+9', '-9675135.368750149818', '-1187935', 30, 6);
    T('94848.74438924452897', '7.5', '94855', 94, 6);
    T('-92239594915520.05326', '-14.73320031864614419', '-14', 91, 1);
    T('-213.0375120127020911049574', '-7.6318700893733924', '-5', 30, 1);
    T('6.538477E+11', '6.82326600E+34', '68232660000000000000000000475800096', 95, 4);
    T('159083905292427872.973785', '9.76544384E+14', '159734822166585952', 46, 4);
    T('-5E+8', '40017009.516083532841301830', '-495804559', 42, 5);
    T('2.1E-86', '-5369.51057', '-5369', 86, 5);
    T('-6.0307', '561737.82', '-5', 63, 6);
    T('35228.17712', '90.4512', '35294', 63, 0);
    T('-8.59341E+7', '-4488135111.112', '-16973827', 5, 0);
    T('-3.961047E+32', '5E+1', '-396104699999999999999999999999950', 79, 4);
    T('-68.647863316627692', '-917283165.266778341820362', '-65', 43, 1);
    T('-6.2346481E+38', '6542553962.95535757208125', '-623464809999999999999999999999899896982', 36, 5);
    T('4.1', '783042.12', '783046', 50, 1);
    T('-2.05E+37', '36.360449577', '-20499999999999999999999999999999999964', 22, 4);
    T('68555.89555855902491396', '370610.699810640439408051733869', '372731', 42, 3);
    T('-2.396607943090639919E+24', '-717.600142646640', '-141', 5, 1);
    T('-9157866.7253210933481780235', '-9.647599E+16', '-628970', 40, 0);
    T('137418.502692650910303', '-6.7E+14', '-669999999862582', 48, 3);
    T('-7226.27385486474100233951400494', '-1.169711163011444239422525384E+40', '-7226', 83, 0);
    T('8797.776135195931', '-3E+21', '-2999999999999999991203', 49, 0);
    T('-83835.82160', '-7.6372175914520109400292541E+38', '-1915', 12, 1);
    T('-959.317757304503', '160.899439033261059898327681', '-799', 82, 5);
    T('-34968126.8019316131641931070127', '-80.0403464364260558316347043927', '-14', 83, 6);
    T('9.941542835015202E+22', '7.081872E+9', '99415428350154737909632', 98, 1);
    T('875549951291.34542768247', '-41.318360774968353927', '-1', 45, 3);
    T('-269.90808', '1.208870938114E+41', '-269', 62, 1);
    T('-7.90805594E+15', '-67302722.073171142480380280132', '-188482', 97, 3);
    T('-6.82974693221910050285301E+36', '-485135238496.4', '-1682965856', 21, 4);
    T('-7.492E+38', '81016631.89969873176325339', '-749199999999999999999999999999918983369', 40, 6);
    T('-89.4153468', '933.748994887381055912555763', '-89', 32, 4);
    T('4.4E+15', '288.16135659263555', '4400000000000288', 74, 3);
    T('2.3E+4', '-76866777127.672517', '-76866756647', 12, 5);
    T('-95276.97543044233811775987', '-6227256.7333521087', '-66596', 59, 4);
    T('505084.5', '-7.637552866', '-3', 8, 6);
    T('7.5784328E+42', '-4.2598E+28', '-2785592945188271780851089408', 85, 4);
    T('431560.83302625764911022889153', '-1.808E+7', '-17915960', 23, 5);
    T('-43868.925740457940441293049', '-1612444595.48964706961', '-41747', 29, 3);
    T('-74331780.725010', '1779353.3757', '-73666563', 11, 1);
    T('5.257E+50', '185164122.3829894833206658758', '525700000000000000000000000000000000000000185164122', 94, 1);
    T('8.326E+40', '-122922.8263082132261599', '-122922', 1, 4);
    T('8.06194E+49', '5781062432.584446', '80619400000000000000000000000000000000005781062432', 28, 1);
    T('6302.1957381823489126', '64479711247074.4090', '64479711247102', 72, 1);
    T('104643.42788580338417583493859', '-3.732395591880463E+37', '-37323955918804629999999999999999895357', 70, 0);
    T('-164565056.9227649734100363', '91152274809.80663', '-12976135', 75, 6);
    T('-8711.6104', '2.2848394E+22', '-8711', 56, 6);
    T('5.4E+3', '58417', '62777', 17, 2);
    T('-61535767', '-1.1933013E+29', '-53147159', 33, 1);
    T('65668040.726543199711310393453', '6.2', '65668046', 28, 3);
    T('6.8167E+9', '-962026.550687', '-10634', 17, 3);
    T('71.8487456', '51970.181464763056518579689', '52039', 37, 4);
    T('3.7', '-955.9914502133', '-953', 90, 2);
    T('8.49877304013927433895218E+31', '74.022541141300492820474', '84987730401392743389521800000074', 82, 6);
    T('-2.28070E+8', '982383782972298.35417949', '-26218598', 91, 1);
    T('8E+23', '27947816134914793127295.145872', '821306692147546112245119', 89, 6);
    T('-3.9163671690820669058397710E+46', '-56815365.80350983827', '-2289413', 13, 5);
    T('8.473E+6', '-7642.754490600548594887', '-5202', 68, 1);
    T('805.62673', '-962700448.728863782478139616497', '-962700443', 17, 6);
    T('540.5263829085573562', '-86760.2888537', '-86244', 25, 3);
    T('2.77E+5', '31.730591591866', '277023', 78, 5);
    T('89862121.43296807', '-3.05675059315894770675356410848E+40', '-30567505931589477067535641084799978885143', 58, 2);
    T('32.51488688398803483974748190', '-4.57030968129007322010E+31', '-45703096812900732200999999999968', 18, 3);
    T('-1156769.6', '-10.68474856919831', '-1', 41, 4);
    T('-664.3575691548042', '140569912468.734170023', '-516', 97, 3);
    T('6909300792.6375498954543462', '-9219856.3035957632318217091', '-798472', 84, 1);
    T('2E+40', '137441463908350639.570418', '20000000000000000000000000009107506117295', 73, 1);
    T('-49837082621756581350.5171', '7.9268E+9', '-49837082619607523686', 24, 0);
    T('-8418335.6001272923360', '2.9896330641650030454811260E+29', '-29727', 75, 1);
    T('-5.8492843951184396838594275', '-2864.653', '-5', 19, 0);
    T('5.28011407716799666E+39', '-3.2E+25', '-9747009481415273108996096', 47, 6);
    T('6.74266973480096716', '-446164.230', '-446162', 65, 3);
    T('-8.40720274124454700294499E+36', '-7296755.0005436623', '-6510323', 17, 5);
    T('560.01236730449735960302766567', '-9.15819664987E+12', '-9158196649358', 100, 6);
    T('863492364.783919487', '200910717.01398098983647', '1006632829', 86, 4);
    T('-247016.3096328923685466096790', '903742458.97899629047488933369', '-115718', 96, 0);
    T('-1767.0702', '76805.1178096623', '-739', 70, 4);
    T('7.68E+3', '-576.69300414024601595', '-64', 91, 1);
    T('879533.039806096', '-5.3442074121092975986292', '-1', 93, 6);
    T('-8.41019457419849541245E+48', '-7.887363', '-7', 42, 5);
    T('-918429.69882156937', '6.22287E+31', '-918429', 44, 1);
    T('-4.00457', '-3.7073333922', '-3', 36, 0);
    T('-421.7', '6.308E+4', '-389', 20, 5);
    T('-19881113.15', '5.956661E+8', '-3037193', 64, 4);
    T('-491650.063776320576812896234', '5522.32342210', '-491522', 66, 4);
    T('5977421555.548511144872581', '5.4693335106670138E+45', '5469333510667013800000000000000000004903679731', 61, 2);
    T('50.22', '-512248891.56417174446056421', '-512248841', 37, 6);
    T('4855271.349', '1.5498428891268748161293135995', '4855271', 43, 3);
    T('1872647206559215791522.9', '4.2E+2', '1872647206559215791526', 47, 5);
    T('-9.923148205E+48', '-107957120.5808764657772171440', '-107957120', 22, 2);
    T('-7.230654925E+35', '-906430.9302', '-906430', 45, 0);
    T('5.5830E+8', '937780.2144900894126', '558825332', 14, 1);
    T('7.2880546741288615028701', '-463389637.6080', '-463389633', 68, 5);
    T('-93436.138760837605779470', '-136987815.35626370', '-17571', 27, 5);
    T('59861205.62022550708336', '-6.7920676267244', '-1', 36, 5);
    T('-7964659.7095706116259685', '6.6709377389745160731294593E+36', '-1640435', 36, 2);
    T('33.68072597651162787', '-128313.128', '-128281', 8, 6);
    T('-7538.4058626081', '-324.72883427', '-322', 43, 4);
    T('46.5337968599022589621580349681', '-53422142.8', '-53422098', 1, 2);
    T('-76122.0492408888144', '9E+6', '-10522', 57, 2);
    T('4.647E+5', '5.2238359', '464701', 95, 2);
    T('8846027584.529', '219.3844955865137159', '8846027739', 56, 5);
    T('7.5224E+29', '3.10E+17', '752240000000001414296363794432', 8, 2);
    T('6848791541.92592824468', '79.1507505983149522137939936', '6848791551', 63, 3);
    T('164454.248990482844228893', '-6.562415642061E+22', '-65624156420609999966618', 43, 2);
    T('8.652202927E+21', '-6942184.52243663003070', '-6819304', 92, 5);
    T('2.764059077769515051068785', '8.644347492775281382651E+35', '864434749277528138265100000000000002', 7, 3);
    T('2.4652865326854940840E+37', '-90837463820.01138549066968094', '-86005625612', 32, 6);
    T('-7.28E+7', '57233.80', '-72745071', 97, 4);
    T('-30.010037586', '4.512842E+25', '-30', 59, 1);
    T('10738.32864484832', '400201390.58170417871720551', '400211966', 21, 1);
    T('-22090035.85784752943', '-61936.993448323447254440514', '-4387', 82, 1);
    T('-43484252223626274.87064796465', '-5.32120206288262E+17', '-695450250022946', 78, 1);
    T('-67767797.6817865118725991879374', '-3.3097E+45', '-67767797', 100, 1);
    T('-2.3062655364E+21', '77.2524166709168963973088906996', '-2306265536399999999923', 86, 2);
    T('-1446515707.43379281481898992', '3.06922316373E+20', '-33554939', 86, 3);
    T('208.75177260642253736068032345', '-72.79181787405861458808', '-8', 89, 1);
    T('-2.6313354015322159877469E+32', '4958320810.2148395725988', '-263133540153221598774685092545366', 1, 1);
    T('7.086459446700566501810017E+44', '1.7E+7', '708645944670056650181001700000000000000222784', 40, 1);
    T('-6.9455398E+8', '-6.572176236264160', '-2', 82, 3);
    T('8784399.6366618938492335791', '85946256.99527924', '94334879', 72, 4);
    T('-77044.68799', '789022.210498164564555', '-74978', 75, 6);
    T('8.8795', '65581651136179311101254', '65581651136179311101262', 37, 6);
    T('-78666.9090340144683845199', '-7E+18', '-78666', 22, 2);
    T('-7.3203919881199529122E+42', '977.8849317037303116', '-7320391988119952912199999999999999999999023', 95, 5);
    T('2565142527.0061', '-1.892693356484404547376E+25', '-18926933564844045203210241', 39, 5);
    T('-32537289.398993', '2.8818584358897548428509742E+28', '-17856585', 10, 2);
    T('-718.61857215779160281744', '-1.05187834017148416434E+49', '-718', 41, 0);
    T('-8.64611861E+12', '-9.0E+8', '-344195152', 82, 6);
    T('-5.93E+14', '-473.5523992658721', '-473', 80, 1);
    T('2.9757E+23', '-1417079.978224', '-1417079', 56, 0);
    T('6.2200E+47', '-7.208240799397419685481E+34', '-51273971361401510456160114541043712', 61, 1);
    T('4.20574E+50', '194291504134.64455194247033', '420574000000000000000000000000000000000194291504134', 98, 5);
    T('12.6361815414122581480647618', '-5.137993455', '-1', 22, 5);
    T('3.93605327852364377988329837903E+36', '5.5712451706196000221790E+31', '3936065252036134518610565744465739136', 15, 0);
    T('6.167281544', '-13984612764033.38214966887985', '-13984612764033', 60, 3);
    T('-7.6411E+7', '37782570', '-76378198', 46, 5);
    T('-434844.5', '-8404056.990578', '-8212', 53, 0);
    T('-7450791.8038890760623', '88762.7477345420264359', '-7380997', 19, 4);
    T('-61.4527924', '65.44438293491054', '-61', 33, 3);
    T('-2857660890.5699594', '-7E+14', '-575943130', 17, 2);
    T('4386676362.5073962167568785', '6122981969.792693050', '6139895515', 8, 5);
    T('11.5816', '9E+3', '9003', 5, 4);
    T('-7418.00306482185374063979628', '5.68078E+8', '-4170', 69, 5);
    T('13.19999539539796738', '3.10681251820842312E+42', '3106812518208423120000000000000000000000013', 73, 5);
    T('9.6621E+17', '4.0005E+23', '400050894116946711552000', 77, 3);
    T('-335.963628808', '277.17008860500237', '-75', 23, 4);
    T('-6.10E+9', '-6289857.6451299', '-1480897', 86, 1);
    T('3.15214E+45', '8953706.4446892673433533265650', '3152140000000000000000000000000000000008953706', 46, 3);
    T('-3.101E+8', '-6358.91023532649', '-22', 7, 1);
    T('802.04914434', '-2.1613130E+19', '-21613129999999999198', 64, 1);
    T('-4.232E+6', '-31', '-31', 1, 2);
    T('1.402E+11', '-834707007.090067490586036866091', '-289440831', 80, 3);
    T('-62.07063', '-7959077760.15955173612', '-62', 86, 4);
    T('50248903.9190707279199069790', '7.7898211537824107165E+21', '7789821153782458727895', 43, 0);
    T('-258894', '-9.2498849793E+32', '-258894', 54, 3);
    T('7439913505999152.0494343', '-5.8E+43', '-57999999999999999999999999993202201284622032', 71, 0);
    T('-916.86012452101691', '1.7E+4', '-404', 79, 6);
    T('9419119352774173598401.331221', '8.2132292', '9419119352774173598409', 40, 6);
    T('-8.617E+5', '-2373624220481635041229.698', '-337409', 10, 0);
    T('-2.01313E+25', '-7.67E+33', '-423198762563412164608', 29, 3);
    T('78597609.581478', '-6.90550443668739497177606867', '-5', 55, 1);
    T('380855.39', '7.916E+9', '7916085175', 76, 0);
    T('-2.9726665363234750051E+46', '58.9806323602741765548923651041', '-29726665363234750050999999999999999999999999942', 12, 5);
    T('685593070.71711', '-9785169', '-3601', 50, 6);
    T('-8.49024984450044319E+20', '2.07618008041312463', '-849024984450044318998', 93, 5);
    T('4.059333761E+26', '-8489727.197119935038', '-101119', 76, 5);
    T('-8.57920862466E+35', '37559.09', '-857920862465999999999999999999962441', 75, 0);
    T('-4.1634E+38', '9.099252', '-416339999999999999999999999999999999991', 93, 3);
    T('1.89972209946688012E+20', '-1353127780.60600201865346784451', '-1084424452', 42, 0);
    T('6099746245.658265510475954', '-80.94547', '-11', 3, 0);
    T('-5.1E+7', '-30', '-30', 60, 4);
    T('-9.720455994300572', '-1.735E+7', '-9', 39, 4);
    T('-5599855455.8313488096427723684', '-9E+6', '-8454175', 25, 2);
    T('-7207870.863875253544205805069', '86.62461117157641351539693', '-7207850', 70, 3);
    T('-7.0E+2', '191714482.89965127', '-522', 37, 2);
    T('-458.15668755512953729155', '83.2312039', '-393', 74, 1);
    T('-8.5', '-89.71663118778798605691221687', '-1', 14, 5);
    T('-6554.58606348550990', '-6.8E+35', '-6554', 12, 1);
    T('-8.531169730389284928924213', '-6.6575070E+39', '-8', 10, 0);
    T('-66.783419269435758294446516754', '6182278.279279', '-66', 53, 5);
    T('-3.7497028026E+50', '-37.97764514305859337184746181', '-37', 2, 0);
    T('-4E+38', '4.279039953532E+29', '-399999999890441090513718991243216158720', 49, 6);
    T('-646.20552087620308188925', '-8151896.6486386735729079', '-518', 47, 1);
    T('928624.04553258934221', '978074744.40775858090718838', '978206584', 84, 4);
    T('6241.415418010213150828551', '41.2738', '6249', 9, 5);
    T('3.50E+7', '-9111213607.15166839413799510290', '-9076477991', 100, 3);
    T('-23873485579.64535093', '46079827967320239834510089.82', '-23860365315', 60, 2);
    T('19401428273179.110916', '-782.97502', '-773', 14, 4);
    T('187857.92310969338667', '-7701924943994.29966808', '-7701924937769', 22, 0);
    T('320366640607774.957047483251077', '-1.623209075177688184686668076E+41', '-162320907517768818468666807316269473222114', 85, 3);
    T('-69607544.78742325615763916251', '4.46E+5', '-69214280', 73, 5);
    T('2.382277341675388700E+42', '-6.07E+48', '-6069998426318647325116197475042521828246824157184', 6, 2);
    T('-2.6176205423156', '233430955.5256445749516117804', '-1', 70, 3);
    T('-9580.9496619099089', '7.3037', '-9577', 6, 2);
    T('-6.8106888249135028076206293844E+33', '941378806.348574158365319091037', '-6810688824913502807620628846215178', 61, 6);
    T('-707005116.2618329604', '-5E+4', '-524', 68, 4);
    T('9.06E+7', '5694030047.57163319638346614116', '5761299167', 85, 1);
    T('2576744.476832200901524214', '-328300935528.212622726286018048', '-328300800008', 1, 0);
    T('1.9E+37', '-73349.15568328110470021588072', '-73349', 43, 6);
    T('-9056588.3080041440987091211288', '-48761.46462495', '-12361', 69, 3);
    T('-7.146086E+9', '-854.7906370572993281', '-582', 22, 2);
    T('354', '-8769.083424838385703008129938', '-8705', 39, 6);
    T('-42941452.722671649051', '-21.05808', '-1', 7, 1);
    T('1.7160991E+21', '78924.534635', '1716099100000000013388', 36, 4);
    T('180884.1880389950001868762', '-994.350569823527531212754', '-354', 3, 2);
    T('-71071.0596193826155830771505520', '-422330.579578', '-4505', 83, 5);
    T('3.9578414022643577E+34', '1407.35550043', '39578414022643577000000000000001407', 12, 3);
    T('5417896.5633', '660.12109467537296220540', '5417916', 59, 3);
    T('38541.06025798063464814', '-196.5198833404639', '-67', 82, 5);
    T('-5593.418148130', '-65.4249253371490599', '-65', 2, 0);
    T('86.5004446494321', '-717.892191498904516698485', '-649', 90, 5);
    T('-6059.5033380125689468537993', '-4.104E+33', '-6059', 34, 1);
    T('-6.90241393', '-152542.202113928755', '-6', 20, 4);
    T('-1.195E+5', '2.0921241900881346885034773823E+32', '-37388', 79, 4);
    T('-9.2801154344738437E+46', '-503703613.031190', '-503703613', 49, 3);
    T('5709', '-8.1025046218422718342388233782E+36', '-8102504621842271834238823378199994803', 91, 1);
    T('6.640E+4', '-4412944769.2185885157583', '-4412944513', 24, 1);
    T('9218684.5814235574164034065323', '-702644.26884935', '-135300', 10, 4);
    T('3674.5545395612827580101355', '-4774.356092129527347670131033', '-4262', 59, 4);
    T('-8.57078441497212879143294411428E+46', '-1851652.4886542810430', '-278788', 27, 4);
    T('40199941202909683678775552522', '-3063.99100362838380501791933', '-501', 53, 3);
    T('-95982231.444597295312229118234', '6.39552689571554E+31', '-2658967', 34, 6);
    T('9E+9', '9.5282E+9', '9663535936', 14, 4);
    T('943167.05746530684', '697.3', '943807', 27, 4);
    T('-1E+7', '-5.1497483556173', '-5', 85, 5);
    T('6.462E+9', '9.54369', '6462000009', 20, 2);
    T('8.059828214717993035280909', '-1.52896864E+22', '-15289686399999999999992', 56, 2);
    T('36304.828', '-9.9E+15', '-9899999999963696', 76, 1);
    T('90.7426997715835736911002468793', '-1.0232663532008688825', '-1', 44, 6);
    T('-4.440E+9', '8.7E+8', '-4431544448', 13, 0);
    T('8.658576062E+38', '291494878.8610965161', '865857606200000000000000000000291494878', 44, 1);
    T('-5533098331.4426058073787772', '-388796886773569976910.229834', '-138960969', 77, 1);
    T('2940009.047618809365', '-8.47128175132980434912971', '-7', 97, 1);
    T('8.2903254E+40', '90.0685753878894008668865670487', '82903254000000000000000000000000000000090', 71, 0);
    T('-95299.72853686372933', '-5.135927E+19', '-21571', 62, 3);
    T('-32988981.4608449432', '-187478862.810068659372807416977', '-19141381', 37, 0);
    T('-90575.4377159', '-43.77', '-11', 18, 1);
    T('-56.8909716899688982713309446', '-4.4037309363307025817786619E+32', '-56', 83, 6);
    T('-7.8027751125817180558010497', '-45287.54389', '-7', 71, 5);
    T('-4.367166902094157804627E+44', '8E+3', '-436716690209415780462699999999999999999992000', 33, 0);
    T('-393420.64946207296', '3E+9', '-393420', 66, 0);
    T('816810.44965388749221', '-2.38E+6', '-2097238', 51, 0);
    T('2.637595097169E+35', '226.649263590925421269', '263759509716900000000000000000000226', 61, 3);
    T('33512.92930360', '-19.67926971924', '-19', 12, 0);
    T('-28723.03605', '5.860E+6', '-4115', 63, 2);
    T('-3.29609064E+46', '-449.5442967', '-449', 8, 3);
    T('99.361456498092', '-8776.77545', '-8709', 33, 4);
    T('-454', '8E+6', '-454', 8, 6);
    T('-53808.17455213471455654602708', '-9.9627355799664E+39', '-53808', 66, 5);
    T('-40673.334513589', '79527.8', '-34881', 92, 5);
    T('32814.3289905521', '43.70', '32815', 48, 1);
    T('-968.24714477885925690', '6.7826605914E+15', '-904', 12, 4);
    T('-1.99739348290559131E+42', '97120.583021075677690477835631', '-1997393482905591309999999999999999999902880', 75, 6);
    T('4.1321E+18', '8.462437174881989E+34', '84624371748819893461062536615706624', 79, 5);
    T('36.0290930768516123538650161340', '6029969.6961186002762632', '6030005', 94, 3);
    T('9.786E+7', '7.5049232E+23', '750492320000000012925344', 15, 2);
    T('-3.864068867433776469476E+33', '-7791.5479668387648389219', '-7791', 45, 2);
    T('1130.004567002391260010', '2.66227E+8', '266227066', 45, 6);
    T('-3627.851564670138168658715', '-62644524751.5705', '-1547', 40, 5);
    T('-274.64', '-68.03435763288524885', '-2', 1, 1);
    T('3286249.600422445966926', '5404676.5567990793509', '7503085', 73, 5);
    T('1.342E+27', '429446381766.9479', '1342000000000000283484602566', 91, 4);
    T('2019.3534744635', '-307515425598543837.1092', '-307515425598541853', 93, 0);
    T('2.635095E+21', '9.55E+6', '2635095000000000014512', 41, 6);
    T('399813688.46706', '501.82958179032091', '399814141', 5, 2);
    T('6.689764068086', '-25232355.3723', '-25232353', 81, 6);
    T('-81789.580408585563506441936', '-60875360650994.8', '-67185', 96, 3);
    T('4.8E+7', '-7212631147.27589051074264', '-7199522923', 83, 3);
    T('171.246', '6.698414533445469976070977E+27', '6698414533445469976070977003', 13, 5);
    T('77879.212092282683686170159378', '-6.21991161', '-1', 34, 6);
    T('4.19972', '-39373.226316349421', '-39369', 84, 6);
    T('-5267749.23741630662', '28947024793.5743381813679388', '-1073189', 92, 5);
    T('2E+17', '-2638720.59115446', '-2638720', 72, 2);
    T('96.965714304', '-4468848.169672666712604863921', '-4468752', 28, 0);
    T('-67905.172', '7.9530006E+14', '-65601', 15, 0);
    T('960666223.454865891825406243092', '949', '960666623', 67, 4);
    T('1.45792735782759', '-6531.85426671500152847672967515', '-6531', 8, 3);
    T('31959977.5710462237712141', '2.01031409641352E+33', '2010314096413520000000000010988457', 27, 4);
    T('-2.3656387989394742E+42', '-7.92212E+31', '-5496918031475967427289053921280', 81, 0);
    T('4.080436983209192020E+43', '-1.56792780E+35', '-10753487469728219799611171596664832', 94, 0);
    T('-9.844618863', '3826335742.829', '-1', 3, 5);
    T('-842305.548343719219072002357', '63.6952601155752784', '-842305', 35, 3);
    T('-21177131.41502', '-2263088382.914819245448913967', '-4399145', 91, 5);
    T('-5.78975442939E+35', '-16013.562257917727039851213', '-16013', 10, 5);
    T('-8.9E+12', '756381092.7126405', '-8899445031516', 77, 0);
    T('1.884E+13', '0.004917815014685541', '18840000000000', 59, 6);
    T('5085523794.64449429069065236427', '7.70678326', '5085523799', 59, 1);
    T('69494509057937967613614.91', '732008520589085341.45914220', '69494518084232651181759', 58, 3);
    T('-584716113322864702388.7313788', '4.872352375659E+29', '-252638536121760904116', 83, 2);
    T('-1.3840993332825561764', '-3.2169419506490E+16', '-1', 13, 4);
    T('5670.68053079954565886492728809', '-4350383.2398616614752390930472', '-4350345', 66, 3);
    T('6.0107046621783E+16', '-68.235222528468173220', '-4', 14, 2);
    T('-2.909681E+21', '-8667257189.286098311750629391', '-68835685', 5, 1);
    T('-43623082.68610408556282356796', '-9.1808855421706911959E+43', '-43623082', 18, 6);
    T('-9286277783745987696.7618111084', '31129374.4178175461597', '-9286277783716102242', 7, 1);
    T('-8787323132.61992488', '350376.67', '-8787238996', 9, 0);
    T('-7.211630209944284172', '-572.4361444899744730018994', '-3', 94, 4);
    T('-8498489.7', '3.345408812267216E+19', '-8429625', 61, 2);
    T('-14.262148435', '5.02745950E+26', '-14', 22, 4);
    T('743280296.3589898991111728', '-72.40800604', '-72', 70, 3);
    T('-5.307E+49', '9887723237.156', '-53069999999999999999999999999999999999990112276763', 33, 0);
    T('6.2E+2', '-979065.8722', '-978961', 69, 6);
    T('948395.9', '-4203274280.8', '-4202725381', 50, 1);
    T('223.2', '31742504736592983.746614', '31742504736593119', 63, 0);
    T('-8819874136.92362295967887', '35025.671170655123463954', '-8819839239', 50, 3);
    T('9.96996047', '-7.2010866474772E+44', '-720108664747719999999999999999999999999999991', 71, 6);
    T('7E+34', '2.0920925890617E+17', '70000000000000000153406071679169168', 84, 1);
    T('-56.1448777995475', '5598080577.0331', '-55', 64, 4);
    T('-89329.6948742', '3591842577', '-21729', 94, 3);
    T('-638074655.862289762023020', '-86.080077', '-21', 53, 1);
    T('-7.696E+34', '-745349688.180725577664', '-745349688', 5, 5);
    T('-64196.3', '-309494.6938', '-47298', 99, 3);
    T('-9.359455727210E+16', '68587783402280355573', '-1128378153633803', 56, 3);
    T('-26742.870', '3.81521945944E+19', '-8310', 70, 4);
    T('-709.0610', '-7.19782E+50', '-709', 54, 1);
    T('1.198504691798259E+28', '6.65646E+7', '11985046917982590000053613048', 44, 2);
    T('-22.172700646553319874', '520.75', '-22', 66, 6);
    T('24.887399919239026010720312', '4.758700210446485', '28', 37, 6);
    T('1336574261.175701128576', '8236490692.399308180553', '8320376821', 23, 2);
    T('-7.3164768241208863E+42', '-393.7', '-393', 2, 2);
    T('-5.1E+13', '714583198.00382177512470617650', '-50999857251170', 56, 6);
    T('-177882843.8222687039545', '5801364353247230.3336918', '-176291841', 98, 3);
    T('-3.91460541230224614447110675923E+35', '576.81728926453632650277', '-391460541230224614447110675922999488', 35, 5);
    T('-6697159.895157155516305', '-4.1055480184366100900E+40', '-6697159', 54, 2);
    T('4.4218E+8', '-64603614.476652580005550524', '-25216094', 61, 6);
    T('402696262403056154599.29545894', '92134.251751132', '402696262403056170983', 38, 4);
    T('-25027.6640977188677483548513', '147.76', '-24897', 100, 4);
    T('-41688295.709881820654374450851', '-844229482.07696', '-38799457', 80, 0);
    T('-6.354E+49', '-89.94907599905539038351455', '-89', 74, 0);
    T('-6.8570135303E+25', '-78307.420738', '-78307', 16, 6);
    T('63110.070164', '-5.836011630330269782E+23', '-583601163033026978187578', 16, 6);
    T('4958176.789515460275601', '44.8249518109543', '4958188', 89, 6);
    T('317528.674677827', '839280484.977386027287381', '839319420', 92, 6);
    T('405.888', '-71184306.5432311683', '-71183905', 58, 1);
    T('-2373134.12', '-1.225755423639622419657704154', '-1', 61, 0);
    T('470306425.9292', '1.3597394530E+20', '135973945300067634809', 52, 6);
    T('7.75E+46', '951235.2750005748', '77500000000000000000000000000000000000000951235', 68, 4);
    T('59025.211615706160558161622057', '6.56830520650645286049E+25', '65683052065064528604950193', 28, 0);
    T('3', '-544205163.92051822098046856', '-544205161', 90, 0);
    T('-2.089586590887804094E+35', '-5796.0898', '-5796', 56, 3);
    T('2274656152.474664', '1.11371580278001535693407144E+36', '1113715802780015356934071440025452440', 66, 3);
    T('89462428704401965916825590.643', '-71661109.8835847602761', '-20481', 67, 3);
    T('-97328.734011033550641', '7.44521E+10', '-72720', 31, 4);
    T('391.2355621137194198508', '-7073032361555129.72338107518508', '-7073032361555001', 100, 6);
    T('-5.58', '9.73711193085884687516607670E+44', '-5', 21, 1);
    T('7.65707', '-6.87492661E+34', '-68749266099999999999999999999999993', 30, 3);
    T('9.93735918229E+40', '-5.884E+40', '-46578860668372485214708544386227264028672', 34, 0);
    T('-6.825838', '-6.096955E+38', '-6', 59, 5);
    T('21455324.014795506552013430975', '82508950954720557', '82508950971842045', 10, 6);
    T('790029132.62233194273', '-5.94488156', '-1', 85, 5);
    T('71033053.1889920625', '-2E+9', '-1929646883', 74, 5);
    T('-5.680242191999048759578388457E+45', '522.5', '-5680242191999048759578388456999999999999999478', 80, 5);
    T('-3823431.689756856821439', '-635.3447196239162', '-579', 53, 4);
    T('376.89537920214076382505102114', '-121381941.9599336', '-121381893', 97, 6);
    T('-8.156851486E+43', '-4792', '-4792', 48, 2);
    T('9.9689860E+23', '-82.2259412330259799388839750599', '-82', 63, 1);
    T('-2.7074248444865364E+29', '223.614860668929', '-270742484448653639999999999777', 53, 0);
    T('-35820483.8268', '3.759173E+8', '-168195', 37, 0);
    T('8639964008.44843277375058968', '255.386283073534322271339', '8639964159', 62, 1);
    T('3.4411209044384548356165499E+42', '9214882607.5', '3441120904438454835616549900000000540144431', 9, 3);
    T('2.956506064531221223773E+42', '9287.379156', '2956506064531221223773000000000000000009287', 58, 6);
    T('-7.9054621355257927E+26', '-2185578904.411749', '-264600', 17, 2);
    T('2.520740857391793772668882E+35', '-8024533881.01', '-4362906489', 96, 5);
    T('-65555211.42963823108919157', '4.4127403849558628158145E+27', '-13123851', 42, 0);
    T('-8.5234895944324E+28', '-35751348.6781488812855', '-33654196', 53, 1);
    T('9.502345E+40', '48344357.123601', '95023450000000000000000000000000048344357', 28, 6);
    T('-755379236.8560', '-1.2756', '-1', 56, 2);
    T('-8.0E+3', '6.949E+26', '-8000', 66, 5);
    T('-4.77860030E+24', '9.701265066E+38', '-3794575996782599213023232', 4, 4);
    T('-1.05E+12', '6.119E+36', '-1032820130816', 16, 4);
    T('-8.0E+9', '939.743', '-7999999061', 46, 0);
    T('3.989398950251655E+32', '3.41497879765117777486069372', '398939895025165500000000000000003', 73, 4);
    T('-4372546.3155', '413482086.690199659347678', '-4358146', 11, 6);
    T('563.211472022577851435908721', '3.88230259936E+22', '38823025993600000000563', 89, 0);
    T('-512.1483046524492380', '-1.4463171565457492788E+21', '-80', 65, 0);
    T('22630.667297886905841916146', '9.836618716916E+15', '9836618716936550', 83, 0);
    T('1.16793E+8', '8E+4', '116866728', 47, 6);
    T('1093.5454465772345171187074', '-6996592.8612377721', '-6996523', 31, 6);
    T('5.27497347E+49', '916390708.824368694', '52749734700000000000000000000000000000000916390708', 56, 2);
    T('-8E+5', '-1.94E+4', '-200', 97, 6);
    T('-6.237E+22', '-44813.252027179588673', '-44813', 77, 1);
    T('-2.014E+7', '96095811.26582717', '-65949', 50, 6);
    T('738.35', '-18045.688659405', '-17437', 45, 1);
    T('9725.1578', '355.045596', '9727', 54, 5);
    T('-51133864881194471486.0', '8.350351E+29', '-50773532722233806910', 27, 1);
    T('-9.78089322015209985876410E+29', '5.0708141E+9', '-978089322015209985875871006828', 18, 3);
    T('-4.7054556E+41', '7770.79402407620', '-470545559999999999999999999999999999992230', 68, 4);
    T('7.8751592085461624612883E+44', '29697882097.405034004627071880', '787515920854616246128830000000000011813369841', 82, 0);
    T('19688146.33596066', '-2.4937661179891885333463', '-2', 6, 4);
    T('3426.79511601', '52850.44176299', '53106', 100, 2);
    T('959463659.838694815', '79017.5898877702411376004022676', '959542507', 92, 2);
    T('-6301375534469.37571491659', '5.8009E+8', '-6300805104901', 63, 3);
    T('-9177885.0300590050614040', '-59160.1909095553265', '-789', 11, 4);
    T('-6E+1', '-699362.72591283610568837418', '-34', 30, 6);
    T('-60719.325911790139375633748', '-5.2876357E+21', '-11567', 62, 6);
    T('2114.6352366647301', '4454901.52', '4454903', 77, 2);
    T('5674863091.7142071670686160512', '50813.961036268144', '5674881023', 10, 1);
    T('58.41952445304272290439953', '-6.5312131993526919608E+36', '-6531213199352691960799999999999999942', 4, 0);
    T('-36200225066857203.7683419182', '5.64619185690125949351723', '-36200225066857203', 80, 4);
    T('568.3164940245323222262892', '2.12425761109', '570', 99, 1);
    T('630477.941798767174082920116293', '-2.634E+16', '-26339999999992115', 32, 3);
    T('47766.41180649106371393', '-3106.917196040', '-1058', 11, 6);
    T('7E+15', '-23035746.87562012', '-1212258', 14, 5);
    T('700726.3542240776012', '8103.380660434246215519037384', '704439', 21, 3);
    T('6E+5', '248904.006943934479592106', '782280', 26, 1);
    T('4.44133835928201421567598204', '6958106980.5195809', '6958106980', 86, 5);
    T('-9.9752816433310830E+28', '-85901.146510383216271515559', '-20365', 28, 0);
    T('-261455108.907861', '6.43286199375', '-261455106', 22, 1);
    T('-4.41062250114569E+40', '-807.094159938702658581471', '-807', 39, 2);
    T('-29090.7107', '-2.666387230321483257242410', '-2', 93, 5);
    T('82607597354538.6498', '-1952885228.715556675040', '-1610613186', 74, 4);
    T('-8137502.6', '-60.2078871828649615932', '-26', 95, 6);
    T('336', '5.47722631578550E+49', '54772263157855000000000000000000000000000000000336', 93, 2);
    T('54629676.64', '-6834824.60916003836495', '-2640516', 87, 4);
    T('29.4486209022220959507', '-6.9224544310620902348403E+24', '-6922454431062090234840291', 20, 5);
    T('729726044.429268', '5.1744E+24', '5174400000000000696171612', 26, 0);
    T('-4.75E+7', '-9.2E+6', '-8667232', 84, 6);
    T('8920.0981082981451', '-506806.073143709529850', '-497958', 70, 5);
    T('-943797745.3192787198', '-9117.628460', '-8593', 12, 2);
    T('957.145862611499067468691356', '30036646.0816518391951', '30036927', 90, 5);
    T('-9818107338.004766069432', '5264.6273248046', '-9818106186', 83, 0);
    T('-8365376.658', '9323143752.4910', '-4982072', 86, 4);
    T('-5.644728E+45', '-940133.083947', '-940133', 44, 2);
    T('-685281501.99118429555', '164.96933503', '-685281369', 59, 5);
    T('-41991792.32', '-1077901.25713645243333721042383', '-12813', 8, 3);
    T('1812897015.862711', '-88807757.197173958315908963138', '-21037321', 98, 0);
    T('-2.622027311E+22', '722213829.49', '-26220273109999865250875', 58, 4);
    T('2.13305E+8', '9.74415456303177', '213305001', 12, 2);
    T('-3.459E+6', '94735675682.088830801969', '-1066646', 57, 0);
    T('6.1208', '20.0136082199653146630855', '22', 81, 3);
    T('-1.56245E+21', '2030.544037625186253283', '-1562449999999999997970', 47, 1);
    T('340154078.47781838273695492830', '403258727.1318', '474972159', 83, 5);
    T('6.64E+8', '-3.31708709819903E+48', '-3317087098199029999999999999999999999999336000000', 94, 6);
    T('3.776251006855204270112E+40', '6.04828E+32', '37762510587179800043284870723993285427200', 64, 3);
    T('-115540523.76374', '-4.557848743592034489076023923', '-3', 37, 5);
    T('87606.1152', '-3.10639848E+48', '-3106398479999999999999999999999999999999999912394', 80, 6);
    T('971352052589.84053352544', '-2.731077025463314148656E+27', '-2731077025463313315280300179', 92, 5);
    T('-9706.96', '278.81049383', '-9450', 81, 6);
    T('-62047095.41584757', '58.75493961518897906520481066', '-62047045', 67, 1);
    T('7.2139729428E+45', '-4.43E+14', '-159188561080320', 43, 0);
    T('79196430.946172902', '-111.4834794', '-97', 17, 3);
    T('-7231.4068665701090896956559', '-8.431686E+32', '-7231', 24, 2);
    T('89464016.04', '-777.2701364', '-777', 58, 5);
    T('-1E+46', '92.155913290315541630281', '-9999999999999999999999999999999999999999999908', 49, 3);
    T('48768.3840496', '-84657609.22', '-84623689', 96, 3);
    T('-65860788.6832876854133249', '30425249.044673370', '-36484115', 55, 1);
    T('-7.95725502E+16', '-910712.7769059', '-583032', 58, 3);
    T('-6.31', '42920956.06933722244703316708', '-2', 26, 1);
    T('738007880047981.52690642253816', '37965523.25916613208318393', '738007918010367', 56, 5);
    T('-15040335437740.6886376', '3.9E+6', '-15040333766028', 48, 5);
    T('-5.35462E+12', '2205603.395935094067410539613', '-5354617835613', 24, 6);
    T('3.01130796349665114711578808', '9.486E+7', '94860003', 16, 3);
    T('-202.76212441774866506082591364', '2.71249060188038617784339E+50', '-202', 16, 3);
    T('-81013.437768', '31.91918642520', '-80993', 78, 3);
    T('6583309858.076', '-7.55520064661513106686E+25', '-75552006466151304221687966', 19, 3);
    T('-6695', '-64525128887253.845037068327111', '-2565', 60, 6);
    T('-90.5349096339880875093204709', '3.8043930E+28', '-90', 83, 2);
    T('2595.69730410', '284602.4011017978937', '286651', 26, 4);
    T('-9', '36900.320347694098', '-9', 20, 0);
    T('-700620.0586303643380150893212', '-65812.68520118382074124114099', '-4', 11, 6);
    T('200731043696547141715.7608', '-8380295165.225065471868', '-3514836909', 54, 5);
    T('-8.1350E+9', '-3394534154.220966494880922721', '-3225434890', 45, 5);
    T('-60130.92080430633556', '4.58E+33', '-60130', 1, 5);
    T('-5.8698E+6', '-1.70300490038859390', '-1', 40, 6);
    T('2933.24167796', '4.3E+31', '43000000000000000000000000002933', 64, 0);
    T('-6164604.731687292174597', '-26198.710174371531741769993', '-82', 65, 1);
    T('-37.4784118811487211816660424515', '997859.529455672790722262836559', '-5', 94, 6);
    T('150', '-62.9165766', '-42', 42, 5);
    T('-9.5971606E+21', '3.008E+5', '-9597160599999999994112', 14, 2);
    T('-1.3500359655444981395E+45', '-10065.74665975521082639668', '-10065', 8, 3);
    T('-8066882613.1896', '4.57921682091532512965974', '-8066882609', 29, 4);
    T('138628596.50425165504422774', '61780.649674', '138673652', 30, 6);
    T('-6.81E+6', '1.3625961379562342136580', '-6809999', 11, 2);
    T('8E+3', '376050186.6406475085537828605', '376053578', 11, 0);
    T('-477.61624940666', '-667150.250117779131125079', '-13', 17, 4);
    T('8.1443129477802621139555566E+26', '5.083E+49', '50830000000000000000000773932262171329194377924940', 47, 2);
    T('-2894037965.9997491', '-93.9928801459197970806352', '-77', 100, 5);
    T('-20047848.4829', '-2763.378093981', '-707', 28, 4);
    T('-4565014755.879995948', '-2.85968672958706752257E+42', '-4565014755', 95, 2);
    T('807776299.4524', '-7611330767.3070897097575471340', '-7609123013', 48, 0);
    T('-1.6400817E+9', '1.25115131793695958271562E+28', '-1094779172', 41, 3);
    T('-695517403.8906622860', '5883415263520.909039504008', '-689209563', 41, 0);
    T('-6536397.059912740349176682536', '-7.373E+38', '-6536397', 46, 4);
    T('237400062.766964990710', '3.103646138755027214117E+22', '31036461387550305976318', 11, 0);
    T('9604.94997093704', '18.5218061468600034', '9622', 60, 4);
    T('2.99858067016E+29', '-875010.5773350315660562763022', '-875010', 7, 5);
    T('-3483524932.492662733', '-4.83324236547088433918', '-4', 24, 5);
    T('451704985.79769700344564', '-9.88E+21', '-9879999999999558780775', 50, 6);
    T('35549175.9126', '65727.5273692410146958074', '35614719', 39, 0);
    T('-9201.143369118944476795867', '-30284365823083.8308543', '-8289', 24, 0);
    T('957311168.4516808256695632', '-36764.85254148051475259909214', '-34588', 79, 5);
    T('-9254.379573606890', '4.667674E+9', '-8230', 6, 2);
    T('-91374.10817077621553', '1.952116763432826327E+38', '-91374', 100, 4);
    T('98216404.5106422258044', '-8.1404917797008660049552409197', '-4', 64, 2);
    T('5.358E+6', '-93042778205.366172900', '-93038583885', 58, 2);
    T('-9.096661298920240104160711898E+42', '921', '-9096661298920240104160711897999999999999079', 44, 3);
    T('60121.697030178153', '1.5460674708692264235924E+37', '15460674708692264235924000000000060121', 96, 6);
    T('-4183.576510456555544319', '1.87202977611286353223586E+46', '-4183', 9, 0);
    T('-951236', '-307.13584556667709', '-259', 31, 2);
    T('-42.26547737262406581913808', '41374.307', '-34', 22, 3);
    T('125.42463591676022', '6.9616945E+36', '6961694500000000000000000000000000125', 47, 2);
    T('-8.19297E+39', '6.931856858E+47', '-5446618157349597741325378420244545011712', 10, 5);
    T('-13144516816689.3559', '8819.984241215', '-13144516807937', 45, 5);
    T('-2.133E+8', '-8020496.239101826', '-3285520', 35, 4);
    T('-8905458.745733124264428775253', '67.47883666938', '-8905393', 3, 0);
    T('6496941.547192365', '-88054.422911930932227634655855', '-21841', 68, 2);
    T('-6.740E+31', '2.00886750756952279673E+23', '-67399999962073052267291544065880', 41, 6);
    T('9.35422', '-4317864852839171.9212897', '-4317864852839171', 87, 6);
    T('-3661795851.9', '102.2021112745259', '-3661795849', 73, 2);
    T('9.231606782737037211729E+40', '-8.446E+31', '-83667638547895859378641549393920', 97, 2);
    T('-7097896451708.903603399403', '-3.28E+5', '-60', 83, 6);
    T('-3942.502687', '1950091241', '-2053', 75, 5);
    T('46098317.11703655', '-3.5996E+35', '-359959999999999999999999999953901683', 41, 2);
    T('42319.6435732058917', '43719708093683.559665583349174', '43719708093951', 82, 0);
    T('-479108628.4187163679', '-3.203544410741404E+41', '-210673172', 96, 1);
    T('9114458561.7905', '-754280.220885552266685465486', '-524839', 12, 0);
    T('6.848694153959172E+34', '-7.59E+22', '-9806597053416996864', 91, 1);
    T('-99.5964528773726763150778447', '2.1280596590407E+35', '-99', 82, 1);
    T('-29570.33392048646473124058795', '-5099371.25618', '-17153', 27, 1);
    T('-7.9E+41', '24.255483097402830', '-789999999999999999999999999999999999999976', 69, 3);
    T('-883.1245031740040758016454', '98387974.3610', '-881', 47, 4);
    T('8.88E+27', '6611058.47296659970269111119', '8880000000000000000006611058', 86, 3);
    T('3.038867973954464869469293', '40489.9312', '40491', 40, 5);
    T('-72822', '5.10882631E+47', '-72822', 97, 3);
    T('-32537.8', '63.166880047116611727', '-32513', 39, 5);
    T('-4874154.27313', '4E+3', '-4870154', 78, 3);
    T('-812431.2717906177095156699415', '-6690.141242954494750377936788', '-1', 45, 0);
    T('-2.78494E+21', '96221193.6436273661102', '-2784939999999998150647', 86, 3);
    T('-7.0648568180117E+38', '97339.171137538', '-706485681801169999999999999999999902661', 62, 3);
    T('85.209226409588541384004322692', '24825.2580689876', '24829', 4, 3);
    T('1.353E+8', '213665029.08498535361510', '213698469', 90, 4);
    T('-40332.82', '-7647740216.5486622008', '-260', 78, 6);
    T('8.977234548E+18', '-3.493451435343982', '-3', 67, 4);
    T('-770701.528561869440', '-4.22610266144300666582383', '-1', 19, 6);
    T('1.1178055525937687442563E+36', '-6.0303050253E+19', '-55654657930042540544', 88, 5);
    T('952.919029596398638031', '-28.643369579', '-4', 94, 1);
    T('5657.03628319799743264', '7.265177151267115163233652E+38', '726517715126711516323365200000000005657', 89, 3);
    T('660.68515762574872062731', '23.87818', '663', 75, 3);
    T('-8.4874558E+8', '-3.37E+36', '-848745580', 4, 6);
    T('-3461233.8608794147074038', '2.148222966697690787E+47', '-3461233', 70, 5);
    T('-5.9202770907E+28', '2E+7', '-59202770906999999999999922944', 57, 3);
    T('-1.14366E+7', '3.53893695E+47', '-11436600', 87, 5);
    T('-7881886.541639586828', '-518710.5475790412', '-16406', 78, 3);
    T('-4.9190132162829649477E+48', '4.05E+11', '-4919013216282964947699999999999999999604663676416', 23, 2);
    T('909018.39244097893924486532', '-1560100.2684171931473946170362', '-1179682', 58, 6);
    T('-9429465574.1528795462', '-31.308844597957540876', '-5', 76, 1);
    T('-881204155.6979312702833744768', '831915.63898878', '-880937489', 72, 1);
    T('-5.565765214600909638746E+50', '-1.2177192E+8', '-121771920', 89, 0);
    T('8119060.8124129309696171894782', '8.20524E+39', '8205240000000000000000000000000008119060', 62, 3);
    T('-5.45604E+37', '2.2712064898703431179E+42', '-5841373582454719641735236457332736', 38, 2);
    T('-1527369.472601717747717936048', '5.80480979567758153', '-1527369', 86, 6);
    T('64998685.16', '795066380.63006', '805293341', 89, 3);
    T('-5635062.524044917100963', '5.8545656E+9', '-27414', 71, 5);
    T('61802.8461392848511119467', '3', '61803', 13, 4);
    T('-4E+2', '-9835.77800097127474088859881', '-11', 82, 1);
    T('-8.24238044504674835203344096E+36', '5729.10867288357223360', '-8242380445046748352033440959999994271', 52, 1);
    T('997614.243584777740715145135386', '-3.8260116760692E+20', '-382601167606919463186', 24, 6);
    T('-1.226436E+16', '8.9158858304547123E+42', '-3239541648560128', 36, 4);
    T('7090407420', '93.676072874', '7090407421', 46, 4);
    T('6.136526718246726662590270', '-828210.884659395009192143', '-828210', 99, 5);
    T('-903156.67720', '4596685.7', '-640051', 29, 0);
    T('-3.538431768880772066456', '7.347426227349008228861203299E+39', '-3', 85, 0);
    T('8E+6', '-36.255', '-36', 4, 0);
    T('3.17559E+8', '-27294083.378875', '-16804099', 88, 5);
    T('3.73454827037523535458950E+49', '3.6188157213881052557E+25', '37345482703752353545895015012410599417626019806528', 33, 5);
    T('-6330.71287965282470993536', '-62981902.35103762994', '-10', 44, 6);
    T('-193.3921790712', '-124354.70801', '-193', 65, 0);
    T('6.3957292E+9', '-5.501567369027324335934280E+26', '-550156736902732432049465360', 71, 2);
    T('6433303.10926558420002370109', '74431344.991506453971469167022', '74431351', 76, 6);
    T('-9838074051.66557569887273519125', '118877501.54851909681934', '-9804189891', 80, 1);
    T('94603852.98261925256095601966', '-26.08779640549137254', '-18', 73, 3);
    T('1E+9', '2513310.597746885904515158650', '1002363806', 20, 2);
    T('15925193.07292912464', '2.200362007E+18', '2200362007007526857', 63, 2);
    T('-890803.01', '6.1514E+7', '-333475', 25, 2);
    T('55014750.9392267654', '815628974340.190794', '815629040990', 60, 6);
    T('-7935217.7662815456', '5.5E+9', '-2621681', 5, 3);
    T('397773473.961542845590111931615', '117133327.242671805502353', '402643631', 75, 5);
    T('-8.3920758E+9', '-4.011680384266E+45', '-8392075800', 39, 4);
    T('-79066921.439276744411918699', '-5.91597651275605501095157E+32', '-76697897', 41, 5);
    T('-69.14425634425', '-69.23604908168928804079893', '-69', 26, 0);
    T('2E+2', '93614049.95', '93614057', 54, 1);
    T('-8.59E+23', '425051.63', '-858999999999999999574949', 87, 1);
    T('88737328.33015964', '-335.385289266503', '-335', 42, 2);
    T('-79.1447307182983', '85.7754917088395', '-11', 76, 6);
    T('2.4766E+27', '-3.46', '-3', 63, 4);
    T('-103.220350', '8.69977766705601590814988E+47', '-103', 83, 6);
    T('-64537933.8685399089338450', '395006069.9733761903', '-5276937', 93, 1);
    T('-4.130370E+12', '974.274530289061622745', '-4130369999922', 23, 6);
    T('-2.59168E+38', '7.677E+38', '-173382813264741410119223100818289852416', 48, 4);
    T('-6946.07636204729279641583', '-2.16E+26', '-6946', 96, 5);
    T('-39914015.137661353206436412', '46929.03778564403633183243', '-39913487', 47, 1);
    T('-5.11027106926049', '8.01552E+9', '-5', 23, 6);
    T('8.8220386E+8', '-428850.99658190636', '-164642', 74, 5);
    T('4.353167556743950810E+47', '-132898161.5419000', '-132898161', 18, 6);
    T('-634917185.869426160633917150', '-3.6E+20', '-613945665', 20, 4);
    T('-3028986.644', '93.16549309642824', '-3028897', 93, 5);
    T('-6.72289064563346550E+49', '45665479477168017735271397903.5', '-67228906456334654999959293043898970132268126488049', 17, 5);
    T('-5.5657E+43', '-6550497.9139953', '-6550497', 85, 5);
    T('-27.8269', '6.2883525319378342874E+32', '-27', 98, 0);
    T('-5.363036032351206119E+40', '7.4468E+10', '-53630360323512061189999999999994251476736', 37, 4);
    T('-15741028.285850696844978', '-2105.24593005', '-33', 26, 6);
    T('-7.025847552833178080774831108E+39', '-29.256686111800635648395902', '-29', 93, 5);
    T('9595.7188719089000866241456', '9.8910595E+8', '989114239', 60, 1);
    T('236.1160036790396', '-33213573024929965108505.53', '-33213573024929965108497', 61, 5);
    T('-5.01577059398537240E+23', '-126796708849861.611140', '-106996372218053', 5, 5);
    T('135556.7061', '-6.56923609238158935425286416645', '-2', 52, 4);
    T('-3538477697.412135250', '548.1022055447250', '-3538477185', 83, 2);
    T('774500.707818753342', '-2.638725385090011793533391557E+32', '-263872538509001179353339154925596', 37, 2);
    T('6535545', '8.85170753E+30', '8851707530000000000000002341241', 27, 2);
    T('940555.0118497653772', '-2.3411802899864364E+22', '-23411802899864363213045', 16, 2);
    T('864.534612666', '7.96512512158872029817663717629E+38', '796512512158872029817663717629000000352', 89, 4);
    T('-606229.636850970201131921525411', '-1.28200822428', '-1', 93, 4);
    T('608.48592', '3761231.31060', '3761775', 51, 0);
    T('1.890135692197894163229E+27', '-67777.2618845817032275', '-2177', 80, 0);
    T('19636.118973331703500380875', '-1.8E+40', '-17999999999999999999999999999999999980364', 47, 2);
    T('-2.70013E+8', '-60.171926994', '-4', 8, 3);
    T('2.25E+3', '99857184.22827995243042070', '99859434', 65, 5);
    T('46.31617303153506600186', '-202810742916644566551.19321212', '-202810742916644566545', 26, 5);
    T('-6.832349872782E+31', '86', '-68323498727819999999999999999914', 10, 5);
    T('-6.13E+3', '-7.0E+7', '-5490', 87, 5);
    T('5.32700482787824E+24', '-6.53979448831868E+15', '-4558472163105496', 90, 3);
    T('5.3E+6', '-3.1359E+5', '-262358', 35, 4);
    T('-822186.431669094201970953', '-30.90162136619312202142', '-10', 60, 2);
    T('83.56666616161615', '8.987132924324561320985438E+37', '89871329243245613209854380000000000083', 26, 3);
    T('691627239.72243198908111698', '-6.683414639744E+31', '-66834146397439999999999979461401', 29, 1);
    T('-8781.41352755', '890684022.734578784164394028', '-8201', 77, 3);
    T('489988573.0465295122253033', '-6E+45', '-5999999999999999999999999999999999999510011427', 56, 6);
    T('-218006.744566137440', '-8.83115494778E+37', '-218006', 41, 3);
    T('-5948045.878634445342', '6.5E+8', '-4243469', 84, 1);
    T('5685174368433.315833', '719658090579464.9042062644532', '720936011398841', 2, 5);
    T('-8021.6059888645594145', '2985187963.1369571906', '-1285', 49, 4);
    T('-40270034.33444147713922401868', '205052850.8663145373', '-38150210', 43, 3);
    T('97814932.2', '-4.1034E+8', '-404832780', 72, 5);
    T('-9.734497035048575821868', '-15.556491778434701101972875', '-9', 34, 5);
    T('6125041987.8878414945195492950', '9.8E+44', '980000000000000000000000000000000006125041987', 17, 6);
    T('-4132.29183', '-599636.4693647103543875869', '-4', 85, 3);
    T('-2.17194434393601E+16', '364.3', '-21719443439360004', 35, 3);
    T('3.2519291362475891594E+43', '-5.764609E+8', '-542906468', 54, 3);
    T('273.3', '8.209505820082532062000', '281', 8, 2);
    T('281', '-1.01E+8', '-100999719', 40, 6);
    T('415910495', '-613.8930529131043058', '-33', 12, 3);
    T('47', '-7.590E+8', '-758999953', 58, 6);
    T('6.439209E+7', '6.53261397706', '64392094', 76, 2);
    T('-2.41869155382238251942159102E+50', '1598709905.83353253797907066074', '-241869155382238251942159101999999999999999508586351', 69, 1);
    T('-2.17349E+41', '-944061.5', '-944061', 22, 2);
    T('7', '-441105192.712300', '-441105185', 94, 0);
    T('-5.1525616471E+36', '-4.61935421E+9', '-4619354210', 5, 3);
    T('-562533957.974959', '9.37192E+49', '-562533957', 10, 2);
    T('6.66857650241', '2E+20', '200000000000000000006', 76, 3);
    T('-1.431243800697E+18', '4.2796074261932881466E+42', '-1269039299933130816', 49, 1);
    T('-8439394455.2366477711702340', '-4.504898899508232795131668228E+45', '-7801860247', 87, 0);
    T('-8.9339675933', '-254844.016378413', '-4', 86, 6);
    T('-1E+5', '2.36729908E+50', '-100000', 81, 0);
    T('8.71400497385377793333074788E+35', '8.80116944902687E+26', '871400498246132995447366162321307648', 27, 0);
    T('767792', '-4.80E+47', '-479999999999999999999999999999999999999999232208', 18, 4);
    T('-7E+9', '1460.052350310', '-6999998540', 1, 0);
    T('26939245.208586063989471106708', '-762109512310129.17234738', '-762109503787025', 96, 5);
    T('2.5206838752268357594000E+31', '2.654601858643631E+18', '25206838752270669640527444425624', 96, 2);
    T('-284', '-4.866E+21', '-284', 78, 4);
    T('-2.6050426603178786709271630', '2.72088E+17', '-2', 83, 5);
    T('-4188353826760965.57027470016', '3.197078153239040E+23', '-1760318418168069', 47, 1);
    T('4071500520.5', '-91228415719.070135468864', '-90412483591', 78, 4);
    T('-8080776992.0394825', '-28.336928718', '-28', 25, 2);
    T('1228305.69605799', '-5.14972170E+31', '-51497216999999999999999998771695', 13, 5);
    T('-6.4840532689078E+44', '-9.11893', '-9', 98, 1);
    T('-7166887322.3937', '573353180635381547012.070', '-7166231962', 30, 5);
    T('8.9917372470093', '-2.117102399115101443E+19', '-21171023991151014422', 52, 0);
    T('-5.97889E+9', '-67095.6377533', '-1543', 52, 3);
    T('2931545102491165.746', '8060.7636487793299385580', '2931545102491517', 94, 4);
    T('-1.6E+8', '55079.6480526544728397861369', '-159981785', 52, 1);
    T('893.29674', '606.24226324232639852481439', '895', 43, 4);
    T('-5048118.049496047568351', '3151158.73442585', '-5046786', 21, 4);
    T('9', '-6.694613893982886213082435561E+31', '-66946138939828862130824355609991', 51, 3);
    T('9.655E+17', '610003.04834', '965500000000528083', 5, 2);
    T('771.2754556411629', '7.7166705704E+38', '771667057040000000000000000000000000771', 75, 4);
    T('-5500447435823497.2685', '93706148.6608418508865737', '-5500447343249417', 27, 1);
    T('-4.9061E+5', '867.22210370', '-490513', 84, 4);
    T('-23.64498917', '-7.6869241E+8', '-17', 52, 5);
    T('-9769229708.386', '7.1067027E+9', '-9668399236', 84, 2);
    T('4961.496', '-988.625856582673', '-155', 59, 6);
    T('96020750.280975', '2418642987793643991.8582545798', '2418642987794692575', 60, 3);
    T('8.98E+3', '8.97104073', '8988', 17, 3);
    T('-74075.835009', '-787.7139460131425', '-275', 37, 5);
    T('-462.9498116480078237126897', '3.507330E+41', '-462', 35, 5);
    T('88697.5515405420269', '-75693.79730148675964', '-9605', 95, 5);
    T('1E+8', '-935652280603.24134', '-935632308251', 38, 2);
    T('165314.384773', '-2603775920', '-2603643438', 97, 2);
    T('7.10352749835', '-6.089947395897E+43', '-60899473958969999999999999999999999999999993', 98, 3);
    T('-365371517.158412803616773', '919731483.00873', '-17170533', 78, 5);
    T('7.8E+7', '-57558893597253305523.4', '-57558893597244784691', 96, 3);
    T('-989000011.2503', '-9.9364676513877817036970950695E+32', '-549515595', 60, 0);
    T('331139.278062585517838574', '7.05102284823115360151800E+28', '70510228482311536015180263299', 99, 1);
    T('-5666872.3721348210658', '-3611494.1344271', '-1447974', 37, 1);
    T('-33.10877532277', '-4E+37', '-33', 59, 4);
    T('-8E+19', '-202.718506340316514793164', '-202', 57, 3);
    T('6.2952424E+41', '-2599656.8484', '-2599656', 49, 4);
    T('-392481353.31999685', '-705849860.3226265062627334', '-33573377', 18, 6);
    T('-41169836.307', '-1.4151274975624981083504', '-1', 17, 6);
    T('8.47E+6', '-74.515668045611', '-10', 93, 0);
    T('-6.1082969908724889200114E+29', '-9.72051E+48', '-135110021840435663867654096128', 97, 1);
    T('-15085.31030339871382293963', '9.041E+4', '-6853', 45, 2);
    T('6771859370011.8', '-2.73299800993657', '-1', 8, 2);
    T('9.9519083606E+22', '8995008.6472', '99519083606000000524480', 35, 6);
    T('479540.011', '3.966097E+7', '39812542', 56, 0);
    T('-6.825040915468572870E+38', '-4.88570553553701773362566E+50', '-441358270979308769556935330603466752', 68, 4);
    T('-9.1633633779E+30', '-914928403.910746371', '-269005587', 25, 2);
    T('-523163.403', '297091.18127169013230808337253', '-226073', 12, 3);
    T('60136622.0458535672507988', '257099090.73978', '265788926', 9, 2);
    T('345593.6418100032268', '68153648509049.670744688509', '68153648838137', 2, 2);
    T('-7.11263E+50', '-880.19820854578305108432', '-880', 61, 4);
    T('3.07214E+50', '-60601.4534368', '-60601', 46, 0);
    T('-1.5603364E+9', '-2.1723678E+22', '-1208014864', 25, 5);
    T('7.435E+7', '8483.9772144545253869', '74350003', 60, 0);
    T('-21450279801384.128582483', '943405619.802223', '-21450144923653', 52, 3);
    T('7567.895843931', '-6.3329E+7', '-63324769', 44, 6);
    T('-1.83643674E+37', '84215048', '-18364367399999999999999999999915784952', 30, 6);
    T('83310549.938559408968136881', '48935854486306093317402.5692', '48935854486306171109343', 86, 1);
    T('-3.802925', '6.4975264502975E+45', '-3', 74, 0);
    T('-641279.9167', '-5028839290139.874421300', '-639003', 59, 2);
    T('75.0427006609417010892954453457', '-6131.6637770988112915204380', '-6065', 34, 5);
    T('79.503716', '5.07569852E+15', '5075698520000079', 95, 3);
    T('-8.1610693', '-8.0E+9', '-8', 44, 2);
    T('-3.20E+5', '-1742581606.102', '-303462', 41, 6);
    T('4E+5', '-6.359E+8', '-635502688', 32, 6);
    T('6522164620.845348599088667111', '76636.4393896', '6522240988', 4, 0);
    T('4244709.15242048449767364784032', '46550300.374557253024', '46583293', 3, 1);
    T('-739717.7582661097811651316527', '-750239039', '-198917', 79, 5);
    T('2417997.3', '2.244E+41', '224400000000000000000000000000000002417997', 67, 6);
    T('8.65473877651875', '-911468768732.015570', '-911468768724', 35, 2);
    T('51.663184994475217235518', '-716.590142153012941', '-713', 83, 3);
    T('-45240.5152606118564333', '-7.5575465', '-7', 64, 1);
    T('1.29676709453341808263042E+47', '723', '129676709453341808263042000000000000000000000723', 54, 5);
    T('5E+2', '-47.56', '-11', 55, 6);
    T('8.69E+3', '6320.7538982297169', '14834', 65, 5);
    T('-1233.7355017882220000356486721', '27395.8', '-1233', 54, 1);
    T('17036.10', '-9.8496665423717262884821E+29', '-984966654237172628848209999988', 7, 6);
    T('-8.90E+8', '8.37E+3', '-889999950', 86, 1);
    T('4.426876907528610981E+27', '6.57432E+20', '4426876937648975571198947840', 51, 1);
    T('-17202842.750367524043', '-3.8044354736258E+40', '-17202842', 97, 4);
    T('1.335794078431128E+25', '851.72696564108540927', '13357940784311280000000851', 21, 5);
    T('-7555317.9624731221', '-18577412.377932742368310', '-1263617', 80, 5);
    T('-969325.213', '-1.50300568029766646329395031534', '-1', 90, 6);
    T('3559957.9064997627037', '2.9E+47', '290000000000000000000000000000000000000003559957', 65, 1);
    T('68.4851610368275113', '1.210724005676944471483294E+36', '1210724005676944471483294000000000068', 65, 4);
    T('-4.8983204696278E+40', '5.1002641829533105051760917E+39', '-43900226440511264328682538580876998524928', 16, 3);
    T('-5.7283697713757885757E+36', '3.1154590962635663858886', '-5728369771375788575699999999999999997', 39, 3);
    T('-580.1925962266604345800137789', '-9.12E+3', '-516', 34, 2);
    T('-6371307.8458', '-37.71230062356216135554', '-33', 36, 6);
    T('5', '7979163510.1', '7979163511', 23, 6);
    T('-35.9667816477483', '8.0886536008', '-35', 9, 0);
    T('81.7698482689208573', '-3.5764353E+29', '-357643529999999999999999999919', 25, 3);
    T('547.944922221237944348096348102', '-828.051333626075014864459', '-281', 64, 1);
    T('-55972.0939587141962410698033', '-2.332483981190815033E+34', '-55972', 13, 3);
    T('4.641E+9', '-2.2E+3', '-152', 67, 3);
    T('2.6161223316E+44', '-5E+40', '-49913267548754248732571389089311308644352', 48, 6);
    T('-29.08490205381830464', '-5.332619425472258873829', '-5', 49, 5);
    T('2.751052789E+14', '-3.5296673475928211E+24', '-3529667347478401824850144', 14, 6);
    T('-3428.82', '435.23459105', '-3137', 100, 2);
    T('-4601.34757449727577420942909', '-6.0062708', '-1', 46, 1);
    T('-732.10685488541187205688352119', '2.4264', '-730', 73, 2);
    T('-55862412866749928.702526354507', '-7.81973466E+47', '-18050207987533288', 91, 6);
    T('1.9E+6', '-76264190943951.3302', '-76264190902799', 48, 3);
    T('7E+4', '-7.19292E+16', '-71929199999995536', 67, 0);
    T('7.553140864009926', '88732.27630369', '88735', 59, 3);
    T('3.0E+7', '450.1703', '30000066', 85, 5);
    T('-3.74089733667363E+22', '-2.5683853', '-2', 50, 0);
    T('-7.08214E+8', '1700197905.4767993028048703346', '-169871599', 12, 1);
    T('9941.58059917862', '11735006.1948150506462182', '11743199', 73, 6);
    T('6.66E+7', '9.185', '66600009', 52, 3);
    T('-7.26251726597877E+38', '-3917797.2542158870449072789', '-3917797', 29, 4);
    T('-1.1162E+9', '82753.1', '-1116118079', 85, 4);
    T('-13.0449005043057', '-2.4882845284801915672', '-1', 9, 4);
    T('-9562284254.3974977828054941', '-5.73802897997644E+39', '-9428066526', 52, 2);
    T('6.0186920140157E+36', '-4.40293E+14', '-158746879504896', 96, 0);
    T('-6.9265E+10', '9.0E+6', '-69256610368', 91, 4);
    T('951267.6258016692474', '-3.128E+7', '-30492701', 81, 1);
    T('-7616515584.987340', '64681288', '-7585401016', 46, 3);
    T('-9706159.482', '-8.4880814160291082606218439928E+38', '-9706159', 20, 6);
    T('-4.97592924966225E+21', '3.471E+42', '-4806529797197417684608', 45, 4);
    T('2.47E+47', '-9.34621E+26', '-928500210193075035057422336', 77, 6);
    T('154.4447964639', '-7.641867874E+36', '-7641867873999999999999999999999999846', 53, 0);
    T('-5.07278340098145030721121', '-9169335010.050', '-1', 49, 0);
    T('-8.17067424768E+31', '-406.884454140077179062722007507', '-406', 55, 6);
    T('6382827028584.56033281003', '117.893214035821077594089785', '6382827028605', 50, 3);
    T('159816027706.0852830074108420', '160375.8201329486578949', '159816056447', 9, 0);
    T('11546043', '61', '11546047', 12, 1);
    T('-6.81078691934E+17', '-6.48455680209626378419956980269', '-6', 34, 0);
    T('3.17901288666247265E+32', '7798754819.86763620', '317901288666247265000003502312963', 71, 4);
    T('20.730931488504178032', '6.6E+5', '660020', 85, 1);
    T('-532686.616557151083', '-9.474308668710588943447E+26', '-78', 72, 3);
    T('-5E+1', '5.082006782E+50', '-50', 82, 6);
    T('3.1364E+9', '-5E+7', '-675968', 59, 6);
    T('90.70', '9.927875328916E+20', '992787532891600000090', 94, 2);
    T('-6190.47', '6564.08594660195688775289', '-10', 80, 6);
    T('-4402.6214119743445197206320508', '445112.98382677', '-4354', 83, 1);
    T('7E+5', '5.959789062758', '700005', 38, 6);
    T('-481301416.6', '-8E+2', '-776', 87, 1);
    T('-693473.317824491426381712390649', '1035666.47920350511311', '-4193', 3, 5);
    T('-5398.4919732992453396658', '39893.711575386414792', '-1025', 13, 3);
    T('36.511041337', '5712.4751932567', '5748', 43, 3);
    T('-9.23E+6', '-6E+6', '-558128', 100, 3);
    T('3.95E+5', '558413083.2', '558807035', 98, 0);
    T('4.005921501614480638640195E+28', '1707971.73423487009671950376199', '40059215016144806386402476019', 54, 4);
    T('-982674929', '-1.3E+6', '-1197073', 26, 0);
    T('-2.66603725992', '-701938.633197842651436', '-2', 1, 4);
    T('-571.0345208835797215890', '4.81306555532197873038511526', '-571', 43, 5);
    T('-8810567.648368145986372153870', '100507634614440367075802.97', '-147461', 30, 4);
    T('-5170081482.40297', '-11173.46', '-10881', 28, 4);
    T('-9.74821843249E+16', '4.6622869827911E+38', '-7409064348574880', 1, 5);
    T('1.27185306339764198571412586166E+41', '-4.5E+9', '-67144960', 44, 5);
    T('-46419.1209', '-94172753.79656862488752586887', '-46161', 78, 3);
    T('-1.89128E+47', '-62666.676500223843059473989', '-62666', 17, 3);
    T('-751.645898', '-868.430', '-611', 61, 4);
    T('-522857.6305992009839', '-1.782259363E+32', '-522857', 37, 3);
    T('-6.892E+30', '863399762', '-6891999999999999999999673471150', 57, 5);
    T('-92500.97237902579310277953', '-9.6863013E+9', '-75860', 95, 4);
    T('88577840.876037274583181686', '9.84321990844058005383E+35', '984321990844058005383000000021108528', 48, 0);
    T('-6.5947987E+8', '40.9637071838680962', '-659479830', 40, 4);
    T('-301.7824282758', '2.4450290149092101310E+28', '-301', 8, 0);
    T('7.0986863096547828298725958E+48', '-2.5479995E+36', '-540811596417027632533541928990408704', 98, 0);
    T('3.322120777E+46', '-1.29E+7', '-12900000', 55, 2);
    T('570.143845141654430816353801', '-35563.36266170', '-35009', 100, 6);
    T('-18764402.04812482', '3.96531776611927200364172E+29', '-1982578', 70, 6);
    T('-503271.56296426497317', '85807.1419819', '-434369', 80, 4);
    T('-6.602659E+15', '-2037096.58448396056', '-267624', 53, 4);
    T('-2.192970E+33', '7.3481704829852177023E+46', '-1460740785981236891354823569440768', 73, 6);
    T('-5E+47', '-6.74E+30', '-5150478925854517763669837742080', 78, 5);
    T('-44723.2548107', '-7409308880.2665402612207', '-1155', 64, 4);
    T('-39727287.746387', '92921988.07195', '-39194675', 6, 5);
    T('1648960618.7786054448', '127.169591827070394143864818637', '1648960639', 44, 2);
    T('16.00476481478376061', '-725657449.368939', '-725657449', 39, 2);
    T('-67214.41', '-8474.0402120302612', '-10', 19, 5);
    T('-57.0514396305368092', '-3070215.60200831932829', '-1', 29, 3);
    T('-849459.93262', '-6806.33270122153', '-4625', 17, 5);
    T('-448334082.20400820415517', '-6E+2', '-2', 20, 5);
    T('-749.8832779921', '-2E+5', '-45', 46, 2);
    T('-3373.68228030505681', '276.3', '-3113', 73, 3);
    T('-1.03825E+6', '63011.2791750', '-983433', 58, 3);
    T('1.54609521E+21', '3987148969.96199644', '1546095210002298941609', 58, 6);
    T('-4.848067288E+12', '-252.9', '-188', 56, 5);
    T('-422653.57743888', '195298521.864883954177778', '-160293', 30, 5);
    T('9.89', '1.6276420211E+50', '162764202110000000000000000000000000000000000000009', 13, 1);
    T('-60109331.28014700960815319765', '-4.160592E+13', '-34931219', 48, 3);
    T('-46826968.65816990', '-107488883.26154949747650', '-38274131', 56, 4);
    T('1067.963', '-699.07', '-657', 98, 0);
    T('4.64102695256392E+20', '-63018.339199', '-5162', 83, 6);
    T('-72.50920384914990505940', '-84597.275792', '-69', 80, 2);
    T('-770398519', '-4251.65272510', '-4115', 94, 2);
    T('3489998978.235437794711', '-8232232834277433509.1635', '-8232232832129876005', 46, 0);
    T('890386.346', '5.51974E+16', '55197400000624146', 82, 3);
    T('-9.28632399185430514612E+33', '-6E+5', '-534464', 65, 0);
    T('2.9730117207215652991', '8.3760715932606E+20', '837607159326060000002', 76, 3);
    T('-7.141E+9', '-3.5889140866695375E+27', '-2820735808', 8, 5);
    T('-5716.7425989624742306816206889', '-50445', '-1025', 63, 5);
    T('7.0E+38', '9956.37032', '700000000000000000000000000000000009956', 2, 0);
    T('4E+2', '4859.843223', '5115', 28, 3);
    T('2667185093088941886827871', '5.9547369770861817899E+33', '5954736979733072816360354565778783', 97, 2);
    T('-4921963.07017832969894026481832', '890476.187253666193302089', '-4327427', 27, 4);
    T('-6244.1', '-68858.1593356', '-2146', 41, 3);
    T('-9.880616295E+19', '-6727', '-6727', 4, 3);
    T('8805048.00711831867189424284023', '-3552.667857222505970669154', '-1352', 76, 0);
    T('85318340748865803.143', '7.09834989355104E+16', '143903659862750603', 9, 0);
    T('-7.8E+2', '-8.8884792803232', '-4', 18, 2);
    T('424771341069112868.0980', '-9782.31859208208143527770737526', '-8210', 48, 3);
    T('-859375159.155258', '-5E+17', '-321979959', 41, 4);
    T('-5330710.07038621315763', '155367.61777861010411811', '-5308689', 8, 0);
    T('994856.7639292', '27.3073', '994875', 42, 6);
    T('-150215704257595112761.400', '-19786320.67272249415915', '-17098761', 2, 5);
    T('-1.1038E+7', '-413254.072983454347815', '-19462', 71, 2);
    T('-3.1846039730594435E+30', '-50785182.97185996886', '-50768798', 46, 5);
    T('5.064843964598796253257E+43', '-1.72724062636103525767042E+39', '-1724010657660141876850895714121234382848', 37, 3);
    T('-9.456143863884E+19', '-21198019.1', '-20980931', 30, 5);
    T('2553559161373083013.6324692', '-3E+1', '-25', 95, 0);
    T('-8456.9351381322961397', '24996.0681601265', '-4', 25, 6);
    T('-9960.703861', '7.17716303559201451E+41', '-9960', 25, 6);
    T('6187577237572262683705.38', '-98245512.2186', '-73014151', 77, 5);
    T('9E+4', '5241581711.62063', '5241667487', 89, 6);
    T('8.17E+5', '2406.44', '819054', 50, 1);
    T('-8259198589.53', '548317.12011478362722841752177', '-8258650657', 88, 6);
    T('4818786.134028838025042', '-80724.4435235419', '-14354', 35, 0);
    T('4E+7', '6807138.2', '40361570', 4, 0);
    T('4164.0156512488645255275487', '2.20431442956268', '4166', 25, 3);
    T('-6017827.0904790', '-6547.6685954894147523042365790', '-4355', 57, 1);
    T('2318.774160717235643', '92917.58881522', '93183', 28, 0);
    T('2428.9258747238136245', '-9.669478464186750875301617', '-1', 46, 5);
    T('20414863.783653504792636295991', '-743092499.348456', '-742928401', 11, 2);
    T('8E+3', '-6.5E+2', '-138', 25, 5);
    T('-259625.221584558', '-70777894.6336487901713003', '-259105', 77, 4);
    T('-5.2699E+18', '-2.271667300907655271433E+34', '-5269319454751498240', 72, 3);
    T('5.6606E+34', '33698.433973448405', '56606000000000000000000000000033698', 54, 1);
    T('-886339228411772699108.974943408', '776873920.530183446', '-886339228411638087716', 80, 6);
    T('-667324713.24279954221', '-6740315092915435926.220809217', '-54825217', 20, 0);
    T('88923355.9055824579020415069', '-29029.2935209128', '-8485', 25, 2);
    T('-83.17052868082697161950959', '33938504.612662015080', '-19', 5, 5);
    T('-148670.8981063290640426', '-7.7288854076663E+15', '-147514', 90, 3);
    T('-8.9381773785087911564166644E+36', '76.855292955310412763', '-8938177378508791156416664399999999924', 56, 0);
    T('4637395011.61279109039750', '6631951269.2885130290717332067', '6969592807', 48, 0);
    T('5.87661062780887E+46', '9E+4', '58766106278088700000000000000000000000000090000', 12, 4);
    T('-4899068541.827175662742163643', '-21.6345459226922461319233', '-21', 28, 5);
    T('-3825547648359029640602484.17026', '6.14757611656551429924924188E+32', '-2578455334522382837612660', 40, 4);
    T('-64001793.3370667944749151111039', '-7.37958E+8', '-63967233', 100, 2);
    T('574620739.75159670754382122656', '-9E+33', '-8999999999999999999999999425379261', 89, 2);
    T('-7.32269059130993284589E+49', '841263.1011428956716666654623', '-73226905913099328458899999999999999999999999158737', 52, 0);
    T('-389634.71443556398666495807', '2E+5', '-324098', 6, 1);
    T('96573735.1704', '1.32E+3', '96574767', 84, 5);
    T('8.755655E+9', '1795166.84328447501804800347', '8757441886', 18, 0);
    T('-5.59284370E+9', '19', '-5592843681', 38, 2);
    T('8.795217087E+20', '-8.647344193E+29', '-864734418688591099083297974272', 61, 4);
    T('-2.622E+5', '-6489531.34936591', '-51', 7, 5);
    T('890746', '4864418.5365224678234676416575', '5226490', 83, 4);
    T('74654.96302498409436987556081', '4.30E+46', '43000000000000000000000000000000000000000074654', 49, 1);
    T('9.110596642083E+15', '73255229.981672440331116032197', '9110596647639485', 26, 2);
    T('9.6912532953996020018864020E+26', '481343874.0401838', '969125329539960200389966794', 45, 4);
    T('-7E+5', '-79.0711872935811903197', '-79', 39, 3);
    T('9.15589E+45', '-189.75672', '-189', 18, 3);
    T('1489139052.867529620', '-1.9304285520025', '-1', 28, 2);
    T('68496.5942367936', '29210683578720280.173', '29210683578723224', 20, 5);
    T('-719.4', '-2995.05014437838695084525862', '-643', 34, 4);
    T('3E+15', '700.1867', '3000000000000700', 26, 2);
    T('-11.674699089657', '1.43064303546128', '-11', 4, 5);
    T('4.7018820691509508635711121769', '4E+2', '404', 6, 5);
    T('-7.66248244349346731E+32', '18621.2576817', '-766248244349346730999999999981379', 61, 1);
    T('-453456638903.22899176997215758', '-6660.31', '-4611', 94, 5);
    T('-78583954.9479941121482', '-1.02', '-1', 22, 4);
    T('-5.94424246582697997E+43', '-242.82072020367493', '-242', 47, 4);
    T('5.75E+9', '-2272506299.62779593211679677', '-2168565819', 37, 3);
    T('-8988.6942039034', '708053.33', '-8715', 47, 2);
    T('393663257.5465120831689672', '-433320.0587572863723758307', '-3239', 61, 5);
    T('-5817564.9698', '-218473179.624530200663272601', '-32987', 95, 3);
    T('55.763314', '58056.673335', '58111', 35, 6);
    T('3.152990224457733765978', '2.73693604987E+48', '2736936049870000000000000000000000000000000000003', 36, 3);
    T('-703706.818493715', '7.272436E+20', '-703706', 14, 5);
    T('-5.2E+8', '-61367.06383335504264295577449', '-33207', 86, 6);
    T('975504975', '-7.3755E+6', '-5277825', 62, 3);
    T('-3.28113163078468E+16', '697.7443298023', '-32811316307846151', 42, 6);
    T('-278213.0598169', '391665810.5675258457', '-271941', 37, 5);
    T('6.75116717071991829761571122', '-3.180429239437390398E+50', '-318042923943739039799999999999999999999999999999994', 89, 2);
    T('76237138.5053238', '-2.491938588E+32', '-249193858799999999999999923762862', 47, 6);
    T('8.91340365E+47', '707.518432624791132531', '891340365000000000000000000000000000000000000707', 24, 4);
    T('-8.24133560331E+20', '9.873585792127969694230380', '-824133560330999999991', 95, 2);
    T('4.0813209647E+27', '3.7177E+9', '4081320964700000001099012512', 57, 0);
    T('-786663.52687092', '7934703605.672799534', '-786435', 45, 6);
    T('5.0588526690850359081794', '-84.7401863129381780077712', '-83', 61, 6);
    T('-3536162.57684', '-984061292.3905', '-2463010', 51, 4);
    T('2.83E+8', '70', '283000006', 84, 0);
    T('-2730792.2', '934704611663782061916707268.5', '-107044', 22, 1);
    T('3.4906301E+8', '4.3', '349063014', 3, 6);
    T('3.388413084748135905313545E+33', '-27.280680834', '-27', 21, 4);
    T('8.6864234E+23', '-5.4298232664760893E+23', '-302416030486121956826240', 24, 6);
    T('-4E+9', '-7.27E+6', '-6956656', 49, 5);
    T('-4291.2046277583756507088511', '-10.753290192600900243', '-1', 41, 1);
    T('4.46210E+20', '2.04778967867270E+19', '465525938806169917376', 42, 3);
    T('406586735.24288009234', '-34815580.8198839', '-33765905', 10, 5);
    T('7.864E+35', '5.68E+3', '786400000000000000000000000000005680', 6, 2);
    T('6.9731E+34', '5.4E+3', '69731000000000000000000000000005400', 19, 2);
    T('-4.42967264286062595662E+27', '-8770.914839148', '-578', 86, 3);
    T('-6.3065328494222668037E+22', '78.72711', '-63065328494222668036994', 43, 5);
    T('400429.70751481576171', '6.4E+8', '640138285', 48, 0);
    T('-9164656.680732398', '7412278.91587', '-9094474', 18, 6);
    T('-7.505605984027841181554E+26', '-987.9967288923551802395373792', '-795', 54, 6);
    T('-4.31643068937E+47', '-18981.147690401', '-18981', 21, 3);
    T('-408068752.896138473510169', '-533495.431667', '-8839', 58, 0);
    T('-84308290890.6', '-867975817.69190090865028', '-556285961', 64, 4);
    T('3329647.12301081959904523561819', '-40.55599676759166', '-1', 30, 6);
    T('-1.9E+9', '-5.073429785024919679890', '-5', 48, 3);
    T('-6.10008E+7', '-9.17145841033789', '-9', 14, 4);
    T('-7.7421905961381042657151105E+39', '60759486.1', '-7742190596138104265715110499999939568194', 95, 6);
    T('-4.8828E+28', '-2742816864117192426746265', '-7378752165988757913', 38, 5);
    T('-797320716.356679724408135801', '-40.1819609609436407141076617', '-4', 6, 5);
    T('831351.4880734558993050', '2.318331899705226E+18', '2318331899706015607', 99, 4);
    T('-5.0104040517E+34', '-4.16740522568820375557957E+48', '-49414298657194006839329080257544192', 72, 3);
    T('9214727.3356032756678085', '-7378557222591589.27', '-7378557222323297', 93, 0);
    T('-28.6106674899562071948', '-6189098.7208535797603073803', '-10', 28, 4);
    T('5.4404E+8', '153568116.03276262374370', '695166836', 56, 1);
    T('8.6E+3', '-993.0', '-609', 16, 4);
    T('-20619289.0638201890238265', '3780.855896265711615', '-20619289', 66, 6);
    T('-4.70839087943141754138126719372E+38', '55503992418480242741.4136689014', '-470839087943141754101088611325664311243', 5, 4);
    T('-6955321.4', '-3.62469E+7', '-2621745', 49, 2);
    T('-866862535.29450815313790380', '653.7758012', '-866862403', 33, 6);
    T('-7.94E+49', '35.0952', '-79399999999999999999999999999999999999999999999965', 74, 6);
    T('-4.8658413402871919434308', '2.39360623051415929549609853382', '-2', 9, 2);
    T('-122641.43278', '649.978654542749656206894', '-122129', 76, 4);
    T('450.224', '7.18E+15', '7180000000000450', 80, 5);
    T('-4.851E+8', '-16504.49', '-88', 57, 1);
    T('-488889847935713.10367064297561', '71.53284383271825020404409', '-488889847935649', 61, 1);
    T('-3.60338278944E+16', '-441890.308579579665142821782191', '-135714', 10, 5);
    T('-515.28574674334879305451', '3.4E+26', '-515', 98, 0);
    T('-799.7727436149520797', '-24292233.418837877131284855', '-777', 44, 0);
    T('5.85E+6', '-83619.12650854831', '-1059', 81, 4);
    T('6.6377657626869913862880', '20.8911144983535696701620420', '22', 23, 6);
    T('3.578791E+38', '-4160582.4361970297138473', '-4160582', 43, 2);
    T('8574536060.6', '766.351534157121700664753', '8574536702', 53, 2);
    T('-274721605.02769720086', '-77763656395.27458183198', '-269691457', 84, 3);
    T('-771520.4559591', '-5652067.4865853017283', '-132131', 79, 3);
    T('894.788731655388634', '-7.2814797764675517344418356038', '-1', 66, 5);
    T('-4.44E+5', '1.182648039168328E+29', '-312928', 74, 3);
    T('5.522129801953373257616809E+31', '-9.916E+4', '-344', 77, 1);
    T('-320654.60634667', '4.2368E+16', '-320654', 55, 3);
    T('6.141022118178813237575662E+44', '-6.93216E+34', '-20951851085473132101461339124269056', 54, 3);
    T('-1.2125917830937228551691560529E+31', '-5008262359.6257369', '-671089735', 89, 1);
    T('-1.6502454579148155135645353493E+49', '6438956.95947104132673148393', '-16502454579148155135645353492999999999999999852500', 27, 2);
    T('8.621E+12', '-2.75036885460756253994347111256', '-2', 71, 5);
    T('634589.151702554247', '-7170482.313055350030', '-6570273', 63, 3);
    T('54546.1052', '-8514740437.2450962374014', '-8514707653', 97, 6);
    T('-5.81045131532E+31', '-7.24E+31', '-52073024473399012131151137472512', 77, 3);
    T('-7.4529935728E+42', '6.45E+7', '-7452993572799999999999999999999999935500000', 44, 4);
    T('60735.0419676148680', '-5E+46', '-49999999999999999999999999999999999999999939265', 87, 5);
    T('7.7790111E+23', '-413.427464408896105', '-413', 77, 3);
    T('75354.659181272045', '-311.69942948938157522104488', '-293', 49, 3);
    T('-1.2798462832916190469E+20', '14905.13573803303435700043381', '-127984628329161900033', 49, 3);
    T('4738.2658820994', '759693122.08692942425515400', '759693250', 9, 1);
    T('-41880100.92818649827682437016', '38.4003025973474501592666', '-41880066', 7, 1);
    T('-734209682.87407395516160813', '84472523.33385576085137', '-717423633', 61, 4);
    T('974951648854315812638.2513', '7.4361406220420540475E+37', '74361406220420540550670619028150470430', 42, 3);
    T('69.11', '-1.0652405097500609779197572366E+43', '-10652405097500609779197572365999999999999931', 38, 1);
    T('-2.42244657395216856493158511', '-523357.90884735771377', '-1', 63, 4);
    T('3.67E+3', '-5.223E+8', '-522297354', 69, 6);
    T('-1.1147E+23', '-972420', '-448132', 44, 1);
    T('6.0764198', '-2.104154073369937461708396E+31', '-21041540733699374617083959999994', 34, 6);
    T('-417.19006952', '-57.735717156104622051173297', '-33', 77, 4);
    T('-89962.68396970115578', '225.634126746', '-89865', 4, 0);
    T('-8398826.34', '-6926.0096580110162', '-778', 94, 2);
    T('-7.2E+3', '-27621998573178124.2648980545', '-3084', 5, 4);
    T('-80299.552087052', '-4.5205637123260720E+19', '-8491', 49, 3);
    T('-7.73988475574346110427571872', '-6.887393979342852352224193966E+36', '-7', 35, 0);
    T('-8.89315130E+32', '76842021.95092695715', '-889315129999999999999999990266843', 60, 1);
    T('7982065284.8724', '-5395627.7679155299', '-1200171', 24, 4);
    T('-5.91565931E+32', '-4.823087897228780394E+31', '-2574915295926809253107287343104', 36, 2);
    T('-4.5E+22', '6367.382', '-44999999999999999993633', 63, 6);
    T('-4859.55835527307096724036772', '209328.497918194173136920', '-587', 65, 0);
    T('44223.773523470016223148', '-51173', '-17217', 93, 4);
    T('7.356913955153795793734107155E+46', '9780646989.7621598', '73569139551537957937341071550000000001119933517', 55, 3);
    T('-3613730.74', '-6.68E+6', '-2434082', 38, 5);
    T('-87.6', '-883090.409', '-17', 30, 2);
    T('58.96994050914410', '6260.61787069900168856904', '6270', 44, 1);
    T('2.6235055236069534128472958244', '8.754347013007778298E+47', '875434701300777829800000000000000000000000000002', 27, 4);
    T('122573116572984330.517611253', '-5.4897139012546E+23', '-548971375928565320549366', 72, 2);
    T('1671.55122464133031370401912162', '7.332951E+40', '73329510000000000000000000000000000001671', 99, 3);
    T('-2.9736E+50', '95834.58292056249962632', '-297359999999999999999999999999999999999999999904166', 58, 3);
    T('804518.3', '-26354.084323456903507173', '-8274', 85, 2);
    T('-4.52881883E+33', '-7.77295', '-7', 66, 2);
    T('9.07107974897', '-671282051.651473262', '-671282051', 25, 3);
    T('-55273.230699205178162', '48.55126', '-55241', 100, 4);
    T('1.571E+5', '15.4923295846209538139818024235', '157103', 9, 3);
    T('-30855.6661519668733466897633215', '6.848683013957234056678389703E+33', '-16391', 92, 5);
    T('-3.1245072575341708727021643', '-8.19390418289428E+33', '-3', 83, 3);
    T('-1.66010841882063860275997', '75105.9330584216256468949540', '-1', 82, 2);
    T('5038.3483992723348354', '-4.21322334E-912', '5038', 18, 5);
    T('3049.0963449396', '-107296.4', '-106519', 90, 6);
    T('9.795E+6', '5494386.895514256', '14153722', 12, 5);
    T('-363522195.2935677552328340', '-4.357268793397692982547616281E+42', '-69363859', 93, 1);
    T('-9765545046.09', '225803671.1807102230221985', '-9697361985', 72, 3);
    T('3832589982.0075264746', '7.19998E+41', '719998000000000000000000000000003832589982', 80, 6);
    T('60295190611565.5321081984', '-8.203126711579439598E+24', '-8203126711543900886323475', 3, 0);
    T('-725364358238289.08915904', '-68991980.23', '-67407937', 96, 6);
    T('3947974966945211.223056051', '37129399.00', '3947975000632767', 22, 1);
    T('9.67E+4', '-2419609', '-2392577', 70, 5);
    T('-5381405987.2016130602019523438', '8.8885967E+41', '-5381405987', 6, 0);
    T('-95.5851198303165', '601.178201825995', '-7', 71, 2);
    T('-9.16245111293015044092051964E+44', '-223043132.6396520', '-139157052', 38, 5);
    T('46', '-148.7991892441882218', '-146', 58, 5);
    T('-52.5435610', '89268.1397805097', '-4', 16, 5);
    T('2.533300856430E+25', '776451242.06528634840416963', '25333008564300000776418474', 32, 5);
    T('472761.9858995982532', '-2.044488965698047220', '-1', 63, 3);
    T('606427942.378446789485252', '-6696733.0298567143', '-4334617', 34, 0);
    T('-2552123.99460', '-5E+27', '-2552123', 77, 3);
    T('188.8196580277352037', '-8191.68757190628640828980509766', '-8003', 31, 5);
    T('9.516', '56.92750493303394832077', '57', 69, 3);
    T('-70354.931790983585854439745', '6.2373616E+41', '-70354', 83, 1);
    T('-170.4829784', '-49.614', '-33', 8, 2);
    T('-750062005.658036199', '-4.688E+29', '-750062005', 90, 3);
    T('5.77E+12', '28141665.5820953450590687', '5770018942049', 90, 1);
    T('8.73E+38', '-33.529', '-33', 67, 2);
    T('-2881429.82', '4.28215446413461E+17', '-2142613', 41, 0);
    T('-282594.3', '-8.987490470796710E+49', '-282594', 67, 3);
    T('256.01324132564115413931804270', '5.0634E+33', '5063400000000000000000000000000256', 4, 0);
    T('5180.22072683937970', '9.3191657858E+33', '9319165785800000000000000000005180', 63, 2);
    T('5966.7325686359658717325769865', '-3870', '-2066', 20, 3);
    T('954671249.5517912', '64.9213073064753125796', '954671313', 85, 3);
    T('106.9197633581927785683', '-3E+5', '-299926', 14, 0);
    T('-20987861.647960206521765', '27.6550349464930', '-20987845', 95, 0);
    T('209557.245976', '852.858118652', '209877', 37, 6);
    T('-11655602.064857409672313764655', '8304.2484016', '-11655554', 42, 4);
    T('-5', '2.718185233878818704', '-5', 35, 6);
    T('-2.56627013312819689554', '779.73776391541183', '-1', 3, 2);
    T('-1.7E+6', '6356400.657002', '-1638416', 87, 3);
    T('648045610.9057', '-5.461542356681005199317', '-5', 28, 5);
    T('-9.3E+23', '-98.94279676630998424009', '-98', 89, 0);
    T('-1.04465798E+29', '-99547223.3674', '-95352919', 25, 2);
    T('2214', '-2751268.4542912713894', '-2749186', 35, 1);
    T('-6.41E+48', '8.37861774', '-6409999999999999999999999999999999999999999999992', 61, 3);
    T('4.47349499321205871', '-93.06', '-89', 19, 1);
    T('-4E+6', '-400477.45033966372', '-264285', 43, 0);
    T('2E+7', '-9580.896260', '-108', 14, 0);
    T('82587089', '39729631.46066', '117325279', 14, 6);
    T('-875336.67', '4939589.7875612691299', '-262147', 55, 2);
    T('-8.0', '20299.61645367201', '-5', 70, 4);
    T('6.463E+20', '-27955647.55139', '-17338815', 6, 6);
    T('-9936468097.89532', '9438675094304.511063599931', '-9663819905', 6, 6);
    T('-304325537038287081927.0534', '255.27444927', '-304325537038287081729', 17, 4);
    T('-60032', '-76544.555827', '-10880', 70, 5);
    T('9.167956E+16', '-8060.66686', '-3964', 29, 2);
    T('94274.89', '538622.03880409049175', '620542', 47, 5);
    T('-24307.470170273035278', '-295839.8', '-659', 26, 3);
    T('-5.9516E+6', '489.1', '-5951495', 59, 0);
    T('72977.63', '-86.5197259765144815824606101', '-69', 30, 2);
    T('573462.7160768655', '9.7E+9', '9700032790', 9, 6);
    T('-1.152020211855E+14', '432242107.873', '-115201861780033', 26, 6);
    T('7995505460.2631924760379153434', '2.81E+5', '7995784124', 79, 3);
    T('-8.022217', '-5E+2', '-4', 46, 3);
    T('-39.53685092966574266', '-1.1433955095652270939', '-1', 44, 2);
    T('-95775463.2850173831', '6.17927E+8', '-18950823', 51, 2);
    T('-387.23', '895221998429.159', '-131', 32, 0);
    T('-7.478294', '-6.3646227486E+13', '-7', 90, 0);
    T('-1574054681', '878.4886980246', '-1574053905', 72, 4);
    T('31940404.06722822020191806', '4720741.993563176394', '32464757', 91, 5);
    T('6182251.5', '-9978306018.467385', '-9974089857', 49, 1);
    T('-579188508702048248458.73', '21595.717', '-579188508702048232065', 95, 3);
    T('-4423789856570.81537333673', '5316665.535', '-4423785662209', 19, 5);
    T('-297292.0078', '-3572.08244620199692920867757', '-2372', 55, 5);
    T('-34722', '3.605500E+8', '-386', 85, 2);
    T('-3.3E+16', '1191824.119519651506851732040', '-32999999998808176', 28, 2);
    T('-8288.085561453190', '3.88E+3', '-8280', 69, 3);
    T('820.204', '-9.34E+9', '-9339999436', 48, 6);
    T('-7.1738267E-749', '8187.1609116862504986057248', '8187', 83, 2);
    T('-3.4002432758241233E-40', '352846803.06778590442071382', '352846803', 74, 1);
    T('237396536930.9055263', '287689.52179340', '237396553707', 17, 2);
    T('7389.555', '7963.9785690875371592', '8159', 76, 3);
    T('842647.7291217693', '94.257229579608855114564183610', '842719', 24, 2);
    T('84242.1676554118', '-694114.27208884954', '-693858', 86, 3);
    T('-612.3', '-628718990.2378565014', '-2', 66, 4);
    T('5516.06365987923776198582377293', '5.6E+7', '56000396', 14, 0);
    T('6547.3458603550', '-90.101691712', '-73', 41, 3);
    T('-97125.09324095119960876458', '-86616.328', '-86597', 10, 4);
    T('305.1709321793495752351', '8.1674804452908331115729210', '313', 45, 5);
    T('6471614.770906076505608', '741.208102324925257', '6471679', 6, 4);
    T('36382811.670224707382', '-3E+3', '-933', 35, 2);
    T('4940541417340665.81442587432973', '-148698.57135868509525706', '-147457', 29, 0);
    T('-3.04256E+7', '-85982.857', '-16862', 77, 1);
    T('4.501446436646392', '830544.38410107745578169163', '830548', 82, 2);
    T('-102673160019772', '5961352107.5971079514', '-102667236416529', 70, 6);
    T('-7.2E+2', '-92005', '-581', 10, 0);
    T('6785648649206146.75994364818', '2787137519.1525357', '6785648751968239', 38, 3);
    T('4517958.0', '90.3651300913348', '4517982', 24, 0);
    T('50663141.87637755749', '41.8709758', '50663149', 98, 4);
    T('4.3E+6', '-37027194.40924384', '-36987162', 3, 0);
    T('-334900962.208633', '-509.2084768100973982864946', '-225', 100, 1);
    T('-8.48994982499650972', '-967997.136291224', '-5', 74, 3);
    T('3.527', '-6864.05', '-6861', 94, 1);
    T('-9123.4141966', '6104.5687007', '-8227', 77, 1);
    T('-73.8049909150797046629638', '9238.26091722718865747666757435', '-73', 75, 6);
    T('-287393022494.02809564256182779', '8.0729364E+11', '-275037585950', 47, 5);
    T('2.810410454912568208916', '-5.028654E+7', '-50286538', 61, 1);
    T('-13.6204076', '-7.16450291', '-5', 61, 1);
    T('-9.387E+18', '-6.94652562E+20', '-9224779971158024192', 11, 0);
    T('152257453.70360017875', '8864548122.4585688930', '9015609279', 87, 4);
    T('-754050.788574491269658240779', '29441.867971057448', '-753793', 59, 5);
    T('1090108.4932721769058596248126', '-5.4823067', '-1', 17, 3);
    T('-1', '2.7E+9', '-1', 64, 6);
    T('-38.3551095028562077', '-65.9562655910487617955891779', '-1', 6, 2);
    T('7.55E+4', '-6E+4', '-51220', 58, 0);
    T('-206.969622979', '-45465.28882412156807', '-137', 76, 4);
    T('-81991.9339268682515176116', '-6.917687E+9', '-65607', 2, 5);
    T('-177.136449', '6.11056722E+14', '-49', 2, 4);
    T('25318709.7646872896440001', '-669906508', '-644719179', 91, 6);
    T('1044102.873284444701762', '-1469194.36586322015588033', '-1048842', 45, 2);
    T('-1.1E+6', '-59594360.23611', '-16472', 57, 6);
    T('-92963234.13488', '9327.282752248057447846', '-92963201', 27, 4);
    T('44.73880481977970881168085', '282052084.7827584', '282052092', 15, 5);
    T('433', '567.89848', '951', 90, 0);
    T('1.2992524E+9', '-11402889.2440', '-9239049', 26, 1);
    T('-8.0952E+6', '-86.879468', '-86', 85, 3);
    T('-2E+9', '-3639739590.0323388081750905', '-1345323206', 62, 1);
    T('-10832326.455615723355246114', '670.344571631995810378418794666', '-10832194', 91, 4);
    T('202.438636', '1720862.41967', '1721054', 39, 3);
    T('-3540460835', '8.40295E+8', '-3238135075', 95, 1);
    T('-237238615251', '-1622.0254580715979894775600', '-1105', 60, 0);
    T('1.831E+12', '-6605.4459853861621036511063378', '-6605', 90, 1);
    T('4.77E+5', '540.3484106098926817412', '477020', 41, 1);
    T('5.49543834', '274554252.01', '274554253', 34, 0);
    T('25674415388.31923213817362660', '85.2284604850782978845583216', '25674415453', 36, 1);
    T('1.90243004536999524566651', '-5E+1', '-49', 91, 4);
    T('-3.4828', '-915209197965.33968195617938', '-1', 70, 5);
    T('-3972777.1522053', '448783.92', '-3671713', 38, 4);
    T('5.12334E+9', '5520986997.05565', '6331299829', 66, 1);
    T('84.809250985657', '-5834.69961', '-5770', 67, 6);
    T('947062.1371', '-773907.4473537542347027', '-101377', 63, 3);
    T('92.8486697584828053088', '4864849.315268143710447', '4864861', 96, 1);
    T('2150754.27383548159212', '-93708.22938346695932', '-77322', 95, 5);
    T('3.2E+8', '-6289063749.71504293172618', '-5985873733', 36, 3);
    T('-1595247678.81624079295', '956366.4512423746591233', '-1594951730', 51, 4);
    T('8.0E+5', '-2.65065118218', '-2', 35, 0);
    T('65.906306', '812590.047960465', '812655', 22, 4);
    T('8.1708E+6', '-5E+1', '-2', 46, 3);
    T('861863', '3056344159.56095556', '3056418559', 29, 1);
    T('-664555.783319902299352732028221', '-1.37E+9', '-524907', 71, 1);
    T('-985.36365115774078854', '40843.328824308040741', '-81', 70, 0);
    T('-1.8011E+7', '2.92187182010884475', '-18010998', 82, 4);
    T('1E+1', '626.71401453603851768', '634', 3, 2);
    T('2.36179360259703181558812', '-19627.139', '-19625', 69, 0);
    T('540434', '-4.571E+7', '-45170862', 18, 3);
    T('4.721579185384052', '-6998185.9555553562', '-6998185', 71, 0);
    T('311822.511882231', '9.97E+9', '9970311822', 5, 4);
    T('9.706E+8', '-8.6344E+9', '-8625868992', 46, 0);
    T('873.912370343', '3.72E+7', '37200873', 12, 5);
    T('-722322.42', '-918660', '-656514', 29, 4);
    T('3.974062586513205019617107', '-355.866', '-353', 31, 3);
    T('50049.00433216658485559719303', '96426.895750', '129963', 7, 3);
    T('96.4009274582106', '-48741613.3', '-48741517', 52, 6);
    T('11.681252', '5701.709526599623854', '5711', 6, 2);
    T('-5.8582610594977109125510382940', '7313248185.10863703287', '-5', 38, 4);
    T('59418.9655889537789221', '-7.797698293328930', '-5', 93, 2);
    T('-4022.66889336427464899739811', '6.764536E+14', '-1974', 15, 2);
    T('-8550.53620022481', '-34698.71426365666533004484', '-258', 75, 0);
    T('-5770776338.67859879864', '1.39728262290261247466681971752', '-5770776337', 79, 0);
    T('-2.3E+3', '5510716.4044090532994625', '-2244', 3, 4);
    T('1270079.97540558882763086637536', '-9.148163407983413743040892', '-1', 41, 2);
    T('164.7597204652910', '7.62450155562', '167', 1, 4);
    T('8.313E+8', '4.6E+3', '831304184', 94, 1);
    T('-547132879.5321', '2E+1', '-547132875', 90, 5);
    T('74592484.273775', '-835222.820', '-822802', 70, 2);
    T('6230830593.2', '8.93699925212091526', '6230830601', 100, 4);
    T('-1826634541.48513331', '9239627.51', '-1818231589', 9, 6);
    T('-38', '20714085000847.002404403230515', '-33', 12, 0);
    T('551541421.1', '51821.5638143019134245', '551541485', 51, 2);
    T('63545.21608', '-144594044.1532', '-144573507', 95, 2);
    T('-40.5063419', '5604031.085624489', '-1', 43, 0);
    T('-5.836759172', '74258.3527810531762', '-5', 14, 5);
    T('2.3E+3', '-8.06E+4', '-78340', 79, 3);
    T('-1444.72063818066817106448578', '5E+4', '-1188', 76, 0);
    T('-3.4487230945538396678593791088', '29906020.01050', '-3', 17, 0);
    T('-715.2748801799359062640073902', '2468788823524978.9', '-137', 95, 0);
    T('5.157991258988897863', '-9342.44', '-9337', 72, 3);
    T('71.8459882', '-5.84911829E+9', '-5849118225', 54, 2);
    T('3614.80', '6.9853E+8', '698531550', 59, 4);
    T('-40.932203783', '6907107707.8323', '-5', 39, 3);
    T('5327675.42927', '7711742', '7728127', 94, 2);
    T('6800953.18226974818884292', '872972283.01309', '879755259', 59, 5);
    T('5.2179E+9', '3766.632400580497377523', '5217902582', 71, 0);
    T('62.540', '-392699937.2071', '-392699905', 27, 3);
    T('3.7E+4', '8497348.1170934910686663541', '8501452', 97, 1);
    T('-3580260.176', '60426.331324444731558', '-3539298', 67, 6);
    T('5.738833E+15', '6363191366.025963', '5738838654188102', 76, 0);
    T('-643284.3528723453443693050', '1.7592E+9', '-37076', 27, 0);
    T('-8407329.7725855', '-1.0E+7', '-8388641', 10, 5);
    T('-1826.662883139732', '911115.5559231675', '-33', 83, 1);
    T('433.193819773688089285990', '267.912819193457042714791950', '443', 65, 5);
    T('384235.269958757459234469252', '8.229E+7', '82312699', 9, 1);
    T('-39.710966', '-4245027.08', '-35', 29, 6);
    T('-364.084875972', '3.9435E+7', '-260', 41, 0);
    T('6.11859579963', '-4.28622', '-2', 10, 6);
    T('1395131646.04234524595', '-1.3892E+14', '-138918641044226', 63, 6);
    T('-74255706947.98559', '797710.1311331353', '-74254910273', 14, 5);
    T('-5816.6601061755833231094', '-5751059.12805388894', '-19', 70, 0);
    T('-9.1E+2', '-429.5383', '-397', 71, 1);
    T('4898.025108513526787105004102', '1473366938.58163', '1473371066', 70, 0);
    T('42585932.326504195522328919', '203170060.1399112966', '245231436', 95, 6);
    T('-8.37299529547', '99718.36458', '-2', 69, 6);
    T('4.592E+8', '7.11', '459200007', 78, 5);
    T('7E+7', '-7.468E+7', '-5472832', 4, 2);
    T('649561.249226828069876897', '-9294252562.4829237695787267', '-9293660673', 100, 6);
    T('-6E+3', '84883518101.980', '-1387', 84, 2);
    T('-9.33477E+6', '24550349.0261895585', '-8938545', 90, 6);
    T('5.0343267481', '38016.955685454795124035040', '38021', 86, 5);
    T('-287494776', '-58.054832419874427656703', '-50', 98, 2);
    T('-496.278258102925', '25.076303011826214583992317', '-487', 26, 3);
    T('-834.61244108', '-1230.4575782452146644545952', '-66', 78, 2);
    T('-5.027875658812515610591', '758624.21061458475471', '-5', 14, 0);
    T('45.796850894', '-342797512.60801', '-342797507', 41, 3);
    T('1908639737.9182310', '1.672E+4', '1908656121', 23, 6);
    T('-86690225.745189940507394', '91998504.89157128652', '-145', 69, 1);
    T('809.978379743157427980376', '-133049034408.2066321490', '-133049033863', 83, 2);
    T('-7.844121846823762909793', '1436287.469594136', '-1', 89, 4);
    T('541940804.04', '6.6977E+7', '603847916', 41, 1);
    T('163276507.0', '3.19E+9', '3216764891', 64, 6);
    T('-723328.27', '4921.9821847', '-723015', 9, 1);
    T('27.3971779963095670515091145489', '5481682.8336641380453628069459', '5481691', 38, 5);
    T('-64.795302', '2.2180E+5', '-24', 7, 2);
    T('3505.758959203344329012143', '-84.063973204014676702088917243', '-67', 22, 2);
    T('-271519324', '5.41E+9', '-269025884', 21, 0);
    T('-82637.3', '7.82E+3', '-81985', 78, 4);
    T('-6101.23085', '1994.49840', '-4117', 80, 1);
    T('918908728.656829141606789407922', '-453301388.80669375360', '-151031940', 43, 1);
    T('-1.090612793683147530347251', '277.4830871120836994036656', '-1', 64, 5);
    T('-382647.46845897443317144508404', '-6309.34499706730456975204054', '-4261', 30, 3);
    T('346.48755248085419559658914', '7.5294280550037316E+17', '752942805500373498', 21, 5);
    T('-18.49450322396559789751745604', '629320884.67693714595269089442', '-2', 11, 5);
    T('-7120754.318331', '2.86E+3', '-7119954', 18, 1);
    T('6692078.14683766415699600821476', '3.433E+5', '6766062', 75, 5);
    T('3315469.140963259342846', '3971279.700886461506145375494', '4104143', 67, 0);
    T('-35618.28', '76.6753552292025', '-35618', 40, 5);
    T('5.5860E+17', '645581.7977972970', '558600000000088525', 6, 6);
    T('-642.3', '-4', '-2', 35, 0);
    T('-68915559.426687257721989', '-338.73753676679635242867001', '-321', 22, 2);
    T('-3944.513158844', '7.647E+4', '-1346', 69, 4);
    T('-83.94899942849545390', '881.26172761477916467291810460', '-3', 21, 5);
    T('62552.617029293920', '-417.1', '-417', 61, 5);
    T('-467510.75314870', '-162699.448054617375919127', '-139777', 74, 6);
    T('4746447686.47129', '-8.1248786277459425102', '-2', 48, 5);
    T('9855.37156798', '9.9457212E+9', '9945722751', 17, 5);
    T('-193.20389721230073495', '-3.05550E+6', '-129', 7, 4);
    T('1201453.710715081370256', '-1708.35695294', '-643', 23, 6);
    T('94038189.244470621932489065715', '637560.429308051', '94108413', 19, 3);
    T('38', '-15.786595', '-9', 29, 2);
    T('5828.909744065', '-79519042627637615.95', '-79519042627633451', 40, 1);
    T('3.010877E+9', '690779608.49', '3145627608', 73, 0);
    T('8242527423.959824265885254823', '2169.61121', '8242527487', 28, 5);
    T('85473.4220657109725669344', '45566.417132466', '130559', 19, 6);
    T('-3E+2', '5E+6', '-44', 96, 2);
    T('-8410.9111460', '-1.772606545406', '-1', 71, 3);
    T('-24.175711048678350163186884887', '42053336824129069077.070936', '-3', 47, 5);
    T('-4714228', '-9.23567943154687850349337503', '-1', 58, 0);
    T('69.0319', '7.44439821E+9', '7444398279', 66, 3);
    T('-97.3859746823365216165', '-842705711.454049', '-33', 45, 4);
    T('9919082.7316839060007770', '-147.05581', '-145', 70, 1);
    T('3.8002881E+9', '-983241.6325917460103695038', '-786569', 35, 4);
    T('37274873.65', '664.34', '37275385', 35, 2);
    T('82.3988926289187104135', '4145011921', '4145011923', 61, 2);
    T('-43754.79551244', '3', '-43753', 99, 6);
    T('-25.24066697269427568', '12067181.778001714712635', '-17', 87, 5);
    T('-289079251.380024471674413977', '-55.9877942649621473766621', '-19', 89, 5);
    T('277765903.77027', '-483.95221128443683908621109682', '-225', 60, 0);
    T('4016223545.70388203834', '-2.877E+20', '-287699999999339350727', 96, 4);
    T('649604164225.396245382734843', '549216.481633115', '649604164577', 91, 4);
    T('-5E+5', '59.687836533921608708599', '-499973', 63, 3);
    T('-7955406.32766423', '-6.6E+11', '-1065934', 75, 1);
    T('63.169502080332013819', '-4267640793.325582719573648', '-4267640769', 52, 4);
    T('80.948200630', '62.617139051961313085659', '126', 75, 6);
    T('51617013371513559', '5.0E+3', '51617013371517919', 7, 4);
    T('44071630523791549.81260614212', '-2', '-1', 49, 4);
    T('3711626.509619656192636', '-1.09090008E+9', '-1090867302', 39, 2);
    T('-81074.3621796779076829299', '-908.824407', '-130', 12, 1);
    T('-2640697500.77275853284348021', '-1E+2', '-4', 97, 2);
    T('3054.459370128', '133540387', '133540847', 59, 3);
    T('-989.419662', '8.93450E+9', '-349', 16, 6);
    T('2.298E+7', '1.8172309E+14', '181723111275936', 21, 6);
    T('-64386.8559405680500087', '95741588.8537034312150908614291', '-6402', 19, 5);
    T('131394749.23306582163441351', '8', '131394749', 46, 6);
    T('7.2894E+9', '-3696.478', '-1072', 69, 6);
    T('-2.9915007434690347787251271331', '3.14E+3', '-2', 53, 3);
    T('73325.600060546374', '2687605', '2694781', 91, 2);
    T('-9.79E+7', '7308424.3056976101524132', '-93344088', 30, 5);
    T('80250.89099010288468576044', '-5.9311E+15', '-5931099999995526', 47, 1);
    T('475.35', '11.35464970594', '475', 21, 6);
    T('7', '6382721.2', '6382727', 82, 0);
    T('6536895654.66517410500387583045', '58581.147766129237375195110', '6536953079', 81, 5);
    T('15731.73374830147416366', '-27.166865646923883794450', '-9', 51, 2);
    T('623647.4', '-8922575950.1', '-8922476609', 64, 1);
    T('-3689.17509885677397780060917', '-600366607.79192372040027857', '-3593', 44, 1);
    T('-116.31085866', '619397.111997235018', '-115', 1, 4);
    T('9.3444298461226669', '138.156515943', '139', 36, 2);
    T('5343.2', '5.478E+5', '548831', 8, 0);
    T('-49557424.41789', '19615386.30333162150352', '-47456550', 78, 6);
    T('-3.138224507815', '-61771673.887036762445803', '-1', 74, 3);
    T('2.835390185987', '85332476.018616523', '85332478', 98, 6);
    T('395524759.58952219404202', '-62.776212786', '-41', 24, 3);
    T('2.426816E+15', '939451.70797600265231070165815', '2426816000153019', 32, 3);
    T('167.039039651', '-68.4577824364494', '-65', 73, 6);
    T('-2.9E+7', '6981077737.644119307437', '-27263255', 100, 2);
    T('358011941.6710', '-3174632.5550', '-2105539', 85, 2);
    T('5.65059758', '56905194.597100512630113', '56905199', 48, 3);
    T('-4578796327.2295018518965701', '-217.1042036981280495788123628', '-1', 47, 4);
    T('-288.944514485', '752915.62185349031', '-13', 69, 6);
    T('-459481.726996263938410623556498', '74043.7667512410599978514053917', '-393921', 23, 3);
    T('205.614527856703015972717043', '-8.37845333272207', '-3', 41, 3);
    T('1475.5915755302', '985449.5785', '986603', 68, 1);
    T('6040.47244208284206', '-2.406E+9', '-2405998696', 2, 3);
    T('26.874909287093620404047345', '-55.882966', '-37', 90, 4);
    T('789223.9262635755', '9757472765.44996374', '9757999103', 19, 0);
    T('-9.731E+14', '-12840483.638', '-12625443', 76, 1);
    T('4.9201421E+12', '-2.22197E+7', '-67988', 96, 3);
    T('6.150E+8', '9.47165479E+17', '947165479547365312', 17, 1);
    T('-6035854.16219221025304260731', '-71706726081.825567512262536', '-788609', 47, 0);
    T('-7126423867.139', '789133755828043300709.653', '-6585057307', 61, 5);
    T('1.20227579067446915115438', '757371.18119721', '757371', 96, 4);
    T('-20350.33', '-420319.13240206', '-18781', 82, 4);
    T('-66107.6775093467', '8914.841943', '-65577', 72, 2);
    T('-1.51E+6', '7E+4', '-1444368', 76, 6);
    T('-2.97E+9', '-2.51E+9', '-2432862848', 10, 5);
    T('-159609153179573194757.099', '-9.5135E+5', '-950277', 35, 4);
    T('-857604141.6504423', '95799.474618', '-857604105', 17, 4);
    T('-401716.40541262665895987653', '408222891.372781035000243607', '-131345', 55, 2);
    T('5547298.609963636169179', '-96475797.4583253216616', '-92281493', 94, 1);
    T('-743352553', '112.6552745346998', '-743352457', 37, 6);
    T('-334.83868756628878686690', '-4.771362793265054', '-2', 67, 6);
    T('-8.3590E+8', '-33313591.93472', '-30429719', 95, 4);
    T('80.3470901821', '1.937E+4', '19450', 25, 6);
    T('850561.62730938', '16461.99548', '850637', 32, 4);
    T('9.4E+3', '202.0275129747787614904', '9466', 67, 0);
    T('-2.91808E+7', '91032.36', '-29098088', 60, 1);
    T('-849.08271498183289760010', '896', '-81', 99, 3);
    T('8.35835971812', '-398.53', '-390', 50, 6);
    T('1793621233521230.7', '-4656700634', '-25398418', 91, 5);
    T('21.3852779063', '865.7348', '885', 83, 6);
    T('2529787.816554499958', '70.70065451531', '2529791', 1, 3);
    T('-658618.0002888509004211', '366.067544612416520156352', '-658578', 20, 2);
    T('648773.8329204166248526989453', '28218.679231475081', '650879', 44, 1);
    T('-5269279287.4010608', '77750.4653456990008', '-5269278721', 93, 6);
    T('-805.6219', '28606.871105219', '-1', 37, 6);
    T('-6.813204592', '-286588.5893', '-2', 4, 5);
    T('-4.7589057E+13', '140958.948666653027456', '-47589056860194', 26, 1);
    T('-28536620.686033785052766144624', '-61344.298063042099774143931880', '-28428', 9, 5);
    T('3269.462291948399841069090', '7.9E+11', '790000000197', 60, 5);
    T('80119741.5078', '914269566.360767774096', '922658815', 87, 6);
    T('-4662.73758578414', '4.9352', '-4658', 28, 3);
    T('4703.927220', '-1648735482068283530.68', '-1648735482068279425', 76, 3);
    T('62913.013903', '5564688.74109699542839', '5570001', 1, 2);
    T('-5135.70', '3.495E+16', '-5135', 4, 1);
    T('-8.31772544726214E+17', '4519744.1963333', '-831772544721748016', 89, 1);
    T('759414652804188771201.5', '-8090.568148', '-3097', 59, 1);
    T('86012577901729691.47353351360', '22111.3959747149654153791', '86012577901729759', 89, 3);
    T('1.73809918279335', '323.102', '323', 10, 1);
    T('3.53E+5', '-223269.989877326659', '-133125', 40, 4);
    T('999543467.690720953903137', '-7.6390860762847439707E+20', '-763908607628037071109', 71, 2);
    T('-52465328.233060', '1.4426611E+13', '-35687472', 58, 6);
    T('-97446.9869831798846836349944992', '-2834499.121', '-81921', 4, 0);
    T('-8.91503661070', '2.933E+12', '-8', 26, 6);
    T('9387.689528', '7349142.540058272622370525', '7350207', 49, 4);
    T('-0.005450831687105362013', '3.847972', '3', 24, 2);
    T('4670443903.24929045', '-843823.69624140153435', '-827393', 1, 2);
    T('-1480.74899071', '123237135.803097266946', '-1217', 19, 1);
    T('44.9623517156', '-9030104366.54845478714000489', '-9030104322', 93, 1);
    T('-2E+7', '417534990.644514', '-17836274', 95, 5);
    T('16.0566775028184416394386', '-9E+4', '-90000', 83, 3);
    T('-9.370327706E+20', '-68.8953923', '-68', 94, 2);
    T('2295.33304212406762513792727', '3.92604774', '2295', 5, 0);
    T('6995854.705283', '508.0836413853529065100', '6995966', 94, 2);
    T('6.53804001462789515913738502', '432.077395041641854803719', '438', 59, 3);
    T('3.8160887E+9', '4.62406463E+11', '463520329340', 12, 6);
    T('5.9533E+6', '-1.2846418789', '-1', 20, 6);
    T('-529232.77157177345', '8.7E+5', '-4368', 65, 0);
    T('-1157893.0569312429', '9383049611.1205278', '-1049093', 36, 1);
    T('-50.120226423570999313447', '-176444', '-50', 59, 2);
    T('2.82', '-4154291417.9198447974', '-4154291417', 52, 6);
    T('-45356237.83747548533492126', '64628.17380002', '-45351049', 66, 1);
    T('-2569857.936252081063', '-677212.24794438271', '-136193', 36, 3);
    T('553.685260695421', '-255', '-215', 60, 6);
    T('-93932.4368523435487081185650', '-405231.7209909233220', '-12011', 68, 1);
    T('-3E+9', '-1.71755E+7', '-4556', 64, 3);
    T('7059.07817540061', '10.39628', '7067', 33, 5);
    T('-835296790876636.7507338357', '-93290.58404746497', '-74', 28, 0);
    T('-291649.880287408389698118164796', '-9.26366', '-1', 100, 6);
    T('-257', '-13586785882861012677', '-1', 15, 4);
    T('4.7E+2', '-8318545.2676837', '-8318465', 1, 3);
    T('6.686470289', '432.8810034907', '438', 77, 6);
    T('-8.81216E+8', '129.882971414542108206050751', '-881215871', 28, 6);
    T('590.9880936438971', '7232.638470615', '7758', 68, 5);
    T('39.809', '497417.0765680248029285350', '497455', 94, 2);
    T('5241828.9816468492710366', '-19400.1', '-4', 97, 6);
    T('959610926.6930503220793684624', '87', '959611007', 51, 5);
    T('-144647.40718788087713915', '-1226.9030213494100438341876', '-1025', 1, 0);
    T('3.0914387680780601480344773', '-936208566.8', '-936208565', 83, 1);
    T('-9E+8', '53096.31862638831313', '-899948696', 10, 6);
    T('-3.2E+7', '72479598.2160614018445020', '-27788434', 1, 1);
    T('9.59461473847620E+19', '335.4100032', '95946147384762000335', 90, 5);
    T('-1.812830446003600060051141773', '7.9861823613', '-1', 83, 1);
    T('-2296.7291', '-19.153441923440891034346', '-19', 84, 4);
    T('76.028', '-8347807786.028', '-8347807778', 41, 1);
    T('-948044817604663051933', '-2E+9', '-321913501', 3, 5);
    T('62104.4353610624291967717952855', '-608581', '-592197', 12, 4);
    T('293.339565752888794', '-9114675.998', '-9114643', 63, 1);
    T('7737400.7636989649724', '3753621413', '3758077885', 88, 3);
    T('-9.947769472972562', '-324849676.0955128380', '-9', 91, 4);
    T('-720895.29951101145', '-2.60E+18', '-196607', 54, 2);
    T('97180.9730', '-1.318332E+7', '-13107268', 79, 2);
    T('-5680391.6203432248', '-6391443244.8375880911', '-5549315', 49, 4);
    T('7164495225.03461642', '-485.29580213846738361', '-133', 7, 5);
    T('-9.858E+6', '-843389', '-281165', 27, 2);
    T('-6112718636.6419449367128227193', '-86718.480994157889921', '-554', 57, 0);
    T('9780.8103242547344016623349590', '-939.9935276', '-395', 14, 5);
    T('-59.458312474452801436365775', '860.86', '-35', 67, 5);
    T('30479.97051117298', '2743724.28228425826', '2752431', 7, 6);
    T('8.41931', '582.346853166364529105026522', '590', 47, 3);
    T('-5155088087.7808542', '-9.2E+8', '-843318487', 41, 6);
    T('638.50672249', '335.6605594635514137353496507', '895', 36, 5);
    T('507303.148403385', '-2.15885E+7', '-21512721', 24, 1);
    T('673.316550559', '-99.045351385105132770', '-67', 65, 0);
    T('61646228.5203259105', '6.2E+18', '6200000000008430996', 32, 1);
    T('196.7462462724315697972617', '692587680.643860684474466872', '692587748', 63, 6);
    T('-99927.2261364532307599499639', '-3.629693130513495467177265271', '-3', 65, 6);
    T('7.4483E+7', '8E+6', '75142968', 17, 1);
    T('-1958926046.99996028427', '964871846.69542768977', '-1145049178', 28, 6);
    T('8.863E+9', '-81003388681.0516864444', '-72144722441', 30, 3);
    T('827669.33911294809201710857719', '94.32087051836358170038', '827743', 58, 6);
    T('-5809508129.1268561648972', '-67608490.0199', '-397089', 23, 4);
    T('-2.85879771771835095', '356411.848', '-1', 10, 2);
    T('989.62348', '14561974407031551862.2', '14561974407031551999', 19, 5);
    T('-4045.37179448873346537', '-996.1045180771623', '-961', 92, 6);
    T('4742045223.58259170368633391', '-179936362616.53', '-175641329745', 36, 4);
    T('-20516743.9538558786693849375', '-46816.2076304248939157318', '-1671', 36, 5);
    T('-856585943.1', '5.75701E+19', '-538327', 22, 5);
    T('3347405.4500', '27.19850093053207786', '3347423', 32, 6);
    T('-7925394.56609921412159528922769', '799157453.49', '-5816849', 55, 0);
    T('5933.60734773058177340', '8122.0191998873630613169452', '8127', 35, 4);
    T('-725224045.566', '2.26E+8', '-570557037', 8, 6);
    T('525863.177542504055920', '-9.2', '-9', 52, 6);
    T('474759.846426714383922', '-96.0835281546510882939', '-89', 46, 4);
    T('81067567', '2E+3', '81068031', 44, 0);
    T('-5.5891658734E+15', '9314.108070204', '-5589165873399966', 78, 4);
    T('25.9776662827880943307', '937.914070971', '953', 28, 6);
    T('872939.582862241638139309031', '7361.130530873969561176', '876011', 79, 0);
    T('-53.72683095055894', '-969637.340044613164967', '-37', 76, 2);
    T('8655964.0425888201305', '-14.477006009633946119917', '-2', 87, 3);
    T('-3619.4206404702365160', '-26415532.999352591530', '-35', 40, 0);
    T('-4.6E+9', '-65.376003', '-65', 45, 2);
    T('-9310465882.06002769247903', '-5231.1711646945587531696597', '-1097', 6, 5);
    T('498.276376386322', '-227250.302615653520729687350', '-226818', 26, 2);
    T('-2.08', '-767080075.4351', '-1', 89, 3);
    T('1.015E+15', '9.21041756504', '1015000000000009', 2, 0);
    T('-6.1659175344', '-14234601.71894', '-1', 22, 6);
    T('75.574334981', '-77990277.9', '-77990277', 56, 6);
    T('-4144731501.036217214', '4011.320284', '-4144730181', 28, 0);
    T('64.838644355330415563239', '-6336777074.872926002', '-6336777010', 63, 4);
    T('-3.3914E+17', '39061057.9337548212575680', '-339139999999998399', 61, 1);
    T('6E+3', '340378.407400541795321269', '342010', 54, 1);
    T('-47675.92167983724310788640', '-5.51E+6', '-4651', 16, 4);
    T('-3228.8', '-50.838173424', '-18', 77, 1);
    T('550516.398987205968', '-319.2899', '-267', 20, 5);
    T('-4.3109E+6', '1.2891588063163882030673', '-4310899', 43, 0);
    T('-5.88192467E+10', '-83993039.53530045', '-16785483', 15, 5);
    T('-905868.114373620299361', '97502682.06', '-4610', 31, 3);
    T('-6.448933415782041997380796030', '9281077687.816616', '-1', 72, 4);
    T('5.0E+4', '46526153.78009104875872', '46526425', 35, 4);
    T('5707069592.6574', '9E+5', '5707398072', 63, 3);
    T('-185179271.6775264518391', '-635042.6843856397590748', '-626817', 86, 3);
    T('-144033.943217716', '98232.9929711699', '-131073', 27, 2);
    T('8832600.04854570', '-3286.8501511723896797558107755', '-2182', 83, 6);
    T('-71600732.98058465', '-5.7713157361E+14', '-4456972', 30, 3);
    T('-34863.3169134851916', '-4274.8107606759303148325830', '-33', 51, 5);
    T('-39.695911851113283562296', '6.51E+7', '-7', 76, 1);
    T('-9498.56953891279293052806', '-5255.5', '-1025', 2, 3);
    T('-577601.59354327919152909050321', '81.49538981', '-577537', 76, 1);
    T('226.21', '-22359.7637086437374952911409127', '-22293', 82, 2);
    T('9.2890166E+18', '50.9724772859716849439603115154', '9289016600000000050', 10, 0);
    T('4858874955.96066', '128.91115811837270831330017542', '4858875083', 49, 2);
    T('-917983694.994947022447', '-4488295.07801376053323460392', '-282693', 12, 1);
    T('8.762612000E+15', '223819.21120189090', '8762612000221771', 68, 4);
    T('-180.9', '8659.686786194', '-33', 11, 2);
    T('-5835397547.8039382301', '264.007623669472633930538324659', '-5835397283', 81, 2);
    T('-3.98250E+10', '-703618.290171647986942185741', '-1026', 46, 5);
    T('22232.87', '6.7905', '22238', 77, 3);
    T('-3.527378506278', '4.89E+7', '-3', 15, 1);
    T('-63416789.014919980485', '11974767623.351002681735167', '-34048465', 53, 0);
    T('96547885.4901828', '9.5E+6', '97645933', 21, 1);
    T('-964294300.6143266', '20639006.81', '-943788674', 60, 2);
    T('12910.5893335', '6552170.137553867910608', '6552174', 27, 1);
    T('21130.287156212721545450', '8.3E+7', '83000010', 21, 4);
    T('8.6068278371046E+20', '4.1E+8', '860682783710462099328', 69, 4);
    T('2306.211', '3.3815E+9', '3381500258', 54, 0);
    T('-3.84343E+6', '-8.59165913792', '-6', 37, 3);
    T('-5833.8956977853', '-974374.700308', '-5633', 9, 3);
    T('9148548.151218983587579099327', '-868.956134957979567475227', '-868', 36, 6);
    T('719160', '4477212816621409562.96', '4477212816621436218', 90, 2);
    T('7.587162E+8', '9E+9', '9621282600', 88, 6);
    T('541.938541450965', '71.608432943785650488', '607', 83, 2);
    T('-67.4455', '-880449.12589567282587478576231', '-65', 19, 3);
    T('383900.9321734410401253', '-3120451069131056673.54672', '-3120451069130974241', 83, 0);
    T('2371712017.317464', '-66335037.74500647777097', '-44040493', 78, 6);
    T('-233.67268635095657631', '-2.71E+7', '-73', 46, 5);
    T('-44982.717916825', '-81047.79969364014286886475', '-11413', 39, 1);
    T('-9.76051654651667737E+20', '-5722208.9784', '-4603912', 7, 6);
    T('384268258510931.73717388188', '-1539.596612388', '-1537', 54, 1);
    T('-8308.23452389643', '962994549597.6448119', '-35', 21, 1);
    T('-2305241541.10', '68263047654198224.2', '-2302750725', 40, 5);
    T('-629169.1', '4925866.39', '-36881', 26, 1);
    T('4697.362', '-189954.2578905458481147020', '-189441', 7, 3);
    T('621.110719333064', '325256972.780833012858038989919', '325257069', 70, 1);
    T('-5304874.407', '25231.925292838065395676', '-5279777', 74, 1);
    T('44.00191714595517', '1368.4755', '1404', 88, 0);
    T('31575051711686.5083870644083', '-9.093', '-9', 1, 4);
    T('33512.2013', '-7946337779952299.847808933', '-7946337779918851', 61, 2);
    T('204048904548.955048', '36951.1702303397543', '204048937335', 41, 1);
    T('3128754857.9588213', '732202783.826744894', '3153954751', 48, 5);
    T('5.38178E+13', '-9576577763013.06609494874635194', '-8819984041157', 61, 1);
    T('916104732.597188138408577', '-628705110.98485', '-23150914', 34, 0);
    T('-1.966364158425488450480', '7718.171042', '-1', 55, 6);
    T('43420', '-15.12415', '-3', 91, 2);
    T('122657404.632302402', '-1.98E+5', '-1284', 87, 4);
    T('-81278751.009', '-266.4849917674142904', '-265', 3, 0);
    T('5673017485.1847571749886', '215.24206194453960633', '5673017567', 76, 0);
    T('8950476931497.59325552298', '-52889.330472817614879464804', '-19985', 31, 3);
    T('1671067.434270339807562', '-81087472.0612227502498', '-79954021', 57, 2);
    T('2.96802', '4.5E+3', '4502', 9, 5);
    T('-4E+16', '7.8242', '-39999999999999993', 63, 4);
    T('9.6883E+7', '-3.4703919E+9', '-3390679620', 37, 2);
    T('9501011269.2003120284', '27655.9258182094651', '9501011271', 94, 6);
    T('-1.65883124E+9', '164877479.408', '-1644953857', 15, 3);
    T('-5.140', '43760613.452530921433732', '-1', 94, 2);
    T('37.9458782909900215', '-2E+5', '-199963', 33, 5);
    T('-990.949375575776167966029', '-850274.353193601776258654619157', '-322', 30, 0);
    T('-7.683960E+20', '6081635.1191328698753316763', '-768395999999999161245', 64, 4);
    T('2.1047672934853619324', '1975.61971986584598614737953', '1975', 73, 0);
    T('6.77330149038', '1.06584E+17', '106584000000000006', 49, 0);
    T('-32089.49703729833277107', '-28.163', '-25', 66, 0);
    T('2.913E+4', '-36.28936607415985796694109', '-34', 29, 4);
    T('-62.7077069', '1.08856990E+17', '-62', 21, 3);
    T('8409828156324.30664352447', '514.06131696647256785760', '8409828156326', 76, 3);
    T('50.244', '-6.216E+7', '-62159950', 37, 1);
    T('-6265.6378411', '-7025802192980708509.467191849', '-2073', 46, 6);
    T('4.9398765461596E+17', '-1907115936.386114', '-1630291488', 81, 0);
    T('-189789515.644', '14910.8185832737679204428068', '-189777217', 62, 0);
    T('-810375705.9390358220', '702763618.012812586878502122', '-269223961', 82, 4);
    T('725.0988477065850', '8944', '8949', 16, 1);
    T('-3.64964099442472388313484397043', '-1796319.404401', '-3', 28, 2);
    T('-8.71112E+9', '-1.00608E+8', '-87630976', 22, 6);
    T('20150413.503017652807578928', '-2.0E+5', '-1331', 7, 5);
    T('-237888.185102804893141', '-7167123.9709222', '-65555', 29, 5);
    T('2747.99905', '-9.5865843144775483094932', '-1', 4, 0);
    T('-2.088', '13.63757198399677', '-1', 85, 0);
    T('7.6E+4', '-5.254906E+18', '-5254905999999932192', 64, 5);
    T('73363', '80215119.08938384024483812203', '80215775', 54, 6);
    T('-994596.137114', '1288.58041709707897541180945381', '-993316', 35, 6);
    T('-48.16133', '8117157999.2149', '-1', 22, 2);
    T('4.26E+7', '5616809.516996831294997393033', '48215785', 95, 5);
    T('-85895414.10817232771393485', '-68119.98', '-2069', 43, 4);
    T('7182923.2371993065641', '-52611926.45878806010760297', '-50479381', 41, 6);
    T('28.114505478764979600949613', '74553.4773641120345214560364652', '74557', 3, 4);
    T('-89.6543642437173824393493444617', '-4.8E+8', '-89', 80, 6);
    T('-169976282.1256896708151284380', '893193580.69', '-167813266', 18, 5);
    T('-99700562', '4830.2214739403529600447', '-99699970', 7, 5);
    T('-3628899', '973822.080343470', '-3212289', 97, 1);
    T('6651834735637.240155', '241975.08853049432', '6651834776887', 82, 3);
    T('1.81E+7', '31211907.054005682052246740', '31223715', 30, 5);
    T('-78723.48', '-4845204617.1', '-77953', 8, 1);
    T('45425.7698857131060827131', '3.623E+4', '48631', 90, 0);
    T('-9638.488176232', '328558832.6977144054', '-1286', 61, 0);
    T('8.8051401270251174673', '7299688.11924603673', '7299688', 90, 6);
    T('-4373795755.0814832098664605', '8239.11818576152845', '-4373795713', 94, 2);
    T('-233.08063404651348277414818441', '80636.173271906749100335303725', '-1', 25, 2);
    T('667325126.7412575', '5.84028E+7', '671070198', 79, 0);
    T('9.74E+4', '12580315883398581.1031209647249', '12580315883470333', 85, 5);
    T('-1599269641.9279334729613497', '26.4480739', '-1599269633', 56, 5);
    T('7744043650856059346.7957997569', '977.45444', '7744043650856059859', 39, 3);
    T('16356', '4154411.92260645700', '4161519', 19, 5);
    T('49976344.36954', '-7875231185.4923282145123', '-7868803521', 37, 1);
    T('8.1280447E+11', '8365831608.5777153', '816025957880', 24, 2);
    T('6.3437E+5', '4.5E+5', '1048530', 59, 2);
    T('266.363220261041422703', '-8.11E+6', '-8109734', 36, 0);
    T('-460824115.26', '3.8E+7', '-422840883', 96, 2);
    T('-643161.10477796', '98667.945321486090378790706540', '-544785', 57, 4);
    T('924542636.92113', '6.929453182789636237317622553', '924542638', 57, 0);
    T('-104186317.45933571592818', '-49559.500', '-49541', 94, 4);
    T('-7.38E+5', '291317.41', '-721419', 58, 6);
    T('862.81750', '-8799.64858371867912838043000358', '-8193', 51, 0);
    T('-7.4048250423052024477', '-3.45509649', '-3', 9, 2);
    T('-5E+13', '271476.790400065630', '-49999999736716', 8, 4);
    T('687384.4', '-38280.82869595', '-32904', 22, 3);
    T('7.277E+5', '1763426.1193', '1833718', 39, 4);
    T('89988.7973', '-43.337', '-43', 3, 2);
    T('-905529.438970026', '5.1343081E+9', '-557113', 27, 4);
    T('2383715022.0317154629342778', '2.2E+5', '2383928302', 6, 6);
    T('-65330802007.732616768501167484', '6424', '-65330799687', 100, 4);
    T('-37048.32431479924675517', '784.96', '-37032', 11, 1);
    T('8814606705.21812903', '-98575489276766132.103874372', '-98575480462165635', 34, 2);
    T('4.99992E+11', '-33090199414.30395103123869034', '-15368194422', 66, 1);
    T('348266723.8930985790485540', '-9.3125E+9', '-9312491805', 61, 6);
    T('3830.98233493146', '-83.3816908005638262142702', '-1', 40, 5);
    T('97483.8683467878690487', '1.9E+2', '97535', 90, 2);
    T('-836.741', '2.5195836959367E+17', '-516', 73, 1);
    T('-714366.26241034791104', '8007.76870494632498', '-712761', 13, 2);
    T('-89.54133018325736235978', '-8.593702686', '-1', 23, 0);
    T('8.9622895635', '82001338.972', '82001338', 1, 6);
    T('1.5E+7', '78463.365655892503893781', '15070207', 89, 2);
    T('90039820.514150981142909', '-836.36926437703448702265201886', '-324', 60, 1);
    T('7626606.8137797', '9511366.6471301', '16089070', 97, 6);
    T('-99641650.1001957736583598', '1.7351633227E-62', '-99641650', 55, 5);
    T('-273621414.5', '504.6223', '-273620998', 94, 5);
    T('4900724.744991762406754333', '87.6691285041571601781', '4900727', 77, 0);
    T('-7594.3022496352647320577', '44019110.1', '-4106', 53, 3);
    T('-6.41E+12', '-5.3605E+17', '-4947831751680', 50, 6);
    T('9.5999E+9', '-2E+6', '-787488', 88, 0);
    T('-5.1E+2', '-627353', '-153', 27, 2);
    T('-74.50801865586501021223310', '1938528690.149000507421', '-74', 66, 3);
    T('-1.64E+8', '6026.208820397070683', '-163995766', 60, 5);
    T('882.23310948344066527313', '-88160.14', '-88078', 1, 0);
    T('-4.57122047E+9', '-8.728138183E+17', '-4568793334', 90, 0);
    T('-85952192.132909858', '-68762573.867381049867001', '-68747917', 43, 4);
    T('39358.1617516', '114439331.483828465', '114474431', 27, 4);
    T('-2.53575E+6', '8356715032.8', '-2531654', 84, 1);
    T('58.839055571052443169772147369', '27020901.2081963375816', '27020927', 51, 2);
    T('5925.903528866768911207', '-67912736.8959552040452849784229', '-67911707', 24, 0);
    T('14830923.3639646', '418595236.994121069', '418598383', 86, 3);
    T('137.41164463109980917757783715', '-58.98022991387215456022069365', '-49', 82, 0);
    T('-1.2754E+9', '-7E+3', '-2840', 80, 4);
    T('-5E+9', '-5.9915E+18', '-4865438208', 2, 3);
    T('8.375E+5', '14679694.8150326621424', '14680062', 28, 6);
    T('4.045851151048672', '2.0E+6', '2000004', 95, 0);
    T('2.9365E+8', '-83578.329', '-81962', 68, 5);
    T('-67143.717967684876', '4942348.72609561', '-1091', 100, 1);
    T('3140179.4930196', '-5.9684412998157116942', '-5', 20, 4);
    T('1441764649961095663.6828898', '71.1235020512', '1441764649961095663', 11, 3);
    T('2894905.027', '-83.98562884871561948727', '-67', 46, 3);
    T('-4.2E+5', '2.31297421E+16', '-131232', 39, 1);
    T('8.7016163509', '7483.571306293283885004706', '7483', 21, 3);
    T('755.711422101097793332760', '7.01386554E+9', '7013866231', 74, 5);
    T('8947.7871577195274383069', '-9294557485.3045539', '-9294549261', 12, 3);
    T('582352.6948452470885275', '780089.318204407020063375780083', '780281', 8, 2);
    T('22679', '-3E+4', '-9513', 41, 5);
    T('523.02817732813335596362956', '-8.78E+4', '-87285', 48, 5);
    T('929579106.610768643', '-14824.3253226016434544795190012', '-14726', 38, 0);
    T('99411157.7332', '-61902385732803895.977985279575', '-61902385728067875', 86, 6);
    T('28496.4993827925528725686526', '2.67260920560894966688705579', '28498', 8, 6);
    T('-7555179365.511078973', '1253.69837231169778', '-7555179265', 76, 3);
    T('159.1167205637', '-9.90E+6', '-9899841', 27, 6);
    T('-4281422675.1821', '-2636.2472751', '-579', 87, 1);
    T('-4318.70395286504983723433045', '1.3340409937E+20', '-4318', 63, 2);
    T('344128.7825', '-2.00031E+8', '-199768856', 11, 0);
    T('-1196633.01268306831', '-5892160.344427153210202217', '-1064985', 1, 0);
    T('-3.02044988E+13', '-5043.0167991183606', '-307', 85, 0);
    T('-3.7E+8', '170.0423306', '-369999958', 69, 0);
    T('757.76', '22214300.4768025', '22214397', 33, 6);
    T('-68417303', '2.330580E+9', '-68297495', 2, 5);
    T('1223.75859552600038906348610144', '3.621570E+9', '3621570007', 45, 1);
    T('3708764488.3807715537593464364', '9876.3025594223', '3708774364', 10, 3);
    T('-1.27293E+9', '15923809.063714981710339', '-1259144335', 82, 4);
    T('6357834.08426807875131075563233', '-1462671.770799792', '-1462405', 33, 0);
    T('-8838.91268828', '-13046317.7147', '-517', 13, 5);
    T('2.266171E+8', '902534.307966688', '227403662', 88, 4);
    T('788.036412617', '46000667.390974842889577106', '46000927', 65, 6);
    T('2062339.9871677908105284780', '3476802.4851961255003182', '4160835', 7, 1);
    T('-592954387.9', '-3.577795687876001526735', '-3', 33, 1);
    T('-1220907', '-9E+4', '-267', 42, 2);
    T('908245068.7138', '-6602945.544701653122', '-4472961', 78, 2);
    T('7E+6', '-1.65E+9', '-1645281344', 11, 5);
    T('-359.4', '-8721.58833948593030', '-1', 67, 2);
    T('146001545466.6954726', '-5E+13', '-49855982540550', 13, 0);
    T('-896.6692993371', '-583742259.80712307', '-819', 70, 3);
    T('5904297.6263324483', '-3982338.11468446270577', '-2408449', 47, 2);
    T('238323783.8', '94.65522935631', '238323807', 67, 5);
    T('-3.411345E+9', '9.0', '-3411344999', 52, 1);
    T('-10139.2024', '-63.80', '-27', 68, 3);
    T('-67089086.135393914646', '9.63E+5', '-66126342', 40, 4);
    T('3779177', '-13.2', '-5', 55, 3);
    T('1995.2682556024', '-421947.9541', '-421937', 60, 6);
    T('76613488.96385545450510092979', '-27.4', '-11', 15, 2);
    T('-679.270802662609567066', '78.2929706', '-673', 68, 1);
    T('1.46E+5', '100.2551486155777188', '146036', 55, 6);
    T('-653.4541297086501454902', '-6E+5', '-653', 10, 1);
    T('1.9983E+19', '274162446.3407823942623746', '19983000000274096910', 85, 0);
    T('-8.657806E+8', '-1.003434E+7', '-9961508', 2, 0);
    T('-489.71696105461321161801546', '3522210345.2848864973', '-449', 63, 0);
    T('-968845.04', '5E+6', '-163981', 9, 4);
    T('-609604802.2281982337', '-1.78771E+9', '-537149442', 13, 6);
    T('5.7E+2', '441.708747', '955', 98, 3);
    T('9.77884E+7', '8.3488267E+8', '903310846', 23, 3);
    T('-589671.40704581', '6.3979680', '-589665', 44, 5);
    T('-49832421.570805751056244', '73.6333250591326002189758', '-49832357', 13, 2);
    T('46763878.6010377328420665', '-46678.125749795804325027', '-12306', 90, 2);
    T('841320.0232341540984', '-7E+10', '-69999995288', 15, 2);
    T('-2.04E+8', '8.0195372E+13', '-201378048', 68, 4);
    T('-9.16000810992613524185', '-2.028566824126751535914199274', '-1', 2, 6);
    T('438.50', '7169.642486042', '7607', 36, 1);
    T('-653004495.6300', '-830203844.297482023', '-543688387', 53, 3);
    T('-933.961516168701927855592', '65289.21802691762108656011512', '-165', 39, 5);
    T('-81586857.8', '-1578477', '-1573033', 3, 2);
    T('8518.4207326488648529', '24691085.2', '24699343', 54, 5);
    T('3.0E+15', '95223.946141930674457', '3000000000029687', 2, 1);
    T('9054.7839257354684314268160745', '70.40765731292', '9054', 80, 1);
    T('6.5E+4', '2971231468.798', '2971270636', 46, 4);
    T('-6612.808542099562752727', '-3.99E+4', '-6612', 86, 4);
    T('-226.11678', '-7483136587', '-65', 92, 4);
    T('1305174.8552441', '2861936620.3991', '2862084094', 34, 3);
    T('-893611298.914863246', '99.3613261460658949148497729715', '-893611265', 70, 1);
    T('9487.6521112850101753961', '-390.76213747516680', '-129', 64, 5);
    T('-421160830.38061789', '-14756.6948343218654520', '-8482', 3, 0);
    T('9435773560.272', '-16.824211226319992002', '-8', 61, 1);
    T('-4.78322923349', '-325028.47724220375', '-4', 48, 0);
    T('-9715.8179', '56152616.272575751', '-9683', 24, 5);
    T('3012158256.337', '-53610.803', '-4170', 69, 6);
    T('-5181699670.26392170862413363927', '-4.88861321853766429455335', '-2', 39, 2);
    T('3.06216028258395275881618190', '-6886116.2056529', '-6886113', 81, 1);
    T('2.203E+8', '7.1E+9', '7234250720', 33, 2);
    T('340716577835.03235613', '-57587720.28131336719892', '-52729861', 15, 6);
    T('-51586290530.10635148', '488433.1', '-51586269185', 44, 4);
    T('-7.92211E+9', '-5.81E+4', '-49700', 74, 6);
    T('0.0000856920124558260480758', '209565841.04072913967703', '209565841', 60, 3);
    T('4.96109137', '-1.39839E+12', '-1398389999996', 59, 6);
    T('-3183733060.95573364011415930763', '616198.00711', '-3183642690', 54, 3);
    T('-291.8499194464943277917', '5.93E+6', '-291', 43, 6);
    T('-738913338.162', '-3002793960.56829852633432647761', '-537586722', 59, 3);
    T('-97135123.602357125', '-43832.142541', '-10771', 86, 2);
    T('-40.1275628138715593807851749', '98706240.14903472288570852', '-40', 74, 3);
    T('-36', '8.5309E+18', '-36', 30, 3);
    T('-60174.582122916', '80821', '-49161', 80, 4);
    T('-42551612504661342.9', '-6.18E+7', '-61135902', 77, 0);
    T('-619693036.17205893', '5.983E+6', '-614760676', 27, 3);
    T('9.83883566150544649', '70847462295735.292143086', '70847462295743', 1, 5);
    T('-5924198.878489659', '33.939833312714165', '-5924165', 60, 5);
    T('8.556205244560207760554347282', '-1071691363.312736770', '-1071691363', 7, 0);
    T('-793.49045774159684681822', '-55743096567184180.22576316', '-785', 91, 4);
    T('-303843928.843755039169080', '2.263', '-303843926', 21, 5);
    T('5.830066336870E+20', '8945.64753172360', '583006633687000000241', 85, 6);
    T('-76491661227770565036.4', '-79.3902436325907247078355', '-11', 74, 2);
    T('-2109678.24898592', '-364583090232876259362.9524', '-4130', 23, 1);
    T('8E+8', '8624914723.27556327164', '9391032611', 95, 3);
    T('-3393.866209155251', '85.79099678416821', '-3329', 16, 1);
    T('-6.3090E+5', '-8E+2', '-20', 63, 2);
    T('-571103614.50577701136040348', '-740215.89620862080884', '-674165', 24, 0);
    T('3E+7', '-5849.76686359616', '-5209', 70, 2);
    T('50.42794488201980484', '8975759.38816467', '8975807', 58, 0);
    T('-9E+7', '30936.15681226791004148257', '-89981480', 96, 5);
    T('274865.69845', '-257605170071.0435', '-257604895239', 19, 1);
    T('5.77E+4', '5.16355303534171', '57701', 16, 0);
    T('792939903.053854056', '-429.47', '-129', 93, 5);
    T('5172.789844759860', '-1.9E+14', '-189999999994828', 27, 1);
    T('270.78139978255449942857', '-5.994371292051', '-1', 33, 3);
    T('-353.023115', '124725147268.30066835', '-353', 59, 2);
    T('-688921.559123735106', '2162474919473693.4829919', '-164097', 3, 5);
    T('-9E+3', '29.7422', '-8995', 32, 1);
    T('-5829948.04059800752933259515', '4.939E+6', '-1089796', 4, 2);
    T('426919.8793454194088757710198', '-574563', '-541761', 26, 0);
    T('72.01202', '-20.73480117923424966024865632', '-20', 25, 2);
    T('-80478', '-678.746351486', '-518', 97, 5);
    T('1561766654204.1136018', '15609.750814267256131970', '1561766657277', 35, 4);
    T('-5.95E+4', '31346.14303995575503', '-32778', 50, 4);
    T('289053594.0088', '5963543162.918133', '6232669178', 91, 4);
    T('-96.2', '2261456445.791287', '-67', 34, 0);
    T('-212.21', '-5.2E+2', '-4', 82, 0);
    T('-9.3E+4', '62914.4103369343852', '-68102', 72, 2);
    T('-1E+2', '666521.0782510', '-99', 76, 5);
    T('-6464144.42093999321620', '4E+14', '-172688', 5, 4);
    T('-403311.437881607059615621799520', '6.82032210683100768773334695204', '-403305', 39, 0);
    T('163236170.8668734492490627', '-5522.0591966267', '-5266', 7, 3);
    T('738005738.0505558238942', '4.968240', '738005742', 100, 4);
    T('7.2E+8', '-99.771811477459586205913449', '-99', 12, 1);
    T('-9383.82089830960971392', '311665337', '-1031', 4, 5);
    T('7.4305E+8', '6050.81875037809914', '743055282', 12, 3);
    T('7926113.5203534016091777', '1025.345355934353685', '7927137', 70, 6);
    T('4.78634010415025676', '-2012933.9969779', '-2012929', 74, 1);
    T('717.073734', '4093.30520628995894658130', '4093', 26, 3);
    T('71859.85428634532158', '3080.335385604555655', '72891', 6, 6);
    T('-95.18920166', '469446577.3', '-79', 92, 2);
    T('-4224615.43130039532', '-8309421201.69', '-4207617', 43, 5);
    T('36113.57843', '9461003.07704336', '9493787', 87, 1);
    T('38468282', '-56989247.755371704909900368', '-19203077', 76, 3);
    T('-68946', '5.1712945513692240589055567409', '-68945', 70, 5);
    T('31624764326685.437382876001', '3264.5442540705742952655178284', '31624764329949', 25, 2);
    T('-2901700.217520', '-49335366.7256116466902033748196', '-2114626', 35, 5);
    T('-115.634484701437334014120451171', '97865.7152718356317050668', '-51', 71, 4);
    T('-7781510619.7', '-756683.596825', '-2507', 40, 0);
    T('-24105013136660.39', '-8473835953.983481345348', '-1611942161', 10, 5);
    T('7.246E+5', '-739173022', '-738517126', 36, 6);
    T('5.198740927801E+17', '3545.1673015637055', '519874092780101113', 12, 3);
    T('-43447.4252837931922381993318676', '-5979598', '-10629', 62, 0);
    T('-9E+8', '73.53', '-899999927', 76, 5);
    T('125.1650419767959716', '-4.94343669409164289893365665927', '-3', 40, 1);
    T('5824159229.374', '-1.45912E+8', '-9592835', 26, 1);
    T('-879.90515469891444175607395303', '-29.753896757316045452807472325', '-13', 38, 1);
    T('421632704.07', '-8.200E+4', '-16400', 46, 3);
    T('9.9E+5', '-66643494.24212', '-66118662', 70, 0);
    T('70456.85397604410277350937', '575478.694403664801575758992', '645118', 38, 4);
    T('378707.459950337164', '-5057289536992951735.94926980', '-5057289536992852133', 94, 1);
    T('2303.36288314318617113524719065', '-96342138.7561892464612822558636', '-96342017', 6, 5);
    T('1795729255.093969787237692', '-212.442686961430211235938516', '-145', 43, 6);
    T('-7.094E+8', '-3597.65850573344', '-1037', 6, 0);
    T('-99510.05641', '43894651.4408145099', '-133', 88, 1);
    T('3.245E+7', '7100234011974.3195803992871', '7100250928598', 92, 3);
    T('4.541206575508858444', '8.9300702177250761872664042528', '12', 84, 4);
    T('-742.802139912', '-8.9765446704095012E+17', '-614', 77, 6);
    T('-2036984206.08218539673652', '-4.95532263791E+16', '-289990926', 70, 3);
    T('26.5069631882710056984158475445', '1989.603667188294', '2015', 20, 1);
    T('-721986458697233.9', '92879643.10146706448026128', '-721986458616833', 96, 5);
    T('-998.8224279493', '-142.737', '-134', 35, 4);
    T('-5743597351.9109032464', '-59116574.972161501', '-33555461', 90, 4);
    T('-372210487046641437693.774560053', '379137393.079020131472791', '-372210487046606832269', 16, 3);
    T('27349719.5167669220764', '995372.4454', '28275455', 77, 2);
    T('-4E+3', '-4E+6', '-2208', 54, 3);
    T('2.7E+2', '-9127.80853795183281796435463757', '-8865', 17, 4);
    T('99.49235412577507830209024721', '-553144.685935724977160', '-553109', 47, 1);
    T('89605.51968076', '71242.39845902', '89679', 72, 6);
    T('-582.56755456039792767733693', '-897748.2202757', '-578', 30, 4);
    T('212414579.7', '-29.470184027063246900', '-13', 83, 4);
    T('-52699.1231138301470043117958', '-2', '-1', 98, 1);
    T('49383.9474040393', '6.60E+4', '115191', 79, 3);
    T('-794565.9', '35588617.100', '-5573', 81, 4);
    T('-7.760081447', '-89504440.269387349490132', '-7', 86, 6);
    T('503.59942', '685184906.4162076799', '685185023', 88, 5);
    T('85795121', '-8830.68770827837148', '-589', 8, 5);
    T('-5723600060.3256275379297998856', '-98192', '-78988', 58, 1);
    T('6644.967538003648126581619935', '16.511178548746328450483', '6644', 74, 1);
    T('-14508418.42457429510', '-1639697808.6', '-10043778', 96, 0);
    T('-928972.9989790870464557', '79.787', '-928897', 97, 4);
    T('-212654.777168561798', '480.2705535', '-212494', 85, 6);
    T('3.4E+3', '-412.7749541732261', '-148', 98, 4);
    T('9289.79343', '-6.6', '-5', 96, 2);
    T('9689063.135988', '9.6508E+7', '97771495', 31, 3);
    T('-8.5192409334060269693838813', '-53.630205238391813095', '-5', 9, 4);
    T('26.2642514848278109352705595', '855771.2410760', '855771', 62, 1);
    T('21385219.448341', '-6761139702979448902.8009', '-6761139702975234117', 67, 5);
    T('-5.39995731E+9', '-430922239.208252870981', '-25971005', 83, 3);
    T('245573.5012992201872317146', '7726.2681599', '245615', 46, 4);
    T('1451191295.053033820892', '5765688806.5914623', '5771325439', 38, 4);
    T('976.5116443', '-4.09345824833623', '-4', 64, 1);
    T('-5008.619484460918079', '-277126062.3548515899768945', '-5006', 17, 1);
    T('-448432225.7', '38.10180546406675', '-448432193', 41, 4);
    T('-870.5112001013004671546461094', '-970026118.838', '-6', 81, 2);
    T('-814.665070607849753315702', '2057489870.6381084138', '-546', 53, 1);
    T('37', '287023.50352797159690707104236', '287023', 66, 2);
    T('-56.20', '-2.72097120238201420', '-2', 79, 2);
    T('-476.861543557153635459118', '-8152078.78426262178891996782365', '-10', 66, 4);
    T('-1205.62548900492', '-388750.84187', '-1157', 89, 6);
    T('-2808299.428951', '1.5522719E+8', '-2771401', 44, 4);
    T('-88.09891748586064', '-8.1278129515651649803887885', '-8', 96, 5);
    T('3.87E+13', '-2.2E+8', '-68962048', 70, 3);
    T('362267877.60643545050', '-4E+5', '-6683', 91, 3);
    T('-8.641816182951809', '-7.81565546E+9', '-4', 96, 1);
    T('853.4179805479708415223071940', '1.9E+2', '1023', 19, 3);
    T('52402', '-697499.6250565', '-663561', 25, 0);
    T('65471113.4870490405669', '-33.26679', '-33', 27, 1);
    T('-4.245E+7', '-5E+4', '-32848', 61, 4);
    T('5.994592303', '-2328.7207099243630511894', '-2323', 36, 6);
    T('304.3521089896907221613637', '-14.730260', '-14', 98, 2);
    T('2.4934545', '-2.8E+5', '-279998', 85, 4);
    T('617.2349', '422851112480841', '422851112481385', 65, 3);
    T('-481.8879034', '72154935.4980453070374412296951', '-193', 61, 1);
    T('5.7075E+9', '7.77E+7', '5715893216', 14, 1);
    T('9794821220486493.09', '-16.51966418235564099012', '-3', 65, 1);
    T('3.8452932', '-68893295.5376', '-68893293', 59, 1);
    T('354914256834933242023.5577224', '-97413.84469701', '-17409', 93, 0);
    T('-1245504.018564744166', '95', '-1245473', 88, 0);
    T('-3.1846613421905781780852', '-6648.887684486441832484783', '-3', 58, 1);
    T('96.43275366871313', '-37150994.16814', '-37150994', 56, 0);
    T('-148.253052313826537608', '307727141.71524354943002249', '-147', 84, 5);
    T('62205035.43740715936348570', '813.0', '62205807', 14, 5);
    T('5.363257', '90.082427', '95', 82, 0);
    T('254840.581712159956165284535980', '-20995.77735', '-4099', 98, 3);
    T('-8.91212144196648644E+20', '-14.76800702791658908796', '-14', 45, 2);
    T('-8.8', '77920.8405718579447', '-8', 98, 4);
    T('-1080366538631.255770726588', '681.9441096453200632925', '-1080366537991', 17, 2);
    T('4.77944219091E+17', '-1.1406', '-1', 70, 4);
    T('45.2423590383376257904', '-963775.28341', '-963731', 31, 6);
    T('3.4188285226797057030', '-282598453.707115492540715731764', '-282598453', 46, 1);
    T('21321248.64070', '-5022573197.464', '-5001322637', 71, 5);
    T('-5.9670683851', '48751318', '-1', 13, 4);
    T('4394.678089265380', '254599552.59409', '254603690', 43, 4);
    T('-5.0363779064446752360', '89898998.113253240', '-1', 86, 4);
    T('551.537096596461949', '-576165.5390219960512379267', '-575617', 5, 6);
    T('-4.6775879', '-919561266.7831739082465590', '-2', 44, 4);
    T('81.705359084685228725267', '664487.6203548286783', '664567', 12, 0);
    T('-621.69', '742118182.9465635419', '-73', 37, 6);
    T('113.6228', '-7.78E+8', '-777999887', 21, 1);
    T('-5438579383.5711408347620770', '5.504604149135E+17', '-5371469975', 69, 1);
    T('79430.797335528143914', '-22327372.92860330', '-22315018', 24, 2);
    T('38.76494630', '840', '878', 31, 6);
    T('1650908.31079099766652490363', '84.18142742', '1650908', 64, 1);
    T('8', '4930737133.0329291', '4930737133', 72, 1);
    T('-27424.4125246102815796610', '-9.89646E+8', '-18448', 97, 1);
    T('-98.784985594', '7201064.96596335416', '-66', 18, 5);
    T('1.3E+3', '514390110.7939212728265', '514391390', 25, 1);
    T('958.56', '5403443.76937940', '5403583', 24, 5);
    T('740904.7', '78', '740974', 80, 0);
    T('-3409373968.1400037884089262', '-3075.023', '-2051', 100, 5);
    T('-49.3868137676', '-6828.4644565149205966680072119', '-33', 83, 5);
    T('2047.539414463268406250934', '7.0967247E+10', '70967248895', 81, 0);
    T('5.2976201282487878992662880447', '928268.1548628398', '928269', 53, 5);
    T('-2671.49', '-41123982.79674182539455', '-13', 92, 6);
    T('-1236.99672936896400827593360142', '-2508.18', '-196', 96, 2);
    T('-2534.760', '-42634.5798138957918980117187', '-130', 60, 1);
    T('-712875974.6606787630076', '-6746683.12256663550371277897424', '-6590977', 9, 5);
    T('-9.968E+9', '8.7102E+9', '-1342210368', 4, 5);
    T('1432799411.43454868006120139', '68.613812807461415349', '1432799479', 18, 5);
    T('-94524473134.598258571813', '689483282.810346520749762440', '-94522855726', 2, 2);
    T('5.82E+9', '-49488.4965742', '-49232', 19, 3);
    T('-192.934873354425733', '50149.89572', '-27', 56, 1);
    T('-78564094724811.1', '-6664969099.18756228373469224', '-4278923', 26, 0);
    T('-9284442.61597971788186536443', '3.9E+2', '-9284186', 75, 4);
    T('-9.663506868', '-8.2444', '-1', 2, 1);
    T('-506.9930859', '-18.4529283826207', '-18', 64, 2);
    T('4493298829.048549719675', '-42718520371846.69', '-42718351401473', 80, 4);
    T('-379001.747543444863468547527497', '94.699308996190893030578214', '-378913', 25, 2);
    T('7234178.97', '-6113.90475412269243', '-5473', 39, 3);
    T('4.1E+2', '287663.84', '287679', 65, 5);
    T('-5.8E+8', '-1.05240430918237182265521490', '-1', 17, 6);
    T('-6.5E+2', '-295.0986111250466', '-1', 50, 4);
    T('488564833439555034094.065', '42101.58899', '488564833439555043327', 23, 2);
    T('309607763.1', '846233.416433978462261789632706', '310181339', 46, 6);
    T('-4.74843495953081923196865863351', '4739090394.9699647561056039', '-2', 92, 0);
    T('3.467715E+8', '8619142.48000731420274298', '346805422', 85, 0);
    T('6.44', '-749.5654692512898', '-745', 30, 4);
    T('2.1026765401033', '-840.725417456301266759540', '-838', 89, 6);
    T('274712.867058801211814316', '4874082.243', '5144442', 70, 2);
    T('51346774.5480847', '400.79917418454973669055063', '51346902', 73, 6);
    T('-200.249263940828', '-8E+1', '-72', 34, 0);
    T('-5166167.11017', '-9638961', '-136209', 58, 0);
    T('-378', '2245853.648778455460', '-289', 73, 3);
    T('-9256888.26603950334894707328', '-79.545001340161', '-7', 53, 6);
    T('7.5084E+9', '7.192960991194373671344935303', '7508400007', 46, 1);
    T('-3821.13036', '8.87280E+11', '-749', 74, 1);
    T('8278275.2', '8.53E+7', '92263203', 21, 3);
    T('7.0E+19', '10135703.7889073205774692199', '70000000000008562839', 25, 6);
    T('895043229.778', '5.1882E+13', '51882089211549', 27, 4);
    T('3131.099794', '-9.75713826278245953E+20', '-975713826278245949893', 100, 4);
    T('-603055754.175', '4608405059.4', '-558973065', 16, 6);
    T('-63064857.072365176972', '7.8E+6', '-58739481', 42, 3);
    T('-754.906', '519177608.6128830844647', '-626', 44, 4);
    T('7.8636204', '6587325.84408415237235939', '6587327', 79, 5);
    T('-59.60674679454999', '4.1E+7', '-59', 70, 3);
    T('-27548440.7277094010', '-3378194993.09', '-16779793', 63, 4);
    T('201753339.0080702493', '-1.964E+7', '-19475461', 16, 4);
    T('4960.4757312283467550540250', '-9.88414', '-9', 75, 3);
    T('-29.703148', '-9.8E+6', '-29', 17, 0);
    T('5768409.8208', '-8.648E+4', '-86279', 52, 2);
    T('-202907.739917658', '-2.23678507', '-1', 91, 0);
    T('848.47003659403650', '-5.69621E+9', '-5696209936', 13, 1);
    T('253025177.1998659995688218868', '-7.0114605581675750604990613E-8', '253025177', 100, 1);
    T('-9.7255133E+8', '5324148.4766416496998858931', '-967229570', 8, 1);
    T('6.401619496516', '6E+3', '6006', 4, 1);
    T('-80219275.2769386330918603', '5.8793E+6', '-75499659', 11, 0);
    T('-18692.7', '3388016440338.34252535', '-18690', 66, 6);
    T('-1310.353725890', '97244.59265740846', '-1026', 87, 0);
    T('-2.611', '-8010674', '-2', 31, 1);
    T('-8351.40524107373305', '-83419.801067722881613934366805', '-155', 40, 0);
    T('6147239.4382569805378651317037', '-549.622229804471564110025438656', '-513', 71, 5);
    T('6023490093.869491880586223527', '32.6384964276419918388849346', '6023490093', 26, 6);
    T('-57.2688358314463130703', '-6046.3552366530059831842650', '-25', 6, 5);
    T('-4.33870440E+9', '5679048351.615909', '-8388609', 23, 0);
    T('-35848107458.18368', '9.27673002', '-35848107457', 46, 2);
    T('18621509420421134.7765951116977', '3776358087', '18621513196353231', 85, 4);
    T('-2.37369E+9', '99.08338858327758776148336363', '-2373689997', 35, 1);
    T('609462476', '9.4872448E+8', '1021307852', 42, 3);
    T('-9.180930759435620557652784', '224.767340264740', '-9', 84, 0);
    T('-4.75373021375134615576', '-2.295179387632E+18', '-4', 92, 3);
    T('-477207.493468464055303726243', '5907.817395', '-477189', 66, 0);
    T('-1282300.06281121160052308924', '34082865.70267', '-1278155', 42, 3);
    T('998.82510020318676', '-119.85356', '-17', 63, 3);
    T('-573417634.707', '72958.914088626811062388472', '-573349890', 53, 4);
    T('1581.819990', '68.7296084081259646768249', '1645', 19, 2);
    T('65041.8232519498126216319', '-3.1E+2', '-293', 94, 6);
    T('-702504', '7.73E+4', '-692228', 18, 5);
    T('5.9E+4', '4.63E+4', '63228', 60, 5);
    T('-85632472.3898', '1668209052.0974393819273468803', '-68166724', 73, 1);
    T('-9252.847', '-624.898165231169687853', '-36', 86, 3);
    T('-2.610166E+8', '-1500.53187401632067435183641', '-1044', 61, 3);
    T('4669911.765846158946862', '4.6129891053E+11', '461303170519', 45, 4);
    T('84299493.5366804844798927', '-7567612.804063', '-7417883', 33, 2);
    T('-32.4', '-513932959.552126909', '-31', 85, 2);
    T('6.9', '43410670.8326', '43410670', 54, 1);
    T('930.30999771551492', '-6E+2', '-86', 10, 1);
    T('2138.74812390642061778572264850', '-660.12197', '-642', 25, 1);
    T('59421.26', '-4072.03154643112675557268092111', '-2019', 50, 3);
    T('5.94E+5', '8.492108720', '594008', 9, 0);
    T('-657070.25301', '7.5E+19', '-132782', 94, 4);
    T('-324.920', '-5.58560', '-1', 78, 4);
    T('-8.5722182976989546805109379', '-128.758736318686949223', '-8', 37, 6);
    T('-19.9249374057118068398309726', '-1.037E+8', '-19', 76, 0);
    T('-456637388.54677385277695417725', '-201318.27458', '-201282', 34, 4);
    T('6.7E+9', '-11439.996048121411007', '-3247', 84, 0);
    T('4736814093.360503334', '-4788214.5', '-590833', 85, 2);
    T('6.3337646336882172705861030323E-8', '-265287421.4781585795', '-265287421', 91, 1);
    T('-2.726E+6', '9202628.032982980435', '-2199596', 80, 1);
    T('17.93496568548073925085887', '-1382', '-1381', 93, 1);
    T('-131.18153', '1409.10945941330504979481332617', '-3', 37, 6);
    T('424904.8460', '-69331.684495373', '-66579', 55, 3);
    T('-276321028.7548333', '7484.92934522950569586', '-276316676', 43, 3);
    T('-6.681216362027382959341', '533.6155564742', '-1', 47, 0);
    T('67562.1881992482735336494', '3443.2790745814278972691932', '69627', 2, 3);
    T('439462767.451093951509821777837', '-60735.138509498245802', '-17425', 89, 6);
    T('-643998212200.40842890250862', '-87789.950170073749547257', '-16485', 59, 0);
    T('-5375.21187570415855219837960744', '5.64995E+12', '-5247', 94, 0);
    T('69.3526378', '420722.58003969', '420727', 4, 0);
    T('4525431875.959124695614331', '-5018552.8067668', '-4195253', 1, 6);
    T('590064.721589807847', '9.26656516', '590073', 54, 0);
    T('-7305108279.7962', '-62.2253770612344962735418', '-53', 36, 2);
    T('-7878123317.9924019010442735', '3551894.563983385302301', '-7876939041', 46, 4);
    T('22138.0681', '24.6512941024971516838521018265', '22138', 54, 6);
    T('-33822039.35683380278566459', '-2936401615.20131615152129', '-33817671', 4, 2);
    T('423.6862377271', '-28.765', '-25', 38, 3);
    T('-93.47982909666297062432144', '4945569.492727518703345', '-93', 92, 2);
    T('78009055.7757425', '-72130352202827.4383', '-72130351924225', 14, 6);
    T('436176262844169', '284.0146295186876553984820', '436176262844189', 33, 3);
    T('18533872.99493508375251140942', '-452739107.760782927', '-451149827', 95, 6);
    T('9.66E+7', '-7.212967E+9', '-7116423192', 46, 0);
    T('-73936538.7488044427', '-2E+5', '-3098', 48, 4);
    T('-472574989.24', '2E+1', '-472574985', 71, 1);
    T('-6022186.814844221707074964735', '5.02593852E+15', '-5906474', 60, 4);
    T('22627184.068202223196991', '-569582.30950752446493292464805', '-45198', 75, 6);
    T('-31605934.29', '4430.5', '-31605922', 61, 3);
    T('-1.689E+7', '-4447.9591607605425975570', '-4111', 77, 1);
    T('2.450564943004270309157042604', '-17127582.19134943904384375', '-17127582', 80, 1);
    T('3.91575392145327824', '6656.55', '6659', 63, 1);
    T('772.5895864502736543656266', '8.51', '780', 95, 2);
    T('8509868.869390215809130', '-772311600.2531266059929937', '-772276740', 36, 0);
    T('-5.8861971071E+12', '13.90', '-5886197107091', 92, 5);
    T('6616393831.7402483176456', '-2908261902.532', '-620791305', 23, 0);
    T('5.7737E+5', '-93.228859529935', '-5', 37, 0);
    T('3216019180.70', '628788496.284', '3220869116', 15, 2);
    T('6688573895.56', '-7418.668999633264950080149607', '-5177', 86, 3);
    T('-2531341.7780713934609736336', '9.79993252', '-2531333', 23, 6);
    T('719446.3', '-787.2901934430508616477194', '-257', 35, 5);
    T('692.909915555400156289', '8324060189.62590207565720977272', '8324060861', 12, 2);
    T('-69289302.6463078163', '156.29348850195833', '-69289282', 50, 3);
    T('-422.69797162', '167.318352011502814061944779949', '-257', 18, 3);
    T('3187.804696', '-4710600593.506966939355085821', '-4710597505', 55, 0);
    T('5.933843616964730653036', '75342.5880', '75343', 36, 1);
    T('-4068584.05675838', '-1816350.45', '-1709062', 64, 2);
    T('828635679.96814430651095465063', '-8.8714E+19', '-88713999999731500513', 69, 3);
    T('-1392.944161149164480026884', '7.2268E+9', '-112', 71, 0);
    T('-9E+8', '-37700.033462105953854', '-32836', 47, 3);
    T('-6290394.945385589941', '-5.51614E+7', '-4829714', 98, 4);
    T('-5.23938E+9', '5.37249704151130', '-5239379995', 92, 1);
    T('531.073326443176', '72', '603', 73, 1);
    T('-5E+5', '-4.5E+9', '-32800', 72, 5);
    T('-603556.717533931824804089153', '8.3312954029125646186684480', '-603556', 16, 2);
    T('6849.041414591510', '1E+6', '1006273', 96, 3);
    T('6759.7356526578611137483', '563.11402739696698162814970', '6775', 100, 6);
    T('404017.2806', '-4.956622198832340475', '-3', 79, 1);
    T('3E+8', '-3.4705E+18', '-3470499999985310976', 12, 6);
    T('-6634.079', '11197.27247368959997029411', '-4161', 53, 3);
    T('8.860711E+7', '9099617380.89', '9116921318', 57, 2);
    T('83492.9051554490529', '-328.7997247546', '-324', 72, 6);
    T('3.63438831321777035', '-43172.83908244228095', '-43169', 82, 2);
    T('4612943.1833723547378', '70823110536131.78603', '70823110929359', 93, 6);
    T('4E+9', '4E+8', '4294945792', 38, 5);
    T('1967981.413707429195393086782', '231.9', '1968111', 74, 0);
    T('-911630383.49472570', '-14756.99946', '-8227', 57, 4);
    T('8.38329530E+9', '9.4202329145', '8383295309', 67, 4);
    T('-918000841.4', '-2.31027505439749045863943134', '-1', 42, 6);
    T('567917.234575085163866506734564', '-981231.519691638', '-413827', 48, 2);
    T('-95126144.8660852789', '-740.743420269938073', '-612', 43, 1);
    T('1.165848E+7', '3867622956.04360', '3870818044', 18, 1);
    T('-3.1E+5', '42991.54', '-268289', 11, 1);
    T('40030.85782528961', '40.400128745055441', '40062', 41, 5);
    T('-1792678728', '92501.406305361888594792978', '-1792676355', 2, 4);
    T('551760923.46', '-972.2323', '-961', 20, 5);
    T('-82651.868353850428', '2560.60445778744733', '-82139', 41, 6);
    T('2933581.328912837179634599734', '376.45814044461705677196', '2933629', 69, 3);
    T('10.574991', '-256170.838350', '-256162', 27, 6);
    T('-89593775.67672966144453184', '4327.179620891', '-89589513', 69, 1);
    T('-58544584.209553614012555975057', '235500.053589311066433403', '-58474500', 63, 6);
    T('9.07337933088794614034434', '1.28899', '9', 57, 4);
    T('37933335.0338111', '-20.80', '-1', 24, 1);
    T('1345299833.67087', '22491138.04810050102', '1367324027', 27, 0);
    T('4539541571', '79.981881487', '4539541583', 44, 6);
    T('9670658.839423215597231892', '2672028983.02936', '2681470263', 86, 0);
    T('-23.3', '8.9477010E+9', '-23', 68, 6);
    T('-1.8712E+9', '2.4E+6', '-1871192320', 20, 5);
    T('6103615567232.736193614567339', '30258.16803092', '6103615567794', 10, 0);
    T('34055.598506729', '-4.118172E+8', '-411783401', 1, 1);
    T('-634.57290', '5.77E+6', '-106', 64, 5);
    T('-5E+7', '-8238641991165.53', '-5259389', 27, 6);
    T('-4.9E+2', '377.13797132828', '-129', 12, 4);
    T('-4645862.183', '57028687.50', '-50081', 1, 0);
    T('-621276571421.94329270617', '547837.7766', '-621276046337', 15, 3);
    T('232040796129687117056.320611', '-570.6086559394', '-570', 88, 1);
    T('9.7E+3', '-22625.94118016516549186174', '-22529', 68, 3);
    T('-20857.54018567086', '71729.278455233027', '-16713', 60, 0);
    T('7.656E+9', '975.8742701816036959395308', '7656000463', 40, 3);
    T('995060062.0659873319', '89.8313896242228', '995060063', 96, 0);
    T('87.54768908855', '-2.6317121695', '-1', 58, 3);
    T('-98621076.601599756180565', '-9.29916E+8', '-90194964', 52, 6);
    T('7.82343E+7', '-2E+7', '-17837124', 61, 4);
    T('3.5770614E+9', '73239505.47603955729414493', '3581783001', 99, 1);
    T('9423835.16317836829', '-5.07355905940696E+17', '-507355905940004901', 94, 6);
    T('583232071470085717.019693943444', '-3.1327E+8', '-36178091', 57, 0);
    T('248620.4185649845315729', '-81473.820862301668495345544', '-13377', 36, 1);
    T('10905.1466', '-45499.9097713664400511021', '-37155', 68, 1);
    T('287281714815745.668937086490', '29499846.49212', '287281735787463', 36, 0);
    T('-9640018.3', '-12669907.49470348382341', '-8458321', 97, 2);
    T('350912.70765', '-90.828709337764443036992473585', '-26', 45, 0);
    T('625700582.16447928038997', '-19366020995.461791059278065126', '-19361169665', 9, 3);
    T('5.8167891724511E+14', '835924351.5', '581679198468607', 77, 1);
    T('-7902134643.83378', '6.290183596E+18', '-2214592883', 11, 6);
    T('433057.40948083297', '5.1E+4', '450489', 18, 1);
    T('777376677.91399657', '-6.2E+5', '-533595', 52, 2);
    T('-1.44718E+8', '9.1537397600254219904648', '-144717991', 82, 6);
    T('-1.32508628E+9', '874.830', '-1325085702', 84, 4);
    T('4.168660845196', '9510638.94153557549', '9510638', 41, 0);
    T('-7682803918.2', '2.72E+13', '-4322773198', 43, 4);
    T('22.796639030', '-3958.36289266704454494139757', '-3938', 69, 5);
    T('1914952.569645', '179.035254377409852450258913943', '1915131', 23, 4);
    T('5199969785', '-8058368289.748474', '-3221274625', 21, 6);
    T('-4.979679934', '-82.6351273288003276067', '-2', 92, 0);
    T('-6966955.6136765717', '2', '-6966953', 63, 1);
    T('15.542515', '43951.12519720405', '43951', 9, 6);
    T('-4E+1', '-64.270923594927', '-40', 58, 6);
    T('-89249254.3768491181997997719', '3.50188E+9', '-88180006', 91, 6);
    T('-32714596.300936', '-2.21508696330', '-2', 96, 6);
    T('-9.28048610045576', '3.11E+4', '-1', 24, 4);
    T('-44774193526677.37336648327', '-4E+9', '-3428984725', 91, 1);
    T('-251395667016111.18264109361552', '-5289.3773614041462528717', '-4265', 63, 0);
    T('113325.7300948013', '-7732852.689', '-7619667', 35, 4);
    T('858259.297941591626889216848', '-51136.1566560628831877881915', '-50989', 28, 1);
    T('742.3746', '9', '751', 67, 1);
    T('-60.586502', '-337.9434', '-17', 86, 4);
    T('-4215634435.620812314', '508.0622532988', '-4215634435', 83, 4);
    T('60528.668009789524796591007295', '21.3959527956931', '60533', 73, 1);
    T('-1.0466', '-323669651539322301', '-1', 83, 6);
    T('78.62856302', '63.8', '127', 94, 0);
    T('-2232302.39850', '-8.9200622292169041', '-6', 25, 1);
    T('-946038.1925508793476', '5453053.500', '-805633', 43, 2);
    T('785685.1497347461932880', '84.04558534932439866919749', '785749', 88, 5);
    T('23411503.8187773404', '6730072622684.103320', '6730078994303', 63, 1);
    T('-97.01676779692', '7.17492914079226145815', '-97', 65, 6);
    T('-8E+4', '3994659.9420595409305', '-67677', 43, 6);
    T('-138402887.364', '-3319305987835732.40353535', '-934979', 28, 0);
    T('-9.542E+6', '646753693.60815693030343560', '-1118307', 47, 3);
    T('3.06E+8', '761413.99475948516824', '306167493', 51, 5);
    T('-9.9E+3', '-9670149.589', '-1537', 43, 3);
    T('-7.887996E+7', '-2.33600711E+20', '-10685656', 99, 1);
    T('3E+1', '7.805E+8', '780500030', 75, 3);
    T('2.5806793316450806', '31195823.9774398975111', '31195823', 4, 3);
    T('8.291E+4', '8E+1', '82910', 24, 6);
    T('4468663284.3221567', '-11540903.5216127607316', '-10491907', 17, 5);
    T('-89856486.021', '-31812.43883922827859121822', '-6210', 3, 2);
    T('5.88154747612956869745', '-7360.12405675258843405078979050', '-7355', 8, 4);
    T('-993276758.94', '-984264.29077176101330', '-262214', 95, 3);
    T('79151.6359206313154', '3395322.375210', '3407871', 44, 3);
    T('552966255.559081392325894955040', '1031087.5733065406', '553630703', 69, 4);
    T('7.63916229889870363736900813343E-31', '7505224.7033520080572794920398', '7505224', 97, 6);
    T('-76.3058544690598438', '287205683.889', '-73', 16, 0);
    T('-1.258434E+13', '2', '-12584339999998', 51, 4);
    T('1.0E+4', '-605.199', '-77', 9, 3);
    T('98174584.40', '2030256851.56220860147', '2111522555', 12, 3);
    T('-216788072.511699020', '1.8231590485663', '-216788071', 100, 4);
    T('-9', '-23804.81851', '-9', 93, 6);
    T('213585.01852543', '92065', '223217', 17, 3);
    T('803061860362686.4025786321', '-7807445604.1389', '-2434007618', 56, 1);
    T('8.71695E+7', '-5.31870902516E+19', '-53187090251583087140', 67, 4);
    T('-5856274.12284302880323', '-8.4511E+7', '-591890', 31, 0);
    T('-1E+3', '353.61320970355745', '-647', 53, 1);
    T('-34356.21229723', '121132689.59022220293', '-32803', 82, 5);
    T('-441.49417066093159265465281', '-9.5712E+6', '-313', 41, 0);
    T('49014692.97310189', '2.5314771E+19', '25314771000044287908', 50, 6);
    T('3.5E+5', '48.85', '350000', 21, 2);
    T('758439.15961191', '-5638294499.1806578803727327', '-5638195521', 92, 4);
    T('-701838.3097409532721825', '3.8826268172458347090867229E-7', '-701838', 10, 6);
    T('9457458.40921913827130560', '424.16902613983820295982921', '9457594', 80, 2);
    T('-4.21E+7', '620377.586717476681613419846', '-42074119', 85, 0);
    T('686.043056669', '-126.86658', '-82', 87, 5);
    T('-68.52141426314502123296', '-914.86292802294796', '-2', 72, 0);
    T('6.412E+9', '722038667.11577406504806380', '6428786571', 15, 3);
    T('-7.01292175741592E+15', '-5238778.3680730686537199542', '-10730', 75, 1);
    T('-409.634733168676363369697', '-3.0200030744778', '-1', 69, 4);
    T('96.6864206454', '8652.5614362708108083905133892', '8684', 62, 0);
    T('-117.1727742218986', '-2.9078105256E+14', '-117', 76, 0);
    T('-9079691760.339782233', '4547.29331562915641', '-9079687213', 88, 5);
    T('-884151482.4779610981140', '-221471958.0420985882579671971', '-70452370', 55, 3);
    T('-63154017760534433753', '-7311770752.8002', '-2203092057', 6, 4);
    T('5.315715964879890E+17', '3934.180689265', '531571596487991134', 97, 6);
    T('-3377.645450', '754.30970367704378', '-3329', 50, 4);
    T('-236.56', '188.1727182901', '-68', 17, 1);
    T('9773.44355005227905462118855744', '-2.9469E+9', '-2946891795', 13, 3);
    T('-2719.1527470', '282.44551255514', '-2693', 96, 3);
    T('-80241374.3470258575189415335', '9.39E+5', '-79699974', 62, 2);
    T('689103.37035658802366', '-752926.00173544113', '-97297', 36, 3);
    T('-1.999161', '5.74323015485', '-1', 11, 1);
    T('791.93252062', '7.191862246413', '791', 33, 2);
    T('4417743.460792526099461616868', '433.9994110', '4418047', 72, 5);
    T('-27632', '58037669.1128', '-27211', 6, 2);
    T('98791.90827143682043018374086', '-6382438.5915075735419312', '-6316545', 41, 1);
    T('81', '47489271799785879433.77406412', '47489271799785879513', 94, 5);
    T('7902.14423545143020', '9.0E+7', '90005214', 20, 2);
    T('1939', '-1.694E+5', '-167973', 100, 5);
    T('-124135', '-4E+5', '-103', 98, 2);
    T('2.9078865570E+11', '9816568810.29744290443271652225', '292013667326', 100, 1);
    T('94554.3199102905', '-8491.19375246692989861359923', '-33', 7, 4);
    T('-2972.6110525400', '-187.181908', '-155', 62, 1);
    T('-1607937015.076613', '-14666.6425772', '-10561', 8, 3);
    T('-54.692462872715348132638175393', '-1774.01438678815206771995', '-38', 100, 2);
    T('7573310085.275466', '-3217860.2519800234', '-1052995', 4, 2);
    T('-5.60849E+6', '38691.51681151', '-5570569', 41, 3);
    T('8447.852', '-548810.54741345528', '-548609', 71, 5);
    T('-6.31498E+9', '-9506675810.34180578816153220', '-807686146', 90, 2);
    T('9.446E+7', '-8.17E+6', '-6070800', 15, 0);
    T('-1465597.62623168157680212250986', '-87.252903808023268283627379', '-85', 98, 6);
    T('2657928156.8801612480928854', '2.73743E+9', '3211649020', 7, 3);
    T('3.640084949', '-35.05151541395329828470870460', '-33', 40, 4);
    T('-81802544.7263109938603424', '595589810.1168', '-75498766', 53, 2);
    T('505062057.94319452', '-8.3935E+8', '-537220167', 67, 0);
    T('-80700247.18612', '22.94225846534222722638', '-80700225', 100, 0);
    T('1367986.090509854347859', '7.892766', '1367991', 77, 4);
    T('6.0142E+9', '-948780119.507889273', '-411309079', 6, 0);
    T('66.62032072177', '82587036.473751199172246679', '82587102', 5, 0);
    T('-55116.53458922147083775533737', '-9.29', '-9', 90, 3);
    T('8600455095.00612855775774', '-8362273005733139094.1436309335', '-8362272997134782465', 38, 4);
    T('6.269127372626E+14', '7.938E+6', '626912745193432', 95, 1);
    T('-7163646940.224079', '457498.6855602', '-7163347138', 17, 5);
    T('-90469.740659227225773019', '-1789.3', '-101', 21, 2);
    T('49899257691.0545149976367', '728949.6234187997844490', '49899323263', 36, 0);
    T('-54383.85343323961', '-13011.2464', '-4163', 93, 2);
    T('-53627.407887464201485', '8990432.5161008324120382894', '-53531', 66, 3);
    T('1.7373872761833E+20', '-8187.644', '-1403', 61, 5);
    T('-903.575349843598342394303104370', '-6823093100.05914', '-771', 15, 1);
    T('9301648698.58869923768', '-4180889.3', '-1313409', 79, 2);
    T('-500375713011123.450372993448521', '72391.305503', '-500375713006897', 28, 0);
    T('27941.778', '-2419875.112169117920637656656', '-2392195', 45, 4);
    T('6034927667.12311', '-566155440.00892325', '-673933', 3, 3);
    T('642765845.642', '58945.88143387', '642774613', 99, 5);
    T('97.5363469665904', '1751459413.3', '1751459445', 22, 3);
    T('14.4258472319015473795061307', '-39.985923880330446742377953674', '-33', 64, 6);
    T('-11.3180', '293.1574', '-11', 24, 6);
    T('3793.54223', '-139.568189', '-11', 66, 0);
    T('2.346E+8', '272709', '234864453', 11, 0);
    T('-247.297360', '5E+1', '-197', 19, 0);
    T('-1.088248E+8', '-31.92286963220322', '-31', 100, 0);
    T('60516.027596392727040480', '16465.8547867070648', '60533', 51, 5);
    T('7.4757E+6', '3628546.5292029155308', '7823350', 61, 6);
    T('-2936490.38675485321533845474160', '59568106.5837696309', '-2097154', 7, 4);
    T('6626364263.95513376312552', '-4177.210130375005681012385424', '-4113', 7, 0);
    T('3.36746144548E+12', '-8E+9', '-7793016984', 48, 1);
    T('628747638.08974570977', '5E+6', '629010294', 35, 4);
    T('-892.7515063164303271368', '397.10', '-627', 40, 6);
    T('-169072.064', '-590699.926375492', '-107', 97, 2);
    T('43092866.01491', '-4.858E+8', '-476327998', 35, 6);
    T('-190.9342543', '-216855.23', '-21', 71, 4);
    T('2710084.5385212', '1474555308.85955', '1475084268', 88, 4);
    T('7631.68', '-8178999.74', '-8175665', 94, 5);
    T('-2841.35404013453161433351746', '-7.678782033', '-1', 61, 3);
    T('-3.871085757645951728E+20', '-4335384.42754267169516297', '-9496', 84, 1);
    T('-9601.32631965011092', '-7.7953099052133621', '-1', 9, 6);
    T('2955719588.062', '525497544.594308926201127', '3212769260', 90, 1);
    T('-25832.262', '-88052851.49961', '-1123', 7, 5);
    T('8.1853176258953347025226', '65218.5005', '65226', 56, 5);
    T('7.0107086022148', '-5064742167.807055446998629848', '-5064742161', 32, 0);
    T('3.80822E+7', '-4949.1093308198136', '-325', 22, 3);
    T('-9.780361963684038346879735380', '-576738243.5', '-1', 2, 0);
    T('2589272548.8029235338764609', '508729380.319328812', '2656549348', 38, 5);
    T('8175251524.80977924533465798', '-6.123', '-2', 77, 0);
    T('-3E+4', '244015565.55925869', '-5155', 85, 3);
    T('7.6714E+7', '-664697161.7992', '-588015945', 35, 2);
    T('-8E+1', '7139873.66', '-79', 98, 1);
    T('98.43050302933387321', '-61907237.63245', '-61907205', 57, 6);
    T('-8.225E+5', '-3E+5', '-295108', 75, 5);
    T('-7967714090.312915317863728836', '577282009.036332899352', '-7927308321', 92, 5);
    T('83858645.38', '2.06317322690433723', '83858647', 96, 1);
    T('-783026.657372448713485805', '767.58690341856349389279142464', '-782337', 70, 6);
    T('-65521.6877208436598523711', '-253.1217229', '-241', 32, 1);
    T('-7674322.5613538051591788854', '-6693142762.242964', '-7405762', 12, 3);
    T('375411.4653084', '68359572.32679961364347615', '68665335', 10, 5);
    T('-272508.944013761215353457008', '-654662.39529646060150', '-10306', 97, 0);
    T('8659819900709.665009', '82932.14874', '8659819917301', 51, 2);
    T('-8.54E+7', '400908910.65', '-1186194', 85, 6);
    T('-1106180675254.558760735726046', '-2.327294130565485', '-2', 84, 6);
    T('-1.34E+18', '97.509882965', '-1339999999999999903', 44, 3);
    T('-4259.02', '-237031568.3838086617894678', '-4227', 32, 3);
    T('-964317.3142470', '34.49451508559243', '-964317', 30, 4);
    T('-493411256.58980', '-8.267E+5', '-563460', 26, 5);
    T('-5.4651554992730997E+17', '10330.34273829227', '-546515549927309954', 74, 4);
    T('-36.070617557075190719', '18456970.619382232271', '-34', 16, 0);
    T('-60.275621776212867368', '38269.6031132688516631', '-3', 56, 6);
    T('408264.019942070658800226', '90232502.8439508581494940566', '90636030', 53, 5);
    T('4.16614E+6', '32571.8392139015467712', '4194303', 56, 6);
    T('2.359E+5', '45.792', '235901', 66, 6);
    T('9462125739.3826534730591', '634.57178', '9462126331', 49, 1);
    T('624261308869112147.2571787', '-2141', '-2061', 96, 3);
    T('-810763779.6047179985', '7164.02778035941', '-810763267', 18, 4);
    T('-6891.88996715640744165138886', '5.54E+10', '-4331', 14, 2);
    T('-7.9361E+8', '959.8852717942', '-793609217', 49, 5);
    T('-86.9094729421315984', '6743768897.9935419049', '-21', 23, 3);
    T('2E+4', '-5518.4779638', '-4494', 82, 3);
    T('361051.55117919171567491195', '-9093670.6135811283768953', '-9060389', 55, 5);
    T('-111.398009424329225865136272', '24631349.022920642', '-75', 37, 4);
    T('-8.9E+9', '-946.36076182382', '-178', 31, 4);
    T('63.48380747685469', '-2.62992753615', '-1', 17, 3);
    T('5998774715.28130685420', '7E+4', '5998844411', 60, 2);
    T('7946.030378975820134297832234', '9E+1', '8026', 71, 0);
    T('7998973.8460310728688418', '-3959572.79272117835312162', '-287235', 21, 4);
    T('-2.38E+3', '-1.66043008176E+18', '-332', 45, 1);
    T('-41', '146956339.483342651791392624623', '-9', 60, 2);
    T('-2593.8669178569639828', '962076573.861378690936391012755', '-33', 43, 3);
    T('-7.90217799', '-782390955.93790297', '-3', 13, 1);
    T('3.68730', '48350.5757', '48351', 78, 4);
    T('97236.886949836274042384241854', '2014.8006974257373', '98270', 51, 1);
    T('187.4556669537039', '-50.7663968262549269632', '-1', 14, 6);
    T('40252601.94695160920154', '-9.850E+4', '-98371', 53, 6);
    T('-706375.584207872876030947407445', '-2.292533043939025351725', '-1', 20, 5);
    T('-7561359.93', '-68305930.9', '-1196041', 11, 0);
    T('7345699256919856352.92928506204', '-737994.1592423802649407486', '-16906', 67, 5);
    T('9683513242.2404965', '-2740.1862555907839973431', '-34', 23, 3);
    T('152617.037319603336370419290917', '218.277525', '152827', 89, 4);
    T('8.91E+11', '-38.0951882772566548', '-38', 86, 6);
    T('-6.6716142E+9', '-93.6', '-85', 68, 3);
    T('-65360436.70968', '-5253065.266180', '-4194817', 47, 2);
    T('-813.60367', '-49876134785', '-769', 21, 1);
    T('-7995.47227811930091', '-9057.6574552', '-801', 6, 1);
    T('-8829852.688229719769', '-4437.84337138585716404049', '-4369', 36, 0);
    T('-991220.4633518989296861232', '99.36578891812498183251271130', '-991121', 95, 4);
    T('-37272.6631483877283077167', '-18304.403568802893742590761', '-280', 63, 3);
    T('-9.8', '-19413.743970846', '-1', 46, 4);
    T('-184453.31852189798937905', '-4.9027633531831897', '-1', 32, 5);
    T('5152.053592336789462104622', '485294872.97383143108694272898', '485300024', 69, 2);
    T('8.7163675', '-8.45541768310', '-8', 51, 1);
    T('-653.89', '9329.5130002228555060773466008', '-653', 12, 1);
    T('-2675377812.05924177732432167', '-896226.568', '-328834', 96, 2);
    T('3362861.6088318541365518', '-139718223849.1696643', '-139717027777', 32, 6);
    T('1.524E+7', '2.6E+2', '15240004', 44, 2);
    T('-61028.4207105430', '1.2E+10', '-34404', 84, 2);
    T('9.9E+2', '4.829', '990', 13, 3);
    T('34663353.854282100045', '-3.198E+8', '-286195719', 50, 1);
    T('63649.8488786923021', '-52416.29545476', '-1055', 57, 3);
    T('-861.7403212', '6936760265.9005842481453385775', '-21', 80, 0);
    T('9.3E+9', '948.8123849644278155995', '9300000692', 70, 0);
    T('-24752873.6670081002992216778551', '-65563758229076.03472027303832', '-45633', 86, 0);
    T('-36.3096104194087703758079423298', '7.5734111', '-33', 3, 5);
    T('-11.19435023', '8.120E+7', '-11', 34, 0);
    T('15434.47', '-5601463.6530882417894178343633', '-5587125', 10, 6);
    T('-1.27994363612', '-90166.713140733', '-1', 4, 6);
    T('56953404.84551', '-70475.93236462', '-4419', 67, 6);
    T('-9.771', '-6.5213153043394216117082009620', '-1', 7, 3);
    T('-6.292907049370194889', '7.69921645E+9', '-6', 9, 0);
    T('-8859922.6720439', '-42.59875338783908', '-2', 35, 2);
    T('-4.119457175800656', '813285.1968283003627048', '-3', 17, 1);
    T('48.8089179752', '72881.405995432769724', '72881', 30, 4);
    T('-9003.3', '-4227813.609', '-545', 93, 5);
    T('-6.6362935444E+12', '-9.849766E+8', '-547424456', 24, 6);
    T('-210.7807298569940812', '5837605685.8', '-193', 3, 3);
    T('320278991.26622274374406913504', '5.96251118800001331952285386', '320278991', 20, 5);
    T('-1163384.476696', '2.944E+8', '-1163384', 74, 3);
    T('2E+3', '-1250.5801090942024588470547', '-34', 78, 4);
    T('-273.79197996626546203747', '-8.509E+6', '-1', 82, 6);
    T('178437.2443720652024720', '-8089557414.96177', '-8089518241', 70, 5);
    T('-2247.6', '2.7595E+7', '-2055', 21, 3);
    T('5707.371327569115', '4.37855E+19', '43785500000000005707', 1, 5);
    T('613222.169010430116', '7.6109819622E+12', '7610982554622', 65, 4);
    T('8.09E+3', '-9071489.428051236163301', '-9068545', 52, 3);
    T('52.482699054618717059', '4943', '4991', 43, 1);
    T('-903626.44182669', '-67828.35526755392294538343', '-67778', 71, 2);
    T('-4.466428', '226158352.2665531075054', '-4', 89, 5);
    T('-4.17E+4', '44155521.581767695', '-8291', 69, 6);
    T('-2E+8', '1.16615523775E+18', '-14876800', 60, 5);
    T('-899082.12322972147317180516', '-3.55053444887', '-1', 55, 1);
    T('-739.671748383403240', '-3640.8691', '-547', 36, 5);
    T('7945562076.100248602439682674', '7.4314748147', '7945562079', 96, 5);
    T('83770.971462180235784160252', '-1.07492312634138152561049', '-1', 66, 4);
    T('-5654798529.708', '948.50316', '-5654798401', 90, 2);
    T('2.589624011', '449030569876044640.77', '449030569876044642', 77, 0);
    T('-97.39155330804527430117004488', '8759639.4032975006', '-33', 19, 5);
    T('-4.587786619426983099565429083', '-5490495934.905', '-2', 76, 6);
    T('3.63988E+11', '-3708284.5269404044770808350', '-1605756', 52, 5);
    T('-50.34919394976391998485781', '5.9032298825169', '-49', 55, 3);
    T('-3973.090828254168791', '-58719.261', '-1285', 2, 0);
    T('-7.493E+4', '-826.27721730107178', '-50', 34, 5);
    T('-71884329.10707340081093', '30.33264807', '-71884321', 72, 2);
    T('5899.85', '813.85249137', '5935', 35, 4);
    T('74.3701829621530015455260010538', '-80372', '-80306', 85, 0);
    T('4.3625459589E+13', '-724008829.171243822373771', '-589455477', 81, 0);
    T('59.3227730937462772070', '2.55901183302', '59', 79, 6);
    T('-161145612240400.25905', '4.3875937', '-161145612240396', 14, 6);
    T('81724844.180193811', '755.253712391262', '81725439', 96, 1);
    T('-4.77024831E+10', '4.85480941154157077096480', '-47702483100', 35, 2);
    T('1599437.58', '92067177.52444094147', '92076013', 57, 1);
    T('-8339.8209896637583', '-4293.156', '-129', 5, 1);
    T('4.3698726673', '-5.12E+9', '-5119999996', 24, 6);
    T('930.094412492', '44609.6481725141166752', '45027', 65, 0);
    T('49563646278033.7880390', '6.367239302198', '49563646278039', 59, 3);
    T('98865829.64282693', '1.750131038524782675175', '98865829', 62, 2);
    T('-65.067248211203961', '407.8304560289', '-65', 19, 6);
    T('5.74816496302E+12', '-87928.356019998809654428580998', '-87348', 46, 4);
    T('14.63338126764583767352662127', '-75.144', '-65', 40, 4);
    T('-15542146377443772863.03247', '-6.317051', '-5', 94, 2);
    T('885439.5940995915547255661', '29260767.82396093846', '29359103', 46, 6);
    T('-3488622.0227301648139', '-8465.3956090977372167694286230', '-8449', 97, 5);
    T('-26637.5094042723', '436.142231538074888970437', '-26633', 36, 6);
    T('1101.494464475655377877828', '676318119.36354835636024318', '676319215', 60, 0);
    T('4117552364.60114080133195301154', '-34020.3588069473', '-4', 17, 1);
    T('2688.45768775153561944284357768', '3788.54995859850', '3788', 6, 2);
    T('-581669534.8347', '2.1464430549E+13', '-539591318', 26, 5);
    T('-617.53736381070', '281884.0086249446687', '-609', 65, 0);
    T('1.27338903E+9', '-967508536.0649286', '-805896210', 82, 6);
    T('892.0100279028048417046047', '-6.490426E+8', '-649042052', 60, 6);
    T('-5848.2510189628731564353317159', '561.484441074476072037445647871', '-5319', 41, 6);
    T('6.3778739296169', '-9822.1007141332698', '-9818', 19, 2);
    T('-48480.1434549569145305827143', '-3.41', '-3', 71, 5);
    T('4.598488730', '-69.752960116409179979900988605', '-65', 72, 1);
    T('-7365694001.67194', '9.15064302846450905062880514110', '-7365694001', 89, 2);
    T('5912128.82996527741568457788', '-6929346.1306037', '-2197890', 75, 3);
    T('-264.99801277805051760', '4157.5735525527887', '-259', 70, 1);
    T('-48691.95845391', '-577806.081701813347240', '-36865', 25, 3);
    T('3977.97824899793765674', '-44.736249', '-35', 18, 2);
    T('7.10E+3', '8.744E+7', '87440316', 48, 2);
    T('-804090967.903277788263129970334', '137.4504737900351682069', '-804090967', 96, 5);
    T('-4.17E+3', '324.9783455', '-4106', 19, 5);
    T('-91833.0565105', '71666851061858726399.934', '-67073', 17, 3);
    T('-7.91264986046249E+19', '59699.57595520263861', '-79126498604624840333', 54, 4);
    T('-531981365.110273132477138', '7246.01528274', '-531980337', 16, 1);
    T('-90562289.54387', '-783.1774671699781160213891913', '-513', 89, 3);
    T('-8926871732.93728', '-42.70497', '-34', 48, 6);
    T('7E+9', '3.27742961217475427', '7000000003', 79, 6);
    T('321160.802374104199112840358', '-87.8430742522353', '-87', 18, 6);
    T('38660.15634786436', '-91.3601882', '-91', 96, 1);
    T('717.82715', '-21400.95728441271981297112', '-20755', 16, 4);
    T('-1501.60288625375809541740409', '-5.928628750629341853539815938', '-5', 32, 1);
    T('-724.24871309397646873767203295', '40482.6729559309513994523441', '-210', 59, 3);
    T('809.88141949438', '-3860.66735887707416', '-3091', 100, 4);
    T('451203985.799943905938682140355', '-3063.227052117856763', '-2151', 29, 5);
    T('8.8E+2', '-2.92E+6', '-2919440', 8, 2);
    T('-5554692382.732288598641392078', '-638791.42622392361', '-106757', 61, 2);
    T('6.1301E+8', '-107182949.044809', '-39989541', 18, 5);
    T('464983.98896', '-83851174677753995.2928477', '-83851174677618825', 96, 1);
    T('457869354.9186686', '8.8E+9', '9123649578', 18, 6);
    T('1E+9', '2936.293', '1000000376', 34, 2);
    T('-102.046147725422756724289299314', '-550158.01306014120785300901', '-6', 63, 5);
    T('-7912251.64624165548662623362', '69650758243.49617924228211445', '-7897369', 25, 0);
    T('80.8968876185166', '-2961385.4095741414', '-2961321', 51, 6);
    T('630.7039161882512', '5590738917.02697528154322893', '5590738935', 51, 6);
    T('-9346403.876623103', '9.672E+7', '-788835', 38, 0);
    T('-8883', '89020317443856059.298797', '-8193', 44, 5);
    T('656.22458091489447977534076509', '-2786.70316', '-2146', 3, 6);
    T('-626.910016812', '42.776977940730524456572519', '-594', 75, 2);
    T('-866868783.88593', '4.34274795', '-866868779', 37, 5);
    T('47396.3954915238512733', '-9.0362433577E+11', '-903624327322', 49, 4);
    T('-9380.4888', '494', '-9218', 77, 5);
    T('-5.39541301682219769', '3.53362611E+10', '-1', 69, 1);
    T('43404.475115483693500', '53957.5707664', '64461', 33, 4);
    T('8197.531', '1.215E+6', '1223197', 83, 0);
    T('157159.809521171', '-7933348779', '-7933331977', 40, 2);
    T('1665769.9367302635937', '708.400014837734198264712724848', '1665773', 70, 0);
    T('7505593463.44198381982995487', '-45383588.35', '-10500993', 21, 3);
    T('-4188696.38', '-9041.9847505432221189099936', '-8721', 32, 6);
    T('-1.057635631348866157231899', '856552731016963.106', '-1', 26, 3);
    T('1036840.8336796657887359634', '32625.62474', '1048441', 96, 1);
    T('77729.79', '8626679632.0', '8626745329', 85, 4);
    T('-683805.69', '-6402885332.6203972576', '-17937', 34, 2);
    T('-49401771.7154351407346363395', '8895115052.7180972290197698', '-12664963', 4, 4);
    T('85.373600063084395171596408344', '6E+4', '60021', 94, 1);
    T('903.8184930432450809444509389', '-4.4163E+16', '-44162999999999097', 7, 5);
    T('9.86', '2.20768238730253224158776552', '11', 81, 1);
    T('-71.2942157782140361364837861866', '-7343.1665013', '-7', 30, 0);
    T('5.97887657196236732092368891', '4972408024.95162', '4972408029', 42, 2);
    T('7.09E+7', '9.004925115677', '70900009', 29, 3);
    T('-2096.3212197251668358007172962', '-9603620590.9226455455975156', '-2094', 10, 0);
    T('-69981328.83156768342161917', '773316377625572438094.1082', '-2851970', 54, 1);
    T('-50.43', '-2887895150.27', '-34', 80, 1);
    T('-3.40552E+7', '7435736.80186', '-33980424', 23, 1);
    T('4031.3', '-14.5150003', '-1', 83, 2);
    T('59738.03347069566986346', '-259443852.3365071246219', '-259392642', 2, 1);
    T('325.8449301543323681620497851', '-5013702551183440.874833998', '-5013702551183371', 80, 6);
    T('-9368.14', '4.865282E+7', '-1156', 78, 0);
    T('9229.16203312101911809638310', '-9799.421138691237271815497742', '-579', 48, 5);
    T('-937468769929390.0', '13.0672156040', '-937468769929377', 93, 1);
    T('8.404E+7', '-3.1674E+9', '-3100155968', 69, 4);
    T('-134.8604558314102139', '4487536473.08693480', '-133', 32, 5);
    T('8.8', '469.1932245593289205574252713', '477', 11, 4);
    T('80228045.2189229176829900313711', '28.9849013045562', '80228061', 67, 5);
    T('-1913.351197142588809427417', '-1.852194568886447', '-1', 97, 0);
    T('24904.023', '-57991.71666742523822897823', '-33415', 36, 3);
    T('1173.0', '753.151614784877', '1781', 62, 1);
    T('6.47870879893848882938', '-1.17E+8', '-116999994', 62, 6);
    T('78885926.139149471438698', '-70.08106012185', '-66', 51, 3);
    T('-3089214768.6094', '-9616089.37796062847858287367086', '-43017', 43, 2);
    T('1.43E+7', '9642897724.7507026340694440', '9644471164', 41, 5);
    T('3.717E+5', '8957.393504899', '371709', 27, 1);
    T('57.8', '99520561.23153', '99520569', 61, 3);
    T('-759636.99560926098', '5.981638', '-759635', 83, 6);
    T('-153026958377422.5547282319970', '-8236087115.6246385106992346', '-5509775689', 58, 6);
    T('-4.6E+4', '-18068.56152011221986618649794', '-644', 29, 1);
    T('-968525.1707008', '3.9148E+7', '-689677', 41, 6);
    T('3182.73135', '-217.081488570568741893', '-145', 80, 4);
    T('3.489074220892', '66971290.820207', '66971291', 26, 4);
    T('-55906.89499529', '-3344881675.248', '-55297', 82, 5);
    T('-5E+4', '-3067408', '-49680', 50, 5);
    T('-4.914581E+7', '500297863.646545738', '-36439889', 88, 6);
    T('40921.6499984354021644224211', '881.031269725042541186926891', '40953', 52, 5);
    T('78094', '-7167', '-2801', 49, 5);
    T('-78872.62', '2085847889474768441.8991776', '-77831', 19, 1);
    T('-98286.58256093056', '-8965.269976751', '-8965', 6, 2);
    T('3936.9286163760', '-1.48057E+12', '-1480569999392', 56, 5);
    T('-7.551', '8E+2', '-7', 8, 2);
    T('3461.2349', '9857091.15620502732943626864', '9858503', 84, 0);
    T('1543.7', '-99.13325486578369411070', '-97', 73, 0);
    T('-23650.907', '-4.58699659935171169330161213366', '-2', 97, 5);
    T('-8.9342E+9', '-6.550476051', '-6', 19, 3);
    T('452783190.42118172522367769', '660259036.7917735746', '1073671390', 99, 4);
    T('8E+20', '831.91413', '800000000000000000831', 56, 2);
    T('-763900110.0', '-147.6065005000421661731304', '-129', 24, 4);
    T('-460647799751337.879880130', '-89.15162726', '-9', 86, 0);
    T('-6276.33807578717280137464715', '-8028.652124686', '-6148', 49, 1);
    T('-2881.61835691595', '-7766455682.272', '-257', 99, 0);
    T('-121366586.30532307849892269', '-86.1221263', '-18', 92, 4);
    T('-52720566', '-476634.773214007644584812', '-278930', 64, 1);
    T('-64.1847241', '2E+2', '-56', 28, 0);
    T('73.7378482064353938300', '50239.21462', '50303', 13, 4);
    T('-5.783889E+7', '-4.5315110E+9', '-34606082', 22, 1);
    T('-5.172E+6', '9.7E+3', '-5163548', 98, 6);
    T('9.68E+3', '9.0474656130880143', '9689', 31, 1);
    T('337649508.7465555335741', '-1.4289783257995169893401974', '-1', 37, 6);
    T('9.19934187089055126304192936', '-2E+1', '-19', 3, 0);
    T('-3670430133.282631051725243', '-4.0880102E+9', '-3531739541', 22, 0);
    T('7793.35100567', '-31.10046851990', '-15', 88, 6);
    T('-5.682448696', '-202774.06680179179623729', '-5', 93, 5);
    T('-17.169753846', '9538.198169', '-17', 78, 6);
    T('-1.70824E+6', '-395.57837970281044861793606858', '-139', 91, 5);
    T('3952509.175533335009512742', '-2.28586071E+11', '-228585545859', 97, 3);
    T('-382427.93604624', '45539689.22031680', '-70803', 33, 2);
    T('848883071.309113062368585', '3156.27904253473206999275627121', '848883071', 25, 2);
    T('-9.51111936', '-5.9E+7', '-9', 35, 4);
    T('-52.208026291240086151342', '39.233530399296399', '-17', 50, 5);
    T('4489.7258136596', '-5962537341329.447378', '-5962537336849', 41, 3);
    T('-2011226.91', '3312806853.2649354', '-692249', 20, 2);
    T('-7E+8', '732012583.7843188542392873320', '-1574617', 100, 1);
    T('-8.324670E+8', '3.3380276E+8', '-538579000', 25, 4);
    T('-8.180661071034329', '-19024.0650', '-8', 24, 6);
    T('-1.3496922E-88', '9.604329068', '9', 53, 1);
    T('9591246428.884017162553756835', '-19423736.4067383734199087', '-8612', 39, 0);
    T('7.7401E+15', '-51971.1655074', '-17155', 59, 6);
    T('-99.140326', '4.2825279631731095431025', '-99', 52, 5);
    T('1837.433133512993901307', '59805.162379628', '61373', 61, 4);
    T('-6741990748.38967570008', '-2667.68617631259543295974452', '-2123', 3, 5);
    T('-695944.9125215592357939058481', '3958684544.578473', '-656392', 50, 6);
    T('1E+5', '-9.01321411279328775916888676144', '-9', 7, 4);
    T('1.22E+3', '-3504928924.149', '-3504928796', 66, 2);
    T('-30336610648582667014.953758898', '791.4235371815296592656574', '-30336610648582666241', 39, 5);
    T('-7.36327E+13', '-77.440071148811', '-77', 37, 2);
    T('-7332', '2.4232255E+16', '-2212', 2, 0);
    T('-18988.350', '876.747918617573928', '-18436', 34, 0);
    T('-1209862.188468446', '61644694733.3471', '-1053185', 25, 2);
    T('147699761582685.3130394865270', '2.4870045', '147699761582687', 64, 0);
    T('-57233278', '52148.35684361479452', '-57214026', 77, 5);
    T('-621.728270160859042176191', '80310907', '-5', 7, 4);
    T('2.6E+8', '-94487.42524775079838626373', '-12311', 41, 4);
    T('-6452.8897', '3.34325E+8', '-6196', 16, 1);
    T('-216.70933022279683864600745949', '-8.5743371E+17', '-216', 32, 5);
    T('-740167768.51193269565336605', '-6.66775232536197970244368375', '-6', 11, 0);
    T('2E+6', '706746185.847057695121052', '708745161', 46, 2);
    T('-6.450208877E+13', '-503.20', '-455', 19, 1);
    T('-415809.36', '-375.16030852580', '-65', 65, 3);
    T('-7098880.96493974613846670372666', '22801250.2303146460317179', '-2363550', 20, 6);
    T('-4664', '1159763.8180743980040808721769', '-37', 37, 3);
    T('-488.11898538226957', '5174.66458', '-450', 56, 6);
    T('-1931.049698300', '3.02340205', '-1929', 2, 6);
    T('140397528.19068385246', '90714.2997743048739364679', '140471258', 77, 5);
    T('1.120E+6', '2225.949732714728482', '1122225', 78, 2);
    T('-35', '-3391904.917050232384', '-3', 31, 5);
    T('33395.8165886484910893481712', '535.1426397', '33399', 79, 4);
    T('65460.9525355', '-8801283.01745', '-8781827', 5, 6);
    T('59231057.77141841461210738', '65069933.52180528029060110', '65530749', 8, 1);
    T('386511263.15', '-3108658106.32405', '-2822916641', 17, 2);
    T('-37421140388320.009076069', '-86.394445491303566025604162393', '-86', 61, 4);
    T('-3E+6', '115.63950053747992326897', '-2999949', 49, 4);
    T('-7.7E+11', '74.99797903338341881471649295', '-769999999926', 32, 5);
    T('-6251.39889311166942', '31563059', '-73', 26, 3);
    T('-250629.3302305669', '-8.5668745278630', '-5', 97, 0);
    T('-7', '9.59607800E+11', '-7', 52, 5);
    T('167618533.071049', '-103.16115444073044', '-3', 15, 1);
    T('-989.758555524047603149', '1685383.12330065512', '-89', 46, 4);
    T('202385980.48283952731', '-3072162.993874402310307506088', '-3063938', 28, 4);
    T('-3299.29002592822189', '-863663.7340361604457599', '-3235', 62, 1);
    T('-2899453.80353941703742022504', '497317797.768765140769938739', '-526425', 65, 6);
    T('-722213.022', '-9106361707.56446651', '-525601', 77, 4);
    T('-8.5392E+9', '6.7361179468749870', '-8539199994', 82, 2);
    T('78391312985652.5276315427861430', '-41067029.772', '-2260993', 11, 2);
    T('-3878938778.4980061643129280397', '4.02665061E+16', '-1729112218', 91, 5);
    T('640.0', '-3.48557292E+9', '-3485572408', 94, 6);
    T('7.857709332070', '-4224217.302882', '-4224217', 88, 4);
    T('-4.32673512', '-583.331016880261875', '-3', 91, 5);
    T('-6818.87142957476313', '3.557596E+7', '-546', 46, 1);
    T('426.28609690892021', '96079.1218206791035703280943847', '96239', 18, 5);
    T('-874231048.925', '91645638.7059772811730566230682', '-805933314', 96, 4);
    T('-917575871.43037652261867874', '6497.900974796001', '-917569695', 39, 1);
    T('6500955455.00978706594357932', '-2925.8', '-2625', 74, 6);
    T('4.545393098637E+20', '7E+5', '454539309863700000608', 70, 3);
    T('95.9683304786060043', '-52.26095484555263189372461497', '-33', 98, 5);
    T('-1.07107423E+18', '921.39496128', '-1071074229999999079', 55, 5);
    T('59601100.97413262486782550', '31012972.433179281', '64846060', 62, 6);
    T('-33038257.777304154', '675633.3363422240767719458', '-32510081', 78, 5);
    T('93.24247291722', '-9.059071E+8', '-905907075', 7, 1);
    T('-3.9007787060926298E+19', '-234453956.54733591029854', '-143733636', 2, 3);
    T('8889.33694278', '-3.09183565030712225511148', '-3', 58, 5);
    T('892347.4', '-98276.669850525922', '-25153', 4, 1);
    T('-150268425.84955893855', '-10258.2775118661652480673225', '-10241', 70, 1);
    T('6.88240066874230958702', '-88851.65751', '-88849', 90, 6);
    T('-976376373.73836567919', '-7248086.66812952637', '-2232341', 99, 3);
    T('-97171649.344304212077786959', '4.6079211023949352614', '-97171649', 50, 3);
    T('1', '-7555044252.491764417943', '-7555044251', 33, 5);
    T('468133904.825', '104814735600400.042570603', '104814918183696', 53, 0);
    T('24853989.98647303292762877898', '587.95833984137259008', '24854511', 72, 5);
    T('748666.74716386023', '-2535647300.46005', '-2535489538', 79, 0);
    T('-962069.44370194067163', '-7.0006E+8', '-655381', 59, 4);
    T('-3.7675302861236553645218', '6.10511577E+9', '-1', 56, 6);
    T('-8961.4560510360809133', '72019510.794', '-257', 68, 3);
    T('-6079911.68742939686', '-2839989.470929929057343274666', '-542117', 63, 6);
    T('7034.3920229', '-7.07E+6', '-7069702', 73, 4);
    T('1.3689769129577720E+20', '3.82933661E+20', '441269429225612040064', 26, 2);
    T('833.99', '9435.10765095453742059587028', '10203', 76, 0);
    T('823345.7963153221844041', '-61408.66', '-28623', 69, 3);
    T('2939.86714', '1839422253.9', '1839422335', 25, 1);
    T('-76.5621279856379958910417303', '3.322', '-73', 59, 6);
    T('385791144900.23451455650515', '922.035769308326774177385352', '385791144926', 4, 0);
    T('204.518721259849666', '-448.9190191674665832', '-308', 26, 1);
    T('-937807447.3', '7E+4', '-937741831', 5, 6);
    T('-9251.32974041189', '6348.43988', '-9251', 36, 6);
    T('658.413024255045', '91576870.158666156793', '91577014', 91, 2);
    T('-5.853544045798695918791680', '-67749.54635778136275948', '-5', 52, 1);
    T('-1964.040650095798148', '9807.8561748232987', '-417', 7, 0);
    T('40747600.15580678', '5859563.5125', '41806587', 20, 0);
    T('5.2706230', '-993249.3670771530110368133913', '-993249', 37, 6);
    T('3.3718', '847314201.1990', '847314203', 90, 6);
    T('351990.22782663677910867729', '-28.979', '-10', 69, 5);
    T('63152516.864', '-2.61944005434848175233281', '-2', 65, 0);
    T('5.3E+8', '271.649460419366687', '530000271', 84, 3);
    T('-24.461', '-548710934036.338092572662616743', '-20', 57, 5);
    T('924.26219277721524', '-90.09919228011127202', '-66', 13, 0);
    T('-1.387482548601080773', '-63.500875731880256733973027', '-1', 17, 6);
    T('-2.86E+18', '-9.3E+3', '-9300', 44, 0);
    T('-7.73185468637110658', '91.5846930', '-5', 41, 5);
    T('-4.359984243E+14', '-15.5393334665582094615', '-15', 35, 2);
    T('218288503.0466', '851.5', '218289015', 45, 5);
    T('733333.0358321792810', '-3894514.3', '-3165281', 44, 3);
    T('670.46004799267089191965', '-4393742587.859', '-4393742433', 8, 5);
    T('-2.2868612E+8', '-33150.747710730386446137', '-294', 2, 6);
    T('3.4143E+5', '-47134.817694694121326791083148', '-34826', 67, 3);
    T('193.363220765296013315822224853', '8.39E+3', '8391', 95, 1);
    T('65.54970273900140676286', '-8E+3', '-7999', 53, 4);
    T('63770343.470792393897198786621', '3.71E+4', '63807215', 94, 3);
    T('77.07919095276175114513207', '-1.2385E+7', '-12384931', 24, 0);
    T('-78083345.852237792066176321468', '-7326237.93613786086', '-2572305', 19, 0);
    T('185183.51929828522842660511321', '-5.42128680039', '-1', 36, 2);
    T('3.62', '-426802.49947086855924147', '-426801', 22, 0);
    T('-2513', '116.23802', '-2433', 79, 5);
    T('85.8302224879627325334277075', '-2134.3860516340', '-2049', 11, 0);
    T('8725609.824029347310', '-247673165.329721746', '-239210757', 76, 5);
    T('-4.2E+4', '7.0E+5', '-16', 10, 4);
    T('-151715912636848537.15720499', '6.9796395130955', '-151715912636848537', 40, 6);
    T('387796368.43000047', '63292246.6500685302946916', '400412630', 49, 5);
    T('-2129.77', '2.49133E+18', '-2129', 67, 3);
    T('-29644752466639613.211188869', '-652927.10188912086', '-553597', 90, 1);
    T('-47.44673', '-3.246', '-3', 11, 4);
    T('53.27', '-61.292812501867630765689', '-9', 94, 4);
    T('-1.1905088104152486627', '-2E+4', '-1', 45, 1);
    T('-6E+6', '-7.86E+5', '-756816', 98, 5);
    T('2.606263302E+18', '55252837.3181704821336940617291', '2606263302016974693', 55, 1);
    T('-31.28050382130', '-78.6772379945478417', '-13', 37, 6);
    T('-24.7280468047844', '474.3136426480630303553569165', '-6', 88, 3);
    T('18.152933055445227182280043679', '-6.17E+5', '-616998', 1, 3);
    T('5376081752341.77994392', '-4401259541798', '-142771233', 9, 3);
    T('-3.266147486865728768075267', '-1320.171983', '-3', 71, 6);
    T('-6.5123942E+8', '4984722707.7', '-113314537', 66, 6);
    T('-6263131.1698690492564', '77717209.2631772609634608474', '-6160643', 93, 2);
    T('5345.288418020389199', '4.3779532400577245232124362', '5349', 83, 0);
    T('-2E+4', '-61.39', '-29', 100, 2);
    T('-63509113.054', '-6E+7', '-58786425', 97, 3);
    T('82.66985816920294', '-2828859018.8705101863323', '-2828859018', 35, 0);
    T('6.4997772E+8', '7.61', '649977727', 48, 1);
    T('38.635850939361493000373608', '-19583.3865325', '-19545', 60, 3);
    T('22.628520282327123718', '61288.09', '61310', 95, 3);
    T('3.91635', '-1805331519.72934', '-1805331517', 1, 3);
    T('-68426801.9', '-6.4', '-1', 80, 3);
    T('-3.86E+8', '670461414.0226247315', '-268533786', 84, 2);
    T('-802058327.33', '60692.204946', '-802033731', 68, 6);
    T('-1.835022259233067138', '-2844973481.92981', '-1', 36, 6);
    T('-6838498.33469774980380419', '50386686.977', '-6817794', 71, 2);
    T('1230.098', '378031186.1519044334344908', '378031326', 91, 2);
    T('754899388.6063772715230', '-281.427774771186822179412', '-1', 31, 4);
    T('-4139153571.43091948011', '-6E+17', '-808614051', 68, 1);
    T('-840.185957059703326770275611454', '77.2610419446', '-771', 69, 6);
    T('1.9E+7', '2.37E+8', '253886400', 36, 0);
    T('5943.53', '-7667.026400', '-2241', 98, 2);
    T('-2E+2', '1.7586205884091E+15', '-196', 99, 6);
    T('5609233986.00816884001324344801', '-64075386.44650', '-25272378', 73, 0);
    T('9853906.398498777', '-201490.0410994', '-65538', 63, 2);
    T('-23.14931790792979', '40121675.775064037', '-21', 56, 2);
    T('40266.639808275456911286244245', '-8440.5', '-8374', 76, 4);
    T('-35756.0859814', '849.508', '-34987', 84, 6);
    T('-2E+8', '-86230.3150695086487636498627', '-82134', 29, 4);
    T('-4976.26959726219644490080292973', '21505.5133', '-879', 4, 6);
    T('4648984.4069473', '-9258280.125674645', '-8979752', 42, 1);
    T('-2.252775539066233728E+19', '-500662.6602811', '-107190', 21, 4);
    T('7390958368.624572841695938890', '516.46265494097138814', '7390958372', 26, 4);
    T('-932572.62', '513.79340172470622292244550214', '-932059', 26, 6);
    T('52.807377023117526401456291175', '3790975.19006311927', '3790975', 57, 3);
    T('359.99441156540800699305', '-493.350708818585161096', '-137', 6, 3);
    T('8319185.79600759043', '-4200323750.737', '-4194372133', 68, 2);
    T('9623919.41393', '47932526.7270', '47971695', 65, 2);
    T('7E+7', '-303630102.797742', '-303104534', 35, 2);
    T('-2757.96581529926', '5.498627', '-2753', 86, 1);
    T('254.32283997219918', '5582.7583631339224775851877599', '5630', 95, 3);
    T('36458603.90587830364172115831', '5963067041.553741590396', '5963087595', 72, 3);
    T('-1966.5395245472380730631767', '4159432136.7369578535720', '-550', 47, 4);
    T('-5.3E+4', '70.67647635', '-52994', 72, 1);
    T('-374.46415450777585634541', '-750370.4162941432255111', '-290', 17, 1);
    T('8615.835', '-3.1362328800', '-1', 92, 2);
    T('-6.966', '503.26127', '-1', 42, 6);
    T('-3.422E+4', '-1.52175800E+15', '-428', 56, 2);
    T('-48854.197695611988103633009', '-7593.36132806', '-7297', 66, 3);
    T('1.6971679E+8', '735889.271749823', '169852599', 27, 6);
    T('44254.2097657240984383', '-8445094235858.6759', '-8445094199810', 80, 0);
    T('88355373.1391828689801859516', '-1894346774.6043', '-1890140177', 76, 1);
    T('-43.096', '6.197460132610333E+17', '-43', 36, 6);
    T('5.90008249E+11', '-9448', '-1096', 6, 1);
    T('-43122.18727502951159253', '-8164661.4100708823143', '-32817', 22, 6);
    T('70373275.061427830', '70057387.23931461519730053', '71172027', 45, 4);
    T('-8645224128.96645558729266190', '5.23E+5', '-8644985864', 7, 5);
    T('3E+5', '412.7712456118367', '300028', 16, 6);
    T('3650736103.3633186020', '-149.809', '-17', 74, 5);
    T('1701.07662356632488200', '647330316.0388455573116070107', '647331501', 7, 4);
    T('64432242.462', '2002388.19048', '64990710', 99, 6);
    T('72.126470182315203590', '-47870.956685389672364084352', '-47798', 27, 2);
    T('-1204.92631', '-25179859.549401113186946', '-1171', 18, 6);
    T('62.734639857429093807527301', '30.854938225102003', '62', 54, 6);
    T('-37.764', '654534.57967751', '-33', 77, 4);
    T('-3.8094373762278704', '-3.202E+17', '-3', 34, 1);
    T('30556462909313.463842', '-77757.561178891481', '-75837', 70, 3);
    T('-599.15086862084896213559987', '-65030664.503518147600', '-519', 36, 5);
    T('-6.85806984205802238748', '715797610.3778826', '-6', 72, 0);
    T('-2E+6', '-948497.56426458961262444', '-917521', 31, 6);
    T('-49020.441542023075254559', '-948639082.10', '-5482', 70, 4);
    T('-81985.2414119663879496', '-2128759900.891044391014157', '-16449', 56, 6);
    T('-5.22E+19', '-1.866E+6', '-30992', 92, 1);
    T('647513234.06429617737801440829', '34836.534291204165', '647548054', 77, 6);
    T('-7', '1.896852368907407', '-7', 84, 6);
    T('1096.44183684', '343.440550', '1375', 12, 6);
    T('-1E+8', '-35.33', '-35', 11, 3);
    T('-2.574E+9', '-9.8040E+20', '-6561664', 82, 1);
    T('-82055.0384226297812341304918', '2.0221935097155116', '-82053', 81, 1);
    T('-6.45E+8', '-8.6962286021', '-8', 45, 4);
    T('9.9472E+16', '8.6467E+7', '99472000069624248', 65, 0);
    T('-53.59114117114733', '-35757.402511427475', '-37', 12, 2);
    T('256097736.5892', '9617.453254733600083661156', '256097753', 34, 5);
    T('8.4436157335136738', '-4185.056655351671149566217', '-4177', 82, 4);
    T('-3340251941.70', '1.803', '-3340251941', 87, 0);
    T('943299779.9', '-6', '-5', 91, 2);
    T('-296972596.8869047179', '-642424546.902869707642956533636', '-135202', 65, 0);
    T('-6360.48022266080', '-36.80999028', '-4', 61, 2);
    T('-87662787.6950', '5199710.12435680734', '-87072897', 61, 3);
    T('-5.3307633E+20', '239.27026', '-533076329999999999761', 42, 3);
    T('-98.78452526933', '8897009.333', '-1', 15, 5);
    T('-2251.29525106856343142879089', '-2.1E+3', '-2051', 21, 0);
    T('-58646.163220800231', '727.517069039668', '-58625', 85, 2);
    T('-54417978.782', '-858.5956527492600880004725', '-538', 50, 2);
    T('-86.6594401964', '9164498.46', '-6', 67, 3);
    T('-616664486.0', '-37.1188413770962862852672324521', '-37', 60, 0);
    T('-6.17283161E+9', '-86701907', '-86566737', 47, 1);
    T('-7.759594829541295E+18', '-3E+7', '-29377304', 56, 5);
    T('-2043.30163598380839551524264', '-1381.878990031325230269225602', '-1377', 47, 3);
    T('-6181318.440643918212116901', '8.399828798471770000', '-6181318', 44, 2);
    T('-46.7322299562621274', '41900070.3330612189', '-10', 61, 4);
    T('-98309939703.24', '-44.23874229225546753521125821', '-35', 93, 0);
    T('7086813784.860', '1.6992418E+10', '17028594392', 42, 0);
    T('-1871.308097907802320', '57.9266076534532006558', '-1863', 49, 2);
    T('-8.53085761482338130640882128', '-4.63118', '-4', 62, 1);
    T('-3485.9166741819', '-4.63E+8', '-413', 7, 4);
    T('-1462223.0928443282', '-1.86800684088065991293315279', '-1', 39, 6);
    T('85.730893669442890420112058541', '-8.86933724411', '-3', 14, 4);
    T('-799914.18904251181940596277', '95.3135171330491478415193', '-799905', 10, 5);
    T('-71.2434056', '397906714.9512755075', '-69', 38, 5);
    T('-69326.04247', '8126271292025146582.88840544836', '-522', 59, 4);
    T('37154.47919655929388', '-6.1E+8', '-609963102', 57, 5);
    T('-30.74718519406044314098602', '2098690.5480477723856', '-30', 75, 2);
    T('72951312387.95017238172101578', '-1.15108317797', '-1', 9, 4);
    T('-3.4002E+5', '739.5', '-339985', 36, 6);
    T('-442908.429593320759829', '71290723.0116798661', '-25', 95, 3);
    T('-8631233209.6840', '1E+7', '-8630183993', 60, 0);
    T('-2.817351799080E+18', '-2179.88656889918789594011290', '-2179', 97, 0);
    T('-3797048.0', '-521.724', '-1', 78, 6);
    T('262616715.5917741873803', '68702', '262618847', 27, 3);
    T('86052845.98903630', '-1.14503E+8', '-47325203', 43, 1);
    T('4771579.987360', '-691.6217', '-1', 55, 3);
    T('-6955258573.48602480567931', '1.34330671', '-6955258573', 26, 4);
    T('-876.0331', '-2.9E+9', '-108', 74, 1);
    T('73318469.0681629775', '-6179.70465867425', '-6179', 32, 5);
    T('-79641191.74812', '3.88E+16', '-79051367', 46, 0);
    T('-717345623875088668.847', '4489.288', '-717345623875084307', 44, 6);
    T('2.570E+7', '-50336161.9933723878070', '-33558785', 5, 2);
    T('-43.10440887', '4.79E+3', '-9', 15, 5);
    T('71217.7066395883681213053386602', '-929.2102272208098', '-385', 41, 4);
    T('-453302151.6801216154', '-96.2158666877873353687276', '-7', 94, 6);
    T('-629667.0964257', '7393.211121710759', '-623363', 47, 4);
    T('-374704.30461296125500874', '-120697161.034561252616259002066', '-110857', 6, 5);
    T('6813604.7944571288059045', '-2.534842938619082599014914', '-2', 18, 2);
    T('-486320418.775199798874367020647', '9E+6', '-477407522', 82, 1);
    T('5.601E+4', '16.361731233076631', '56026', 87, 2);
    T('6806.29725026868711764809181980', '9.511E+20', '951100000000000006806', 26, 4);
    T('-83201.840608447819848014484', '-4.05', '-1', 61, 5);
    T('471.229246549768610600376769181', '38545.703165', '38871', 26, 0);
    T('-7734.7517475', '31774.4', '-546', 63, 3);
    T('-5.466812E+19', '7.5042E+13', '-54668115326769376256', 22, 5);
    T('-116997024.599004295606065069', '-2.4132', '-2', 5, 0);
    T('32835523985915768347.06', '5.5E+9', '32835523990303014683', 66, 5);
    T('7604791.3278775865', '-5338798.7496609715724539924', '-95369', 77, 5);
    T('4.3848E+14', '-965970079.802476392', '-689146015', 83, 5);
    T('939.272', '6511713278.00192', '6511713279', 33, 6);
    T('60564499.47', '75148.7847623432812136271', '60630431', 74, 2);
    T('-8E+7', '588614658.34538', '-79705086', 98, 3);
    T('2.0E+2', '-585.7999649737', '-513', 45, 2);
    T('545.4513307613514406084', '-503003393263.549408', '-503003393231', 63, 3);
    T('-543965.2500', '1889.6792909463540', '-542877', 55, 2);
    T('-450370867807857.38', '7.1550435E+9', '-450370296250961', 82, 4);
    T('83155.664075962552359564305939', '915.618', '83923', 95, 2);
    T('5804.2484227', '-63635.2330727644299', '-59411', 30, 3);
    T('-862.12405109910909', '-5.4E+6', '-286', 90, 5);
    T('-40770.973282397748327007010170', '-790723.657837519276', '-4161', 19, 2);
    T('-9.71856', '-35262212.79570624', '-1', 25, 4);
    T('24685.48153572444906096', '-3999741.5671426', '-3999633', 58, 5);
    T('-8601746450787.874279429', '67145.42', '-8601746450723', 19, 4);
    T('96289879', '90853895.77076270285', '100619863', 33, 3);
    T('214507.451735276141', '-44406628.871629', '-44339713', 44, 3);
    T('-22.0473715008851678', '-7.26E+18', '-22', 99, 0);
    T('646880343.202999555205', '481194.870525400665422', '646963199', 7, 6);
    T('8448067676.656308', '-2.1E+4', '-4612', 44, 6);
    T('-789.68072255553339735', '-962607.41784506294', '-5', 98, 0);
    T('5.56', '3210627.6184039285376092551', '3210631', 75, 4);
    T('-8.415E+4', '324.1299371443397607', '-84146', 26, 1);
    T('-16692', '-574774.7108887', '-16690', 20, 5);
    T('143193.038082325794148', '-6285188.14', '-6144131', 71, 0);
    T('8.71420144E+9', '-7.389E+6', '-1086984', 99, 6);
    T('210.2', '2838476230929.273539514600', '2838476231123', 96, 0);
    T('-8560.469371110615722680185797', '1.08E+5', '-16', 25, 2);
    T('3.7E+4', '6E+7', '60004232', 55, 5);
    T('-108190345.436336074991', '271758852.28715', '-104876169', 75, 1);
    T('-84.906553597547764150046550', '-176682887.119', '-3', 36, 1);
    T('-8.480E+5', '3.520527E+7', '-311402', 88, 0);
    T('84.897600906549030684070', '-267444.670437759107115', '-267428', 41, 5);
    T('-3.014E+5', '-5.6306252524E+13', '-264536', 50, 4);
    T('-811457.515675712770539', '704750.02529258833238578018329', '-270593', 93, 5);
    T('-21263625.211335686', '7.33E+4', '-21258505', 6, 5);
    T('-118546.32591091162685634618', '-9.475305E+7', '-114962', 38, 2);
    T('40237.014320835210445', '-8.72744E+8', '-872742931', 83, 5);
    T('589571568.24280837591', '-52.7824376499753249797315565087', '-4', 49, 0);
    T('4.3E+4', '-2.974376206528176893418', '-2', 46, 3);
    T('-5E+19', '-77661848.32044294958', '-8455832', 68, 2);
    T('-377', '8.2477E+13', '-377', 53, 3);
    T('94388.48531330161851769713690', '3.058E+5', '391868', 82, 0);
    T('6594648.47', '-465.33234612064649199709', '-385', 27, 5);
    T('-8752104941.0057752400053790', '-7.4142E+9', '-162170029', 54, 3);
    T('4008', '369672322.6856994256747558678', '369676202', 1, 2);
    T('7.024751031336E+20', '-56775.722862170', '-54727', 49, 4);
    T('33913.662136177733', '-6.538E+6', '-6505223', 6, 2);
    T('38.27307757', '2.010618396442221E+18', '2010618396442221038', 18, 4);
    T('69.7737973363848734905', '8.39E+7', '83900005', 36, 0);
    T('20699.60875539596624942174', '-769.913441763292468143', '-769', 58, 6);
    T('-5.6069E+5', '94.022', '-560674', 2, 6);
    T('4E+8', '12.60576047172176363874624', '400000012', 4, 1);
    T('-1585.6489', '3483382.112', '-1', 17, 5);
    T('280660257.07899644888942306870', '-2928023.0563106461283029396', '-271511', 89, 2);
    T('6856147506.94731566', '2.7860E-7', '6856147506', 39, 0);
    T('-69.836891241602542914', '10224095.181197198027384', '-1', 24, 3);
    T('5.595237E+8', '-31215030.07171099874036306', '-8669314', 9, 6);
    T('331555.902985', '1.37373E+9', '1373994995', 85, 5);
    T('605.4338807439585144008', '-45729.955870282052020840', '-45217', 80, 2);
    T('5.347907', '-84.964', '-83', 93, 3);
    T('69510800.399572', '-1.70823486', '-1', 69, 5);
    T('33911.295', '7039231613758274.6846', '7039231613792119', 73, 1);
    T('860658627.54248', '-2.901842158939454', '-1', 52, 0);
    T('1.74912E+8', '37.923912405489626595364', '174912037', 56, 5);
    T('7748514', '75555.392428742764197', '7815075', 97, 2);
    T('713.036388357', '5.310E+4', '53229', 69, 4);
    T('-961647064.404626846688924940956', '3.64', '-961647061', 14, 1);
    T('-3.21715468647', '9.80E+5', '-3', 51, 2);
    T('5889576844437', '-589861335.1208973', '-554172739', 31, 5);
    T('-311.9957433330206099773952', '-8898.2400319561947894966', '-1', 75, 1);
    T('85476.960', '6504492420.973276898', '6504574436', 16, 5);
    T('5.7E+9', '4677.05262208963696057551055', '5700000581', 92, 0);
    T('8.77E+20', '25974143.55005626442019', '877000000000000546175', 41, 4);
    T('74.7685', '-17.6611702986849132749385469049', '-17', 16, 4);
    T('-1310148993557.597051881534', '-2.717425070499', '-1', 25, 1);
    T('-4796978764.17831685139077147', '120.7299684662286642', '-4796978692', 12, 3);
    T('-9.74803490371887259932049313', '18866729.8097015039', '-1', 94, 1);
    T('-658355', '65190089.3283698393037667', '-525107', 21, 6);
    T('-26649.49715381346682587033', '11019.8344805810876620760385848', '-16401', 29, 6);
    T('-418070.98643497058286', '-895051.713901906567986286', '-270337', 70, 5);
    T('-4.884E+8', '960.4036616685654418694', '-488399936', 67, 5);
    T('-310.112070521163897', '-9.7706355E+8', '-54', 17, 1);
    T('-58.31488896353176390818761748', '-238669429.75654', '-49', 84, 5);
    T('-6.9E+7', '27956968.36992565', '-68438296', 82, 2);
    T('-44518.1981', '81740472800819324908.6865486', '-2050', 69, 3);
    T('9.2E+17', '1.46316883205713221320', '920000000000000001', 1, 4);
    T('-3.440E+8', '64822.874825', '-343998666', 12, 6);
    T('7331.01', '4350.35451063747152633017910', '7423', 22, 3);
    T('-52636548.26145', '1.73E+4', '-52635652', 28, 1);
    T('-5602346262.4', '1890.1837334508132', '-5602344982', 34, 4);
    T('-20.7704593', '935.5486945986862347', '-17', 100, 1);
    T('254.5681238', '8.1E+7', '81000190', 83, 6);
    T('8.81363E+6', '-3349363.540137409979901', '-3212097', 28, 0);
    T('-29746488.81777091378', '773628.13174740', '-29630468', 91, 6);
    T('-72873.922224427205728', '-8294.08879606246921552775', '-33', 71, 2);
    T('-8.95', '-6E+9', '-8', 98, 0);
    T('-413060236.1218', '69', '-413060235', 30, 5);
    T('-2.6190E+6', '8.4869646730110428798949032385', '-2619000', 1, 5);
    T('-2397442015.53950371257', '594.492', '-2397441421', 58, 5);
    T('83.8809', '-9.239701522335400848', '-9', 17, 4);
    T('709069.2', '9894758.16479454950552218999884', '10419183', 87, 2);
    T('5.91140E+7', '8798551117627.74672369399829', '8798568156987', 10, 6);
    T('4.509E+19', '2815707156.956553527', '45090000002776647700', 73, 3);
    T('16199264144968996647.522', '9880547.32025456844275428724', '16199264144969422823', 79, 3);
    T('6016.785937783526450747', '-5031.810944459912597996', '-39', 82, 1);
    T('68.473155', '401.212', '469', 96, 1);
    T('883151800.444115005060', '7.251644464566819E+18', '7251644464633994168', 33, 2);
    T('1.5E+19', '66136498.507', '15000000000018950578', 82, 3);
    T('468960.4115104867800240431535', '-39199.856624420540055949', '-38943', 37, 2);
    T('-6.22820E+6', '-97.315002340288432058', '-97', 44, 5);
    T('-6.3E+9', '66716.453834832492450954', '-6299998820', 93, 1);
    T('-943745914.13771430', '4870044447.19', '-402653281', 1, 4);
    T('9.60830E+7', '-354704895.669', '-268714439', 95, 2);
    T('8808742.1', '3656.31201240', '8810350', 36, 1);
    T('-10.380627', '-8105.33955074370093714595', '-9', 60, 1);
    T('906.8542201465066', '52', '958', 13, 6);
    T('30874.329991622', '-60454.4207142', '-33830', 31, 5);
    T('-99.418412962858019594', '-7539015965.2996806', '-1', 30, 5);
    T('575586161.519824', '-7.46547E+7', '-70320267', 8, 0);
    T('4.93935733026197993553314446092', '5480767.972', '5480767', 13, 5);
    T('6E+3', '48900227.871710', '48906227', 37, 1);
    T('1.79993568', '8961.84948053477075862354321185', '8961', 55, 0);
    T('-320.183619340312133', '991.5', '-33', 43, 0);
    T('95648356441125994646.79055535', '-6.785E+9', '-4297597482', 1, 6);
    T('-922231.39842435103018116066', '-74516270.78526932140568212104', '-549', 1, 6);
    T('-6024930725.409416', '-4591814247.73456', '-4312859685', 99, 6);
    T('2.6E+14', '-6.96383268320476693895', '-6', 57, 4);
    T('592516256.9289612404367308662', '20793676.9', '595418604', 42, 6);
    T('62364165.54336895494457', '8.1E+7', '133692997', 25, 6);
    T('-35595075345.68330372801823522', '4.8111E+7', '-35586679297', 54, 4);
    T('130155.57', '-7.061460', '-5', 16, 3);
    T('451369237408558897588.95594', '684.9615763428643458', '451369237408558898108', 75, 1);
    T('-19913.099209708522', '-725254782.9093984780', '-73', 93, 6);
    T('-916369404938858198.4150205035', '-5.9148E+8', '-541066390', 33, 6);
    T('2507.24988', '3381.6425466882637804324321', '3583', 21, 4);
    T('-8.364595E+18', '-789.15340532251806266004', '-789', 7, 6);
    T('-3.8926E+5', '-2447637297.7172233283524', '-126977', 36, 6);
    T('-7.38889041616718', '-60070.27961962646393', '-5', 89, 0);
    T('3719068.62364456282005352', '344.2950886', '3719132', 77, 4);
    T('8.3E+9', '-527.0', '-15', 9, 2);
    T('829930706.6149618335154709949', '197796.87153', '829930742', 57, 0);
    T('53.4295158', '-793548.6078134', '-793547', 93, 1);
    T('-92106474.7598525763930', '-90806431924131039.6663', '-69731529', 9, 0);
    T('-287144665.11614053389805', '445.7778779137532559', '-287144513', 60, 4);
    T('1231294.3089878196659', '939888837654379418706.839', '939888837654379421182', 6, 2);
    T('372828378.62095937077', '-84218839330374.9393624774573', '-84218537313798', 21, 4);
    T('-3715231699.85101236520413549', '-5859687427.376337', '-1564584963', 64, 4);
    T('862000.173218521', '3.6120628021E+12', '3612063131572', 77, 3);
    T('-6.81349', '-629215416.46794844597946', '-6', 21, 1);
    T('-249.17', '7584154976.0078896963', '-153', 42, 2);
    T('3025012.3', '-435928221348017.1630638212638', '-435928220946561', 4, 1);
    T('-614122.89026', '-8785696.01980630083224927299746', '-3594', 98, 5);
    T('-840551307.81', '-68315989', '-1067777', 42, 4);
    T('8675654.033545091236429588', '-58403636.91103803', '-58395186', 13, 6);
    T('-312923.37672698870459987198', '-5976.575990445381329283', '-1619', 46, 4);
    T('-9.797663865263217448085107354', '3599726247.01852', '-9', 20, 3);
    T('-788.616', '-4324077209', '-529', 58, 6);
    T('-8465760.88', '2461.82190092410774316924602', '-8463427', 80, 6);
    T('-4.34E+6', '-542676.7502096784', '-276', 73, 3);
    T('-8279.053186923987826782658', '-31808439.2991025886093442920483', '-23', 56, 3);
    T('2411.558255720556', '86878270.161537583903', '86878591', 15, 2);
    T('-9585776364.29160391323782311207', '-72838954.8404033', '-5457450', 3, 3);
    T('5.9759085363E+18', '-309.39682253698912405249', '-53', 21, 3);
    T('-6.61E+9', '-627270.8', '-561222', 68, 5);
    T('6260875512.94', '-1E+4', '-1800', 29, 4);
    T('47536.47717617102941951', '-4.622284333139', '-4', 81, 3);
    T('6.6233E+7', '57.41478882552262037971805278', '66233017', 98, 4);
    T('532.71052269739540932', '52883910606937833095.979', '52883910606937833111', 52, 4);
    T('1E+13', '712323021.384985092', '10000537202637', 19, 4);
    T('33.954512898', '918578435.4935829094', '918578467', 89, 3);
    T('-3.95442E+6', '-82339.288205727532996087', '-16547', 49, 4);
    T('138350987318639371.6', '889.959382383895565395364', '138350987318639483', 48, 0);
    T('-564957914.55', '-1.06919449777379959660144241', '-1', 87, 5);
    T('2750383786.8875938012', '-954.270659', '-274', 92, 6);
    T('2.45E+6', '-8025599223.73177', '-8025312423', 96, 6);
    T('307.1', '-58040.435444541260920558474664', '-57989', 8, 1);
    T('-7.83423226E+9', '19.24081869335952113226786629', '-7834232257', 27, 4);
    T('3E+7', '27729.5176406184837699686', '30011345', 23, 2);
    T('2.264E+17', '-69895599733.184388', '-1175991925', 70, 3);
    T('-3.95', '835430.13179432287787', '-1', 7, 6);
    T('713210.54677653187', '7.2427540186165E+16', '72427540186853370', 25, 5);
    T('-4.12703E+7', '86739.103631990127', '-41200649', 33, 1);
    T('-627.771814419', '-1.84E+18', '-627', 28, 6);
    T('-4.8533527668408161266', '4043231.13', '-1', 58, 0);
    T('6.4E+6', '-5.9497E+6', '-1720580', 61, 3);
    T('-6731605.19499537147', '5580192136.743831255434031875', '-6555221', 73, 6);
    T('-120187.22761890168655155911', '-504172861.2215698217180666', '-69945', 7, 5);
    T('60612132.5834989149399748804230', '-5.8060E+6', '-4194700', 94, 6);
    T('1.9468053011630E+20', '8.217449885', '194680530116300000008', 68, 6);
    T('3604.119', '-2435.0703099554390758257682', '-387', 7, 1);
    T('-7097.650666402', '2411733778.32026475600', '-6313', 53, 5);
    T('-90.40929446159039439', '-208.37', '-74', 81, 3);
    T('2629.6334689248083321909373', '-927756.48357887367545854907370', '-925707', 76, 1);
    T('-35751.566371385411846523', '605738.5', '-33157', 64, 3);
    T('5560203088825151157.539765325', '6495276260.908', '5560203095318195957', 59, 0);
    T('-4500.54', '4.6928455937135823209', '-4500', 98, 2);
    T('-8.969413250079921821784217727E-126', '-2.9691356293274E+15', '-2969135629327400', 16, 1);
    T('-4.0E+2', '-8219.989658180', '-11', 2, 2);
    T('-732982.599', '-3.93E+17', '-667446', 62, 4);
    T('3E+7', '-9244.6583921728665', '-9244', 13, 3);
    T('572.55', '-6291064.33573199300318', '-6290500', 67, 2);
    T('787572.8398867507968459', '815161.83104445117175176934739', '816253', 20, 5);
    T('-83103693.2689451035508420892', '-98115545464421042.1', '-5245569', 73, 5);
    T('42632343.67439923944261101762', '397.80365', '42632607', 69, 0);
    T('86133.41109109812499556562', '31.39411442633182', '86143', 2, 1);
    T('-634.309848423655798039922728462', '632.8598578', '-2', 39, 0);
    T('-4037106.754053', '3.48135666112519701065433580', '-4037105', 43, 2);
    T('-9564390.2121993719819', '27709.2', '-9539777', 96, 1);
    T('-472805900988.8317583754249', '-726666', '-590474', 17, 1);
    T('-86559.124159940075313797', '-40163575.311171518281', '-20503', 35, 3);
    T('3E+9', '202.40751588666051769258426668', '3000000202', 6, 6);
    T('391.2518860322384136', '9.0118375701', '399', 57, 1);
    T('-7.00622E+8', '41.575351', '-700621959', 88, 1);
    T('-45', '-6744.2767220137726456996292053', '-5', 94, 1);
    T('4914633.879751570', '58.18039558418478130', '4914683', 91, 2);
    T('5.7155816E+8', '173.99219916016610433', '571558333', 27, 4);
    T('57037234937.660', '-3385067.192799', '-1082371', 28, 2);
    T('1.864537005495866715E+20', '66712750.2', '186453700549600343982', 85, 1);
    T('5011058.943849002922777948', '9478.0804308677032768812121', '5011318', 80, 6);
    T('29.2803022798886', '4656706057.08901640', '4656706077', 68, 1);
    T('-8E+6', '20.98079427864184747103165649', '-7999980', 88, 6);
    T('603.11904653731', '8063375.794', '8063967', 77, 6);
    T('-9812.74222481453454', '-5549.47498857', '-1025', 63, 4);
    T('8.5660077156', '-1.6109E+5', '-161090', 11, 2);
    T('5911262.0518413933807', '93.49687', '5911263', 82, 1);
    T('-7.4E+16', '8612051.877115774702229313477', '-73999999999973165', 34, 3);
    T('9027743546.50525907', '-784.687054259910373', '-6', 53, 6);
    T('135.8277805258080', '17503.98', '17631', 64, 6);
    T('-3114.34765438', '-26551.65162847693610577091143', '-1057', 63, 4);
    T('9497518265', '-68.60', '-67', 80, 5);
    T('34096049526.5281784304570611231', '-5983675235.8104166083', '-78086657', 60, 5);
    T('1E+8', '9.3E+3', '100001108', 94, 0);
    T('4533847.30087840287619', '14.26173114509', '4533855', 17, 2);
    T('16290.0956582', '11856667.1', '11861947', 73, 3);
    T('-7371.7205', '-5.555E+7', '-11', 88, 6);
    T('60.1369677170911', '-351.11212352147143717198', '-323', 65, 6);
    T('4242525832.4253776', '-2.09E+7', '-18882584', 66, 0);
    T('-594544003.0027297429092951', '-392.97858526255283352893', '-387', 100, 5);
    T('-5369.935764026284862', '-382568069.966310256544', '-1153', 40, 2);
    T('698485.05893', '-1461690.26484368427601691475566', '-1328521', 9, 1);
    T('-2986782.722669819609837988232', '-7152403.6', '-2949905', 13, 0);
    T('73.72029776242802698043', '21603796.0', '21603805', 36, 1);
    T('-57.7011301250723687233846', '5.633382098761E+13', '-33', 25, 4);
    T('92968.29138415', '3074.989698462969917', '93994', 63, 3);
    T('4.1E+4', '-65.264475972227475334203479', '-65', 55, 3);
    T('5.722', '-9.7E+5', '-969995', 32, 4);
    T('-871.75109420458925710080869', '1052101.1513065503952165', '-547', 26, 2);
    T('-8.189778E+10', '-6.903E+4', '-262', 79, 0);
    T('6269515.643189977445047692', '-2856354.78119626', '-2102689', 9, 1);
    T('-948243228.828941', '-664729768.3788439683484139', '-545523716', 40, 6);
    T('4.02354E+18', '1969871776.2641125', '4023540000006855584', 25, 6);
    T('-866872068250031096.2026367475', '-54291327.75556112253961', '-16794487', 22, 6);
    T('-1966.12180334838', '-8319006193', '-1441', 18, 6);
    T('8.691E+9', '85441363.780192105642945850709', '8708930515', 84, 6);
    T('95.2313', '789461739.19274618098159022731', '789461759', 96, 6);
    T('461264.0', '5.2416883E+9', '5241821692', 23, 1);
    T('-68892.849528027190207', '-5389.557326601044581711618359', '-1289', 81, 3);
    T('-6022.272', '-7.973E+8', '-5382', 22, 4);
    T('6611.918473188281186890434732', '497980.4391217403', '498175', 47, 6);
    T('-746441344.3', '-43898.3401530641653', '-35450', 13, 5);
    T('66623180.68057922', '5205639.6162679208', '67108559', 90, 3);
    T('5303352.1685208381366617', '-1.4760382072', '-1', 85, 1);
    T('8.9836665E+9', '-51651065.40686098', '-8377', 53, 4);
    T('5233396255.63515031140913', '-93007280902382603827.365', '-93007280901452760097', 17, 1);
    T('83200889.653320158457506056800', '-95978.55116743691191812339164', '-29825', 96, 1);
    T('-5351063870.970557134319161560', '-73.50', '-9', 39, 6);
    T('-975926.331475681493606006264', '-84220.555057456', '-16434', 12, 6);
    T('-6.36088002508536454315482504603', '4.0E+3', '-6', 22, 0);
    T('-69475058.49614', '28.8', '-69475042', 45, 6);
    T('6647692610.868083700260759146', '3.0580', '6647692611', 21, 1);
    T('60249708166.12468124909', '2.8E+7', '60258238342', 20, 5);
    T('-801960.5712601930925124054523', '37.29342029101748513', '-801923', 99, 6);
    T('1.555E+8', '-6.161121E+7', '-44564490', 47, 5);
    T('-677.7653245997031584438771', '352372952424938027969.23357', '-37', 18, 4);
    T('5940934.94352', '9263.564552445665421', '5940975', 51, 3);
    T('-892.144631817873823839', '-8857.9016706892145237', '-537', 87, 3);
    T('-709072.7855922917035251096691', '19700.13507947', '-692492', 66, 4);
    T('7694423533.40316907939140', '1.6825', '7694423533', 47, 2);
    T('-6292136.85978214737196', '-5784110.120525309487', '-4194854', 13, 4);
    T('-6.646747674314116', '957869599.08374042439145605089', '-1', 100, 6);
    T('465.290264569419021444557', '449.106133', '465', 59, 1);
    T('-6E+3', '-5.44', '-5', 95, 4);
    T('210354753.75', '75710777.956961529025737039919', '210486137', 87, 6);
    T('15435.665291', '-25666808.4379683550208908', '-25657525', 15, 3);
    T('-11136640.432192324', '9074534628.0186190', '-624156', 26, 5);
    T('-3.55299601E+9', '5347574179.93356379', '-3242355209', 1, 0);
    T('-375107111.48', '-675.65', '-547', 49, 1);
    T('263064853973274828466.98447', '-3083854.7624605479', '-2228302', 71, 4);
    T('-8842046743123574.38808381921', '-3.436', '-1', 16, 2);
    T('35.29', '467.52563056551', '499', 70, 0);
    T('-39575714865.85345675', '916143881.804', '-38661275697', 11, 3);
    T('-5236732868.23784', '7.785394E+7', '-5234492164', 9, 1);
    T('-6.532297E+9', '7.8915176474316E+18', '-2216226856', 49, 4);
    T('249144304.7400', '863.2102441472023360507972903', '249144319', 64, 5);
    T('-4755853.40282959538054737', '-77926.661', '-4101', 98, 5);
    T('39954.49313', '84883794720993.1713068761365188', '84883794754803', 51, 5);
    T('-5526.3151166332', '1292.81671865520331922016569771', '-4242', 72, 4);
    T('-59.366835583', '-51779458.5509234400', '-1', 75, 2);
    T('4827294.10667983353394709543697', '-494793659565057.936', '-494793655337985', 76, 3);
    T('6603.8951591', '62.164981891646202444032939767', '6655', 79, 5);
    T('4.4396E+7', '584005.72', '44953061', 15, 1);
    T('967298644', '-58565031', '-39330211', 53, 1);
    T('10179.668231', '501869301.37893978418379612', '501870583', 19, 3);
    T('8.7E+16', '-5E+1', '-50', 56, 5);
    T('-27630.7394', '754.25814018169326570', '-26894', 4, 1);
    T('-2.013915936540296859', '4.90E+16', '-2', 94, 4);
    T('51180.2725599982431', '66234.93449619594808388', '116734', 66, 5);
    T('-3.4E+3', '59513239.0178702834162875832286', '-1089', 87, 4);
    T('3266.3406849381872811', '4499965', '4500991', 78, 3);
    T('20011653.89346530913', '2319424.8', '20152005', 86, 3);
    T('-4.152860E+18', '-197365.25032', '-66293', 39, 5);
    T('-7.219086536404', '-9.0685E+10', '-7', 30, 2);
    T('-1.155297521202754', '4.36', '-1', 96, 4);
    T('-729.291691141214238251105112413', '-75229.789710122210167638', '-217', 39, 6);
    T('6E+8', '3181561940.34', '3219377748', 47, 5);
    T('-63624441.0312608309127692202', '-812370.724420955219567807900241', '-541777', 14, 3);
    T('-5.433546383844749840658', '-6E+4', '-5', 1, 5);
    T('68673.62', '74889.176', '77001', 41, 2);
    T('8E+3', '-56249.384060843995', '-49337', 26, 0);
    T('-739.4720958986238600879994850', '-7.075564554E+19', '-739', 10, 0);
    T('4.484533E+8', '-5.530389072586668E+19', '-55303890725866120204', 11, 0);
    T('8775.571524239982', '8576276106.4148619430', '8576284367', 90, 4);
    T('-9462.41308627103635475049306', '58005843.694421486984052057', '-9381', 48, 3);
    T('2.4E+9', '65.1247189942609999326906', '2400000065', 31, 5);
    T('-4.2014E+7', '-3.36E+6', '-66608', 61, 0);
    T('5.05285878588361199026', '183746404.0333072926', '183746405', 54, 0);
    T('-8.0E+3', '-84.8448303974', '-20', 74, 5);
    T('919755.199509742394436652652', '-736.642628931759806960792651', '-533', 65, 5);
    T('-48344019725812966.5624739603615', '138660994.205547907561487967509', '-48344019587301478', 24, 3);
    T('-3795339.071818423080601049380', '403.0891996454114', '-3794953', 13, 5);
    T('-6.338203978028667235170', '-830774.591281', '-6', 10, 5);
    T('3784287.8120289332', '86.3477792677566037760030474608', '3784287', 14, 5);
    T('-13643.53723', '-742398.1498031489853708643', '-4425', 40, 0);
    T('6.64E+3', '-1.473E+11', '-147299999760', 66, 5);
    T('-2010628.7261639743', '-875356.8845226121602828150468', '-788996', 29, 4);
    T('-45470.169096787267675', '-52485.99414637', '-33029', 40, 6);
    T('38391841.5308886615407442625', '35491.3016211473055', '38394531', 30, 5);
    T('782.246', '-794.0296802', '-18', 68, 1);
    T('1086.2353704897896269692', '-144980.11', '-143938', 44, 3);
    T('-193.28982193', '3819571886.575263', '-65', 5, 6);
    T('-653493.376555388030240527', '-6324.05268383581888379115', '-6321', 33, 6);
    T('7E+7', '2.9636E+6', '70073744', 8, 4);
    T('28.4891189111077596261950', '7.0051E+7', '70051004', 40, 3);
    T('7348.12928992589301839075', '-728.9', '-580', 1, 4);
    T('1.36E+9', '-183.53192', '-183', 61, 3);
    T('249542450.6706238861774385', '9.96652164812460601365862849647', '249542459', 82, 2);
    T('-5.144165082301', '-79.243900', '-5', 8, 6);
    T('29.064497594599023305205', '-1E+4', '-9987', 89, 0);
    T('-2589863053.177134751', '-7544.254', '-3077', 50, 3);
    T('133816.473840717398121848', '1463421.555072271695435869', '1466109', 6, 1);
    T('12428.52837726703670849', '-608077.1571834847', '-608065', 54, 6);
    T('104609.8412992327174109', '-57189738.354250', '-57156937', 56, 2);
    T('5.919421037E+17', '6.68221E+8', '591942104326274888', 52, 4);
    T('-18324349.06753105107', '-7699047.347760715513983910', '-1383013', 87, 4);
    T('39384787712153.5921340954', '2536.773794645202913221079364', '39384787712505', 18, 2);
    T('3.7462', '6674154113.4', '6674154115', 29, 1);
    T('-18816305.9', '-28681992.32276267', '-18154753', 49, 6);
    T('50956484.3505445607801931571475', '-2.4976E+19', '-24975999999966345020', 70, 6);
    T('-5593798095.1940354092616', '394.7008860745', '-5593797701', 55, 1);
    T('-1018775336.06337', '-3.29493773137', '-3', 80, 1);
    T('324.5', '45086897.492036113', '45087221', 53, 2);
    T('-727056.5869245', '5.4205E+16', '-198672', 3, 6);
    T('-44.295561117522', '1.46E+3', '-12', 70, 2);
    T('-2.93', '1.7E+9', '-2', 10, 0);
    T('-2E+7', '-9483.64962820859710817', '-9227', 50, 2);
    T('-4.24471E+6', '-5590.66580722637799866', '-1222', 7, 3);
    T('347.7667179294546375', '2.3626855063939E+14', '236268550639455', 5, 3);
    T('8046326.23726171986', '-7E+2', '-10', 62, 3);
    T('-9249.46245526943529782358411010', '3.3183774377', '-9249', 12, 1);
    T('-914.73778', '12.202054', '-914', 90, 3);
    T('-8702589861.81123861998919212', '-23714393.7638028600818', '-2152961', 89, 5);
    T('28806.67', '5330.88', '29910', 61, 6);
    T('-9E+7', '5.106E+4', '-89982988', 99, 2);
    T('8092977.148268486', '80527960.2333577411222789419', '83885945', 42, 4);
    T('696126573.63933325700822811', '3201.9310365697300', '696126701', 19, 1);
    T('9.6508772947853264077871364679', '-76937677562308.3607884809252', '-76937677562307', 29, 0);
    T('-83.196791322815882540', '-23794750.57', '-17', 31, 0);
    T('-267246.68517069223892', '823181.644650901', '-4193', 1, 4);
    T('4.8717E+9', '-4E+4', '-32800', 69, 0);
    T('-40009935.544395682836261325', '-3253937.955', '-2130049', 19, 1);
    T('42.9674920703915', '-262.608367365953806129365370114', '-262', 89, 4);
    T('-3139586.427', '-7.5754646317405774', '-1', 49, 0);
    T('71771282.885', '-727831.040258', '-531205', 16, 0);
    T('30870.220668227859150113126', '790915877.0544476103447', '790920119', 91, 3);
    T('5707.237650496900387', '-4.0940093E+14', '-409400929994805', 12, 0);
    T('14757997.029643354816149914932', '-9.161E+4', '-17809', 69, 0);
    T('-76.6896629676545917', '968.480363424822823116', '-4', 39, 6);
    T('-950065.899664731682039', '2351664604.0663507464', '-291361', 19, 2);
    T('-8920877', '1912.320879027359261010', '-8919045', 1, 6);
    T('12475021.7366161037934401001164', '-2522.358958373051', '-337', 18, 6);
    T('7557.374143555288', '60040.1167', '65421', 13, 5);
    T('-6.84400E+9', '-58.01517083718228471', '-58', 96, 1);
    T('-8E+9', '55454101.9032595', '-7995410027', 84, 4);
    T('-915699703.17459321', '3.10642425271147826', '-915699701', 58, 4);
    T('9211689.556419888184', '-37959858.8747216761381849463', '-37957777', 57, 2);
    T('-86', '37.42192', '-81', 83, 2);
    T('-9565860.626685278805002', '78883045867356970980.7803067199', '-1155076', 8, 5);
    T('1062891.1746687363345', '190657809.5612756', '190658555', 63, 5);
    T('13.2615312061438073', '-42.1721059118', '-33', 93, 1);
    T('-6810077167.712159550590', '-823751126.86158', '-285802949', 86, 6);
    T('17.51292453420187', '28.7782662102994656669021', '29', 37, 3);
    T('-1.95910737805001841581', '-2.430E+8', '-1', 22, 6);
    T('728.50371', '3991.51266626943129390739540548', '4063', 98, 3);
    T('-8.75E+5', '-5.7902010E+8', '-65860', 38, 1);
    T('3594843166.08133658', '-5.82058636273154', '-1', 81, 4);
    T('974348.731337423581', '-2146504.668', '-2097348', 19, 5);
    T('-33440.5382', '-3015369.454551253678935094', '-649', 53, 2);
    T('875930.6283172644629969662101', '418914006.6280675180093', '419258334', 58, 1);
    T('-444381.58056511986488', '3.8316E+6', '-295117', 73, 2);
    T('49287.06452308022458861677', '7.6212E+13', '76212000049287', 63, 1);
    T('180.987457162835328000', '-9645.5', '-9481', 30, 0);
    T('7.764802419730654557675', '-17561008152262.5318840190721554', '-17561008152257', 9, 6);
    T('263.248', '8183267654.928032018173', '8183267655', 78, 6);
    T('-7216282.4932515753386966821', '-6599134.397026502047119', '-6557850', 15, 0);
    T('-9305.0891', '-817823440894044089.3', '-9241', 90, 5);
    T('-95946.04910', '9970.219851', '-86026', 35, 0);
    T('-12.360033838919805289', '939861055.635585790054413009009', '-1', 38, 2);
    T('-3.047852E+7', '1088162.01265526686', '-29425686', 82, 5);
    T('-4885.3388164830', '-8.5836E+8', '-21', 92, 5);
    T('9.166664891667880566499861', '-2E+1', '-19', 13, 5);
    T('22.6558679413547', '-5055645302.094', '-5055645282', 24, 0);
    T('88474343.31825787742335', '-377793.769488639918332160', '-114945', 49, 6);
    T('4177.054580', '3E+2', '4477', 92, 4);
    T('43224562.10088', '9.0E+4', '43245554', 12, 2);
    T('-7234704.23128947', '89412.202873394490290', '-7217292', 55, 0);
    T('-332517052.122951958835', '1546.61851', '-332515506', 84, 2);
    T('-20238.9917402659950607944294416', '-7.07208E+6', '-18702', 95, 4);
    T('1', '-721032.7144671745831', '-721031', 15, 5);
    T('-2.85783946461897921', '28333.0758808088', '-1', 70, 1);
    T('129.4389608758084799', '9.7884908258640244', '137', 79, 0);
    T('361.0', '-68.78244843353208798', '-3', 60, 1);
    T('4E+8', '29.9380817', '400000029', 20, 2);
    T('5293391101.18028871287', '-850081.10979506874327035', '-802817', 12, 1);
    T('-1.33727748380201', '9.7170E+9', '-1', 72, 2);
    T('-8.4784E+7', '-1117111.6599253570501261400352', '-66359', 22, 1);
    T('-6.3603831971791606459183050', '-4.07E+6', '-6', 15, 4);
    T('1417.613', '9.295352221E+16', '92953522210000265', 35, 3);
    T('-3847867198.15781125786046539893', '972813.7882', '-3847291697', 38, 2);
    T('-4011729.283531400539397318999', '498693236.8457191514', '-262785', 53, 2);
    T('-122985.34964623623071', '3.6E+8', '-49257', 21, 3);
    T('174874.690008842527861764687', '824', '174906', 40, 1);
    T('-639977.7722983297719055', '-86.387850984286711700', '-65', 97, 0);
    T('75.108810817852580537', '-11542.1198085516437227491200', '-11541', 99, 4);
    T('-8E+8', '-1202366.47789214350706953', '-131262', 73, 5);
    T('9.941549E+9', '30491.8', '9941549019', 80, 0);
    T('3154397.6222173819534369581344', '78.0800056', '3154399', 61, 5);
    T('44912221.4543945895214', '6801.2856890589276', '44916445', 66, 1);
    T('75843363.124532826874808', '29.543502822963740', '75843391', 74, 6);
    T('43239671.9056657010924912', '-6.31E+6', '-6291465', 86, 4);
    T('-76483.000933551613095052729', '7531165865.5866', '-66115', 81, 2);
    T('1221054376.8682081704907318', '-629289.75766145', '-528385', 59, 5);
    T('-29600444.3035479200985', '1124018.754627', '-29526026', 21, 6);
    T('-471.02207922469', '-3.128984E+15', '-471', 86, 6);
    T('-8338120738.3160', '49.56537286796496005', '-8338120705', 2, 3);
    T('7.940424040', '21.98', '23', 44, 1);
    T('4.7020819190109E+14', '-712.44000686903494982223526034', '-582', 52, 6);
    T('5.13E+4', '-3.329513524860280669675', '-3', 90, 3);
    T('-480991.9', '-3100.348505402791049582905', '-1051', 34, 2);
    T('-732.234896912466294607608016', '-226628.55782681870988965', '-68', 50, 4);
    T('-72105.6521872139959862515', '-1.689736E+9', '-69929', 4, 6);
    T('3084876.4661638882449', '50187828.2682296', '50323068', 58, 4);
    T('-97920909.098830623339238710', '-3.55853645E+16', '-1057933', 86, 6);
    T('7.83799708015049781944779', '8E+8', '800000007', 2, 4);
    T('-7E+7', '97911.14965026', '-69992713', 16, 5);
    T('8E+14', '44940.223681670459230645856029', '800000000044940', 76, 1);
    T('-36041839430.21301504000', '5721556789.04653023612306961', '-34900987969', 19, 0);
    T('4.2193E+5', '-1096.83', '-1094', 91, 1);
    T('8.7206052103525', '-8.9570742E+9', '-8957074200', 56, 5);
    T('-16.64753722348272557199575332', '-664128.3390819228909087', '-16', 48, 1);
    T('15514622.87', '7.221191290408112931648746643', '15514623', 74, 1);
    T('-19.2999255949', '-702.550128391618550309336714313', '-17', 10, 6);
    T('853.74477757061292', '403.03173751619', '983', 80, 3);
    T('6.3280E+11', '-2258.7947690192103948', '-210', 84, 1);
    T('29475989.374332', '208310826', '233559743', 64, 6);
    T('2278.4280750625639620554912946', '-7127562.549828472512', '-7127562', 8, 1);
    T('-7E+4', '-9.1406538999376485471739185', '-9', 99, 4);
    T('-1708.87557993402177554357711280', '5.86457E+7', '-556', 80, 1);
    T('8187801179', '-5.855726543', '-5', 95, 3);
    T('44.80765744308017121679', '3.0E+3', '3004', 74, 5);
    T('3E+1', '82181786.86810', '82181790', 40, 2);
    T('-9652', '8608.0683975436079542455192067', '-1044', 51, 4);
    T('563221775.416525', '96197157449160.15311661174', '96197167021519', 57, 6);
    T('5.30843602610', '450.618912992978745153569161930', '455', 84, 3);
    T('5197518039.7339007664116384796', '33737.51941501', '5197518815', 88, 3);
    T('2663.1', '6.4E+4', '64103', 39, 6);
    T('-68158.58345167684632686714', '474983787.152826', '-533', 94, 6);
    T('-69630.508580717945182407196245', '-48.448578', '-46', 85, 0);
    T('-367075058896995898534.617096', '-3E+4', '-21542', 71, 6);
    T('-74865981.980444727008', '9227135.2855877919', '-74585089', 74, 4);
    T('-5.8206E+8', '343407474381491.8', '-573670733', 41, 6);
    T('-62.4347591357126736433', '3.407929261325912927388', '-61', 50, 0);
    T('631.5974284870070441147682', '-346992612.6856974549', '-346992001', 94, 6);
    T('-3103.0606106097820002199389154', '-7903.42890', '-3103', 29, 4);
    T('1.7E+9', '7.399106515901921', '1700000007', 44, 6);
    T('-70318271.364058541052861', '-49120.000480128', '-47263', 22, 1);
    T('2.200E+6', '-34941042383857.7993826370354', '-34941040216625', 82, 0);
    T('-228250.301450470', '-5783706951.89568722537', '-22785', 79, 0);
    T('-831909.4713246458519045038', '-272057140.771', '-262433', 45, 4);
    T('-114.19734666887', '-6.7872E+5', '-50', 97, 0);
    T('1876266318.29137490107149', '-1.6E+5', '-159922', 76, 3);
    T('596.4233751950338', '-16752.530483249443414621', '-16684', 24, 2);
    T('-99.217852630470', '74760717', '-99', 13, 4);
    T('-828.73180618245791362274966', '61305.4437461003561011768625708', '-3', 28, 3);
    T('9374.0718487069974424308010823', '958735.3398416471293', '959903', 58, 2);
    T('76.2393534', '-8327241821.08914', '-8327241745', 61, 5);
    T('-3.4675E+7', '-6.5842602', '-6', 98, 6);
    T('-696222.602272386706413', '-9649428.34', '-138514', 4, 5);
    T('45487', '34.03494069', '45487', 67, 5);
    T('-7.309E+18', '-3634355.7197986524766', '-1340595', 31, 4);
    T('-2.34E+9', '6393865.31078021530184827', '-2333606135', 71, 1);
    T('8926329850.5157774122', '-6546421', '-6488069', 36, 1);
    T('3.54676854', '-396942492.955', '-396942489', 100, 6);
    T('1.046E+8', '22370086.695196875945', '125655014', 49, 5);
    T('7.83664902243698926242522999', '982605.33163052', '982607', 10, 6);
    T('54.69008434459057938809027104', '-85.953055552', '-65', 32, 5);
    T('9.455825666820341', '86.7529687864143981712710507839', '95', 7, 2);
    T('-9.4343E+7', '660484542527.530145568073', '-888641', 38, 0);
    T('-4.23932E+7', '-1.9783743231530', '-1', 60, 4);
    T('76457.7072039899', '-33026256.9781845250809', '-32952391', 74, 2);
    T('192.2312964336749917612994227', '-7953082.5696893', '-7952954', 86, 6);
    T('72756.309507801050199295', '-612512397.296537830234452326011', '-612508297', 26, 5);
    T('-2707343969.8301544', '4723.038084', '-2707343361', 59, 4);
    T('8891888.00145', '-187470826.17521946', '-187175434', 20, 5);
    T('2.0020481082311653696', '-230403.16053', '-230401', 28, 3);
    T('9744005451.3531096316729709', '211.6622', '9744005595', 73, 4);
    T('2271603.317971', '-2477.044146278553292', '-141', 57, 4);
    T('257718410262448.3557', '51615.121408744961485471', '257718410280895', 73, 3);
    T('-938579.164340', '44.0176830105952', '-938579', 61, 5);
    T('-30047.9581703008817002', '9.92242034343501452', '-30039', 34, 5);
    T('5214609.16917708920367225', '-5.83', '-5', 25, 4);
    T('50113.6839507362238608058', '323.85695759765995530561', '50115', 98, 1);
    T('-27188867.47586476422837', '-6030.009328832756438183', '-5761', 57, 4);
    T('87421800.4043927182017486041', '632190.29678829', '87947134', 94, 5);
    T('38632629850335.2477351906467', '-9.1227408218E-769', '38632629850335', 42, 6);
    T('82627624.165044856561993895', '38.87663909544856057916', '82627630', 90, 0);
    T('9.3587375497E+11', '-8896200.332812918795947720510', '-8620166', 28, 0);
    T('5003461', '-423.2216296358660600840410', '-291', 33, 6);
    T('-6.475336621440E+13', '2412.1', '-64753366214292', 27, 2);
    T('911736360.7269476047981724', '48859.042530540', '911736571', 60, 3);
    T('5E+7', '15.236670505566927973', '50000015', 58, 6);
    T('8.91E+8', '816981.0500854045571794', '891287509', 90, 1);
    T('-7.892E+9', '-95.820790812699129', '-95', 8, 4);
    T('5205.5351', '455005190.0185', '455005271', 83, 5);
    T('-385.76130483200982117394', '5696236.40551996474121', '-257', 11, 2);
    T('798.6879905017283', '8725806.8469874715438', '8726334', 58, 3);
    T('-9.4095634562906295115878', '-350147.6710904495304869214735', '-1', 37, 1);
    T('-2429582319', '-8.514308890020348550', '-7', 75, 2);
    T('7.50E+16', '-667937.2247072939257166521122', '-536865', 38, 4);
    T('521136785.20351160652141961509', '-52', '-35', 5, 1);
    T('9.4418755418', '4.6667E+9', '4666700009', 90, 4);
    T('9E+4', '-8728.03632512227175', '-8200', 15, 4);
    T('119597.908233526', '7154.89972', '121855', 14, 0);
    T('-841369.771394', '-4.7880555642585476308862881', '-1', 96, 4);
    T('2.89865E+6', '-26.0061120587496233401', '-2', 34, 4);
    T('67.65988825217226934704975850', '88214749404628986316.9602771386', '88214749404628986319', 40, 6);
    T('862931.0499794809862', '44.75948224', '862975', 42, 6);
    T('3.1656426551E+15', '2.20891888936E+19', '22090085133492776032', 82, 4);
    T('-1393382233186.780956', '505296597.8329635000661133595', '-1393180114977', 78, 4);
    T('-542378145.615659', '-5.4881632340984', '-1', 24, 4);
    T('8964018908.3215865', '23.1851739172', '8964018911', 62, 4);
    T('-205429781378070755.1204', '-795.9091007411055799', '-3', 33, 6);
    T('-79970.66801014321733725', '9.19239367', '-79969', 23, 5);
    T('-3.680E+4', '-793319.8894', '-2727', 71, 5);
    T('-8229265.6513287373797', '52433942.9199762629', '-6128001', 60, 2);
    T('-293211799.6435', '-51.675889657', '-19', 37, 5);
    T('-266.4164', '-734939', '-9', 36, 1);
    T('4.34348038E+9', '-6338582.3310948165', '-47106', 92, 1);
    T('-532193320.27506639963509', '207557220.1933', '-329293828', 35, 5);
    T('-2301459.9480172130864253466386', '25.234410854245010452535', '-2301443', 63, 3);
    T('-70067.028497', '-1004462276123.78044496934238', '-69651', 33, 4);
    T('39999684.5', '4.089720', '39999684', 77, 1);
    T('3', '-14013874049.9136487922612844', '-14013874049', 79, 2);
    T('-22.20229349', '8.34998834073E+18', '-22', 68, 2);
    T('2059.419637', '571077704.8630398136675448', '571079755', 60, 1);
    T('553.606874331569639594946818', '2.76', '555', 61, 1);
    T('-5E+6', '-3687.5183523067188567', '-2599', 97, 0);
    T('-272461345.356251716590817983', '8.816E+9', '-268698145', 44, 1);
    T('-597.82160442572', '-0.000007449584570037290057464', '-597', 55, 0);
    T('-707452754.55865517230734152619', '428.402', '-707452498', 54, 0);
    T('1.94564314540622829575591429', '7.1538043', '7', 74, 1);
    T('5.139413646', '-431870.4518088172848977130', '-431865', 70, 3);
    T('6578161141', '947034177.23482031274233986', '7389765109', 7, 5);
    T('-8.5E+9', '-8759621.399613641292614', '-8495173', 16, 3);
    T('-375553.819746733', '-67583237.38782063639', '-342273', 78, 0);
    T('-682292.98471590340066591', '2E+7', '-671796', 58, 6);
    T('90.52782', '45186.134547', '45274', 1, 4);
    T('15.532088238679', '36.3946268', '47', 73, 2);
    T('-85094.672022184191413196941', '5100.6333591632848', '-84994', 22, 3);
    T('-8995523198.184156409', '-54871.0167412211478941355995', '-49749', 17, 0);
    T('-35125297765513', '-14646230.54015802176585', '-12933249', 94, 5);
    T('-66942972.898', '90042.88705', '-66854978', 57, 6);
    T('380477573.032469944', '-181810.5998358', '-149041', 22, 6);
    T('8791948703.99178159695912', '-7.92354E+6', '-7373377', 86, 1);
    T('-6049136.5573956505', '8.731361E+7', '-4718886', 67, 0);
    T('-705446698.943109444774159677810', '84553.65323702860263', '-705429793', 29, 6);
    T('-7228520', '7840767869.6455917228455', '-2506755', 85, 6);
    T('-330343448.1199729752068154249', '-4.6520530E+9', '-285253640', 19, 3);
    T('-7.20599226110E+18', '-35.447659763958517015120', '-35', 47, 5);
    T('-4.0E+7', '-648211.458', '-16403', 94, 2);
    T('-80205156.5', '6E+1', '-80205124', 25, 2);
    T('445.253983627485057', '8108491462', '8108491775', 86, 1);
    T('-32201.45897425684708301294306', '5750.8257181964852760', '-27017', 94, 6);
    T('-50682159.5811123863', '4913380032.931238218406979', '-50413871', 93, 5);
    T('4742109.377614942012165979', '-1972.34691611559331618887461', '-1059', 3, 5);
    T('747830173.442', '200.737796431886373711243268358', '747830237', 39, 3);
    T('2894439.08381618392989635520', '-7.65E+14', '-764999999997337', 5, 0);
    T('65469.7731088810808887580794', '-3.64494963735071706', '-3', 85, 1);
    T('-6105.6082900332824188298303', '-624.084309', '-585', 26, 2);
    T('-22889.7528663160', '9.711', '-22881', 15, 6);
    T('-32.59303317544', '6.1835856E+8', '-32', 51, 4);
    T('-6266255349.2121617513875', '-71.907557014741117881852201968', '-69', 91, 6);
    T('-73685509.05098366344513', '-8.6571156137404405995826177786', '-5', 33, 2);
    T('4.1012444629357E-92', '-9367.78582065798781790', '-9367', 85, 0);
    T('-260692.2111628795670405', '-9.0955995831215340144783', '-1', 93, 2);
    T('8.33883E+13', '43601.26507', '83388300000081', 97, 2);
    T('2881.65565', '-9423852847901.04079121575', '-9423852847133', 84, 2);
    T('3031172040.801075332619', '-3.70307E+15', '-3703069451855928', 34, 2);
    T('-716259350.1429', '3092.65', '-716259330', 99, 4);
    T('82572.5240301413130', '-827.4827863610368', '-307', 89, 5);
    T('-234568.621537556', '58678.74744', '-200770', 63, 1);
    T('89.9459191091377', '154719129.02168', '154719193', 43, 4);
    T('-83.436185', '799666.041272810931116506', '-65', 14, 1);
    T('5466.6492069547229209510642', '-90.737143694', '-2', 15, 3);
    T('-3215073162.315305725', '-4.2E+8', '-419434634', 51, 1);
    T('-34735.537610121231371561', '219.0359', '-34597', 34, 6);
    T('-2.9536154E+19', '-38596157.5610634739286355945', '-560701', 72, 4);
    T('6.06297949873620476667', '-597804.5', '-597802', 94, 1);
    T('1.73133E+8', '1072601.33555', '173137369', 14, 0);
    T('-9924.151821366274', '-6490426470.190099478', '-1090', 96, 2);
    T('-6.592E+4', '-3.30146E+15', '-384', 100, 5);
    T('6822584737650.93', '87666641.6220109', '6822651887603', 31, 5);
    T('-9438.68', '-83.2075', '-81', 45, 2);
    T('-53349.1062', '-9.823E+7', '-53349', 59, 0);
    T('-8502586.8843148872', '201.423053723217171953714245', '-8502577', 6, 6);
    T('-73122.135395828986525760', '-58864.257410814351262', '-1442', 63, 3);
    T('-52193604.8179461', '80.9142737409535', '-52193540', 95, 1);
    T('-31.2694250362', '782498103.8109355062490', '-9', 83, 5);
    T('7.653', '849.250000488920561532175556', '855', 77, 6);
    T('996169.283606468771520', '20.6666481924280756212', '996189', 9, 3);
    T('-9.575776372921868132', '4.87E+20', '-9', 21, 2);
    T('-3171.45', '38.72329344488720813813645', '-3137', 21, 6);
    T('-3.4043E+5', '506655363.4802', '-328013', 87, 6);
    T('-5.6012222E+17', '-2.2973419472171E+14', '-228908888830894', 33, 6);
    T('6E+7', '-1.555750933', '-1', 11, 6);
    T('-38473262.79272496', '-5719732028.8800638', '-4722218', 45, 0);
    T('-6723.207573382011159962', '5.367217E+7', '-513', 1, 0);
    T('3183990.242949841839792791', '-516044463.4290036659248884', '-516039305', 33, 4);
    T('113.07575758807', '-2.0895E+9', '-2089499919', 29, 3);
    T('6745329977.759799772', '318904.0023627', '6745349561', 85, 5);
    T('839579.60952120365', '1704.11434968173856178677488487', '839611', 29, 6);
    T('-761883403.8355544763316167', '611670107.341', '-151528193', 40, 5);
    T('1161.84880075463158', '-682034.8883289675', '-682033', 30, 2);
    T('9021497204736402.8', '2556722.63108973264531553609', '9021497204999090', 14, 2);
    T('36818107.9340626828', '-55492504.3390219', '-21902085', 73, 3);
    T('762372361.3', '-7995984.565388995293583896132', '-655943', 14, 0);
    T('546149.24855636339558928802619', '-3.0765233968324554143349', '-3', 43, 2);
    T('3706.7756', '5376.345', '8058', 62, 3);
    T('-7.136876698197', '9.3834526989938712493254', '-7', 40, 2);
    T('4163617.13078064320', '851365.4637493933', '4193701', 62, 0);
    T('-8955754.0390975', '4.398', '-8955754', 22, 3);
    T('3.5377853162622815984355065629', '-62.00008560054344159322', '-61', 68, 1);
    T('90.125754429', '-9E+9', '-8999999910', 47, 2);
    T('-16563.8483900', '-86475502.5227496855', '-161', 85, 2);
    T('-23613.370247', '-329363359.3410321063369112041', '-3101', 12, 0);
    T('-343760.07497023155', '15317532.118', '-263364', 76, 4);
    T('235639797.90705951', '-58659707.9569884', '-24379403', 90, 4);
    T('-8284895.2936', '84913841.47690204', '-7356495', 41, 6);
    T('9.083852468', '-3706.28421070125465', '-3697', 55, 1);
    T('-7209900307.79', '-957.5203546', '-273', 1, 1);
    T('6.62898E+8', '286459.48', '663183355', 18, 5);
    T('70522.276704261735732', '-8.3E+5', '-829446', 33, 4);
    T('981.822609506', '-60.420753343018', '-43', 31, 6);
    T('-5.3704E+14', '-5052224785.99983297201948452', '-4498527505', 34, 3);
    T('-16019.7599', '-262053.732808889', '-16001', 63, 0);
    T('-350494202.54', '-62429.77', '-4569', 37, 3);
    T('7.66013343229764662E+19', '1793077624', '76601334324083766648', 33, 5);
    T('-71.1199', '99.76052551', '-5', 57, 0);
    T('54554179549.4252860504612272', '-669.7305', '-1', 92, 3);
    T('-66441.2037489339502980791232792', '47.419324489559890554863053', '-66433', 70, 1);
    T('954256547.7665968619366939', '-8.6348', '-5', 45, 1);
    T('-8.728072E+19', '-741027886406686.86871968703', '-598547385818142', 57, 6);
    T('72268078', '-69.65153', '-65', 6, 0);
    T('9.041604E+7', '472212492.4013496965', '493348780', 80, 1);
    T('-91131.2730543646231935', '88356252.5834424399890', '-82531', 35, 6);
    T('82.12236653', '2087348.0207770116', '2087414', 5, 5);
    T('-3.56065976198006', '-7.4247', '-3', 58, 6);
    T('-2147.943114862202', '9448503300.84717146', '-99', 72, 1);
    T('825499285862.4102818538156', '536833977.3454198257226586', '825707429887', 73, 5);
    T('-377454.415704757', '-3155802.9669350542875788', '-586', 76, 0);
    T('-86597128.6273167736482897227879', '247032.244259923663442591957', '-86514184', 31, 1);
    T('-57543637238.201', '4.4399491', '-57543637234', 100, 4);
    T('4E+5', '34.012102839514767560834672477', '400034', 85, 2);
    T('74728.22294', '-613430942.18', '-613422102', 54, 6);
    T('-3.26382686530480E+18', '-43.248171072233081816347140660', '-43', 40, 2);
    T('8.9606945170317', '-68297031.2369503533753', '-68297031', 55, 5);
    T('25950.0007933605869838', '-8.0E+5', '-790690', 10, 6);
    T('-8521984011.3101988024656499', '-59.26340172837', '-11', 66, 1);
    T('-6.906E+6', '2507.5906612857643230279213', '-6905861', 31, 1);
    T('-2804019112.414322736138', '-85333495.7', '-83887527', 20, 6);
    T('33336.96389667', '365', '33661', 51, 1);
    T('3.9E+6', '-1.1E+12', '-1099998197152', 61, 0);
    T('8035137438.5932', '-6.3', '-2', 98, 0);
    T('8976833704.16547815176290', '399760.4609', '8976833976', 13, 2);
    T('-4211.76186557670', '181549.1130118712397814', '-4179', 23, 3);
    T('18390623.9750657345', '1.9E+8', '190562271', 8, 6);
    T('-9446.42', '-234.9239812560620033310', '-226', 98, 2);
    T('-93.755542568097880946012699', '-6.91186157E+13', '-29', 61, 3);
    T('-4378840522.187037144', '-4.45514445E-710', '-4378840522', 25, 3);
    T('38768373.62777850254568077766', '-2.0E+14', '-199999995539723', 36, 3);
    T('284008.9115001020333', '213.615514903117', '284157', 44, 0);
    T('221119028923.1084690521', '5E+4', '221119045627', 87, 6);
    T('5522.784857024904584100796', '49227468971.2984128534808151491', '49227470267', 34, 4);
    T('879434.477273660855500840746567', '-900049.25990519700675', '-37009', 62, 1);
    T('-149126.8254368', '7443224427212131965.301261604', '-131201', 90, 4);
    T('-836.807649980747449440', '-847679821.6107506032108073', '-321', 98, 5);
    T('311203.9109', '-1.8126559E+9', '-1812611097', 89, 4);
    T('-16804.361', '8.1111257909553408555', '-16804', 65, 2);
    T('-21238143906663240734', '-449070.976983970040', '-135182', 41, 0);
    T('6E+7', '16893.765337529', '60016637', 50, 4);
    T('-965.7406985496', '-89510.9220677280904863808', '-389', 37, 5);
    T('-38382.8558359019881277', '450.198763', '-37934', 48, 0);
    T('-5.3722E+7', '304.935642147040175098145152', '-53721744', 61, 0);
    T('-6417428.43278342003586', '-27245.078363453327536191586', '-26625', 64, 1);
    T('-342.1546592706149853140355', '6E+17', '-342', 96, 2);
    T('36.06739157601636363842783', '-550632.516169', '-550596', 5, 1);
    T('328.8113177815548966', '-96279039.72', '-96278711', 30, 6);
    T('36.19279280085610', '-9.9E+5', '-989964', 84, 2);
    T('-909474.29995418860', '-9.3E+7', '-589858', 56, 3);
    T('-91839.24424186060738', '1.4', '-91839', 94, 5);
    T('-64.8628959542', '882.154000927597040597', '-14', 39, 6);
    T('128.3815392595421', '7.1609130641836062', '135', 8, 6);
    T('-60669.3313546179598019824405', '-1E+16', '-60669', 73, 0);
    T('3.854396E+8', '82.24584211107109122002425844', '385439602', 73, 5);
    T('-9125.725463503', '-2384639335.054861', '-8485', 51, 2);
    T('4.56364848E-71', '-559.61142894462768119150642', '-559', 69, 6);
    T('-9.8161680915123E+18', '8446820804.4729971318229701', '-9816168087383515164', 79, 4);
    T('8.935937730E+17', '43088.6454520334789910585', '893593773000010320', 74, 6);
    T('-835304305.8462526627547867837', '-7556.5', '-6401', 2, 0);
    T('199.09074736435919', '-4468234.8999518674327000', '-4468233', 61, 3);
    T('-65618.04325140', '-9.22587657402045215395214535', '-1', 43, 1);
    T('66.0785873581081421765251400', '8948969733.4141591797076230317', '8948969799', 79, 0);
    T('-233.275206096', '-4.487708652227284289053657', '-1', 89, 3);
    T('430.5248636917785', '-7959', '-7697', 15, 4);
    T('-1883141737047543700.35406424', '-884.3244391469721308888', '-788', 38, 1);
    T('-497166.9', '-816.580', '-526', 30, 1);
    T('2.4E+9', '-482042.922', '-148218', 46, 2);
    T('9.4E+4', '518581.0167459214112', '520117', 92, 5);
    T('-15.395725764463277074007438691', '4E+1', '-7', 22, 3);
    T('2.8378E+13', '5.3879E+8', '28378536954992', 81, 1);
    T('-826.12', '80149.5228583872071380091234', '-553', 59, 1);
    T('-67031.0654308508189011', '2.26E+6', '-66007', 38, 2);
    T('19.32462431997555', '-1315285259.412241135452', '-1315285257', 89, 3);
    T('4692879.769018619', '77.69173650862291204360894573', '4692943', 44, 0);
    T('235180.3155670277959505795', '-191.903061062460175974190317', '-19', 20, 4);
    T('6918465300.964412736158', '1759.8093419347811238', '6918465503', 98, 6);
    T('-2.775222393365768892506650808', '-2.76271661640335E+20', '-2', 85, 4);
    T('-475339.7963727344046895405370', '714020.947001206371640800821533', '-327883', 11, 0);
    T('-2.35309953933459791', '53401.57405243631681', '-1', 13, 2);
    T('-56645090977883116488.3', '8.99097E+6', '-56645090977882587910', 4, 2);
    T('8934050.1432310782287797292', '3989573484', '3989594094', 49, 3);
    T('-57.37340806575330137', '-181.374143643367', '-49', 5, 1);
    T('73.3094232503379', '18889916.06760655857', '18889981', 59, 1);
    T('-6361379.859574140', '-4997080.504916275340348', '-4198659', 68, 5);
    T('9.198625037300022', '71492948.5382650547413', '71492957', 13, 6);
    T('-3940984.452339663', '-583272.93447127569', '-533096', 47, 4);
    T('-6.6E+9', '8609.707677', '-6599999583', 71, 6);
    T('-231497.18228', '-12.018017764908', '-9', 52, 2);
    T('5.0E+9', '4096667747.406726', '8559522403', 66, 5);
    T('1181996873404.2099024894', '-3.060259E+18', '-3060257830888081732', 91, 5);
    T('-672.8395525713534004156684', '-3.509802E+8', '-8', 18, 5);
    T('-8E+5', '-440063134.00', '-529566', 76, 2);
    T('26537812.1547197786', '-1.357605305444E+20', '-135760530544374513836', 17, 6);
    T('-7.898881211', '14109.17665', '-3', 78, 3);
    T('493.92218809800954189', '14.607717581674362086', '495', 68, 6);
    T('-702851481.8529451460448763552', '8913385613.190895221114195876', '-681607441', 46, 3);
    T('-1.09E+3', '-7247139.9', '-1025', 93, 1);
    T('-458785.992223586680871', '-9468.240', '-33', 40, 5);
    T('4.15E+3', '759.69321', '4855', 4, 0);
    T('2441865174.3984120677065', '7.328077', '2441865175', 31, 6);
    T('-628160726.385159435383158518135', '615.95161748610649', '-628160657', 14, 2);
    T('28042.62749591', '-3.3108E+8', '-331055158', 97, 2);
    T('-7.9E+18', '37.47332077807439817828', '-7899999999999999963', 51, 0);
    T('31205.458058792090895818', '-5.760E+12', '-5759999968795', 52, 2);
    T('-7.856267058631785044592750', '1244655.608739996973', '-1', 17, 4);
    T('423145895.87940791', '-38.062921433930930', '-1', 23, 1);
    T('-28.18449257176488649491', '-58.141013353', '-26', 3, 5);
    T('-3.2E+9', '99266.8633068732939', '-3199999038', 23, 1);
    T('-9.975E+8', '3928.33786776979', '-997498888', 55, 0);
    T('-3.1324558071042372', '-81713.54279484499168083', '-1', 79, 2);
    T('3310794', '-3.5382084E+13', '-35382083999798', 76, 5);
    T('-8E+3', '-6.378170', '-6', 43, 5);
    T('-4358269759.97636581326381936220', '-18586.102272539161', '-18457', 81, 1);
    T('6.69807903409325692585', '53549292249.9842671', '53549292255', 47, 4);
    T('17.9584429035991745267295', '1680358088.4412337878118173', '1680358105', 44, 5);
    T('3.05E+3', '-391', '-5', 45, 0);
    T('4859.8563030124256545289849635', '-55141539413212777.0570479286607', '-55141539413208065', 67, 5);
    T('76.15005', '64776682.53872878827350', '64776686', 22, 1);
    T('38486461.706', '870077344.0830', '870273981', 42, 0);
    T('-6E+3', '-38689410016463.755475315805731', '-1103', 58, 4);
    T('1102614.30768332097436653', '-726718045.354006590', '-725615689', 35, 5);
    T('-81605847223.24', '-60.149479387073426', '-51', 48, 3);
    T('31.6034020166', '-300.9733627240456680839923', '-289', 71, 5);
    T('-5.8265115E+17', '-6476490.279306066698611', '-2097866', 54, 5);
    T('-2.81', '-8.6', '-2', 100, 5);
    T('496010066.160655058384659679', '637246', '496614270', 84, 5);
    T('-4.294915238628549', '-6.8606312886190414973944696680', '-2', 25, 1);
    T('3589288289.2510135724481142', '-6359298.926', '-67585', 58, 0);
    T('-1122465165.91294649063373688428', '5525752207.943436076851204', '-44250113', 100, 0);
    T('25462942479093376211.02', '-3750.253603093078622366366135', '-2597', 66, 3);
    T('-318870.8698379956141', '505725.984', '-18561', 24, 3);
    T('2.756269178265626378367604346', '6043.734', '6043', 53, 3);
    T('7.90E+7', '-7.72803E+7', '-656428', 18, 4);
    T('791.5502494900254295258260', '5.0E+3', '5023', 69, 6);
    T('-7.0571785489864405126639375852', '-1.24674E+8', '-7', 56, 3);
    T('-8081430720.1287813384', '5.5256127360819', '-8081430715', 24, 4);
    T('9256325.2183908628244843418181', '-5.445E+6', '-5373955', 34, 3);
    T('228121.31176381478', '-9.09262968', '-1', 36, 1);
    T('9.685754424E+18', '-6.9', '-6', 4, 0);
    T('-5.49505846', '-91.18', '-1', 1, 1);
    T('-28956.98', '826.5410258', '-28674', 66, 3);
    T('67295.3960765518946510570377621', '-8.97E+6', '-8968449', 15, 5);
    T('-28684817.16134584815401616', '-87.746', '-17', 60, 3);
    T('4086574698.07824754543068', '906506211.642', '4154208235', 44, 3);
    T('8.86E+9', '-1.832116986344020304172', '-1', 64, 0);
    T('38.9262109557957420897856064831', '79041.57310', '79079', 78, 2);
    T('391.670917', '-7405.2883710', '-7273', 27, 3);
    T('-7588.666', '430', '-7170', 52, 0);
    T('6281210156.90172217653031379084', '864535', '6282000703', 18, 6);
    T('57.697449', '-1322.79925180058155210859', '-1281', 8, 5);
    T('-1615020547538370265.841254', '-7.5332328E+8', '-149031945', 79, 4);
    T('-9601.25021272729', '-19.3297870070703', '-1', 68, 1);
    T('4337799491.67906374418713387867', '945022625235418290.311', '945022629563973107', 81, 0);
    T('-8633.41', '616.2607812796505333679714', '-8593', 59, 2);
    T('935805.8029086599618114526', '885.7188295048175899522044', '935805', 92, 0);
    T('-3.488492168798200845422', '-4744599783.079124602468613', '-3', 64, 5);
    T('-82.481588756660230104325423', '7.2614E+8', '-18', 69, 2);
    T('4.2E+2', '-7912.9686849281785562892', '-7748', 21, 1);
    T('384504668057.61248789085272808', '8.2870436289', '384504668057', 72, 2);
    T('31668.606239', '313.2106578213894686398361316', '31677', 43, 4);
    T('18541048.5', '9.27645407E+9', '9294315006', 94, 0);
    T('4.1232E+9', '-4.579063755079847470084', '-4', 69, 0);
    T('344.776476', '-21.4928', '-5', 51, 1);
    T('-7531599269732922761.2538', '7886790.717737263345882', '-7531599269732917257', 98, 4);
    T('100447.49012591', '827893657.0204566564', '827961311', 18, 3);
    T('-60931275.8544518466629427920', '-9.54E+5', '-35979', 85, 1);
    T('-51.866530826209207357778158', '8.0113E+6', '-19', 20, 4);
    T('655.8935', '5062706.1', '5063359', 29, 1);
    T('8964673377.34055', '6.86710673', '8964673383', 64, 0);
    T('44043.3310978085842276', '-291114169.0561369374318954', '-291111089', 6, 2);
    T('1E+2', '3619739', '3619839', 10, 6);
    T('9.49126335227E+12', '-27', '-17', 40, 1);
    T('29972288283848122973.457294963', '-6.9444E+8', '-18894883', 37, 3);
    T('316985235753.95744201', '4212324.844025', '316985237357', 23, 4);
    T('5.2898E+7', '-35501829147359502', '-35501829094658318', 73, 2);
    T('7E+4', '-978653582.944', '-978583694', 95, 3);
    T('8026.05256', '-23404565.95815', '-23404549', 22, 2);
    T('-8.3288376586897810653', '-423.766260175227083448920809517', '-7', 23, 1);
    T('-58956262.279630729620', '553469690.465065400170392340', '-50501894', 54, 5);
    T('-7718.6044253', '63672.046', '-1542', 54, 3);
    T('3.20', '-3.897870883609948747502', '-1', 34, 1);
    T('6.64447646499692306736193165E-37', '121776.6268436620765143620', '121776', 64, 1);
    T('-362120.16881185007145479177', '1967776.545330941386461535', '-98312', 79, 0);
    T('1871078272.86829', '902466.222358552', '1871701954', 28, 2);
    T('1283454', '-4939.708013913714671924', '-513', 81, 1);
    T('-56340748.3', '2846208984.224836834', '-39452676', 87, 4);
    T('-918.787828', '7.36099', '-913', 42, 0);
    T('72757.0421', '6391810.2182400177369851', '6396983', 31, 1);
    T('527.483059011225242997', '-194.050875348313129360', '-193', 92, 5);
    T('-207425.056452411551758978999', '2798852.1895214526282089631', '-68161', 84, 6);
    T('6.7220E+6', '57839808.022746958325304830538', '58102224', 4, 0);
    T('-1.38448828326507667974744', '991305.0522', '-1', 22, 3);
    T('-3922257.0126515328391381', '-74618.844359635257271247922106', '-65873', 57, 3);
    T('9.55E+6', '-5.246212E+7', '-52429320', 91, 5);
    T('9.54003152505961157991616805554', '-9572517.7585389603', '-9572517', 68, 0);
    T('-2.7003029E+8', '7850092.96877424514', '-268965266', 36, 6);
    T('-569945.8033871792691', '53249.05695421734', '-533081', 26, 3);
    T('-1380346.8696933', '9.6565', '-1380337', 53, 3);
    T('-8924.5845682645072013', '908.5490019086257173', '-8276', 32, 6);
    T('2046997.18276367477648403713208', '7.7446841611231623378', '2046999', 14, 2);
    T('1.77E+17', '1511.4249', '177000000000001511', 100, 5);
    T('-201447.74011438029', '67219.21690621233461010415', '-135269', 73, 1);
    T('-1949419836.351139303293', '-9327.96366457', '-43', 48, 6);
    T('5125976.9605036', '21151478.654592', '21938174', 90, 6);
    T('-6.7E+2', '3.027E+6', '-646', 88, 1);
    T('-9460297920', '-1.32559E+9', '-50372784', 13, 0);
    T('-2207.0418935465636', '5629009335.65467972831808893821', '-9', 63, 2);
    T('9.466159', '523826.090529590971653294', '523835', 12, 3);
    T('6.60E+8', '8795.7586556819104769995659796', '660008795', 78, 0);
    T('7E+3', '-7363271212561336.71694813', '-7363271212556456', 4, 3);
    T('809233207.26236221', '59455.14', '809233215', 18, 2);
    T('-2.0053E+7', '8760747840483.9861', '-3189765', 96, 2);
    T('2641853697.344820024882113', '408.995867', '2641853849', 50, 0);
    T('-1.432E+4', '-3376.12774155', '-1328', 85, 3);
    T('26.721159930870136582137627513', '24378917881347.25789460', '24378917881371', 48, 1);
    T('-50943.0822575904', '-2.0E+7', '-1279', 3, 1);
    T('3E+8', '349.96813730878238960380728', '300000093', 28, 1);
    T('67.0096002', '29683294.5329534007', '29683295', 14, 0);
    T('27.799268358428429797372', '604600.7522247268922112316', '604603', 47, 0);
    T('-44259115.1232319942', '3.35707E+7', '-10698787', 43, 3);
    T('88087368.1', '-1609.4', '-1025', 26, 4);
    T('9060920.03', '5E+17', '500000000000541240', 3, 3);
    T('-28540.20944666495', '-37562.6245938012770282467004', '-570', 72, 0);
    T('60008.1656652', '-73771.1089', '-65539', 14, 5);
    T('-594127.7136547366', '-6174710.080525665831159549', '-528581', 49, 1);
    T('406.172775562815', '4407076469.90270', '4407076855', 29, 5);
    T('-4.87E+3', '-8.12114E+17', '-4870', 71, 4);
    T('8933.3216492032274', '71.8222276666', '8935', 65, 3);
    T('-58750.274790238479810240965', '-2.72109E+8', '-1350', 31, 1);
    T('-11814.146543622479', '-40655954178382298305', '-11265', 67, 2);
    T('86207327958.8332997', '61934822948.56023164683131470', '130926997238', 66, 0);
    T('-4E+5', '676866898.806103', '-397358', 96, 4);
    T('-8.78061143853878E+15', '-3.3253210E+9', '-1077170180', 15, 2);
    T('-786771725.7275', '849788.080464674928469309028', '-786499585', 5, 2);
    T('9945184.7312', '96891.82257097815', '9960059', 27, 1);
    T('418.476361362167270', '-141311091.793927', '-141311057', 34, 1);
    T('-11416.325780545117978524', '390387114.335579431344944', '-10262', 1, 2);
    T('858181', '9215811423.4239643510372', '9215876959', 33, 3);
    T('-7.52010379547284817246153', '0.000096', '-7', 66, 6);
    T('8392133.87431260295028061', '478.157609783574197198075972', '8392159', 14, 2);
    T('-6.269810346582E+13', '-9013642077.7654948794229', '-8724235097', 58, 0);
    T('3.0788E+7', '8246.7165257424872064', '30796214', 36, 2);
    T('572.71208', '-6.31918346816896258', '-2', 71, 4);
    T('-417498.1', '253.70377518437', '-417281', 93, 3);
    T('1183456.3439446305451722905', '-154929497.3754101901066627024', '-153878809', 100, 1);
    T('2338769.983157508', '-56.1841562946877840690', '-39', 10, 6);
    T('-7019440408716677.3774', '-4.299E+9', '-1376389', 23, 6);
    T('-871769998.35882755646823291068', '98.6379', '-871769998', 7, 5);
    T('-70.6372627967452', '-786114.250766013', '-66', 4, 2);
    T('-4054909980.4600866', '-5.0879305409551393795280177851', '-1', 19, 5);
    T('2.90333333E+9', '-7.0', '-5', 35, 4);
    T('1149143569.13151065443', '2974863.9', '1149234847', 70, 5);
    T('-5299714', '8.8521', '-5299714', 80, 0);
    T('778345.64983116272', '-66.63354524066', '-1', 65, 6);
    T('-23.01101', '8551740.75976232397778634', '-3', 27, 2);
    T('9.4363170201625612', '9.387575681053', '9', 75, 3);
    T('-4.68E+4', '-2.226E+7', '-40976', 74, 2);
    T('-20.73', '29816.8', '-4', 5, 3);
    T('-5.4E+6', '54', '-5399946', 99, 0);
    T('-6409576763.5', '2250.625859435234559615087', '-6409576753', 56, 5);
    T('110340619.7', '-91025300.60744769096978659', '-23872913', 6, 3);
    T('-5.5E+6', '7847532.68132659787220110', '-16404', 98, 4);
    T('1.504791942', '1.42E+17', '142000000000000001', 68, 2);
    T('-707964785.266430661', '9.0726E+5', '-707930113', 94, 5);
    T('-46645866285.94718914', '91.174829454099128143', '-46645866277', 56, 0);
    T('-5386032615.41457201', '-6.1', '-5', 66, 1);
    T('-5.67E+4', '-1348289.92', '-36929', 93, 1);
    T('-9836872693375702.449548661017', '350605.4317838782', '-9836872693097041', 28, 4);
    T('1.8507307661821595688', '-4.8223313326', '-3', 93, 5);
    T('-1.054679E+8', '-87805046.44236691135', '-67718258', 86, 3);
    T('-366814.73374687', '-3347195101', '-221', 92, 5);
    T('1588382296.030504639', '3.56092E+6', '1589567448', 6, 4);
    T('5.11707064667334E+18', '847088672956959.159465905', '5117073155780507263', 52, 3);
    T('1163401.54100973768222915', '-850761232.4747229', '-849614343', 93, 3);
    T('5.5E+6', '-532729238253425072.4259', '-532729238253212048', 84, 3);
    T('1.5740578015935924', '460883.74617', '460883', 31, 3);
    T('-3567.53710448175126382732685760', '-84097040508370727.739547', '-3367', 73, 5);
    T('-36.34209631896422249270670823', '-7E+5', '-4', 51, 6);
    T('9267.294694379440', '455594072676880760885.9955678', '455594072676880770103', 5, 3);
    T('-190.051319147507859487157495', '712.399615', '-54', 43, 5);
    T('-7.593728E+8', '-31.649', '-31', 57, 3);
    T('89.5844187489739', '-3627313.085412699323966', '-3627297', 100, 1);
    T('307284.889463263235888351', '8.844540E+9', '8844540020', 92, 4);
    T('-395.0354802651', '-8070178.768953', '-1', 67, 2);
    T('-92504.46', '-19356483.25067838782842577', '-84291', 32, 6);
    T('-8.26', '-580252194', '-2', 91, 2);
    T('-5398.369844762830485476632247', '86.515250811401746319589367268', '-5378', 22, 4);
    T('-79.9827476445', '-1875.1057643', '-67', 77, 1);
    T('4.97775485413925', '-40.96343', '-36', 16, 0);
    T('312630.781257245127354473812856', '68.4574', '312694', 75, 5);
    T('12209.6447315641701', '-5042258205.44', '-5042257933', 35, 4);
    T('-509775.054141368832', '-985560038.442365535581565120430', '-410437', 20, 1);
    T('540103.0799922172724188681', '6.3E+9', '6300532679', 89, 1);
    T('7.149E+9', '-2.5327563652562118307317', '-2', 79, 0);
    T('-17', '1236.65076', '-1', 88, 3);
    T('-267550.1899867854', '-3.644937989247121255570738', '-1', 26, 6);
    T('-529058316.8813560842', '832755.7635710975363201380230', '-528501257', 11, 5);
    T('4638270.79967328492608635', '-9.3742022', '-1', 44, 2);
    T('9846.16235202990935306', '-5E+17', '-499999999999990154', 7, 6);
    T('-64616.55', '497.70154938', '-64519', 46, 4);
    T('-129626153.20462795893818908', '21985.23255126086', '-129605641', 98, 0);
    T('-1E+4', '-278.925367670', '-262', 69, 3);
    T('-9816.742487240795', '94544855.0489425072', '-1025', 87, 1);
    T('-44283881.9214981', '8819.11707317', '-44275081', 53, 3);
    T('227.912280', '2.094552E+19', '20945520000000000227', 45, 5);
    T('-8.9E+10', '5.12101104', '-88999999995', 88, 1);
    T('-7.12960', '-86902208.640467233', '-7', 85, 3);
    T('-8.589167E+7', '-1.8329193E+8', '-823314', 47, 2);
    T('911268829.992543934055823', '-5748919.12169270', '-466979', 39, 5);
    T('971.265029288', '-6404.41598953335937081545', '-6145', 64, 6);
    T('39827022.7980830385', '-821.1342164201', '-305', 39, 6);
    T('-44886.2', '834122.16399', '-1302', 19, 1);
    T('5035407212.9784', '-8.3824273E+9', '-3548479620', 44, 2);
    T('121241.925163665631756440514', '-78065888.375680341260418', '-77996103', 37, 2);
    T('21774047.0534928956727731478648', '4538.987570180', '21774335', 79, 5);
    T('-1.5468608555E-8', '-957446.40086', '-957446', 5, 6);
    T('4943393.15111193', '3679268040.029762', '3679416041', 99, 2);
    T('63688083404.413888003', '445387.689768', '63688396751', 44, 6);
    T('89858188.82770902', '9605.528', '89859469', 31, 5);
    T('-882185.642075785437895', '-1.25568758', '-1', 25, 1);
    T('-7.5E+7', '415910029.8594811309930', '-70262835', 73, 3);
    T('-8.3664513794208', '-9836835684', '-4', 21, 2);
    T('816.3198470', '-765932593589590751952.121237', '-765932593589590751440', 26, 0);
    T('-1483.116032', '7340536.1036512934903', '-1027', 39, 5);
    T('-5.996530E+17', '7.229E+7', '-599652999927710000', 66, 0);
    T('-74.5721071698664823567305683914', '-1.447474251921359921445055330', '-1', 90, 0);
    T('4090.9122', '9327954342.882022', '9327955966', 83, 4);
    T('-6.431E+9', '-6969715.49537523591069363', '-4210995', 43, 5);
    T('-235.286307409054662', '5989.8464761867832297986', '-139', 94, 0);
    T('-64736.933299545238283754646', '206754577.53743158256', '-11471', 72, 4);
    T('2.4E+3', '65540314', '65542650', 69, 4);
    T('3E+3', '64199.921176070151505469', '64511', 6, 3);
    T('46996785.060843202563', '540024442.600401053317756608', '587014011', 92, 6);
    T('-148637744.867673779426860699', '-2804.6357102493664', '-2084', 8, 1);
    T('138.718078864828', '-1371751.167', '-1371749', 93, 1);
    T('2669.1', '22875221.578888383', '22875773', 18, 5);
    T('-8', '6370.8829614546176', '-6', 14, 5);
    T('-487157403.821229342', '90524707.975661138072509351731', '-403186329', 27, 0);
    T('-30.0496551694', '3108365730.231021986529651', '-30', 28, 4);
    T('-693576.743655838670', '-2.027E+4', '-1286', 81, 5);
    T('-669997.81673100651419514', '-7371902470.399', '-133125', 22, 1);
    T('4.129452019171841', '-96179.106217128718532810440715', '-96179', 1, 4);
    T('-37722830119476961.862', '88130648.71244598077952270821', '-37722830102665889', 16, 2);
    T('586.302774758734613', '-5.0897485717152302769653810054', '-5', 19, 4);
    T('-914.6099955', '3.08E+10', '-914', 43, 0);
    T('-5E+14', '-2468730852.8397', '-304158692', 92, 1);
    T('-83270.602853413690817998232', '-99630449.080298266', '-1345', 82, 0);
    T('-7970262393', '-473277.01466183995', '-2105', 67, 5);
    T('381735630.6026452261197820034', '-211845.9317482678376502', '-207105', 63, 0);
    T('807.4200741624866058324', '-37255057.77442259711', '-37254289', 4, 6);
    T('957239640.7090', '93.46041834928318528362619962', '957239645', 99, 6);
    T('12865769.8201575657837024900779', '54684.8570358273093', '12899837', 3, 0);
    T('55093255.58718594656004227', '3E+1', '55093279', 53, 0);
    T('-8.913335470412058945', '8288231090.03648316689952', '-6', 33, 3);
    T('84.548428', '-4.581', '-4', 11, 2);
    T('12.03644925526714', '51.30655876869549961', '63', 21, 0);
    T('-7.8582809E+8', '-761325.78877929327109', '-166121', 99, 1);
    T('-762367928.12627875029800', '4558.527258406013530362225', '-762367538', 60, 4);
    T('6287639', '-3.46E+6', '-2099849', 75, 2);
    T('1.677060E+9', '-2337989307.40141756', '-2282356763', 88, 0);
    T('-463.31677942999', '-3452.2319', '-331', 58, 6);
    T('-4146.0373484282928365156', '6.021E+6', '-50', 45, 6);
    T('1494716.47056290697592', '1645639.578546376802096', '2088703', 49, 6);
    T('-3406062.137009254194', '-18121830.33', '-1081446', 12, 5);
    T('5423942948.84876206', '-4601355.9559770379', '-274955', 1, 2);
    T('-2.1646', '9156524968.7754', '-2', 50, 6);
    T('-83.5012339096153844357825', '3.9794279770991613330663030', '-81', 63, 4);
    T('3E+7', '-30948.50', '-14436', 19, 0);
    T('2190.66932892', '-5.420768812125178E+20', '-542076881212517797938', 53, 2);
    T('46536.721614', '-4.53E+13', '-45299999965752', 37, 2);
    T('3.25E+14', '18309.106493', '325000000001925', 23, 2);
    T('-5398850200', '-300961.672142307530344560232735', '-33409', 17, 0);
    T('46937.656968400302521319060032', '9047454.0392031858239', '9093087', 57, 4);
    T('5.05117373686585994093968691313', '-3343421.98828971257337', '-3343417', 68, 0);
    T('-1.195537E+7', '-2.4867E+11', '-10616874', 42, 4);
    T('3.071294E+8', '7.75E+7', '383708792', 46, 4);
    T('-623945.97896696704308438069', '-80947.1733054870444198', '-66561', 58, 1);
    T('4942583.6713225', '-3.7329946928799013', '-1', 58, 6);
    T('36713697.413256621704', '2234.72411418140539181', '36715771', 23, 4);
    T('-382.18440696967127', '572017680.54115482677418618849', '-366', 55, 4);
    T('-86855559.9916', '7409710216898263541.2822', '-18892291', 44, 0);
    T('-82.394198684', '-5048314876.50358395003952', '-82', 75, 3);
    T('653.4411214692', '-76284401396391.122903389580', '-76284401395747', 60, 5);
    T('918.19102967548', '-1.35051047', '-1', 56, 4);
    T('2086723071.68076347558', '7455.62', '2086723071', 99, 2);
    T('-95.3753', '2.599167200921242E+20', '-31', 89, 0);
    T('-7034680813.029', '-3E+6', '-820397', 59, 6);
    T('-37516144214279163962', '-180.11296464627623237370487', '-50', 97, 2);
    T('7.3949', '7E+5', '700007', 57, 2);
    T('-73715522.0594891484', '86715.38229290474818', '-73698625', 20, 2);
    T('-3.9E+4', '-5549098397880952741.0133070', '-5', 85, 0);
    T('-922783.91609920', '-5.84E+7', '-660639', 19, 6);
    T('394.568910601', '-37762927.6403641190814644', '-37762661', 21, 0);
    T('8.60E+3', '-338544.02318495365890', '-330344', 20, 2);
    T('4.2398056385902E+20', '-70635586428.826247119377323', '-1879081084', 40, 1);
    T('-514229444.927985699715037', '5015.533856406960366502', '-514229313', 5, 0);
    T('3.181E+12', '99077170136.3577715345728693415', '3262891008984', 79, 0);
    T('2398.787337', '192.02574497051372250040', '2526', 81, 4);
    T('45537.09793879138', '59805465.494197860758', '59817977', 49, 1);
    T('-50150794', '-9.464827394693683662881522', '-9', 20, 1);
    T('847853412952151.7081603869662', '4892028.48547586052966923207', '847853417835903', 66, 6);
    T('-5.99880508E+9', '4.3068728060310846382854', '-5998805076', 26, 3);
    T('-8038.90846165129756981893053830', '8840.605642528777', '-7526', 81, 6);
    T('-9545965', '1E+3', '-9545733', 43, 2);
    T('78.195466961281', '2.89163E+8', '289163006', 30, 4);
    T('-7.96993941009672029088426301789', '-22.072371521454', '-5', 36, 3);
    T('-965245746.8905852', '-60992.9577835', '-27186', 52, 4);
    T('332745032.373173835', '4.51176236618', '332745036', 4, 0);
    T('-3.6214681137963799', '62673.83780633509288134916', '-3', 72, 1);
    T('568.6495023282170432386', '-904757468.2464880003175840646', '-904757444', 58, 4);
    T('696965322.140418649', '-735636272.360760262', '-38806310', 62, 0);
    T('-722331.6533811', '6275.708', '-722201', 99, 6);
    T('4.760624E+10', '-84407.905405235992108738', '-18615', 90, 3);
    T('-9.4654112346364632', '10737818.63198', '-1', 100, 6);
    T('-294346.51716027764', '-25309.0074309', '-24777', 47, 4);
    T('-8.33', '25321.479350935', '-7', 45, 0);
    T('407899.801750516', '9', '407899', 79, 4);
    T('-86443.053427364326865171174023', '707.70791049237664822026791', '-86313', 7, 2);
    T('368480979539436264535.26361459', '-9E+1', '-9', 52, 4);
    T('530.44619601023848836880215148', '2.26E+6', '2260530', 64, 6);
    T('-4.16854901255E+12', '6199267.99533', '-4168544681989', 12, 5);
    T('-7.76017394767E+15', '-93.9905', '-77', 53, 3);
    T('-38.7505707', '84151585159.4159846129577', '-33', 83, 2);
    T('3E+8', '-3.181222524542839040', '-3', 35, 3);
    T('661305.939770392583282', '506425', '1031993', 96, 0);
    T('-8.6221684110', '8.3E+6', '-8', 29, 2);
    T('-308666051.3702778552090', '2753261.219929611409', '-306568195', 100, 6);
    T('-8891804.709645087', '497897056.376018401618531402948', '-172444', 79, 2);
    T('-530045453145096.73355912', '91315905.490403', '-530045445734407', 3, 6);
    T('392.141', '-425', '-33', 69, 1);
    T('8.23E+3', '6.870671184165', '8230', 39, 1);
    T('-51.5217813981', '-3779.27531155786182779', '-3', 48, 3);
    T('-8649.364182606601574', '-27191208.25960722', '-8577', 89, 2);
    T('48485222.434031438175218', '-76.57282747227565494386337842', '-10', 34, 3);
    T('-928966532.10476612', '249.777920840', '-928966403', 10, 1);
    T('-518223755.826407192', '-160454.44198642836828', '-160385', 52, 4);
    T('-531.6506090701250937080', '-14366036.2735264483371942348', '-19', 52, 0);
    T('-600.2855021308824936', '-71368533.1', '-597', 5, 4);
    T('6296463412420488.562', '811.6464357396198399980928397', '6296463412420523', 21, 5);
    T('936.1079041356', '130725.916167935835954580', '130989', 12, 6);
    T('-98261663029335.2507', '9.9177779602449667980590760579', '-98261663029335', 52, 1);
    T('5195.58535272306', '-9970801.7947473346', '-9969713', 39, 1);
    T('6479920003.6182314569975157609', '26.416584816429669016', '6479920027', 61, 5);
    T('-7026.29083266891073106811699', '78594.760335', '-2162', 21, 5);
    T('267.53', '8E+4', '80267', 22, 4);
    T('-5332.48938845398540', '-1.9E+7', '-148', 72, 1);
    T('149889.9', '9637532766.70805448523887', '9637682655', 19, 3);
    T('-8740782301190.5744198', '726275212.37665143123674466147', '-8740597227522', 55, 3);
    T('-6.58E+6', '-14486290094791.748699619241892', '-2376199', 44, 6);
    T('7.52570592831106859', '-1200052360.40852284856', '-1200052353', 32, 4);
    T('2E+3', '33373.13412774', '34781', 2, 2);
    T('-761840.71698380', '339310.3116078733282968893', '-692866', 62, 0);
    T('-661789.8513', '-66.849906', '-1', 2, 0);
    T('-7.93474241563', '5.5E+5', '-7', 24, 5);
    T('1.8669546361689', '-7.8350E+7', '-78349999', 76, 2);
    T('-3E+5', '944794314.08932', '-299286', 14, 6);
    T('-76001285554.1342429', '3.965E+9', '-73316598962', 12, 6);
    T('-7.190E+15', '-2.568E+20', '-4656707968917504', 6, 0);
    T('-861.215704705381573798047447756', '-7513803140.2134', '-257', 83, 5);
    T('-985549290.127142841474', '-994188.256226', '-919946', 14, 5);
    T('-3.638', '337621649.203681360842375', '-3', 83, 6);
    T('-169470368169734756.50', '-4', '-4', 36, 1);
    T('4688.17444', '2457.91537606254952309', '7129', 26, 0);
    T('-8.245303763', '5.4027550740E+18', '-8', 39, 0);
    T('-630229067.450', '-70251.074563841773', '-75', 4, 5);
    T('1.27', '53805585.76056065137', '53805585', 46, 1);
    T('-3.86E+8', '58724.37069066490513', '-385941532', 56, 6);
    T('49.380481', '5.905663516653204535070419721', '53', 4, 0);
    T('48812772.3', '5.980814E+20', '598081400000044061412', 46, 3);
    T('-4.42E+7', '91.60978617222176937057609489', '-44199973', 79, 2);
    T('86524937.7815', '-197372547.95', '-180595331', 39, 1);
    T('5.89368901', '-760064758.64', '-760064753', 47, 2);
    T('-97073.84750', '44568706.38225445783322222', '-92977', 61, 3);
    T('-1069.291386556539750973369582', '-59.1546420085909871788513', '-41', 100, 5);
    T('-626592.444840', '2.726', '-626590', 90, 1);
    T('-2663512.3521524532587950', '599.725567', '-2663425', 6, 6);
    T('6739729.51872175688208', '-885577.7787', '-589897', 34, 3);
    T('-14134.384828773980', '-30296180.3546', '-50', 100, 5);
    T('43.340474295163197', '23.400213', '63', 13, 2);
    T('-189.243232675790928670285220477', '47352540.772879783670316841205', '-33', 2, 1);
    T('-11432.814897955376236', '-8491.52219188708', '-8227', 95, 6);
    T('-3.966132256084266744141630163', '4829.7551292244721', '-3', 47, 6);
    T('9.1333E+5', '-73864119.37610', '-73535493', 64, 2);
    T('-2.8E+9', '-5.27E+5', '-2712', 96, 6);
    T('33.89644858952151598573', '-20979114313694.438993242', '-20979114313693', 31, 6);
    T('3621.2326419086954768069364868', '7.2774511047618650223867916', '3623', 51, 6);
    T('-945.571188995743555', '75518576.509656659', '-385', 36, 0);
    T('-994.93280691755797748521477346', '1576.233588511957663', '-450', 30, 3);
    T('9.27731676113546467', '-67497792.91433504027201', '-67497783', 20, 0);
    T('8229033201024325', '32763161767.737911', '8229053066558951', 27, 2);
    T('-65.3264661701', '-310.81624664656', '-1', 62, 2);
    T('6.3809E+12', '349.63670458980619175244307', '6380900000093', 12, 4);
    T('-3264499.919334', '-448.366718003838946', '-435', 26, 2);
    T('-2.00311642165969891856195921', '94.9025580045059913570062834120', '-2', 40, 5);
    T('49.25957016201289', '304.701125604124176957434861431', '305', 84, 5);
    T('9.7986017311297E+18', '-6565334138.21632815985059', '-5242970', 20, 5);
    T('-4.02857967', '71595786.23176216979853', '-2', 8, 6);
    T('-96383.23', '973768.400203183266030660', '-73783', 55, 2);
    T('-2.672410E+9', '1602663873.32887635056394905463', '-2152269839', 8, 3);
    T('-4.91257E+8', '-940547567.3817730207724250', '-403152039', 63, 1);
    T('-121261.182071065667093', '1.926780510E+18', '-119213', 24, 3);
    T('-953.082928846304238544407', '156328932069860974057.413', '-529', 27, 5);
    T('-27.7509', '4727543226762.14323169', '-17', 95, 3);
    T('-4853509727568.6847842514086735', '-6.61416927', '-6', 80, 4);
    T('5912761078.78208563587584', '-5338336247.69101897260725695306', '-504367361', 80, 2);
    T('-892.295982', '-1.2277953567724310', '-1', 17, 3);
    T('4.59E+9', '-440405109702.70', '-440404027462', 43, 3);
    T('3971179.770', '-5899043.11603779095427760', '-4326145', 63, 0);
    T('9024212545.1006895898', '16600', '9024229081', 3, 0);
    T('1.69E+5', '6828515.215181794373469155', '6993387', 30, 5);
    T('-1.2E+9', '9470952057.224689099827', '-1124370823', 60, 6);
    T('-5.620E+4', '51536.374715146', '-4744', 20, 2);
    T('650.9693321779679915528732', '-4.2294818133', '-2', 71, 4);
    T('-5.769E+7', '-6031534457.75', '-50348297', 68, 2);
    T('99790946.6632220302276143288', '-7346676.960786063661', '-2450', 8, 5);
    T('-52.59392829605098029769', '942.58752295533947198550956', '-18', 67, 1);
    T('-2E+2', '-5.90E+13', '-200', 19, 0);
    T('73161.89109842531149', '-19.5460581587', '-19', 69, 6);
    T('-6058.3392231531110', '-213928.239946191597848332265', '-930', 79, 6);
    T('-546641536.541206', '286728.714263070427571887774', '-546379384', 65, 1);
    T('-2.96464046153473852170213741', '2406035411.2717636168', '-1', 87, 1);
    T('-8571900256.17', '2.35E+7', '-8565309728', 34, 3);
    T('472834.77463218773848', '336680655724588725.639603670095', '336680655724724151', 66, 4);
    T('537.425915941148', '93701311.085503501661259750628', '93701823', 60, 5);
    T('-7335667.562060714880753035', '7569070.560283754188', '-819281', 63, 6);
    T('-433936751.980340884331', '892.190390894920762739936721472', '-433936387', 8, 4);
    T('40200233.299198138014334617', '744.77', '40200937', 16, 6);
    T('-985233.019049843', '-6837.721835941', '-2193', 6, 5);
    T('-1E+6', '8.79444595103469178', '-999992', 63, 4);
    T('-2E+7', '18.1352575858041376913532745', '-19999982', 8, 1);
    T('-6.451378643041608964', '-207.202122219532295722397', '-5', 86, 0);
    T('2396797489.119123276', '-7.2653501081853114895', '-7', 67, 5);
    T('-8067849.9109', '-609.670088239439996108', '-513', 78, 2);
    T('-3.98726855668024936078180434339', '-3.4687E+9', '-3', 79, 6);
    T('2.060521777660779306E+20', '-8.5356E+8', '-809517720', 56, 0);
    T('-74100287.588', '7182.9999141945458201193963', '-74097201', 69, 1);
    T('576634.621378578842862099', '-5.5595115E+11', '-555951133574', 45, 2);
    T('-146.248624919845334', '54168039.6649067315949657', '-17', 82, 6);
    T('-292352.2', '9.5266416627E+19', '-279040', 60, 3);
    T('-5.639046E+19', '3664598.66215609192936052205', '-56390459999998448938', 33, 2);
    T('-35379.2', '7512.558225650694007', '-33315', 12, 0);
    T('5.77264671537611547826427', '427612435.79204733401701937', '427612439', 82, 6);
    T('905965.182047332706', '-741.690205003076037380430', '-1', 80, 2);
    T('94.371484954379296466628', '610.7103521528048956815', '638', 67, 3);
    T('6441.06640', '-243.8076697472263024663614', '-211', 39, 1);
    T('9442630', '49.22993490307983874260268', '9442679', 73, 5);
    T('-1283041918.53097199151', '-19.971616712959314467', '-17', 22, 4);
    T('7689.3207972745513779495146815', '-14707743.1544188', '-14704663', 95, 5);
    T('-7.080399300217747010247935725', '-9003975887202651.9', '-3', 30, 4);
    T('-9.688E+17', '224522.2138447', '-968799999999906550', 6, 4);
    T('188124595.0180460', '9.4793E+9', '9650483123', 17, 6);
    T('73459.248425715911793528626', '9030546204.90', '9030549503', 45, 0);
    T('-10874341.3431122376054872', '74095.18426316092329', '-10800257', 94, 1);
    T('-9010587.148597691058', '-28221030898565884654', '-75913', 73, 5);
    T('-4.549144412046750443482', '-5.85800027', '-1', 57, 5);
    T('-5210.4093', '55956.79920290899097152670', '-1098', 50, 3);
    T('49.54344', '-433031.494079805', '-433031', 85, 3);
    T('236944.832937026650391026', '-2.91E+7', '-29098576', 28, 5);
    T('380796733.21550', '-4.60281328255E+19', '-46028132825195905219', 90, 0);
    T('198.742178531937685731', '-66.7547', '-2', 49, 0);
    T('-827448949.57535', '7333616.68118259502903963', '-823138309', 4, 2);
    T('7.063E+6', '907164160.201937', '914096088', 34, 2);
    T('5E+11', '920209066562323688787.605029', '920209067044068896083', 96, 5);
    T('47466.928447305001', '9.1634615', '47467', 100, 1);
    T('-980034.23868110377', '993514', '-54274', 46, 3);
    T('-9.44', '5.607804E+7', '-1', 52, 3);
    T('154.687813789684', '7.4442537001778198', '159', 24, 4);
    T('-1.9E+6', '-3.286394E+7', '-1340612', 35, 6);
    T('615656810.8448837868769276', '7.68E+8', '771157354', 49, 0);
    T('655523024.8660430542347763261', '4.2350211630503921674412971429', '655523028', 93, 5);
    T('-1.214277E+9', '1827199.832474590175', '-1214252161', 27, 0);
    T('-4220723359.8330670', '-79580.881445159309190689803', '-73883', 79, 3);
    T('6760557.560236166751817', '524188.92756474234958259981126', '6815741', 27, 1);
    T('35718083.80001', '8379050058.88590253433213541019', '8379116491', 89, 3);
    T('-9644636168.354031337105', '-548157186.249', '-546058242', 96, 6);
    T('-19768937.1', '-3E+8', '-18981481', 45, 0);
    T('-2273.59920919787335', '-87756676.611379', '-2177', 40, 6);
    T('7.1E+6', '1.6E+8', '166559328', 46, 1);
    T('2E+1', '6.51395189220', '22', 42, 4);
    T('972013.540552960132200265', '-668.49059947192049564', '-531', 10, 3);
    T('911.2', '835734.440', '836511', 4, 3);
    T('-854793586.82733784922', '3828081716.8305946306974', '-315627842', 76, 2);
    T('-2.500633168', '-85.0007544687575798418572', '-1', 3, 1);
    T('9933715.96584932529', '-753186.9923206648108749458840', '-551969', 71, 6);
    T('55043.2967169782889841', '651091516.1545', '651091775', 42, 5);
    T('-3.5381146E+16', '-291.764979', '-291', 19, 1);
    T('-60471.5944', '-3.9185139136966E+17', '-50199', 23, 1);
    T('-3.050214760330327E+19', '-424168143.90785', '-155714127', 1, 3);
    T('47734580.56066412', '-441.3702034', '-137', 95, 5);
    T('-3.04782510762037274513442539484', '782049163938.83197964159', '-1', 87, 2);
    T('835467584.0075036407753473', '36934.6175018', '835500358', 2, 4);
    T('3935774.0', '19115.5147', '3952319', 73, 3);
    T('28427.129', '-5.68E+5', '-557237', 3, 0);
    T('460546.826163223635375828', '-707708.03841827434365134', '-575610', 10, 1);
    T('-40.55681697781765784403012809', '1.418', '-39', 35, 0);
    T('-6.983E+7', '-156364437.0328386617', '-99333', 64, 1);
    T('7014608.2', '59760531.8219215', '66052051', 31, 0);
    T('-981.8289407', '12233.20421143324', '-21', 65, 2);
    T('935094.2888274304458874771612', '3', '935095', 97, 1);
    T('638.4141194963983950411925797', '-99.69062416974148', '-1', 7, 0);
    T('-876158.30431676', '-6.344E+7', '-525438', 36, 4);
    T('-4732135.3837231534', '306558275.05623684499', '-524453', 68, 0);
    T('7.43E+15', '-70.116233549794415301358594419', '-70', 91, 1);
    T('32138.0656081041256145134', '-4966346.364859047673814', '-4948546', 53, 3);
    T('76.8638919523718', '301245.952782936904', '301309', 67, 3);
    T('8.631433', '-3.31751', '-3', 67, 0);
    T('-132102214628', '-82807.9840785118', '-82787', 90, 4);
    T('8659861340386980655.1446', '5.321865599828E-9', '8659861340386980655', 63, 3);
    T('484.487008681', '878491568', '878491636', 2, 5);
    T('1286815090.67360010925632414839', '6.1E+7', '1337195890', 56, 0);
    T('-9.4145E+20', '3839183832.179', '-941449999996166386728', 39, 3);
    T('5856464066.4864748225507887712', '8354.30985004', '5856472290', 33, 4);
    T('-6.7663918213236657', '-4635702.683', '-6', 64, 2);
    T('-9410933.82784', '-34568996.184835679239', '-989473', 31, 4);
    T('-122354.10130874390', '2.288132540587', '-122354', 35, 5);
    T('-734054999.242835', '-7.2225E+5', '-65', 79, 1);
    T('-5646.51277', '-37.9548065766042294', '-5', 87, 5);
    T('-441710.7955', '-442.4', '-298', 56, 2);
    T('-1.511029761675730043001294110', '-5255.84', '-1', 97, 5);
    T('-76205.9675321119414', '5536132.469', '-65577', 64, 4);
    T('2.2217E+19', '876.2210247799', '22217000000000000876', 2, 0);
    T('-7.62E+7', '2773256026.08084273760', '-8534054', 18, 1);
    T('-1.558', '145.88', '-1', 10, 0);
    T('1.895E+8', '6936.1667125783795', '189504376', 35, 1);
    T('52.10', '-5041164.26700364511355040691', '-5041164', 88, 0);
    T('2.382E+8', '-9.7E+3', '-292', 74, 0);
    T('-597474.1988', '-6150133.6', '-595425', 90, 4);
    T('-2.6658877E+14', '321.1003930', '-266588769999935', 72, 4);
    T('7.05116E+16', '-3821953859', '-3242459971', 86, 2);
    T('4E+2', '2495682', '2495954', 62, 2);
    T('-26.890363253571712981502', '24672.11', '-26', 65, 4);
    T('-6461.0557386093421685', '54023964127.29290422861804507', '-6177', 6, 3);
    T('190151180', '-5E+4', '-33092', 94, 5);
    T('27853434.1750188767696669', '-55682.849', '-55682', 100, 0);
    T('-8876820.7055319', '-1.023E+7', '-8654852', 13, 5);
    T('967670.45610478', '-9.76447853E+9', '-9764346882', 25, 4);
    T('188163699.1', '7.11799400425E+15', '7117994190176243', 91, 6);
    T('-70.99943246097801', '-495856.0296104925359', '-70', 75, 4);
    T('-80632144.91602426522142181', '398865966.84', '-543042', 30, 2);
    T('9999728104.92', '6.900538E-8', '9999728104', 18, 3);
    T('-621841.3745565307008599', '-29694745918808.20', '-539921', 23, 4);
    T('-9.51259808052709235258955197719', '9981.382321993532853', '-1', 61, 3);
    T('-6.1E+5', '-32964.3393015342991369378', '-196', 9, 3);
    T('4.06930E+7', '9E+8', '938274056', 27, 2);
    T('8.58494E+7', '6.898851861486282', '85849406', 1, 3);
    T('-657.524651570366588033138790', '-8207776.491020055', '-145', 46, 4);
    T('-9.818E+6', '654120.433905641378563495086', '-9700488', 87, 1);
    T('49161.46850439903598313609265', '6573506490.926001019', '6573522875', 9, 6);
    T('-9375708.9362894', '6.9277', '-9375706', 6, 2);
    T('-291.688971', '9078060513956.504', '-259', 83, 5);
    T('-180395.77450', '-7402487281.8880800832191309', '-49313', 52, 1);
    T('7068077.898741476', '512005', '7330221', 42, 3);
    T('-3.7332236589990600492968', '-9.432E+4', '-3', 91, 0);
    T('9E+4', '1409230.7824209', '1433566', 99, 3);
    T('-6.054908985498', '-210577', '-1', 75, 4);
    T('-3.8667722880996', '-5.32694819123441760270623456081', '-1', 85, 6);
    T('20720069.223289571', '-9006.736621574650368256509298', '-553', 8, 0);
    T('-40823.3315078240796816220488', '7574.0952014705925', '-33377', 37, 6);
    T('2071597.03518843874471810837', '-87.04746607079914841791', '-83', 73, 0);
    T('367542.15060', '-8.33E+7', '-82969610', 12, 5);
    T('-802.1734480577836359', '719857904.1936', '-770', 18, 6);
    T('-2.9556', '-2E+9', '-2', 64, 0);
    T('5805728394.38846794907', '-52905645457', '-51562681617', 5, 5);
    T('1.3E+9', '9903977431.67498665', '9923657687', 72, 6);
    T('-4298526849.406623694703582', '5.23378E+9', '-151681', 37, 6);
    T('44719.00365168444626786052813', '9306.0241', '44799', 24, 1);
    T('9.32324E+9', '-3761.93397968039275931326', '-1201', 24, 1);
    T('-38641028.624378525376300738', '-2819.61404581057676598', '-2307', 34, 4);
    T('468.2086583705329153106482887', '-1.138815063', '-1', 36, 1);
    T('943.88498237992954762534393357', '2363620099.36942240775775', '2363620271', 65, 0);
    T('-6.681552930296538281716', '7.44742487349381082', '-1', 79, 5);
    T('96707.316922805610', '4762.172445785729352488134', '97243', 70, 2);
    T('5964.72177', '58860616.29014507725', '58865484', 7, 2);
    T('969003.4117957', '-13.4179710000284488683224523710', '-5', 49, 2);
    T('2757.78825881346', '84508.1', '84701', 11, 4);
    T('-2178848644.32673745', '-59.1496291100468646068634960', '-3', 47, 2);
    T('8.06E+17', '-326.335716103626382165230', '-326', 4, 0);
    T('79615351942.06', '49818508492268.7', '49889533885934', 26, 4);
    T('6.2646E+7', '5.020651995350136349905278586', '62646005', 18, 0);
    T('-606', '-4.4330E+7', '-14', 55, 1);
    T('-8E+4', '-36444.42757772569', '-2140', 28, 4);
    T('-6.011E+4', '13175565373.38', '-49857', 73, 6);
    T('994547552', '67.492', '994547555', 53, 3);
    T('8805.72323425006612', '-317802162.798407840870', '-317801617', 66, 1);
    T('-23.7422033', '-41.0670300933638657716', '-1', 47, 1);
    T('-8163209.3970323996887863', '80688.391680298915296', '-8160393', 86, 4);
    T('-8872461.95144797973404163182', '-603390435.11555282147787425731', '-8847361', 71, 1);
    T('86096.04223', '4E+9', '4000020560', 28, 6);
    T('-1047501752.7340374', '5393859.11947508582796648147039', '-1043173941', 15, 5);
    T('7.21457133358592564710452', '-32.01', '-25', 68, 4);
    T('5.7826038125E+12', '-123782.273', '-8450', 87, 0);
    T('2.602420897E+20', '-2056.5658', '-8', 17, 2);
    T('-280514.44023466968790', '-93.3709672867', '-65', 43, 5);
    T('-839125.6145326348391107', '-8.264517628435829', '-5', 33, 6);
    T('-9223.4393174273920671994', '-93849054.24856914628755986', '-1029', 72, 2);
    T('-3.4174438E+9', '7.59E+8', '-3263300632', 91, 2);
    T('212.13', '7E+2', '764', 2, 1);
    T('69387.568791', '-4.79052656562798830672253721428', '-1', 25, 0);
    T('-9048221.505418345787', '-63573.3447', '-4117', 87, 5);
    T('-27.937279582', '76277.912', '-11', 45, 0);
    T('-9E+5', '79177352.2', '-366872', 33, 2);
    T('-7.294E+9', '3654866237466.044', '-4307616614', 70, 0);
    T('-648544.255363641283', '596712.51226570821093', '-58648', 41, 4);
    T('-637753381.922400', '-3.3811', '-1', 8, 1);
    T('-3885.979', '-9430392.595455352479911267296', '-1317', 8, 5);
    T('59.104201274173403108', '69.03113019116599', '127', 12, 2);
    T('-7.9501E+7', '68096.3', '-79434952', 11, 0);
    T('-5.235964342510', '-6E+8', '-5', 22, 3);
    T('1.97912927E+9', '-47239740.19566065929056', '-33604106', 76, 4);
    T('8.4493E+9', '-803.4176522434714472', '-259', 1, 5);
    T('699170.999491', '-300137.83435377304766699', '-267337', 56, 0);
    T('-923519482.703718990384', '-41880787.7', '-34277585', 83, 5);
    T('-37810894.79524311626305127565', '-30842.99622934322689168521', '-28746', 37, 4);
    T('-0.00047714943704635025808997252433', '-6969532.513015080793808', '-6969532', 74, 1);
    T('-855704.7', '-88942905.7347140676', '-854033', 79, 6);
    T('-1812723328.332072460018578624', '-565392.234859121592581504967', '-565264', 22, 2);
    T('-38.70251', '9278.1111144491570688080626811', '-2', 77, 3);
    T('-6151346253.0612', '-3809568.0114833184263092873', '-2228237', 44, 5);
    T('-2065.7603510524474752241726', '-795182.565787617301080', '-1', 20, 1);
    T('5.72244973', '-9.794E+9', '-9793999995', 15, 3);
    T('226.5797135303', '-71306600.415', '-71306502', 62, 5);
    T('-23044.04374617510328728', '8.321077E+14', '-18948', 78, 6);
    T('8054952359.81657464485', '-98884342.2995445406568', '-98568785', 25, 4);
    T('-593381.7', '-867761244.60185871759953', '-527425', 76, 5);
    T('-4.0517169659871983877E-59', '-673.60782005192540', '-673', 18, 1);
    T('-45029.179', '4.014', '-45025', 11, 0);
    T('7.1785E+7', '-49100916172', '-49033545156', 66, 6);
    T('8727450665189903365.87264', '673.727021760', '8727450665189904037', 22, 5);
    T('648.018469964621106613477553', '7.4874', '655', 58, 6);
    T('-9.9773E+14', '-6207.9804994493763', '-4159', 98, 5);
    T('-92.36318386186172999602420', '-7.74853E+8', '-4', 52, 4);
    T('394593.76331856122098754855', '-2.70281998458139777603', '-1', 91, 6);
    T('9239563.2', '-919161738.543', '-910230401', 21, 1);
    T('76.2872642752157476488857', '-6400.586809794484913114949', '-6324', 70, 0);
    T('-4757615646.879690074427836803', '264080078.365672019', '-4563563538', 4, 6);
    T('2473282.356300', '-3.61E+6', '-1179790', 35, 5);
    T('-427144967278042320.981670', '-7.044E+4', '-4104', 16, 6);
    T('8093.861763076191007716582466', '762.012', '8191', 52, 5);
    T('-98.99182', '373260.9693109438', '-98', 11, 4);
    T('-2', '-456846.2528664', '-2', 91, 5);
    T('-7617555.341045002463292909220', '69.00235178846674752415983', '-7617555', 47, 4);
    T('-59258417.11087183', '69159645.49', '-58733601', 86, 5);
    T('-31.3575198695', '-6.6E+8', '-31', 14, 3);
    T('-3.157E+8', '-58335.76', '-8991', 71, 5);
    T('-90787.6226663010453', '88598197406684407631', '-161', 69, 3);
    T('896710730065.512999', '5044544.96963352952904017972', '896714930513', 40, 0);
    T('5712731801.6309527', '-98288.06115151669352938', '-8551', 38, 3);
    T('52.68055343997077282306160', '9.2E+11', '920000000052', 61, 6);
    T('436951123.25763568816383', '8637973.31029369274367673987963', '445374039', 46, 3);
    T('2971875955096.15962606567753', '-8139563.22143033711849235677', '-6300195', 25, 6);
    T('-1.9157', '-845134.2003560037441918614200', '-1', 10, 0);
    T('2.288168809452242997763315', '-942401217.490112613486692897', '-942401217', 36, 3);
    T('-6.93981E+8', '-7015427.0552912666445', '-4787203', 55, 6);
    T('96.79219869', '-774240.8', '-774176', 42, 0);
    T('-522346.809291938470492032388', '-8E+1', '-74', 27, 0);
    T('-28.43908489409219859', '-613.18796213888568194257', '-1', 87, 3);
    T('-531434.61443919933135408870', '4236090526.783', '-866', 77, 3);
    T('-9.23E+6', '-4.113108E+7', '-37896', 63, 1);
    T('-8.9E+5', '627635.68330688254788676426483', '-263181', 81, 1);
    T('-2545139', '765757863', '-152657', 81, 3);
    T('-24.362845684588831345599143254', '90.9170763536612712646488757', '-6', 44, 4);
    T('-71.5308', '5968208.802374976765643757', '-7', 91, 6);
    T('5.41001E+8', '52568758.6930821964879', '591341502', 16, 3);
    T('-5070552.349211230453', '1.3E+5', '-4981768', 75, 5);
    T('9899.6936481510892886566044784', '729.7854128472', '9979', 10, 0);
    T('1062.695767254924950427', '-4.30E+14', '-429999999998938', 34, 2);
    T('-5175.617299621419479', '-88.078178398465094564583990', '-23', 92, 4);
    T('-2.997267540002161', '-403818495493813559.4', '-1', 1, 5);
    T('2909250583.3950523', '4005161386.438361111129635', '4026527167', 62, 2);
    T('-67777697.83178832009024784130', '9109.82373348983986399990400', '-67769377', 64, 3);
    T('920.871772091', '-6.93586384895992788', '-6', 12, 0);
    T('3505019806328714.85967', '2.256426E+7', '3505019823124398', 58, 6);
    T('2.5408E+9', '-446385.3587756403486939452', '-411569', 81, 1);
    T('1571629.15249739098210073889', '-435.4153929534911271470473626', '-147', 40, 6);
    T('-6.703E+16', '5754.45113560526674069358', '-67029999999994246', 30, 5);
    T('-5453441324.654327450', '753503214083553.91087617167541', '-5436104715', 35, 3);
    T('686364.4741502752332708681288', '70038986.66933014627164548', '70188510', 46, 3);
    T('5194.59039', '-1.8E+2', '-178', 92, 5);
    T('-581934.6485891557', '21796.32363754208', '-565258', 78, 3);
    T('631.873749794145542721', '-9348831978.63804080268281', '-9348831369', 2, 5);
    T('-518477.70562270216316', '-1.212829E+8', '-172353', 25, 1);
    T('-2400505950287173473.6912', '-48135458.282675238369367116837', '-1316129', 38, 1);
    T('77.920538689412857409735', '-9E+2', '-899', 78, 5);
    T('44.9296', '65209084.792071519127', '65209084', 56, 1);
    T('2.191266098133661', '8.235140269490263', '10', 66, 6);
    T('-4E+1', '12.9', '-36', 77, 2);
    T('-96.60618835894877011432', '3E+8', '-96', 69, 5);
    T('5.37790452404', '31906030.05020761092958', '31906031', 14, 2);
    T('8.7986E+7', '1.565600', '87986001', 39, 4);
    T('-44.00432986395932', '9.791244E+9', '-12', 34, 1);
    T('-8302.550', '39218.5', '-8270', 91, 1);
    T('6E+9', '-643976112.0058437641392', '-37897136', 97, 4);
    T('-6.0290255754E+15', '1.368047338015057795089', '-6029025575399999', 55, 6);
    T('584380248963457699964.111623667', '2669773413.14199188671126479379', '584380248963893940861', 18, 3);
    T('6162.2', '-1642.19020908135692401308596', '-1642', 6, 5);
    T('979139', '-828.848886440804949176297178473', '-825', 47, 6);
    T('-40328608.0568253814850741900668', '1887194123.522', '-33755541', 22, 6);
    T('723.570408794', '225598.4', '226303', 73, 4);
    T('24.13372608981285673325', '-789.34228993887716259933364', '-773', 66, 5);
    T('2961825.915', '-471387.89341', '-131163', 98, 1);
    T('-48032712.9103373739225120927586', '-223106201424913.57303', '-12582913', 10, 4);
    T('-7.5941879838E+14', '-251.69306', '-219', 96, 6);
    T('50136.062875', '-17014747.824472', '-16980995', 60, 3);
    T('5667396919.8304041356427', '147158977.7337567494394803', '5801639927', 39, 1);
    T('-6420514830.99175779', '-1.0422E+20', '-4734404622', 70, 4);
    T('1854352975454140.968525161', '-2197779.05685699051280', '-3', 28, 0);
    T('-6.1779431E+8', '4.71E+5', '-617660422', 39, 5);
    T('-85632544477811001.48', '-8.8E+7', '-1048889', 100, 2);
    T('-18348582699110624.993904', '291799.6379713488651036', '-18348582699106313', 68, 1);
    T('-94040.782', '5161.1750936713929560839795154', '-93015', 82, 5);
    T('-15.887787227007', '42791.246908970', '-9', 14, 2);
    T('737148.599553963258', '-5.81381840578753147306067329', '-1', 40, 5);
    T('-0.000009718084756519295943221', '5.5616E+7', '55616000', 32, 2);
    T('12480745.270789563171752365888', '749271516.79478319314167', '750713341', 99, 1);
    T('-3.59100888E+11', '8E+5', '-359100613312', 78, 3);
    T('-61577.3647322753117046501113', '-87703443.65700183', '-12417', 26, 5);
    T('2E+2', '-4.47863', '-4', 97, 0);
    T('-5377.1144118837', '-631147.262474190134559790071', '-257', 65, 3);
    T('-96.301194994318922421265095809', '8500456.908413999', '-24', 29, 3);
    T('66479.14508913062395456', '-747957596579898992.6931', '-747957596579832897', 96, 4);
    T('-3.56E+8', '-3.371321731690E+13', '-269492260', 72, 3);
    T('-8358.559979115733', '-847708.47445722290269', '-8194', 38, 0);
    T('-1.4131690039594938478', '1190142556099923.71114030', '-1', 12, 2);
    T('-1998.261159609500674711439078', '1920685008.0909652537930', '-1038', 66, 5);
    T('-61.1453438761086557369', '1.365616074412620699', '-61', 3, 0);
    T('762207152.318491270280304385', '-37.190402358895868', '-5', 54, 1);
    T('9940614394.5553198717420', '523.104', '9940614907', 22, 5);
    T('-751199.4879046319', '62111.29064461920266561328', '-721985', 41, 5);
    T('1.1015E+7', '-9.241356E+9', '-9232966792', 45, 5);
    T('384966039.4564976', '-7E+6', '-573993', 13, 1);
    T('-398983.590764', '2.76386253950', '-398981', 68, 0);
    T('-108692377759.69263406051908389', '-6.141107346E+13', '-104154005535', 20, 1);
    T('64.6', '48022240807.53381597', '48022240871', 37, 0);
    T('-2697.84', '430786891.39', '-641', 100, 6);
    T('902.036', '8032.84066092525503998287638601', '8166', 48, 2);
    T('-5951830110.09132290627', '8928.425753488', '-5951821854', 10, 4);
    T('4.16E+9', '4.8E+7', '4160551936', 36, 2);
    T('4.3694536545636352269764740', '41596627', '41596631', 32, 4);
    T('2825.701587780631296173', '-25203.2873206992557066031556072', '-24691', 92, 2);
    T('-324335048.37', '-5.90253991008348263784873058485', '-5', 26, 1);
    T('160795.672444997282131031', '1.9463197568515189461398904', '160795', 13, 6);
    T('-9.57470726160', '-230062296490562355304.313346', '-1', 18, 5);
    T('58.989091663', '-2.802559E+9', '-2802558982', 82, 6);
    T('-7180902.4974030496', '-1678.7431207480091245544', '-518', 81, 3);
    T('8367.03384313404758', '-8.9098573274925559480438', '-1', 94, 4);
    T('3.93E+3', '6732.42', '8030', 53, 4);
    T('-7.26520E+20', '-99468.1435902387768872', '-99468', 48, 5);
    T('-494.61335483860622228192928', '-9.38879610404', '-9', 59, 1);
    T('-34500512249.782540434074', '4470.419964272', '-34500511881', 38, 6);
    T('-9428285595.4260', '98409871', '-9397346321', 38, 3);
    T('7.905565423E+18', '-2E+7', '-19998976', 34, 6);
    T('-9405.9883', '1.6E+5', '-1213', 37, 6);
    T('-895.43527634447448965', '-8114.9035522254270822377', '-817', 41, 3);
    T('2.54643695171695441', '11231.79735326992', '11231', 10, 5);
    T('-7.7E+7', '6.824499E+7', '-8824834', 88, 5);
    T('-9.9627', '8.8376005E+9', '-9', 44, 0);
    T('-733.519992110742258992706501', '-9.895E+6', '-85', 6, 4);
    T('888650.389016655863', '-8.2E+8', '-819998902', 51, 0);
    T('13225.7', '-82.0104341618756467072104553', '-81', 4, 6);
    T('-490967926.7312023676536971', '-1.1E+16', '-335745910', 14, 2);
    T('-23.2898464353247276', '4731.18827', '-5', 45, 4);
    T('-615314022.000630773720', '1496863', '-614998113', 66, 3);
    T('7064824.0934411393609164076369', '6273.8891', '7068921', 70, 0);
    T('-33.798186204296', '-7.380E+18', '-33', 69, 6);
    T('1.01620', '95.15589764111', '95', 21, 6);
    T('564.1998031482225', '-534089224553.882610', '-534089224521', 45, 2);
    T('8729444835.750', '-6487.6093555266004601495', '-6165', 62, 5);
    T('3151.414043798420', '52.0920672177433812421740956640', '3199', 50, 4);
    T('2.095E+10', '-10.3035240260264420744773555582', '-10', 48, 3);
    T('384125456.78111733114472845840', '6.95614188194239115', '384125462', 23, 3);
    T('1132.83862518144452', '6.99108403758', '1134', 21, 2);
    T('-60497432.71853961523551', '-8310292', '-1707540', 56, 2);
    T('986785.74', '-722070.820864', '-21', 6, 4);
    T('642534.865507808198494044722', '201.159', '642543', 61, 5);
    T('-44.58189097018519930415575535', '552945.29229935599022', '-11', 83, 2);
    T('1.809E+15', '66577541.933289461084055971', '1809000026338437', 90, 3);
    T('396.728951865447', '982097064.79224426704633061', '982097324', 9, 6);
    T('-4978659630.061349135792', '-8040492.1', '-4198442', 82, 6);
    T('-160360.4541942087', '-1.968E+8', '-155752', 49, 0);
    T('74479.774327', '130676.6002636095320', '130815', 51, 2);
    T('-8.45E+6', '-886.156362705891243', '-838', 97, 3);
    T('-5.8E+2', '-11072.4138746916405232723', '-516', 48, 4);
    T('4905492122373.44569138', '-4901324078.875201454', '-4297081897', 99, 0);
    T('-1.20E+4', '-247691872.6', '-10848', 40, 6);
    T('4.6E+2', '472436578', '472436718', 52, 1);
    T('-94462.4933866218899294226342', '9.252803E+7', '-8290', 52, 0);
    T('38484.305904464761101100', '-785562976482685085.10556', '-785562976482648201', 93, 6);
    T('5.65E+19', '8.4E+3', '56500000000000008400', 51, 5);
    T('-644385.687598205865087', '-1.295024', '-1', 94, 2);
    T('-765650614.0', '2.0E+2', '-765650486', 29, 2);
    T('8463396730335.555', '5540128152', '8468802565599', 100, 5);
    T('-5241068645.263407', '5617.65504789997729254194', '-5241063429', 38, 2);
    T('-7411.7739637619449937', '693.2536677161252361199471', '-7235', 63, 6);
    T('-52.772037379', '63.44473767847817393260709405', '-1', 37, 1);
    T('1.88948317865E+15', '7.3E+5', '1889483178847120', 73, 5);
    T('-117.3266178879356', '482176.61846236', '-117', 91, 6);
    T('4672.001292715', '5.03346E+6', '5038068', 71, 5);
    T('55646716.75623905223069', '66.147352197013689411', '55646718', 31, 2);
    T('-5.5E+9', '30816.081711442225235165', '-5499979424', 41, 0);
    T('69.390470983998506', '-199718.464562', '-199713', 83, 4);
    T('47250.8082172932234', '-7.6894958E+9', '-7689487462', 13, 1);
    T('-6950148073.18205929', '-9716855.7522163698989', '-17505', 48, 6);
    T('-66.3144512', '-5E+2', '-66', 90, 4);
    T('8.9757134962913366', '-463121.1696', '-463121', 75, 2);
    T('-4752.270199528816926971884', '-28224017049947932075.897', '-139', 61, 0);
    T('-824152831.2185', '-951149.84145016598622475083', '-950893', 27, 6);
    T('-9.646984E+16', '8.813815E+9', '-96469831408491304', 78, 2);
    T('-6.783237270927', '-34256603.2', '-1', 72, 5);
    T('7.75188E+16', '-373.70773789079488615940', '-373', 70, 6);
    T('1E+8', '-1690091180561.20', '-1690070159889', 63, 2);
    T('-696794736.736245924191287', '-75.60923265813469880317', '-75', 7, 2);
    T('1.749185635784953895928348513', '-6.6440439055E+16', '-66440439054999999', 90, 2);
    T('87115022.859937367242565', '-171674516.71021189531393752971', '-168462994', 2, 3);
    T('57.1', '5.39589E+8', '539589049', 98, 5);
    T('-836.571938674413447178141426', '6821.7671186005401', '-323', 66, 1);
    T('-44.035612168243503624', '3215198355.4559624649236202780', '-41', 91, 5);
    T('-734339967057419.0867130019', '-270.4180334071271532', '-9', 56, 2);
    T('-7.22326022791306619274786', '-7144.40617096073', '-7', 67, 2);
    T('327845.783288413431280041914', '-826539.2', '-564235', 55, 1);
    T('-1.45744009465988536728516933', '3830.9473091539', '-1', 77, 5);
    T('-1912.8252913211136171467983', '41.299133001111017754768795217', '-1879', 55, 5);
    T('-539478.279677510572119734753228', '357651984.86', '-534854', 97, 6);
    T('9.8248889075E+14', '-7044.55', '-2948', 46, 2);
    T('-1.6338E+12', '9.44783429E+9', '-1633229541710', 18, 0);
    T('-901117.23348261', '5448143.375', '-826929', 44, 6);
    T('-8882174816.52', '-793812.189233989361003', '-530516', 34, 6);
    T('-5', '-601072930.65548931', '-1', 93, 1);
    T('-304.9483', '8.9E+2', '-6', 99, 2);
    T('87352297.74768315473', '1572491237.890442', '1572794349', 48, 4);
    T('5070168200.15778150803512776969', '-3.5119232459025015965944359687', '-3', 26, 0);
    T('-453080.7947468888581322368479', '4944.41', '-452744', 75, 4);
    T('-5.81143254814', '-4900410885931.6298274739492254', '-1', 7, 6);
    T('96383.43138106072642', '7.5110543081', '96383', 15, 4);
    T('13954272.1183635263445', '2.76395988869', '13954274', 38, 4);
    T('544.254064189864919693348422330', '-3539.630637938594106', '-3539', 77, 6);
    T('-6.2E+3', '982.8902628754526', '-6178', 85, 6);
    T('987.616208', '-21326.52331662', '-20485', 37, 6);
    T('-1E+1', '-5.2666170976863E+18', '-10', 65, 6);
    T('-277866983.02292463841', '19974.5374139676523', '-277848545', 50, 2);
    T('-3.632787270195127', '3.6', '-1', 90, 5);
    T('1E+7', '61308.404056313', '10027004', 45, 1);
    T('-9062911.4884085', '-652030382.584169576163', '-8913325', 84, 6);
    T('5818.494562935552', '96211.392621757724985', '96251', 99, 6);
    T('-44.9751990', '349604626.077551286730493', '-42', 26, 1);
    T('506.6353759', '-4786441.068600111482251514817', '-4786177', 59, 5);
    T('-74729.52508912418', '9748.11080481738018873', '-66025', 13, 2);
    T('-6.84026122E+20', '-2.22963826251610142790', '-2', 66, 1);
    T('4561815102.2120047949699882490', '-36943.028419936452687642791841', '-4161', 12, 4);
    T('71889.32', '605279818.91909407357286596', '605282011', 5, 1);
    T('-810.49935199591524798973828044', '204.583141696670971765', '-802', 47, 0);
    T('336.1190478', '5.910469067468077745914', '341', 62, 5);
    T('-88005.9675905429127', '953218.4094965053504061363382', '-87109', 81, 0);
    T('5.75801022453262857E+18', '-4.7976', '-2', 83, 5);
    T('320.664373069961803773128764491', '-6925.350519658278970', '-6669', 52, 3);
    T('-7662.440873681650047', '-853550058201.57392666357419083', '-2249', 16, 4);
    T('5748.597', '-1685212993.01', '-1685211393', 97, 5);
    T('-405831539875808.9', '-1715.18690337283907', '-1683', 71, 1);
    T('-647.7668198093', '-9.319551754640548', '-1', 43, 1);
    T('94.1037', '6990483936.0', '6990483966', 46, 4);
    T('-5966204.68174504256251651087', '964882.620076', '-5308522', 18, 5);
    T('-42218384.15378897', '7707126.99481648110', '-41951754', 38, 4);
    T('417133.72', '1819930.41', '2088319', 14, 1);
    T('-55.8860123', '-45.637062720', '-37', 68, 4);
    T('3.421299315621253866352', '-6.58E+4', '-65797', 21, 5);
    T('0.00042625322058458', '-6.5571345E+8', '-655713450', 84, 0);
    T('830566799224.25590695', '9E+1', '830566799226', 67, 2);
    T('-8323020151.7477', '-6.875287043120', '-5', 3, 5);
    T('-1.70023710988635024290048914', '-6837472', '-1', 53, 5);
    T('699319341.4097783580791', '4.127E+9', '4261397997', 72, 0);
    T('-4.72E+4', '3.538E+8', '-12320', 38, 3);
    T('924992908.8709536', '-962364.0', '-830004', 40, 2);
    T('-6750905.388901990', '864006282.7', '-561', 74, 3);
    T('-17.55165645672', '403898755.81079182645052943', '-17', 33, 0);
    T('1904.749692184772122045', '-8.32E+7', '-83198096', 26, 1);
    T('52172918191469.9400664729603', '-5.34166E+8', '-194414723', 86, 2);
    T('98842912.888879', '8572693.80', '99024693', 91, 1);
    T('-505.985106', '-8E+8', '-505', 93, 3);
    T('3204744.77610828868103165523331', '-985753624.33874987', '-985729048', 16, 2);
    T('-82699.362635546', '-68218958.7584167636499495', '-16393', 27, 6);
    T('-2.193E+5', '69622.639289388', '-151554', 75, 3);
    T('5.390011430112482125696762495', '-43275065.5645639', '-43275065', 94, 1);
    T('-336.35804990957178962242', '-36824264.816508894191402275438', '-72', 18, 6);
    T('118.7098', '-8901.2596626953248885410', '-8833', 35, 2);
    T('4030700.6524363168', '-1.0525045', '-1', 87, 6);
    T('-93028434.717', '-911627.2733773951024', '-622593', 56, 3);
    T('-27.853', '-2E+9', '-27', 59, 1);
    T('-5561665137.66', '-5043.8084346850417425252012602', '-561', 70, 6);
    T('-132222514.375', '-92114.597950777643298', '-67090', 96, 0);
    T('-6662577.0357414089632975', '37036585.79550210678977', '-4229521', 97, 6);
    T('6.2338773815971750565366', '-1.9010E+8', '-190099994', 6, 2);
    T('-7.56539855559133390016678', '2.4E+7', '-7', 77, 4);
    T('2.0491185362682E+18', '-700.24593420455825264597085', '-700', 38, 3);
    T('-38.23071782556081537799', '230.99479113', '-2', 65, 4);
    T('2.35E+15', '-17.61', '-17', 70, 4);
    T('-763.5523247727476383425191905', '-1196.991207835798458', '-171', 58, 4);
    T('2.749348669868441276462103818', '6.73469294324823171207902860708', '6', 34, 0);
    T('-775.7016148070', '-152796.45400018766118', '-3', 23, 0);
    T('-40.68549340', '90.708241526611744591060861', '-38', 73, 0);
    T('646797.687', '-855.6563841293', '-339', 66, 0);
    T('-2286551.164789362248712826987', '1232058.8376339286619633683', '-2106181', 67, 4);
    T('933.157560916198618976938', '-130.260534666', '-1', 8, 1);
    T('4555.84096343568222928', '-5.53079509119496863653310603920', '-5', 85, 2);
    T('-91.5146283800213943453854599725', '1E+7', '-91', 47, 6);
    T('9368.83739044220887127', '6847.258332693087', '16063', 46, 0);
    T('757421082003.973579259', '38224795.6349', '757455112091', 63, 3);
    T('440218', '-7221203.96', '-6817857', 52, 5);
    T('-8146463.256217820449784290', '55090.0726578661675', '-8128525', 58, 5);
    T('-3646406.132787', '3.0110120E+10', '-263046', 67, 2);
    T('-6.111E+9', '6005.1255789723329130149', '-6110994571', 5, 0);
    T('9122625156.0905407575', '-7.70E+10', '-76773507452', 56, 0);
    T('6.12E+3', '-404472321.680192409923126436', '-404471809', 40, 4);
    T('233207053.74912588', '6001.7', '233207677', 18, 2);
    T('-150931305.99391147015134240', '-57711799.605521', '-7341089', 74, 6);
    T('-64434.62675486386984089', '63945153.7007142407013931', '-16945', 85, 2);
    T('-5697.8690', '-7094728454.0371388395844743', '-5633', 99, 2);
    T('7896.91633972879551657', '1.14778963340', '7897', 56, 1);
    T('3093639031.47682720552', '7.2517', '3093639031', 92, 3);
    T('-6.825813E+7', '351668543.9429875072145127509', '-98369', 36, 6);
    T('-7971649751.93249885621226', '-912896747245388.421119513294', '-1375995971', 85, 2);
    T('-61402.97123', '943903.109356534289', '-35009', 1, 0);
    T('153492579832087.37278', '-7499.093871534', '-3145', 85, 6);
    T('-8389549633.06924', '-8.3E-627', '-8389549633', 16, 2);
    T('933.34339', '63512535692.7396544711', '63512535981', 22, 5);
    T('2.1585453237770940867', '98094.8632987894632953685396', '98094', 15, 1);
    T('86.362017123452847', '-986355.84566385736', '-986273', 35, 1);
    T('-7.285934060178968E+18', '241322262.30627985300592462095', '-7285934060038325418', 50, 2);
    T('123.427588034287443630630', '-10141109.84553392751295714230', '-10141061', 48, 2);
    T('-439402265.6773823152953', '1.597800184752670', '-439402265', 36, 3);
    T('-7.68101469662117', '762.05683', '-5', 33, 0);
    T('-2064270.62427666726431', '-756.3915403861226175', '-642', 43, 0);
    T('-5103.996493096516350190818', '-7587485.5', '-653', 57, 1);
    T('85905748.4997095022946387', '5534439.449465559646', '90108919', 90, 6);
    T('12019861.85906953329757', '-58.3300636070084', '-41', 90, 5);
    T('-6551686.47162399880', '3.45255094471633471987596994097', '-6551685', 8, 6);
    T('-69608.57', '-96493775.833745736', '-199', 95, 5);
    T('23868394.20479546991207', '-8648.955739615451630743239173', '-6', 87, 1);
    T('65.49', '-1857', '-1793', 52, 3);
    T('-189039442308.733953947085', '4.2714E+8', '-189020526596', 84, 0);
    T('-6514.362561143211', '-6199037653.5584945253178', '-2129', 36, 5);
    T('6443425.782521', '3.2356776708332', '6443427', 95, 2);
    T('-95705.4846106978715', '48.95942431837', '-95689', 69, 4);
    T('-7.48437123650', '6.74103936769444866073704', '-1', 95, 6);
    T('-9.5187E+7', '-1214955175.39002445344760', '-2633767', 97, 4);
    T('7886131.7241', '6000577928.96084265084402', '6005841339', 56, 3);
    T('-62274.724491', '-57649.704667', '-57601', 95, 1);
    T('-67702605.17281', '-6466.295', '-2369', 27, 4);
    T('64557692.00331093349364123025', '882700731.627', '937292799', 83, 2);
    T('5392283343.3', '-8.291366451169349677195907', '-1', 38, 4);
    T('58.473464', '-24.68597355835997472010385951', '-6', 58, 5);
    T('550536192.05804464886', '-5636.5126420355071221818755', '-4612', 82, 3);
    T('61553.207244885998355048', '149.90764965010', '61685', 83, 4);
    T('24.493319049850013', '5.686583244', '29', 37, 1);
    T('9.4E+2', '-75383.7841820181781990', '-74835', 84, 5);
    T('-728.44605072349097550', '7.3692E+14', '-728', 59, 3);
    T('-332.974478599814590608375602226', '288147.9195386', '-73', 27, 0);
    T('749.8612136563221983608465944', '2.1E+6', '2100205', 99, 4);
    T('-4933.6688822', '-3474', '-257', 6, 2);
    T('2.805E-43', '419.93143318710160', '419', 85, 6);
    T('21.369480951209057', '-79.5410352971497266087', '-75', 43, 2);
    T('-406293.82211971882047399933846', '521529.58018725754683800260446', '-517', 66, 2);
    T('-5044.136839645576', '-7.69506584272806', '-3', 89, 6);
    T('-374230.53895815136', '-810692.31166', '-267458', 46, 4);
    T('-3876333.419828851960612', '-49177643.1255997', '-2761769', 26, 3);
    T('2.16519606', '-183369.732001049752838202515', '-183369', 48, 4);
    T('4277.93137142333243293', '-3139.39595756', '-3139', 99, 5);
    T('6.126E+5', '-1090882115.0092620392193454286', '-1090814467', 64, 6);
    T('870.24453936638160125391', '64.070883', '870', 77, 6);
    T('444562.67064247', '-8.069967', '-6', 11, 5);
    T('48921496.518716476582909', '-5298974835.604152820642198350', '-5252677731', 2, 5);
    T('-5554.8136', '-267986.69', '-5266', 15, 2);
    T('5.63323326774E+19', '-48.876368131234950049390', '-48', 54, 2);
    T('-584365157.146622489', '32.9051240653966400098150614', '-584365125', 63, 2);
    T('5764787386', '6.5269957079451908769', '5764787390', 77, 2);
    T('2.67763', '8933727.19', '8933727', 76, 3);
    T('7.92185513', '365070935.41', '365070935', 23, 4);
    T('1348307160.06009883313699705146', '3912174.112887280064', '1350547966', 91, 1);
    T('-42108.66', '-858601.2028', '-105', 5, 1);
    T('4.65456663E+12', '-367641783.4524396620', '-69305479', 10, 2);
    T('-4.985614', '3993.40838992', '-3', 19, 3);
    T('9476581135833.7', '826649.74', '9476581924313', 25, 0);
    T('5943.0744941354498', '-64876.65644410980', '-59465', 57, 1);
    T('-7799678352.7818885071', '-4.5710920208774991', '-4', 19, 5);
    T('50.542325924876922412884982', '3.8195734010', '51', 12, 5);
    T('-61249101232.96278194788472518', '-2031.7863270898173995021253', '-1455', 95, 4);
    T('-33.3334560492078521051', '743951826523.7403680801837246', '-33', 37, 5);
    T('4153170254.750715917769960', '236.6157', '4153170414', 45, 3);
    T('62588.776023', '-5732570573.7027', '-5732565377', 71, 4);
    T('3E+4', '-9.67E+6', '-9668688', 21, 2);
    T('-4.95305538E+19', '8.2386E+9', '-49530553792331825344', 64, 5);
    T('633.2116187', '2542.624735010', '3071', 83, 5);
    T('2.2E+7', '337534.3778293911111945', '22001662', 50, 5);
    T('6.685187441199208097698228528', '-4638249715.0444814453220724583', '-4638249713', 27, 1);
    T('-6083.163276545935545', '99610204.1', '-4483', 6, 3);
    T('-6056728.33320012937', '22.5927089123610187', '-6056706', 79, 6);
    T('-6562167054902.96126273048843374', '5.794885552', '-6562167054897', 45, 2);
    T('-629439698.832', '-3.100303E+15', '-16798930', 55, 4);
    T('396211749.9003', '-9E+4', '-18827', 17, 2);
    T('-136217164809.79912266868', '-507459.741632395617134854', '-310273', 49, 4);
    T('4.5813E+9', '-17.7169722530', '-17', 66, 2);
    T('-6.62034837756174221008695', '-85661.1190', '-5', 59, 4);
    T('-4.493349E+9', '6.2256E+5', '-4493279240', 68, 6);
    T('2396199.540901644907140623', '8764437345306984890.6511', '8764437345307251135', 38, 4);
    T('-4E+5', '-6.2E+6', '-399936', 20, 5);
    T('-6367.25158433', '46.4250363369219238', '-6353', 86, 1);
    T('-1569752592.92097', '-4526016.272646275433353689', '-1552', 61, 1);
    T('2E+2', '158.849999225482529858286359878', '222', 71, 1);
    T('935528.851653799', '-39.4507', '-7', 17, 3);
    T('83887.62425487469721', '-48.71218003521558854830584560', '-1', 27, 1);
    T('-3788.374848', '-1E+1', '-10', 46, 0);
    T('-999545.185298783165088924370', '-87759480.47534699559', '-721009', 94, 4);
    T('4292606.4251433212163934883', '2378.553690671', '4292606', 72, 0);
    T('-3117810.96632858127245599489', '-6.869293E+8', '-2199698', 26, 1);
    T('9.3E+6', '1775.5373', '9301743', 52, 5);
    T('7.352196968735832657', '7165762067.752946020688', '7165762071', 28, 0);
    T('-5373521.7392987614302', '-5.49089818464602877680881723282', '-1', 50, 3);
    T('-99.6773414734287', '-7.14127E+12', '-99', 6, 3);
    T('-455.1225038', '-122376762.720944357561575', '-1', 2, 0);
    T('1.813154E+7', '587507.6548398433', '18677495', 45, 5);
    T('1.5723449', '-45.95638653882043694', '-45', 97, 1);
    T('770', '-93682.89489444945042424314534', '-93426', 91, 1);
    T('-2071.019939', '-30.0578430024458271057418', '-21', 81, 1);
    T('-14.2514269037777180794894', '-33090396969254574.5900', '-14', 16, 1);
    T('-21.3108399770888233', '-9702032107214.36639486354', '-5', 85, 4);
    T('-3.9E+3', '-1311966384.3570277113835095982', '-1068', 69, 1);
    T('-46.0428182577961186019380669', '-6.1E+6', '-14', 58, 2);
    T('8575.330591513', '-4.558413212080866221335003635', '-1', 56, 4);
    T('-5.804E+7', '-8.533419293761115E+18', '-1086008', 43, 1);
    T('383404932162491508.946342159', '40013.5287110270125923535765', '383404932162493565', 96, 4);
    T('802142.710366922868', '7677.084360183959642683302', '802303', 37, 1);
    T('3096470.395467', '502740.650473797', '3129302', 24, 6);
    T('-9.3880E+16', '-2.46578E+20', '-91479439405252608', 55, 4);
    T('-5783686.7', '242.7075264213418378107845139', '-5783558', 73, 0);
    T('-66239.7001874140968', '-14093.7579279448', '-525', 100, 1);
    T('-28919.4', '1.9E+5', '-4295', 86, 0);
    T('3.4830230082116', '9.298393', '11', 25, 2);
    T('-7E+10', '908765527.0319725966', '-69932749481', 56, 2);
    T('478511.3100477401330554033', '3033574.77304260259', '3100143', 27, 5);
    T('-41655757.22715', '16138.56883097238276574652', '-41648325', 41, 4);
    T('-4828334.9641079585691255731', '97.1', '-4828301', 1, 1);
    T('761593.4460747113746741', '482722810.4186', '483385339', 64, 0);
    T('187668.692239343', '-8.2909741E+16', '-82909740999966956', 39, 1);
    T('-4.09E+5', '-745515709.0924218161590054620', '-403621', 72, 6);
    T('658.2884668048816660196', '70047.29921605464931439415300', '70559', 5, 3);
    T('-39562.52879', '4690820.08', '-2058', 64, 5);
    T('-6.2E+3', '3.407981482031094E+16', '-4132', 43, 6);
    T('-537216220.388346', '-749.396', '-201', 62, 2);
    T('-2036.50096', '33808063.214168698050745405', '-321', 11, 6);
    T('-2.132200496670', '4.105E+8', '-2', 56, 1);
    T('-4.95653E+11', '-3.48', '-3', 12, 5);
    T('-57111024.441075585038589153319', '41871314.720460996218262', '-16846894', 99, 2);
    T('9.86E+3', '20237838.1337', '20246158', 88, 3);
    T('-1491337318661.92496865399', '290.792506991073', '-1491337318405', 93, 0);
    T('6E+2', '2.60E+5', '260088', 71, 4);
    T('-8.1720E+9', '96264.1588403924640991365618734', '-8171979512', 72, 2);
    T('-91.66634633762869', '-729.79398882', '-89', 47, 3);
    T('-9.705064142554597688', '7.7', '-9', 52, 2);
    T('-96641834.63261664', '-95746638867.73096216308676021', '-12615681', 100, 2);
    T('-920826701.08674255307518096316', '-628.0496671', '-577', 33, 6);
    T('3520614.786359385828082389519', '264519542.972830499256454', '267763574', 51, 0);
    T('-5015.8821262135782', '-24.86423509112', '-23', 64, 6);
    T('-5.1409470919241646684', '-4743530024.746173283041', '-5', 21, 0);
    T('-1.86309340E+14', '-61634077.6074825117301384557327', '-33842717', 82, 2);
    T('-456.1563956019616308137660854', '8882546656.0', '-8', 19, 0);
    T('-72194.0347447131126647', '8E+1', '-72194', 35, 2);
    T('5.243E+5', '-3.513338006E+12', '-3513338005988', 96, 3);
    T('2.0058416250754473292638', '-72483625.5322152384353692060335', '-72483625', 78, 0);
    T('-526.63702864660075411', '1245.5', '-513', 48, 3);
    T('3156634824.43951405', '-2.3E+8', '-26313016', 100, 1);
    T('-546025.5593463970225', '-203.240', '-201', 17, 5);
    T('-69.41614245340352364710859', '-51759.1654648661863102781', '-5', 38, 6);
    T('7461457974.7466300518', '74944.4', '7461532918', 100, 2);
    T('5876045.82688274894635229710344', '7051.58641212796229095545', '5880783', 17, 0);
    T('-12.87566', '9E+18', '-12', 23, 1);
    T('-2107.64518930383235', '-23513.76439377958', '-2073', 46, 4);
    T('-3.443E+8', '333.9865416975154', '-344299667', 4, 4);
    T('-8.2220707669420646', '2.231879012135123440163', '-6', 13, 3);
    T('52281011277779863863.899213349', '-2.7E+5', '-267913', 8, 1);
    T('-431449076', '73.24', '-431449011', 14, 6);
    T('20.06485104111317731', '-35.123', '-35', 64, 2);
    T('-2.0E+2', '-810405434.939243109827187263202', '-2', 91, 3);
    T('-89612.7261', '-309819.3909283468462715482', '-6667', 26, 4);
    T('-7E+8', '363', '-699999893', 59, 4);
    T('3.66812638988705391036E-73', '-648.037665521526978604', '-648', 5, 2);
    T('-872.569900756', '1366954.38137734', '-70', 84, 4);
    T('-1.53E+9', '-81964181.3876257461642559', '-2138133', 37, 0);
    T('-5.0648100778427388E+17', '5303.23992565364641706', '-506481007784272705', 10, 6);
    T('-4.822312491016561', '-61.6950', '-1', 7, 2);
    T('39824.9604414488656566791', '-22.13051', '-6', 37, 0);
    T('3210367352393.4622487198296862', '-4.91679691991E+18', '-4916796185189040439', 18, 3);
    T('2.5099E+5', '5502780.63361844', '5502846', 81, 6);
    T('1.223E+9', '8.725', '1223000008', 81, 0);
    T('161.7337036728553478898849233', '-6859.2904634332248985', '-6731', 57, 3);
    T('-1807995358.9263243', '-4033657919.87755469784', '-1614843933', 22, 5);
    T('5575828.42', '-3.795E+10', '-37944429420', 32, 2);
    T('-6585269141.0101428307226585', '-6.76', '-5', 48, 6);
    T('-6083.84734470', '399.1625176201', '-5697', 65, 3);
    T('9779593.55846693555165952738140', '93136140.9357947', '94190989', 74, 5);
    T('-5335885778574781.562510', '992408861.215443266574', '-5335884836636833', 73, 3);
    T('-6.617469067824120', '78404.20290997409420555647060', '-2', 68, 4);
    T('-866738610.18223', '8.933216823383153E+20', '-839450898', 16, 5);
    T('667117599.596166959973941561312', '-4.9E+8', '-406095457', 5, 6);
    T('-191.85578635103', '-46093.77306066', '-13', 60, 0);
    T('-37367.8772698122889525863', '7.07107356303772767008389413', '-37361', 98, 5);
    T('516021.003102722366', '-5346.6041689100439367694962', '-65', 67, 6);
    T('-499.916', '-808249.5388934313307692532', '-305', 92, 3);
    T('30713.2113057228', '67.222', '30715', 16, 5);
    T('64.25109967668763006313', '2446537.82174795124917064959', '2446537', 54, 5);
    T('27906009.9', '2.24196E+18', '2241960000017387481', 75, 1);
    T('-85.84442883753947409', '-46028393.09599204116505', '-65', 91, 5);
    T('-8168931.0', '-5.52757887113E+16', '-5243267', 5, 0);
    T('-2.710041781226870', '-95912591.678156543977437491054', '-1', 35, 3);
    T('292710.770470240848', '3.218E+5', '327534', 13, 2);
    T('75228231.042854342640460', '-7174093.2005825070943', '-267145', 28, 3);
    T('-9457342.44970898236891', '-68529.2', '-2737', 40, 3);
    T('-9849.325367177569473054', '7035.11313682233208486636', '-9217', 55, 2);
    T('478.644219312365352790547', '-601467.270051354301503265457332', '-601121', 21, 6);
    T('6.948784E+9', '-5865873351.61236', '-1098913863', 86, 2);
    T('-7', '-4.101E+4', '-1', 69, 0);
    T('5323.088916232348747977370413', '677791.2564295722516078674246', '677855', 79, 1);
    T('-8.0E+5', '-684239189263877784664.18068', '-263256', 21, 5);
    T('690.342216203692894295495380', '7029879.463274166', '7030519', 23, 4);
    T('24453620.3776463140229129', '3725.82957391640', '24457213', 65, 5);
    T('7670.4753387388549268', '-3.427686E+7', '-34275338', 24, 5);
    T('-3E+3', '-47251.4869534371847', '-2195', 73, 0);
    T('63832.63833895243012719321', '-947', '-675', 98, 0);
    T('96876.649058467376404969', '113.70041513198426453192', '96893', 12, 3);
    T('362261.6179070', '78.0701', '362335', 18, 3);
    T('12.905748003960504671096623342', '-4.480E+17', '-447999999999999988', 78, 5);
    T('-87136.9590635586106451329379', '51.68256604452620', '-87117', 24, 4);
    T('2807896.331040824151411474075', '-5923900.236987992135', '-5252132', 48, 2);
    T('-34.60281845589162', '-2.343591644489828096093', '-2', 36, 0);
    T('-5696805593.198777508', '-1716.93136153395802', '-657', 100, 1);
    T('-941711.2673774', '9214450.400339432476765915', '-149005', 12, 0);
    T('7607.50799700714245', '7E+1', '7671', 66, 4);
    T('881703.30303934419941788226275', '334368450.334166325004363', '334462695', 97, 1);
    T('-1.149E+8', '-27.991143722118767910686744', '-27', 34, 6);
    T('100.930794', '-389278265.05260467', '-389278233', 57, 6);
    T('-617434.0561928390346673049', '97527.9050036259385075', '-525065', 90, 4);
    T('-978204700123021457526.4758764', '-431190248980516092.5267842', '-383122636803147890', 57, 6);
    T('8.282735E+7', '-8029446389.509022226533042403', '-7953457313', 51, 5);
    T('-5.24E+3', '-1744973476.6', '-1060', 7, 4);
    T('-809.987485993005738', '-6.263359E+16', '-809', 44, 1);
    T('21.8668562452126', '3.511063544419545488675419383', '23', 40, 1);
    T('-4751.22571', '-9688832.329555251740546948219', '-4751', 5, 4);
    T('-1E+9', '-1.94605913185086486E+19', '-310511768', 98, 2);
    T('-70.138983302180', '-81595.66709151', '-1', 4, 4);
    T('-85.40', '-6.74518E+12', '-85', 100, 2);
    T('1.139446638037094', '-96.053429725162336871812802', '-95', 41, 2);
    T('-7263630717233.2699', '53796953533193710634.7235741364', '-2792567607569', 5, 6);
    T('741.7053408352168478', '75381139449.935975903', '75381139453', 93, 0);
    T('-4.9', '1801.336580', '-3', 6, 2);
    T('-2324.85040019995728125545505', '-105472.2', '-2324', 39, 2);
    T('-44675.9163197905466275581', '-2158.06529', '-2049', 95, 2);
    T('73.126741', '30.30827791', '95', 84, 5);
    T('44.488922501003129241', '7.6E+5', '760044', 30, 3);
    T('499133.41659209263204569253', '-1140520.6075374349140374', '-1073667', 9, 0);
    T('7.559E+5', '-7102.357', '-4866', 62, 3);
    T('-78.727753718501874500417884', '-3.73209E+6', '-74', 5, 2);
    T('-5522.8059362350031', '1.2247E+5', '-402', 84, 6);
    T('-6.41384E+8', '5.4209922E+8', '-103823404', 1, 6);
    T('-2E+1', '-2.96603', '-2', 79, 1);
    T('-6.17E+9', '719448037466134.2521', '-1665309290', 19, 0);
    T('-6.414703700655778604109448749', '-4.73501138506352934', '-2', 64, 2);
    T('6E+2', '1.13267150767512519385157534765', '601', 47, 5);
    T('8915870.92255939', '1380.60926764445745183896', '8916990', 68, 1);
    T('-7.02394E+18', '-5.80E+9', '-4456462848', 47, 6);
    T('8037790078.0457', '20.037486693766994300009795', '8037790078', 22, 0);
    T('680589.2', '-1911666.9887', '-1378673', 16, 4);
    T('5.84442441162', '-933.63', '-929', 33, 4);
    T('200956.7792396801017435', '1404513.99963941', '1539837', 93, 4);
    T('519.7184430366', '82186.7410947787', '82703', 60, 2);
    T('-9379.47052', '2635736.14275022648979593404337', '-35', 57, 2);
    T('-894.320005846570925773832029666', '2.92718E+6', '-306', 8, 6);
    T('-9926.3603357200240', '631772.154469218908179402817', '-1026', 95, 0);
    T('642978431.992', '63329807.746727972543', '668423807', 79, 0);
    T('67599.34804798967', '-73.95964565564838931390378846', '-65', 51, 3);
    T('524622044.652261637888471709473', '5052188405.6701', '5358706429', 28, 1);
    T('42136.5670', '3245812773.0585075208319870338', '3245845693', 25, 3);
    T('7206178433.081870', '501.8431986436907', '7206178805', 59, 2);
    T('-6.34063496E+9', '566978.7', '-6340102414', 99, 2);
    T('43616.38485482091197036850013', '1670.9805790802528258181617823', '44774', 7, 0);
    T('33460.143685', '4136.380420854', '37564', 92, 2);
    T('-3925462.40258879488', '4.395061780E+15', '-1196246', 93, 0);
    T('97871457.304426256', '-790.812798165421308029941', '-277', 55, 1);
    T('-105.86225228', '-96250386.98099363', '-1', 47, 5);
    T('7042387848', '3.6E+9', '8452829064', 12, 6);
    T('52054.639775303963057', '-60415.853108257035503', '-8361', 85, 5);
    T('9.45E+3', '1453.900219303766908638685419', '9711', 48, 6);
    T('-9385905823.95685', '52.898428456106318', '-9385905803', 4, 1);
    T('24246502.120402272620', '8.4510714E+20', '845107140000018987238', 96, 5);
    T('77.34498804689092786', '3.537E+5', '353773', 41, 3);
    T('-22097.78350532524', '-943358.589084342066573816', '-17489', 19, 1);
    T('6.79636816E+9', '-7191286788.702550936301039', '-681706500', 50, 4);
    T('-57.4461051606088225459563818', '-67.23473418926444646842536', '-1', 25, 3);
    T('3970.36807511', '-9.75239550268725977160263639', '-9', 20, 2);
    T('-6841.148384198320888212990956', '6.855E+6', '-673', 54, 0);
    T('-48830793.21991754083543', '-685283.12116609215310846303', '-528449', 31, 0);
    T('-144753.719738022341447523281685', '6.5132413420487E+18', '-12561', 43, 0);
    T('-105925.3930494128695318', '64202011.9788236401716702', '-6341', 54, 4);
    T('3.437600E+9', '-75352335.8432672618', '-1589263', 62, 4);
    T('7526392833.57912541185', '65.5854243444076381948375', '7526392897', 42, 4);
    T('920.477163059528012763192', '-62.170478024061026275074657237', '-38', 91, 2);
    T('-8.8465125266428104796', '-11.411331116958843', '-3', 25, 3);
    T('97700.700692098428020283', '-66881172.2', '-66880020', 23, 0);
    T('-504149752.1474745504599', '-41250.744413200', '-40994', 65, 5);
    T('-6.78067228752', '4E+19', '-6', 37, 6);
    T('6.0658038839660', '4013.230515379980232015038286', '4015', 12, 3);
    T('-3573018166.38816339203682401', '52572864.32213771', '-3570781238', 68, 4);
    T('3598256.0341424798372079888487', '-3152.61518', '-2128', 67, 4);
    T('5.10557231022458667635001212', '5.30E+10', '53000000005', 38, 0);
    T('-5.350419260275156190667', '-4.1930627255586190', '-1', 48, 6);
    T('-518.90208177878270167323486', '-3913765.93650649003621545372629', '-5', 26, 0);
    T('-82276.936256816830261488', '2147095.04378', '-65633', 19, 0);
    T('861.974215702165840999549085239', '64857.710254503913317748436992', '65373', 11, 5);
    T('-5124493.6767', '-750661076.318659516534117616', '-926081', 40, 3);
    T('-4E+1', '504.6', '-8', 52, 1);
    T('2.9208608646973237E+17', '98409853976622374.87087827302', '386675972901764406', 40, 0);
    T('-2115136.02509', '-39.953626939294464167029947096', '-39', 69, 0);
    T('-107.1708384013986591450422224', '-37.400525789461971084832107967', '-33', 99, 3);
    T('-31389943.68567', '-2717.7440784582030567785', '-2197', 82, 3);
    T('-1990059.6471418558889760', '87.9250935443971', '-1990057', 75, 4);
    T('-7315.120933663985179316939960', '-40066332.9944494628333352', '-7187', 82, 4);
    T('2186618.57809832011317', '-606.880076720494262391943', '-518', 20, 6);
    T('-8.42812755E+18', '-26.61438953678', '-26', 71, 2);
    T('3.10039011824630118E+20', '-4.176', '-4', 42, 1);
    T('-9.65E+3', '253610922.06530', '-9234', 17, 6);
    T('-701.37464512610591761296', '-5E+7', '-61', 64, 6);
    T('-55.732591941591', '20.607864846', '-35', 39, 5);
    T('-6608.242174974752335', '-9.86', '-9', 85, 4);
    T('-88.1841455', '72.26697759', '-24', 94, 0);
    T('4.03E+6', '-17418153.9442', '-16810377', 16, 3);
    T('-6057316708.2324842020194', '25075.80667795373096046475', '-6057299969', 42, 2);
    T('-24056419189.7348176119', '4017.2779163813354665721084463', '-24056418373', 18, 3);
    T('-3414602.7284635480', '4.5E+8', '-2361930', 77, 5);
    T('-1206105.0228080004571954414932', '-535.1221851389', '-529', 18, 0);
    T('6E+2', '6.3E+6', '6300536', 28, 6);
    T('-7701873.36470720428733', '-54090.8401341057560978220583604', '-33089', 15, 6);
    T('-237021.80465397290229357335715', '46581.179937497421350', '-198665', 63, 0);
    T('5115222822.967842526084', '-807945846.42313587690083263260', '-541778', 76, 3);
    T('-5.2298E+7', '-5.79E+9', '-18612496', 26, 1);
    T('6428857673.9732769', '5.89', '6428857677', 33, 6);
    T('-3023964373348.733950952', '6.7545', '-3023964373346', 36, 3);
    T('-5565123.36494072', '-24.168607716711324037', '-3', 62, 2);
    T('3835965305.137998415603', '106194.92344491575', '3836067835', 15, 3);
    T('-12.0161876457707739514', '1.02725E+8', '-4', 92, 5);
    T('-88.40104446088397104621642', '-3180.32408256', '-68', 100, 1);
    T('47635617.797780867687846121', '-777664938709.539410626913787808', '-777659679317', 83, 0);
    T('-522.53104921505', '-4816.7485014', '-522', 21, 5);
    T('9483753309.1925474187136', '9.51103889555836956347079307894', '9483753309', 28, 2);
    T('-83.2413074754', '2235797721435517.76732462', '-3', 37, 6);
    T('-617771930573.759317', '1325.3371945', '-617771930305', 94, 5);
    T('8E+5', '-474420552.199356951524', '-474153032', 31, 1);
    T('-321676.19679', '-7E+9', '-32908', 68, 1);
    T('-9255061', '-202101447.91734223', '-594053', 31, 5);
    T('-7955591642.3654882845', '-5965.228546508439710454605794', '-4425', 76, 5);
    T('-119', '-640584448.726036', '-119', 14, 0);
    T('-0.000814291062', '2816.9657671402', '2816', 39, 3);
    T('26444.461818313959876546661054', '5.737E+5', '583500', 20, 4);
    T('5303.18151444542694089987', '7.689220E+8', '768923063', 35, 5);
    T('-83650.4221028952505', '25.23649465', '-83649', 98, 3);
    T('-852.075776984661', '939464484055967649.1205071359', '-83', 23, 2);
    T('-9.31875E+8', '-7.89130E+12', '-369230008', 15, 4);
    T('7E+2', '-1381685716.742741523419694', '-1381685572', 43, 6);
    T('337318096.286199099104', '-8.358955476793495129602928035', '-8', 21, 4);
    T('-675661.690328937050088530', '147197089425923.2013302', '-17741', 8, 3);
    T('6483496.0585583', '-3826966133.7', '-3826782293', 77, 5);
    T('-86.32', '-78099.9201', '-17', 78, 4);
    T('668919.534643033030635228376996', '-21.5361400390015', '-1', 93, 2);
    T('3.026E-29', '-718245964.352169749', '-718245964', 35, 2);
    T('-2.213678197579288259', '9.2E+6', '-2', 62, 0);
    T('-161952823302631464516.638070', '-3908.8143888746849765172544', '-3652', 78, 2);
    T('508.343012142815433', '-313526278.6', '-313526274', 4, 1);
    T('4543.8313160360474458309391116', '7.48433213595866576492', '4543', 16, 0);
    T('-1164514993313640.3661910717004', '-8873908.84009945142', '-8587044', 12, 1);
    T('-1522.64162648098636940', '-5561042711.88802708694', '-1297', 68, 2);
    T('3E+2', '-6.551421962355', '-2', 93, 1);
    T('66159.1178042640921', '9903.441182206464680085290', '75503', 87, 2);
    T('-9.43192443287864948073', '-9.510080147180942996421060443', '-9', 32, 3);
    T('-6096.1360139423529452', '-5593.2926756971575926169', '-5577', 71, 2);
    T('11.78537383027681949778127', '-1.5929E+7', '-15928997', 89, 2);
    T('-9271986574.659992364', '48248.8317472', '-9271984518', 1, 3);
    T('9.839', '-646599.0493212397', '-646599', 95, 2);
    T('-588558477.037544645961620120', '7.43318949485E+20', '-33599629', 28, 4);
    T('-32584.111', '-43273.27388296513774539', '-10497', 50, 3);
    T('-2.520973069142E+18', '-8977430.2331', '-8912918', 52, 6);
    T('2.92E+4', '7063896580.668711493363052457', '7063925268', 17, 5);
    T('-1.987039433447413003994', '-55.4875568', '-1', 4, 5);
    T('2.64935E+9', '-750.605058', '-142', 18, 1);
    T('63.82500', '962016.561544092998708297482675', '962047', 3, 5);
    T('-534397920.327', '-6986065169.6181463', '-4342033', 12, 3);
    T('-24', '-655715.171508', '-3', 9, 2);
    T('6486501.281011420', '-41.7350646118855094865248', '-9', 19, 6);
    T('6085332.28080460698256371108', '-9398815508.395360964218326', '-9397469444', 62, 4);
    T('-34', '27.81084435534658849410795', '-33', 55, 6);
    T('199260.8021733872332650', '413647444.2421093052157119563', '413649500', 42, 2);
    T('-1376860651618714439.83999337', '6.194513', '-1376860651618714433', 16, 6);
    T('15039.8', '5E+7', '50002623', 58, 5);
    T('-4E+8', '136679.68182230065913123096699', '-399868441', 21, 3);
    T('-71899060.2403338', '-7915775.6922939138130715', '-4718771', 84, 1);
    T('787962', '3954222682.05089175', '3955009530', 75, 3);
    T('437.262882450953784020725518', '2.02873466900861016299677', '439', 15, 5);
    T('-763349.743787565102709377307', '-468221.965111467', '-206037', 34, 1);
    T('-70.092143', '3936.601', '-6', 68, 1);
    T('-9746806587.16279163', '-9.2E+15', '-1088714555', 57, 5);
    T('-3.016E+4', '-99.872013218249413510', '-67', 20, 2);
    T('-88051.5199272994208368', '-2.2485', '-1', 15, 6);
    T('406592205.3634173', '8.7883E+8', '1014889469', 74, 6);
    T('346762419.677925291869', '-2E+9', '-1662292813', 80, 3);
    T('-1523915943.98973', '82226839.6850537964017457024', '-1511067681', 72, 6);
    T('-920863.72849990760', '-8.6040879701311777396928767112', '-7', 53, 3);
    T('-758.73058754923679348676', '235115202.8692771602', '-54', 66, 4);
    T('-8.57E+9', '-5499.4614182561738255585654517', '-4219', 57, 1);
    T('-276.441', '-2.1E+2', '-18', 48, 1);
    T('-3.27351426764228E+18', '-219300990.3080', '-17825854', 82, 5);
    T('-6E+8', '-98563.70737342296', '-65795', 90, 5);
    T('141436983.9601933', '328.1', '141437311', 70, 5);
    T('-81363096.66578', '-6.614E+6', '-4227208', 15, 2);
    T('437.087849688871232', '-1.645495', '-1', 49, 6);
    T('-101156.73348952', '515951.066589145014875', '-1', 4, 6);
    T('26.2062103664386613890571', '-871.13218811', '-869', 1, 0);
    T('522161742225.00087463', '937360044153.1487', '1081245692409', 63, 2);
    T('4.76', '-34973.232557205105195351127258', '-34969', 4, 2);
    T('-24771.226642', '3.0E+16', '-24771', 82, 1);
    T('-83070063', '8562.7677307015983', '-83069965', 31, 5);
    T('229826764.86527156872225574', '-5352611.23427829675214044', '-4262947', 45, 3);
    T('-69243.229714453', '4E+9', '-1659', 45, 4);
    T('4E+9', '1062794.28126203', '4001054602', 16, 6);
    T('-64436.645626375428306', '331254115.75', '-29329', 96, 3);
    T('-567496.862397379040979', '405.4100978', '-567363', 76, 4);
    T('42433573.480567805218', '4.843', '42433573', 60, 0);
    T('4431.42148152977915479802817', '-7056908.39215124061476789515279', '-7056897', 2, 4);
    T('-3186.8680796975242605345822', '424822.27028', '-1026', 22, 5);
    T('-91834.4308236', '65365987.43883762175104', '-25', 84, 0);
    T('6176102.2177838891283445639', '254132961.7050868', '260046823', 42, 0);
    T('5203.6549590982851860', '8209917020.57171287', '8209921119', 66, 1);
    T('226063718.038387809217119328677', '-2023392520.158919037799212', '-1887600642', 16, 0);
    T('-7897.35669304091290505765081', '5.1873E+6', '-6169', 99, 5);
    T('453477117074153046192.23853281', '-29.9769416525499370651399227', '-13', 5, 6);
    T('-2144.67569845146952731508438', '-121.6332', '-89', 63, 1);
    T('-8.918649259416', '-7324036010.413961582939240', '-2', 38, 5);
    T('-70.1154491984576940648', '8.678972121190', '-70', 43, 0);
    T('-668182844.744898', '942767405.17180', '-130187283', 22, 5);
    T('-454574.541081438039019329926311', '508944733.519569678621155115281', '-134817', 77, 2);
    T('8.1960E+5', '785.652464977871465810715400', '820113', 33, 6);
    T('1830367339.8877193077398', '-1600209025.585747779', '-308297857', 79, 3);
    T('-961332957.373959983336790941', '-2700.2980677488729', '-649', 96, 3);
    T('-65072.832207334', '370309715.7011', '-33837', 74, 5);
    T('-3.289195202507', '-3453268.427242', '-3', 31, 5);
    T('-1.4523E+7', '541313.8552669', '-13998199', 39, 4);
    T('1513629641.808525690119538623', '-1.90701376854944', '-1', 39, 5);
    T('716931001283.6431', '-23430241.146302001386413309446', '-17105953', 4, 4);
    T('47025009.4', '214.11025542608114171', '47025143', 93, 6);
    T('-76.568217474542748506751907', '-8335.2483264655522588386', '-11', 31, 5);
    T('-7498080690.8', '6.9', '-7498080690', 93, 1);
    T('-896912', '430578.8918', '-601614', 62, 2);
    T('2000870756.345713008', '-1.2709897957575334', '-1', 37, 5);
    T('-8.8634', '-207187.79502136629770', '-3', 9, 6);
    T('-9.3990933189312794', '510151.4799069233598425324622', '-9', 68, 5);
    T('-4834.8094056150121122', '-251.695261862754831772137668628', '-225', 25, 2);
    T('-13411.641682985775950162481026', '-159.2803543031851', '-3', 21, 6);
    T('-5748400.74038535921047532', '4497.3700', '-5744175', 38, 2);
    T('-63210438510925.71', '-6.67E+5', '-657733', 65, 2);
    T('-414885660.795', '-909462.38953083293', '-565266', 41, 1);
    T('1.79276531369', '-794205763.4518095569', '-794205763', 51, 0);
    T('985.966428547534290430', '5.8E+8', '580000729', 83, 6);
    T('-96427.6978574483695084739226', '-605860.053435577', '-80035', 1, 2);
    T('9086152.270527665792921685', '905.52785039721135432096339', '9086921', 15, 0);
    T('857330925860327457555.4', '1785396.30802', '857330925860327997239', 37, 2);
    T('5.7028E+5', '7.162771130902123358475529', '570287', 18, 5);
    T('744853.8332', '79186.7935571042402', '753111', 55, 5);
    T('3718164.2174008658', '-782205292.00', '-780599660', 10, 0);
    T('3E+1', '-10.8808664934765', '-2', 64, 2);
    T('-8577712402.99930053071', '-71545427830867569.8227', '-50429969', 31, 4);
    T('-8.58472491E+9', '46.4769631011594050577968', '-8584724866', 55, 0);
    T('98583.878898', '-3.39671E+7', '-33966825', 65, 6);
    T('-90641.475922563270520013498', '-936724.828767108278286', '-16913', 67, 2);
    T('53.04463975463393', '437319.35', '437367', 86, 6);
    T('3522', '776415698.334663460230408673248', '776416722', 24, 4);
    T('6.261E+4', '-9E+4', '-68366', 28, 4);
    T('367414.4774008', '-3165387.0370362111', '-3163337', 22, 6);
    T('2.28455494511276325', '666846530.7901423207124910', '666846530', 49, 3);
    T('344474.51714010984621357403', '-8.8849858350', '-6', 49, 3);
    T('1.1751191E+8', '742064724.5627', '792401654', 45, 4);
    T('399630.985219467098702616941245', '-7169834152.5970083541', '-7169696930', 58, 5);
    T('-74605334.712106131892153320117', '692649446.64186070170729', '-70386194', 21, 0);
    T('434.9937696875560829389545', '9.536E+17', '953600000000000434', 27, 4);
    T('-88917986.04629408013731235', '-184994.23140433919733', '-49826', 21, 3);
    T('477212.10218655', '-510', '-482', 51, 6);
    T('-540072249336.757519096012', '24799.55625380283924', '-540072249121', 81, 4);
    T('5585217379.82841880785734598', '6906948.01108253288460065273', '5585758055', 14, 3);
    T('3E+7', '64', '30000064', 28, 3);
    T('49.6558215802556208832507592', '9.49392454', '57', 13, 5);
    T('-3262731974.783215', '3.4864630E+14', '-1075855558', 79, 6);
    T('-6452873.29662', '6.3719198983550932637628', '-6452873', 35, 4);
    T('576753', '-7386932428', '-7386374155', 52, 3);
    T('-272247.555414764448495092434186', '9.7271075081335993648', '-272247', 10, 1);
    T('-4559864.9963654015800016762681', '44.57835450460561611214554446', '-4559828', 68, 6);
    T('840939023.32', '-26592743.79228465670789', '-25182689', 17, 2);
    T('-30.654332', '-5522033.2222843284676193565', '-17', 4, 5);
    T('6032312997.1240058554424662094', '-3.47594E+8', '-271717643', 34, 2);
    T('1.52378E+7', '-93079.1581386544202892820', '-92439', 54, 6);
    T('-3.9895683E+8', '29749.73', '-398952713', 55, 4);
    T('1.6E+18', '-2.702E+6', '-604848', 84, 4);
    T('3997772.6262787530802455', '-8.7340604453641517418', '-4', 46, 6);
    T('-415.00759512184736357656', '-6736081.30085052776410423940025', '-145', 65, 3);
    T('-1.23', '4468752.3259088916542727370636', '-1', 66, 2);
    T('-5.714083E+8', '1860.86033184743', '-571406508', 11, 4);
    T('6.8254095975834630', '76.373693173233071161', '78', 93, 0);
    T('53.20876815375238255132654237', '635.2070654102938768414618', '639', 83, 3);
    T('-5928678096.28403', '-8.274E+4', '-16900', 49, 6);
    T('17026.7537152030730004225197200', '-275845401600765.72', '-275845401583741', 97, 0);
    T('-660030.809812349485149148870874', '9476678722.5613', '-4670', 5, 5);
    T('15254.750784662617397', '-1.98122624930913121133326092360', '-1', 20, 6);
    T('-9.4222309383981473848040326', '87206.7857179902', '-9', 36, 1);
    T('-6685066.8488652156905070', '38.69869469', '-6685066', 60, 3);
    T('-9201.7541990009', '-593.228939868619045921925007', '-593', 73, 2);
    T('2331.73571', '558648.08086685161856', '560955', 36, 3);
    T('815340014992.793651480', '7E+13', '70093718384016', 96, 1);
    T('1.8E+9', '5229.426259303', '1800001133', 78, 5);
    T('-6E+4', '-3.89481', '-3', 38, 2);
    T('-4.8E+4', '2981584.967745100890781677', '-33072', 49, 2);
    T('-7.431238', '-886934.49592173490597442', '-5', 25, 6);
    T('5.034E+6', '-262436.072730', '-292', 9, 0);
    T('-97.3', '6642.96106734591', '-1', 59, 2);
    T('-156.39774021130325489013382', '14734.8', '-18', 64, 5);
    T('65868.337998421974', '2821.151140', '68429', 85, 3);
    T('329.3843168731', '3.00641207130826181311', '331', 28, 2);
    T('-17616.953', '5711808193.745294', '-15', 61, 3);
    T('-956122992.79908707', '9E+7', '-950011248', 66, 0);
    T('2.36419964127616956020512962', '-6148799.76942951356024878', '-6148797', 70, 3);
    T('-5.18578029585371531748398068950', '49490.43615730451853141', '-5', 3, 4);
    T('-4654422852', '7E+8', '-4635023428', 17, 3);
    T('-5.2054621', '4592.414308619902', '-5', 34, 3);
    T('78.1294343772558', '-799.20483559452245456659222', '-785', 85, 3);
    T('-5.145', '7.5738718', '-1', 89, 1);
    T('2354.95925347991132', '-4.997125929240132146770904338', '-2', 82, 5);
    T('3.75244E+12', '96945311.88947', '3752457105055', 70, 0);
    T('843529426.28510', '2E+2', '843529434', 20, 5);
    T('71834.24', '25.75', '71835', 54, 6);
    T('-359702282.3238314242571', '8583257.3210312', '-359663361', 25, 4);
    T('-578035.708898610232668152256265', '757766799.240823326297783', '-16753', 2, 1);
    T('2965969319.3', '3462396405.954108195087010935', '4276091383', 7, 3);
    T('-1.0589548964926E+17', '3.864', '-105895489649259997', 17, 4);
    T('8.275082875891350635872868', '425.821139612551937241385033319', '425', 51, 3);
    T('-63797.27960650850333', '-6.116E+9', '-49205', 13, 5);
    T('-94.9274965297629398272', '5.924134E+10', '-30', 80, 4);
    T('786529629365771.41696514', '-58.1247826', '-49', 14, 0);
    T('8893745097.4636834', '-60079481.86813818', '-25442353', 29, 4);
    T('633906662013452432.60489301260', '7.99325299E+15', '638516992064740240', 65, 0);
    T('-6.87909327639', '981178935287540951.1732', '-1', 19, 3);
    T('8.590923540E+20', '-4029663185.92274002553488754580', '-903121', 40, 3);
    T('-851.87110537995016546027', '888.6754876753022865719', '-3', 80, 2);
    T('-394195138.7168533013745', '7.22140947535696962', '-394195137', 28, 5);
    T('-2945862376.6867798', '83864.33652179', '-2945845352', 33, 6);
    T('-9876371913096465.150', '-1960533', '-829457', 82, 0);
    T('-3.45690E+9', '3290.1396746', '-3456897798', 61, 3);
    T('93.3201829037491570657249', '-40.61733323519370', '-35', 92, 5);
    T('5E+1', '-1.70469851279918E+17', '-170469851279917966', 94, 5);
    T('-266.743211529750763547298700', '-4.2637E+6', '-258', 82, 2);
    T('203.407009405398', '-186.358', '-49', 25, 2);
    T('-342.459590017388', '-1998028.072004291667', '-66', 65, 4);
    T('36.00196213818630544077467389', '-6208.231789917123631911248', '-6172', 48, 2);
    T('-161609.5523483791', '117711.74129161252558096', '-144385', 75, 1);
    T('51233747273.08563947668332623', '33.45264553561118', '51233747305', 52, 2);
    T('-9.0042093254454258303034197707E-48', '895363.537278872274', '895363', 37, 4);
    T('3.15E+9', '-65152.5638558887051', '-53376', 19, 4);
    T('-1.3892994E+17', '2718931025.837086626010894688', '-138929939965560751', 99, 6);
    T('2.818E+4', '-178.70450', '-162', 3, 0);
    T('5429979.4982062011', '3.66529790108706510988', '5429979', 78, 1);
    T('-2.4789', '-7184107370.44502279612143397200', '-2', 70, 3);
    T('59191659.634955653434895966452', '-683438824.8009384188334', '-674775685', 94, 2);
    T('-942445.2', '-5.37375472231352', '-5', 52, 2);
    T('72082274.74441044455', '29504451.79460980', '97252323', 7, 5);
    T('-950.309471', '5250.814486434740318001050258', '-822', 78, 2);
    T('626161557928383.3004849147', '-101441.6015710535265228', '-33857', 7, 0);
    T('1.32E+4', '-68912.8813686997940849146455581', '-68656', 66, 2);
    T('-4E+7', '657513.49462251248857216', '-39866775', 39, 3);
    T('83318.8296055926774871728', '8E+7', '80082294', 93, 2);
    T('-11.39893057700383120087280', '85953215.7664133268967503', '-1', 38, 4);
    T('-3.2457144E+12', '-8157450.4450662675227547', '-2383882', 58, 2);
    T('-5.4867817971', '-1.7009449117736876686', '-1', 20, 5);
    T('-4254731422350.335853402', '-1.0818E+6', '-134', 3, 0);
    T('-19.6294343233965100538666372', '310.25278900066307391519', '-1', 87, 5);
    T('-6.74E+5', '-6196226.65889', '-657410', 53, 1);
    T('-3575.91', '-585826187.22139322', '-3459', 22, 3);
    T('20.87470544540393832207285654', '-7.36129', '-3', 56, 0);
    T('9.466527170528018931', '44123.58004', '44123', 48, 3);
    T('48010499227.389958082', '-17.125774705', '-1', 33, 3);
    T('68152363.2627555128134197616', '-21297.420345778762261002038', '-4881', 51, 4);
    T('43.2373635426', '7563', '7595', 25, 2);
    T('8950747.1935179569', '1408270.7548528649256092548809', '10354655', 14, 2);
    T('-73085974.83', '7.10888211494E+12', '-68883458', 51, 6);
    T('7.0281610343725', '7.9', '7', 26, 4);
    T('-7.8E+10', '111449598.0852810776260', '-77997869570', 79, 5);
    T('9.279052821E+18', '8626.87513064790', '9279052821000008626', 95, 3);
    T('4.2641165006E+12', '-9119268.6', '-8979972', 66, 0);
    T('-5784034406.61898560168587', '8E+9', '-68710', 24, 2);
    T('498772401.5459024568874', '-7035110.19972059731969978497902', '-4280389', 41, 4);
    T('895358.427951745035856439695859', '-76952390837870.8464', '-76952390206978', 91, 4);
    T('240590279.742444221445', '-9.148547', '-9', 1, 3);
    T('-7.7E+2', '-5504.90', '-258', 5, 5);
    T('33751804.27119', '-1.8003E+9', '-1766614276', 70, 6);
    T('-607475228441629697.8405622', '850.28889780', '-607475228441629697', 30, 4);
    T('85294547260665210178.137844642', '-11477362.85227050758', '-524338', 72, 4);
    T('45321.68671385817573624995239', '-3940326058.5900776', '-3940289185', 51, 4);
    T('772515.832949407', '17412732.704641016', '17562623', 26, 5);
    T('-6.143762175751940391047', '-7774368350842267.76772958', '-1', 52, 6);
    T('-1518320897.142589384323', '-533.1295753162754601558', '-1', 54, 2);
    T('-8081007.22922692', '-684839078.737439197574914814', '-5324837', 67, 2);
    T('733.284656023565560327047838182', '3.4982E+7', '34982653', 37, 0);
    T('3672.57407269229973958619', '3291.8971626356', '3803', 5, 2);
    T('-66918307057.866470', '-885575516743.42985', '-60400074817', 31, 4);
    T('853275.190950', '44.75976860356465402970995', '853311', 96, 2);
    T('701072.68365', '-1.45329909E+9', '-1452606722', 40, 5);
    T('90294', '-55.801280556', '-1', 42, 0);
    T('7.7943029E+12', '7086226736.336641151', '7799241178928', 10, 3);
    T('-8.35066554E+9', '-6584.138', '-2308', 69, 3);
    T('-5082155', '5.305E+9', '-4983851', 81, 3);
    T('30546.9611028278', '7E+2', '30718', 93, 6);
    T('5991596.1678617', '-5.084129153369035440817', '-1', 10, 0);
    T('-4383.571123', '888.546363111562978243', '-4103', 99, 5);
    T('-4888383.956948826868015722241', '43.8184219159946240804017105695', '-4888341', 95, 5);
    T('-530416.275480', '91.093371749344636027182', '-530341', 92, 2);
    T('-3051.78357', '-38564787.82145897003071333161', '-931', 42, 5);
    T('247320956.682308166022683', '-993.0762', '-641', 7, 3);
    T('-3083203654328722.902407919', '-42.477801215151', '-2', 72, 5);
    T('30.1002607614885572424286328012', '-4.5248657752', '-2', 82, 0);
    T('-3507923.7722046432071399712', '484277377582000163.68526502755', '-3507921', 12, 4);
    T('92447.450', '190', '92607', 75, 1);
    T('251616.37084490169828773', '7.2932E+7', '73129696', 24, 1);
    T('-5.21E+9', '7.957147827336', '-5209999993', 61, 0);
    T('-7764879228.06867417569960', '-750890572.6362795646756277', '-213952076', 4, 5);
    T('-7.9', '-2692371.7919966176962916', '-3', 27, 6);
    T('-5E+6', '-446419718904456.7793', '-4459016', 78, 2);
    T('-761719178.57', '-7.7E+4', '-10370', 85, 2);
    T('7.7276608E+8', '-730.61715710248707', '-602', 89, 2);
    T('-272380.6712402601189436284', '-693.013984212157', '-689', 2, 2);
    T('5.5E+6', '-9.467E+9', '-9462616224', 46, 2);
    T('-71712.0685832776181', '-7474.2027757', '-6162', 90, 0);
    T('6.6570E+7', '-755297993', '-738207945', 44, 5);
    T('5848.5618219', '1.21047043420751789259369660437', '5849', 18, 4);
    T('5260801070.3395946832726', '-36.840368005697032127260751920', '-2', 91, 6);
    T('-735.69095019683076631467098669', '-3.5999355', '-3', 54, 5);
    T('-51224790.737911', '-2.7586329E+9', '-860354', 4, 0);
    T('-6.850288687687E+18', '-90.2', '-26', 96, 6);
    T('-2.70760784E+9', '2783645.55441226844179', '-2705358851', 11, 4);
    T('-83438355.7461588', '-11.81377327208948', '-3', 9, 6);
    T('-87262290.5962180623031', '-263711524.11729018726006681', '-87261186', 46, 3);
    T('-9559484366.1275263915', '-7774837846.66677197', '-155845702', 48, 4);
    T('-1.90182085757232325E+20', '3.4486073212', '-190182085757232324997', 44, 4);
    T('43551', '18640.3270787', '60127', 56, 2);
    T('-9.4E+16', '8.71966E+6', '-93999999991608020', 18, 2);
    T('-2.6E+12', '12911350.3826323704082381334', '-2599999933706', 4, 1);
    T('-98.402386588377306462418', '449762.5106259816774072', '-2', 76, 2);
    T('-99.3', '-7498467691.2593322004443881', '-99', 14, 2);
    T('4.439', '-8660210.67184262', '-8660210', 55, 3);
    T('-8.991492E+7', '1.685939547758E+16', '-21648904', 64, 2);
    T('2947596930.77718412177426495297', '37443101.93895070', '2948322975', 21, 6);
    T('-48.366915338040800876', '-1790791.9059853690086051', '-7', 33, 6);
    T('-7801613446.7993368367939', '73.153457', '-7801613445', 54, 3);
    T('-8922.866', '38696442.87347703324', '-514', 58, 0);
    T('36122538203.9016179034', '-184050.965160323080591855', '-52769', 42, 4);
    T('-19519873261042496408.0426730', '-1328.3295140416176655815272', '-264', 71, 2);
    T('3581769.775416', '-959934.754960942539682', '-524469', 26, 1);
    T('1118206709.0', '8.2441E+7', '1190132733', 84, 3);
    T('-39108.263044', '861222.5075496520027', '-39106', 1, 1);
    T('-261188512.074804917265', '86.819008756324', '-261188490', 15, 5);
    T('-6975', '2E+1', '-6955', 76, 4);
    T('8190827738.13085170611231222312', '-1.6E+8', '-25781030', 78, 4);
    T('-519.48616754807854293314065048', '-450.657148027099163071577779', '-1', 93, 5);
    T('8.78012E+11', '592.33900067264050208', '878012000080', 48, 2);
    T('-4722.25509621686817375264179361', '-870499.586', '-97', 30, 6);
    T('2090198.6305116008876218345788', '-34625565.96354548858475990', '-33560585', 1, 2);
    T('1.2819739444', '-71024.4', '-71023', 51, 6);
    T('243.623670492573349569', '1.9418230E+20', '194182300000000000243', 5, 2);
    T('-5931.37597679332', '-7.09417171623', '-3', 27, 5);
    T('-426455.22299237243592', '31406617.988283114861367775', '-33223', 79, 3);
    T('770248.1338784907450010500809', '848755319951.8742984275', '848755942607', 88, 1);
    T('75678711.655076877169282445686', '496314.4294147495615644', '76010495', 46, 1);
    T('153.49748', '-9.36E+9', '-9359999847', 79, 6);
    T('-85259.57516369', '6.3407E+6', '-68867', 75, 3);
    T('16.8', '95900528436423305.4921618', '95900528436423321', 91, 5);
    T('-9E+5', '-2.67142182842E+12', '-272644', 64, 1);
    T('-7901.110296', '-9202876.97105821696608187649327', '-3225', 91, 3);
    T('-93.764441750708953', '-163564635.48222570850923954', '-89', 73, 1);
    T('52491420.459335788785650823', '873.19093286784940153477976190', '52492285', 64, 6);
    T('52.679403479331298279231851', '-4.675053287554855968685906354', '-4', 48, 4);
    T('65323.5326', '6979299997731.6237', '6979300032299', 28, 5);
    T('953.826652508214229140176307', '350826.211667487488600', '351227', 82, 0);
    T('-4443.8746437755182', '-451.179782598383643459', '-323', 26, 3);
    T('1.5039E+12', '78583669.0565', '1503908585333', 75, 3);
    T('-9395826701.344482327441755326', '5408404474.552', '-9395257349', 82, 1);
    T('-70.8932', '2701551.012410436', '-1', 34, 4);
    T('-757783634.62825', '5774140.3281866417409720072580', '-757253186', 42, 5);
    T('-4743873990.91411317275682007685', '8.4', '-4743873990', 45, 1);
    T('14.91367653574082711568509', '3.44E+3', '3454', 75, 1);
    T('8.613875628024293744E+20', '2.46408232692927774610', '861387562802429374402', 40, 2);
    T('3552849297.5618', '-304487.83128736064651256', '-32871', 34, 6);
    T('-1444309.15206', '-13731', '-385', 87, 4);
    T('-1.32883E+7', '667213994', '-656194', 26, 2);
    T('87359879.429', '91577.335718', '87385535', 76, 4);
    T('881080739.7712930366082', '80024.8868790914977096727551142', '881146299', 41, 1);
    T('-5.3641E+20', '-14.0762', '-14', 42, 5);
    T('351.483945', '762.400519531307689820', '1023', 62, 2);
    T('-6.652E+6', '2345.4365669', '-6651991', 26, 5);
    T('819.64', '1.842976E+7', '18429811', 99, 5);
    T('-9318.1922192735031181624410', '5.3457335073', '-9313', 11, 1);
    T('26138.466007816393875315', '8607407.92970096784742958364760', '8615615', 18, 2);
    T('6.440345528E+13', '71.214816529441645552743', '64403455280071', 80, 3);
    T('294226.2322531737241892396', '30.069236841548492011410427', '294238', 13, 3);
    T('-6009.70025027355318332146786', '605764.729226857238110153005610', '-313', 25, 1);
    T('9.82429015547710108003202329650', '-40.06381765273683205796910', '-39', 75, 0);
    T('-690444153.5884', '-529677744.3067921273', '-151131433', 6, 1);
    T('-739.61675437368144', '-937.167607186229019', '-673', 82, 1);
    T('432863982490404483.811370056', '-84800681.230018525685300399', '-84488233', 27, 6);
    T('-8.91144213254E+13', '-2773.332247', '-2645', 35, 0);
    T('7.47985263790507447710527633490', '-880.7183471701039541979626259', '-873', 55, 5);
    T('-6819024943.0917009750', '2993160557.948215637', '-4363259907', 22, 2);
    T('89.124317976', '-34430058175533.724661746033625', '-34430058175525', 82, 2);
    T('-4819210391.1404946424', '9.72280918E-764', '-4819210391', 24, 5);
    T('-7E+20', '105.262417311003666602396570', '-699999999999999999895', 97, 0);
    T('-32880691.1170915262746', '1982119535.96883206173839149', '-30474257', 100, 1);
    T('-66108677577615903.49564', '113366.72532432319185', '-66108677577506825', 95, 4);
    T('131', '-77589.58661916909889913982', '-77589', 34, 1);
    T('1823518677.12059697187853153', '-39339066.1975568364705', '-38289449', 36, 2);
    T('-48559150708.30410225286853064', '-2.68917076E+19', '-5436348020', 7, 2);
    T('-9.19', '-7.8E+3', '-1', 76, 0);
    T('-63832621.449284505', '-5.8680E+8', '-46662189', 7, 2);
    T('-5718.632592852', '83882894.9348606401346', '-1106', 57, 6);
    T('-70106605.0', '898307913.675082572624800', '-2402469', 79, 0);
    T('5.78E+17', '-63183052.812671986334', '-62920908', 87, 6);
    T('28269121.0842695648524677702291', '2638229713', '2649717457', 87, 4);
    T('-6.60E+9', '442.384246122655624', '-6599999558', 90, 3);
    T('4368022517.236679536382813910', '4749236.4', '4368039925', 75, 6);
    T('-3377.336792', '30073.5650371424', '-2049', 47, 3);
    T('-2', '-9216316590.14806', '-2', 92, 6);
    T('5.79003410598733656309994289', '6053.4267706737289312931487', '6053', 19, 1);
    T('4.154E+4', '-14091887031005.9847576344', '-14091886989465', 39, 2);
    T('-21.78841496', '32485.27', '-17', 61, 0);
    T('-43.7595468585183521198321244067', '-2.56225E+6', '-9', 77, 0);
    T('931.51212186606556820019', '-6446068147.025297238584043748', '-6446067729', 61, 3);
    T('847511.55122088', '-4223.2773860554', '-4201', 8, 2);
    T('-62323658.377306740897804', '-8E+4', '-14410', 88, 0);
    T('4132494556.945655020089826', '9433.5473', '4132502749', 30, 6);
    T('-9710794.62846433644239460', '-6.81090676261E+18', '-8650826', 24, 5);
    T('-680.414610982490', '-7.087890960309E+20', '-168', 39, 1);
    T('8.39421818637637161477958607548E-866', '-2.2E+2', '-220', 41, 2);
    T('479.077114184589984', '-64208.3165324', '-64001', 23, 2);
    T('930612.452128922086468252079', '-979.83659895253696365755', '-195', 11, 2);
    T('-1736654944092.17685559539958', '22.4993661471820914545375', '-1736654944074', 66, 4);
    T('244230492.679898640305', '2.51666547742', '244230494', 45, 4);
    T('-9227.474', '-83502.9275492407106655536165', '-1033', 56, 4);
    T('4.124738E+8', '29943107.75052954', '433978827', 74, 4);
    T('8401612', '-9.0E+6', '-607284', 57, 2);
    T('-792066.37812929502', '53.3528343369334548602989676643', '-792065', 35, 0);
    T('-5E+3', '-6.1', '-6', 18, 6);
    T('631048472.6667938069942456', '-3990111359690580346.39750199', '-3990111359143682146', 61, 4);
    T('3.70048074469405313827552439059', '214.69891523182318378589', '215', 12, 1);
    T('21272134.2529284', '-492581.65070768789', '-196641', 82, 4);
    T('29004822.5', '7587.18914116105341', '29007287', 45, 3);
    T('-85039.6180596724364721', '-1.058005308801197636', '-1', 94, 5);
    T('8.42592259', '62304974.13', '62304974', 17, 6);
    T('54475686.37', '8495458543644.60592050689154894', '8495512419262', 53, 1);
    T('44081.95', '5.513679343879409E+16', '55136793438829947', 90, 5);
    T('-62.4', '96.1003707327253139254635', '-30', 29, 3);
    T('220414596.786488456788954', '7.33203717474930549', '220414599', 95, 6);
    T('3211523.430', '-36.8502537', '-33', 25, 1);
    T('-93504903.2218066', '4577473853.872406612839356538', '-83902595', 93, 2);
    T('1.579146220180', '-34.260892854789140322473187083', '-33', 7, 1);
    T('-1843.876', '41591840.2870895008', '-787', 86, 4);
    T('-2.16E+3', '-5E+5', '-16', 90, 5);
    T('-84111178.71558512437119', '-63676.45430597347', '-26634', 47, 5);
    T('-44.930610994631713', '-49556.55730816065861', '-4', 1, 0);
    T('-890429914.6', '-65.3082107936485', '-65', 38, 0);
    T('6.6E+17', '2337945.3241267799', '660000000002206873', 18, 5);
    T('-5.25861631294730144930883', '-9365940.264806', '-1', 28, 4);
    T('-97.195153', '-698050616.7387328', '-33', 6, 6);
    T('-32816183.0836', '-10674.36889296830468254612', '-10289', 32, 1);
    T('3350800.35997001129192629249678', '-25797.91931724904528568992064', '-17605', 2, 3);
    T('25.20745087', '-6148721584.20', '-6148721575', 88, 6);
    T('1364216957.42470926443692161', '-55.585153108415901', '-3', 18, 6);
    T('4.244869531909248', '7410488018100357.833', '7410488018100357', 41, 4);
    T('6862.89928', '478576104.5296', '478576622', 67, 0);
    T('-7649.0', '114271146686516.707143725739069', '-1473', 53, 4);
    T('647.219077118964412028652473500', '4533885810670091787.429459', '4533885810670091919', 16, 3);
    T('-6107694713.32531', '-708.805896623712153913260', '-577', 57, 3);
    T('70.36394038', '79878003.720342811897', '79878007', 86, 4);
    T('-6.239079E+20', '-33747380.30739927', '-33730996', 40, 5);
    T('1.7E+17', '7759614.988562', '170000000002516734', 41, 4);
    T('7.37849E+9', '6E+1', '7378490044', 38, 2);
    T('-5.8E+3', '-407.87734275217890964862604', '-135', 74, 5);
    T('605.0656225913733497645', '7804.6', '7805', 10, 5);
    T('317104.061699033034575', '9.5428370448714', '317113', 43, 2);
    T('7.342735622344868', '589.24974264688003876', '591', 98, 0);
    T('72157660187.151865', '74695546', '72158791547', 35, 5);
    T('-2933126.4825649887607841481089', '36827387.87549949', '-786693', 85, 3);
    T('-72866.113434851721589913', '72.8162', '-72866', 26, 4);
    T('79153.7967866509688', '568679496.186', '568687993', 75, 2);
    T('-80729030.495686230870671015', '-4.6588184', '-2', 65, 6);
    T('11800.55450509', '13389.179640175659772', '15965', 17, 5);
    T('-78.046115283099', '-810.836412652938027530363904', '-10', 10, 1);
    T('348100.00405782588194251834', '-2.9124E+9', '-2912071740', 2, 4);
    T('-59086762.819837920589866', '-81693.077534', '-71433', 62, 3);
    T('250615655932746.70097', '8.034528420923380544401009232', '250615655932746', 6, 3);
    T('278.5167341210732552', '-5446309.6', '-5446305', 8, 4);
    T('-4863117195610936.2911096', '1963.4097449506072504788', '-4863117195610133', 50, 2);
    T('680.43829', '-723.3156070730724831623901681', '-83', 27, 2);
    T('-44394.1198813647923324932498381', '867.6068921435038553943044374', '-44041', 13, 3);
    T('-9.475E+9', '-3.7E+4', '-136', 78, 5);
    T('-41039.1217987', '5570789138945.66474450557572', '-32847', 91, 3);
    T('-42.81433072115455463428', '-35695527.540333', '-33', 49, 5);
    T('993658.37138115295600459223879', '-98819.638899438671924226631', '-33281', 60, 4);
    T('83071627006.1859', '2.12E+7', '83071827710', 72, 6);
    T('1.379195474', '69867879.4', '69867879', 33, 0);
    T('64207380.402619', '-11577845.0652647', '-2097633', 79, 0);
    T('8.9505242752216996', '75565.821', '75565', 44, 3);
    T('-37938834.7652', '-6.5E+2', '-642', 59, 3);
    T('42057308358.030645749536191036', '7E+9', '42614103750', 55, 3);
    T('-54347.6229593786790487781484846', '-37014631.067696588', '-50243', 69, 1);
    T('-1.25103807335819372528373', '-8105.320', '-1', 99, 5);
    T('-97035444.34074520442850728113', '-39.1467258935292386792670315', '-35', 27, 0);
    T('66837.22156', '3783.699364151', '69591', 90, 1);
    T('6230198.3886511374976053586', '-5.0E+8', '-494953546', 24, 1);
    T('8832487.082712129400555', '-72373014.14385', '-72356369', 88, 6);
    T('-9.2516E+9', '-17116581.79051576445948329', '-16786469', 2, 5);
    T('249.58655471', '-106.69850', '-1', 31, 1);
    T('-50720673.519938424799779545296', '-77667', '-77601', 89, 6);
    T('-75766.8350585161014018', '-5425800393', '-74945', 54, 1);
    T('-8874.610388521886073205265068', '-5.543', '-1', 65, 1);
    T('-60109085.56403', '4.76882300459942482623640226', '-60109081', 44, 6);
    T('3.45045315E+9', '-5147971.42', '-4587841', 19, 4);
    T('7411.24186913430790991526553782', '-8062623.87927', '-8061453', 1, 0);
    T('725.25712060381574249161171', '-5640.9548368822', '-5123', 59, 3);
    T('-73611601.911', '-55.165364', '-17', 22, 4);
    T('-7387579.90735718738427415', '-925', '-409', 22, 6);
    T('2.982E+9', '-9.635135341783655906', '-9', 8, 4);
    T('601806.35600043220086791613', '-7E+7', '-69472562', 58, 3);
    T('-98969.254394792', '-4886392133.83023200', '-1', 78, 4);
    T('7695647539.08', '146.589056389558712933824', '7695647667', 80, 5);
    T('-986.2383312', '-3.4774418405520550356749262', '-1', 17, 6);
    T('-3.09499854595', '8E+4', '-3', 88, 1);
    T('-5.006504371614058942', '1.4E+9', '-5', 61, 1);
    T('-71009913.12', '-1196197762.235971862721036564', '-67667457', 45, 3);
    T('49760', '1315765.5115', '1364981', 3, 1);
    T('-453693.19668165178345536254452', '890.494268015124518515321679626', '-453637', 7, 0);
    T('-690.5348843', '8.6712328674', '-690', 66, 2);
    T('-18066230.4255953717619', '4.765E+17', '-174902', 32, 1);
    T('-6860114709292', '749951159', '-6859364762377', 42, 0);
    T('-31268.9239', '89424161.652', '-31235', 10, 0);
    T('915718974.241', '9.41234858', '915718975', 57, 1);
    T('7684777.9508692750027764009', '198.7426254792690239', '7684847', 69, 4);
    T('-283.922981', '-2572465.5651814853', '-17', 39, 4);
    T('126.16486265682261834', '-38993.522841', '-38913', 98, 6);
    T('-85950.1958928896699236818637', '-129173.203999', '-84117', 94, 1);
    T('-962946.6699472714140938', '-191.58458000', '-129', 2, 3);
    T('18.7232362259', '-832.98125640656446852357', '-814', 90, 3);
    T('-633.28644', '7E+9', '-121', 59, 4);
    T('9936.853734', '12533.0300589975106765112430', '14069', 83, 5);
    T('-1461350083.4697345477', '-24762904.34923340', '-18369027', 1, 5);
    T('2556.9095461444079202531348034', '-93.5', '-1', 59, 1);
    T('1537661', '9812500312.94227', '9812574077', 89, 6);
    T('-628156541076.8818912687', '-78462895812118722.8954189591', '-627066013826', 19, 3);
    T('-416209.12136114393310541', '-5364.546359464779727875', '-4305', 72, 6);
    T('-50243.406043331853005492193814', '883.5595', '-50177', 26, 0);
    T('-70.281381906220681', '9.9E+4', '-70', 96, 5);
    T('7.87E+8', '-1.1193843E+12', '-1118838997280', 99, 2);
    T('-3.92271012E+13', '-63.755261404317', '-63', 68, 1);
    T('703.283457408667', '-7.1E+3', '-6401', 54, 1);
    T('1.9486E+9', '3046.21228703391720', '1948602342', 82, 0);
    T('939520394.111432182', '-77331241898.84', '-77309413922', 4, 6);
    T('-6.3609726472113871062296011087', '8640420.5266826276619', '-2', 13, 6);
    T('-867401289.228888491932', '-57.003319', '-9', 16, 4);
    T('-8E+1', '533.1394834638222658384', '-75', 98, 6);
    T('339.473723167471541905', '-5.71379818999156E+16', '-57137981899915277', 14, 5);
    T('-75.795', '-4.732E+12', '-75', 28, 5);
    T('-756.34599736904311768353', '44382780596.45', '-580', 78, 4);
    T('-33613147.559521', '-4459088447.2976847643', '-16411', 6, 2);
    T('-645781664625.57943', '695.42506', '-645781664065', 64, 0);
    T('553465978.17280', '-10093.54', '-1797', 5, 2);
    T('-45.1965626017878129326', '942827560.848165060689708', '-5', 83, 6);
    T('8.9247420E+12', '3126320.0885397', '8924744891824', 17, 1);
    T('-9.9E+7', '7963829210', '-88120358', 71, 4);
    T('-126075737.8349643850984494406', '-3.58580332', '-1', 8, 6);
    T('-9914145909041.61297932473171953', '8.635382358E+10', '-9896680564769', 51, 6);
    T('-40268517.16', '2093.45235584946', '-40268481', 4, 0);
    T('279178.49330', '8.18499137120987513764422516233', '279178', 50, 5);
    T('-75', '-42690926.2822040134', '-73', 80, 6);
    T('-4.3076744', '-225921606', '-2', 25, 2);
    T('-47790.050422557328677', '-1058.845065657478281', '-34', 85, 1);
    T('-46.49', '-9.511032336397170724', '-9', 8, 1);
    T('-9.280232114280067543959', '51.1', '-9', 100, 5);
    T('-420269512.4178011397', '-5.9157892785589557411036376', '-5', 25, 5);
    T('-2596.594568211395678501880', '-6905062.87955092', '-2082', 63, 4);
    T('-84585964.02197421281303679317', '-5.78E+9', '-167148', 27, 5);
    T('-2.91521E+7', '72128.7417968691482379633194', '-29147684', 59, 4);
    T('-74216.02421162315', '7.9502540526077108', '-74209', 48, 1);
    T('-9.056E+6', '373661254.22224211223859', '-9052346', 72, 0);
    T('-830268.01263449972218099', '9181.76377065718437705140137', '-821283', 92, 6);
    T('-95845.5108330684666421', '-2E+8', '-82021', 43, 6);
    T('1665.3', '836471252959716752.6', '836471252959717265', 8, 2);
    T('853.15877', '-3942101.74537563', '-3941505', 75, 4);
    T('-10.95851549107985991667708468', '-5.69022E+7', '-2', 51, 3);
    T('-61017263.4834254', '37.190232430788099508501059', '-61017227', 18, 6);
    T('-92173842.10463796234', '-9523', '-9233', 4, 2);
    T('-6947940287.74952', '5.1174E+8', '-6444623775', 25, 3);
    T('-52.165776728429418161306', '323299535572530', '-2', 78, 0);
    T('2.0386E+12', '5.7E+6', '2038605282208', 72, 5);
    T('-472.9421828', '-134', '-134', 40, 5);
    T('-2.539E+6', '4.8624E+7', '-134264', 43, 6);
    T('84.42', '2.03102E+8', '203102068', 77, 0);
    T('-6017639', '-3584150193.8193497612068324947', '-115233', 73, 3);
    T('8465251845.070687980393874', '227898425.06316935485378', '8549400125', 38, 6);
    T('-769.0118332318709578392949475', '-6.4957E+6', '-257', 82, 6);
    T('-100.5594765419792', '1E+6', '-36', 89, 6);
    T('-2.580487046729688647', '-83103.93392213932507377206', '-1', 59, 3);
    T('875.39634', '8724.55576535', '9087', 75, 1);
    T('7.5E+7', '-1513023.2226335289', '-464447', 43, 1);
    T('-4551937119005.817424409113509', '63245523.220979074', '-4551928730381', 41, 0);
    T('1680.695599074724899172', '-1084772.74080176135919463797669', '-1083748', 54, 1);
    T('760794.2', '6E+5', '770010', 50, 1);
    T('2.3304098174', '-11.595994139598486548', '-9', 33, 6);
    T('-74717.61457467510', '-89540165.423', '-581', 66, 1);
    T('5849446.37791760013', '25007.302725035668', '5857775', 27, 0);
    T('7346.174', '3.1309695', '7347', 48, 6);
    T('4.075E+5', '2.9119', '407502', 34, 1);
    T('-8.0E+6', '5.8460E+7', '-135328', 81, 6);
    T('-711895515.06005106111', '708.21192419', '-711895323', 43, 5);
    T('-654.16035365332983', '-6980.397635', '-514', 62, 3);
    T('-63.7805692834429928677007', '-49334.38320026586816', '-53', 22, 2);
    T('-2228360719.6803396053701809', '9.41E+4', '-2228359179', 70, 4);
    T('4316995.32534374696758', '9.69481E+8', '969531243', 18, 2);
    T('-4.7E+8', '-86277.2349167300743829607', '-65797', 22, 2);
    T('-3E+13', '-1.88E+4', '-18800', 72, 1);
    T('7E+7', '-65.546', '-65', 69, 6);
    T('-9746.18', '1.396479931162852485', '-9745', 16, 5);
    T('7792.190926993020106648205', '8449385280.335510704747', '8449392496', 5, 0);
    T('-307445.500525462041', '1.2691618054E+11', '-295105', 67, 1);
    T('-2.007E+9', '-690784.6292667377825544777808', '-544', 92, 1);
    T('-7361846120.0821821896134', '-6.86027212E+9', '-6723752296', 65, 4);
    T('-816967825173.779371906', '7.4', '-816967825169', 24, 6);
    T('9.3897E+10', '-30447.330754411026', '-29359', 96, 1);
    T('-2', '-427704.6', '-2', 91, 1);
    T('-2.73E+6', '-53.749', '-5', 90, 3);
    T('-4.34565517148086527602', '4065.1733362794040135773699', '-3', 24, 1);
    T('38.239145807885468307881096596', '33023212.8028443894436309', '33023214', 52, 3);
    T('202926.820258182992', '-5.81678432E+18', '-5816784319999928146', 34, 1);
    T('-5.2582', '-9.2000020623E+18', '-5', 8, 3);
    T('-8.061021', '-36047009729945.383540', '-1', 3, 6);
    T('638.6607004365427969', '-1.92E+7', '-19199362', 18, 3);
    T('-54815.8', '-7956.1216851703444781389176', '-5651', 15, 3);
    T('-26528595.13389033075012243685', '-376.225541742621190302252077925', '-339', 15, 6);
    T('9460.481243', '-784940.2091867248707902700152', '-776716', 10, 2);
    T('-25.70961904', '464151960.98595698985431', '-1', 100, 0);
    T('15143.79623456680309', '-1635290133.7812', '-1635288081', 2, 4);
    T('-3554519847.87971', '-63171.3262324611565361', '-41475', 84, 1);
    T('-5.6501639E+9', '-7.3', '-3', 20, 2);
    T('535.17916244324548868014', '8.5306E+6', '8530623', 59, 2);
    T('-763081.32843414168359', '-8.63', '-1', 23, 5);
    T('-83784.00645245837711810012730', '-1.7E+8', '-83528', 66, 1);
    T('3172.569159904337491930289321', '1784.2', '3836', 35, 3);
    T('83.836948', '-4.679509333320083897473', '-1', 54, 3);
    T('-2238171.69509457', '10.064787744', '-2238161', 99, 6);
    T('32168948949482012.631220784', '-2.90598052892122', '-2', 37, 3);
    T('5112968.1105542316843', '-486635.7010445', '-92259', 18, 1);
    T('-4022065.0139705421781003', '-349156.98948982288428', '-348961', 94, 5);
    T('-294395.33295234514', '-99004.99', '-187', 65, 1);
    T('-4790610159.421', '-45410.7947000962905205', '-41057', 88, 5);
    T('-7.58999058350725108148', '1981403', '-5', 78, 2);
    T('-4.6726402775799495218771994', '-8048.260174048136280430', '-4', 91, 3);
    T('-668.5942142098986298', '-8.83371E+9', '-652', 13, 6);
    T('-207473193.020631584148', '17342464.22896332200', '-206916137', 43, 6);
    T('-3.95245967E+9', '-432652029476772.005779028029991', '-2726641538', 12, 6);
    T('-861.8914257500064', '72828.79284408550329640050', '-769', 89, 3);
    T('4.87E+9', '-91226688.70659216085834', '-87032384', 28, 4);
    T('3.312', '-419086.2647945884021351', '-419085', 41, 2);
    T('7361628.52405476941017447396', '2664.49532009029457692', '7364220', 41, 1);
    T('-9.22E+9', '6111462966166457530.47', '-9151971398', 31, 4);
    T('23.7', '-84885005.29856895578988', '-84885001', 93, 3);
    T('-703058.186916373294136498685', '-979097835.346232462287487635474', '-694337', 65, 3);
    T('-6602205374659.30836659108018987', '9734378.971036184', '-6602204323841', 37, 2);
    T('-19362878.4048805312247', '-1.123E+6', '-73782', 32, 1);
    T('31662508832072100.514477772967', '322251.0908', '31662508832386031', 97, 2);
    T('-873.2729081069742030742', '-1.5172E+5', '-33', 66, 0);
    T('6.16189E+6', '-2614297.72665730321', '-2220057', 14, 6);
    T('-2133580957.50602605283', '-9.7355871755539559539821854680', '-9', 80, 4);
    T('-2.457E+8', '5863.49377495207619379', '-245694745', 81, 4);
    T('-6.7130E+5', '-2092581090.7922822934516', '-655426', 41, 1);
    T('-7E+6', '-88.575', '-24', 46, 5);
    T('266160185.513824281492', '-56.542872159065287604426551', '-7', 100, 1);
    T('-3667.2160', '-40055.9308007601650924', '-3155', 60, 3);
    T('-6.47382333890150', '-68.0908318637524302479515', '-2', 92, 1);
    T('-51.789442', '-875.08888495752643547036735485', '-35', 75, 3);

    log('\n ' + passed + ' of ' + total + ' tests passed in ' + (+new Date() - start) + ' ms \n');
    return [passed, total];
})(this.Decimal);
if (typeof module !== 'undefined' && module.exports) module.exports = count;