var count = (function xor(Decimal) {
    var start = +new Date(),
        log,
        error,
        undefined,
        passed = 0,
        total = 0,
        n = 'null',
        N = 'NaN',
        I = 'Infinity';

    if (typeof window === 'undefined') {
        log = console.log;
        error = console.error;
    } else {
        log = function (str) { document.body.innerHTML += str.replace('\n', '<br>') };
        error = function (str) { document.body.innerHTML += '<div style="color: red">' +
          str.replace('\n', '<br>') + '</div>' };
    }

    if (!Decimal && typeof require === 'function') Decimal = require('../decimal');

    function assert(expected, actual) {
        total++;
        if (expected !== actual) {
           error('\n Test number: ' + total + ' failed');
           error(' Expected: ' + expected);
           error(' Actual:   ' + actual);
           //process.exit();
        } else {
            passed++;
            //log('\n Expected and actual: ' + actual);
        }
    }

    function T(xorendA, xorendB, expected, sd, rm) {

        if ( sd != null ) {
            Decimal.precision = sd;
            Decimal.rounding = rm;
        }
        assert(String(expected), String(new Decimal(xorendA).xor(xorendB)));
    }

    log('\n Testing xor...');

    Decimal.config({
        precision: 20,
        rounding: 4,
        toExpNeg: -9e15,
        toExpPos: 9e15,
        minE: -9e15,
        maxE: 9e15,
        errors: false
    });

    T(1, 0, 1);
    T(1, -0, 1);
    T(-1, 0, -1);
    T(-1, -0, -1);
    T(1, N, N);
    T(-1, N, N);
    T(1, I, I);
    T(1, -I, -I);
    T(-1, I, -I);
    T(-1, -I, I);
    T(0, 1, 1);
    T(0, -1, -1);
    T(1, -1, -2);
    T(-0, 1, 1);
    T(-0, -1, -1);

    T(0, N, N);
    T(-0, N, N);
    T(0, I, I);
    T(0, -I, -I);
    T(-0, I, I);
    T(-0, -I, -I);
    T(N, 1, N);
    T(N, -1, N);
    T(N, 0, N);
    T(N, -0, N);
    T(N, N, N);
    T(N, I, N);
    T(N, -I, N);
    T(I, 1, I);
    T(I, -1, -I);
    T(-I, 1, -I);
    T(-I, -1, I);
    T(I, 0, I);
    T(I, -0, I);
    T(-I, 0, -I);
    T(-I, -0, -I);
    T(I, N, N);
    T(-I, N, N);
    T(I, I, 0);
    T(I, -I, -1);
    T(-I, I, -1);
    T(-I, -I, 0);

    T(1, '0', '1');
    T(1, '1', '0');
    T(1, '-45', '-46');
    T(1, '22', '23');
    T(1, '0144', '145');
    T(1, '6.1915', '7');
    T(1, '-1.02', '-2');
    T(1, '0.09', '1');
    T(1, '-0.0001', '1');
    T(1, '8e5', '800001');
    T(1, '9E12', '9000000000001');
    T(1, '1e-14', '1');
    T(1, '3.345E-9', '1');
    T(1, '-345.43e+4', '-3454299');
    T(1, '-94.12E+0', '-93');
    T(1, '', N);
    T(1, '    ', N);
    T(1, '		', N);
    T(1, 'ertgrt546', N);
    T(1, 'qweqwdewee', N);
    T(1, true, N);
    T(1, false, N);
    T(1, 'e 4.3', N);
    T(1, '4 .3', N);
    T(1, '4.0 01e', N);
    T(1, ' 4.001', '5');
    T(1, '4.001 ', '5');
    T(1, ' 4.001 ', '5');
    T(1, '    4.001', '5');
    T(1, ' 4.0 01', N);
    T(1, '4. 001', N);
    T(1, '4. 001 ', N);
    T(1, '  4.001e ', N);
    T(1, ' 4 .001 e ', N);
    T(1, undefined, N);
    T(1, null, N);
    T(1, Number.POSITIVE_INFINITY, I);
    T(1, Number.NEGATIVE_INFINITY, -I);
    T(1, new Date(2012, 11, 4), N);
    T(1, new Object(), N);
    T(1, function () {}, N);
    T('0', 0, '0');
    T(0, '+0', '0');
    T('0', '0', '0');
    T(3, -0, '3');
    T(9.654, 0, '9');
    T(0, '0.001', '0');
    T(0, '111.1111111110000', '111');
    T(N, '0', N);
    T(-1, 1, '-2');
    T(-0.01, 0.01, '0');
    T(54, -54, '-4');
    T(9.99, '-9.99', '-2');
    T('0.0000023432495704937', '-0.0000023432495704937', '0');
    T(NaN, NaN, N);
    T(NaN, N, N);
    T(N, NaN, N);
    T(N, 4, N);
    T(N, '4534534.45435435', N);
    T(N, 99999.999, N);
    T(Infinity, '354.345341', I);
    T(3, -I, -I);
    T(-Infinity, -I, 0);
    T(-I, -Infinity, 0);
    T(I, '-999e999', -I);
    T('1.21123e43', -I, -I);
    T('-999.0', I, -I);
    T('657.342e-45', -I, -I);
    T(I, 123, I);
    T(100, 100, '0');
    T(-999.99, '0.01', '-999');
    T('10 ', 4, '14');
    T('10 ', 2, '8');
    T('03.333', -4, '-1');
    T(-1, -0.1, '-1');
    T(43534.5435, '0.054645', '43534');
    T('99999', '1', '99998');
    T('3e', 8, N);
    T('-3..0', 13, N);
    T('0 0', -0.4, N);
    T(' +3e0', 4, '7');
    T(9.9806, '+ 1', N);
    T(' +2 0', '1e1', N);
    T('e3', 4, N);
    T(' ', 0, N);
    T(323, null, N);
    T(undefined, undefined, N);
    T('undefined', undefined, N);
    T(null, null, N);

    Decimal.errors = true;

    T('-3.2792308344005E+67', '-3430.83282850547574198745511541', '32792308344004999999999999999999999999999999999999999999999999996570', 59, 4);
    T('1.7922050830613188E+40', '-4646558126.6914994', '-17922050830613187999999999999995922405806', 66, 4);
    T('9.1E+6', '1223594.5', '9990474', 57, 1);
    T('-5.30572499118254307375554488127E+78', '3.247766585455725E+23', '-5305724991182543073755544881269999999999999999999999999717798431280148772500224', 96, 3);
    T('-5.22004502862709592790540876E+67', '8.1508117', '-52200450286270959279054087599999999999999999999999999999999999999992', 2, 0);
    T('77885124.220040', '-5.49384266113425E+80', '-549384266113424999999999999999999999999999999999999999999999999999999999922114876', 43, 0);
    T('95.903', '2.675092000263660703506473E+96', '2675092000263660703506473000000000000000000000000000000000000000000000000000000000000000000000095', 59, 6);
    T('3101078167.997630599766', '-295.907', '-3101078450', 7, 3);
    T('1334.5242465549829372020', '-4.7E+6', '-4698730', 85, 4);
    T('8505425.012336862', '99786.2130815989468574720', '8408475', 37, 3);
    T('6.16411E+9', '525529.614175309048056284', '6163586665', 6, 4);
    T('245032.252190303806282', '-8.74E+7', '-87434008', 65, 1);
    T('4.8E+86', '-6.9461615242274994038329294E+33', '-479999999999999999999999999999999999999999999999999993069090130385890029846252581686784', 41, 6);
    T('-2671650581723001715.3294576', '-2.6406E+9', '2671650579632416973', 70, 2);
    T('5.79157582375762479448945E+62', '2.25724162363290557434324E+34', '579157582375762479448944999978432812122970457285933164522381312', 82, 0);
    T('6.750799E+71', '6.61108268250E+78', '6611082915864309595938234378731296326292553505536391814725992626872379496202240', 43, 5);
    T('-9.319576250E+33', '-51.2875533369548', '9319576249999999999999999999999949', 25, 2);
    T('71.9041', '-8.292915000045192202804', '-65', 88, 0);
    T('4.888658639638838804702E+88', '-99345.1388939097100919', '-48886586396388388047020000000000000000000000000000000000000000000000000000000000000099345', 90, 5);
    T('7.195920848910355E+33', '1.74965556371968145063738213E+39', '1749648388125819198757996147096199438336', 19, 4);
    T('8.560546998262422601E+112', '9950.68', '85605469982624226010000000000000000000000000000000000000000000000000000000000000000000000000000000000000000009950', 83, 2);
    T('4.0204717911369E+73', '614856682.972', '40204717911369000000000000000000000000000000000000000000000000000614856682', 35, 1);
    T('8.05430106E+9', '-8.5534727057336352E+91', '-85534727057336351999999999999999999999999999999999999999999999999999999999999999991945698940', 74, 1);
    T('5.2199982540825036E+92', '-8.342599177794414723317E+99', '-8342599699777828278742468935831363635022873286332054069503366877740282105093929407001112992865583104', 58, 1);
    T('-26.287757348849012894150', '-4.66138381946062899569', '26', 37, 1);
    T('7288420.4334634', '-9534674.483', '-16665270', 52, 0);
    T('-2873132573.85448558102185', '-6.70809182E+9', '4908768695', 34, 3);
    T('8E+4', '-4.046915147476966E+27', '-4046915147476966000000067456', 60, 0);
    T('319.5548697887543687934416046', '-8539949.5390', '-8539668', 79, 1);
    T('-14972710.5873782', '-289941579.42777346042945', '296509295', 10, 1);
    T('7.264377875755522222E+78', '867.175563115550184', '7264377875755522222000000000000000000000000000000000000000000000000000000000867', 20, 6);
    T('-3.2798597713', '-5.60E+89', '559999999999999999999999999999999999999999999999999999999999999999999999999999999999999997', 64, 2);
    T('-1147606.92830983145352359', '396.929767808647925', '-1147738', 40, 2);
    T('88.24978954831', '886.52841338130', '814', 35, 4);
    T('-2302294319306163948892208590', '2.72E+31', '-27197698315202951229793181121998', 100, 2);
    T('7768.63', '-3.89E+13', '-38900000004520', 72, 1);
    T('5691867829264.87', '-399.265848561651', '-5691867829663', 1, 6);
    T('-5.4634409E+82', '5715125.44975528629447518582', '-54634408999999999999999999999999999999999999999999999999999999999999999999994284875', 61, 1);
    T('-2.808E+82', '42.549', '-28079999999999999999999999999999999999999999999999999999999999999999999999999999958', 12, 3);
    T('-24.03650812624004484', '-7.841791443183831013955E+74', '784179144318383101395499999999999999999999999999999999999999999999999999976', 15, 0);
    T('7.62', '-93.5170801208373766784646', '-92', 28, 3);
    T('446684.391787558750272', '-1.878E+8', '-188172644', 85, 0);
    T('5E+3', '-9E+86', '-899999999999999999999999999999999999999999999999999999999999999999999999999999999995000', 17, 0);
    T('6.038317416391011454969509415E+32', '-5.248E+12', '-603831741639101145491742674763168', 13, 1);
    T('-1.338453828E+67', '1.8164543184035843243612E+62', '-13384719815135068052499193365771666039510630663901588014129079123968', 82, 3);
    T('-5.3240460878086028875015032597E+70', '34437040.9304233280', '-53240460878086028875015032596999999999999999999999999999999999965562960', 28, 0);
    T('9.3866804832812642121604E+86', '3.657679697061494129530828197E+87', '3345037005552136553331400622826388910491173234569302772710647977635705069189421416316928', 84, 6);
    T('3.021E+52', '7.609705484227E+55', '76067014422857695180338144921038106979288394118027280384', 74, 3);
    T('6.0685264498107567518133E+87', '82.3732131677163743', '6068526449810756751813300000000000000000000000000000000000000000000000000000000000000082', 63, 6);
    T('-5.65046613131161766E+28', '-4.774574498268585E+79', '47745744982685849999999999999999999999999999999999974758191778476547311558561792', 36, 3);
    T('-4.378751993564202371412249E+37', '-3.9148172059189731410187', '43787519935642023714122489999999999997', 92, 4);
    T('58157.648', '-9.335803370', '-58150', 15, 3);
    T('3.2948107E+9', '80461.426278093057237', '3294881793', 19, 2);
    T('-8.30907E+88', '-8.33381991645113406E+78', '83090699993331379258219046116245113894312912559320405320673485880276150563323274913120256', 30, 2);
    T('12448031.568828043', '8.39873988414773E+50', '839873988414773000000000000000000000000000012448031', 90, 4);
    T('32264079.8901906013825', '1.394528772584320979456596E+33', '1394528772584320979456595984517007', 77, 1);
    T('-3.3291917928074349690067E+77', '-8.98496447016095539008989490E+34', '332919179280743496900669999999999999999999923203354246287049057300606136421888', 83, 3);
    T('-74833.488007457', '-850619.747849665646709', '909034', 29, 0);
    T('-44735.023450962516', '-7124.80085831143419831901', '46445', 21, 2);
    T('9.62785490225197098230921271733E+57', '-18184.9767762919', '-9627854902251970982309212717330000000000000000000000018184', 82, 2);
    T('-1.646251E+68', '1.326780447898921E+25', '-164625100000000000000000000000000000000000007671205399542944296631296', 98, 2);
    T('84213015.84', '-436480853.7943972234', '-520148548', 94, 5);
    T('3.704789272008757E+27', '-58.59551', '-3704789272008757000000000058', 29, 4);
    T('-3.55575779197E+83', '-5.18081177266090473E+30', '355575779197000000000000000000000000000000000000000005022355332012924617172596842496', 76, 6);
    T('7.52464027585757801E+97', '-6.359398364619408699792E+30', '-75246402758575780100000000000000000000000000000000000000000000000006356920066689198709983852339200', 61, 5);
    T('9.5533131E+83', '-8.53442075669306E+69', '-955331309999993192102795539239218559099723338905397407350790502638819218834388418560', 42, 1);
    T('-4.09888589599073187657980346E+76', '-5.167978872723289577301690485E+40', '40988858959907318765798034599999999960780436166476369410028463299126108151808', 64, 1);
    T('2.14519898887121990571901779E+76', '5696571944.54281468483040789758', '21451989888712199057190177900000000000000000000000000000000000000005696571944', 84, 1);
    T('4.8569905472998850', '8.4E+89', '840000000000000000000000000000000000000000000000000000000000000000000000000000000000000004', 96, 6);
    T('-1.075600E+85', '6.66171395E+116', '-666171394999999999999999999999989386403948702573269542490243092698440325347505473289515800341469657148604465467621376', 19, 1);
    T('5.8549922161E+70', '7442612251.663173476146891', '58549922161000000000000000000000000000000000000000000000000007442612251', 23, 2);
    T('-1626169940319.425203771681240', '-9.64386564392260E-389', '-1626169940319', 87, 2);
    T('-5.57689286895192673605E+35', '9.74408193045319E+94', '-97440819304531899999999999999999999999999999999999999999999442318379184448335838153875933659136', 18, 0);
    T('5.24974209404533776090E+28', '-1E+53', '-99999999999999999999999953460167975245036446044677632', 70, 5);
    T('2.8091E+96', '91720246.742401101751767793', '2809100000000000000000000000000000000000000000000000000000000000000000000000000000000000091720246', 80, 0);
    T('-82.20970166170', '413982458.9936311164649057', '-413982380', 78, 6);
    T('-6.84103E+96', '1.71041991090065305E+127', '-17104199109006530499999999999993989624383283574953124141672516900218977318867028423867946304610642174135602548448497536382009344', 96, 2);
    T('7.688193081412512164026E+41', '-6798.7651574817514', '-768819308141251216402600000000000000006798', 76, 5);
    T('1119.7556056566', '2.0167367', '1117', 78, 6);
    T('-4.8468E+6', '3.3806914570605575508842592', '-4846797', 8, 6);
    T('6.6565702335780786779725789E+151', '-6.797236E+52', '-66565702335780786779725789000000000000000000000000000000000000000000000000000000000000000000000000055602013174643316374707814386231177593453138371674112', 82, 3);
    T('2.580367E+9', '4.262000686534710989E+98', '426200068653471098900000000000000000000000000000000000000000000000000000000000000000000002580367000', 2, 2);
    T('-7.4163969886436E+54', '-2.285187647211E+70', '22851876472109994316642018982956924236492906308066800566834475359535104', 58, 1);
    T('5.9E+130', '-6.965E+78', '-58999999999999999999999999999999999999999999999999993961796212064937189736017498371624735330209061810695810794648082070511636447232', 21, 5);
    T('-3.431E+92', '-64056.0', '343099999999999999999999999999999999999999999999999999999999999999999999999999999999999935944', 28, 4);
    T('-354514514.9274008691963283279', '543459559.649687884377755', '-893779639', 15, 4);
    T('7.89380927154577994248370332E+80', '-3.14443E+44', '-789380927154577994248370332000000000043936955684351983383423099526684877147602944', 51, 2);
    T('88.9400558361767675218271', '-9E+78', '-8999999999999999999999999999999999999999999999999999999999999999999999999999912', 40, 0);
    T('-77.9375004189214', '-3236204716.038363371697915', '3236204775', 96, 4);
    T('-4.7428E+42', '9.36698846880E+59', '-936698846879999996008889397909660523521402103313255494582272', 89, 1);
    T('-3682.994994732387359', '12990.6076135', '-15584', 55, 6);
    T('9.317449E+96', '-7.6517267589083457509E+135', '-7651726758908345750899999999999999999992154457309369836449254333475852522919579703867200313475264455530681050242418941457106275942793216', 62, 2);
    T('9.82569E+7', '-1.845103399507220509359E+61', '-18451033995072205093589999999999999999999999999999999901743100', 78, 2);
    T('-5.647562876147338223E+49', '138102.8389073763516', '-56475628761473382229999999999999999999999999861898', 58, 3);
    T('6615.64793414151', '-9.59515187556992703', '-6624', 11, 6);
    T('43752.10352522330567', '-1701679.2281802211290', '-1662407', 68, 5);
    T('-2.152970132995267E+28', '5.528904189100372781795E+30', '-5510470858753187950373414552064', 48, 1);
    T('91236368.3', '1986412.203802895347356510734', '91121532', 52, 3);
    T('5667696.2705425387804', '9.49488630509765183E+21', '9494886305097654585216', 46, 3);
    T('-630400.084238780594129595004099', '-5011.021616022985411071', '626157', 93, 1);
    T('9571052657.6977276269768999', '-6.204E+5', '-9570605855', 67, 6);
    T('-1523.60540774', '96202.855303561', '-94777', 15, 6);
    T('5.3923322176907986524723752024E+60', '-9.385243621306304582506530', '-5392332217690798652472375202400000000000000000000000000000009', 54, 4);
    T('3.9598399762607E+72', '-4.115E+4', '-3959839976260700000000000000000000000000000000000000000000000000000041150', 71, 5);
    T('-5.587324212610988691381553985E+71', '-4.569421903504689E+62', '558732421678545336127040059419498479689403642760525878584620493591019520', 78, 3);
    T('-52803.359103499454', '-661.5181334704822', '52438', 69, 4);
    T('-53.41805909', '-117128696.27569858641', '117128643', 20, 0);
    T('1.356594', '9E+6', '9000001', 22, 5);
    T('41.4829860561', '-2.039296005100477545E+85', '-20392960051004775449999999999999999999999999999999999999999999999999999999999999999959', 41, 1);
    T('9.36919E+42', '-42674523.451385', '-9369190000000000000000000000000000042674523', 75, 6);
    T('7371.15898', '-6.6665', '-7375', 40, 3);
    T('-6.16457666E+86', '6.7567209629E+199', '-67567209628999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999555469188198331387982645920325057358319712348237934018084855693038461026555386985971712', 58, 2);
    T('-4.9E+8', '2.60018865533246800420718E+37', '-26001886553324680042071799999952539264', 33, 5);
    T('-9.5456E+67', '-5E+5', '95455999999999999999999999999999999999999999999999999999999999500000', 72, 0);
    T('-5E+6', '6.4611352237362974788022E+81', '-6461135223736297478802200000000000000000000000000000000000000000000000000005000000', 8, 5);
    T('-2.120704260226001214706E+86', '47134.791099224613379149020821', '-212070426022600121470599999999999999999999999999999999999999999999999999999999999952866', 90, 3);
    T('68.6230138725965', '2.97854227E+96', '2978542270000000000000000000000000000000000000000000000000000000000000000000000000000000000000068', 24, 0);
    T('-1.50869192583190264E+95', '80437184.77283102643446460', '-150869192583190263999999999999999999999999999999999999999999999999999999999999999999999919562816', 31, 6);
    T('-73191514.58285089001', '-8E+8', '737400742', 21, 4);
    T('-2.74308368404472265641999988E+43', '26543352.806999044075326515', '-27430836840447226564199998800000000009108232', 80, 3);
    T('4.12236596E+62', '-8.6E+39', '-412236595999999999999991570907048237469660038318050774148448256', 1, 3);
    T('-4.22775E+12', '878478.33999974598', '-4227749647090', 2, 0);
    T('4.325262602807301801490E+68', '9.910420005E+57', '432526260284161187631820665176949187855332683374571969563935780110336', 62, 5);
    T('-9.512759515647E+198', '6150.866908', '-9512759515646999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999993850', 32, 3);
    T('-3.2594449455079E+62', '5.83757486122769258374185576E+35', '-325944494550789999999999999752986963674207673955505134446964736', 11, 4);
    T('-175268910.1637381435677767', '7.588974029778169012E+19', '-75889740297944357670', 13, 1);
    T('-586900516.5696187430132558904', '-9.52E+47', '951999999999999999999999999999999999999413099484', 33, 2);
    T('10.41490682702', '8.80E+8', '880000010', 71, 0);
    T('-4.909E+85', '-8589918.16511', '49089999999999999999999999999999999999999999999999999999999999999999999999999991410082', 73, 4);
    T('4985365.61684766', '9.9275635421749543605118E+64', '99275635421749543605118000000000000000000000000000000000004985365', 20, 2);
    T('4131545.56412', '-9.9174137E+42', '-9917413699999999999999999999999999995868455', 63, 5);
    T('9.23824', '-9.12259890285190759951767E+43', '-91225989028519075995176699999999999999999991', 21, 4);
    T('371140.4980968861087707', '-9.409E+8', '-940660572', 10, 5);
    T('3303.5886035940762696771', '-7.65144E+66', '-7651439999999999999999999999999999999999999999999999999999999996697', 22, 0);
    T('1.416441013691398983E+27', '7834810569.6108816612356254975', '1416441013691398984376106697', 64, 3);
    T('1.529973', '-533615206.57', '-533615205', 9, 4);
    T('-2.5528486194300694241789065E+64', '-4345.4366251198478580880647742', '25528486194300694241789064999999999999999999999999999999999995655', 42, 2);
    T('5253.664270602128', '-1.243141743E+17', '-124314174300002939', 87, 4);
    T('2.4987069E+86', '-68.921098277893030376263912302', '-249870690000000000000000000000000000000000000000000000000000000000000000000000000000068', 94, 6);
    T('-3.1E+3', '812086.389718', '-813102', 85, 0);
    T('-429.2966470', '-21527911.746499399486798607', '21527754', 83, 3);
    T('632', '33488.409725406022138144', '32936', 40, 3);
    T('-6E+93', '-5.5', '5999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999995', 55, 3);
    T('88.2550311705264864340421702', '82451508.71718323925946069', '82451564', 6, 4);
    T('9.006063646042267E+17', '-9.71316471688E+55', '-97131647168800000000000000000000000000270048063535391604', 18, 4);
    T('-49470.771116839775070593770', '157260.97', '-173938', 87, 6);
    T('5.40010663664594517092699E+60', '-3.048766117E+39', '-5400106636645945170929570872399305585427211775300416013598720', 69, 5);
    T('-1.52345628943618531389907670E+59', '-6.9E+7', '152345628943618531389907669999999999999999999999999931000000', 17, 2);
    T('606331.24146323971315', '-3.12398326789746170844438299343E+83', '-312398326789746170844438299342999999999999999999999999999999999999999999999999393669', 53, 4);
    T('4.9139020E+12', '4.97E+6', '4913898307984', 60, 2);
    T('-277.4680', '-133665.52799901137063541893', '133940', 2, 6);
    T('-563269701.13600', '9.9245094334731612419E+66', '-9924509433473161241900000000000000000000000000000000000000563269701', 79, 0);
    T('33902236170958420403.36701', '-6.2882356E+85', '-62882355999999999999999999999999999999999999999999999999999999999966097763829041579597', 3, 1);
    T('10.1131721194572705028', '-604742740952730.9945252916310', '-604742740952724', 43, 3);
    T('-15622032.426484952', '84446836191.99888604', '-84448258641', 36, 3);
    T('-2.430189178671540E+100', '-366.35248720543296', '24301891786715399999999999999999999999999999999999999999999999999999999999999999999999999999999999634', 79, 6);
    T('3833.93603419', '-25121.8610932065349675223009', '-27866', 80, 4);
    T('-5806942281.1288077658809579', '5.401048', '-5806942286', 41, 6);
    T('-1.04027516480523554035005556626E+107', '-7.7150253161802924044214E+49', '104027516480523554035005556625999999999999999999999999999935384594318925906517459574333315213744370222104576', 66, 2);
    T('595.123', '21159.160634497259293302', '20724', 39, 0);
    T('-2E+5', '-5.26239491876483815660860384', '199995', 96, 3);
    T('-5.20177926139772860742433006957E+85', '-7.2215E+6', '52017792613977286074243300695699999999999999999999999999999999999999999999999992778500', 80, 4);
    T('-142669795.592677760165478', '-2.209994E+63', '2209993999999999999999999999999999999999999999999999999857330205', 11, 2);
    T('7.797E+35', '1.1522202334951435917099441E+70', '11522202334951435917099440999999999407548007688446611749038863025176576', 8, 0);
    T('-284.18', '4.4629427677E+107', '-446294276770000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000284', 86, 6);
    T('-40711.858357927805', '-8.18584028348E+54', '8185840283479999999999999999999999999999999999999959289', 4, 0);
    T('-3.35945053E+92', '-992388.2837984605', '335945052999999999999999999999999999999999999999999999999999999999999999999999999999999007612', 91, 2);
    T('7.0112866895E+44', '40.2694455580231671422688139', '701128668950000000000000000000000000000000040', 63, 0);
    T('714442.55049600517829497363251', '-3.88704851463577E+84', '-3887048514635769999999999999999999999999999999999999999999999999999999999999999285558', 37, 3);
    T('5.656186E+30', '3.66167362063158070071410916298E+58', '36616736206315807007141091635416564645593939959794095882240', 48, 3);
    T('-9.8719165225363547053E+60', '-183.964', '9871916522536354705299999999999999999999999999999999999999817', 50, 3);
    T('99055479.752716638094171525637', '-7.94795933949928010802', '-99055474', 69, 3);
    T('-2.7E+8', '-5.51422646439512E+38', '551422646439511999999999999999730000000', 65, 2);
    T('-1.2930022E+36', '-378752637.6', '1293002199999999999999999999621247363', 3, 1);
    T('7.90806780080610425267E+24', '-8.85535433570283824400828', '-7908067800806104252670008', 65, 4);
    T('-67196096601543811773947738520', '-8.7E+5', '67196096601543811773947527160', 46, 6);
    T('5.6980211575311E+88', '7.96271819954292548546E+23', '56980211575310999999999999999999999999999999999999999999999999999511788136613749050420688', 16, 1);
    T('4.515993155713837795E+55', '7.4568470034230601027908647838E+41', '45159931557139035112756762574328435878594861766232948736', 99, 5);
    T('-6908.26', '1.90678580576358915234677811', '-6907', 58, 6);
    T('-9.57802E+6', '6.645E+6', '-16204588', 68, 6);
    T('6049228.0940731', '-95.3122', '-6049171', 77, 3);
    T('-9.9981876E+35', '-58925.6184817517900664120489417', '999818759999999999999999999999941075', 97, 3);
    T('2.1E+37', '-1.6347666254819150417006167988E+56', '-163476662548191504186990214308514232235127441373215588352', 81, 5);
    T('4.8408687581761336145904370341E+41', '235.19216968', '484086875817613361459043703410000000000235', 90, 1);
    T('-93878.3455', '1791.9553904879084628878409977', '-92235', 47, 6);
    T('-867688530572575139378.8172', '5.9085412512281874045377242130E+59', '-590854125122818740453772421299999999999170502225785960687154', 61, 6);
    T('-27551361.990662', '9399.275352829139668', '-27542072', 71, 3);
    T('-6.5046875687959672195017E+95', '-9.716E+92', '650038093394952343299291343495343405214940941264195530533354893838224909535806302424502414344192', 47, 3);
    T('703925.406541', '-997887647172614.555227830900', '-997887646823857', 19, 6);
    T('-65665.029073591279637889462', '-99212819.391221601528', '99147410', 7, 2);
    T('8.6225825108211316544757854E+59', '9570285.569592219349068836688', '862258251082113165447578540000000000000000000000000009570285', 37, 2);
    T('1.38512541368426901386E+39', '-4.0305829E+54', '-4030582900000001379752561419044905811151369298173231104', 4, 6);
    T('9557606989.38558', '-2.407491838953814870E+49', '-24074918389538148699999999999999999999990442393011', 3, 2);
    T('-2.072010040E+98', '1.3E+25', '-207201003999999999999999999999999999999999999999999999999999999999999999987000000000000000000000000', 77, 6);
    T('1.404563031287E+56', '9522522.88107920172174380961890', '140456303128700000000000000000000000000000000000009522522', 47, 2);
    T('1.70352E+8', '-3.639208564E+67', '-36392085639999999999999999999999999999999999999999999999999829648000', 69, 1);
    T('1.39E+77', '8.4357290379567263E+26', '138999999999999999999999999999999999999999999999999253155430228902036350606336', 67, 1);
    T('-311405.5', '-5.42511934870734133406402E+115', '54251193487073413340640199999999999999999999999999999999999999999999999999999999999999999999999999999999999999688595', 20, 5);
    T('9.774994050788318979920853E+83', '5041.426179254623849563899', '977499405078831897992085300000000000000000000000000000000000000000000000000000005041', 94, 3);
    T('2.650943925212146440380E+121', '8.314945850586', '26509439252121464403800000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000008', 7, 1);
    T('-1.9710297446126944434959098551E+85', '94098222.2', '-19710297446126944434959098550999999999999999999999999999999999999999999999999905901778', 48, 0);
    T('-2.678587165492355238532E+173', '81.95814', '-267858716549235523853199999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999919', 17, 0);
    T('3.732941080313536E+94', '410.9491678951', '37329410803135360000000000000000000000000000000000000000000000000000000000000000000000000000410', 18, 0);
    T('-3.6343537514447402707125E+28', '6.208057117E+11', '-36343537514447403186192167020', 58, 4);
    T('-18366.50421403272', '23.30', '-18347', 36, 6);
    T('-476724719.689380020530203', '-1.604E+35', '160399999999999999999999999523275281', 11, 5);
    T('1602674.04300632129176823', '2556604510.0986979463983', '2558182444', 26, 2);
    T('-3.494', '6.1E+5', '-610003', 94, 6);
    T('-9.19936E+83', '43007344.007781', '-919935999999999999999999999999999999999999999999999999999999999999999999999956992656', 41, 0);
    T('9.2427243625201952272606127013E+67', '-8.6476592135234287E+46', '-92427243625201952272624069918057554747806795368919019894433051049984', 80, 0);
    T('40517247.110004042686306', '3659.36506', '40513588', 8, 5);
    T('9E+51', '-4.77742557236900753085', '-9000000000000000000000000000000000000000000000000004', 8, 3);
    T('-972655111871.7944525654569', '5.3348659234804371E+28', '-53348659234804371404486287039', 57, 3);
    T('-75404988.4993448321337124230', '-575325041.265983022583178', '640964043', 15, 5);
    T('-2.12971452331026745852589589470E+43', '1.86092510E+96', '-1860925099999999999999999999999999999999999999999999996158445050943978649852631698731349288648704', 86, 5);
    T('9.98818467498E+88', '4904.79163823973029339412464082', '99881846749800000000000000000000000000000000000000000000000000000000000000000000000004904', 7, 0);
    T('8996800953.90849792798', '8.4967E+7', '9081731041', 57, 1);
    T('42.6033605074610386295673028', '-5.2915205479854198198054E+52', '-52915205479854198198053999999999999999999999999999958', 5, 5);
    T('-3038.2', '-42113.61794946294116', '44893', 50, 3);
    T('-8.6325529156262130071043293394E+79', '720846363.613', '-86325529156262130071043293393999999999999999999999999999999999999999999279153637', 73, 5);
    T('-9.998568533E+71', '-2.09201384044099471E+32', '999856853300000000000000000000000000000196465379547384080784363716771840', 94, 4);
    T('109.555282533920290014795018', '-9.24E+6', '-9240019', 31, 6);
    T('4.1935438133305895519E+197', '118724111647013279753.319514', '419354381333058955190000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000118724111647013279753', 26, 0);
    T('3.79136997020762828888E+43', '5261.8', '37913699702076282888800000000000000000005261', 14, 2);
    T('-677887.451756970541574230', '-2.6031144483E+45', '2603114448299999999999999999999999999999322113', 21, 4);
    T('-246407732769196877049.112495777', '-6738904829059909.2362872577', '246405428349801252796', 64, 0);
    T('101600.81039', '545.866', '102081', 38, 4);
    T('9.377703882973689019676180796E+59', '-7.541701E+31', '-937770388297368901967618079674898932025010360235284739653632', 14, 0);
    T('6.91501810825449900208E+37', '7.7745', '69150181082544990020800000000000000007', 9, 3);
    T('7.71767408528084299128162E+97', '-21348901769.921393807960665309', '-77176740852808429912816200000000000000000000000000000000000000000000000000000000000000021348901769', 12, 4);
    T('58789879.799541681', '3.728689871907852499805688635E+36', '3728689871907852499805688635058782711', 48, 0);
    T('-4.513E+51', '-115933916.61248', '4512999999999999999999999999999999999999999884066084', 12, 0);
    T('-5.198245230558776640904E+142', '-5.8078647381256137633306756E+54', '51982452305587766409039999999999999999999999999999999999999999999999999999999999999999995822698476816048174389509522311070098034657644362334208', 13, 4);
    T('8.74264853497E+35', '-49132.8231116877726990563', '-874264853497000000000000000000049132', 18, 1);
    T('4E+57', '1.42505440208', '4000000000000000000000000000000000000000000000000000000001', 3, 3);
    T('1442.8278944003957360334389951', '-7.5592041358393076695125324', '-1445', 72, 4);
    T('-6E+69', '9.014381719E+86', '-901438171900000000902858748663091155134406837939764524872645142550360912270683711471616', 86, 0);
    T('-9.783634138E+20', '-85692457.2113010581961', '978363413800051941335', 68, 2);
    T('7.38631701421E+26', '3009.9563406', '738631701421000000000003009', 66, 5);
    T('-9.948449E+83', '-9.878E+33', '994844899999999999999999999999999999999999999999996653175531091968076571856458481664', 70, 6);
    T('-9.5158E+106', '-344409.32756495374', '95157999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999655591', 96, 1);
    T('343435711098', '6300962', '343433623384', 72, 1);
    T('-5.294887643218942099352E+72', '-3.98074622831979641288330493E+49', '5294887643218942099351984264675718844963598812215319594154666239046189056', 78, 3);
    T('-6219.65', '866.9015757246236969233881935', '-6953', 13, 2);
    T('-7516.241901275111600781651', '-1338524838475.749736668164664', '1338524841745', 58, 0);
    T('-4.39342623310203043E+174', '1.9626796363112605914E+80', '-4393426233102030429999999999999999999999999999999999999999999999999999999999999999999999999999954262211771461875457660803538649893860401806761043177461860378001356835463888896', 51, 3);
    T('-3.040512296765959781E+69', '-3680.14839110636654287592', '3040512296765959780999999999999999999999999999999999999999999999996320', 79, 6);
    T('-8.745672120884679143952155', '-4105913.3', '4105919', 19, 4);
    T('7.0', '-8034181.928109785763915771340', '-8034180', 2, 1);
    T('5359020960.9', '449.6919400450881284', '5359020641', 54, 6);
    T('8.7E+64', '82635405892941.218711955', '87000000000000000000000000000000000000000000000000082635405892941', 62, 0);
    T('78246536.0912648402395348', '37.419171536653', '78246573', 91, 6);
    T('-8E+8', '-9.151336308214640177646505E+80', '915133630821464017764650499999999999999999999999999999999999999999999999200000000', 15, 4);
    T('-5.60280635917E+176', '-8.68359650828117625955239412145E+45', '560280635916999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999991316403491718823740447605878550000000000000000', 30, 1);
    T('4.3773787E+10', '98.845466', '43773786906', 42, 4);
    T('6639017750.26', '3.0878939987636656E+90', '3087893998763665600000000000000000000000000000000000000000000000000000000000000006639017750', 86, 0);
    T('-5.163E+65', '7.613164638975902721764427789E+39', '-516299999999999999999999993802464506485045186923702393386389352448', 24, 3);
    T('6.35955668752243922155325868E+37', '9.63375934E+65', '963375934000000000000000000027540034065905424786412319287223771136', 7, 4);
    T('-2.673909968966378790026E+129', '4561744.71', '-2673909968966378790025999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999995438256', 1, 1);
    T('-9E+6', '-23585832.520625205423335167538', '32419864', 60, 6);
    T('-45.4844', '-34.197675208270699340449905', '13', 80, 6);
    T('-1.8439E+67', '-8.7988777099394E+39', '18439000000000000000000000002944851802685527284647069630522946748416', 35, 5);
    T('-57150012.9819298', '1.252827552E+85', '-12528275520000000000000000000000000000000000000000000000000000000000000000000057150012', 26, 1);
    T('2.9810E+42', '7351680907565306859891.418854', '2981000000000000000002241788542122685223283', 28, 5);
    T('1.1E+25', '1.89279448E+47', '189279447999999999999989076222180704609688879104', 7, 6);
    T('71.61135395', '-2.0E+3', '-1929', 48, 2);
    T('5.69901E+9', '1.542', '5699010001', 34, 6);
    T('-6.93124235741', '-5.01E+18', '5009999999999999994', 5, 5);
    T('-2.3E+4', '-4.2714377477026E+63', '4271437747702599999999999999999999999999999999999999999999977000', 57, 5);
    T('465078228.50122908', '-7.733E+95', '-773299999999999999999999999999999999999999999999999999999999999999999999999999999999999534921772', 82, 1);
    T('-70.79712337448172049261936062', '-2.379207462404274691013E+42', '2379207462404274691012999999999999999999930', 99, 1);
    T('436.497031251520073444560853', '31412939.2387507528236', '31413119', 20, 1);
    T('-334321581.93860220', '-7.63720610626295632556E+97', '76372061062629563255599999999999999999999999999999999999999999999999999999999999999999999665678419', 37, 0);
    T('-2.71631088751747282', '9117481.35576336911472091519840', '-9117481', 26, 4);
    T('-63509.816', '9.1673944778248337200290692E+66', '-9167394477824833720029069200000000000000000000000000000000000063509', 78, 5);
    T('55200', '-4.3608598838669E+81', '-4360859883866899999999999999999999999999999999999999999999999999999999999999944800', 70, 4);
    T('-1.7941E+5', '-2.9844724002134284801E+39', '2984472400213428480099999999999999820590', 48, 1);
    T('8157077.66556204', '-2.8011791111931932104E+58', '-28011791111931932103999999999999999999999999999999991842923', 28, 5);
    T('-456.4462255581708575575694128', '8.73E+121', '-87300000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000456', 83, 0);
    T('-981795888.73698787723669', '46464.486', '-981840304', 80, 6);
    T('65.595397435', '7.6292E+79', '76292000000000000000000000000000000000000000000000000000000000000000000000000065', 100, 0);
    T('-6.92089608164934822066930E+31', '1524932578.45787529077605849', '-69208960816493482206694185119262', 100, 1);
    T('-7.85319599153059976943504137202E+69', '-9.367344775998312081E+73', '93679506423809556314463589509130546621832376973049548392547010331329691648', 22, 0);
    T('8.876478879039552516331121024E+73', '6.92627066489642503262021E+89', '692627066489642471383366956416695739353899194977107794503131104739534408468701552188588032', 51, 3);
    T('623419.13308303467951456', '-6.642E+77', '-664199999999999999999999999999999999999999999999999999999999999999999999376581', 1, 1);
    T('-13466578924596416400241', '-3.6549483116271151415E+48', '3654948311627115141499999987493527169301480813711', 78, 3);
    T('89116050691450050.18', '-3.15070E+15', '-87726841409098558', 44, 1);
    T('3.286995926615952E+86', '-514383.454457527', '-328699592661595200000000000000000000000000000000000000000000000000000000000000000514383', 5, 1);
    T('6.2859082040002770223426669', '71492.767640239888249706', '71490', 18, 1);
    T('-4E+2', '112.23599', '-512', 4, 3);
    T('28.68003977258328', '1.8E+3', '1812', 17, 6);
    T('-5.7E+9', '-7.187E+105', '7186999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999994300000000', 36, 4);
    T('5.805172', '3.08E+149', '308000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000005', 69, 5);
    T('-4.680671232106991106872729020E+95', '3.49555713929842E+26', '-468067123210699110687272902000000000000000000000000000000000000000000269416666896089572272168960', 9, 2);
    T('-5982.17782154193287028268', '4.476809E+8', '-447678170', 2, 3);
    T('1.3E+8', '1.7880937083252059286015659602E+48', '1788093708325205928601565960200000000000025142400', 69, 6);
    T('-9.96546', '-5.7112E+6', '5711191', 76, 2);
    T('-7.36E+7', '64.923510960490450962419', '-73599936', 15, 0);
    T('8642921118.7', '6.32599E+11', '624028430686', 53, 3);
    T('-9548.895060', '-99085.659773', '108103', 43, 2);
    T('-730106.4494112748792373', '-787264874.0618765460', '786929296', 62, 4);
    T('6361762243.3774', '-430', '-6361761903', 48, 3);
    T('-6.63239308859305E+62', '-7E+42', '663239308859304999993044918933973838683717549896682545711415296', 38, 0);
    T('7.15624565785410990257666152608', '7.074881E+99', '7074881000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000007', 75, 2);
    T('62211.6428333072453365', '4E+189', '4000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000062211', 50, 3);
    T('2128.083', '2378977165454500496993140.91054', '2378977165454500496991012', 40, 1);
    T('26730.1433783694029497', '636729.32209678', '646995', 71, 5);
    T('-8293058.4879222004428511', '-8388.6', '8301058', 37, 3);
    T('-6.78646988962180309801E+32', '-9.566E+50', '956599999999999999379700838989149774699853594521600', 56, 3);
    T('7908', '45047.37565895379042', '45331', 55, 2);
    T('-1.0430185903E+179', '88668191.808448433584647', '-104301859029999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999911331809', 77, 6);
    T('-8.2108036398328664E+146', '-3.3326025836600608800390723E+90', '821080363983286640000000000000000000000000000000000000003332586889957446485285627630845480202565043026528251292948894973237400825896739205361434624', 40, 1);
    T('-6.905139172072848915E+58', '225903221.141150769441151', '-69051391720728489149999999999999999999999999999999774096779', 18, 3);
    T('6.5015E+5', '-2.61044311947072841758339715E+59', '-261044311947072841758339714999999999999999999999999999349850', 4, 5);
    T('-8663825.2025226761', '-2.41689656771E+90', '2416896567709999999999999999999999999999999999999999999999999999999999999999999999991336175', 85, 4);
    T('2.596', '-2.404E+4', '-24038', 7, 5);
    T('2864.6720', '9', '2873', 55, 0);
    T('5.1855E+8', '9.128104471730544665873E+34', '91281044717305446658730000026751472', 13, 2);
    T('9.1754819879374792597020E+43', '3.7E+175', '37000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000091754819879374792597020000000000000000000000', 64, 6);
    T('9.20E+4', '-3.218E+86', '-321799999999999999999999999999999999999999999999999999999999999999999999999999999908000', 34, 5);
    T('-4631851.0755', '7.95651E+27', '-7956509999999999999996243243', 96, 2);
    T('368176549.8555605676', '-1.76618488171318E+62', '-176618488171317999999999999999999999999999999999999999631823451', 99, 2);
    T('7.2464E+19', '-5.0617383906394517E+24', '-5061759980412204123223296', 9, 5);
    T('-7.680E+4', '4510.5481669730005632967714080', '-80482', 13, 6);
    T('-7.57E+3', '3.3212260061438165857E+83', '-332122600614381658570000000000000000000000000000000000000000000000000000000000007570', 88, 0);
    T('-59.4276681929349735837875383002', '-2.15E+25', '21499999999999999999999941', 44, 6);
    T('-5.7769256948551E+68', '-1.94464617E+61', '577692563020095661493764721857789252000221384702529481542648694046720', 81, 1);
    T('7.333645353E+17', '4.6542957911281394102', '733364535300000004', 90, 2);
    T('9.31401117464362940508546849E+38', '-6.11343163035994920524E+90', '-6113431630359949205239999999999999999999999999999999197547161727519470270012379816100687872', 41, 6);
    T('6846671.86', '-8.728067252413945907755495698', '-6846665', 33, 2);
    T('-90908.2041965980619', '-3.367E+6', '3277644', 12, 3);
    T('-2.4278956052495577577075362566E+64', '7106196.347', '-24278956052495577577075362565999999999999999999999999999992893804', 40, 1);
    T('184307404.46236402441047324740', '63891229.168281', '154315217', 38, 6);
    T('-3.23339816E+20', '-596531846.96687', '323339815999521432954', 76, 5);
    T('-8544139587.0734601418039410279', '3.17902287364726737916759054E+93', '-3179022873647267379167590540000000000000000000000000000000000000000000000000000000008544139587', 12, 3);
    T('-5.20835641003480087837E+44', '1471.03494', '-520835641003480087836999999999999999999998529', 35, 6);
    T('-1.04111635708873E+28', '8193154.211917249497235', '-10411163570887300000000326526', 85, 2);
    T('5.6E+85', '-3616445.4261872207912345896165', '-56000000000000000000000000000000000000000000000000000000000000000000000000000003616445', 47, 5);
    T('50.27078442591792859', '-173208.404702049826', '-173222', 4, 1);
    T('-4.17', '-419276567.015826022139497121', '419276565', 61, 1);
    T('-9649623934.5', '8.806153158540422238E+22', '-88061531585394677679262', 52, 1);
    T('8725.62667114731831774130887676', '-8.6856961518161251E+45', '-8685696151816125099999999999999999999999991275', 77, 1);
    T('-4.509242920910829104E+49', '-9.949853058192024E+55', '99498551532448950346041715594708644251468724970205478912', 46, 5);
    T('7946.76440716', '1.95643271635979480E+74', '195643271635979480000000000000000000000000000000000000000000000000000007946', 87, 1);
    T('8.8E+9', '-4E+5', '-8799863424', 55, 6);
    T('3.191055954E+89', '9.030842248092915208785246E+34', '319105595400000000000000000000000000000000000000000000086392009292760622914550901165373440', 47, 6);
    T('6221695015001684662.28372', '9515944858.861057', '6221695005553045804', 16, 5);
    T('3.913754783E+19', '3212415997.45177773797090825', '39137547832843243517', 84, 2);
    T('-9.00E+9', '-7.9406E+96', '7940599999999999999999999999999999999999999999999999999999999999999999999999999999999991000000000', 4, 1);
    T('-458259655.2614889399865213', '-323063698.30757886335396520', '135394135', 12, 0);
    T('-7.758805932565E+86', '6.07229304655272179832521591875E+75', '-775880593250458786117553486053703037834763258171597966903558245586696754071053661110272', 70, 3);
    T('221990.099254053142324084346465', '-9.96E+56', '-995999999999999999999999999999999999999999999999999778010', 50, 4);
    T('6.3929832570089255855198', '-93.277', '-91', 42, 0);
    T('-4.697031145157609268093968E+70', '-2.6697219081774258945E+94', '26697219081774258945000043517434052007313240151389140896397804675885718820051533236210975637504', 20, 3);
    T('-5302.81827371', '-181.18087254871481394573', '5121', 39, 6);
    T('4.1984060374238267296601E+64', '-9.57E+52', '-41984060374223196890428116155194243030377355730410163591110983680', 74, 0);
    T('-23365804.851', '-5.685565556E+98', '568556555599999999999999999999999999999999999999999999999999999999999999999999999999999999976634196', 100, 4);
    T('7.8827836905699508243714E+194', '6188462.2', '788278369056995082437140000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000006188462', 51, 5);
    T('354970.37289157643219609', '5.42365022677561046E+32', '542365022677561045999999999699610', 74, 0);
    T('7596830617.898943514725175', '-9.08884E+35', '-908884000000000000000000000993103975', 91, 3);
    T('-7.207796540848410787273447E+55', '-611.272901674287396368497589565', '72077965408484107872734469999999999999999999999999999389', 8, 5);
    T('-3.73245471355681E+80', '5102.2069563975836168031237447', '-373245471355680999999999999999999999999999999999999999999999999999999999999994898', 61, 0);
    T('-8.94510060574983420301991642967', '3.9167E+58', '-39167000000000000000000000000000000000000000000000000000008', 4, 1);
    T('7506662.019036265', '5428094.600', '2120088', 2, 6);
    T('1.963E+20', '-1543088290.762704271', '-196299999999356807330', 75, 0);
    T('61681768977954.3246435886', '924778.013415358783', '61681768319560', 74, 0);
    T('1.593622677672829480443499', '9.930116201968897907684272E+33', '9930116201968897907684272000000001', 80, 6);
    T('-5.65713139E+9', '-35.53990309483268', '5657131359', 33, 5);
    T('9.6081155581E+141', '3.9799E+5', '9608115558100000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000397990', 60, 1);
    T('-734.28405264291293884146', '-14.583486787184896818412597338', '720', 31, 4);
    T('-7.846488250014294845E+61', '-8645018.7', '78464882500142948449999999999999999999999999999999999991354982', 46, 0);
    T('136596272.3070753191909063502', '2.15567E+79', '21556700000000000000000000000000000000000000000000000000000000000000000136596272', 16, 5);
    T('-2.96475449869928044547040149E+71', '-6.7980656E+11', '296475449869928044547040148999999999999999999999999999999999320193440000', 62, 0);
    T('-7.06508046473946607E+43', '4.9806513860005E+29', '-70650804647395114041522293240847292169912320', 24, 2);
    T('-8.885E+78', '-6.8E+2', '8884999999999999999999999999999999999999999999999999999999999999999999999999320', 42, 5);
    T('3.4809037618E+67', '22.53936442', '34809037618000000000000000000000000000000000000000000000000000000022', 49, 3);
    T('9.24953136E+57', '-3.1802525340627174125715E+72', '-3180252534062709392314080145324580405625492670832815297340546254442070016', 1, 6);
    T('1.37149155476977', '-5.39246461E+88', '-53924646099999999999999999999999999999999999999999999999999999999999999999999999999999999', 32, 3);
    T('6.4', '-8.075579E+52', '-80755789999999999999999999999999999999999999999999994', 36, 5);
    T('8296177708.835132', '-5.43212196454E+88', '-54321219645399999999999999999999999999999999999999999999999999999999999999999991703822292', 24, 0);
    T('21117539.4860924705352728726', '-607787517.12947632441770783', '-628630432', 36, 4);
    T('888500188.83833623837972905685', '1.94537490480392828051E+31', '19453749048039282805100875241436', 11, 2);
    T('-9.9E+26', '-3976274157.563829651386454', '989999999999999999244951315', 57, 6);
    T('4630292930.14', '6654785878.2885262', '2673561748', 2, 2);
    T('-347916.1', '4.776258259546925061349711593E+54', '-4776258259546925061349711593000000000000000000000347916', 47, 0);
    T('-9.924E+7', '6.7632E+5', '-98572768', 81, 3);
    T('718.411309786727692462660499735', '4.332948E+9', '4332947694', 90, 6);
    T('-948643.8992507239186703918180', '9.5E+7', '-94891107', 8, 4);
    T('5E+5', '7.7436752501953E+39', '7743675250195300000000000000000000500000', 95, 2);
    T('-810408742.57590902382', '-385060848.225962926098853', '650007754', 28, 6);
    T('-8825924436893217.187', '8.3E+78', '-8300000000000000000000000000000000000000000000000000000000000008825924436893217', 90, 0);
    T('-3.217771424486050337E+46', '4.557674654660794868650575518E+66', '-4557674654660794868624107497570621829695422810771862600935536590848', 51, 1);
    T('4664550684.27447185', '-30504329.02816892039171675971', '-4694872213', 47, 5);
    T('-5.05958063748701979980082247124E+96', '7429831076744.778', '-5059580637487019799800822471239999999999999999999999999999999999999999999999999999992570168923256', 66, 4);
    T('23439.3381816629655', '5.81697046544829172864399E+84', '5816970465448291728643990000000000000000000000000000000000000000000000000000000023439', 96, 3);
    T('-611872.4163499747', '-8.71E+71', '870999999999999999999999999999999999999999999999999999999999999999388128', 94, 2);
    T('-6005130943251077938364.67', '-5.711829580289490320420651E+37', '57118295802894909041961173094463759172', 100, 2);
    T('779.2754162603908', '-4.8366338040564654E+45', '-4836633804056465399999999999999999999999999221', 53, 3);
    T('9.1', '1.374224E+170', '137422400000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000009', 28, 5);
    T('-9.3E+48', '424786647.915510774460750044', '-9299999999999999999999999999999999999999575213353', 89, 2);
    T('4.809231929978239E+44', '9361087097.556504155430048', '480923192997823900000000000000000008287345273', 60, 3);
    T('-72517.15652484925279', '8.3947260695E+73', '-83947260695000000000000000000000000000000000000000000000000000000000072517', 85, 1);
    T('-1.80050147760403668046219357E+47', '8.804365413E+25', '-180050147760403668046288024783069178841764921344', 52, 4);
    T('-7319356.91347001', '-3.057E+9', '3059331332', 5, 2);
    T('-97477373.5850569', '88.76823930111201076924', '-97477285', 3, 2);
    T('-5345.84464724617479952', '-544.984355660104853796719723', '5887', 40, 5);
    T('2.481301502140059425E+40', '-6.54E+7', '-24813015021400594249999999999999989902528', 83, 1);
    T('-3.0312E+164', '9.37870726153469296755E+38', '-303119999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999062129273846530703245000000000000000000', 42, 5);
    T('-683378843950.96', '57241.907784082225', '-683378835125', 86, 3);
    T('-4.576E+9', '11.0174583384264233464813738871', '-4575999989', 94, 3);
    T('7.73080625E+75', '5.179670891954E+75', '11938459973613836936165255148164782911036852639038393294604321088521128378368', 42, 1);
    T('-108.5749022', '-7.77069823724E+84', '7770698237239999999999999999999999999999999999999999999999999999999999999999999999892', 54, 5);
    T('98929634.39541101003', '3.46252317937279685278609255724E+44', '346252317937279685278609255723999999947410402', 30, 0);
    T('-9.103795951358108385599460062E+112', '691272194.50303993002217788', '-91037959513581083855994600619999999999999999999999999999999999999999999999999999999999999999999999999999308727806', 35, 5);
    T('2573182767531.25355073433795', '114466.22161287243397418', '2573182742153', 63, 6);
    T('-4.89137439464553784707E+78', '-9.9279613347693306192E+121', '99279613347693306191999999999999999999999997435327485554173534407487738192335371800274170599113852924907116067404164104192', 37, 2);
    T('-4.90E+94', '-4.075064165588916088765405075E+83', '48999999999850575646254791172352969148610568376995959385043998176469150128505065704212624572416', 75, 6);
    T('-1.61120536775289', '-1.825926149641110179353835E+33', '1825926149641110179353834999999999', 68, 1);
    T('7.4645E+88', '-2.46938726161119987867320E+65', '-74645000000000000000000240150014734813267257470368139750054511983754035619071469046202368', 81, 3);
    T('-5253174.42327', '-6.3752765284968E+27', '6375276528496800000005232586', 92, 3);
    T('-7.10482753E+51', '-2.06987415136075045E+23', '7104827530000000000000000000124334884532729335131328', 24, 0);
    T('-5.36980E+93', '686.6045137244608', '-5369799999999999999999999999999999999999999999999999999999999999999999999999999999999999999314', 5, 1);
    T('7.353654212302273900485600499E+186', '-682936600.2260595052152554', '-7353654212302273900485600499000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000682936600', 21, 2);
    T('-5.890568E+54', '9.04220239066441236E+78', '-9042202390664412360000004932682242841414747438674638924682027681758672186245120', 95, 4);
    T('-91.30622898321152228', '-44343345998440.8531271308', '44343345998397', 9, 2);
    T('-1.1E+2', '2137.07226818704626918595298844', '-2101', 25, 2);
    T('-14193548.037642464202019528677', '-4E+68', '399999999999999999999999999999999999999999999999999999999999985806452', 54, 1);
    T('496.00808411806', '-5.462928241181E+100', '-54629282411809999999999999999999999999999999999999999999999999999999999999999999999999999999999999504', 10, 3);
    T('-7.97986E+8', '771153.3272641885260374050397', '-798722207', 3, 1);
    T('-2.134E+7', '-177575096.856800', '198183912', 16, 0);
    T('2.3199939694367583E+160', '25.235626329462', '23199939694367583000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000025', 43, 3);
    T('3.2E+9', '3E+37', '30000000000000000000000000003200000000', 95, 4);
    T('355091', '5.1188217767906E+42', '5118821776790600000000000000000000000355091', 73, 1);
    T('-2.061467335E+25', '8.963703917691253841E+73', '-89637039176912538409999999999999999999999999999979426094023391934409015296', 7, 4);
    T('306804413378128.24', '9.83739E+8', '306803517785128', 92, 3);
    T('-2.1012472359779268607455877E+30', '-871963523.78510212279655970547', '2101247235977926860746409323165', 29, 3);
    T('6.4566327293E+96', '-46926.0378569352576', '-6456632729300000000000000000000000000000000000000000000000000000000000000000000000000000000046926', 85, 0);
    T('-517497919.93', '-9.57E+82', '95699999999999999999999999999999999999999999999999999999999999999999999999482502081', 38, 5);
    T('6.81E+75', '-5.63324123E+62', '-6809999999999494702472156111857692380422751504492804016871535212728420401152', 44, 2);
    T('98876089.012072205266972081496', '-36626135.16400', '-130704496', 10, 1);
    T('-8.07981584925E+29', '-1.0E+74', '99999999999999999999999999999999999999999999520130705040694726877300654080', 19, 1);
    T('-8.999820855125616403E+76', '5.792430E+42', '-89998208551256164030000000000000005782790290482470937241848353207571498139648', 30, 1);
    T('8.7328121308E+44', '35112840.959', '873281213080000000000000000000000000035112840', 90, 0);
    T('-3.9849476722158150432E+82', '9914393.362305130067771058', '-39849476722158150431999999999999999999999999999999999999999999999999999999990085607', 97, 1);
    T('9010.59206460302911', '5.0662329804853684015583456742', '9015', 96, 0);
    T('-1.63E+40', '-334799387.5', '16299999999999999999999999999999665200613', 99, 0);
    T('367430.8153307328943462743642', '103.8380582218758801798', '367393', 4, 5);
    T('16735.811178', '5.43012E+6', '5413431', 69, 1);
    T('7.9727703E+58', '-9.684727787050695529580497E+58', '-24279403344824307143410067869837603361534343378683455078400', 5, 0);
    T('-9167364', '8.10E+6', '-15760036', 55, 1);
    T('-7066729.01', '228835551.027727234', '-231216312', 81, 2);
    T('-8.5548801455E+42', '-401680.018077330302924630067269', '8554880145499999999999999999999999999598320', 32, 3);
    T('-9400560515.55798', '-28.629498488250624', '9400560537', 91, 3);
    T('-82782.44824339651', '8076764546194795.92218481799642', '-8076764546113079', 85, 0);
    T('-6993962.4056320612143402475698', '-7.50879071360509666982038282801', '6993967', 9, 4);
    T('-28.118885', '5309.763660046922731898010', '-5287', 32, 1);
    T('-8.5453968E+93', '1.1271126016E+75', '-8545396800000000000966163792213498423725611267297348005886720345053902989727264526902698704896', 78, 2);
    T('4.189E+48', '3.50857067E+42', '4189003505337976764350984110965081712548772839424', 69, 0);
    T('-9.092537316195678700521E+33', '7.805618725392205693951919405E+86', '-780561872539220569395191940500000000000000000000000009080531747418538081468710556241920', 69, 0);
    T('-96487.61533146733', '7.889488691888148507650E+57', '-7889488691888148507650000000000000000000000000000000096487', 70, 3);
    T('-45.132755', '-3.8657698350627781412423362246E+53', '386576983506277814124233622459999999999999999999999955', 83, 2);
    T('-9.8790940557103166096700211264E+149', '-67.266656255646207', '987909405571031660967002112639999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999933', 55, 6);
    T('8.14045558175128262E+40', '358425.37232506985636429', '81404555817512826200000000000000000358425', 82, 5);
    T('-3331529630.5249132', '2.229310E+70', '-22293100000000000000000000000000000000000000000000000000000003331529630', 44, 1);
    T('85.6', '6.910913032096266987923961', '83', 22, 3);
    T('9.651775E+8', '1.53E+5', '965027124', 15, 1);
    T('-8798938810.23590492', '-8852555.13958465885898137364', '8807133939', 67, 2);
    T('-1028961.9690517453197061973062', '10.977225093829737075278018581', '-1028971', 70, 6);
    T('-2303243777.831876488527956', '-1.61209676776184871568353974624E+66', '1612096767761848715683539746239999999999999999999999999997696756223', 90, 3);
    T('-8.321442693E+16', '-453.530', '83214426930000315', 78, 2);
    T('8.69E+7', '998475.62160948204634007', '86163819', 44, 5);
    T('-5.96644903012325718E+83', '811216.77128806', '-596644903012325717999999999999999999999999999999999999999999999999999999999999188784', 62, 2);
    T('-8.4326697E+9', '-15748.62396509682', '8432675200', 16, 1);
    T('-99746519.035932391104693317', '-7.31387735358647413303E+26', '731387735358647413251750249', 81, 2);
    T('-3.330157077911E+85', '-806369741', '33301570779109999999999999999999999999999999999999999999999999999999999999999193630259', 71, 1);
    T('-4.166716939492122615E+58', '-8E+9', '41667169394921226149999999999999999999999999999992000000000', 9, 0);
    T('-26709151.03369752825637573412', '-6.086823998718E+83', '608682399871799999999999999999999999999999999999999999999999999999999999999973290849', 88, 4);
    T('1.998389998229E+52', '36180019064.4058', '19983899982290000000000000000000000000000036180019064', 98, 1);
    T('2.3111882753904423439625371E+33', '6.5885302064E+57', '6588530206400000000000000361026668539660147795279005563648', 82, 0);
    T('6.05E+79', '6.491665868562883473120504E+31', '60499999999999999999999999999999999999999999999935257294548725220595163273350144', 99, 1);
    T('-717373.018969508581085', '-8.701547056265281941388872826E+84', '8701547056265281941388872825999999999999999999999999999999999999999999999999999282627', 8, 1);
    T('-1.826129E+7', '-9842440.4033360843427', '25201198', 73, 5);
    T('5.80279E+6', '23.472092', '5802801', 34, 0);
    T('-994654039.277883369936751', '-3155926.915692', '997789827', 62, 0);
    T('-15021845.24536262851042295', '-4687222633.1904711', '4689518716', 17, 5);
    T('6.252E+6', '135151881.20206232', '139535593', 29, 0);
    T('-7.698446089E+73', '-5.76746108891410480995574300E+69', '76985899331149482191497114369126419543471999606512552244583677635170664448', 22, 6);
    T('-7186.77439339025844390', '-71837.54', '66701', 98, 6);
    T('9.8648867191407295079469', '-3E+55', '-29999999999999999999999999999999999999999999999999999991', 63, 0);
    T('-6.36174012671171778153E+147', '8491891862.5855218841', '-6361740126711717781529999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999991508108138', 33, 4);
    T('-9.42217775598802E+39', '2879.8950', '-9422177755988019999999999999999999997121', 41, 0);
    T('61.0955870601628711707019709533', '9.583533885718078E+58', '95835338857180780000000000000000000000000000000000000000061', 61, 3);
    T('1.736334578555148153005E+66', '2.10419152E+64', '1717877451901065020787324937134995640831825816480300063945568288768', 2, 5);
    T('13.230203093805028464274903436', '-1E+27', '-999999999999999999999999987', 88, 2);
    T('1.5053413289095061783E+79', '-23298.51683', '-15053413289095061783000000000000000000000000000000000000000000000000000000023298', 25, 2);
    T('6226773.0667368', '-2.5279057E+27', '-2527905700000000000004258987', 2, 3);
    T('-8399830612.8', '248.265288586', '-8399830700', 77, 3);
    T('8.58944642571171865371733E+27', '-5.6943E+24', '-8595102928029079980289083312', 53, 6);
    T('-4.57470695692181604770680585595E+58', '8.80E+7', '-45747069569218160477068058559499999999999999999999912000000', 26, 6);
    T('-9.2E+66', '-498078821366365345.13298554847', '9199999999999999999999999999999999999999999999999501921178633634655', 6, 2);
    T('-2.514451136852772055110E+38', '5.64145592473421001327749059E+157', '-56414559247342100132774905900000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000251445113685277205511000000000000000000', 72, 1);
    T('9.595263E+71', '-9.7633841014939041077182486868E+178', '-97633841014939041077182486867999999999999999999999999999999999999999999999999999999999999999999999999999999192571329381506888674611415564880740591071710669715143693956531024297984', 75, 6);
    T('-6.460421735925052159732E+81', '7.740088468533E+98', '-774008846853299997389667500379585856347459801969382411417483332433894562907463175263648039368130560', 21, 6);
    T('675669568329600665512.2', '9.83E+6', '675669568329607739864', 23, 5);
    T('-769.7699525590995137207', '-11.814830826372030', '778', 4, 5);
    T('932092943.2', '-4.878634E+109', '-48786339999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999067907057', 24, 0);
    T('7.880036107870777359245204E+73', '7.42539504673645140201E+97', '74253950467364514020100048413518739905286527290198000956196165615086785939986306927910564615159808', 32, 0);
    T('677644.471685576', '9.25309983643725E+68', '925309983643725000000000000000000000000000000000000000000000000677644', 14, 6);
    T('-9.630951495355944605782', '7.527064735422596429390069E+69', '-7527064735422596429390069000000000000000000000000000000000000000000009', 45, 4);
    T('-70', '3.962679373261859E+91', '-39626793732618590000000000000000000000000000000000000000000000000000000000000000000000000070', 1, 5);
    T('-2.40066457562574215067884908508E+79', '-61527.911270977199139819', '24006645756257421506788490850799999999999999999999999999999999999999999999938473', 97, 2);
    T('-4449749.79378265307', '8604209330.998407986024623', '-8600040807', 86, 2);
    T('-3.2892725E+11', '6.9249454515373432197490809E+61', '-69249454515373432197490809000000000000000000000000328927250000', 27, 2);
    T('-3.88', '3301933685.391191252921598273', '-3301933688', 10, 5);
    T('-97775.065322325245204949428', '1.6883808569684248481478637038E+80', '-168838085696842484814786370380000000000000000000000000000000000000000000000097775', 13, 0);
    T('-124569.311093613516105834', '-9.00E+25', '89999999999999999999875431', 17, 5);
    T('-2238423.07', '50831.9', '-2285914', 14, 5);
    T('-3.493614E+72', '-8.41152164E+97', '84115216400000000000000001257380750854799366754906587391104875665012662708947229461003228946628608', 24, 6);
    T('1.28626E+61', '-667.811184922462491', '-12862600000000000000000000000000000000000000000000000000000667', 77, 6);
    T('1.1498949503243324699134602E+38', '-23.3131354', '-114989495032433246991346020000000000023', 71, 5);
    T('45.32', '1999.564986703084802', '2018', 41, 0);
    T('-6.0546', '-54494544.695295', '54494538', 70, 2);
    T('-64722445.61399208346132123024', '-67.700127569373806469', '64722510', 10, 4);
    T('-6.486887441099570794E+65', '5.6715270748708035518508343E+66', '-5470647083362725356741006904563812265250624907830393235266835841024', 51, 4);
    T('900114.802155171', '2944.889130105008868', '898962', 96, 4);
    T('45.886533905132772080660435', '-6.5263935650829135011383E+79', '-65263935650829135011382999999999999999999999999999999999999999999999999999999955', 77, 0);
    T('6E+15', '25753909.3985', '6000000008976693', 10, 3);
    T('-6606.07771723448', '7.5494269564243824152465', '-6603', 32, 0);
    T('1.73873E+9', '33736174.8936', '1704996862', 88, 1);
    T('-7607.28682690351499224', '9.9925575115E+76', '-99925575115000000000000000000000000000000000000000000000000000000000000007607', 95, 6);
    T('729.66614255442970144728021066', '-7.45073473578177459652051337516E+98', '-745073473578177459652051337515999999999999999999999999999999999999999999999999999999999999999999271', 11, 1);
    T('7.8860607285756599222', '-6.170497809790484882E+59', '-617049780979048488199999999999999999999999999999999999999993', 21, 6);
    T('-8.0866436033056430355030914E+71', '-8486331763', '808664360330564303550309139999999999999999999999999999999999991513668237', 67, 6);
    T('6.475930619120729560858E+96', '-6.717E+79', '-6475930619120729612261022295276289208785040746512340724327058522336162131476390311255562029891584', 60, 3);
    T('-13.3299546586617890014893', '2.127646679074351467E+48', '-2127646679074351467000000000000000000000000000013', 97, 2);
    T('-1864789', '5322.08429086646189495052508', '-1859743', 69, 6);
    T('-848500.663541046233424', '-482664.0', '765716', 2, 0);
    T('-3.2194199798552471569366', '-3000456251801.2', '3000456251802', 57, 4);
    T('7E+9', '-1.3597775095000E+53', '-135977750949999999999999999999999999999999993000000000', 24, 6);
    T('-406197743.47919166965561625', '-91671717.333', '490789194', 59, 4);
    T('3627.249765693865581904477646', '-1.2631543995438548788474E+90', '-1263154399543854878847399999999999999999999999999999999999999999999999999999999999999996373', 42, 2);
    T('-5.905E+24', '85231392.355156057137515', '-5905000000000000082540768', 82, 1);
    T('85761.62986914924543979', '-8.788444128038096599795E+87', '-8788444128038096599794999999999999999999999999999999999999999999999999999999999999914239', 99, 4);
    T('-2.8810711715E+58', '303007.750790597339712935', '-28810711714999999999999999999999999999999999999999999696993', 64, 1);
    T('-34.49648869258048375', '-8E+92', '799999999999999999999999999999999999999999999999999999999999999999999999999999999999999999966', 44, 5);
    T('-354.5066201189688444', '98.2115', '-260', 94, 3);
    T('5.4669E+6', '-3.74784089736032E+97', '-37478408973603199999999999999999999999999999999999999999999999999999999999999999999999999994533100', 87, 4);
    T('486.3', '-968712951.798021377470328976', '-968712977', 25, 5);
    T('-9.0582168331042439898082621', '4.32764335141E+30', '-4327643351410000000000000000009', 10, 6);
    T('-3.695324', '7.6042167303799', '-6', 97, 2);
    T('-78088', '2.557819936028834769062682E+72', '-2557819936028834769062682000000000000000000000000000000000000000000078088', 100, 3);
    T('926414.9109035588810', '-4.05795315512889463991E+89', '-405795315512889463990999999999999999999999999999999999999999999999999999999999999999073586', 55, 1);
    T('7.6846036910657356296531E+85', '35994.76232393277542', '76846036910657356296531000000000000000000000000000000000000000000000000000000000035994', 64, 3);
    T('32238.7542452943913760779501', '-6.9842', '-32236', 29, 1);
    T('8.030541622006933009E+51', '-5.90E+4', '-8030541622006933009000000000000000000000000000059000', 18, 4);
    T('-2.81073870558811E+98', '-62.608', '281073870558810999999999999999999999999999999999999999999999999999999999999999999999999999999999938', 48, 1);
    T('-31474904.7194639436299', '-1.47762766E+9', '1509067740', 95, 4);
    T('1230332469.48802', '-1.860950020436E+84', '-1860950020435999999999999999999999999999999999999999999999999999999999999998769667531', 29, 4);
    T('9440662787.70829252122825888', '-2.0592628E+9', '-9798471245', 10, 5);
    T('-2380.0409009360', '2.991683641530E+91', '-29916836415300000000000000000000000000000000000000000000000000000000000000000000000000002380', 49, 2);
    T('6958756119.2911842', '7.509557486E+20', '750955748606002168087', 49, 2);
    T('1.9224962785462184519343169935E+37', '-5.018475E+9', '-19224962785462184519343169930019147768', 60, 4);
    T('4.9148E+7', '-1427859.86184884', '-49822195', 47, 0);
    T('-9.4843903314588559507799348E+45', '-518699.630080233', '9484390331458855950779934799999999999999481301', 76, 6);
    T('5.52E+14', '-3.30277E+10', '-552011534710048', 63, 2);
    T('-6.486222283250902', '302051461509', '-302051461505', 23, 2);
    T('-1.65899E+7', '-9.93029060465020904474980', '16589891', 6, 0);
    T('-793614.3989806', '-4533.2367648542', '789945', 39, 1);
    T('20737.28318504', '7396770843412428672.716', '7396770843412407937', 62, 4);
    T('8160.913512710115972337820', '-772758.251297918150', '-775542', 74, 5);
    T('7.941085041', '7.8221441614360E+53', '782214416143600000000000000000000000000000000000000007', 11, 5);
    T('-44378.74702237727029313573', '4.983073027460633238658821E+29', '-498307302746063323865882143866', 40, 5);
    T('7E+57', '-8876.4620835', '-7000000000000000000000000000000000000000000000000000008876', 85, 3);
    T('-8.1754910169074', '-2441.50096766150', '2447', 29, 4);
    T('-794076.3908550291', '-7224766624.4679431516194273', '7225552196', 11, 4);
    T('5.21372810104690534650E+34', '5.31462650004064E+23', '52137281010844672813641000692826112', 51, 2);
    T('5328192.5606910129091378524', '-7.60011278503848683514372757557E+61', '-76001127850384868351437275755699999999999999999999999994671808', 28, 2);
    T('2.40960791015377761952174340341E+48', '1.021488524347443815251E+65', '102148852434744383865396813596520952404955794208639006181381636096', 43, 0);
    T('2.917E+37', '29862.2919580356498448569', '29170000000000000000000000000000029862', 26, 1);
    T('-1.3755089885E+39', '-30.32340383', '1375508988499999999999999999999999999970', 20, 3);
    T('-265.0937882490269998', '5096194.483722729', '-5095947', 100, 0);
    T('88', '8.4590E+58', '84590000000000000000000000000000000000000000000000000000088', 52, 5);
    T('515.0117972211', '-112449.11066416156690390', '-111940', 7, 1);
    T('5.463277942E+58', '-9939262451495709134.747', '-54632779420000000000000000000000000000008563412765334022606', 67, 3);
    T('406941658266274888453.984110', '5782561615.49497', '406941658262909294666', 74, 2);
    T('-5978.088', '-6.65688426719238352E+59', '665688426719238351999999999999999999999999999999999999994022', 27, 5);
    T('-96399386.686', '-4.340E+5', '95973206', 20, 1);
    T('-2.62E-371', '-35.43117', '-35', 57, 4);
    T('-8.216289761463453', '-4.50151827286208E+64', '45015182728620799999999999999999999999999999999999999999999999992', 50, 6);
    T('93.98269045950829734785', '-91.9298984', '-8', 10, 1);
    T('8.8330637', '4.8017253493384196224515E+67', '48017253493384196224515000000000000000000000000000000000000000000008', 92, 1);
    T('5E+8', '76.78014740336157855750124265', '500000076', 34, 6);
    T('6.582008328E+59', '-9839.8729693323055817', '-658200832800000000000000000000000000000000000000000000009839', 18, 3);
    T('5661385.5', '162.817416963493149047744', '5661291', 56, 2);
    T('8.1351500095987739290221846624E+51', '22045.37309206261', '8135150009598773929022184662400000000000000000022045', 43, 0);
    T('946457684843273204354.986', '-4.3646412663291526740266E+43', '-43646412663291526740265138072648712807959934', 75, 4);
    T('-586.872025', '-2.131E+12', '2131000000438', 5, 6);
    T('-524941992.6049016548076', '3.4699284876478720657419E+58', '-34699284876478720657419000000000000000000000000000524941992', 20, 2);
    T('-401.2603446538', '18718573587586.443', '-18718573587731', 97, 5);
    T('6.505618684920951E+35', '2010071254.74433411748573962427', '650561868492095099999999999719981270', 92, 4);
    T('56.79810221', '-8.5780170E+23', '-857801699999999999999944', 17, 3);
    T('8.863527358200216346E+32', '-7.8251E+32', '-266836132861353262740900358225920', 38, 4);
    T('41076020.550830063616862302084', '-89424190.3927844913', '-119948298', 48, 1);
    T('-13.808819040205797', '-6.80531515842184292893062722E+38', '680531515842184292893062721999999999987', 21, 0);
    T('-65.962919406547599229204', '7.3228', '-72', 54, 4);
    T('-7.2673E+6', '98258.583846209475495', '-7314482', 35, 1);
    T('3.1038267706E+50', '-131.4', '-310382677060000000000000000000000000000000000000131', 47, 6);
    T('-7.841183922840E+50', '1.1915133348006457E+69', '-1191513334800645700735849377039763245349947672333471256484058155188224', 65, 5);
    T('63018850.674584499314281190', '932091705.26221', '877592667', 48, 3);
    T('-6308.32214351993813301527', '-746031586.05219527449866396451', '746033474', 54, 0);
    T('-6.065948E+7', '-2.00E+5', '60725800', 95, 5);
    T('-910.6494366354404548064037207', '9.8772234114143809028E+31', '-98772234114143809028000000000910', 97, 2);
    T('-6.8115407109534', '-9312742.4303041913349767097951', '9312736', 79, 6);
    T('69.98764', '4.1E+34', '41000000000000000000000000000000069', 86, 2);
    T('-7.8', '43.4568347348382953250045571871', '-46', 17, 5);
    T('-10471.38760978', '4.741110720935849926E+23', '-474111072093584992589607', 70, 4);
    T('-5.75384577160082181', '1.940640841476693405243E+37', '-19406408414766934052430000000000000005', 57, 0);
    T('-6.491663014522421397861825079E+57', '-1.19735294869042706965838E+63', '1197346873889584100183532551021776481860589705853147485990551552', 84, 5);
    T('56203905.930', '1307984999.8533', '1320148710', 32, 1);
    T('6.8374E+34', '2508159790.278877658204022054', '68373999999999999999999998213192494', 14, 1);
    T('326642202.7209550163219', '6.5906E+7', '278237002', 51, 4);
    T('-801133737.0277402840535975121', '5.79958287179819', '-801133742', 9, 0);
    T('6.855348655E+14', '778624176749542430', '778091315153623934', 67, 3);
    T('80.1914054581080112872', '2.997667E+20', '299766700000000000080', 42, 2);
    T('-3.095666793829700747656E+26', '-7.7E+5', '309566679382970074765040432', 52, 5);
    T('51769441', '-2.724980', '-51769441', 92, 0);
    T('7.0E+52', '7.908890E+9', '70000000000000000000000000000000000000000007908890000', 92, 1);
    T('-4.95205646484726879580416', '8.2057992123090630263E+46', '-82057992123090630263000000000000000000000000004', 3, 6);
    T('5390518515163293.896350018', '-7.479045E+8', '-5390518055107951', 45, 6);
    T('9', '-3.0677913205722437E+60', '-3067791320572243699999999999999999999999999999999999999999991', 73, 0);
    T('-1.6746851666536251145355E+49', '1.2772941127151168526E+43', '-16746842029809577956907032720557727748152629395456', 52, 0);
    T('-8.0087693382721428804633826874E+57', '8533.53131499454', '-8008769338272142880463382687399999999999999999999999991467', 47, 0);
    T('-4.97258E+7', '4.010248E+53', '-401024800000000000000000000000000000000000000049725800', 18, 1);
    T('-2159.4198', '13878263.46523584097782', '-13880218', 73, 2);
    T('-44224.258825', '39151.043126320005', '-13393', 98, 5);
    T('-3.24273709926119E+40', '-8.720210618357516045358169375E+62', '872021061835751604535830986627783805198792636763804682506207232', 70, 3);
    T('2934123.02090197', '1.755227E+12', '1755224099243', 13, 3);
    T('68660.3191', '-2.269394783572758257967794670E+48', '-2269394783572758257967794669999999999999999931340', 13, 3);
    T('-72.6', '-4.807468183743E+45', '4807468183742999999999999999999999999999999928', 62, 3);
    T('6.143E+42', '-1039.6273420280726486193', '-6143000000000000000000000000000000000001039', 41, 2);
    T('623.692329', '-85512033.979198287899', '-85511440', 47, 6);
    T('-1002014829390777525334.553', '-74717.2687229549386225572159291', '1002014829390777452425', 69, 1);
    T('9288510245447856910347153.6', '-8.667293E+16', '-9288510304720939428313199', 44, 4);
    T('-426.635882684595822665', '-5.789451898186454830227540E+61', '57894518981864548302275399999999999999999999999999999999999574', 36, 2);
    T('-7.41617489126922E+40', '2.026084511173561987096641485E+69', '-2026084511173561987096641485024693197154423540168659549949274055770112', 48, 3);
    T('-6.2682090458E+53', '8.114845463018581732E+62', '-811484546922481575982864120713254457398910649548685161499983872', 11, 5);
    T('-4.36813710003236E+52', '3978472245.53348', '-43681371000323599999999999999999999999999996021527755', 26, 1);
    T('-3.3779405308932', '8.875316196237124909', '-11', 31, 3);
    T('-5.2595916518709791580', '9.413316429667390781', '-14', 62, 1);
    T('5.6154019021E+43', '-1.72028E+19', '-56154019021000000000000012577570197341667328', 46, 3);
    T('-1553.7988497830738357693066480', '1.96359950E+34', '-19635995000000000000000000000001553', 17, 6);
    T('-9.85E+9', '5.1775689281138', '-9849999995', 88, 3);
    T('5.3755196E+29', '963390.99470588207', '537551960000000000000000963390', 99, 2);
    T('4.9947E+7', '-831970.32334', '-49713306', 58, 6);
    T('-9.253272E+10', '85387557', '-92584519771', 99, 1);
    T('946.9545879713724', '6.298328447811208751E+50', '629832844781120875100000000000000000000000000000946', 79, 3);
    T('-7.3128369911839886E+40', '-8831029286.646719890483763', '73128369911839885999999999999991236079578', 29, 1);
    T('2E+64', '-411790.2', '-20000000000000000000000000000000000000000000000000000000000411790', 17, 0);
    T('-606.103453932633007', '-33024884.0692707966541486', '33024302', 14, 1);
    T('-8841060158041412796877149', '-13555491399015354066244.8', '8854216723641491866315807', 37, 6);
    T('-6.5861783103928369206E+50', '-883422.19937113213301146146981', '658617831039283692059999999999999999999999999116578', 100, 1);
    T('-756.660922', '645.513536818981364', '-119', 86, 2);
    T('-1E+37', '14777647.31444815440124', '-9999999999999999999999999999985222353', 51, 5);
    T('2545539735.65573770001', '4.6601E+54', '4660100000000000000000000000000000000000000002545539735', 70, 5);
    T('-73194.4921618243', '8.86E+6', '-8793226', 66, 3);
    T('-9424091178.022435059', '-2.9110507520170E+46', '29110507520169999999999999999999999990575908822', 73, 1);
    T('-18312868.03958269661855196', '-624239.70', '18802893', 84, 3);
    T('-1E-925', '42966.54819555233615120519', '42966', 6, 2);
    T('97130813.89134454263', '9.1936974834198', '97130804', 5, 3);
    T('-512.500288442931115769181823806', '-4264.4230912691338262791', '4440', 66, 0);
    T('2.2452866422596E+43', '-6.6574539272074010E+44', '-643574282777196315326256168458933192731131904', 97, 3);
    T('33497675308764931.835', '7.5', '33497675308764932', 60, 1);
    T('9.5E+4', '5.55121129E+34', '55512112900000000000000000000095000', 72, 3);
    T('1.899147E+7', '-524994233.376733358933205', '-510332887', 39, 2);
    T('422170.7751', '-3.4594999822437', '-422169', 8, 4);
    T('-9664047722365138221075141.58', '7597870248.70569969359685017', '-9664047722365130785769069', 83, 5);
    T('-1692516.37234908179', '646.8418731', '-1692134', 28, 2);
    T('621505.961265993393711', '49574.73957', '637543', 88, 5);
    T('-1031361.1795393686835954440165', '-6.2556343616849E+63', '6255634361684899999999999999999999999999999999999999999998968639', 61, 4);
    T('-2.876009528256600714349366', '-9.1898917233999E+60', '9189891723399899999999999999999999999999999999999999999999998', 43, 3);
    T('1.111E+9', '-5.1671479241905927764E+60', '-5167147924190592776399999999999999999999999999999998889000000', 97, 2);
    T('-6.972593608741211144234E+69', '-6.931438066256946516956154E+49', '6972593608741211144302846062181718983723091103718165676511420422815744', 7, 1);
    T('1.19296424428926571772943419382E+70', '-101782', '-11929642442892657177294341938200000000000000000000000000000000000101782', 72, 6);
    T('10441052.43504', '-6.6092308418538E+22', '-66092308418537991303844', 66, 1);
    T('42204430.6078312810027', '-8531.98654982569709487422307', '-42196061', 65, 0);
    T('152847626.4276', '220929.967217233', '153033227', 2, 0);
    T('-37066.8', '-4.95', '37066', 93, 3);
    T('7.98210062E+60', '-73065.306668448', '-7982100620000000000000000000000000000000000000000000000073065', 96, 3);
    T('5.092E+56', '6.89127114760381725069939E+45', '509200000006712771606930276400975230726332471288791040000', 75, 4);
    T('2380385.8888', '-9295.3633113287956328708978043', '-2389552', 84, 2);
    T('69.016841731630351405', '-9.34047933066389299377162893E+45', '-9340479330663892993771628929999999999999999931', 65, 6);
    T('-46.769260193022372', '-2.60664605525354026720E+37', '26066460552535402671999999999999999954', 51, 1);
    T('9.365317615793175922570777E+27', '9864547.7731647546674073', '9365317615793175922561242315', 93, 1);
    T('-2.35E+41', '-8.8E+48', '8800000146478467568930013880546530589091653746688', 7, 3);
    T('35986.6228122', '-7528.4824', '-37366', 62, 4);
    T('62.035', '-8578160786.308727538', '-8578160816', 66, 3);
    T('-2.5055587747986191E+57', '-4897', '2505558774798619099999999999999999999999999999999999995103', 33, 3);
    T('1.82E+6', '-922912848.803370991', '-924405040', 43, 6);
    T('44718985.52108133916130', '-4.52288374467946E+47', '-452288374467945999999999999999999999999955281015', 90, 4);
    T('-4.9039', '8.94413E+19', '-89441300000000000004', 77, 3);
    T('9.408916694242752161557E+31', '-6109595032.247210387179374310', '-94089166942427521615573689348504', 26, 6);
    T('524457.8218633779921801314119', '-3626.80727388336635283961176', '-528001', 46, 5);
    T('-1520878418.14523498', '-9468.79336049', '1520887722', 29, 6);
    T('16913384.211591', '-3.48391936410542378267E+42', '-3483919364105423782670000000000000016641048', 8, 1);
    T('-11884.991257772600731635847', '5.8575394668424E+36', '-5857539466842400000000000000000011884', 92, 0);
    T('-316.544', '-310632276.9771275256414691774', '310632040', 38, 3);
    T('-816290.0495250', '12741188871300349709451185.6824', '-12741188871300349709159185', 85, 4);
    T('1519640422.134891140578793', '-6.9551424', '-1519640420', 59, 1);
    T('1.3124998649840077241E+43', '-4326052', '-13124998649840077241000000000000000004326052', 59, 0);
    T('6695866729.2802848051412', '864627192.984769003059', '7458781329', 78, 1);
    T('-9.09454480195E+39', '-9077.785696640', '9094544801949999999999999999999999990923', 53, 0);
    T('9686.487378', '684.08011615257938815978624', '10106', 83, 5);
    T('-7481537452.9543', '1.4554292E+36', '-1455429200000000000000000003186570156', 63, 1);
    T('6.37514107070368427927939E+50', '20.457876095073543130441', '637514107070368427927939000000000000000000000000020', 94, 3);
    T('-6.0879E+7', '-7222.721318362', '60877986', 15, 4);
    T('-4488779485.2840357164864468', '637.404617940068903048017683', '-4488778914', 59, 1);
    T('252875.140604853481002313401581', '79.889', '252804', 16, 5);
    T('48829032.8205479808', '6.5540798562E+29', '655407985619999999999956554344', 58, 6);
    T('-1.0E+24', '4', '-999999999999999999999996', 34, 4);
    T('4748.794964911862627212', '850633591.4373907', '850637307', 93, 5);
    T('97813863009.215070753750424', '-9180241.30071675101455307146', '-97821986354', 32, 4);
    T('-5E+32', '-1.5870049189453544550063825911E+33', '1756345485725068120264927482428320', 82, 2);
    T('1.735E-50', '7.9848E+5', '798480', 89, 5);
    T('-4.33919162610192980011553071E+61', '84120.57712788', '-43391916261019298001155307099999999999999999999999999999915880', 46, 5);
    T('7612.6897856', '80.2', '7660', 78, 5);
    T('-3014180967.18', '-3E+1', '3014180987', 71, 4);
    T('-2.09E+5', '-3.8703829677E+49', '38703829676999999999999999999999999999999999791000', 82, 1);
    T('-3.868426822056990934697E+38', '-961444.783857426270', '386842682205699093469699999999999824988', 34, 2);
    T('9.28526210754743556058079025', '-20.809435381', '-27', 75, 5);
    T('-9.40E+6', '9.699690203E+42', '-9699690203000000000000000000000000009400000', 78, 2);
    T('3.95111201720468E+23', '6.055269683010906080E+39', '6055269683010906459652067851271557400576', 7, 5);
    T('-99173.9556051727', '75763862.74519131121495987782', '-75863027', 90, 5);
    T('3.4333', '9007.80657226845013159304', '9004', 24, 0);
    T('3.66867645713', '6560798.194425131565972', '6560797', 61, 4);
    T('-9.93394E+25', '3.37009E+9', '-99339399999999998802559472', 11, 6);
    T('1.487052714E+23', '-7052.838338', '-148705271400000000007052', 97, 1);
    T('-6.5789950528218599', '-862.41703222218297170233736072', '856', 9, 5);
    T('8635476.36758379', '-9.94E+26', '-993999999999999999991364524', 54, 2);
    T('-9.18810044430910545270103E+26', '-1.16E+9', '918810044430910546291681832', 32, 1);
    T('-77522417.1239', '6.587E+7', '-125041985', 69, 4);
    T('182858893.9806', '9.4404746896043E+70', '94404746896043000000000000000000000000000000000000000000000000182858893', 34, 0);
    T('88350461571798859295345.4984582', '-7825728.0047159323147979238', '-88350461571798865003343', 68, 3);
    T('-2.58760', '5616957148121918.28189836309142', '-5616957148121920', 5, 4);
    T('-3656266831.78164997', '-6.07734430861521067477861E+70', '60773443086152106747786099999999999999999999999999999999999996343733169', 82, 1);
    T('6701874049.5289502', '2.141733751734E+15', '2141731345646961', 7, 3);
    T('7165472562.0883537015715394071', '-8734012950.949', '-15628900648', 12, 4);
    T('-976.55689472254811195', '9.95458183777493351545884903E+58', '-99545818377749335154588490300000000000000000000000000000976', 11, 4);
    T('7403252757453552930267206', '81.69028685836016', '7403252757453552930267159', 92, 2);
    T('-8.4E+9', '-9.594385094180469728', '8399999991', 68, 1);
    T('-7221056.434113198958500108', '-4.91E+63', '4909999999999999999999999999999999999999999999999999999992778944', 15, 3);
    T('-321224.800538794192942933692', '3313890.9615827', '-3569190', 62, 4);
    T('-6.431E+14', '19942.69679675', '-643100000016922', 79, 3);
    T('-5.464670214833336194689857', '-500769998216108513440.75', '500769998216108513435', 17, 4);
    T('8.2731782883518310380364', '-26658502.47', '-26658510', 2, 0);
    T('-856344.530279855360581', '9.04326318441E+57', '-9043263184410000000000000000000000000000000000000000856344', 57, 2);
    T('-86820148.4634917218300', '-46.8829296236996460', '86820126', 46, 1);
    T('-593.750030115198', '521.7088052538353591915750', '-90', 34, 4);
    T('-5212491163299634708198.081', '406.16826815512406508020', '-5212491163299634708340', 92, 4);
    T('-573016248653086.871426489', '8454710.50339787188758075', '-573016240199468', 6, 0);
    T('5.13E+65', '-72694202.901904044', '-513000000000000000000000000000000000000000000000000000000072694202', 53, 5);
    T('4477585543625636.2', '-771368833.7', '-4477585853340709', 28, 4);
    T('-28064324.858708952932', '-3.45602198756339726638154767460', '28064321', 85, 3);
    T('97494.080385104301322617074', '-2.72259971007273865777E+29', '-272259971007273865777000076586', 89, 3);
    T('28043698.9656604584545', '-382.98914095754523125322', '-28043472', 34, 3);
    T('-8.645808E+60', '-37.634651926961300', '8645807999999999999999999999999999999999999999999999999999963', 84, 5);
    T('-8002273.57991530124649404', '2.28960458904183754425560630615E+51', '-2289604589041837544255606306149999999999999999613665', 58, 6);
    T('2.890751588073121838E+47', '3E+60', '3000000000000264699744679405584361296941831315476960413483008', 69, 5);
    T('-628074395624695646881365427.9', '81.78957796099577073841', '-628074395624695646881365476', 58, 3);
    T('554656903.7575', '-500318480.1', '-1021126025', 8, 2);
    T('45.253418966930984212471403', '-5.417932683725576E+40', '-54179326837255759999999999999999999999955', 52, 6);
    T('-72031.0507694132', '-38324.96249', '101613', 95, 5);
    T('7.24E+6', '-3.77654091730963891664969259E+54', '-3776540917309638916649692589999999999999999999992760000', 17, 6);
    T('-4.94827001580023198E+60', '6.014203457415E+13', '-4948270015800231979999999999999999999999999999975042337514682', 80, 3);
    T('-6.927632E+36', '10401309.315658013092', '-6927631999999999999999999999989598691', 29, 3);
    T('-5.795486769385940432151593211E+36', '7.3566641473760910482702E+59', '-735666414737609104827025795101402042736590130690711775088128', 81, 6);
    T('1.252496090E-24', '5.585020792917037582396E+45', '5585020792917037582396000000000000000000000000', 14, 1);
    T('4.3119E+8', '-2083211.667488598160494010691', '-430745211', 23, 2);
    T('1E+68', '882975', '100000000000000000000000000000000000000000000000000000000000000882975', 84, 3);
    T('2.92909E+6', '8.810044E+11', '881002609730', 77, 4);
    T('6.004717303013832124E+43', '-6.58846', '-60047173030138321240000000000000000000000006', 92, 6);
    T('2.23030E+32', '2097.4403816750173934533', '223030000000000000000000000002097', 77, 3);
    T('6.33411058958486412682398457060', '3.9752145E+9', '3975214498', 20, 4);
    T('5374.86729033227083', '7.3E+8', '730005118', 33, 6);
    T('-305875.5534666868863', '7.36952430328034530811175436331', '-305878', 7, 4);
    T('-5086285.2755106071999614207', '-4.95429862E+9', '4949345463', 31, 0);
    T('3.6638751320840573398E+20', '-1474877439824655.3988493', '-366386076544367911251', 6, 3);
    T('-3.4412819229144767232161692E+55', '7.34157289E+37', '-34412819229144767172215531852736901735904906674605916160', 87, 6);
    T('-6.62675166E+45', '2.81971485169E+48', '-2813133463923050801306226812623638766373151178752', 42, 0);
    T('-4.188804451525E+40', '-749951.41183325241', '41888044515249999999999999999999999250049', 11, 5);
    T('-8.06497487798069161557992794E+64', '7.889931752691320017803584E+60', '-80643575635762447587601485824807541380794955533421017648179707904', 45, 1);
    T('9678.021138787', '74516237.7903561177', '74523331', 28, 3);
    T('-4.94145258942901907235294E+47', '65828.7', '-494145258942901907235293999999999999999999934172', 47, 5);
    T('6.23701036948760889992283E+66', '-2510209.7', '-6237010369487608899922830000000000000000000000000000000000002510209', 3, 0);
    T('-821.3804089338098784335494642', '-483.8720283', '726', 48, 1);
    T('-642352295.378102464275054', '9381893.55442058', '-650554532', 62, 6);
    T('6.553336379631051165992704829E+40', '-53381842.3065319301911932166948', '-65533363796310511659927048290000049187538', 29, 0);
    T('-4.9E+66', '251.698800729783542519645319', '-4899999999999999999999999999999999999999999999999999999999999999749', 59, 5);
    T('6.2110E+59', '-3.3E+9', '-621100000000000000000000000000000000000000000000003300000000', 48, 1);
    T('5.2574272461938839031189884', '4494991276.3973572', '4494991273', 39, 6);
    T('-3.6E-172', '-534454769', '-534454769', 98, 3);
    T('-4.4493080560471885977E+63', '87718.249153284', '-4449308056047188597699999999999999999999999999999999999999912282', 52, 2);
    T('-5.38632866937643043E+47', '-9.86321254565732E+36', '538632866944732913013913748696937370964782481408', 4, 6);
    T('4.18E+5', '936381789.36340239975919962606', '936799629', 7, 5);
    T('-6.305E+5', '-1.319E+19', '13190000000000549148', 96, 6);
    T('490555368062557.40757500995134', '369169822.982876767363', '490555133242307', 88, 4);
    T('5E+6', '4343522.5038029455572', '920994', 14, 3);
    T('-1.541710564E+58', '-109083.244', '15417105639999999999999999999999999999999999999999999890917', 64, 3);
    T('1268.44', '-62.7708095221095738284', '-1226', 95, 6);
    T('3277.2453', '-8E+16', '-79999999999996723', 31, 6);
    T('4.6530530E+8', '3.5917061E+25', '35917060999999999636930260', 16, 3);
    T('-8E+9', '-990.947487522741408', '7999999010', 92, 2);
    T('-6.3513956400819664', '-2.913326156144E+66', '2913326156143999999999999999999999999999999999999999999999999999994', 87, 5);
    T('2.0E+7', '-5766326805.98576485', '-5746329365', 66, 4);
    T('9.864333424E+10', '-9.165217457534E+63', '-9165217457533999999999999999999999999999999999999999901356665760', 73, 2);
    T('-6.16', '-643853.2', '643849', 63, 1);
    T('1.1990987E+8', '11378147.6898475', '126365709', 94, 1);
    T('-4.285194044869693', '-1862.779143', '1862', 21, 6);
    T('-8.88527931504672E+56', '115.6777655457587503', '-888527931504671999999999999999999999999999999999999999885', 67, 3);
    T('-5773597693187418.2922321', '-3551049560.2422970134', '5773598442430990', 80, 0);
    T('-2443955629.48420745289755083', '-2251426654.716', '395953905', 85, 2);
    T('3.534410792923E+28', '-531565534.902069002', '-35344107929229999999691262942', 96, 4);
    T('-8.47449783928363E+57', '-6.55210752391830054503294E+43', '8474497839283687154887534917103881576187739886681201836032', 39, 3);
    T('-8E+62', '-465581410199583.808704957705', '799999999999999999999999999999999999999999999999534418589800417', 54, 6);
    T('-512.9', '-4.89917791310570009666673990E+67', '48991779131057000966667398999999999999999999999999999999999999999488', 85, 5);
    T('2.3285742909140E+55', '-6.156494893857238277990E+52', '-23344278713041194364982669740512304631617871071043125248', 3, 6);
    T('-2.98351837360610347100E+29', '5754.151861702', '-298351837360610347099999994246', 15, 5);
    T('-73877.87586588299855', '-8.547780500251138537E+21', '8547780500251138463411', 80, 6);
    T('-5.671E+42', '-768081.71511136830216279', '5670999999999999999999999999999999999231919', 66, 6);
    T('4275525865.348936498', '8.421309437940423141624945E+42', '8421309437940423141624944999999999376054505', 59, 3);
    T('-9.74878811612958811280726585', '-7.358070', '14', 68, 3);
    T('-83239.1944518', '7.950272483361728273E+22', '-79502724833617282813239', 56, 4);
    T('937.197', '7865.07374433428', '7440', 40, 4);
    T('2E+21', '-881.1', '-2000000000000000000881', 17, 5);
    T('-68329543288364573865.726451', '-7104158344.02043436476826', '68329543294155849263', 13, 5);
    T('168.5076663623598', '-761568848.09254210552189125164', '-761569000', 38, 0);
    T('96.4564596062247106514743882', '7.334910515025519E+57', '7334910515025519000000000000000000000000000000000000000096', 66, 5);
    T('46099.4375755', '5180.5316476', '41007', 2, 2);
    T('3.92140', '8E+44', '800000000000000000000000000000000000000000003', 94, 5);
    T('-1E+7', '3226.225459958109902309784082', '-10001126', 77, 5);
    T('-61.21426431', '-6.174728710526E+56', '617472871052599999999999999999999999999999999999999999939', 33, 1);
    T('-2.701348590514175E+19', '-5.21769E+19', '67084133872479954704', 33, 1);
    T('3.66E+7', '-923.63190661701090273214397552', '-36600667', 9, 3);
    T('-2566', '7.0375930784932937776208E+25', '-70375930784932937776206470', 100, 0);
    T('-7.69748015657008E+15', '-7695685.16', '7697480150977691', 19, 4);
    T('-1.39448971801420656357600123E+60', '-7.276E+36', '1394489718014206563575994453045360875811513745438125236158464', 66, 0);
    T('3625.5', '-96859890351005801308.389965547', '-96859890351005799795', 39, 4);
    T('5.06E+48', '-8.38E+41', '-5059999258664118329961964099324132030995356450816', 84, 5);
    T('850024337942899825483.4861902', '-4472975769.91231883644397', '-850024337947305683668', 7, 6);
    T('-3.2766583328136908049639', '9.3E+8', '-930000003', 43, 6);
    T('-3.852E+4', '6354770.38', '-6316326', 16, 2);
    T('-5E+11', '-7.7815E+8', '499360409488', 69, 1);
    T('7374301798.3338440736556423807', '-66455672.48510463', '-7323050514', 15, 1);
    T('-65684133459.030', '-4139848016890092', '4139816726617785', 34, 2);
    T('7482380508631453509105858362.76', '-6.7516079406E+32', '-675153312323509297169882450905286', 71, 4);
    T('6.39652750982E+20', '2959364.20587992455772295285713', '639652750982002807812', 38, 6);
    T('-2.8488E+68', '6.1904951301', '-284879999999999999999999999999999999999999999999999999999999999999994', 15, 5);
    T('-7.321619047079949002867', '-824029.12666698643', '824026', 70, 4);
    T('-2.084616E+13', '-9.86965105405174347534E+55', '98696510540517434753399999999999999999999979841034767360', 54, 6);
    T('-6.4198779E+13', '-452848283.2448', '64198681247269', 36, 1);
    T('108934678476364115558', '9447875254.212', '108934678484704414928', 13, 3);
    T('-46.01176268645313998586736293', '31982558.50952507770644', '-31982580', 28, 3);
    T('7.2074E+46', '6.597335144807868E+43', '72011689621123396946476394793805950458156548096', 64, 6);
    T('9.9007E+7', '8.88963945580166656028E+44', '888963945580166656027999999999999999964789272', 71, 3);
    T('7.01593088', '2929895003481590.8485466', '2929895003481585', 86, 1);
    T('13.3835406674', '529723305825037601225291020770', '529723305825037601225291020783', 3, 1);
    T('1.67E+9', '18.5841112737138329040783', '1670000018', 52, 4);
    T('44124.76313657275160', '77755.245803853225', '99303', 48, 4);
    T('7.356736161536021347461786E+44', '-23', '-735673616153602134746178600000000000000000023', 27, 2);
    T('-40413211', '1.412228E+29', '-141222799999999999999973304347', 5, 2);
    T('-865816.144453500243925649', '3.0816983952E+59', '-308169839520000000000000000000000000000000000000000000865816', 77, 1);
    T('-797084.16069755855482685540464', '-97662251.199303056882218', '98442417', 87, 3);
    T('-2.763857062771101681675204284E+32', '-6013020.4716431452309015', '276385706277110168167520422812964', 65, 4);
    T('7.7555658676E+12', '-4.149754E+9', '-7753706216160', 75, 2);
    T('140441088.6275800650905716992', '-6.62980964790103435688E+52', '-66298096479010343568799999999999999999999999859558912', 2, 1);
    T('-9.4390776E+37', '-274.5640', '94390775999999999999999999999999999726', 48, 5);
    T('-6.2046960720938E+45', '8753.7792936746617991071801', '-6204696072093799999999999999999999999999991247', 4, 3);
    T('5.2008073E+9', '-9.581311290318522', '-5200807309', 86, 1);
    T('8.92940432015231109059850E+45', '-286704434', '-8929404320152311090598499999999999999749833522', 4, 6);
    T('8.79577144E+18', '-2.8911347E+69', '-2891134700000000000000000000000000000000000000000000427600596854775808', 80, 2);
    T('-26425174087586917614873700942.5', '7.30067646270486613668E+24', '-26427636692091390403105295374', 50, 0);
    T('3943865', '62226631.0815', '59354494', 49, 4);
    T('3.330108990624796316590E+32', '-5464.51648', '-333010899062479631658999999997272', 19, 4);
    T('1.31022661E+44', '8.07748183912682680698484', '131022661000000000000000000000000000000000008', 21, 4);
    T('3.45758E+6', '7.229060E+30', '7229060000000000000000003457580', 22, 3);
    T('-5.6365016951811416075', '56687961.8112937762', '-56687966', 53, 6);
    T('13830558.1355192957', '-4.418567E+9', '-4421776074', 46, 2);
    T('-3.236', '4143708.52411108', '-4143711', 53, 4);
    T('5.87385727313356078562302', '-5.64617690990100272817E+62', '-564617690990100272816999999999999999999999999999999999999999995', 92, 3);
    T('78546.5057502519352', '-7E+28', '-69999999999999999999999921454', 34, 3);
    T('-2.210572585E+53', '9.504968862422299456865E+37', '-221057258500000079089774486716897667940104785354489856', 90, 6);
    T('-761416.40074593777072', '30530.9312741885593680073743021', '-780550', 70, 5);
    T('24.1229377', '40629.341996734418776056434', '40621', 3, 2);
    T('691.67142', '3.704973177715401439202492968E+45', '3704973177715401439202492968000000000000000691', 75, 6);
    T('-2.26E+7', '-83.301189330611886674335630185', '22600045', 64, 3);
    T('15.30392165463', '-8.15E+8', '-814999985', 55, 5);
    T('-9.9415047592192680E+28', '-2.90E+3', '99415047592192679999999997100', 99, 3);
    T('-4589384504.541564488768', '3266163829007711589155176', '-3266163829007715608080992', 19, 0);
    T('39706242.32685915477459697782', '-676.7851390495539286946435', '-39705634', 64, 5);
    T('5.8015054E+9', '-104051814545632885025826.405563', '-104051814545636496957018', 20, 5);
    T('-3893820858.8703021176717896', '-1.77E+20', '176999999998256284230', 20, 2);
    T('-22.168028935642016232', '8.740232707213023855166931E+64', '-87402327072130238551669310000000000000000000000000000000000000022', 25, 6);
    T('6.5800470471622350E+34', '819.8936291800163', '65800470471622350000000000000000819', 95, 0);
    T('-6.67128631238E+31', '-7.777235317351E+65', '777723531735099999999999999999999975124952481730169528500906622976', 88, 4);
    T('-813277424.02', '-4.95706376451149989E+42', '4957063764511499889999999999999999186722576', 45, 4);
    T('-9.59085E+56', '6.4964E+30', '-959085000000000000000000003874442991992543719620496850944', 86, 1);
    T('-172558.723061618', '4.1932538837109799247615', '-172554', 37, 5);
    T('-5302600282.9626400221', '-9981.0809594', '5302609061', 20, 5);
    T('9.399541750206E+16', '-3188239612.8887698316004847', '-93995415924449564', 41, 4);
    T('-8574660.35571649672787221362', '78065984769.78944', '-78074524611', 29, 5);
    T('2829.04279126481613', '-8.8047453085E+24', '-8804745308499999999997171', 78, 0);
    T('96419.41081217966870382', '-604609.2460515267847573', '-541028', 23, 5);
    T('-379593286441.3167324870097290', '3.41888335065E+26', '-341888335065000379593220905', 84, 2);
    T('4.9E+5', '3355254792.7064179944222', '3355073048', 17, 2);
    T('5184521333.3393491', '2.826869691446E+19', '28268696910483962741', 7, 4);
    T('-478127.36793461662821017', '-6.61977442528701238160E+59', '661977442528701238159999999999999999999999999999999999521873', 6, 0);
    T('-39428.9582803973619934', '-20095.3387', '54397', 58, 2);
    T('-46.62736425414993569', '-3.5E+45', '3499999999999999999999999999999999999999999954', 57, 5);
    T('-66.267411041834504884572', '-5528205728.979', '5528205790', 77, 3);
    T('22340654', '2.6E+5', '22483854', 4, 6);
    T('4.87248416E+65', '106.64526145174873691', '487248416000000000000000000000000000000000000000000000000000000106', 63, 0);
    T('-923499204256930615.00', '-8557984535.8', '923499211604844576', 76, 0);
    T('-441797647.2373474367', '219773662.1', '-390870737', 65, 2);
    T('-4.0855554378125920036203757258E+39', '-6.84367892437978715530868E+53', '684367892437982797095617490829156197155591016647815168', 73, 1);
    T('6.5672121425111E+33', '-569', '-6567212142511100000000000000000569', 74, 2);
    T('-61.5495464433476765480404', '1.815854E+38', '-181585400000000000000000000000000000061', 42, 3);
    T('6.28964E+9', '9011.146', '6289647987', 14, 3);
    T('-1.131240564325456E+63', '2.06810056346E+27', '-1131240564325456000000000000000000000800834037977761904912105472', 8, 3);
    T('-2922654995.66810915530318129', '-5.2E+7', '2905430509', 83, 5);
    T('-6.5100184497939E+68', '3394.31035977752652141', '-651001844979389999999999999999999999999999999999999999999999999996606', 10, 5);
    T('-1.26E+8', '115.6170653679', '-125999885', 4, 6);
    T('2.0498518638693517066310E+41', '-2.7160922E+16', '-204985186386935170663099973010793024521216', 100, 2);
    T('-5544826949518.7480968484784', '-6.60688E+42', '6606880000000000000000000000003251266072690', 8, 5);
    T('2777.60154827', '-9E+7', '-89997479', 82, 1);
    T('-585.79486957738141797973878', '-3.2365351540994508444E+49', '32365351540994508443999999999999999999999999999415', 11, 5);
    T('-63834529.5458666869846242314', '33963343.8', '-29897968', 54, 1);
    T('7.201699151E+67', '131.12', '72016991510000000000000000000000000000000000000000000000000000000131', 29, 0);
    T('-2.34', '-670.836', '668', 77, 4);
    T('918.97152732', '-778.56470', '-160', 69, 0);
    T('-5.080540111917240962541876E+62', '8308.97684932867', '-508054011191724096254187599999999999999999999999999999999991692', 29, 6);
    T('-0.74483150786973681671249', '-903694859242262195049686.5', '-903694859242262195049686', 11, 3);
    T('6819371.34338', '-3.83604398E+69', '-3836043979999999999999999999999999999999999999999999999999999993180629', 97, 3);
    T('2.59E+5', '7.378E+7', '73808024', 100, 3);
    T('-8.91405648E+9', '9.269834735557996860', '-8914056471', 15, 5);
    T('4.2910311018845E+30', '1759669251.75548045905581212705', '4291031101884499999998533987331', 75, 2);
    T('-6.60364154E+13', '9.7972443701', '-66036415399991', 41, 4);
    T('528810.4', '-91.369671177768', '-528881', 4, 2);
    T('7.21864837121808807', '-1107.08580285897', '-1110', 63, 5);
    T('-2404110499.3505681', '-4.878267725716845362543438986E+40', '48782677257168453625434389860001958195037', 59, 0);
    T('-2.9734097259E+29', '7E+54', '-6999999999999999999999999781892026217866647520551632896', 3, 4);
    T('-7.8E+55', '118097.84797341680579111351', '-77999999999999999999999999999999999999999999999999881903', 5, 2);
    T('5E+58', '9.332047130962960304171831959', '50000000000000000000000000000000000000000000000000000000009', 46, 4);
    T('2.7E+6', '-2243587586922585868.21895000483', '-2243587586919902700', 98, 0);
    T('3.9650129E+8', '287464302.989522504818436', '109083204', 66, 1);
    T('-992.57092448', '1.2E+8', '-119999968', 87, 2);
    T('3.1606E+6', '-9887.76540510143517490445', '-3153031', 76, 3);
    T('-66803.17989305505983980533773', '9.3461158', '-66812', 88, 3);
    T('50970.8985529434474932', '-3.2989392586265', '-50969', 29, 1);
    T('-595.3621040981', '-560379.4339754999482695517', '560808', 88, 5);
    T('-3904667.5468929', '3.337118856966E+37', '-33371188569660000000000000000003904667', 34, 1);
    T('-6.37685821E+46', '56605.30567578636', '-63768582099999999999999999999999999999999943395', 87, 3);
    T('-64933201.945858610576', '-4.1849068770638738423451E+38', '418490687706387384234509999999935591087', 51, 2);
    T('-9.36979506695196E+47', '91403.2857067438', '-936979506695195999999999999999999999999999908597', 100, 0);
    T('-5.17555575025E+33', '96.1091854687235747768', '-5175555750249999999999999999999904', 86, 0);
    T('35560998.134959113118649', '-634.96928666451680043', '-35560544', 68, 1);
    T('-2E+64', '-96951.468500506136471', '19999999999999999999999999999999999999999999999999999999999903049', 97, 3);
    T('5607.661926', '999260.02247112353098', '993979', 88, 6);
    T('-7952880.1513540538', '-5.12958550E+54', '5129585499999999999999999999999999999999999999992047120', 32, 3);
    T('8824.7531424503921', '9.454719', '8817', 31, 6);
    T('-8750156712.47', '97', '-8750156743', 83, 1);
    T('41274.6154174821649877', '7.314048555E+26', '731404855500000000000041274', 74, 5);
    T('26484069.951862789547614990', '-4.353175067975688868E+35', '-435317506797568886800000000025944731', 21, 1);
    T('714113.182', '-8974383.39986034570145835320', '-8525232', 55, 3);
    T('-5.7645904306492769E+29', '-2.688E+48', '2687999999999999999464473206850636064558769332224', 46, 0);
    T('9567.5847548022548899557460307', '103751405152.49716956965140261', '103751412543', 50, 0);
    T('-2784136916.92438', '6144987.048022579', '-2779729161', 27, 4);
    T('-4.9908335956882547764637189E+58', '22549710.76916576', '-49908335956882547764637188999999999999999999999999977450290', 67, 3);
    T('-8859.875488880190886912', '-7.0099494443564655552734949E+50', '700994944435646555527349489999999999999999999991141', 51, 1);
    T('-7.870187962E+18', '3611629.17697580305663452487213', '-7870187962001512467', 18, 6);
    T('1.739E+47', '-6.52E+8', '-173900000000000000000000000000000000000652000000', 73, 3);
    T('89280.84103819904952366830187', '-676264225.8556420783', '-676308449', 52, 2);
    T('-7.9241E+6', '-7.39135121272423166E+31', '73913512127242316599999998432892', 30, 6);
    T('-3256.56907966120861276685', '9270552.720304375879', '-9271728', 99, 4);
    T('4E+8', '-5124.52', '-400003076', 73, 5);
    T('64.3266002314868259', '81912597817439961618.068323', '81912597817439961682', 95, 6);
    T('8763223462.587850', '-6.9929E+50', '-699289999999999999999999999999999999999991236776538', 78, 2);
    T('2016577280233083578666', '5589494.05', '2016577280233080119516', 14, 5);
    T('-915604.4990534230520', '251.61158444023385435161', '-915561', 89, 1);
    T('4.31E+3', '11774.95645300240093809466828', '15656', 13, 3);
    T('-9.54533140367E+61', '-37.75746325464729763', '95453314036699999999999999999999999999999999999999999999999963', 68, 6);
    T('-6.16965E+56', '-1.71116E+9', '616964999999999999999999999999999999999999999998288840000', 97, 0);
    T('1.4699938348E+69', '-5.01016E+28', '-1469993834800000000000000000000000000000030132409166000389356762693632', 86, 5);
    T('531.0143929334175', '-2797677065.7692418208643', '-2797676572', 84, 1);
    T('-7.9236767649E+26', '-18192.3781068286246326', '792367676489999999999981808', 22, 6);
    T('9.593585326700239130E+26', '-4.89610032191335026756099878522E+70', '-48961003219133502675609987852199999999999999698448828447258853317158400', 69, 5);
    T('-7.616638183867910', '-7.374453110845606441535E+70', '73744531108456064415349999999999999999999999999999999999999999999999993', 83, 4);
    T('7.3456478995296331042895', '-5.1082035006209729919896852E+40', '-51082035006209729919896851999999999999993', 87, 1);
    T('2750536.6957', '-8.6575E+7', '-83951584', 71, 0);
    T('-9E+5', '-1.22751630842060E+27', '1227516308420600000000214112', 83, 4);
    T('479.812488928908552582', '-6.832E+17', '-683199999999999521', 3, 2);
    T('2.507E+9', '4.66106214E+12', '4662884944032', 1, 1);
    T('1042.260813780', '-2.36859029851944015354784E+50', '-236859029851944015354783999999999999999999999998958', 68, 3);
    T('-222.51997378329777162807371', '-6.5343631676034507713761E+50', '653436316760345077137609999999999999999999999999778', 7, 2);
    T('83', '-4590173175', '-4590173094', 2, 6);
    T('-23.665201', '7963506922', '-7963506941', 42, 0);
    T('5.31E+3', '-4565366.0876001158447391', '-4570572', 36, 3);
    T('1E+57', '4.74553228657789400773E+64', '47455323447368603081655211759619806530382124605542969918118428672', 77, 6);
    T('4E-29', '-3.0337466324285961496529148855E+38', '-303374663242859614965291488550000000000', 33, 2);
    T('396971.2085668432969680111435', '-7584509058335792938082862.02244', '-7584509058335792937692295', 50, 6);
    T('-5.53808407732728936824653728212E+61', '-22331.12', '55380840773272893682465372821199999999999999999999999999977669', 27, 0);
    T('4.6480812', '2098433.19778677910459', '2098437', 88, 4);
    T('-6.1467422836E+18', '3.2909E+25', '-32908994001930382382593024', 99, 6);
    T('-3.9212675E+44', '4.176E+9', '-392126749999999999999999999999999995824000000', 80, 0);
    T('-3.2E+44', '522896772', '-319999999999999999999999999999999999477103228', 36, 1);
    T('-16980.4', '792268711.41423474551954734841', '-792284661', 70, 3);
    T('1.433465029283947539210E+44', '-3.613E+9', '-143346502928394753921000000000000003579445568', 76, 3);
    T('3696138792.2912506832667', '7.987950E+60', '7987950000000000000000000000000000000000000000000003696138792', 83, 1);
    T('-9.6244785E+34', '-51284469.6208538465186312', '96244784999999999999999999948715531', 98, 5);
    T('-9.377694384774156295E+22', '71823204674.710129070824127202', '-93776943847674331082798', 80, 2);
    T('792.4407012850155539', '-94900070.75', '-94899326', 3, 5);
    T('9.14020102600106763909542019E+38', '4064.38', '914020102600106763909542019000000004064', 22, 4);
    T('382659.16303491961670065978', '-547.202326333622464374732994980', '-382178', 14, 0);
    T('-1.42E+35', '-701.9691386693130212124436406', '141999999999999999999999999999999299', 73, 5);
    T('6.721295412447308872161371E+33', '-8.4110716683149171952E+33', '-4336635990119366525056504136872448', 54, 0);
    T('5.04098878489564005E+32', '6940871832.4831288309419', '504098878489564004999997358984344', 92, 6);
    T('-5.633248285411354E+16', '7.240783957E+44', '-724078395700000000000000000015800017488302340', 79, 3);
    T('6038808358498.793044140974712', '-7.1814021966E+23', '-718140219656555385737630', 49, 4);
    T('74576203376764458927048.822769', '13496.5', '74576203376764458940272', 55, 6);
    T('-9519540364.28478959455', '-99626189801.05773810844899', '90282896227', 29, 0);
    T('75827.6', '-9.446413E+7', '-94388403', 47, 3);
    T('-4.2737454171725968796687', '8.0049127668369E+59', '-800491276683690000000000000000000000000000000000000000000004', 46, 3);
    T('2.14E+49', '-2.5', '-21400000000000000000000000000000000000000000000002', 50, 2);
    T('-702314.03420294', '-7.102864033388733534771E+66', '7102864033388733534770999999999999999999999999999999999999999297686', 11, 4);
    T('2468724917.021488', '1.3814889173956006451755398501', '2468724916', 76, 2);
    T('-7.710659049E+55', '9063.621394567538737', '-77106590489999999999999999999999999999999999999999990937', 48, 5);
    T('3.27381E+9', '-6.779384E+35', '-677938399999999999999999996726190000', 58, 5);
    T('662.1596606581359', '-93963188.4123986100751898510768', '-93962534', 49, 3);
    T('-89304939260365208253723.5387', '483', '-89304939260365208253690', 56, 1);
    T('2.518605625329915993', '5.80E+7', '58000002', 30, 2);
    T('9.03E+9', '8.212103371206140580526760951E+39', '8212103371206140580526760951008754969984', 57, 1);
    T('9.8629E+7', '44.448163969287564520', '98629028', 34, 5);
    T('5953949.1253059295403352473', '5.815737825135214423345358967E+67', '58157378251352144233453589670000000000000000000000000000000005953949', 90, 0);
    T('59.699711', '-43143180.6221708682677', '-43143217', 8, 4);
    T('35794445502527887152841457968', '-3.8E+7', '-35794445502527887152803501136', 54, 3);
    T('33.804410', '4351290011.358', '4351290042', 91, 6);
    T('745788952.5', '7.940', '745788959', 82, 4);
    T('86.18073876', '-83129643420194859.463813736', '-83129643420194941', 20, 6);
    T('-9.0322E+9', '360345.595405584421525', '-9031979175', 89, 1);
    T('-3271.05275039955634023409247459', '-1644.9443977280330822499', '2733', 100, 1);
    T('-2.4335915595296481533551326938E+64', '-9.5866871239E+51', '24335915595299619251299304805095528682645563360366547976501329920', 69, 2);
    T('-6.3597739416852E+56', '-4.251275E+68', '425127499999409142464369787720523792851038020275943438492652363841536', 93, 1);
    T('-2.6736606354293E+21', '290.303954583471545883', '-2673660635429300000222', 34, 5);
    T('-6.6149321474919233500342401150E+70', '8.171793046193986713170432E+48', '-66149321474919233500350545789953001825259992709259924789862777768378368', 88, 0);
    T('86.5126306639422977519661577553', '6.644186043036825109981E+24', '6644186043036825109980958', 6, 0);
    T('-7946157.9602153563187399830', '-1.023E+62', '102299999999999999999999999999999999999999999999999999992053843', 43, 0);
    T('-7.3E+60', '-43314.72024795', '7299999999999999999999999999999999999999999999999999999956686', 42, 2);
    T('-206621.27170150359178574777339', '-639330090.1081903998663', '639123509', 10, 0);
    T('2.8138126806299359295824', '4.386098491892847284390E+45', '4386098491892847284390000000000000000000000002', 39, 6);
    T('-7.33734592015195859E+24', '-371.30468703455583934891', '7337345920151958589999629', 89, 4);
    T('-6.4E+69', '7.177058263087664101557295E+45', '-6399999999999999999999995736774242916617334149166807885968452066738176', 68, 3);
    T('-6.4655E+27', '-8.50935410335367035662007633795E+48', '8509354103353670356613843253938875028257039187968', 75, 1);
    T('-56206269.680', '848866832.79671795488361749902', '-834735533', 16, 5);
    T('-4.18468025206348E+26', '753898818.7927830519058085145', '-418468025206348000338586302', 75, 0);
    T('898707669835971763613610134266', '-27327.953351438966417', '-898707669835971763613610123333', 39, 6);
    T('26422741.171855019224', '8.29678728974166683672E+49', '82967872897416668367200000000000000000000026422741', 93, 4);
    T('20565791.0809', '-4.4708E+65', '-447079999999999999999999999999999999999999999999999999999979434209', 72, 6);
    T('5.46518986712593E+41', '-183330.5630360707440650243', '-546518986712593000000000000000000000183330', 77, 3);
    T('-8.5373E+9', '-3.027875505616887E+32', '302787550561688699999992296317920', 74, 4);
    T('-95129098.10850', '-6961.5125808452865890748325707', '95130937', 79, 4);
    T('4156.358', '-8.7463512E+58', '-87463511999999999999999999999999999999999999999999999995844', 57, 0);
    T('7.68114E+53', '-1845.81731', '-768114000000000000000000000000000000000000000000001845', 68, 5);
    T('-220888076.26935315834476', '-4.2751893018E+43', '42751893017999999999999999999999999779111924', 68, 6);
    T('9.9242507292179', '-5E+9', '-4999999991', 61, 1);
    T('4.841E+61', '2.8227421386197152226774', '48410000000000000000000000000000000000000000000000000000000002', 44, 1);
    T('-5.0605940422E+43', '9E+12', '-50605940422000000000000000000008626545782784', 62, 6);
    T('-561947351.4', '-1.4E+13', '13999453797673', 93, 2);
    T('2.5787913043E+50', '1.37E+36', '257879130430001369025651860302013941509001364635648', 85, 1);
    T('-1641482891.414922', '-9.085738030116776460804181761', '1641482882', 89, 6);
    T('966.4272919334132838658', '-92248.476509718896680784', '-93074', 19, 6);
    T('526166.248562188078', '2202.7753203963156016105', '528332', 70, 1);
    T('4.20776518022884123E+46', '6454333142.008550', '42077651802288412300000000000000000002159365846', 67, 0);
    T('5.6422054996E+21', '856714.434', '5642205499600000332426', 8, 1);
    T('-65177950237910.3', '-387518.0380', '65177950608744', 53, 0);
    T('-5024.18800', '-6543.974192', '2577', 53, 0);
    T('-7233274729.4141', '-2.18269295147E+14', '218263408506015', 87, 2);
    T('7.82620750', '8E+6', '8000007', 36, 4);
    T('99514530.997113816856', '-9.34928210E+10', '-93440001190', 44, 4);
    T('-9.9150590920034', '8.0E+23', '-800000000000000000000009', 45, 6);
    T('179532224.3', '-1.99896E+19', '-19989600000108039744', 5, 6);
    T('7.082636659692556407378172890E+41', '-8.9126696989E+21', '-708263665969255640746656171439410315970560', 32, 4);
    T('24.246587188370499494766', '-6.12340651030154774411912', '-30', 97, 4);
    T('3.257E+19', '-5.5765392378157655659803092349', '-32570000000000000005', 69, 4);
    T('20171952.8882058506405584', '-5.63E+5', '-20667272', 75, 5);
    T('-432.0193057961825', '-492810895298.8805744', '492810894958', 27, 3);
    T('3.86681617331766335285101E+44', '145338917.195585', '386681617331766335285100999999999999872709157', 67, 5);
    T('7E+3', '8.497388049836524320283E+41', '849738804983652432028300000000000000007000', 76, 5);
    T('-96.578951258870246605976', '-61.75076643768258886084', '99', 7, 3);
    T('-4.143E+7', '9267.76102', '-41422813', 42, 6);
    T('-8.0382621164136662503E+21', '-1142836.636910414901', '8038262116413665263112', 92, 2);
    T('-3.5985984998432642E+17', '-1.599E+8', '359859849841498700', 24, 2);
    T('-1.08695133949198147128E+32', '4.4913545667E+49', '-44913545667000000108553694159260963911368175222784', 98, 1);
    T('-321024404.54783873579003', '-135.8475661331881831673520662', '321024277', 42, 3);
    T('-830148', '-576.30863396', '829692', 89, 4);
    T('-9.595207E+8', '-6.13E+7', '982925988', 51, 6);
    T('463543668076563707.008138838', '4.996287E+9', '463543672753391331', 33, 0);
    T('5.351E+5', '9.39E+6', '8875404', 94, 4);
    T('9.0361808424534E+27', '1E+3', '9036180842453400000000001000', 36, 0);
    T('-58806.6258009770683482921', '58.581254', '-58768', 46, 2);
    T('61.47', '52.0306205830123504', '9', 73, 6);
    T('286796.0204', '374.295074488', '287034', 10, 3);
    T('6288843.7474158', '1103.0911562', '6287748', 97, 2);
    T('-4389176639.939330503570627', '-357129734.84086', '4577352507', 64, 6);
    T('-7.5713502636883E+49', '8.38', '-75713502636882999999999999999999999999999999999992', 99, 2);
    T('-7.462411361992854158E+32', '-7927025.6844', '746241136199285415799999998429967', 90, 2);
    T('47033.1432785961169124894544', '-79.42864403888052', '-47096', 48, 4);
    T('-66444177.66', '8.84878E+44', '-884878000000000000000000000000000000066444177', 88, 5);
    T('1.5505287645982091515517E+46', '84.938', '15505287645982091515517000000000000000000000084', 56, 0);
    T('19690158485171450509018.13', '-2.1E+2', '-19690158485171450508812', 62, 0);
    T('-1.9662E+6', '-3.8', '1966197', 51, 2);
    T('769449279.64473', '-6.872218447946775757944642999', '-769449275', 11, 4);
    T('-90184.6909810', '9.60085', '-90191', 93, 1);
    T('9.7E+4', '7.981897E+50', '798189700000000000000000000000000000000000000097000', 94, 6);
    T('1.72739581745937072027196414E+43', '-66761903.3', '-17273958174593707202719641400000000036353199', 74, 3);
    T('-5.8E+26', '-8373669.289858', '579999999999999999991626331', 94, 5);
    T('890.642090579184100953033860', '270146254.4875659734606', '270145972', 93, 2);
    T('-9.1100715E+9', '-851740', '9110837200', 12, 3);
    T('-34859374.3432807325145312', '26.0812735158852422286', '-34859384', 76, 0);
    T('-713999179345042779240098.58', '3.6942950634357264', '-713999179345042779240099', 91, 2);
    T('4.64E+8', '-5.0448516834', '-464000005', 42, 6);
    T('7.77', '-3326679561863336.1452141809718', '-3326679561863329', 28, 5);
    T('4.6363863926771720015699', '-376.0123421452278933301268064', '-372', 84, 1);
    T('-9.09517502259E+38', '9379330.5811583254294735', '-909517502258999999999999999999990620670', 48, 2);
    T('380287150.6016378076954437', '8E+4', '380338222', 75, 6);
    T('2.1E+7', '2751488.84043079396012617361', '23696192', 93, 4);
    T('2.471E+8', '-2.28E+4', '-247081840', 3, 6);
    T('76.706328364430444', '-47805844.516856', '-47805920', 32, 5);
    T('4214314.5610141', '3.8933501E+10', '38937713250', 18, 3);
    T('9.3394576136E+11', '334.02189738243924663105119', '933945761566', 84, 0);
    T('-7435.856', '-7448.855381028', '29', 32, 3);
    T('-494997.609222828094317660557', '-3.6E+3', '492443', 71, 2);
    T('-1.84E+5', '-8.7561E+41', '875609999999999999999999999999999999816000', 45, 5);
    T('663375.13585', '92.94687671616822027888059881', '663315', 62, 1);
    T('-7.6989', '-77.738156013619627356049', '74', 94, 5);
    T('-4.4635308885230635072740', '-8.710497208141E+25', '87104972081409999999999996', 87, 0);
    T('-20.6022082317924027294005570', '-71138156.911', '71138168', 25, 1);
    T('3.0802794920158107790847578034E+36', '18943.5261', '3080279492015810779084757803399986175', 58, 5);
    T('2608590.13362486745173784315', '-91508580.912426643393', '-89359022', 27, 1);
    T('5.2E+5', '7.7450E+6', '7455400', 1, 1);
    T('-62752458832.28492200093810872', '1.2983019154082352362836074', '-62752458831', 1, 1);
    T('6693569.917466963165', '-8984087.98172077692957075916', '-15676632', 43, 6);
    T('3.22324E+9', '493400.359962018431483139429', '3222878744', 25, 4);
    T('-84229.1430474', '-20719.05766832943247835861', '72170', 37, 3);
    T('-3384983841802197281.17108157035', '1712922.77954920037', '-3384983841802598971', 47, 0);
    T('-6.59044083E+29', '2.4195166448700E+37', '-24195165839280781575495493587210076160', 56, 4);
    T('-56.227142785973576738897245', '-5590.6342444975961649633', '5602', 60, 1);
    T('-54742065226517.4582', '42110.725280449915', '-54742065252203', 57, 0);
    T('833.65286671917256', '62000719.934002536439', '62000398', 67, 4);
    T('6118759624.88552727336425784', '-513.171791228684547710947', '-6118760137', 77, 6);
    T('-3617.59373550824962442166478957', '-4.56098961E+22', '45609896099999999996383', 31, 5);
    T('2.544E+50', '-2815532003.262269199558063', '-254400000000000000000000000000000000000002815532003', 2, 5);
    T('-956579.76665', '6243686.0', '-5365189', 94, 5);
    T('2499498627.5057624190109792704', '6528357.6', '2493042662', 52, 1);
    T('15.3', '831862.49614250490170', '831865', 68, 2);
    T('-861116892.1530', '6420009839.9878255564177', '-5603199669', 41, 1);
    T('-35.302057425051033474483020', '-2.08E+43', '20799999999999999999999999999999999999999965', 44, 1);
    T('3.699153580231719478E+33', '4.91544520468601512776E+39', '4915448660192075352013496301813055291392', 33, 2);
    T('-46453.6558485538507', '3073767.52410454', '-3036052', 87, 6);
    T('50.83294517125557238780', '-59244228537.4', '-59244228491', 50, 5);
    T('-778.78', '7.6802576385298E+29', '-768025763852980000000000000778', 72, 3);
    T('6.2160341466989505314316', '-2.27406801E+50', '-227406800999999999999999999999999999999999999999994', 89, 2);
    T('7.872E+28', '-998000.87', '-78720000000000000000000998000', 19, 2);
    T('-6377357970.46796965', '9.1E+37', '-91000000000000000000000000006377357970', 61, 1);
    T('84669.70761506394057', '7926.1264882', '87115', 41, 0);
    T('-7217776378.7747563', '53796403014.3404073481618', '-56517554624', 63, 4);
    T('4.33733928619', '19.9433462487041917481221552', '23', 9, 0);
    T('8.86476073323947579698E+30', '4263.530582043194484557', '8864760733239475796980000004263', 40, 6);
    T('7.7090995599940386480016549', '-7.6546303276244', '-2', 70, 6);
    T('-414.68976741933627361', '-8.776395111666397611094226E+27', '8776395111666397611094226386', 41, 0);
    T('-11265945.6158342019', '-4050938559', '4057959718', 47, 4);
    T('-80982786175449410195.8534', '8.57E+6', '-80982786175457652227', 37, 1);
    T('9.719484705E+26', '7.88293729764E+44', '788293729763999999649156354036837744814718976', 2, 0);
    T('683205706.34991677', '-151.893297973681747329220', '-683205853', 13, 5);
    T('-3127415029309172.52758099426', '3613.86805765593603715347', '-3127415029305583', 50, 3);
    T('5.88436E+37', '3.945914E+15', '58843600000000000000000567114767844352', 12, 3);
    T('7.7', '-7.0394E+5', '-703941', 27, 1);
    T('993.1628990354569491', '-7.45481133383E+25', '-74548113338299999999999007', 87, 0);
    T('6.115E+30', '-6.070675327259E+41', '-607067532721076174200242559527099375288320', 30, 0);
    T('30552.129397105902988', '6.378026076', '30558', 73, 1);
    T('-75', '-9075.721799307957736842119432', '9016', 40, 1);
    T('1549019387.9160', '-8.8E+8', '-1747424005', 22, 5);
    T('4.8E+7', '4.607E+8', '430560608', 20, 4);
    T('3106401.6', '-91623.69566', '-3015560', 41, 0);
    T('65.6363288617276743014911', '-8.385511565907109298784644E+37', '-83855115659071092987846439999999999935', 20, 6);
    T('-4.5647503660935776879834100E+44', '7E+21', '-456475036609357768798338477948531826973736960', 56, 4);
    T('-40378321.9719149294649869', '-17980.77', '40393195', 60, 2);
    T('-8.8093192599719472264101324743', '-2E+3', '1992', 34, 3);
    T('4373139.80466147', '-2861.51357', '-4370880', 34, 4);
    T('-756466.67449726727386162', '-996.398822002879577708358', '755986', 16, 2);
    T('20121.738243296301', '-5425788437.8785833', '-5425772686', 80, 3);
    T('-7.16786577482744115508E+42', '2.9445E+26', '-7167865774827441023987366708331820984827904', 49, 4);
    T('-6.144818329159024186697436E+28', '48916.477155676', '-61448183291590241866974318252', 64, 6);
    T('1.662583091544008061726E+34', '3894857842.4', '16625830915440080617259996109344882', 1, 3);
    T('-51.891693231047508556558160277', '-3.8911E+42', '3891099999999999999999999999999999999999949', 96, 1);
    T('9.368852268665725117084293369', '568364449.62525961', '568364456', 8, 3);
    T('-748080.398334266729031', '-757919', '64177', 76, 4);
    T('34.618', '483815.6105598060', '483781', 3, 0);
    T('244.41277462281342543704730', '214715.17505517', '214607', 3, 0);
    T('5.94164209540768713949398E+47', '-7.4', '-594164209540768713949398000000000000000000000007', 24, 3);
    T('65316624.29909628346649', '1145200006', '1202125462', 28, 1);
    T('-255.748164', '94059333.1095207', '-94059452', 26, 2);
    T('64292670', '3.0999152405E+14', '309991503930222', 59, 4);
    T('7.48410E+9', '-90158654.687285', '-7437155230', 4, 0);
    T('2E+9', '-1.087764883E+12', '-1087514047032', 15, 5);
    T('-7.3448485459415E+40', '-537818.6279', '73448485459414999999999999999999999462182', 43, 1);
    T('-9690077553.632464045705076367', '-8.98E+7', '9743950927', 50, 4);
    T('-1.16337785367459E+38', '6.5285790870408182753990713E+47', '-652857908635638057139010284391091091897183109120', 28, 5);
    T('-5635.24830', '6.9799E+31', '-69799000000000000000000000005635', 84, 6);
    T('9.832727E+8', '-476795608.30483066842548496', '-653319724', 72, 2);
    T('8.4417012347E+43', '-2.7E+9', '-84417012347000000000000000000000002700000000', 29, 3);
    T('-23675.939', '5286088', '-5305523', 15, 0);
    T('25.17244', '25421.363746939517651710436', '25428', 25, 1);
    T('-53142104.4845', '19485.15179627473472215222', '-53128779', 33, 0);
    T('2.086751778756E+38', '-7.5E+8', '-208675177875600000000000000000750000000', 100, 5);
    T('973261.6', '4.573697817057676418036E+22', '45736978170576764554821', 34, 0);
    T('-12085.64553184860814985890', '969960.1993355367471801400', '-975837', 94, 1);
    T('7908035.91490951', '18783167.13', '23474556', 89, 4);
    T('-9.1536218259318250638540576E+35', '6.25301667936134E+35', '-1039252260252279012174569515723030528', 43, 1);
    T('58.990227494770706977143', '7543954839.5', '7543954861', 84, 6);
    T('-887780.757338921566130267697629', '4150345305', '-4151096763', 33, 0);
    T('43147.011467539112973618769', '-6366412359.7436070986747960552', '-6366369486', 31, 0);
    T('956.87127133', '37319.14', '37499', 41, 6);
    T('-140928652139076.651624415914', '68908512.1944', '-140928717467556', 2, 4);
    T('-14.56917182476123528', '-6.902254976454309309931175949E+37', '69022549764543093099311759489999999986', 87, 1);
    T('3.82E+8', '9.4528686211820E+32', '945286862118199999999999819963264', 31, 1);
    T('-7889.31296', '-8.889148E+25', '88891479999999999999992111', 60, 1);
    T('-2.1496536E+8', '7975.4800007088196531630617', '-214958921', 30, 4);
    T('-2.070E+9', '-6.2094096529E+37', '62094096528999999999999999998735306368', 16, 4);
    T('967686117.98478', '10071982.8561973390877380272', '959715403', 20, 6);
    T('80387', '-51362806.9198220786216259348302', '-51282423', 35, 4);
    T('1841973765.5771', '-46246926.3503926', '-1863050761', 86, 6);
    T('-3.258841561E+41', '5E+21', '-325884156099999999995037569029233985978368', 27, 0);
    T('5.9276677805257E+27', '-1.8760576690225649691041656E+49', '-18760576690225649691046328802696708904793059606528', 59, 4);
    T('4.468193E+33', '-5.823295446914408455E+39', '-5823291790652900708424301405418821779456', 32, 5);
    T('-51', '-80266.8029882182535185881360489', '80315', 8, 6);
    T('-8.1E+2', '9.027239340E+46', '-90272393400000000000000000000000000000000000810', 61, 3);
    T('7.910078', '58437283400.599', '58437283407', 89, 3);
    T('7.94923197205513997012551092351', '291269414228976440.674388013155', '291269414228976447', 80, 0);
    T('2.8889805386', '-9.92436921782662005', '-11', 93, 2);
    T('4273.9189677380816385094387228', '-3786.02240202447288324585251', '-7801', 95, 6);
    T('-8.0639272E+27', '-72800.5277651254', '8063927199999999999999927200', 22, 0);
    T('3.027736032283400741014204', '6.94562', '5', 86, 2);
    T('17907501.12458462487978805793', '-3.0678784198E+50', '-306787841979999999999999999999999999999999982092499', 61, 6);
    T('-607.8552849671021961', '3.84E+48', '-3840000000000000000000000000000000000000000000607', 89, 1);
    T('3.974E+7', '5952590848.6100539217791508292', '5915227744', 57, 0);
    T('3.4E+36', '-36381.58126199764706272720869', '-3400000000000000000000000000000036381', 77, 3);
    T('43912.1347025808', '7.9131983E+9', '7913175380', 42, 4);
    T('3.56331356240156135950971E+44', '43447579567094707251.863378', '356331356240156135950970968505136947781645363', 47, 5);
    T('-4.9480706016254728E+25', '6.182294340645E+23', '-48881662386684111205681152', 58, 6);
    T('-2.03486414643587', '-4.14410E+40', '41440999999999999999999999999999999999998', 63, 1);
    T('4.3199E+8', '-604211670.6878241957849', '-1035742502', 34, 1);
    T('88278584913082671811011.44107', '78561694778032116.5930320927720', '88278510329422171321911', 36, 1);
    T('2.3539855E+46', '-9.335149E+27', '-23539855000000000006859016862767159156517371904', 49, 0);
    T('-6.5737345462782621E+49', '-9.51887892994872230803471681715E+42', '65737354106879323693253951995585308817946987601920', 97, 1);
    T('-6.9E+5', '1.10404540362297267118E+45', '-1104045403622972671180000000000000000000690000', 85, 3);
    T('-858325087.60280067294012985', '41608.332', '-858366679', 26, 2);
    T('-4.1258881291155983E+32', '-4.206844E+7', '412588812911559829999999974839848', 92, 2);
    T('-6682.2986536045702134191', '60389.257376286006816', '-61949', 94, 5);
    T('-6.47671E+44', '-26016.959836', '647670999999999999999999999999999999999973984', 47, 0);
    T('-7533147977.334011217410', '7', '-7533147984', 6, 4);
    T('73415030.70', '1', '73415031', 46, 0);
    T('7795.78065501206122653144442', '541.1441826709686783', '7278', 84, 2);
    T('-47.5644984434', '-6.227960237945703E+29', '622796023794570299999999999953', 9, 1);
    T('-90.8871506', '-37741843.65', '37741899', 59, 2);
    T('9.8465203533710847735750049E+32', '-8032479.196913285', '-984652035337108477357500485187167', 44, 5);
    T('-777619302.5339739490', '-70549.634', '777557233', 82, 5);
    T('75237.37068', '186073.0', '258876', 49, 5);
    T('53282863.9872', '3.34714991496283842758', '53282860', 33, 6);
    T('-4.4021E+9', '645582.682', '-4402671314', 84, 1);
    T('-1.25717143E+46', '-8519498000.133606147485', '12571714299999999999999999999999999991480502000', 33, 3);
    T('149736796.437913951932365842642', '-3.64051187E+22', '-36405118700000131838628', 8, 5);
    T('-32.265928946371', '-8.23242939E+9', '8232429394', 47, 0);
    T('5.89833576976E+20', '-1.43219E+7', '-589833576975997479148', 33, 0);
    T('-2.224E+8', '-2.83', '222399998', 73, 1);
    T('679154851136.231126549975744585', '-51.4840', '-679154851187', 98, 0);
    T('-8.760353289468953365764486E+42', '-5.44442474428395016261660293', '8760353289468953365764485999999999999999995', 76, 0);
    T('-4E+27', '-8.7E+7', '3999999999999999999913000000', 40, 3);
    T('-5.756805789709194627205229', '-9480156950.5144111858231', '9480156945', 64, 5);
    T('8E+44', '-8644334264.88383483638', '-800000000000000000000000000000000008644334264', 95, 6);
    T('-5263824349.4509402164889', '738.563051734226672863842', '-5263824703', 96, 2);
    T('-16894192.786049', '1797485.470696246501067', '-18523523', 48, 0);
    T('-5979.83963072266231', '-6.89931329E+40', '68993132899999999999999999999999999994021', 62, 4);
    T('6.236', '875520438.09451202252914048436', '875520432', 63, 3);
    T('-5.64625862401028531E+32', '-809548064837993597947881323.4', '564626331935146378309733008758933', 76, 4);
    T('-26684.282964', '-7845.7187948810151729537', '30367', 64, 1);
    T('-1.1528293442113865811642E+31', '100', '-11528293442113865811641999999900', 19, 1);
    T('-5.750653E+42', '9.1418871707327533563385E+32', '-5750652999085837314521420558175163609988096', 55, 4);
    T('-5E+9', '58617.11', '-4999943431', 30, 1);
    T('-5505.26378', '-18.51957597', '5521', 67, 6);
    T('-295131872.85141672281012167', '6.6E+6', '-301199264', 83, 1);
    T('342572944004285520382749.40', '6905014.60517171693717970882', '342572944004285527152555', 85, 6);
    T('-6.4791E+7', '3E+1', '-64790986', 13, 3);
    T('-5907211274.7990483561512428', '-325481713.1826922308679', '6232641785', 28, 2);
    T('3220981237.5350335889042702755', '-8.3673225521004E+24', '-8367322552100401291565579', 78, 3);
    T('3.83132095041985E+45', '-2395623', '-3831320950419850000000000000000000000002395623', 17, 1);
    T('-1.4362E+5', '8.5E+2', '-143954', 52, 0);
    T('-78.421372054512317', '-6.4855845179801797E+29', '648558451798017969999999999922', 100, 0);
    T('-8.967776118931992E+32', '-24557.4', '896777611893199199999999999975443', 88, 2);
    T('-8270.3663208225060821', '1649.44688344879171478', '-9789', 50, 2);
    T('-91.09956214947249406', '-73563486582860.47285030741', '73563486582801', 22, 5);
    T('-88.25622710450084', '-96214278.565753806554125', '96214354', 95, 4);
    T('-1067.33731257149291937733', '-2459507289985664900', '2459507289985663913', 87, 1);
    T('18506.167188300157', '-5949706.23', '-5931332', 10, 1);
    T('83.6526025487417774582', '-9.0274E+5', '-902657', 84, 3);
    T('-36409.3631983000', '8763715920.431013619235344', '-8763686761', 16, 0);
    T('527512.743065302718241', '-3.2262319E+11', '-322623717240', 78, 6);
    T('-917.40292965401425579761519', '144784.3847908997323661626739', '-144901', 79, 5);
    T('67704154.673141', '692116065762042538702.75253191', '692116065761975893908', 57, 0);
    T('1.8213206', '4983.12157789940526', '4982', 73, 4);
    T('5.08370166788688119', '-3934849160.6086765039', '-3934849155', 83, 4);
    T('-7.870258653447776902E+50', '6.99992659379297542549E+31', '-787025865344777690188789586610765197782115944691712', 61, 4);
    T('8574.89468766769427', '-7E+12', '-6999999991426', 27, 4);
    T('660694928599.9933350834148', '-616.4715414006', '-660694929073', 4, 6);
    T('4.1030370558407864031E+27', '20270445517427.662040052616080', '4103037055840806599991534963', 100, 6);
    T('998738.266263869580626', '-4.62502E+7', '-47089030', 87, 4);
    T('-23818722', '80617.29875089', '-23743241', 93, 6);
    T('-8.29446E+32', '-3.861976861E+25', '829445994342839441081870829420544', 14, 2);
    T('5.3887279692340611129', '43428838.8481957', '43428835', 11, 3);
    T('-260734676.431', '-7.6302318E+36', '7630231799999999999999999999739265324', 76, 2);
    T('-17.9', '4.6937E+9', '-4693700017', 43, 2);
    T('-7E+8', '14933.738', '-699997355', 80, 6);
    T('7.83263E+27', '-1444.84764363913231099477587', '-7832630000000000000000001444', 30, 1);
    T('6.8E+5', '-306763.4152338700679579677', '-970251', 22, 0);
    T('-6630479.6667270066', '2.27443E+20', '-227443000000002305103', 85, 1);
    T('-4.307E+4', '-1.16E+12', '1160000038850', 19, 0);
    T('-445995487218893.10652', '-7966624478.064', '445992362001937', 84, 2);
    T('7.1', '4.995097602596942818443832992E+31', '49950976025969428184438329920007', 9, 6);
    T('-110464.077401700786277', '3973404227.975803557290', '-3973380413', 52, 2);
    T('8E+21', '-6.465076639426265715898E+36', '-6465076639426263657515095422427267072', 42, 2);
    T('-8.5013E+28', '-9.8E+7', '85012999999999999999935554432', 25, 2);
    T('8.8721925921845907780909638E+47', '-57.628607046832130284341638888', '-887219259218459077809096380000000000000000000057', 8, 4);
    T('-7.892555197366966122245466E+36', '-2698635400.2', '7892555197366966122245466002671171448', 27, 1);
    T('-7.7068E+30', '-70.69294541505169725740187123', '7706799999999999999999999999930', 7, 4);
    T('1.358477655232927536E+31', '-8.9068E+8', '-13584776552329275359999243629248', 55, 3);
    T('-9.72803921932803279852E+27', '-47295535.56965149079525374242', '9728039219328032798491775441', 79, 5);
    T('6.197E+12', '-1564491602.8111', '-6195569749330', 16, 0);
    T('-451.65875084', '-3535.0', '3084', 83, 5);
    T('404407290.088891', '-453127912.510958403897', '-51965214', 26, 4);
    T('-60551236.5', '-6351505507.323', '6326040609', 42, 5);
    T('-327.80086312299182', '-3.861507874649217700870E+42', '3861507874649217700869999999999999999999673', 15, 0);
    T('427675.215426731715071', '996844.76363005706364245', '635767', 7, 4);
    T('6095', '-970552154.32033583085516', '-970548375', 6, 4);
    T('-749654.2702868180', '25.8642908689274140888703842659', '-749645', 55, 0);
    T('-2.85147E+47', '-428.9289957727676649', '285146999999999999999999999999999999999999999572', 78, 5);
    T('-794.501596964871672366424', '-19169.805914088112671555059512', '18937', 51, 6);
    T('-6.410167357691190481747E+49', '-56432283128494484901.2174', '64101673576911904817470000000019390667673654334043', 36, 6);
    T('-906486615.4352388', '853289.3603152621591969', '-906684032', 35, 0);
    T('7594604.328280343406', '8.85873', '7594596', 98, 3);
    T('-9804472', '396344.416739998', '-9672336', 5, 1);
    T('4.7326150602335812472355538E+28', '-6.3', '-47326150602335812472355538006', 14, 1);
    T('-2.497805523522233268164E+28', '6.762131660522', '-24978055235222332681639999994', 33, 3);
    T('-2.1E+6', '52998.93592097206', '-2147354', 15, 4);
    T('7.5E+3', '9.3469723E+43', '93469723000000000000000000000000000000007500', 9, 4);
    T('-3.818', '700.69677144288221', '-703', 84, 4);
    T('2.703052972022579575E+48', '1.038149137434630894507246461', '2703052972022579575000000000000000000000000000001', 4, 4);
    T('-2783.0155944957944975160724', '-4884.412441945462340842226263', '6605', 10, 5);
    T('11325360560.5005401', '358916.1006', '11325551540', 63, 1);
    T('-6858.602971196', '2.92338599021856528268857063E+28', '-29233859902185652826885703926', 50, 2);
    T('-41.8181145126775', '-35.8201791100429', '10', 46, 1);
    T('168189.3415007599547872', '18.83798139', '168175', 15, 4);
    T('-194193092.3351227462687522288', '-330010812863591163667228739.90', '330010812863591163506855553', 11, 2);
    T('2.81736E+39', '-9.79438316469797274481790534', '-2817360000000000000000000000000000000009', 77, 2);
    T('3.32675907988858437052188689E+32', '-3.9396664', '-332675907988858437052188689000003', 35, 1);
    T('-209.31014851091483196', '-826948349.790471564', '826948140', 37, 1);
    T('43.1621020', '-6231083.4', '-6231042', 15, 2);
    T('1.99E+48', '-5.6840451182205777E+23', '-1989999999999999999999999887645127683741774716544', 91, 4);
    T('7E+50', '-74914.787644', '-700000000000000000000000000000000000000000000074914', 3, 2);
    T('711563383.6524', '7711745.453446', '706491510', 79, 0);
    T('5.88624328415248900474E+26', '-3998113879.9138804722023065277', '-588624328415248899101536983', 5, 1);
    T('-7873997689.1', '2.0757362093628374287965', '-7873997691', 48, 1);
    T('1.82E+35', '-8.15E+46', '-81499999999818204203306613917167856572879077376', 68, 4);
    T('-96946.06343365519830116780290', '3.656641826210466E+33', '-3656641826210466000000000000096946', 92, 6);
    T('-44022.3690848967', '4456591305.5031106197355062421', '-4456612925', 86, 0);
    T('-7.35920835635591971120717981E+38', '14.94150', '-735920835635591971120717980999999999986', 15, 5);
    T('-515463.5556102287', '-1430374395.0670176753747031', '1430657660', 88, 3);
    T('-48.991628173919', '31833.01253153586860092924', '-31863', 64, 1);
    T('-818659.51', '668.6067649128433322627735066', '-819071', 58, 3);
    T('55.2623', '7.0947803139131266091382823E+33', '7094780313913126609138282300000055', 4, 2);
    T('452.2760160369', '677520604.895937', '677520664', 6, 6);
    T('-157.79752423239', '-3E+16', '29999999999999843', 41, 0);
    T('-801214982.294', '6.7235402916E+28', '-67235402916000000000398561798', 8, 3);
    T('684005.95039390288645801223', '-2.9582E+25', '-29581999999999999999315995', 96, 4);
    T('-846122416.0732898482', '-243.68563994868827', '846122333', 81, 6);
    T('-253671327.435455507', '95941.04777194620', '-253739356', 45, 4);
    T('-3.505E+6', '-1808675.6', '3072581', 47, 2);
    T('493913550.6612232165630', '4.07475714956311098300040286467E+43', '40747571495631109830004028646700000053446094', 90, 3);
    T('-281.336', '621.737', '-886', 76, 4);
    T('1.43407610542574432837752194', '-2.094872E+8', '-209487199', 6, 0);
    T('19.136123462757', '-3885287.6582951912', '-3885302', 12, 4);
    T('16', '503495.828396825804224551012572', '503511', 89, 2);
    T('-3.091E+5', '59.348169975568012', '-309073', 33, 2);
    T('-8.64743258366561E+23', '-3.254851579E+45', '3254851578999999999999286575671786465065793024', 79, 2);
    T('7.851772993660099079476255789E+48', '-6711956.086402475385', '-7851772993660099079476255789000000000000002517652', 8, 3);
    T('7.1E+7', '-5.495E+7', '-125642672', 60, 0);
    T('983215772.0785828149839955', '179.512985296725854', '983215663', 95, 2);
    T('5.3642612933046360276684501E+45', '-2353057.66617956305255157', '-5364261293304636027668450100000000000002353057', 1, 6);
    T('50.9215', '1.817E+7', '18170018', 82, 4);
    T('-908204.8569653', '8.40E+3', '-916348', 65, 6);
    T('3.908133053700130070694E+29', '5.3080260783317E+43', '53080260783316733447647346329509479517775360', 51, 0);
    T('-6.475865237E+39', '-49642.9235440067820', '6475865236999999999999999999999999950358', 86, 3);
    T('-6335966758.817631745680069340', '1.00779891457592803982802241410E+33', '-1007798914575928039828018763294726', 36, 2);
    T('6.096977100693', '-1.2809344247571242', '-7', 6, 0);
    T('-2E+3', '44697', '-43351', 33, 4);
    T('-11184305.614129596311797411491', '-2.33668E+9', '2347516047', 13, 4);
    T('7E+3', '9.615E+7', '96156328', 46, 5);
    T('-6.90096E+9', '391165802.822321292891512', '-6644104598', 83, 5);
    T('-8033.0570422504581087250508584', '1E+1', '-8043', 79, 2);
    T('-96992371868.7841101424474', '-44.77731149946053746116816', '96992371888', 88, 2);
    T('-1388508.8280655592081', '-4.69707629383820756061E-8', '-1388508', 88, 2);
    T('-8862', '-8.1834741177081834553470207001E+40', '81834741177081834553470207001000000007522', 90, 3);
    T('-383833.171678170350', '-6456376.33572528982162948', '6774639', 13, 3);
    T('-426.6244942988375258047', '8515.691401373', '-8427', 94, 2);
    T('8.902273345493045037E+36', '-56304117.25300129', '-8902273345493045037000000000054206965', 11, 5);
    T('-4528947505.2855270', '-707950885.410778834939999', '4961875988', 51, 3);
    T('-593860721974.142085505323645', '-4.387793660583925', '593860721974', 31, 1);
    T('-134557.775176696311757341897', '2757544324616.3159307035854', '-2757544190869', 47, 3);
    T('-2294200538.775103', '43205.50628519302553638102035', '-2294157341', 27, 6);
    T('314671.6543421022702', '5.717514777652E+30', '5717514777652000000000000314671', 24, 1);
    T('-2794339.90', '-967495.18', '2383908', 90, 3);
    T('-9.377E+9', '41238964055.052224', '-50279288169', 38, 2);
    T('4.70317450767121541E+20', '2925788383.189512884', '470317450765752310615', 30, 4);
    T('-60719696.03044100385092977744', '-5E+9', '4993020848', 71, 1);
    T('-2.97065E+30', '5.35E+6', '-2970649999999999999999994650000', 33, 6);
    T('5.27E+5', '-427080390.8873085933990604', '-427602014', 47, 1);
    T('-3252785893.345205585900', '-4051195226.7901023294160', '815384509', 48, 3);
    T('8.1295638728130E+34', '7629.4962188', '81295638728130000000000000000007629', 33, 6);
    T('743356682.247966467587', '376130.74274063502981', '743113800', 44, 4);
    T('-1.096150328E+30', '5751.292491803', '-1096150327999999999999999994249', 31, 6);
    T('6E+6', '471.66381593213537', '5999703', 35, 6);
    T('-1E+8', '5.248394511E+21', '-5248394511000068296960', 93, 6);
    T('5240799.128805806228518498319', '303332931039775864.736431', '303332931034823591', 15, 2);
    T('-6.1982253502239788E+18', '-1.555275622432315928492354', '6198225350223978799', 25, 3);
    T('-77393.68473404780', '-3.216E+6', '3161135', 29, 4);
    T('4.5216102188689E+27', '-8.80586759358E+13', '-4521610218868987899691891256', 36, 3);
    T('1.205163938784143660E+30', '-2297124.9', '-1205163938784143659999997840676', 5, 2);
    T('5432010975806.610996644828', '9.3083226185549691228304E+31', '93083226185549691233047706602046', 20, 0);
    T('235008.713616494535042578929', '-6.80447539244688764998745747E+28', '-68044753924468876499874670444', 39, 5);
    T('58863.01427209579104541', '-6666199.3355989244', '-6640186', 40, 1);
    T('51392.69', '8.48E+8', '848018624', 77, 2);
    T('-113.066637832551955627154441042', '8.2666267832E+34', '-82666267832000000000000000000000113', 62, 1);
    T('8E+4', '70.334566795314912485296576159', '80070', 31, 4);
    T('-18.0251292222346267833289', '-2E+8', '199999982', 84, 4);
    T('-3292368.7426', '3810171.75218101271793', '-532405', 44, 2);
    T('-2.8E+4', '1E+3', '-28344', 78, 0);
    T('-43', '336.2590348858928463586', '-379', 78, 3);
    T('-87082290.7917730', '9.1E+43', '-91000000000000000000000000000000000087082290', 31, 2);
    T('5.9219917E+17', '-636.684', '-592199170000000636', 31, 4);
    T('83.6776856178', '7.0051779508', '84', 75, 4);
    T('863137.6609582905', '-7.38079887E+9', '-7380084277', 71, 6);
    T('-7.78195E+6', '9.47525631990382E+34', '-94752563199038199999999999995199038', 89, 4);
    T('-84857.95', '5.557182632E+46', '-55571826320000000000000000000000000000000084857', 1, 2);
    T('5.3E+5', '8357.35263394983607', '538357', 90, 6);
    T('-894865161715538.292', '3.1232E+5', '-894865161403218', 17, 1);
    T('-8.810376E+7', '-84691257258.758423', '84603198694', 57, 4);
    T('-7.82643193E+30', '-9536.24482987930463727753844', '7826431929999999999999999990464', 6, 3);
    T('-740.764587191455337082752811', '2022.70', '-1286', 70, 3);
    T('-81386790.831235982630355114', '1704867.45909099', '-79945351', 5, 6);
    T('9526.7334208710460063294', '3792942864650778464.328594434', '3792942864650768982', 85, 2);
    T('-56815289154683026473288.0882433', '77.0655933243287608065754', '-56815289154683026473227', 33, 1);
    T('-6733796.405017165545876', '7.8837E+20', '-788370000000002015204', 52, 3);
    T('-327592.03804465353278461220', '78779.5154760951230923413418', '-379933', 60, 6);
    T('7.8265726E+31', '9E+8', '78265725999999999999999155169536', 21, 2);
    T('7.393325540', '1858084555277.4', '1858084555274', 2, 6);
    T('-79.54552608314965978362958', '660539.44', '-660598', 35, 2);
    T('5.46284734314636204E+23', '-7082364.568413165087008074173', '-546284734314636196926076', 24, 3);
    T('-1.788799040078047385E+19', '-136850.102174752554550069096366', '17887990400780338024', 61, 5);
    T('8.36E+5', '-3843842013.137932749928', '-3843071613', 52, 5);
    T('79455432.3219', '-48.0157549601780555057321405557', '-79455464', 26, 2);
    T('8.7037209351244891E+34', '57677874321', '87037209351244890999999987866305681', 10, 2);
    T('7.600648337902112586065943916E+32', '-7.644E+48', '-7644000000000000596368675991731737535535850919040', 58, 6);
    T('-2E+6', '392709.522534161624', '-1800827', 37, 1);
    T('732204.69101835907', '-9099.6623825534248', '-724903', 52, 5);
    T('-274.821080126', '8854298.78677', '-8854028', 57, 6);
    T('-882.764560790485172926522', '-6.49501921799670', '884', 63, 5);
    T('-34175005514227.2733186', '9.86685030602E+26', '-986685030602012142762809843', 40, 2);
    T('-5.2725011947224255405316634081E+47', '260949434350.8883706345494', '-527250119472242554053166340810000000123484741650', 78, 0);
    T('-8.495576E+9', '-9.44125151972084397486E+22', '94412515197210157302856', 70, 5);
    T('-29.635534244727093722910756532', '1.076839E+43', '-10768390000000000000000000000000000000000029', 69, 3);
    T('-6.05923830049814E+18', '-9217', '6059238300498149215', 53, 5);
    T('1865097.470169172513', '576335857.592559209', '575036024', 83, 1);
    T('3557223.56197', '-77663.2443530671049', '-3631162', 77, 0);
    T('3.877E+8', '-63570942.25', '-349296350', 55, 5);
    T('5859394627.9299257175334771', '60.90', '5859394687', 69, 4);
    T('2.9978E+9', '4.60E+4', '2997780464', 6, 3);
    T('4670.4351231607721978891416', '989381634.07', '989386300', 55, 6);
    T('5978459.4629088083219376644800', '-4278382496.09017361788', '-4284077765', 84, 6);
    T('3E+1', '-246.91816371', '-236', 23, 4);
    T('-554260.4744506236280289', '8.99557', '-554268', 72, 4);
    T('1.06033705550E+27', '24325302500711.5', '1060337055500015295804587367', 4, 5);
    T('89.039183', '-2038479661', '-2038479734', 30, 5);
    T('626484998.067558711290', '5907760.968682', '621625910', 5, 1);
    T('6090552979.371230848824', '-8.9393696174842785595E+33', '-8939369617484278559499993976850797', 39, 1);
    T('9.30606123919808046E+19', '6.57873E+43', '65787299999999999999999943833723840094317048', 27, 1);
    T('-220646665.92', '1.28897154439480323950E+39', '-1288971544394803239499999999999914462473', 31, 6);
    T('-3908570499561244467', '-186648', '3908570499561135653', 79, 5);
    T('724329703.00804', '7.5025984594602446049390E+29', '750259845946024460494556155879', 47, 6);
    T('6.38E+40', '-1.285126758', '-63800000000000000000000000000000000000001', 5, 0);
    T('-568', '5500753503153.0', '-5500753502599', 19, 5);
    T('-71359.7470859', '5E+15', '-5000000000071359', 23, 6);
    T('-5.06', '7044539006168666526325060.3494', '-7044539006168666526325057', 76, 4);
    T('2966019.37', '2.4E+8', '241393155', 26, 3);
    T('9.5318933E+44', '8.0335905298395388951765E+29', '953189329999999197591239081522250061941782656', 5, 3);
    T('4910511.446001', '-18.109020526532367468227850828', '-4910527', 25, 1);
    T('-1.154690351E+28', '-7.779636614140552E+27', '18700220865155609083014250496', 16, 0);
    T('-7894715.5091', '44.6458940224', '-7894679', 40, 0);
    T('9E+9', '7.235E+21', '7234999999991010630144', 23, 3);
    T('612366554.606061244932298398917', '7127482.32', '605239648', 37, 6);
    T('9965468.733861202357257221', '263.5383379926015810552978003', '9965211', 91, 0);
    T('-8.22783', '40873.818225', '-40879', 48, 1);
    T('94233312.1208881', '5.13E+40', '51300000000000000000000000000000094233312', 28, 3);
    T('456029.26781', '-4.8349411566983456168371', '-456031', 43, 6);
    T('451801873.24153676768176963', '-3.91610457318', '-451801876', 74, 0);
    T('-344052.30656', '-8956.7564810908514549', '335112', 2, 1);
    T('58.75823870504773', '898.9488655', '952', 25, 0);
    T('-376278076.4852', '-9.888E+9', '10120031172', 92, 3);
    T('6.86E+25', '-3817037.378222036501378', '-68600000000000000003817037', 89, 5);
    T('-66.508666982374814835719070636', '-55049.959696693357063006', '55113', 82, 5);
    T('64384440046.52', '1E+3', '64384439558', 9, 5);
    T('926', '-3.238015808905892E+38', '-323801580890589199999999999999999999074', 48, 6);
    T('-3069333.67', '5.466101E+42', '-5466101000000000000000000000000000003069333', 1, 6);
    T('-288007.682248067813110055345', '-8E+4', '351609', 45, 4);
    T('-9925.74710196', '-5962206934', '5962213393', 96, 2);
    T('3.81996031496542751587', '-6.1245535E+48', '-6124553499999999999999999999999999999999999999997', 3, 2);
    T('61433634.80578027755932', '27297.54709531628376145197803', '61410691', 37, 4);
    T('-1.5563590225E+14', '279438.139095252750344711', '-155635902496642', 48, 0);
    T('-4627621.30945237962202', '7.36301040928303532886695E+34', '-73630104092830353288669500004615333', 68, 0);
    T('-216971.5850725786', '72164063', '-72248662', 13, 0);
    T('-8.236879318779E+48', '2E+5', '-8236879318778999999999999999999999999999999800000', 81, 3);
    T('-5E+2', '8.642519179134799103E+26', '-864251917913479910299999988', 27, 3);
    T('-876.00', '5.4016826895365E+37', '-54016826895365000000000000000000000876', 76, 2);
    T('3.77E+4', '6.3E+38', '630000000000000000000000000000000037700', 12, 1);
    T('-37145954.04528957498303155', '-4.77491281291023003146389930088E+44', '477491281291023003146389930088000000032584350', 31, 1);
    T('3.911619E+7', '4.7E+7', '10089566', 75, 4);
    T('-5154166513.900922864662959577', '3.1088E+8', '-4860277233', 27, 4);
    T('-634482.3832407757294261936459', '-1807.35047158529287', '633215', 91, 5);
    T('-243087.88962', '-88028.091371101094249', '189013', 29, 5);
    T('7.413', '-79137.3656924529119448281493', '-79144', 35, 6);
    T('-981.45783957011680307740774372', '-7.30E+4', '73459', 70, 6);
    T('1.9E+4', '30242388.30935811158986677', '30227564', 69, 5);
    T('-43670.73488881752356464', '213951061.548012', '-213911745', 27, 2);
    T('-1.5885495929105850398E+26', '5.4605347023E+25', '-210721314010207564199895808', 34, 2);
    T('-1.008732319448866188436955E+45', '8.986445268188359', '-1008732319448866188436954999999999999999999992', 18, 1);
    T('-558760616876.91', '-4468589243.93', '562957590801', 28, 0);
    T('704089.62497580386652977', '6.5462906', '704095', 84, 4);
    T('-5.742167916653482E+41', '-6182562.88941830', '574216791665348199999999999999999993817438', 81, 1);
    T('-1638012109.359220377', '-35429934.0464498280645342896', '1673431777', 41, 1);
    T('-5.549933110E+39', '5.61790E+12', '-5549933110000000000000000003349991714048', 68, 3);
    T('-7E+1', '-407.359882010358967', '467', 58, 2);
    T('4531627.86151592638979526557618', '-2.430078448414E+45', '-2430078448413999999999999999999999999995468373', 46, 3);
    T('78490285.22548948157874384', '-6.245184919426840798E+34', '-62451849194268407980000000076698963', 24, 4);
    T('4.1102110911283908539424E+46', '60.064662784593537950214608172', '41102110911283908539424000000000000000000000060', 6, 4);
    T('-5.07220305E+35', '-8016.5908098418512', '507220304999999999999999999999991984', 12, 5);
    T('6.90E+7', '-87.1673', '-68999959', 94, 1);
    T('-678009365.64987311331963258310', '382.33950', '-678009707', 53, 6);
    T('-82424.328295516156671239609511', '4.273E+18', '-4273000000000082424', 29, 5);
    T('-2.35E+7', '-3.1042407719181405859E+20', '310424077191837025922', 52, 2);
    T('-60517091427788.2861730939675', '2.28359102E+29', '-228359102000000016518557255116', 33, 3);
    T('-9.40480E+9', '-7787.8', '9404794261', 17, 0);
    T('1.7914665864035811824229', '-8.255389E+7', '-82553889', 30, 1);
    T('-2E+5', '-1095.7970', '199033', 78, 5);
    T('86310.63243445389477578', '1.80144E+16', '18014399999955238', 72, 6);
    T('153010242.098167127837138', '-56.8797', '-153010294', 49, 6);
    T('1.9191590755334E+37', '15734039301273133900577.3', '19191590755333987376781683309669638945', 30, 6);
    T('31820.420900719283', '-654130308.9607790', '-654131408', 53, 0);
    T('-5.34915329454849248421748E+39', '9', '-5349153294548492484217479999999999999991', 10, 2);
    T('5.05645692246340293459113809', '81168.99', '81173', 41, 1);
    T('-101316.680185811803717', '-17180.954238274401970018', '116952', 81, 3);
    T('-86202790.5181156533683304', '-8055021.8165245', '89764169', 98, 0);
    T('-176974.23176366403927', '1.9E+36', '-1900000000000000000000000000000176974', 42, 3);
    T('337086144538208', '93', '337086144538173', 53, 4);
    T('81609441.8027562421415558815', '-536489623.2912461', '-455568504', 60, 4);
    T('-1.511E+25', '-30.36593338258906324328278', '15109999999999999999999970', 45, 0);
    T('-3.7545486E+30', '7236.442025982941024361905839', '-3754548599999999999999999992764', 75, 5);
    T('2206504.48047685', '-1E+25', '-9999999999999999997793496', 52, 1);
    T('-9.23294E+39', '5442378504.583400306099', '-9232939999999999999999999999994557621496', 40, 6);
    T('-1.8171902870871522146E+22', '1.10529385705073439181946E+42', '-1105293857050734391811361324535666502792912', 61, 3);
    T('9.5175261262525693', '9.72594E+8', '972594009', 63, 5);
    T('5883150380366.803806479685', '-1.83865382809736847', '-5883150380367', 51, 1);
    T('482744.026730016248406999755385', '89.2637', '482785', 90, 2);
    T('-7.02E-89', '559568022.4408823180332080', '559568022', 67, 5);
    T('23595.7478201887574', '-9.844358E+37', '-98443579999999999999999999999999976405', 51, 2);
    T('-5535080440.36244742241602617903', '-4880044.835580768', '5530249564', 35, 5);
    T('-6.868E+9', '-5768002179', '3465668221', 98, 3);
    T('4.77E+9', '43993350.9494256364', '4811859334', 48, 5);
    T('5127613144.625452812274255413', '6692.66100096040804', '5127614716', 34, 2);
    T('-33444658304037.8', '-1.17286078962309016E+28', '11728607896230886591506934747', 62, 3);
    T('-9.6776880E+9', '-17248920340659671445896.1388933', '17248920340652150324536', 92, 3);
    T('-203106.6166182426328330', '6.09881044123E+28', '-60988104412299999999999940962', 70, 5);
    T('9.40E+5', '-9938.552299327222173588', '-946482', 100, 1);
    T('9507593585428.13', '-5.102E+7', '-9507643556812', 10, 1);
    T('3.55629509106856567E+18', '7.774558548511146E+48', '7774558548511146000000000000003406377780132935846', 74, 0);
    T('-5.595835E+7', '3759', '-55956963', 26, 4);
    T('32989928.8371453793', '-15556672569578509599540513043', '-15556672569578509599539948539', 23, 1);
    T('6.33', '25431084.480089126480264741', '25431082', 27, 2);
    T('-3.3113379700922638E+40', '-6177319074.3852', '33113379700922637999999999999995433293662', 5, 5);
    T('-5E+11', '-3939126.1445268593212', '500001840330', 53, 0);
    T('-159125.70237306601067967262422', '12.895719', '-159129', 94, 3);
    T('7.888', '879.385792', '872', 89, 1);
    T('-8090356342.886', '-43527141.054947377252690150020', '8063623569', 10, 4);
    T('9.3467980727589E+15', '-5218331.009375', '-9346798068277871', 89, 5);
    T('-46.475479044928', '763.0627479967', '-727', 89, 5);
    T('45.8722552', '-7.06567E+7', '-70656663', 69, 4);
    T('434266497906464677229.353823', '9.9301022278375296252519', '434266497906464677220', 50, 1);
    T('-1.198962', '770176806.61477339801', '-770176807', 55, 3);
    T('3.138168901E+30', '76.402093', '3138168901000000000000000000076', 67, 5);
    T('-5.64E+6', '5.5812162819046002713450059E-66', '-5640000', 70, 5);
    T('-3.563E+6', '63154855495.3090309315455122', '-63156044721', 2, 2);
    T('6665.9977469110683545947585688', '-1704.8568787145600', '-7343', 53, 2);
    T('-783546.302926152', '-634.9319427', '784064', 56, 2);
    T('3.10287359906823191334492E+34', '-98', '-31028735990682319133449200000000098', 10, 3);
    T('-4.75487548133E+15', '-83985001.4115725', '4754875565314855', 83, 6);
    T('-13965.79296913983003953', '411', '-14104', 89, 0);
    T('-73.739', '-5896512400958888.717651', '5896512400958959', 27, 3);
    T('-5.0E+46', '-3.29320315338', '49999999999999999999999999999999999999999999997', 53, 5);
    T('714203.08', '7.7512865733448262419175', '714204', 11, 0);
    T('38.875085833', '3279753206.499618502427616738', '3279753168', 83, 2);
    T('415595.537', '1663821.667723', '2044966', 54, 3);
    T('-3.724078123863129292255450231', '-93441', '93442', 9, 5);
    T('-1645868.0599232262057', '27586', '-1668842', 74, 4);
    T('-80268.052604214284314086', '-6.50945879E+11', '650945815132', 29, 6);
    T('325954496576280.0669438713', '482668.108042563953395581096171', '325954496652916', 6, 1);
    T('-2.004596210925E+36', '9.11034689668160', '-2004596210924999999999999999999999991', 95, 1);
    T('7.735775622624946262532453', '-2.24263062373677588621', '-7', 82, 3);
    T('-860642867.785461559749087', '155210921961149.7', '-155211135072400', 19, 1);
    T('7.7406983703893365248858E+44', '6.17169997202959469172628E+28', '774069837038933633579889502860118645324002432', 94, 4);
    T('5.131E+5', '-9586702.0952', '-9804866', 26, 6);
    T('-9.5775462356800642981', '6.773E+19', '-67730000000000000009', 15, 2);
    T('-4.3848987E+18', '-79631.45238685908', '4384898700000051441', 48, 0);
    T('-853190.511134570728349311437210', '7490.8', '-858504', 100, 3);
    T('-7423252345719.54874955915', '834962927.416846722215898323', '-7423541982874', 88, 6);
    T('8.8E+4', '-27.751', '-88027', 16, 2);
    T('-71.861476852606543', '-6602934.1418391', '6602995', 30, 2);
    T('6', '474350931.44988', '474350933', 48, 0);
    T('-93.56281963177122052364', '6486.2369012466192083', '-6411', 66, 1);
    T('-371039.9518309751', '2.957535407809389', '-371037', 16, 0);
    T('63.0865311157508314637172788', '-1409881.43445077786836211432871', '-1409896', 72, 2);
    T('74616832794725281.7', '-3.47E+38', '-346999999999999999999930460849341297759', 93, 5);
    T('-887443.847238', '1614048.6893325583616', '-1387123', 54, 0);
    T('4.874E+6', '-7.5E+12', '-7499996440816', 91, 5);
    T('63240735.8746939544040921', '-9373.5604663420342804108887768', '-63233668', 94, 0);
    T('-5.674205201E+10', '-7.5697269775E+16', '75697292089286934', 57, 2);
    T('125458.5437', '7.84E+8', '784010770', 10, 5);
    T('8618499553.0360553351913496660', '-7.47E+4', '-8618442283', 86, 1);
    T('-7.747348077733247174207180910', '9.2778758848414180E+49', '-92778758848414180000000000000000000000000000000007', 6, 0);
    T('5.8731643852171555289289560E+30', '-9356883.61937305493882', '-5873164385217155528928963780947', 39, 4);
    T('-6875205745.50338387867', '9.38189634143E+31', '-93818963414299999999998260105329', 82, 2);
    T('1.30074E+6', '-7.545481045301259793', '-1300739', 3, 4);
    T('149526.0217438', '93215.271344515', '205833', 81, 2);
    T('9.1344397973261237E+39', '-574039.2', '-9134439797326123700000000000000000574039', 81, 1);
    T('-3.98271E+8', '870757.65', '-397437811', 83, 5);
    T('204869357.829933611392', '44950.279259992395034929230', '204906875', 14, 6);
    T('18.2010457064478857', '-81.9508626375108699376707125075', '-67', 7, 3);
    T('-2.17', '506238.05694441536209973087', '-506240', 61, 4);
    T('8.203289986676E+29', '1.7E+11', '820328998667600000113476510720', 38, 5);
    T('2688.982', '-4.1825332613E+36', '-4182533261299999999999999999999997312', 94, 6);
    T('1.1411306308335575417413388', '6.1365877E+9', '6136587701', 24, 3);
    T('4238006719', '-26.3327549117508676028', '-4238006695', 93, 4);
    T('9687110.112871045306', '-9.382954291E+31', '-93829542909999999999999990312890', 20, 5);
    T('-55796.6411798850439360004425559', '3782153.047893', '-3764219', 47, 2);
    T('599967.20198499916721692', '81285.845766962', '530970', 38, 0);
    T('-8.38800423051E+29', '628211443.3151896410535', '-838800423051000000000586039565', 12, 6);
    T('89.79488954', '3790.778021422', '3735', 97, 2);
    T('975918.30733260883896481358', '-877.3752250174661812616484918', '-976707', 92, 6);
    T('-55880.6433895280018506931092457', '120483.22144747371213828', '-68837', 90, 3);
    T('6.6044228533610211384E+34', '-96.68324848792768353', '-66044228533610211384000000000000096', 92, 4);
    T('-4768046025.7', '831941.7755997576762', '-4768803342', 5, 3);
    T('6.9671E+8', '8.4', '696710008', 85, 2);
    T('9.0E+5', '-3.11E+3', '-898950', 75, 5);
    T('6.034558477E+39', '1.22272499', '6034558477000000000000000000000000000001', 24, 1);
    T('6379459559.0650703945', '21204.7002818544', '6379438387', 32, 2);
    T('-4990.2', '-4.231550602546183032836337E+46', '42315506025461830328363369999999999999999995010', 47, 1);
    T('97374101.79781132343843', '9797936105.209370421', '9895242876', 34, 3);
    T('80.50584726343162304514831', '-1253252526.01847653115241', '-1253252606', 34, 1);
    T('-9.12540888402717836360974', '-5.24457919443535E+33', '5244579194435349999999999999999991', 17, 1);
    T('-6.177933E+8', '-708960.48762082', '618141260', 90, 6);
    T('-3.447E+31', '8.02E+4', '-34469999999999999999999999919800', 15, 1);
    T('-239661.91952737', '73.51634036537144851', '-239718', 82, 1);
    T('7.73999724E+39', '-17451.276191', '-7739997240000000000000000000000000017451', 51, 2);
    T('-8.974627E+7', '-929931178.82', '842331380', 97, 5);
    T('-1054940.9350803355308076988', '270.5628139569', '-1055190', 45, 0);
    T('-4.85993500362470743596765707646E+42', '-5.327027E+7', '4859935003624707435967657076460000052144386', 35, 1);
    T('-2098.314296746231129', '-93461265.0255244835122', '93459233', 48, 2);
    T('-4429233.48760731292958025887062', '-2.02964E+43', '20296399999999999999999999999999999995570767', 55, 4);
    T('-45.059', '131417382.07191076929956532983', '-131417355', 58, 6);
    T('-1451991.868835457', '-1.07381905346474969101E+42', '1073819053464749691009999999999999998548009', 97, 0);
    T('-51376403.08', '6.144', '-51376405', 57, 4);
    T('6.7739024E+8', '-8.960E+37', '-89599999999999999999999999999322609760', 85, 5);
    T('4960678354.0666900', '6044016.073215730343491615', '4965124258', 69, 0);
    T('203975.7542784722647744828008', '-1.7537496E+19', '-17537496000000058169', 1, 0);
    T('6.925173199168007E+27', '-4.659352978257273800798104E+31', '-46586682871468333400836739279872', 55, 4);
    T('-1.88530E+45', '57082.221567', '-1885299999999999999999999999999999999999942918', 37, 4);
    T('105.315773611599', '-3693', '-3590', 33, 2);
    T('2875375.890723759', '9.3312E+8', '934647791', 74, 2);
    T('-2E+9', '69.127006854027789265680549009', '-1999999931', 5, 1);
    T('972.7528004493', '4042.15037089099717163549868840', '3078', 92, 3);
    T('-844914586368065686635', '5.6164654390E+49', '-56164654389999999999999999999193782032134752980075', 75, 5);
    T('9999879446.6489', '3576.110107269467616230', '9999876334', 4, 6);
    T('-7.2908397E+8', '-472807.563887', '729007783', 15, 4);
    T('790110.01346221059451068', '-3.25098949977394037356876722481E+46', '-32509894997739403735687672248099999999999734178', 72, 0);
    T('2.36242883636765062E+45', '-5.3854854878443030108E+20', '-2362428836367650619999999908794024193255063448', 27, 5);
    T('-5115865.89', '-2.73530419082436132351670484E-85', '-5115865', 50, 5);
    T('2.86479339064975E+17', '-248048.36600961217855', '-286479339065120376', 98, 1);
    T('1.1995208890482535353E+21', '-5758.75109923836714101195', '-1199520889048253530682', 89, 5);
    T('-682.5322', '-4.877599239618609501E+36', '4877599239618609500999999999999999318', 58, 1);
    T('-2.2E+11', '215471', '-220000083537', 57, 2);
    T('3419913.86', '79.0426380227049094992980458', '3419974', 31, 6);
    T('-750.17910978611869', '-5.1091E+32', '510909999999999999999999999999250', 77, 1);
    T('-7.8819E+30', '250277989.32884348818', '-7881899999999999999999883939739', 69, 2);
    T('-9.8E+11', '62.048489081611414129515229240', '-979999999938', 24, 5);
    T('673981384.01700276', '-6.20407566894068548E+48', '-6204075668940685479999999999999999999999326018616', 6, 6);
    T('8574.4322463412511393230', '6110650.801415473093825685148', '6102212', 40, 4);
    T('3.55349237402E+15', '-658.97682362720034124', '-3553492374019378', 31, 1);
    T('257243287.600', '11629483.676407', '266619708', 3, 2);
    T('-94.61', '18695', '-18779', 60, 1);
    T('3.2326513E+32', '561884604.199214740134615625', '323265129999999999999999488142780', 94, 4);
    T('62.099275330047107991326', '-930015139.51356', '-930015133', 5, 0);
    T('-55.489114400414456228354', '339778.282746', '-339829', 80, 1);
    T('-2999580.9452020114008373', '-895398.1305702626', '2124990', 2, 2);
    T('4.0265E+11', '-7.61643265053352241E+41', '-761643265053352240999999999999607516992896', 71, 4);
    T('95411873510.921727', '-4.21299E+31', '-42129900000000000000094237776154', 48, 3);
    T('-7972.0', '688219789.271055856660382', '-688224687', 24, 0);
    T('-616666.390878383692785895931', '-389.96451072', '616797', 3, 1);
    T('36125050285.868844697525', '5349.017585140822531913653404', '36125053256', 25, 1);
    T('-8.010748681E+50', '-18.7598655707681904', '801074868099999999999999999999999999999999999999982', 77, 0);
    T('14458896725.7', '5.1100873698235', '14458896720', 1, 4);
    T('-207751774.6', '6292.432228592432502141201', '-207753930', 37, 1);
    T('-7.818640572219727', '9.88065800829E+35', '-988065800829000000000000000000000007', 15, 6);
    T('5.007443039235142946058705956E+32', '7303483.5789547920288980', '500744303923514294605870594465723', 23, 1);
    T('-5.6684752E+24', '-4.19901159303653012972035', '5668475199999999999999996', 4, 2);
    T('261.444087668', '10.95', '271', 78, 4);
    T('658621736469389065444.2321422', '4.302062900579', '658621736469389065440', 3, 4);
    T('-9722512.437953023031752', '2.6', '-9722510', 17, 4);
    T('57549381.8259128088', '-7.689078796032509451405331317', '-57549380', 95, 1);
    T('3379.07019882955002222372', '-2244.241577948775923565', '-1521', 52, 5);
    T('735494.21', '437770.34518740523', '890636', 86, 6);
    T('-2537.7032041238153', '-7.805398514500704521E+24', '7805398514500704521002455', 16, 3);
    T('-48.52', '-1.471495E+43', '14714949999999999999999999999999999999999952', 27, 6);
    T('-551.4', '-91532608.3', '91533081', 75, 6);
    T('-3.76E+7', '-908208101.55003856', '874487067', 43, 6);
    T('25245100.678765765', '-283096222510158838374834.50606', '-283096222510158846825502', 11, 1);
    T('-3.571031218973229548080448175E+39', '38.382493719206724', '-3571031218973229548080448174999999999962', 79, 0);
    T('25604908386624664.6783630939', '-123300.7104021338920650044756', '-25604908386731324', 61, 1);
    T('97.68208185', '4665581536.374033126959', '4665581441', 41, 0);
    T('-5.102181560080205623285647612E+43', '-672.6090846372858', '51021815600802056232856476119999999999999328', 77, 1);
    T('-3271393.5266117331170199', '3.138911906E+12', '-3138908799537', 42, 4);
    T('340064985.750031709681229', '8.4E+7', '289753049', 55, 2);
    T('-694534.4760649259334224167534', '-306013627120.898206529595451', '306014321642', 90, 4);
    T('4304.392698089721353918754628', '-1.435901E+50', '-143590099999999999999999999999999999999999999995696', 59, 6);
    T('-2.6E+8', '-9.732E+5', '259101040', 62, 4);
    T('-4E+8', '-5.243789070865097', '399999995', 35, 5);
    T('8.2E+2', '-214207004.33', '-214206768', 27, 4);
    T('-5.305418971852180058097465E-435', '2004671.691227602715', '2004671', 22, 5);
    T('238548.7142', '7.76849246570363895057834863915E+37', '77684924657036389505783486391500040404', 20, 5);
    T('-5.8610056638', '7E+5', '-700005', 67, 4);
    T('615959406.2308095867413', '-238137.7', '-615868759', 23, 0);
    T('912.99670354746650639404541348', '2788712.523448977', '2789112', 26, 6);
    T('-8.79819544748893E+30', '8E+1', '-8798195447488929999999999999920', 15, 6);
    T('-5.800235628169E+39', '8357162726.8900024317930064849', '-5800235628169000000000000000007212093722', 81, 1);
    T('9.11973366545250E+16', '-142.16592683805242968220894132', '-91197336654525126', 87, 5);
    T('4766643935.70895538', '6.01896169983E+43', '60189616998299999999999999999999996176709343', 82, 2);
    T('6.2099622956', '-4146903132.832584751738', '-4146903134', 37, 5);
    T('-12213.137842809864644', '175.59777', '-12060', 34, 0);
    T('7.213E+6', '-8', '-7213008', 7, 3);
    T('3.6426440693852392963913E+28', '-6231404.33844608', '-36426440693852392963909923116', 41, 6);
    T('2.204280137', '1037455728.6728402', '1037455730', 96, 5);
    T('3.665094083491918E+27', '3.73587E+46', '37358700000000000002576599824486593624386756608', 55, 0);
    T('-2.49153717183024E+31', '-37041416.73821', '24915371718302400000000034261752', 81, 2);
    T('-507686.9219806523848125470', '-8.618377546989E+20', '861837754698899846106', 92, 6);
    T('-1.28E+4', '549.160292806391999800752', '-13275', 19, 6);
    T('-5380175144430.477330894', '-9332731.370', '5380182884887', 20, 0);
    T('9.912E+33', '62123.9691172195925274464342', '9912000000000000000000000000062123', 74, 4);
    T('-7.323778E+43', '-4703036.25423410186325', '73237779999999999999999999999999999995296964', 6, 5);
    T('-9420483023447473.456865318882', '903592576.42', '-9420482849939249', 82, 6);
    T('-9.579E+4', '123.827716692168', '-95831', 92, 1);
    T('-8.7934206E+36', '-9.992E+42', '9992008626780084991958260637546297337839616', 96, 0);
    T('-7258663.468400213506733416', '9.52908184E+11', '-952906955751', 66, 0);
    T('-2255120179.8565617406956916', '-8.17679458908877920350E+39', '8176794589088779203500000000002182453453', 66, 5);
    T('-1.441960079684080699E+24', '91537575.757625301685814', '-1441960079684080608052249', 61, 4);
    T('-9.95E+9', '-700975.12002544899769243', '9950609745', 92, 1);
    T('98.1', '652175121.64090528906673', '652175219', 16, 6);
    T('7.31188819563884879', '2548.8939174749', '2547', 42, 2);
    T('-84.0329211804301544749', '24.8495779623', '-76', 6, 0);
    T('-7271.360708', '-4.76168727429216', '7269', 42, 6);
    T('17815217.2559', '7.6602061522E+45', '7660206152200000000000000000000000000017815217', 96, 3);
    T('2821020.4', '-8520958.59018533742', '-11079522', 71, 6);
    T('-300.65663415766991', '6230271784.10', '-6230271492', 11, 5);
    T('8.13107E+48', '309.971435880', '8131070000000000000000000000000000000000000000309', 24, 5);
    T('-4592987027.7771804858266649721', '7423324.83', '-4591857359', 80, 6);
    T('-65254.19215308191', '4613187006.269', '-4613167964', 5, 4);
    T('47811851.83730232531796425042', '-112100108.493841549830788161267', '-74911233', 8, 0);
    T('-39558.55169982739385', '-5.82E+4', '31186', 17, 4);
    T('98945.6534408590934001381', '231.5546727345495676', '98918', 66, 4);
    T('-3.66036843412393977580131146E+48', '12615398.1828368137761801548206', '-3660368434123939775801311460000000000000004161818', 46, 3);
    T('4551168194', '1343.9240043045234403', '4551169533', 43, 1);
    T('5874691.3937137', '1.841E+13', '18410005790723', 7, 5);
    T('4E+3', '-6.0070345149806831322627967344E+43', '-60070345149806831322627967343999999999996000', 83, 1);
    T('6.722E+9', '2E+6', '6722883584', 8, 2);
    T('592.650751641935358031026278422', '-29.10206014412469684760045', '-589', 95, 5);
    T('-4.4E+7', '48.18778907965148255', '-43999952', 47, 4);
    T('6.4733E+7', '754246214.13445184439', '791633166', 29, 5);
    T('294994104.798018654893227606', '-2.98584933283472289194', '-294994106', 32, 4);
    T('1.4E+3', '-2.4273093963604496711738E+27', '-2427309396360449671173801288', 89, 0);
    T('-63323758.9732803459530717760425', '32382.321', '-63324180', 71, 1);
    T('5.301785629181384E+39', '-550965.991931794536', '-5301785629181384000000000000000000550965', 71, 6);
    T('-96508.70195241697358481', '-399520260.88277482526', '399592184', 88, 6);
    T('-7.89892583099E+33', '-339', '7898925830989999999999999999999661', 47, 2);
    T('911.2887560908540543116359', '-59276914.3068276159698089', '-59276799', 99, 3);
    T('395148.292575793277043', '-6.7950129462740', '-395146', 34, 1);
    T('-6E+5', '-59365.6145502428', '639067', 69, 4);
    T('573815.239707662', '-3.663053599386099586701595883E+45', '-3663053599386099586701595882999999999999426185', 40, 2);
    T('-8.4051E+7', '-5.263123320614487E+38', '526312332061448699999999999999915949000', 36, 0);
    T('-2.874991E+23', '3.7E+19', '-287535955800250986397696', 56, 6);
    T('1931.3389562177669279721', '3.553779526754', '1928', 27, 6);
    T('83524.9968', '-9.01759318654053145178301740E+32', '-901759318654053145178301740082364', 37, 3);
    T('-29.076542', '-5542227787.04118578574379955369', '5542227798', 69, 4);
    T('4.27871870664094143974521E+47', '3576960071.4927614', '427871870664094143974521000000000000003006534727', 91, 0);
    T('8509483917.03497820758150572', '19101604497595325788.746579', '19101604489087956689', 96, 2);
    T('-923.6488852719', '46895105.1300', '-46896028', 32, 3);
    T('71941.78', '-655640813.96030', '-655708650', 20, 6);
    T('71381.859534606217', '-46977070.29259', '-47040249', 53, 4);
    T('-7.523E+7', '-674.7895273370', '75229582', 54, 2);
    T('-72241.591728261', '731940236694935893999.33692031', '-731940236694935956960', 36, 6);
    T('189.4', '587340056.1', '587340197', 5, 0);
    T('-189033.6335665', '-7.156538537204548604447029878', '189038', 47, 3);
    T('70898.299280988500407', '884.660', '71558', 36, 0);
    T('69888.64513429900980247711', '-7025680.3677494294132', '-6956304', 24, 1);
    T('-4347475.1673361550203470019122', '6.10748652E+42', '-6107486520000000000000000000000000004347475', 4, 4);
    T('-726.1', '66601.80651987', '-67325', 33, 4);
    T('4.683422245197344865302', '8.0561805764479E+15', '8056180576447896', 84, 5);
    T('8.444E+6', '22574461.92788694488132', '30977309', 65, 6);
    T('1008.83', '8.7249814476722E+36', '8724981447672200000000000000000001008', 38, 2);
    T('-9.94125522126820830E+25', '2.13734', '-99412552212682082999999998', 53, 4);
    T('5794762485.7929929', '6E+2', '5794761901', 78, 3);
    T('529.43844634569', '1.617E+7', '16170497', 93, 3);
    T('-8110330209009359911138813', '-6.961930300112E+24', '4190272366171746222000643', 79, 0);
    T('6753837.8323727436988', '-8.3516955E+42', '-8351695499999999999999999999999999993246163', 49, 2);
    T('4.8347712849154E+34', '-6.8700789141478763326E+50', '-687007891414787668176691890014741431237825582333952', 99, 3);
    T('5.949134557442E+45', '65.86334269314925057501843', '5949134557442000000000000000000000000000000065', 41, 2);
    T('173.720551443098', '4886243.9', '4886094', 68, 5);
    T('-2482.53696889501560467730906101', '9E+7', '-89998130', 40, 4);
    T('1625335128.73313', '-7380.28817', '-1625340300', 62, 5);
    T('270.422232389136', '-7715.023538539563176237', '-7981', 73, 0);
    T('6.1700710043129E+27', '-2293601825.86788', '-6170071004312900002020972065', 19, 4);
    T('-9.55605437551828744E+42', '8354.52', '-9556054375518287439999999999999999999991646', 71, 2);
    T('50238122.2086828597', '-8.7001756750896960674099E+31', '-87001756750896960674098964246358', 28, 0);
    T('-25.7805', '-4.140E+29', '413999999999999999999999999975', 53, 0);
    T('16813.59725940745853', '-1601015874.6662', '-1601032685', 31, 2);
    T('-802826861.798527234602006882383', '-500.19001', '802827167', 63, 4);
    T('8.7628E+37', '3419995861882934500367027.3530', '87628000000002021952865508070970202803', 37, 6);
    T('-11.4326', '8387293.1716225', '-8387288', 78, 5);
    T('74.661977', '-13639745844.70017', '-13639745914', 22, 0);
    T('-518560431.98', '406759.262', '-518958666', 91, 1);
    T('-8.483E+9', '-2.4760602588569283155237E+26', '247606025885692833827765232', 68, 5);
    T('32422.7353654', '-201838305', '-201830471', 86, 5);
    T('2E+3', '21717812508537.0781772553332', '21717812506793', 77, 0);
    T('-529177820.9206430440', '-5.175E+4', '529159934', 6, 6);
    T('-6567928.36', '-2.88394E+10', '28832851400', 96, 2);
    T('-804352977124.780', '4.5926E+5', '-804352911648', 79, 6);
    T('-8189663762.61919', '5E+19', '-50000000002820954642', 58, 2);
    T('-2.713780913793699', '-6.410662732187051673E+36', '6410662732187051672999999999999999998', 98, 3);
    T('3073469', '88484437.028467462976418497', '90755048', 54, 5);
    T('3435718.69221', '7.3059004474451198109986344E+28', '73059004474451198109983449222', 47, 5);
    T('117339.17', '-6.74337E+7', '-67452601', 14, 5);
    T('-6682.17244228', '29.803452046230534', '-6661', 60, 2);
    T('7226913.44', '-88985.54026589096658789', '-7282106', 14, 2);
    T('1.52E+6', '6.899E+4', '1457406', 100, 5);
    T('4.73936775396525473331827647E+45', '-9100.0267272', '-4739367753965254733318276470000000000000009100', 24, 6);
    T('-9673465625.295434033566329', '-860.3967032042', '9673464899', 86, 6);
    T('6217879.777056247482415073', '9609', '6210846', 23, 1);
    T('30.3089509309', '-82467.20588933', '-82493', 20, 2);
    T('83278222.3231125070764959489979', '9141943.99907904451', '75351865', 94, 5);
    T('152198614.689680812930', '-92544847.6648338104234712', '-211174041', 63, 4);
    T('1108', '-8.6669459214359831666201', '-1108', 38, 5);
    T('3E+6', '6.793089605246E+37', '67930896052460000000000000000003000000', 53, 4);
    T('-3.611E+8', '-5.17849391563634E+37', '51784939156363400000000000000209325344', 69, 2);
    T('1488187975.4204625292702', '9.60227917094E+42', '9602279170940000000000000000000001488187975', 88, 2);
    T('-5.924066111463E+39', '-1410000970.56', '5924066111462999999999999999998589999030', 73, 6);
    T('-8.25513893E+49', '-25.390115239455685', '82551389299999999999999999999999999999999999999975', 38, 0);
    T('-891992487', '77302200725083.364519', '-77302551304190', 91, 6);
    T('2.280062773848786600E+36', '-383.58716782430441', '-2280062773848786600000000000000000383', 8, 4);
    T('51.51279942730859280157', '-2.681E+5', '-268145', 100, 0);
    T('6201531346.2020324207', '74228018.66000364086', '6271498976', 37, 6);
    T('-5.919866388E+10', '4900640.27886475563203375', '-59203202024', 60, 5);
    T('-413.80895243595270035923', '-1246.06038573506612428665568', '1345', 80, 1);
    T('-32458320.821148645', '2.67E+7', '-7876272', 67, 0);
    T('-2205.79187926969845429816041', '-7506648.5427422901', '7504459', 13, 6);
    T('19495.2590345555', '2.3975837413973999350535E+23', '239758374139739993485921', 52, 2);
    T('491265.642789814375', '8.0696E+17', '806960000000098049', 93, 3);
    T('8.4143878661624863949955863755E+37', '-2168692953895.25', '-84143878661624863949955864272277503271', 50, 3);
    T('8953352773.6981295226', '-36.4028810882631364966491', '-8953352807', 67, 4);
    T('-2.8935571E+8', '8175998149.73000562', '-8429298553', 65, 2);
    T('171762271163860.791661891630559', '3.15E+9', '171761092639316', 63, 6);
    T('-5E+29', '-6.6549E+11', '499999999999999999427925538688', 81, 2);
    T('-8187.72650219155081', '-280.3275', '7917', 61, 0);
    T('7.8539617770401178978056', '5.2', '2', 38, 5);
    T('-125.6267259766', '852941.4975', '-852914', 20, 6);
    T('4528480.2304325500471073', '-38764192.74452942123631', '-34236416', 47, 4);
    T('643434.5158345941949873', '7516090.57074849548713614', '8093392', 3, 1);
    T('3844862561.9738', '-3913512', '-3843048775', 54, 0);
    T('8164646.558', '-72129.94302612596633', '-8228071', 65, 2);
    T('662.8968861815349924716328', '-5.37737417466188E+21', '-5377374174661880000362', 38, 4);
    T('-6054.2334883', '-9.20852E+8', '920846778', 2, 2);
    T('-162344234.0', '35303.52370366842069270353', '-162374863', 34, 5);
    T('5E+3', '-4.4458617774807771023365087', '-5004', 46, 1);
    T('6.1E+3', '-58834031.007457099277113234446', '-58829755', 65, 1);
    T('2677072113.907437214', '2.232210058545059E+47', '223221005854505900000000000000000000002677072113', 2, 1);
    T('-4073067.22410892843999346017', '526913514379795.890056569', '-526913515043962', 62, 2);
    T('-4E+8', '7.79744812843550', '-399999993', 97, 0);
    T('-6E+6', '-600468624145843.1003448754369', '600468628828365', 76, 4);
    T('5.2E+2', '77016.8244403917928', '77520', 55, 6);
    T('1.04279E+45', '-85513.201406185597487026', '-1042790000000000000000000000000000000000085513', 43, 4);
    T('7675330.3405', '4791544.6049866353159611', '3932474', 41, 0);
    T('36192.7012686858', '624969.8032058763187390224267', '590889', 75, 6);
    T('98.3005765770360400573590', '28083476.047066911', '28083574', 69, 6);
    T('4.3E+8', '-5514731.205538708605140', '-435511915', 30, 1);
    T('-4248304.8549243', '-621.9', '4247683', 38, 2);
    T('48.7890155969309508', '7.3835120292954E+17', '738351202929539984', 72, 1);
    T('-7.45265272E+9', '-236709953.88591024776584413', '7284301039', 22, 6);
    T('-1125.56717414694435294499', '-2.2649E+5', '225501', 42, 4);
    T('33501728650390.0', '7377395189.0', '33507407079779', 98, 4);
    T('-55514402.7429098049370300300', '-5.72670854292140', '55514405', 5, 6);
    T('-6353685331950.44828100', '-404069.122269852735548620689588', '6353685714313', 75, 4);
    T('-998462.105063212283063024091', '-4.59E+5', '539850', 86, 2);
    T('-9.149E+5', '1.925855241952846478E+29', '-192585524195284647800000300500', 13, 5);
    T('7.3E+9', '-8408641211.4933499', '-1177323451', 59, 0);
    T('8.3036E+49', '3.466E+9', '83036000000000000000000000000000000000003466000000', 24, 5);
    T('4213361.2913052365034248884252', '-9.77242569148191968335E+23', '-977242569148191964159719', 88, 0);
    T('-636996.89', '4.8898028732184679553681166', '-637000', 64, 6);
    T('-136841.2727432435409133', '16968792', '-16841425', 37, 0);
    T('1351073013.128882576425927774', '-19171.6471', '-1351087640', 94, 2);
    T('27439.4899901270019', '79.4188750', '27488', 77, 2);
    T('-63753.671445452496068031030795', '-3.4740217361E+21', '3474021736100000014071', 1, 6);
    T('7.4295E+38', '967683.9279234086803', '742950000000000000000000000000000967683', 69, 3);
    T('45.349657047', '-5E+2', '-479', 60, 2);
    T('42.1508864294730271787630', '5.92414050374E+28', '59241405037400000000000000042', 33, 0);
    T('5.9489001067133454E+18', '-8.44145403010E+46', '-84414540301000000000000000005656902796177396360', 1, 4);
    T('-6.609870299288785041037E+34', '822.90', '-66098702992887850410369999999999178', 58, 5);
    T('-515885196036.2', '-60.45103166869727', '515885196088', 38, 0);
    T('5.1951599E+9', '1.33338003840606291E+27', '1333380038406062905933772124', 67, 0);
    T('-3E+36', '-7149914.02347845800', '2999999999999999999999999999992850086', 53, 4);
    T('-33827098', '-3.41879', '33827099', 65, 1);
    T('-605503.6554186917588149', '-246915544.763077936069', '247373033', 98, 1);
    T('6677834.87192', '2.66089303515111609', '6677832', 3, 5);
    T('-8612.662260988', '-9.3812346070708311599918865E+32', '938123460707083115999188649992156', 18, 6);
    T('3E+27', '-1E+6', '-3000000000000000000001000000', 18, 1);
    T('-8.1439', '72.6134', '-80', 54, 4);
    T('8.852564229994170', '-147783.3693', '-147791', 92, 5);
    T('-96422061.3845789017414000149', '-2.322', '96422061', 2, 2);
    T('515149807.2814024', '-916125.585010321261303849', '-515470708', 35, 4);
    T('7.4725205E+21', '-2.6E+4', '-7472520499999999993232', 55, 0);
    T('7.791913382221', '34170.989380627215333', '34173', 80, 2);
    T('1406.0179431527', '-594606328690843902297519', '-594606328690843902296273', 54, 4);
    T('6.5409678916278', '5.896214E+7', '58962138', 6, 5);
    T('-14584.447206437002951198161', '59040.579077935963116248', '-56920', 67, 6);
    T('98515685.99533', '-618.8', '-98515085', 69, 4);
    T('-562519547.3979211334', '3.7E+8', '-931831163', 62, 4);
    T('8906.7530', '-68049861.960150968', '-68057359', 56, 1);
    T('-4.801E+9', '2583.958', '-4801001513', 83, 4);
    T('3.8818871622976992404', '-2.0855119E+9', '-2085511897', 92, 5);
    T('334.71965202753689120', '46.35905964196441047635', '352', 78, 3);
    T('232.671', '-22.77304476335721037187991816', '-254', 19, 1);
    T('3817063418.16088523481233', '54920285.79214796302596', '3771058087', 71, 2);
    T('-1.676872225142712025E+50', '-2.03', '167687222514271202499999999999999999999999999999998', 58, 4);
    T('-6E+30', '2.64375247E+41', '-264375247005499233568868091589975672356864', 88, 4);
    T('1671.2178992860040519', '65.0865052649870877', '1734', 41, 5);
    T('9.393418716785014234E+22', '9.60E+47', '959999999999999999999999941637787030510791529376', 24, 1);
    T('335639.1', '-8.523780476399E+34', '-85237804763989999999999999999664361', 15, 1);
    T('789523173.1671375112463', '-90.1860840399973342584834370823', '-789523133', 17, 2);
    T('-5.9563873776293E+26', '-18.689230465978610221407', '595638737762929999999999982', 90, 1);
    T('9.24432479700463897905', '6.566498157E+26', '656649815700000000000000009', 9, 3);
    T('110.223', '6027101833.14515663507716', '6027101927', 47, 0);
    T('42651.456265667223100247', '-58.32698956150091', '-42659', 66, 4);
    T('-18347274.18474629992605100723', '-7.660E+5', '18629926', 43, 2);
    T('4269133444.14546', '7598515151694.01', '7601366379978', 8, 3);
    T('-8423636.2463658174946833086175', '-1.5109280E+38', '151092799999999999999999999999991576364', 93, 5);
    T('-142056014612181106217.362', '468726.526216533', '-142056014612181424351', 67, 0);
    T('61.162', '-8422.71911480936581', '-8409', 100, 5);
    T('1.5348E+13', '-8.8826E+45', '-8882600000000000000000000000000011040279066624', 19, 0);
    T('-9881798483.5078112201342848025', '-5.2155521129', '9881798486', 69, 1);
    T('4.0E+25', '7.62665E+7', '40000000000000000076266500', 15, 3);
    T('304381.78390847009349', '-4003251.52501446577', '-3780944', 23, 5);
    T('-2005828588.117', '880.4672060461', '-2005827740', 90, 4);
    T('39.43420574039445', '-68799170.78786701936846', '-68799207', 19, 4);
    T('5E+39', '7.811234E+8', '5000000000000000000000000000000781123400', 79, 5);
    T('-4.48204879853E+27', '5.169507E+31', '-51693200031421029358872357044224', 85, 0);
    T('6.03384050935E+42', '-6.7E+8', '-6033840509350000000000000000000000670000000', 76, 3);
    T('-95.851224406864094900', '672.929552110980864', '-767', 92, 6);
    T('2342886.0154670121651734', '-8470820227.87063787329844224750', '-8468679269', 76, 6);
    T('-5.99965328863819599E+49', '-7.11913044520452731896E+30', '59996532886381959906989687015503683040407096074240', 59, 2);
    T('399637.812840787491107', '9.8046683946973185E+36', '9804668394697318500000000000000399637', 96, 0);
    T('-3840.772011', '677696.0736207080971071363', '-678336', 86, 6);
    T('960630810147386409649580.420', '-60.4062', '-960630810147386409649560', 66, 3);
    T('2.0802386195972959982E+32', '8669271414', '208023861959729599820008532890998', 65, 6);
    T('4.6991607876E+21', '7455617.63538078234369047505717', '4699160787599996773249', 58, 5);
    T('6E+8', '1.3411877223E+15', '1341188263152736', 59, 3);
    T('-569.1964818441870646987476782', '-2495129984913083411844.5271', '2495129984913083412411', 36, 5);
    T('-1.054634510230E+20', '-4.732E+6', '105463451023003672992', 48, 6);
    T('-3.9676E+7', '3.72033961486130E+33', '-3720339614861299999999999962081376', 76, 4);
    T('-522.869579032383289', '5612811240.00293', '-5612810722', 53, 6);
    T('-615.88189191877', '4.9264991658452983581301954E+42', '-4926499165845298358130195400000000000000615', 5, 3);
    T('92131.57714256', '3.44247587139787E+23', '344247587139787000072675', 96, 1);
    T('-3820.926794323', '7668.63968285838920', '-4896', 91, 6);
    T('-191965865.3262732642526', '1.7976E+9', '-1616124329', 47, 5);
    T('-3.989990764124879E+50', '-5E+2', '398999076412487899999999999999999999999999999999500', 29, 6);
    T('5.193899E+13', '85.89', '51938990000085', 76, 0);
    T('2830.65651548115', '-71340794.1821', '-71342584', 21, 2);
    T('201039.753570370886473', '4.913850E+39', '4913850000000000000000000000000000201039', 17, 5);
    T('-99740641.8', '888.52752663479', '-99739801', 95, 6);
    T('-41555.7210891889620789', '-773908814.427', '773868319', 3, 3);
    T('7.487E+7', '-8809.985', '-74862233', 31, 4);
    T('-394361714043314.003', '-55007.4510539', '394361713999727', 16, 1);
    T('4.7519E+5', '3.0149769141', '475189', 93, 1);
    T('43288921.0954799', '-6.47958621208233031336457305161', '-43288925', 29, 5);
    T('5.27288633765499127235E+38', '-9169.93953014', '-527288633765499127235000000000000009169', 55, 2);
    T('6E+6', '-6.5E+3', '-6001892', 74, 6);
    T('-49706168.8772688738', '-240027979.696388288370834359', '213450237', 55, 4);
    T('-5467.875113', '-2.1958234713073E+26', '219582347130729999999994533', 23, 4);
    T('3.46131553215358467746874889E+46', '7E+39', '34613162278977753441348594345903268563136806912', 12, 2);
    T('4.79E+24', '90612.8', '4790000000000000000090612', 40, 4);
    T('64.15570', '1.1239E+7', '11238936', 87, 6);
    T('1.74E+8', '-98252828.5602717959146079796', '-260325276', 11, 0);
    T('7111554.8308', '-254.72952', '-7111552', 6, 2);
    T('6.42737763743856225063552484297E+36', '-3423350.794351486174582', '-6427377637438562250635524842971305718', 65, 4);
    T('-7.589380608E+29', '842414.7534089287052178', '-758938060799999999999999157586', 99, 3);
    T('78.6939872723334510398', '4.306500665E+22', '43065006650000000000078', 20, 0);
    T('26930.8091581540439395862329', '-54406616641637329754.204272', '-54406616641637335660', 75, 2);
    T('-3987.7407', '698.42093779063006813779685941', '-3369', 99, 0);
    T('382433.0', '-374298721.2925', '-373984642', 77, 4);
    T('2.4E+9', '4.5032', '2400000004', 30, 4);
    T('-3713.59', '-2880842682109165607740238.70054', '2880842682109165607742925', 32, 0);
    T('555265014.1030908', '-1471984761.671376222011457', '-1990467471', 50, 0);
    T('49906.73493163124304272035', '6435.78104360371', '56273', 77, 2);
    T('1609.1431057192634082605', '6.361574E+43', '63615740000000000000000000000000000000001609', 48, 0);
    T('-231575889', '8.224E+30', '-8224000000000000000000231575889', 21, 1);
    T('-74997641.081', '7418.3571015549348956686109906', '-74990451', 62, 0);
    T('-9.386E+21', '-563734.0798497307178678174', '9386000000000000484842', 43, 4);
    T('-5953.540', '69526335.0354657524162', '-69530752', 72, 1);
    T('-2E+31', '-70.7992332957682759674203467', '19999999999999999999999999999930', 2, 2);
    T('9.0638363203194953291086127E+40', '2.54320143993714589002972634E+43', '25348193979159739913762928832344249590972416', 100, 4);
    T('998760.79811807848759', '400.2929420696093712782707', '998648', 11, 2);
    T('-5.20685E+21', '3.73235390181482207705599E+35', '-373235390181477674673600489076428800', 55, 3);
    T('-88.69971986273521681367', '8976.91', '-9032', 45, 6);
    T('-36423.1244033140406770427442922', '7E+9', '-6999967815', 76, 2);
    T('-649620.4556979000192835852831', '-8425798052.6852522165834571341', '8426262576', 74, 0);
    T('3.4914540965665138783696207086', '5.966E+5', '596603', 47, 2);
    T('-4.4295E+5', '3.38953295821640296380E+22', '-33895329582164029228854', 17, 6);
    T('371174.362959356236530', '-8.77125312114066065635', '-371170', 17, 0);
    T('5E+4', '-4.924E+9', '-4924016048', 79, 5);
    T('42264124.590917595194', '-2427468.5635459818', '-44166264', 63, 1);
    T('2.1066498583795293866857169504E+50', '-1340657004975934107.62660', '-210664985837952938668571695040000965450300527397531', 14, 3);
    T('3.48716E+6', '7.2242881E+25', '72242880999999999998768568', 56, 3);
    T('-9099.6158379228059142016238381', '-9.22759113E+25', '92275911299999999999990901', 28, 5);
    T('-3.4E+4', '-29.72021595657240271461', '34003', 72, 6);
    T('-6999.00189557177103050305114414', '7.3718297754E+42', '-7371829775400000000000000000000000000006999', 18, 2);
    T('-6E+42', '-70745.744866584800256009174', '5999999999999999999999999999999999999929255', 88, 6);
    T('-29540.144078732200069406', '-788883483.338949294630334575', '788863865', 62, 6);
    T('7941', '-9E+12', '-9000000000251', 72, 1);
    T('52657592523.580883', '-9.217017494E+49', '-92170174939999999999999999999999999999947342407477', 94, 6);
    T('47.751174815049979058', '4071904339.69', '4071904380', 85, 2);
    T('-1.0168728037279406898342E+23', '-542679', '101687280372794069490093', 50, 2);
    T('9.30479906734E+13', '15039.281723724472079779', '93047990674759', 20, 0);
    T('-426131544', '29.19046585615', '-426131531', 75, 1);
    T('2177564866.266448329063881', '-598.62354355429402', '-2177565336', 53, 2);
    T('-9.40617126707726257555114E+27', '7.04985468408748589157469E+31', '-70498039743087732810379296435616', 86, 3);
    T('8698762764.921284', '-41663646223548750.363783958', '-41663654915954498', 42, 0);
    T('2079582671.80372288481051', '9.06496830481318962401971160473E+42', '9064968304813189624019711604730001957734863', 24, 4);
    T('-30964.4589705961247790900400262', '-92.472625308823299086623', '30888', 37, 5);
    T('-8', '3.047732612515056974697E+32', '-304773261251505697469700000000008', 55, 2);
    T('-7.8992696610441400955321', '-99963348.4593768', '99963349', 81, 5);
    T('922.622546847718737069089229', '2285635830.918951129539050726', '2285636460', 79, 1);
    T('9E+50', '73842.911822322601477', '900000000000000000000000000000000000000000000073842', 6, 6);
    T('7961659414.29702981593686438124', '-769.661744798386974066', '-7961660183', 67, 0);
    T('-4835572968680600.9893382', '8.90804610350228464763', '-4835572968680608', 9, 0);
    T('618206188', '1.5381E+5', '618351422', 75, 0);
    T('-3.1964418E+8', '3.83515156E+42', '-3835151560000000000000000000000000319644180', 2, 2);
    T('231063499.32337', '-55650154.75430', '-244619427', 96, 2);
    T('-8.0E+4', '967.56481405713311737762302590', '-80825', 61, 2);
    T('-209134284.892980', '-4.1E+7', '235323124', 60, 6);
    T('3046.51266957', '-4.199249862379088665428845E+48', '-4199249862379088665428844999999999999999999996954', 33, 2);
    T('-821.20697229408073249577757464', '-647.1870214822602352', '434', 37, 1);
    T('7810563116.580534290551', '1319699766', '6964820250', 71, 5);
    T('-27.7932731538898120737233', '9.03660167099810461477181438E+49', '-90366016709981046147718143800000000000000000000027', 88, 3);
    T('53124531.12105', '4.0958536393689947914426811E+26', '409585363936899479197326589', 77, 4);
    T('-50310.49', '2034.249861999226477', '-50040', 34, 5);
    T('2.964558410888950040E+35', '8.82428931562396711E+44', '882428931525891363107961479456139311687139328', 45, 1);
    T('8.9309', '14687.75988', '14679', 54, 1);
    T('-672109692961379411.689', '-15.7488900065', '672109692961379420', 68, 0);
    T('7.297170796119449E+25', '-9.1052197005E+15', '-72971707970279901293371936', 63, 2);
    T('6.690308542', '-890099995613681.23245412', '-890099995613687', 38, 5);
    T('9.3084E+10', '622014.5777088913842081744', '93083427518', 70, 4);
    T('48538384969.354924980467790122', '410.5548907588901', '48538385363', 14, 0);
    T('-8841632560.3726322886705963005', '635.1631796', '-8841632085', 2, 6);
    T('-530471.87628', '363440429.20257780', '-362918156', 90, 0);
    T('23997155.875000068891', '-1.90012362669061760586658915E+47', '-190012362669061760586658914999999999999980197149', 58, 0);
    T('8.2179685938284335608922279705E+35', '-8.62521304037126E+23', '-821796859383213560939889516684937600', 35, 2);
    T('339988.6979602507', '-8.5E+6', '-8684300', 28, 3);
    T('-185878.319731', '-8736604857.791', '8736527533', 58, 0);
    T('81134.75404336634995603540', '-88902667.02738651115', '-88977637', 29, 5);
    T('1.251748098923942357E+47', '4845186', '125174809892394235700000000000000000000004845186', 23, 0);
    T('-4.92638381398934821731436894E+34', '451813013.067', '-49263838139893482173143688975188843', 41, 2);
    T('532.017584107228423521194', '3082623282732.58346844120', '3082623282232', 59, 4);
    T('6067569234.9360632439063496152', '340090880.0185252126', '6406971986', 45, 4);
    T('2.1145783946352329537054737E+37', '-9.5849110331E+47', '-958491103323829634180382762502777296260396871680', 79, 2);
    T('-49.4404319', '566.9603853313', '-519', 80, 6);
    T('-8.405E+5', '-72226.6313291068720423514', '903442', 75, 0);
    T('1.60716523122109708428293572196', '179.7250685902758573', '178', 91, 3);
    T('-702028.25', '-787925.647253204818288', '439199', 7, 4);
    T('2.8E+24', '-6.09993310079533719614E+24', '-8893881260082535766652384', 84, 0);
    T('67.398', '-68912.039375518554961', '-68973', 51, 3);
    T('-6.9E+26', '-5535535516.8286705476', '689999999999999994732899940', 56, 4);
    T('-755529.11643270652', '-8992.4355102436', '762967', 65, 0);
    T('859489437825364938.7185', '-3.3568236554015553059160E+35', '-335682365540155531234353688409607222', 8, 5);
    T('5.01166583E+9', '3277.28', '5011668843', 97, 2);
    T('7.337807581859729666151E+48', '-9.1436E+21', '-7337807581859729666151000006684886783036019441664', 20, 0);
    T('-259206.11938', '5.7927E+8', '-579142134', 86, 4);
    T('7081.10606162304481644', '-424.47327', '-6671', 34, 4);
    T('-94012154764', '-396.75441863385614570604', '94012154368', 73, 4);
    T('-6.5966657804135688040652673963', '-2.993764101788E+37', '29937641017879999999999999999999999994', 50, 6);
    T('-1.079385847646975E+23', '4.30E+4', '-107938584764697500039432', 34, 0);
    T('-1.5946918222057987714745322E+27', '-6.9E+4', '1594691822205798771474467552', 88, 3);
    T('-1.91152004219E+13', '82470795.881', '-19115260594049', 20, 5);
    T('-6271620.173810981200059', '-8.35059E+8', '832196532', 99, 4);
    T('-97.159750101603410634', '2.88104650668136106E+32', '-288104650668136106000000000000097', 66, 4);
    T('-573863181160562100358767.03076', '-79415349.7601', '573863181160562027562586', 68, 3);
    T('4750601.640693793429099323678', '354.68466624882306', '4750443', 76, 4);
    T('-94454.99465315', '8.2193651E+9', '-8219328026', 98, 6);
    T('74.68112880828226770870', '805273.8092967175905', '805331', 15, 0);
    T('9.408615439403030973644', '1.8E+8', '180000009', 69, 6);
    T('2.74E-9', '9294046.10', '9294046', 77, 6);
    T('402956656.6486849', '-3.8939', '-402956659', 43, 5);
    T('-4.308E+6', '-9.104486760950604924462964262E+49', '91044867609506049244629642619999999999999995692000', 65, 5);
    T('-6282298.9695350049135196732606', '-2.55548039931521390843277', '6282296', 87, 0);
    T('9.295437693535812917518360', '-9.02925958238116300840E+38', '-902925958238116300839999999999999999991', 100, 1);
    T('-80.647214', '-7.72549E+31', '77254899999999999999999999999920', 85, 4);
    T('6.29E+25', '1.297732021573149815981102E+27', '1244527262053283536863384496', 47, 2);
    T('-40017.877678994346', '3.1838759617025E+34', '-31838759617025000000000000000040017', 23, 2);
    T('3.374041315693826348920594496E+33', '5E+4', '3374041315693826348920594495984464', 10, 3);
    T('-8.494958208881789423043994E+35', '38816972884842380.32044883906', '-849495820888178942266079548373276788', 33, 4);
    T('3.36644E+32', '-889856.61640982060317', '-336644000000000000000000000889856', 3, 2);
    T('7.8542069E+8', '-4.9389105832123489121296E+49', '-49389105832123489121295999999999999999999214579310', 94, 6);
    T('-237.520', '79950053.84054463035597596430', '-79949834', 18, 1);
    T('-7.18016624098337764403487546E+47', '-2.24620', '718016624098337764403487545999999999999999999998', 35, 2);
    T('-9867121290.5199870', '-3552.25366', '9867124566', 10, 3);
    T('-7.064E+7', '9976968897.15309338342822655655', '-10042841023', 96, 0);
    T('-9620416.52210989', '-6.5563E-9', '-9620416', 11, 0);
    T('-68.6027', '27488410568.30443708174671460', '-27488410508', 27, 6);
    T('6.48977537657338500235843', '-6.30E+38', '-629999999999999999999999999999999999994', 40, 6);
    T('5373546555.216210711', '-466218876.27', '-5830098753', 87, 2);
    T('5.62565', '-43995.4787484064118', '-44000', 56, 4);
    T('78767.72358625', '89627293.976185013994788335', '89565490', 98, 1);
    T('5.7471730E+27', '-64396769.39828889748670630983', '-5747173000000000000030842337', 84, 1);
    T('-5.28336E+31', '30760511.24501397950554385115', '-52833599999999999999999969239489', 69, 3);
    T('5E+7', '4.6734193922E+41', '467341939220000000000000000000000050000000', 49, 4);
    T('374.7661446532227923631535', '-7.4E+11', '-739999999626', 36, 0);
    T('36.50408283017022256223', '5.9636E+38', '596360000000000000000000000000000000036', 7, 5);
    T('-3.81494935E+9', '2821659245.12424275', '-1263311753', 58, 3);
    T('-3.606631029992620674E+29', '-31579985.055185', '360663102999262067400027148463', 85, 1);
    T('7.9850E+7', '-60.573163929', '-79850028', 74, 2);
    T('9.57676176951162837E+41', '-20.9108630720084084770186725215', '-957676176951162837000000000000000000000020', 24, 0);
    T('416952483.1035044', '-3.5E+8', '-201761757', 20, 5);
    T('175.7226859920132672273569', '5.94423802319875216E+37', '59442380231987521600000000000000000175', 63, 0);
    T('-3334426931.9684453', '903357211450450942.273582593813', '-903357208190120653', 80, 3);
    T('-922122722.3491038770976', '-1.922E+9', '1148788126', 13, 1);
    T('8012319.867262325', '-6317178613688882443.51640792584', '-6317178613693454102', 91, 6);
    T('867.211296780', '7.4E+9', '7399999843', 49, 0);
    T('-5.977E+19', '534393.063249', '-59769999999999465607', 94, 0);
    T('4.0291550299914554369407', '8.564E+28', '85640000000000000000000000004', 81, 5);
    T('-4.75006784308838026E+42', '-58390504.8462497', '4750067843088380259999999999999999941609496', 97, 2);
    T('-70677439.4770', '8317161.795372841028441173', '-71867224', 88, 0);
    T('-8.6906129486415689402676202141E+50', '-1.5416E+6', '869061294864156894026762021409999999999999998458400', 58, 1);
    T('211314.91981135913903010870684', '-9.9551227185186537447682E+46', '-99551227185186537447681999999999999999999788686', 87, 2);
    T('-8.34796834342377979480E+47', '7.155381688E+19', '-834796834342377979480000000011601861050361716736', 99, 5);
    T('-5.2141219150105425E+26', '-413827955.7527031483', '521412191501054249590431885', 40, 0);
    T('-33889.7748519', '-48910.817882720993', '15213', 55, 5);
    T('7.1696801644827974263247452E+34', '-92300.9', '-71696801644827974263247452000088204', 98, 5);
    T('2.33435231', '-8.65552331369551825', '-6', 50, 5);
    T('510892439.00039', '-9.386870475215448792122', '-510892448', 60, 2);
    T('821010.99547149374', '130566670.6070597', '130338076', 51, 3);
    T('-8373.17179860', '2.659047896223253768E+30', '-2659047896223253768000000008373', 31, 6);
    T('7.02527808755079353E+38', '67160.8446', '702527808755079353000000000000000067160', 68, 0);
    T('-403430525.8', '-6.4E+8', '1043219331', 22, 1);
    T('2.08E+19', '8.79799E+7', '20800000000083785596', 76, 4);
    T('-36094135.97675048862368124740', '9.651688053314505013E+25', '-96516880533145050166028343', 62, 6);
    T('6.175739E+47', '656.3688260907625669353170321', '617573900000000000000000000000000000000000000656', 33, 2);
    T('3702.209731440', '1.8E+46', '18000000000000000000000000000000000000000003702', 11, 1);
    T('166.902836794007539570', '-8E+48', '-7999999999999999999999999999999999999999999999834', 11, 2);
    T('-1.0214586E+8', '-1826355477.9488544969117197583', '1791845975', 51, 3);
    T('-314.9', '-250558.456902511292233578', '250756', 26, 4);
    T('3E+4', '-2.724667519494537897989E+39', '-2724667519494537897988999999999999970000', 43, 3);
    T('38296929.57985305308', '-3.8721478210703995293E+24', '-3872147821070399559200127', 5, 2);
    T('-81631824.19613024752093', '-50120.2408', '81615240', 40, 4);
    T('-3E+8', '-6.5919909958734238808115896170E+30', '6591990995873423880811830765464', 57, 2);
    T('9835.862339363052927943575', '8.5056148E+9', '8505608123', 74, 6);
    T('-4.42670054541790458605003213547', '-14835.903325', '14833', 58, 4);
    T('37586428', '-2.07', '-37586430', 88, 6);
    T('-9649527.897498', '1.64384475E+26', '-164384474999999999992872311', 45, 0);
    T('8692455431', '2.92306568E+25', '29230656800000008556140551', 78, 6);
    T('-4621528384.1239594526521', '1.48401318165142090E+20', '-148401318160602651696', 30, 2);
    T('-72.1513690027137686985852', '-1.12745E+29', '112744999999999999999999999928', 92, 3);
    T('-4.100623569', '-32.46616151970959073690982', '28', 18, 6);
    T('3.61459798710138438009E+44', '8228.062164767545854319775', '361459798710138438009000000000000000000008228', 82, 1);
    T('-87367197.243475236', '-451.3154', '87367646', 29, 0);
    T('52.83124779282', '17.345217168742914423566000114', '37', 96, 5);
    T('89501.7489940107407680911460', '458515438258956.331098363201091', '458515438311057', 65, 4);
    T('-5996385774.5117503093', '-8316', '5996393878', 49, 5);
    T('-4.86568054449729274933745', '-6E+8', '599999996', 84, 4);
    T('-89144082.965255174970758126094', '-135.497355959529876361013', '89144215', 69, 2);
    T('2.0341962E+8', '2599425.61', '205014501', 13, 0);
    T('-5.98276464659E+44', '552585.5070821464290', '-598276464658999999999999999999999999999447415', 40, 3);
    T('-8.86187E+9', '-1.372728719273552164E+36', '1372728719273552164000000008861161552', 17, 4);
    T('-6279.95213651040160557994257', '2693.80', '-4612', 78, 2);
    T('-9856963.0294', '-3294.98517527398741897224', '9857823', 53, 0);
    T('-66.8067', '-8.9209890159138066158090473820E+37', '89209890159138066158090473819999999934', 32, 4);
    T('-2.010287797822798927136520E+36', '-9.432946956222702E+49', '94329469562227678667688726066361146066499766026240', 77, 1);
    T('-69038.99272115688', '-4229.92094424715276892', '73001', 88, 1);
    T('8.9371119483372E+34', '23945516.231456', '89371119483371999999999999990391084', 92, 0);
    T('-69756.65838488', '2.70038339268E+19', '-27003833926800069756', 25, 4);
    T('-312655468.6', '-389.095249130', '312655855', 35, 2);
    T('5674.054705944015431', '-629.151648480470608', '-5215', 33, 5);
    T('14430.835731418191', '304243.44820270664203371', '302125', 38, 0);
    T('5511177', '-4.17E+24', '-4170000000000000002877431', 30, 0);
    T('939.856173787082596072698069', '4.18673630703674E+31', '41867363070367400000000000000939', 30, 3);
    T('-9.9E+8', '-5.986616606601790745442E+44', '598661660660179074544200000000000000184405120', 5, 3);
    T('6.41336859980516877146742', '-3.002217764337E+42', '-3002217764336999999999999999999999999999994', 91, 5);
    T('-82010353.38152547', '-3.10762732640699182267', '82010354', 33, 0);
    T('-184433765.8616660912240276', '3.22861760157240730E+18', '-3228617601478440033', 32, 6);
    T('-9.55E+36', '-3.2333E+6', '9549999999999999999999999999996766700', 38, 4);
    T('-668061.983523272048547350985', '-3.13984957E+44', '313984956999999999999999999999999999999331939', 32, 1);
    T('1.63', '9254087451.59', '9254087450', 26, 0);
    T('-164965875870.66868614746', '1138966.885', '-164964786572', 80, 5);
    T('625391.541380196', '89938.3947909340', '579005', 75, 2);
    T('93520832.6540432311040887', '647948506', '588114714', 42, 3);
    T('7654504', '-8.99444248261610281725596230556E+32', '-899444248261610281725596227196216', 9, 0);
    T('5.733023E+7', '-9.28127119021614856E+49', '-92812711902161485599999999999999999999999942669770', 12, 6);
    T('34869926.931709955706396113380', '-2.2057211279761663E+42', '-2205721127976166299999999999999999965130074', 19, 5);
    T('-5255.7472448', '-295.88795482374127064154', '5536', 93, 1);
    T('4.46696702297048346954085927E+49', '59986.715106468999', '44669670229704834695408592700000000000000000059986', 80, 4);
    T('7372.2960917246156090254', '4.582704942574976303790663782E+49', '45827049425749763037906637820000000000000000007372', 15, 1);
    T('-313.98802030221513', '-8.6866896E+9', '8686689287', 77, 3);
    T('-325146020.91', '58876167.6825742934276235', '-283325605', 76, 3);
    T('6.83475928664298973460', '834.63619371', '836', 49, 4);
    T('2.31860929455E+23', '-4027.9384463942', '-231860929455000000004027', 73, 5);
    T('-74491.8666483345613366690187', '-33.79425672532214301153176613', '74458', 67, 2);
    T('13.49945001321', '3074665398', '3074665403', 26, 4);
    T('9.91255863124064913151559934E+46', '-54100687.3620633', '-99125586312406491315155993400000000000016351951', 97, 1);
    T('96338.50222412204', '-755565.3591', '-720703', 84, 0);
    T('2017038502.958279306555440', '-1E+20', '-99999999998794559322', 66, 3);
    T('-95490589.052390586474', '-59765701.3646031994', '104784344', 68, 1);
    T('402909705516274.296', '-387768392.75792453821794633', '-402909519107254', 81, 6);
    T('2222119.3754907778', '-6E+2', '-2222705', 35, 2);
    T('-8.1153662067E+24', '-96043.0459451947537', '8115366206700000000067797', 81, 2);
    T('325206.74303111115612868871', '9.449778192191383231032955958E+50', '944977819219138323103295595800000000000000000325206', 75, 1);
    T('-19836277362600933022.9', '69', '-19836277362600933081', 57, 6);
    T('666568.467708409', '3.69189E+29', '369189000000000000000000666568', 33, 0);
    T('3.2E+4', '-61765470549189773.9937388', '-61765470549203341', 13, 3);
    T('78.5461324612435429490', '9.54495058797082989754326E+40', '95449505879708298975432600000000000000078', 28, 5);
    T('-9.79562693510E+30', '99290562149.0130916548983016', '-9795626935099999999953054351771', 94, 3);
    T('1.716131276E+17', '-498745568.759779', '-171613127389875424', 51, 6);
    T('292568.33303846802', '53283.39241543080375528616', '304891', 78, 2);
    T('-8.06563042E+31', '-1662912846.95487964149890687443', '80656304200000000000001658975922', 74, 0);
    T('-5.268E+7', '219593713.93261919', '-238382799', 4, 6);
    T('-921114.655', '3577.42001052582548974300', '-918497', 27, 2);
    T('7636986.8076', '71.59939002129968', '7636925', 59, 2);
    T('5.74598869351802532448734', '28.59410', '25', 51, 1);
    T('5.887044320739698681520502E+32', '4.3076127963478822245622298749E+31', '630798813968778419273887408856648', 12, 6);
    T('-515287879.7678453768', '5999.1465020454216979312424', '-515292202', 13, 2);
    T('-16126978.01066001211131097305', '-47033.91804426794470097', '16163769', 42, 3);
    T('33348.8112983253891917417287523', '-6.983240337279330E+29', '-698324033727933000000000032188', 3, 1);
    T('51523537.78', '-85', '-51523462', 87, 5);
    T('620461875.70179', '2.0258E+8', '686317331', 75, 4);
    T('-310327.7303735', '-7E+2', '310925', 98, 4);
    T('-3.4598777E+48', '-5.8434E+31', '3459877699999999946642895169944592068838621708288', 21, 5);
    T('-4722621.368238145078195202', '-29.1498', '4722592', 48, 4);
    T('-96.15515270626798320572', '-9.9E+6', '9899904', 11, 1);
    T('3.987E+22', '4354718748.9176600379', '39869999999995763735580', 33, 5);
    T('-67900927.2262867041658100', '-66968052.24374595', '133286925', 32, 5);
    T('-551028.5919151', '434873.448650074841729692050', '-969419', 15, 5);
    T('-65644666.97506636614', '-2416.1231871843007617434', '65642774', 59, 6);
    T('63.22482139', '9.92005E+7', '99200459', 91, 4);
    T('-5403294058871964042914330.8756', '374716.122749624', '-5403294058871964043074982', 64, 0);
    T('-1.191E+43', '898691.32', '-11909999999999999999999999999999999999101309', 43, 3);
    T('1.88679344791853E+17', '9191330876.651', '188679353890833396', 33, 0);
    T('-5E+5', '7.278961E+7', '-72421238', 49, 4);
    T('-3607725242.308473215', '-8096622933230000498674', '8096622933228541371208', 44, 0);
    T('-548259.63169943585', '-21.93351672155598518967124', '548278', 71, 2);
    T('-69769.6771486376', '3.3E+9', '-3300069769', 56, 5);
    T('-5.45086E+9', '-790884188.85452931250027', '6103132804', 67, 3);
    T('-6.631146783206606873E+48', '-3.89454544088278679E+41', '6631146415532875946582673903016276742708115013632', 11, 0);
    T('-467435.1617187', '9.33929053009380629838163219E+47', '-933929053009380629838163219000000000000000467435', 25, 0);
    T('9E+7', '846490328.28330550221', '925442136', 43, 4);
    T('45383.428313022485308286995', '-3.86067159775540650163', '-45382', 44, 5);
    T('3E+4', '4.0E+19', '40000000000000030000', 4, 3);
    T('-236490062.3610929903185', '7.69E+4', '-236560682', 74, 0);
    T('9.4556897636586257152738', '-456197.5701', '-456206', 42, 2);
    T('-942392780274.9906294714795811', '-53.6329207', '942392780229', 63, 1);
    T('64122081.337317310486219', '-540472.0551375831510690869', '-64639959', 24, 5);
    T('4.38338904268171283254225907E-8', '-45.73099521', '-45', 50, 5);
    T('413636625924.70', '1563797.42008113511057', '413637925521', 77, 1);
    T('-5.146', '2910242.42692355139495', '-2910247', 94, 4);
    T('-5.6375117551011096048571E+23', '6.951138011E+27', '-6950945002486953983737464142', 68, 4);
    T('-39821777685968239.766359099', '-332723.8858185679802419502282', '39821777686161116', 33, 5);
    T('9.756361E+47', '2761565786', '975636100000000000000000000000000000002761565786', 57, 6);
    T('-1863578.3820615', '9.4774E+6', '-9237122', 68, 0);
    T('8.209', '-987.303160197373', '-979', 65, 5);
    T('-2.947651340487151387417E+34', '7.9094E+26', '-29476512614536052968205688478212096', 77, 2);
    T('-7.51E+29', '2.089E+15', '-751000000000002012754970963968', 76, 2);
    T('-545515.5789260217855412', '-4E+7', '40504085', 4, 3);
    T('6365360166.98380842213990408124', '3.9022078E+16', '39022075472632870', 12, 5);
    T('-9.95E+9', '-3.9668345760E+39', '3966834575999999999999999999990050000000', 17, 3);
    T('309430.900590984197537', '-503772.46287263657612830614', '-202606', 34, 2);
    T('49394477.8476729024', '8.5E+4', '49348389', 12, 2);
    T('-8.2024734E+8', '5569.4525240798064', '-820244203', 61, 2);
    T('9937031.3784809547', '865533459.3826', '855727764', 81, 4);
    T('-2094226067414648.14312404', '-507', '2094226067414925', 57, 1);
    T('3.6524409066339054964', '-3.5756034743132266', '-2', 47, 3);
    T('-25680.111979048674', '-746788298061179', '746788298035509', 68, 1);
    T('5.113610739472956959286E+49', '2818000554.21236353', '51136107394729569592860000000000000000001744258730', 35, 2);
    T('9056322856.14856', '7.53E+9', '16561089448', 57, 2);
    T('791710451628.53', '8566754.9857515013198172', '791701909582', 80, 6);
    T('87355878.536107823477978369982', '-2028259', '-86639365', 44, 5);
    T('-4056.94399', '1.27396908E+20', '-127396908000000004056', 2, 1);
    T('8647785694.72570510969', '6.6E+8', '9196302814', 98, 4);
    T('3.415E+6', '-4781.32578085654709555143', '-3410293', 13, 2);
    T('-4.85413345739981278997955E+36', '-6534.83468', '4854133457399812789979549999999993466', 2, 3);
    T('547540244.9123592126931083', '-2.5', '-547540246', 65, 4);
    T('-2.4E+8', '-488560884.6966033505839893773', '324059916', 68, 6);
    T('76.9622493981132555401417', '48.2056258906726', '124', 87, 1);
    T('-9640.111605183354807997352', '949.99833883388238983', '-9747', 67, 3);
    T('2063011.331339091413006', '5039480.51100603226492546550484', '5480411', 79, 1);
    T('87548729685039.55104311858', '-4.07206057114329E+27', '-4072060571143232412979784657', 23, 5);
    T('-3.4997E+5', '-460.687973807921723125', '349914', 94, 0);
    T('11471.4395178', '6.684314541693E+39', '6684314541693000000000000000000000011471', 25, 4);
    T('6.058E+4', '5.70371220', '60577', 28, 6);
    T('92.747599797017674', '6.7637839428653240799301641E+49', '67637839428653240799301641000000000000000000000092', 18, 3);
    T('-9.83694798436081041420820E+32', '-31572853.809170792502858992507', '983694798436081041420819981010059', 10, 5);
    T('1904.387375543107964438203', '-1027621.2012720596924987920', '-1026389', 39, 4);
    T('3.61526877E-87', '311561777.786', '311561777', 45, 1);
    T('-5100.8591229', '2.50E+3', '-6704', 42, 0);
    T('-4.9754890604', '585832.8', '-585836', 59, 3);
    T('2.97227247632242323E+22', '418', '29722724763224232299586', 11, 6);
    T('-945324.32745219154200', '-21679636.64178', '21275320', 11, 0);
    T('-1466843', '-2365708.57149585073468', '3307729', 92, 2);
    T('-36701.2070777863618', '771057379.18452476478', '-771090880', 97, 5);
    T('-9E+7', '-725637.442989723806070300525', '89544955', 86, 0);
    T('-7.8114507140049E+32', '537469.4899411974', '-781145071400490000000000000511107', 76, 1);
    T('-554988.1192919587238163622648', '9.604021518E+18', '-9604021517999504364', 48, 3);
    T('-7.3E+9', '-2.5622856934572618870553363160E+38', '256228569345726188705533631593876125440', 19, 2);
    T('-328820.20', '31756.04182891234651786161611', '-358528', 9, 3);
    T('2988.56207611815529', '47398.096', '45706', 57, 4);
    T('-6.475E+4', '-1.85861842432505969', '64749', 31, 1);
    T('8.616726700005293', '3.6149712689500283309', '11', 44, 4);
    T('67.66597374283', '-50.09627', '-115', 84, 2);
    T('-96724631.933159655974476939', '9873.2', '-96714760', 72, 6);
    T('233162706.29773', '3.61E+6', '231920194', 100, 1);
    T('-201214932.14645882017719', '-22.19472742651242822725254057', '201214918', 45, 2);
    T('75.84', '8.0123774862479853385350904E+36', '8012377486247985338535090400000000075', 89, 5);
    T('9.66035218104E+31', '476409799848576054.98670155', '96603521810400178890336511018038', 96, 5);
    T('54.0554103805183960', '-4.22462206147661659515125090E+44', '-422462206147661659515125089999999999999999946', 54, 6);
    T('-564892951.5674124', '7365.240367903011', '-564890068', 36, 4);
    T('-35183041.01023', '-12082.076144', '35190513', 53, 1);
    T('245716.7860267071702', '9.8322715507573318910817677706E+48', '9832271550757331891081767770600000000000000245716', 53, 0);
    T('-1.512520325E+42', '3.90415646640827910443382889578E+33', '-1512520323710551724195456792869305793778528', 66, 4);
    T('48924166.5328810728529207687493', '-4.626613', '-48924166', 60, 6);
    T('8032564508.88030383473725', '-861030.78193182497', '-8032753274', 82, 4);
    T('-8.3994692075999312029410769884E+31', '-7.599067507130786198058643526', '83994692075999312029410769883993', 15, 2);
    T('-1173.1416260863386', '7975345.914851', '-7976230', 94, 3);
    T('-4E+2', '-2101910.4107240', '2102042', 14, 5);
    T('9287529.90', '5.17149E+9', '5179120569', 8, 1);
    T('4.50808938629E+16', '-5663318449.87236', '-45080890918146193', 46, 3);
    T('-2.84002582E+38', '828235779.610477266314', '-284002581999999999999999999999171764221', 82, 6);
    T('-7.949509E+9', '-706144973.72765344164934963', '8384744267', 90, 5);
    T('-8.667E+4', '-665807098.59292240159933361', '665729652', 21, 4);
    T('-386051071876.1724', '8981373642.24001131162547304276', '-394956324170', 57, 4);
    T('4.38511565056808965353246E+25', '69.790717054650059976325649', '43851156505680896535324669', 22, 6);
    T('1.86245340253350879', '5.1231976251E+18', '5123197625100000001', 97, 4);
    T('-9.35E+3', '29142630.560613', '-29133540', 61, 1);
    T('92237.4848043309900014994', '2128780683.478', '2128868806', 23, 3);
    T('8.588E+39', '6.792844314864726272011244652', '8588000000000000000000000000000000000006', 68, 2);
    T('1210.949682870922846061', '95.71744', '1253', 36, 5);
    T('-1609388144.43007916121179', '-7.729277E+34', '77292769999999999999999998927482768', 76, 4);
    T('-591693.596817934358154247032', '72231542.96', '-71773499', 93, 0);
    T('9E+40', '-2.8', '-90000000000000000000000000000000000000002', 77, 1);
    T('-7.506884417', '-6.316482185759110624062E+38', '631648218575911062406199999999999999993', 46, 5);
    T('-7.74E+4', '4.765866813', '-77396', 11, 2);
    T('1.18978074821897343283296E+39', '-24.82357304696392299', '-1189780748218973432832960000000000000024', 68, 4);
    T('376164833180642078.86', '62462.410194', '376164833180588256', 80, 3);
    T('7.6188560953897338E+47', '4135611.3645', '761885609538973380000000000000000000000004135611', 18, 1);
    T('-6115443.36024259119440', '3E+9', '-2995588723', 49, 6);
    T('7.1391742779E+41', '4.5678E+24', '713917427789999998464140434807194235437056', 97, 0);
    T('2.85011E+6', '6644462147768667796128.6917491', '6644462147768665083806', 25, 3);
    T('-5843346.2819', '-4865407759', '4871230111', 18, 2);
    T('2995.39903', '1E+9', '999997875', 50, 0);
    T('7.7749997715204606688E+49', '396.58803924', '77749997715204606688000000000000000000000000000396', 72, 3);
    T('3.6407941530566215633', '449524.6087972069241247213', '449527', 2, 3);
    T('9.393394760903774393033832443E+30', '-8.66859E+9', '-9393394760903774393025302266840', 10, 6);
    T('-8E+28', '-946207194.963581610627449', '79999999999999999999053792806', 50, 3);
    T('-675.4539656287722108070926', '-5.1784060738902571012375530', '678', 20, 4);
    T('-4.8054481476E+30', '-12685409.1378800', '4805448147600000000000012480415', 55, 0);
    T('946.72503380920931', '-1185301710.9075271844937', '-1185302400', 66, 3);
    T('7E+49', '404005006.172332373', '70000000000000000000000000000000000000000404005006', 96, 2);
    T('296355999.228958484', '9.84807369E+9', '10122405189', 89, 2);
    T('-2.68167045226377909238413910304E+46', '451.9', '-26816704522637790923841391030399999999999999549', 69, 5);
    T('-7.4193390E+45', '566874.7680302850', '-7419338999999999999999999999999999999999433126', 76, 0);
    T('4.37E+7', '6077850.032960765243', '46559930', 88, 0);
    T('81.263177310481525829847284', '6.007E+5', '600621', 81, 4);
    T('-5.0E+37', '3.024933149436761534415E+30', '-50000002363868311947124375909358938624', 31, 4);
    T('-593661792.3645045852213431', '-480.349517244160871', '593661568', 85, 1);
    T('-5680997', '39476.3876733832270430654530', '-5649745', 37, 4);
    T('-368.414388621272221158745671', '-17373446.744', '17373290', 77, 5);
    T('6145149886.73', '335619.652758274095627042', '6144824509', 61, 2);
    T('-5789313622.773264293392569885', '-930703.83', '5790226907', 26, 3);
    T('-61.3794392613741794894297981128', '-9E+23', '899999999999999999999939', 56, 5);
    T('5.5740920', '-708703571.7959603678081420', '-708703576', 40, 3);
    T('-8522577.60', '4.76945455804366210565943529E+31', '-47694545580436621056594344643825', 51, 3);
    T('1E+43', '-7.458348694011498458237E+22', '-10000000000000000000010457343068898419227874', 45, 0);
    T('9.2671834E+9', '-8215787686308.491414070', '-8223977813644', 30, 0);
    T('-665721.00017', '7.8542E+19', '-78541999999999355001', 79, 5);
    T('979467601304415.4211454', '-2.58E+5', '-979467601327249', 45, 4);
    T('1.94930167585941724771', '1712410794859.30292695186201', '1712410794858', 27, 1);
    T('5.464550706641364853', '2.960512707230134789646361E+30', '2960512707230134789646361000005', 71, 6);
    T('2.646974319734E+17', '-465.532146334661', '-264697431973399569', 82, 2);
    T('-9240568.685332018', '1.823277729411699290892416', '-9240567', 48, 4);
    T('451.245206885144265', '-490872870.95296243669329', '-490873319', 43, 3);
    T('824378.886191', '-2.1E+8', '-210291782', 31, 5);
    T('5.7E+8', '107.007', '570000107', 84, 5);
    T('8.1911956673E+47', '5069189.24216519804805', '819119566730000000000000000000000000000005069189', 97, 1);
    T('-464807.267', '-7.31E+5', '798929', 2, 3);
    T('-2.445737638E+22', '-3250415.21', '24457376380000000943889', 63, 1);
    T('-89030054359298667552047747.4', '8.43255246E+9', '-89030054359298672543434895', 61, 3);
    T('-627760185.11', '-5.19006E+15', '5190060622441415', 26, 1);
    T('-32200.101434346230597345797', '4894.90165322888897967', '-28378', 7, 0);
    T('-8400.730', '5931298.15429308771374708611858', '-5939694', 25, 1);
    T('65251.533050077', '5130.8873', '60137', 45, 4);
    T('-1E+47', '-6355.396579745839715', '99999999999999999999999999999999999999999993645', 38, 6);
    T('-18.7061', '7.920758585290E+49', '-79207585852900000000000000000000000000000000000018', 35, 6);
    T('-8.7995501803175925929647E+27', '-6241026.2633', '8799550180317592592970415198', 74, 0);
    T('3', '3442164.426', '3442167', 59, 3);
    T('-13070.04112600889605', '-8.980244500342E+22', '89802445003420000003314', 45, 1);
    T('7.13594716162024457615422347188E+40', '2.011589343919995510764532984E+50', '201158934408871266425334373629902095271627494465536', 25, 6);
    T('-11.48772298800', '78.96', '-69', 10, 6);
    T('-7653173271.7903281115331798321', '5.9818633215651272259133699683E+32', '-598186332156512722591333907321639', 55, 5);
    T('-35247.074067310411907466730980', '3.987329E+42', '-3987329000000000000000000000000000000035247', 39, 0);
    T('99255684571454.719732371203', '7103750.372635936739715', '99255683269688', 22, 3);
    T('-99816635.6680005788453742030', '51430.233639664224', '-99867741', 30, 6);
    T('-79.8653809304329', '5954946.6355', '-5955021', 40, 6);
    T('-4686665.2169472', '7.8360037E+45', '-7836003700000000000000000000000000000004686665', 62, 2);
    T('1.68496304582E+44', '5.560E+7', '168496304582000000000000000000000000055600000', 88, 1);
    T('-3.62E+4', '-597.865872', '36659', 78, 1);
    T('4E+6', '-1.24E+6', '-3138240', 76, 0);
    T('-3190.8626966884658422837', '-9E+38', '899999999999999999999999999999999996810', 90, 5);
    T('8649348260.40775', '-46996381223159977584426.645946', '-46996381223151445947278', 54, 1);
    T('1.39', '-13138.91', '-13137', 98, 5);
    T('-697965769.61316', '-68.96454224335440745', '697965707', 62, 5);
    T('1290288792.47153909668332783', '6.165108588397879E+37', '61651085883978790000000000000996687512', 73, 1);
    T('-4152194.6257', '7343.347879885669812', '-4146991', 79, 6);
    T('-8.5E+7', '99773651.15162439943622510', '-14849005', 11, 6);
    T('-9288073412', '4.059015E+33', '-4059014999999999999999991839768772', 21, 1);
    T('-46457.748375724969855524247', '-5.619290738E+11', '561929093631', 39, 3);
    T('-942962.717231026757448262220', '-6.8896774620618629971605559992E+33', '6889677462061862997160555999617422', 17, 2);
    T('-5.18989647560096E+16', '10404982.45045', '-51898964762482186', 2, 6);
    T('911826224.9731560674333313163', '3.427828150092943671E+30', '3427828150092943670999838043440', 57, 2);
    T('-1118744912.76805', '-976250620', '2023675828', 27, 0);
    T('-1006051.498513200587', '-50124390.2082919320845888', '49516423', 11, 6);
    T('-16.7', '-3401425537.235757189', '3401425551', 52, 5);
    T('53046001.2802061192467381571', '-2.76951E+25', '-27695099999999999980508431', 36, 1);
    T('-364370.64996733212618563', '2.25044429064147233489', '-364372', 25, 5);
    T('-7.35E+42', '982196550.95913418', '-7349999999999999999999999999999999017803450', 95, 6);
    T('-2.571', '7318505.5528268', '-7318505', 70, 4);
    T('8.3364040220792E+42', '64262579968.701652375338', '8336404022079199999999999999999978363234048', 8, 5);
    T('-9E+49', '9.994935576286E+44', '-90000617327185981536547823061782059779649704034304', 88, 3);
    T('5E+3', '6100011270515.89835', '6100011275003', 59, 5);
    T('-65962.4601696069944223982', '1.2927440170241E+30', '-1292744017024100000000000065962', 5, 0);
    T('-5.84E+7', '-620097.4975177010171465938534', '57830079', 4, 4);
    T('-114884.5477014', '-30865886482103425160527.34', '30865886482103425045901', 32, 2);
    T('36.6', '848.15836152058061', '884', 25, 5);
    T('1.428E+8', '-519274504.469881482580062183168', '-376534152', 94, 0);
    T('2880906230.75340069558', '100365491140928092231927977', '100365491140928090716285791', 6, 5);
    T('70.93672184638916854', '9064392.38921585279903343', '9064334', 88, 1);
    T('-381036.58292167350242461342', '7841217.226720642633008416', '-7501227', 9, 5);
    T('-9.31143E+9', '-3.1800537769977E+39', '3180053776997699999999999999992030747280', 45, 3);
    T('-7.03511643334520354687577671E+48', '-294514636.647', '7035116433345203546875776710000000000000242356276', 68, 3);
    T('9648.5969595828426670967', '-6.48667394627828790497', '-9654', 76, 1);
    T('-1.36481270973817543996147E+33', '8110556914.59052102661639', '-1364812709738175439961468404772110', 53, 3);
    T('459.6507036520934080819938', '82370325.763508753824', '82370270', 73, 6);
    T('-8.262675926E+26', '-8.722E+6', '826267592600000000008579504', 21, 2);
    T('-11.2228648803965595327501176', '4.388E+5', '-438811', 14, 2);
    T('-41059325071731686.5679', '-521540.16401', '41059325071449766', 67, 1);
    T('616582662.324', '-70.84090256735', '-616582724', 43, 3);
    T('4.099545633493216111', '-5.380888271E+30', '-5380888270999999999999999999996', 19, 0);
    T('83096203073572505.96827185636', '2.130473746710954307391', '83096203073572507', 98, 2);
    T('3409098.81', '-17.650780723696170424', '-3409115', 43, 6);
    T('-4.18738E+8', '1.6728027578293706466001536', '-418737999', 73, 0);
    T('1.320205E+31', '108879687.02', '13202050000000000000000041770823', 23, 1);
    T('-237.7462476569794878345543267', '-8.45E+13', '84499999999763', 34, 3);
    T('-54168090.64426', '83370.8812', '-54251444', 21, 6);
    T('-115.7789458362732248788', '4.16E+3', '-4147', 87, 0);
    T('6.8111180586128267E+50', '825.808343685908', '681111805861282670000000000000000000000000000000825', 4, 5);
    T('-18610051.1', '5932527175.5770891343754262785', '-5914024390', 6, 2);
    T('1746.839482924', '-943.802143068552270399117', '-1405', 22, 3);
    T('386129.061356632585914876310009', '6782.23162653397558450201', '392751', 53, 1);
    T('-245.464094953496291094', '-298455.8957561422943524', '298274', 7, 1);
    T('-7.92280976675857564746848768061E+47', '-6917042483214876770471.6', '792280976675857564746848764691529708236343770969', 85, 2);
    T('-1737355.1186949257708851814', '-1.2E+7', '11376757', 54, 3);
    T('-320.23520127714272046592', '789.641539421787', '-555', 90, 2);
    T('-95.140864009915', '90897.0868837973677', '-90960', 7, 6);
    T('234178492225378827109511.18444', '719.131788418858238151', '234178492225378827109960', 42, 3);
    T('422.381', '7.3930939130163E+21', '7393093913016299999910', 25, 5);
    T('55.48973775', '-83.234838517', '-102', 19, 2);
    T('315.85122611986236', '-9.4E+3', '-9613', 71, 5);
    T('-61.78132998689813807770262612', '-3.0007943080701523022663338588', '62', 1, 6);
    T('8.3422377533E+24', '-6.538E+7', '-8342237753299999977168544', 50, 6);
    T('51328512942255034.02190545293', '-501710.776009495068035', '-51328512942017656', 9, 3);
    T('430045.6611829', '8.20203E+40', '82020300000000000000000000000000000430045', 13, 2);
    T('-4.03835E+10', '-33516.597', '40383532084', 52, 3);
    T('5985471153.69143974187017974672', '81883983.8442502631080604499', '5907839486', 13, 1);
    T('-7.84641165201335E+46', '-879307.5140173701346949', '78464116520133499999999999999999999999999120693', 82, 2);
    T('-1.6682557983E+47', '863152.37560693456677172630882', '-166825579829999999999999999999999999999999136848', 45, 3);
    T('5701.853879289032693549100140', '6639962.766582350774', '6637343', 32, 5);
    T('553.51830763761079472837407', '-434676967349478.109247915443986', '-434676967349965', 17, 6);
    T('-634034576.62696392', '-5E+43', '49999999999999999999999999999999999365965424', 71, 4);
    T('1.6509276778311051105087E+46', '-8.9429E+31', '-16509276778311130352951378351858936236405161984', 22, 0);
    T('604.2927838746229194083', '6.3181890E+12', '6318189000476', 32, 1);
    T('1.665640338E+40', '7184819.2041257419', '16656403380000000000000000000000007184819', 51, 2);
    T('99718310.982286098494295039', '-2E+6', '-99553498', 10, 1);
    T('8130656945.56639627082048', '-8489.122488977', '-8130648986', 79, 0);
    T('-77829.7869939320', '2.87E+25', '-28700000000000000000077829', 6, 1);
    T('-4E+6', '-9.05279750209024E+38', '905279750209023999999999999999996000000', 28, 4);
    T('9.907271917', '-1705872077.6262687617', '-1705872070', 52, 6);
    T('9.71911418263118E+45', '-1.172543E+7', '-9719114182631180000000000000000000000011725430', 40, 0);
    T('9.157775168E+28', '4.751702676E+14', '91577751679999630383956235392', 14, 1);
    T('-85838.254841936136464', '6.108443E+37', '-61084430000000000000000000000000085838', 77, 6);
    T('-1656.77342758794341', '-2176941.62448599561130590', '2175451', 64, 0);
    T('-9941.52429', '681895.722875816209454308164364', '-672116', 79, 6);
    T('-707167.1559', '6565717.69', '-7267596', 36, 2);
    T('-1.5168583126403129258835503E+43', '1.752', '-15168583126403129258835502999999999999999999', 99, 5);
    T('-7576480024', '-955402422.45459178532', '8512709026', 48, 1);
    T('3.6621540857967132E+33', '-5648597.64201066924001572209', '-3662154085796713200000000003551445', 41, 3);
    T('303064.442279', '3269.0117616459961341024088938', '299805', 82, 5);
    T('-7.5471502596984846466', '7.21E+48', '-7210000000000000000000000000000000000000000000007', 85, 1);
    T('-96.819925459792', '49.6256575827', '-111', 80, 3);
    T('-70587377.941176', '-2934547255710.52423360191041', '2934612984429', 11, 0);
    T('49363.6493407827510629175885', '8.25566E+36', '8255660000000000000000000000000049363', 90, 3);
    T('10.549474648', '5.88544071444553707320', '15', 41, 0);
    T('-1599655933.610384011', '-33.4721363786313', '1599655900', 35, 2);
    T('7.11148E+8', '-9.36290682474086552449654544941E+40', '-93629068247408655244965454494099557418528', 93, 6);
    T('-7.27012813986635E+31', '6376017783196739.3184', '-72701281398663502644925434000317', 40, 4);
    T('-8.3689E+13', '-5.7280470E+47', '572804700000000000000000000000000074640674399744', 80, 1);
    T('7.88107927996680105283E+39', '2E+4', '7881079279966801052830000000000000020000', 7, 1);
    T('9832684.680006', '-7333445452890.38106', '-7333455285430', 14, 3);
    T('-21332138.855323', '-9.88985949121349809402665E+41', '988985949121349809402664999999999987580758', 97, 3);
    T('621116.593889220795959028773397', '-5E+4', '-637300', 86, 6);
    T('-9.346E+19', '54.84315437', '-93459999999999999946', 52, 2);
    T('90.592588756', '-24738.4', '-24828', 92, 0);
    T('-5.9193399240072395341546', '-75988142.410', '75988137', 44, 5);
    T('4.1651323E+44', '-9715834.9095689832425', '-416513230000000000000000000000000000009715834', 43, 5);
    T('-2.49079881585279649660396562', '-894633.71109321675636978177263', '894633', 35, 5);
    T('5.259E+36', '5.3778E+8', '5259000000000000000000000000537780000', 55, 0);
    T('-7.71433944248783848566200', '3632836017.7046594', '-3632836024', 33, 6);
    T('56211912', '-7.316169885300E+38', '-731616988529999999999999999999943788088', 64, 0);
    T('4E+6', '-531.60539824799', '-4000531', 40, 0);
    T('-70.5818', '-279', '339', 88, 6);
    T('-281764.2', '-5.6414133880548472E+22', '56414133880548472275292', 11, 1);
    T('-2867409.7200', '9.2307E+5', '-2479471', 58, 5);
    T('-3.134E+7', '-70125.867928457328487040', '31401011', 52, 1);
    T('8E+2', '44.81474596720885658', '780', 17, 3);
    T('-6942.125888', '93423376136.2298333', '-93423373334', 100, 6);
    T('-5.4365054757854674992501543E+40', '-1E+3', '54365054757854674992501542999999999999000', 63, 2);
    T('8487097418.46118', '3.8E+15', '3800004728411210', 27, 1);
    T('-4.6853684859', '-5.62596566622556790518253112', '7', 22, 5);
    T('-2.65325289210770160', '960443.5653399711983', '-960443', 28, 6);
    T('-849794959948.7512', '2.0141E+9', '-848855216236', 66, 3);
    T('-2.36867E+17', '-9.24792E+29', '924792000000196052509297266688', 60, 1);
    T('3.949171162624E+27', '977.229040657734549', '3949171162624000000000000977', 84, 5);
    T('-1.885175121E+41', '-586152038.19', '188517512099999999999999999999999413847962', 52, 4);
    T('3.124E+7', '-5E+20', '-499999999999987634368', 49, 2);
    T('64856.274913222548434265', '-88.8990619212152947', '-64784', 53, 2);
    T('4441209961867871796.7739', '-4941.7313', '-4441209961867875705', 43, 0);
    T('-73370076.334624881233212973', '-1.0336', '73370075', 18, 6);
    T('7.881647628422', '-11844590.143472858310021', '-11844587', 52, 3);
    T('5.5670977062045826665165279226', '4.9455597220E+43', '49455597220000000000000000000000000000000005', 51, 5);
    T('-9500.9578346191881122176271233', '-4.7E+2', '9422', 29, 0);
    T('6.4804627941856E+43', '-8.39002573976517E+35', '-64804628443115213642364102497170525308059648', 10, 4);
    T('-539635722.75707789574171733', '-34794.637', '539670496', 90, 0);
    T('786150.79310277583893633', '8.45373480011986E+31', '84537348001198600000000000786150', 5, 3);
    T('-946.55253688629947928038389391', '-133998953.05225408809797', '133999321', 25, 3);
    T('-51587065.7322', '4.339896187709061643846E+36', '-4339896187709061643846000000017639417', 41, 2);
    T('5.212712992932723809E+39', '-1E+5', '-5212712992932723809000000000000000100000', 9, 1);
    T('9.37807E+9', '-61948325.65362841071517083619', '-9349676117', 53, 5);
    T('-813857.158061541150215', '-5.1292852459766045930272796E+45', '5129285245976604593027279599999999999999186143', 90, 6);
    T('-7.2180593768384307E+50', '-9488989580525.72339736', '721805937683843069999999999999999999990511010419475', 31, 0);
    T('5.2', '463.68770720078045005266083055', '458', 99, 2);
    T('240218292.484357736731113566', '5226.64172047948520109983', '240215262', 20, 0);
    T('-10.880', '-8479072561.72557061', '8479072569', 57, 4);
    T('-49705314644464.822557', '-1E+6', '49705313645520', 25, 1);
    T('-6515208.13', '-1.9E+4', '6496304', 38, 0);
    T('6.317138726', '38.921', '32', 57, 0);
    T('50089731.2130851232', '-93763.453321397', '-50143554', 13, 6);
    T('-1.6459774485586454E+31', '3.39010527831621351758613E+47', '-339010527831621345479812196748959241136656809984', 93, 6);
    T('-4.14386473357354557', '6.9478E+8', '-694780004', 29, 5);
    T('3.9676267826682508861863260E+33', '54258.091123659607471798', '3967626782668250886186325999947762', 47, 3);
    T('4.80638472E+9', '-33.49', '-4806384753', 67, 5);
    T('-9.17913232345136680688592970479E+37', '-90288.954325570922721654', '91791323234513668068859297047899958864', 28, 3);
    T('6.263E+12', '-49.225645405184557997876289', '-6263000000049', 78, 1);
    T('-8.2E+3', '962.76500', '-9158', 4, 1);
    T('7355.06842', '1.2E+9', '1200001211', 87, 5);
    T('4762.5962109264', '-244.67300', '-4714', 83, 3);
    T('9.8E+11', '3.92E+8', '980256045568', 37, 2);
    T('-7.994E+9', '3.907280367762977421365917422', '-7993999997', 90, 2);
    T('-5.6986728667468E+22', '55263.509', '-56986728667467999944737', 13, 2);
    T('-461303.88423774062', '-5.5E+3', '466061', 65, 4);
    T('179664214661064', '9.42E+35', '941999999999999999999822838331709384', 76, 4);
    T('-952.337117', '466371367.2803', '-466370705', 21, 5);
    T('-7226449561.324647362426276', '-929978019.6450820', '6875809850', 63, 1);
    T('1.21E+6', '8295464.46070', '7135928', 5, 2);
    T('-9132161', '221676809831609192784073.0101', '-221676809831609201784906', 92, 3);
    T('-943.81987033717957546', '-4.8284E+9', '4828400337', 97, 2);
    T('434824293.044687706', '3529954991.8010', '3414962890', 17, 6);
    T('694.407', '-35406243128724.8650785', '-35406243129126', 80, 0);
    T('520128.077921', '-3.195759344598181550E+37', '-31957593445981815499999999999999479872', 43, 3);
    T('-42426809.45602305449033300', '-618.281900986160384', '42427345', 7, 5);
    T('-61141812.4905098624164505164', '52.27', '-61141768', 80, 2);
    T('-6004826.5211', '56294625.6249432590526827676751', '-50420921', 85, 3);
    T('832.832673231004530125531340', '-28614255.05092125128', '-28613935', 2, 5);
    T('-9964831473.923146055059950', '-59888.7329623158938715939141', '9964858143', 71, 4);
    T('2.41105', '-323712654.07163744535353', '-323712656', 10, 3);
    T('300185.30138854761', '-4.122251155205881509639E+37', '-41222511552058815096389999999999699815', 48, 2);
    T('-50175.7021436', '29436400.19', '-29485583', 51, 3);
    T('-22961.67165618976948226240', '2.538953E+9', '-2538930329', 3, 4);
    T('-34.666', '-6.9E+5', '690030', 59, 5);
    T('6E+2', '-35819775.472', '-35820199', 5, 4);
    T('9616305.6943674770083926239473', '7.46109232314343692856224909E+32', '746109232314343692856224916227825', 79, 6);
    T('7.4198929400480E+45', '4969.448812820606703083', '7419892940048000000000000000000000000000004969', 40, 2);
    T('-9315.12717443528038605551678670', '2.714067391713785341', '-9313', 53, 1);
    T('3.6995541308393881758066178E+44', '188914886.0067', '369955413083938817580661780000000000079862982', 30, 0);
    T('-95252.8164719560818', '-828.9432', '96040', 43, 1);
    T('150695531.23480107005477251', '69992931.97695805', '215445384', 70, 4);
    T('-3.3E+35', '-5.706E+6', '329999999999999999999999999994294000', 43, 1);
    T('-9.6E+24', '9.45578487085452E+24', '-163919283870698242265088', 33, 3);
    T('-7.96853E+7', '-24766694.938', '96865878', 86, 2);
    T('-9760987.417094', '-776536.6703708894740019465368', '10430861', 2, 2);
    T('-9040570368.5364118689949926', '124394.75148584480089237143291', '-9040675350', 66, 3);
    T('309.8359847193627665', '-4.5E+38', '-449999999999999999999999999999999999691', 56, 3);
    T('-2.4E+35', '-54108981.12299782', '239999999999999999999999999945891019', 98, 5);
    T('8.80994111E+42', '47662053.1', '8809941110000000000000000000000000047662053', 45, 6);
    T('2993988.54023706501349899', '-1.9407234E+23', '-194072340000000002773180', 66, 3);
    T('6.284997377945854091490547587E+48', '5.007551894865808E+22', '6284997377945854091490547617205869319137770219520', 43, 1);
    T('-7915644276.9632', '-784670504598.651', '787687052262', 77, 1);
    T('68.9094', '-1923607930.72', '-1923607870', 99, 3);
    T('3.85E+9', '-6.36752697053E+38', '-636752697053000000000000000001518709120', 12, 6);
    T('18.68469', '-80.9', '-94', 64, 3);
    T('7.70376383', '-79039475466.2782458365', '-79039475471', 98, 0);
    T('-563.25850157930826399440031366', '-7.047666E+8', '704766133', 60, 4);
    T('4.41381749390015550473507E+50', '2.2E+37', '441381749390037467267456281888342802611792028631040', 98, 6);
    T('-1352.74120400999523623', '49961265705.785934578363488', '-49961267055', 41, 6);
    T('9.9E+2', '95.60167701458289288430', '897', 4, 5);
    T('-188330.716607579984649076', '601865115124758743.9401', '-601865115124836223', 88, 3);
    T('-901695946.2286091026709717405', '707080.2989010252853448962236', '-900989890', 98, 4);
    T('9816.752494750', '4E+47', '400000000000000000000000000000000000000000009816', 43, 2);
    T('-403652173.31132458693721010727', '-8.959091996819622391759029043', '403652171', 50, 4);
    T('65323', '8.289E+5', '809679', 32, 3);
    T('-5723188189.4', '-3314769.11041840638298766', '5722242956', 12, 0);
    T('122.9948744', '-7905.1504340454728147227431785', '-7835', 38, 6);
    T('-163875.16855344', '87014136', '-86850267', 60, 6);
    T('-62736125', '766247.2222711744707974', '-62322652', 23, 2);
    T('-6.4158429638571970383202060E+29', '-86310.94619821321832949002186', '641584296385719703832020522394', 27, 1);
    T('3.335772717E+24', '-521.257944487025347', '-3335772717000000000000521', 15, 5);
    T('-8.223966541125824594E+25', '6.3863493E+44', '-638634929999999999917820692515786496511849728', 77, 3);
    T('-336526.7', '-9396291.1', '9061071', 32, 2);
    T('320639.656672574506051591061', '-252283275.5064756517424', '-252538358', 71, 5);
    T('7E+22', '318726.6017153', '70000000000000000318726', 46, 5);
    T('79.89', '-6E+9', '-5999999921', 8, 0);
    T('-33691.980389335058491787582694', '-5952699432.9685', '5952667581', 27, 0);
    T('2961.29676834831734369579', '93858.4195323985292959597316341', '91443', 75, 0);
    T('-6.605190250005598E+31', '2.49E+42', '-2489999999944188958907836522061535316410368', 4, 3);
    T('4496852025', '11927.2364190796', '4496861870', 78, 5);
    T('-3354.209572136163936', '-4.6234405992414406E+43', '46234405992414405999999999999999999999996646', 95, 2);
    T('3E+35', '6.30726689508857599810', '300000000000000000000000000000000006', 45, 2);
    T('3827141015.520919522205073', '-6.146152484266931211123191E+39', '-6146152484266931211123191000000471037545', 57, 1);
    T('9.005376712322409E+40', '-7.76E+5', '-90053767123224090000000000000000000776000', 54, 5);
    T('-7.73044492E+12', '-8858.511438', '7730444912166', 94, 0);
    T('-31372507.2', '6.990842687501224023E+28', '-69908426875012240230030035163', 17, 2);
    T('-806871.8', '-4.304376575093E+14', '430437656703589', 33, 2);
    T('-55.0935028608108356125535', '-9584.1331407892880711274578745', '9561', 74, 4);
    T('9144216.5893618497533', '-5.4951899191318254822E+44', '-549518991913182548219999999999999999990855784', 70, 1);
    T('5.469E+16', '-5.7828300338702E+48', '-5782830033870199999999999999999982465246681620480', 61, 5);
    T('-68540.2725366121760044164', '-3.8340864494574E+26', '383408644945740000000062532', 92, 5);
    T('-9.0902235E+16', '69518.7394979938042150793', '-90902235000062578', 74, 3);
    T('-3.9896755514E+32', '433575.430476234689632307', '-398967555139999999999999999566425', 39, 3);
    T('-148660432.4829093171', '1.05E+38', '-105000000000000000000000000000148660432', 47, 0);
    T('-544.5581124438', '4.2214', '-540', 34, 1);
    T('-890.598', '-2.0190E+5', '202706', 21, 4);
    T('-7.6E+15', '8733.3187514767', '-7599999999991267', 26, 0);
    T('-9.58E+33', '389953953.7379079616534543', '-9579999999999999999999999610046047', 32, 4);
    T('-69.75', '198022227451586.774903113', '-198022227451527', 56, 3);
    T('-2.1996043289606038', '-742242.39281756320242107891678', '742240', 37, 2);
    T('-8.77996E+6', '54793865.3379442443353571', '-63041087', 53, 1);
    T('-52.56248115172725092907111', '402332375688912332.8111855', '-402332375688912384', 32, 5);
    T('-4599640784889250.1189', '-81.34833959256490450', '4599640784889329', 11, 2);
    T('-282.623283219363333870808539', '-5962.3526552511725786241753149', '5712', 13, 0);
    T('-2.7099749E+30', '6.845E+26', '-2710567063492903821758244585472', 86, 6);
    T('3905.8003814309485562818744660', '-9E+46', '-89999999999999999999999999999999999999999996095', 57, 4);
    T('327.9167544240314697659127576', '4E+7', '40000327', 3, 5);
    T('359301202.762605921606180076286', '5.88628E+9', '5564989714', 51, 6);
    T('441800.10844958', '6659832387.6766768678913180619', '6659655563', 29, 3);
    T('-77360.760577251645', '981928', '-1037704', 78, 3);
    T('-2E+34', '9.47', '-19999999999999999999999999999999991', 60, 2);
    T('3.796994435739684', '426194634', '426194633', 48, 6);
    T('-576217', '-995708.3702195', '523171', 28, 1);
    T('4895522076.356407', '3499297513.1020557727408', '8377645045', 36, 5);
    T('-2.3E+31', '-461999034727767311241.39045451', '22999999999871631025941907668087', 38, 5);
    T('79228.8777699', '-2.775E+8', '-277570852', 9, 0);
    T('53099951.4087545', '1550846458231382136911742.5', '1550846458231382117632721', 85, 2);
    T('-528959.424455', '-4759564.28602409', '4239925', 57, 4);
    T('-9.856915370062131278E+19', '-3.32679', '98569153700621312777', 66, 0);
    T('-4518453679.18120469849773845606', '74233628.66', '-4450064051', 11, 6);
    T('1299369.1945656107', '9.0771E+36', '9077100000000000000000000000001299369', 26, 4);
    T('-7.862241E+22', '6.32751218446036E+36', '-6327512184460432571726462920461189120', 25, 2);
    T('45981.530', '-401.79983688407', '-45582', 22, 2);
    T('1.86E+5', '9.60706739464E+17', '960706739463881872', 80, 3);
    T('89576.894866970788', '4E+2', '89208', 38, 3);
    T('-56.105804455196001276', '-4080.6', '4056', 40, 1);
    T('21761.390888881066097493', '2878.40518067800176', '24127', 58, 5);
    T('-7.64337823941991E+19', '-5.04272E+33', '5042719999999923656852711510488480', 18, 1);
    T('8899650213.74', '8.5547274350733658528', '8899650221', 25, 5);
    T('462883.34', '-168.014607591033125', '-462981', 29, 4);
    T('-44884103.65876571740263357', '-977.654293689', '44884822', 6, 5);
    T('44377086', '-388866566.57036492', '-361267708', 29, 0);
    T('-287683612.3', '-19935.039645288701', '287701445', 48, 6);
    T('-6.40251352380784147151012E+45', '-4E+2', '6402513523807841471510119999999999999999999600', 29, 3);
    T('7570967556.78830', '9.29183007E+36', '9291830070000000000000000001128516612', 61, 6);
    T('-2.65356971997793080317729596915', '5386.2', '-5388', 100, 1);
    T('-5.12809216177E+13', '-9033109449917229529135.6', '9033109500923137269005', 92, 6);
    T('711.252988716', '73706536.51787070', '73707247', 15, 2);
    T('-30494.6277640168172027', '772070621.8098132014340803932', '-772058049', 98, 2);
    T('6E+6', '4.25727E+9', '4254811504', 4, 0);
    T('5.3876427E+45', '587052.623146833', '5387642700000000000000000000000000000000587052', 93, 6);
    T('1541077588797333241435.9', '-7.40E+7', '-1541077588797271955493', 39, 0);
    T('-539.37996034670037834642', '833734392.09522383004', '-833733859', 84, 3);
    T('-0.3', '-2.8338399062E+16', '-28338399062000000', 38, 5);
    T('-13588.9716495', '-7094.52651213810633960364', '11942', 15, 2);
    T('-6.0E+27', '9.12132094815E+22', '-5999928266705387126958581760', 23, 1);
    T('-83808550', '99638.4687594827640', '-83842068', 43, 1);
    T('-118031.1774027476666', '-9204148.1900096903397844415408', '9288893', 70, 1);
    T('79045.403848576', '-913.493820178', '-79702', 80, 6);
    T('36595735.79', '8.963798319E+10', '89606683585', 62, 2);
    T('-9.023061372716570', '3.251737510979185E+38', '-325173751097918500000000000000000000009', 5, 3);
    T('1.988116236059014882140621808', '4.1349197', '5', 26, 5);
    T('50810.0194208005887', '-16.67', '-50806', 71, 2);
    T('4.2327671326', '56403072620.41659498822733115', '56403072616', 4, 1);
    T('4.7691355E+8', '-2.951969', '-476913552', 77, 4);
    T('-96.1781562710653204219984917121', '-18.376627802050409857078', '78', 53, 3);
    T('-6.35E+3', '84.71906419498074', '-6298', 56, 5);
    T('7.86421636363025E+50', '-3.13190375939E+34', '-786421636363024969011316776145526722022140482158592', 38, 2);
    T('-6816.8162089393979605', '-647590.632', '654138', 84, 5);
    T('-9694.53489400998', '5.498818706416156E+25', '-54988187064161559999993310', 69, 6);
    T('-3919.5591561350', '39624.751887', '-38279', 1, 6);
    T('9.628222690282675809E+36', '-9.3588E+7', '-9628222690282675808999999999942068768', 38, 5);
    T('4521948905261640427585820.56096', '-71195958.97535504046', '-4521948905261640493505578', 51, 2);
    T('-238376163665859546134301.152486', '-4873801131.5218908635901633', '238376163665863262304950', 15, 3);
    T('65725.2', '9.39081740129326925687221371664', '65716', 72, 4);
    T('-11746616771.600', '516.8813453007348425293111918', '-11746617287', 93, 2);
    T('-6275944860.1663031327', '38858.26119981778521206', '-6275974738', 73, 4);
    T('2.4156645598174537961240', '342735853.2758996', '342735855', 87, 2);
    T('-5862292.77026705008256381544441', '-70340118.4918038160024817120', '73940358', 52, 3);
    T('-25863399.03499791891445', '7135.74325601', '-25870138', 17, 6);
    T('-109711.51195788323693939110183', '-5.10776199E+44', '510776198999999999999999999999999999999890289', 95, 6);
    T('-80.77026996', '-4.90058755E+9', '4900587602', 10, 4);
    T('-6233189324.901558738', '-54132.7374212126344428565630', '6233143480', 92, 4);
    T('1.982E+24', '-3.5198059008465085318177387', '-1982000000000000000000003', 18, 5);
    T('2.603262766902184523082', '-1.99459783060980E+22', '-19945978306097999999998', 15, 1);
    T('43842.5352928039548251086', '418.6616233777118272860', '43744', 45, 0);
    T('-6477.39', '-1.369869', '6476', 78, 2);
    T('6.6765', '7.429774430983683195459E+27', '7429774430983683195459000006', 46, 1);
    T('3.4', '8.6948930836895475561612916E+30', '8694893083689547556161291600003', 53, 4);
    T('7.708569106774848216136089', '-9.4880438045076E+21', '-9488043804507599999993', 57, 6);
    T('-57096.528048503494', '-8387277.048957139649589106', '8332747', 18, 6);
    T('9546.09745850', '6.2273E+26', '622730000000000000000009546', 15, 6);
    T('27.76123232057053929189022', '-5388528.3113517120017642937', '-5388533', 87, 2);
    T('970345.4563', '-6.617E+8', '-662598647', 67, 2);
    T('2.06145844666975080806E+26', '7.2480058112380503100316473143', '206145844666975080806000007', 31, 6);
    T('-7.22E+11', '7.896137E+8', '-722454003580', 3, 1);
    T('5990168.585451066925476450532', '3.63259061130696483033529606534', '5990171', 56, 1);
    T('-23235.405', '-64030946.8281242079003463340', '64049699', 10, 2);
    T('452070.6188374607', '-81785938.1913686660232615100813', '-81334712', 31, 0);
    T('-858148966.60', '565.81964848083518892443492', '-858149457', 60, 4);
    T('5.73548740679871231801904752281E+39', '43288.277188', '5735487406798712318019047522810000043288', 50, 6);
    T('44804505.894004034424997574', '-4618.0165069', '-44809105', 99, 1);
    T('6769652509.9', '-8E+18', '-7999999997542092003', 61, 1);
    T('5.0213728813784934930402E+24', '1.80493891854230955378E+35', '180493891859252323173688609427903560', 5, 1);
    T('81652981.379873146756327157', '8574764.0697313444768583008', '73350105', 93, 0);
    T('52419108.538', '-8514454137', '-8466176093', 64, 2);
    T('34.28693975497844245966760', '7.67053166484068909503224029E+43', '76705316648406890950322402900000000000000034', 63, 5);
    T('-1.868189E+7', '6.1274089963672315646393E+33', '-6127408996367231564639299982374946', 78, 6);
    T('752806.387162662198546198', '8.83618955439715408', '752814', 28, 6);
    T('-8.413367670729240973E+50', '-3.10793822077321971', '841336767072924097299999999999999999999999999999997', 58, 3);
    T('55354.127', '-828.3', '-56066', 84, 2);
    T('-817.7766535056748', '1.1218960583009358004981E+35', '-112189605830093580049810000000000817', 7, 0);
    T('-91.50213740069273', '-304940942.73060246877995619', '304941015', 18, 6);
    T('3.34471E+6', '1.8880600749658259', '3344711', 16, 2);
    T('26727134.45', '7.202E+6', '33175054', 67, 5);
    T('6.6E+16', '-1.3923700039884463408E+31', '-13923700039884493373410915647488', 72, 6);
    T('67060', '-91.61084', '-66991', 46, 2);
    T('8.00E+4', '-705590080.854009746483926104', '-705645504', 18, 0);
    T('4950205.14999041355037256', '4.87596157576046634934E+22', '48759615757604668115877', 36, 1);
    T('8584612.91810544083923', '1.611E+7', '7810068', 80, 4);
    T('80.1061663935022191405', '-8E+5', '-799920', 75, 5);
    T('-2.49758957291274223648630709', '7128.185273019', '-7130', 17, 6);
    T('-551014741.5961856', '-3.960659E+7', '579569769', 77, 1);
    T('2.32416302035035426859E+21', '-7202648416.65', '-2324163020352145395954', 2, 6);
    T('-1.019742974070166346073829613', '-6.81', '5', 94, 6);
    T('9.41465E+50', '5.379743049922312089986', '941465000000000000000000000000000000000000000000005', 9, 3);
    T('-2.4121E+6', '8157.01', '-2412959', 77, 4);
    T('7998072.1859138429', '1E+8', '93318008', 79, 0);
    T('-8714.4923215761604767953', '100.4100889453254059502', '-8814', 66, 6);
    T('5.7E+6', '30278655.9042388259140', '26802783', 4, 2);
    T('9.045063927846E+23', '7616534407.4842926065', '904506392784607452686215', 70, 5);
    T('5.126363E+21', '456366384021.8183007459572402', '5126362999835691443093', 6, 5);
    T('4E+14', '9.566962E+27', '9566962000000380174389018624', 86, 6);
    T('470017842.163560677067073499712', '-8.3459642687769026315571474', '-470017846', 14, 5);
    T('2.986981558631E+15', '-9020629495169280.08672816250', '-11980906540923560', 41, 3);
    T('32408.906178164779756', '7.1247517751E+39', '7124751775100000000000000000000000032408', 45, 5);
    T('876.92226229527025829', '-5.9435834E+28', '-59435833999999999999999999124', 11, 4);
    T('-8E+9', '8444.1675047393', '-8000007940', 25, 4);
    T('-1.9696880097717673E+36', '258608.6272316634', '-1969688009771767299999999999999741392', 58, 1);
    T('8.7E+22', '7.04E+9', '87000000000001671290880', 63, 5);
    T('-1947049647145431.599974', '-61897.8564054941788825437', '1947049647206430', 52, 0);
    T('48520.73', '4E+45', '4000000000000000000000000000000000000000048520', 69, 3);
    T('-281761219.64', '376724828.7363135174607', '-113182879', 23, 5);
    T('-108.9665', '6473.358457361824719354092', '-6435', 32, 5);
    T('8.4085705684150E+47', '-6.84482141894148787669435', '-840857056841500000000000000000000000000000000006', 95, 4);
    T('-2.82E+9', '-106.5127029897980851121', '2819999894', 5, 5);
    T('14.41440404227', '-9.478130', '-7', 28, 1);
    T('-3.41E+49', '6.6070451248996005444109079', '-34099999999999999999999999999999999999999999999994', 24, 4);
    T('-2.87204374480028046', '7.7E+2', '-772', 90, 2);
    T('-2.35335516978E+18', '-63336233674.3330575948156', '2353355107052215862', 56, 5);
    T('37.47857559', '-5.3922608853188327618', '-34', 51, 5);
    T('-8.6E+8', '700692917822.758000167', '-700479168706', 25, 5);
    T('-84.908330762525342402417754129', '-237756124926759.9', '237756124926837', 65, 3);
    T('8141160.408', '10823124.201874278', '14228668', 71, 2);
    T('5236065.581440419684205509592', '-8.424330E+35', '-842432999999999999999999999994763935', 47, 0);
    T('-18722.8164936353839794540', '-854.4294451500013626', '19060', 2, 2);
    T('-8027602089.20648845303750442817', '-81364613.101288921926', '7963081260', 36, 5);
    T('-93.162', '-5984.0591770684919197290090993', '5891', 52, 2);
    T('-5.010E+8', '-12.6039978992623533576', '500999988', 14, 0);
    T('-4.99241756E+36', '-46505441.626208663747', '4992417559999999999999999999953494559', 67, 4);
    T('-5.196124802', '-68363194.260708582435643', '68363197', 46, 0);
    T('1.02496528E+17', '369464870092068.43532', '102865953476320548', 41, 1);
    T('9611993132142024968.8', '-9.15983E+8', '-9611993133039031200', 57, 0);
    T('-819.19522610893', '-359449374741987024.888', '359449374741986813', 17, 0);
    T('334817536.1200050697047208688', '-8.904E+7', '-381308288', 23, 1);
    T('240565.549', '66.79873115707268473883622145', '240631', 53, 4);
    T('-11514800.04788', '4.8533236310551323268517E+30', '-4853323631055132326851688576688', 17, 0);
    T('-5220038.3871', '4.28E+36', '-4280000000000000000000000000005220038', 71, 2);
    T('-9.64E+4', '-9.5446E+25', '95445999999999999999903600', 32, 0);
    T('-6.7693755305511158E+17', '-605175092573216.454152', '677459113710693764', 80, 1);
    T('684561399.9109487', '9331647926.5746617200', '8673310273', 67, 4);
    T('686959229809318010.401507', '-90.39328', '-686959229809317924', 6, 0);
    T('-576123374002445.7422248', '-7774.03250459907901484034', '576123374010193', 29, 0);
    T('1.7', '-36396412.2659960', '-36396411', 69, 2);
    T('3671.57391102863842', '1.3535796361684957E+20', '135357963616849569415', 14, 3);
    T('-5311.5948590211567211651420828', '167384380.15993030876318', '-167379331', 33, 3);
    T('80499.7608909430', '5643437156.447392803912', '5643517463', 92, 2);
    T('-4653007740614629450547.7157', '232487359.2563164', '-4653007740614399466126', 96, 1);
    T('92.89552985538955567881739414', '-4.6053537879807513503510433E+36', '-4605353787980751350351043299999999908', 78, 1);
    T('8.3146093E+39', '-45427.9793097', '-8314609300000000000000000000000000045427', 31, 5);
    T('-6E+3', '5.856024114746338304908529076', '-5995', 69, 4);
    T('2.53483726688849270098744402036', '-5862349652164.48', '-5862349652162', 11, 5);
    T('8.06987072205E+40', '-7100.0759343617528290592017', '-80698707220500000000000000000000000007100', 9, 0);
    T('99.6', '6.581914E+23', '658191400000000000000099', 77, 5);
    T('-4E+9', '8587.065227', '-3999991413', 12, 0);
    T('1.63411498138606E+47', '692191084710550033060553.315098', '163411498138605999999999463693201833430008910537', 92, 4);
    T('-7.7870907799250216013917415112E+31', '9741490810.719', '-77870907799250216013924874725190', 93, 6);
    T('-4378465001.407099', '-9.90253679507475298138703848E+31', '99025367950747529813866142921239', 78, 3);
    T('7.345788E+28', '8532822.78197890', '73457880000000000000008532822', 58, 6);
    T('4.15E+5', '273.2775922664074804922124860', '414729', 72, 6);
    T('-89928.121602', '-2593180.0', '2543324', 3, 4);
    T('-12672.8988307', '-7.3442E+8', '734424416', 80, 4);
    T('-26.0855088', '3472676.031180', '-3472702', 85, 3);
    T('-2.4E+10', '-30.230365267931085', '23999999970', 3, 6);
    T('-89167270.137203645', '-2.3E+2', '89167168', 53, 3);
    T('4.339158568983578736210758E+39', '420493.119764105477', '4339158568983578736210757999999999634061', 55, 0);
    T('-2.22314538227509945842854343201E+33', '4.471059650692072246627947714E+49', '-44710596506920721603961970830004302271276790458640', 22, 0);
    T('-6.68E+8', '5.35220344E+50', '-535220344000000000000000000000000000000000668000000', 65, 3);
    T('-9.915988090072259894861861E+32', '-70278.046928253107', '991598809007225989486186099938938', 43, 6);
    T('-659746271.3321717', '3112411882.65612076878362187', '-2664517429', 47, 1);
    T('1885178.246347967316149911837', '180600.614809706', '1966722', 75, 0);
    T('8.9157554941674299697687554580E+39', '-4.0E+25', '-8915755494167392538886010944084387422208', 85, 6);
    T('20635.00815799344608', '3.79409446775318368E+38', '379409446775318368000000000000000020635', 95, 2);
    T('-59503.8260648088006379851275187', '-34725.5280066898258217078293', '28618', 87, 4);
    T('-510.26425712787897', '-953743.485788104457', '953459', 88, 5);
    T('6.98780963637', '9959272368.8711780492726820', '9959272374', 64, 0);
    T('94987.502285822813044988725', '6919834571.940417951283', '6919895232', 91, 0);
    T('-21390.74892817898', '1232765.3386573829282', '-1219825', 73, 5);
    T('-128916225.79907806710', '-48397252.6487684662709825125529', '88957123', 81, 6);
    T('-7.517385970E+31', '9.8582122797E+20', '-75173859700948927724004208602112', 53, 3);
    T('73036316.30681', '-946688.4', '-72614884', 64, 2);
    T('-7.510662999E+13', '7.510E+14', '-826046500423280', 66, 2);
    T('909.69497', '-137334.85128544174', '-138233', 21, 5);
    T('-4.412E+16', '-18085956', '44119999982241724', 74, 2);
    T('2.55984006996217919193', '-802833056344.783', '-802833056342', 79, 4);
    T('3.8731E+5', '91294', '298096', 37, 2);
    T('-42190.39948847527112639637457', '6.9442282511255791954E+40', '-69442282511255791954000000000000000042190', 41, 3);
    T('7.911709792E+28', '22795134.4051', '79117097919999999999989240702', 64, 3);
    T('-68409.373808611207630203216', '-59400.661204425026716672521', '123711', 77, 4);
    T('8.039E+4', '5.7E+35', '570000000000000000000000000000080390', 56, 2);
    T('9E+9', '-2.2E+3', '-8999998104', 34, 2);
    T('588572688', '4.092010984329176455943E+46', '40920109843291764559430000000000000000521463824', 5, 3);
    T('8.0520890309863002704048E+30', '-7160299144326856870502.062', '-8052089023830763792835646995046', 99, 2);
    T('2133846916.571888', '-5.97481836936508E+33', '-5974818369365080000000001259345020', 67, 1);
    T('5741206549.54342004029906', '4928760.92291088472641579', '5745731821', 36, 5);
    T('-8844935854.6506911612', '-2.2531300617154620624236E+36', '2253130061715462062423600008574139730', 83, 4);
    T('4.67031E+27', '28.746034623035755691829', '4670310000000000000000000028', 37, 5);
    T('1.33E+47', '-8.99459303E+37', '-133000000085519958355789472301187842489215614976', 39, 1);
    T('-6.6E+2', '5452.29274', '-6112', 85, 5);
    T('-7.493365686E+31', '7941221738.4413505', '-74933656860000000000004943680150', 75, 3);
    T('-263.837410400851', '-477.3300256', '218', 82, 1);
    T('934.6493663080741', '88232.89111031597658015454', '88846', 41, 6);
    T('2.3870E+7', '-695.291239000488221516843408', '-23869575', 42, 4);
    T('-513874251.131740', '-2.6716238E+10', '26420472293', 41, 0);
    T('2.462256512414613555E+21', '-1.6142E+33', '-1614200000002423052606326018619592', 87, 2);
    T('96.6173351865897816143082881', '-2.5E+47', '-249999999999999999999999999999999999999999999904', 62, 1);
    T('-602993.6438607172520214488', '2107403.3777689507248337087', '-2694012', 100, 5);
    T('-1.81967109843574', '-50.5296518250208529342477879', '49', 49, 3);
    T('4858169799.4007958768067059513', '-8.2E+14', '-819995175482937', 56, 3);
    T('-7.9950129120E+11', '15465.6045', '-799501300439', 90, 4);
    T('-3476286958.7394250241181901484', '-1.039711', '3476286957', 23, 5);
    T('90.4360', '-80464434.41169016', '-80464492', 79, 3);
    T('-63705020956468217.0179375', '83685800.56', '-63705021022736977', 20, 0);
    T('3.9E+5', '4.6E+27', '4600000000000000000000390000', 44, 1);
    T('80.317940', '365535711.174740302298645504', '365535631', 28, 4);
    T('-8.1E+5', '973.9881192416406117', '-810947', 99, 3);
    T('-168.52685127735857431', '1.26E+8', '-125999912', 16, 1);
    T('2263213312.067', '-293.544696725598150301414', '-2263213093', 12, 3);
    T('-872957448.086195610531', '-7615499.797238', '880570893', 98, 4);
    T('2.8134550211331319107151964505E+29', '-9.975236218642707161016611', '-281345502113313191071519645043', 44, 2);
    T('7.246244978904059969', '-8345.061297990034851032', '-8352', 25, 4);
    T('9.62689525E+38', '3E+6', '962689525000000000000000000000003000000', 96, 5);
    T('-130.974398729710768', '-4952406.31', '4952532', 16, 1);
    T('-7794207874.8', '36783.3928071', '-7794238255', 99, 5);
    T('-2.41E+44', '7881266880007.863369105831224', '-241000000000000000000000000000000914826142201', 33, 1);
    T('-2.58904E+7', '-2220.1482094709139045133', '25888500', 48, 0);
    T('-30.3', '20787.4', '-20783', 98, 4);
    T('6.65E+23', '8.6473E+12', '664999999993552331254016', 89, 0);
    T('-884429137.0226311803', '-255850.64346921641069', '884258361', 94, 1);
    T('7467.8529483896865240110377', '4.091611081953E+25', '40916110819530000000007467', 38, 0);
    T('-75.442295255565560894', '8.0057801E+22', '-80057801000000000000075', 83, 0);
    T('7.86527E+6', '-4.420260E+24', '-4420260000000000006814794', 45, 5);
    T('3.8E+43', '-3.13893382175226E+46', '-31360409865000472145146577549484551742213324800', 72, 3);
    T('5.63670E+9', '-8.666085926531', '-5636700008', 23, 4);
    T('5.183E+33', '-902899.8', '-5183000000000000000000000000902899', 18, 4);
    T('2.618192981694E+25', '9493273', '26181929816939999990520601', 17, 3);
    T('-7.7E+15', '-6380.906780200', '7699999999993620', 2, 5);
    T('390.979244294391654954', '-35754394.1', '-35754016', 53, 4);
    T('-1304681144.29613082055637685', '-4.28781446893435090E+20', '428781446894437281528', 77, 1);
    T('-47.5334014089473600310960389', '-6069329667.5498', '6069329708', 28, 6);
    T('5.18397749E+38', '3.52385321834830430549993018', '518397749000000000000000000000000000003', 18, 6);
    T('-7.2465044054921433670973771089', '9982.100866129133656757352818', '-9977', 67, 4);
    T('1.23E+6', '581.12', '1230581', 68, 6);
    T('-1363027842.2882844235498', '-929325710.1029266619763054858', '1717191948', 86, 1);
    T('7.6591E+18', '-849.06184108351442638421118', '-7659100000000000849', 98, 2);
    T('-29.0250450039810236715', '618.1', '-631', 80, 0);
    T('-21.573844330535864017277922', '-93642056112182578.502', '93642056112182565', 70, 2);
    T('4.1753976319976545590E+39', '-5.24632483182237676E+33', '-4175402871959300400270228011057381376000', 13, 6);
    T('7.49541709E+38', '279880174643.8387555954178', '749541709000000000000000000271290240051', 97, 2);
    T('97.32967', '77582.81', '77679', 85, 5);
    T('-3272131173043064.66242', '1.98177123274007191659', '-3272131173043063', 80, 5);
    T('-1.706590756', '-3542805038', '3542805037', 44, 6);
    T('132.24577838249', '-3.0454626203420E+27', '-3045462620341999999999999868', 92, 0);
    T('-5.43094869522832670', '3871893.6224', '-3871890', 23, 0);
    T('7266396167.1078640080', '-5.168886920683058025893E+22', '-51688869206829220507767', 32, 0);
    T('-82.3254193155828621311', '-1567860895022017.284956884', '1567860895021969', 72, 3);
    T('-5.6078193174E+12', '89.89', '-5607819317455', 1, 6);
    T('6.26', '5927.5274006963839748718789421', '5921', 13, 4);
    T('-1745495963.99', '-6.59545297896206696460133E+31', '65954529789620669646012898009957', 85, 2);
    T('-8.618924062E+15', '2242.6', '-8618924062002110', 71, 4);
    T('-7.16526778978203493271051884', '3.558935227602635', '-6', 13, 3);
    T('-5.143897', '-415.6398991635', '410', 49, 2);
    T('-6964162.7203944150075324602', '8748.31786', '-6971886', 25, 4);
    T('-7875655.6686660', '-732.6711493795956', '7876253', 93, 3);
    T('-7.3195671233667098282E+46', '-2.021334937E+33', '73195671233666462611106407943041269575358349312', 62, 0);
    T('693574595.70727371227664977', '-8.0605E+21', '-8060500000000693429309', 89, 1);
    T('28063750.016788857183396024384', '-426165.79039322308474071793', '-27965619', 78, 5);
    T('-666.78133490326279', '-58.8382779082', '672', 29, 4);
    T('-8.450705E+21', '161561194.0031070734146616972', '-8450704999999855347094', 83, 5);
    T('5.728388226485594816638E+38', '669440.485762437054968069085827', '572838822648559481663799999999999620864', 73, 0);
    T('-76.902168423366684094960894', '4.000976195647435530183869E+25', '-40009761956474355301838634', 16, 3);
    T('-4470402968908187096269.0527913', '2.27E+5', '-4470402968908187279989', 22, 2);
    T('-2E+2', '-9086707204768862630.87', '9086707204768862562', 24, 6);
    T('2.61889362334798415736', '4.54086138346024480004621E+45', '4540861383460244800046210000000000000000000002', 43, 2);
    T('7.947558394295976534604282E+46', '-716725.34811115667901775733080', '-79475583942959765346042820000000000000000716725', 6, 3);
    T('-50939964.88757181226', '-2.45855136940690026', '50939962', 82, 4);
    T('6.50762293153735855865206', '8596132.62785433042666', '8596130', 32, 5);
    T('191873834.9912604718', '-180774634.123385078', '-27895236', 52, 4);
    T('1.6002660002145', '8.97733478E+35', '897733478000000000000000000000000001', 27, 6);
    T('-65886048.03969219922', '-167353262.2281650237193589646', '169135346', 61, 1);
    T('-93020576.5658913953266136168436', '8.752915805676174587949E+30', '-8752915805676174587948958671776', 34, 5);
    T('-7974348373.9209530931829918649', '6.31353330496831411250771337458', '-7974348371', 21, 6);
    T('-1.226E+9', '-8.9873841071842082E+29', '898738410718420819998774294912', 50, 1);
    T('6.5024176E+10', '-3.581023E+8', '-65345559196', 67, 2);
    T('4E+36', '-834595414896717588872585.0523', '-4000000000000682797156638728200404361', 86, 5);
    T('-6932.24872640643494739894836088', '-79807.9646882435283479617339', '76973', 26, 5);
    T('3.73561516485E+20', '5.0E+50', '499999999999999999999999999999635662480139040027136', 63, 1);
    T('370.6162308519536397111', '8.0E+2', '594', 83, 6);
    T('7324.42305931361', '4370717.5247819026430281207', '4369793', 33, 5);
    T('9651356830.9550985998264492938', '-4.0E+4', '-9651394722', 90, 4);
    T('-5355.374008017344391038522', '-860113100.04552501', '860118049', 37, 3);
    T('191.768594', '-925324.40989', '-925237', 37, 5);
    T('-9.260', '-509135964724495995.07656223328', '509135964724495986', 30, 3);
    T('-78400', '3.522231149E+42', '-3522231149000000000000000000000000000078400', 78, 0);
    T('-2877.7', '-2.3729954E+48', '2372995399999999999999999999999999999999999997123', 93, 4);
    T('19053248749.53614399594', '-268592431.28456404682569218730', '-19321841092', 10, 2);
    T('-962.558019274426752408564', '6.21165E+21', '-6211650000000000000962', 41, 6);
    T('-6.269E+8', '3673703279.68647933372711', '-4289068913', 63, 1);
    T('644190918.190724494544763305', '9536', '644200326', 5, 1);
    T('8.114834730405691E+36', '-1.377284363904202', '-8114834730405691000000000000000000001', 36, 6);
    T('-5460242635.814594741188654', '-318.191506284587835654592345', '5460242935', 41, 4);
    T('-449.81441770046385709', '-645575.6258', '645126', 68, 4);
    T('23.1169734605788982521', '-4723435.6252778343618892969918', '-4723454', 41, 5);
    T('-6.71518705862E+17', '-343.1237045633160', '671518705861999657', 46, 6);
    T('-1.2958276978E+43', '-170276.75', '12958276977999999999999999999999999999829724', 64, 3);
    T('5E+33', '9.04870476569593665475E+46', '90487047656961668944916404156952639189924446208', 91, 1);
    T('-6606637.2487186829177659454', '-500173747.0261874914716069685', '498386078', 19, 2);
    T('7.022E+45', '78.05620714784438816315854', '7022000000000000000000000000000000000000000078', 36, 1);
    T('9.61959932E+24', '69145054.547781045119206', '9619599320000000065475038', 34, 6);
    T('1.557428147417422877E+22', '6.33E+3', '15574281474174228771946', 22, 3);
    T('-5780.86489', '-38726.11582473940320', '33238', 42, 0);
    T('7110620090.57702886987', '-7.65413594406942416559848E+36', '-7654135944069424165598480002597489734', 67, 3);
    T('3504390639706853847148995960.63', '6634585224.95', '3504390639706853840587889136', 5, 3);
    T('8.3975910135802E+34', '-4.78E+10', '-83975910135801999999999953310719488', 18, 5);
    T('3339678481.3383153', '-6670.2296681676664', '-3339675933', 94, 1);
    T('-8.4969260E+48', '3.1604405163', '-8496925999999999999999999999999999999999999999997', 8, 0);
    T('5823117.531280274533786684', '99.409118651354', '5823214', 36, 4);
    T('854689927.218061640659628204352', '2.45121246', '854689925', 57, 0);
    T('8E+2', '530.4267026417419401859', '306', 73, 1);
    T('-64271813', '1477823.580469298763', '-63060348', 61, 2);
    T('26.28434607597', '-3.5723159743523286484732E+34', '-35723159743523286484731999999999974', 11, 2);
    T('3.85E+32', '-6.8765670052213341E+27', '-385005599930112482101624072980480', 81, 4);
    T('-7577106.393', '1.3784859226587414727E+38', '-137848592265874147269999999999997091346', 84, 4);
    T('-4.192798810012489E+45', '-145450007.9403784916241667821', '4192798810012488999999999999999999999854549993', 67, 2);
    T('4.53187319074E+23', '-330571.0213462923925819', '-453187319073999999806283', 40, 1);
    T('4.4802613E+11', '5.7721250853843724187927E-517', '448026130000', 48, 2);
    T('-6E+26', '8E+48', '-7999999999999999999999671466418535091415520641024', 28, 0);
    T('-1.2839E+45', '-674.04977392038666', '1283899999999999999999999999999999999999999326', 92, 4);
    T('-9.6873340200516101461477E+33', '23.9', '-9687334020051610146147699999999977', 64, 1);
    T('562981.735911086330518631001', '6.260932764519747414696E+36', '6260932764519747414696000000000562981', 47, 0);
    T('7.6788423E+43', '65.66737305011155881528', '76788423000000000000000000000000000000000065', 42, 5);
    T('-82175.84299402100906644', '6.2429E+12', '-6242900082175', 69, 1);
    T('4.14206108080092833661E+30', '-4.574279076E+45', '-4574279076000000933300936699066227990340152320', 5, 3);
    T('-8305633935', '7467.0181', '-8305637286', 87, 1);
    T('-658.836509952924892173911107838', '2.4154926187972203741588570E+36', '-2415492618797220374158857000000000658', 3, 1);
    T('7.5849E+38', '-1.79282E+31', '-758490007786914313130558053810754813952', 12, 0);
    T('9.71907440326431016077849E+46', '-15.5047366920', '-97190744032643101607784900000000000000000000015', 44, 5);
    T('-4077.46732', '869722272.2286054140816533', '-869721933', 9, 6);
    T('258149762.9225582052136', '43915.17', '258188809', 29, 4);
    T('856.881', '-3.7120440E+9', '-3712043144', 92, 2);
    T('59751087144857275.260620772', '-16120580.58483909525293', '-59751087154107833', 71, 2);
    T('73439641.29', '-6E+3', '-73436919', 2, 0);
    T('-9.09', '-610343198.6947120578', '610343189', 18, 6);
    T('-9688.0550931855776589758546', '31907.98', '-22901', 75, 1);
    T('27611.803', '59078.336366', '36125', 46, 3);
    T('-5.6E+6', '-5812.677425352542', '5596236', 16, 0);
    T('-371592293.330867019', '3.81136958818458E+40', '-38113695881845800000000000000000371592293', 89, 5);
    T('-8.6602268983308E+19', '-1.06108E+6', '86602268983309052456', 39, 5);
    T('8.4211650238910296002427E+50', '-764006557.169', '-842116502389102960024269999999999999999999690264733', 11, 0);
    T('-91328596.2473', '-648.432340619610902333792', '91329236', 74, 6);
    T('415936830.4784933171', '21218.5981269977', '415949788', 31, 3);
    T('6.301656620E+33', '4.228712179519060386115088758E+42', '4228712175248510990530803968708129167704064', 9, 3);
    T('7133072320.96526119644592', '6415.328147', '7133074127', 20, 1);
    T('-148.342153526292851337230436943', '9482608600.399678943423685', '-9482608460', 18, 6);
    T('-8.99998788163', '-672242029062680.652756170', '672242029062672', 28, 6);
    T('-7.21172909109400691105836E+45', '5164615370458.67279', '-7211729091094006911058359999999996075321555238', 20, 6);
    T('-324.94955934865559', '-22557.692564122704403944824993', '22879', 72, 5);
    T('-1E+2', '5.34482678177453526408E+36', '-5344826781774535264080000000000000100', 26, 2);
    T('9.675659472E+41', '-9.6010E+8', '-967565947200000000000000000000000960100000', 65, 4);
    T('53603076.15', '602965.018051822', '54057041', 13, 0);
    T('-2E+1', '-4924229.44', '4924247', 78, 6);
    T('-7E+1', '-358.259907838196655170248', '288', 41, 2);
    T('73710215.9899177', '224.791903943858543780461876348', '73710183', 27, 0);
    T('80.2934314973779734140289108284', '5.02330605674055213956548208963', '85', 2, 6);
    T('329.8', '3E+4', '29817', 56, 0);
    T('6908.80', '-7.895E+18', '-7894999999999993092', 31, 6);
    T('-6.86150969607222', '938.88637', '-944', 20, 5);
    T('-63101935.477216187322791961023', '-8242.09770448', '63110111', 72, 6);
    T('-4418277.399468590585795', '23504584.093343641973494326', '-19254317', 40, 3);
    T('-5.5E+3', '-4559800019.5257296', '4559803305', 100, 1);
    T('-245.374268985568322', '79.6575419376372', '-188', 36, 6);
    T('7258963.358856457263', '6.4E+5', '6752083', 72, 0);
    T('57024613', '-9.79838281390', '-57024622', 82, 1);
    T('2.037479885195887E+38', '-3E+2', '-203747988519588700000000000000000000300', 75, 4);
    T('-3.3227094820829E+37', '3.55341331199786E+26', '-33227094821182413867565968511125381120', 7, 1);
    T('-9.8892883699986968965E+20', '-766596102.1909025', '988928837000195849012', 50, 4);
    T('-5637687329.69822469', '530782.4055561415706', '-5637165439', 51, 0);
    T('2.791715E+9', '907.04861003', '2791715635', 33, 4);
    T('5.19242697609082284764024', '-48.00462589', '-43', 13, 4);
    T('-705188.059501207081605612', '-53253.911000717329797897439', '660135', 98, 5);
    T('4976.117641176339750395419', '4.3264223287822836705686402327E+45', '4326422328782283670568640232700000000000004976', 86, 5);
    T('2626', '8.088E+7', '80882626', 41, 1);
    T('6.7833361', '-938728.747016358', '-938722', 82, 1);
    T('-7.20556315912345974E+19', '6.895622918677', '-72055631591234597394', 53, 0);
    T('-30230.158416844621', '23099.32571967823814981', '-11311', 62, 3);
    T('5935040.98442399841628', '56.8730939', '5935096', 79, 3);
    T('-3.075680909026245801890531465', '5.87E+6', '-5870003', 78, 6);
    T('7.30765978484269272648', '-5.55652150592513457910321443', '-4', 100, 5);
    T('9352.188663874523165', '3.708322392040591266762474E+37', '37083223920405912667624740000000009352', 13, 2);
    T('2444969.7295632505376714', '-548176927.1851200285801953431', '-545901240', 40, 0);
    T('8.734004', '-7.10849277E+32', '-710849276999999999999999999999992', 95, 6);
    T('-8644420364.489461749159062312', '33079228.241', '-8636587192', 51, 4);
    T('-5.36342027829842354243007112223E+35', '6.07925200798245272E+40', '-60792669148887668776771649963447450994112', 60, 3);
    T('-3738510605', '9.02559290340E+31', '-90255929034000000000001247094029', 48, 0);
    T('-329.71358621800204', '8.946200341095E+13', '-89462003411279', 94, 1);
    T('2533022377.5669114087', '8.6674680565540397473315242', '2533022369', 9, 4);
    T('84107046.79881255491', '9632409716.76180144955290650499', '9581999954', 59, 1);
    T('2446657.4962803578', '6.70E+3', '2445165', 100, 1);
    T('4.85739', '593896.01602611793383695', '593900', 17, 0);
    T('8332926573.72888686127446478', '4.376E+4', '8332965021', 27, 5);
    T('-2.6E+7', '71965979.0263057541298537', '-96905061', 5, 1);
    T('6026.5339912', '596.3371652526698', '5598', 93, 4);
    T('5712896255.4749331872498412', '-2.19463973704E+21', '-2194639737034958700289', 4, 0);
    T('4256344.86557230869202396914795', '38.020382929', '4256382', 100, 6);
    T('-41024.119968869436393772189870', '-4E+34', '39999999999999999999999999999958976', 73, 2);
    T('880.650559911658', '-202098.256179100323623195743654', '-202242', 37, 1);
    T('5.33143595777', '-1.696454466146318976242921664', '-6', 92, 0);
    T('-7.40339532693921218290', '-537047.67126927815831713902269', '537040', 29, 4);
    T('-763745914403169374275.90409', '9.765391751E+12', '-763745905197673269019', 60, 3);
    T('-5.1778E+7', '-137.7126', '51777863', 25, 1);
    T('-36970.9748008', '-6.1868484891E+35', '618684848909999999999999999999963030', 47, 1);
    T('-4.54853806828E+22', '-6.7E+8', '45485380682800513072256', 1, 0);
    T('-8934212253.76478394771', '-5E+3', '8934215963', 95, 0);
    T('-587524.29266510244', '9.0124380E+8', '-901715100', 56, 5);
    T('6.196750206372', '0.0342392902', '6', 77, 4);
    T('-975073.2086556968029', '6.19425980449573398481626117E+40', '-61942598044957339848162611700000000680161', 79, 6);
    T('9027125.76085335409796', '6.883003E+13', '68830037889461', 20, 5);
    T('-9.40E+8', '4.893702191899260E+42', '-4893702191899259999999999999999999866258176', 64, 5);
    T('19879.61974019', '-508844.741359532931864404659', '-495117', 83, 6);
    T('-50273828.390950', '-73933.2488995926995', '50216687', 83, 4);
    T('16.4740744695', '-5.45879241713E+24', '-5458792417129999999999984', 1, 4);
    T('275211443.1255435165031581', '-5.43051993996128E+50', '-543051993996127999999999999999999999999999724788557', 36, 1);
    T('-4.637E+9', '3802274721.594825533542050772', '-8434817695', 33, 3);
    T('5.1E+8', '5982888415.167263', '6358456927', 2, 0);
    T('-19064480039.632963067076163480', '-7009440419.844386639', '24991724420', 36, 2);
    T('341862.77746996030012', '59.86027912868787611224', '341853', 70, 1);
    T('-4.0252E+8', '1.43243896244938067726765104E+44', '-143243896244938067726765103999999999773374400', 59, 0);
    T('192.406208337107474480478', '-6E+2', '-664', 87, 5);
    T('-44427948.164642', '3882.29118968066227284', '-44426626', 27, 3);
    T('2.103090402E+33', '6894014.074980871947783333', '2103090402000000000000000006894014', 18, 5);
    T('-501584.7355231332', '-1.02', '501583', 42, 4);
    T('7061024.12591960548363532818', '-99537.129027473', '-6961905', 63, 1);
    T('306147991.78', '38847302.9', '275755473', 20, 5);
    T('438969911070880239732522600.671', '668126975.936682', '438969911070880239148544151', 52, 0);
    T('-67850.14808659', '553432544.82201549941097036386', '-553499882', 43, 6);
    T('-114839812.04', '626515.33533255167882571', '-114417233', 7, 0);
    T('-6578174', '8572694794.0', '-8566648568', 25, 4);
    T('4.61744531869455455329', '-4.37067161224284630783064804E+46', '-43706716122428463078306480399999999999999999996', 42, 4);
    T('319.345946591412524911', '-952.31278891', '-649', 84, 5);
    T('7.05E+7', '-531818.2417294408', '-71017418', 73, 6);
    T('48860.81235753307724', '6.6206359623330789916415E+32', '662063596233307899164150000034524', 22, 4);
    T('1.566154449786057083776E+25', '422291.044661034729446', '15661544497860570837633427', 48, 2);
    T('-3325691.210886141462', '4804.759894092856682414', '-3320895', 41, 5);
    T('9.9377694768296092110E+21', '-777.704843578241493505', '-9937769476829609211761', 43, 1);
    T('-2142978542249888.98895899996', '2943724009.6334', '-2142981409738359', 99, 5);
    T('814786554.078427320749005873', '9.48E+13', '94800275802106', 78, 4);
    T('8.858992285E+49', '-961.2', '-88589922850000000000000000000000000000000000000961', 75, 1);
    T('4E+5', '6063.610', '396591', 92, 1);
    T('8.47626301E+12', '93751276509.0', '8385330658573', 99, 3);
    T('-3.8903387944357E+21', '503.1162118', '-3890338794435700000009', 50, 5);
    T('2.270E+36', '-8.828380656171', '-2270000000000000000000000000000000008', 23, 6);
    T('1.0180148168356518925E+35', '4341.1151103323121660', '101801481683565189250000000000004341', 24, 3);
    T('-61.756171826', '-6855.57345853248', '6906', 20, 5);
    T('3648176.672290167445128', '9238.9', '3640998', 94, 6);
    T('70983094669.0767258272082043430', '156727566.99547', '71130900611', 24, 0);
    T('9764.8228757291672287', '-3.73221191559E+35', '-373221191558999999999999999999990236', 72, 0);
    T('506.531363082', '109009941.9132092716', '109010415', 43, 2);
    T('81573342.16', '66', '81573276', 89, 4);
    T('-2.792241631526656E+23', '3.41524256613120624999162601167E+44', '-341524256613120624999280074397352964470571008', 30, 4);
    T('-4.342464089E+30', '-9.8890E+23', '4342464922942694815800453234688', 53, 1);
    T('-51147.4281856141157051', '9353801.991006411852', '-9338244', 82, 1);
    T('5.34E+28', '75403.2863161585', '53400000000000000000000075403', 71, 3);
    T('3.416E+6', '-9.550857428586', '-3416009', 33, 3);
    T('-6.2E+5', '7.50544E+41', '-750544000000000000000000000000000000620000', 11, 4);
    T('-564606507.911', '8.3E+6', '-567907275', 31, 0);
    T('-3.00E+13', '39112008.8573', '-29999960887992', 18, 1);
    T('-1299416882.284494370412', '9.484E+8', '-1978984626', 95, 5);
    T('397.371656794461', '70325.30525650538924367093861', '70456', 11, 0);
    T('9.68920363540637186406E+48', '5.293856E+11', '9689203635406371864060000000000000000046201779200', 87, 2);
    T('4787077.47098669926', '76.94202545095623', '4787145', 1, 3);
    T('24055538', '-36404399.1', '-54817373', 35, 3);
    T('9.617047226908274E+29', '188866668809496337345712142156', '1129365621280741783015696512844', 66, 3);
    T('1331015054.56235402747413731817', '-4.12', '-1331015054', 38, 3);
    T('139594792.290759846521952541', '-791233355.1246', '-662392675', 69, 1);
    T('-3.9447863635E+26', '3638123513468.90932', '-394478636349999170820356484', 83, 1);
    T('-7114589880.82443829', '330608713.95', '-7443101439', 45, 5);
    T('-475864.60961696', '203.08419463622537055352', '-475677', 97, 4);
    T('-6.13E+4', '-7.10042046E+21', '7100420459999999971468', 16, 6);
    T('-79674227.59827', '729.5243206081997565511211', '-79673772', 60, 0);
    T('5.25639E+16', '13588770.41293875717167', '52563899996504354', 21, 4);
    T('-34165.159827', '49892490.8287802338', '-49924607', 25, 2);
    T('-379.9323126533', '2299772704.529718', '-2299772507', 69, 0);
    T('152926809.37081178817150690638', '-609.4871543', '-152926266', 3, 1);
    T('-1.07E+49', '205208.419094', '-10699999999999999999999999999999999999999999794792', 18, 2);
    T('-741.2374997864507', '-1.16228532208506991392E+41', '116228532208506991391999999999999999999259', 4, 2);
    T('-3780337015.767443', '-571700058.9960845942', '3275763247', 24, 5);
    T('9E+40', '441.125229463434720139', '90000000000000000000000000000000000000441', 99, 2);
    T('-8.6671E+6', '-6258790.67405325772975145220', '14401470', 71, 2);
    T('847.568433457354130754', '4134159.420888241', '4134464', 3, 3);
    T('-1.3E+38', '9.3893295171E+43', '-93893424422557166649170808207718632864612352', 90, 0);
    T('-8.966976353E+23', '-2.5106027247615824019E+47', '251060272476158240190000766832556949272599052288', 13, 6);
    T('-3455137.969547716276116759167', '6.8192693E+34', '-68192693000000000000000000003455137', 60, 3);
    T('7186819015009357506499', '7.416216E+7', '7186819015009283356723', 30, 4);
    T('3.619608175284912070', '-4.365128498E+23', '-436512849799999999999997', 29, 1);
    T('-67740.8647604492097668812243', '-129607.626139620961', '62173', 26, 0);
    T('3.84436789233756235206', '7.8862857875266493551135080363E+46', '78862857875266493551135080363000000000000000003', 75, 6);
    T('7.5367315288530257E+28', '-7235.7585995688500', '-75367315288530256999999999043', 50, 2);
    T('3.38082E+8', '266470139927624525585968483660', '266470139927624525585768904092', 5, 0);
    T('-71387.266548', '8498437.9729715295454903', '-8436704', 50, 1);
    T('-175175.489176032394194', '-9.56E+8', '955894457', 72, 3);
    T('-5.353E+39', '-52396.355107321991763', '5352999999999999999999999999999999947604', 19, 5);
    T('-1.21112E+37', '-7257803.70211607620614', '12111199999999999999999999999992742197', 59, 3);
    T('-657.34835950177420734924814', '-810565.0', '810196', 12, 0);
    T('-81798434.4035226823', '-9.309532E+40', '93095319999999999999999999999999918201566', 57, 4);
    T('8.7140830972226534E-31', '4.677E+9', '4677000000', 33, 3);
    T('-58949656.9363165267232', '3.6E+3', '-58953224', 90, 4);
    T('-46.96950946466582093', '-829677.72874', '829633', 55, 0);
    T('929.506090123457261', '9.7004E+5', '970393', 96, 0);
    T('2.3E+4', '-55708045.51886963', '-55726165', 55, 6);
    T('-14.57647', '-799396479.46883964611419', '799396467', 63, 2);
    T('9.89484317692987601185184E+35', '-9052.309926028979243', '-989484317692987601185184000000009052', 65, 2);
    T('4.4736642334859E+32', '-6450077.164972991018243009542', '-447366423348589999999999993867165', 36, 1);
    T('7557.83', '-1856986.0845688153870', '-1853533', 28, 5);
    T('-690237.0646044010143972267883', '-772481.728528663815253484', '82364', 89, 2);
    T('4.19625987633478314869119E+41', '7549.29860005856980354', '419625987633478314869119000000000000007549', 43, 0);
    T('3.123791521663468E+33', '-53.596', '-3123791521663468000000000000000053', 42, 1);
    T('-5767.0760821071836670470', '-259585080.121777717854467689', '259580593', 63, 4);
    T('5.128851999781534390E+27', '-760.486', '-5128851999781534390000000760', 16, 3);
    T('90144883168.5229315', '5E+6', '90148276896', 39, 0);
    T('-9011650905.3958905152', '-1.13804499300537', '9011650904', 48, 4);
    T('-2.635841789173979444E+36', '757597.228258886996', '-2635841789173979443999999999999242403', 43, 4);
    T('-3.54079585600849910615352137E+36', '-3563970942.9373418395549037', '3540795856008499106153521373429752450', 87, 5);
    T('3.3470181776310848702846108E+49', '-38.297715877994227995504050533', '-33470181776310848702846108000000000000000000000038', 78, 4);
    T('955712.33966679421977196386654', '-4.3618838E+8', '-435233180', 32, 3);
    T('-345.6195133', '8E+2', '-633', 74, 0);
    T('57076010.6835834118762600328', '5.26E+19', '52600000000022997290', 53, 3);
    T('-7.51526733280E+44', '-62936809.793', '751526733279999999999999999999999999937063191', 25, 0);
    T('95446.346937719359583496588468', '88.75659392', '95374', 59, 6);
    T('-5159934.60783802916129400167134', '-9724056.69', '14343018', 74, 5);
    T('3.49913697E+49', '-1070739.689567434737', '-34991369700000000000000000000000000000000001070739', 81, 3);
    T('423970.864710152564', '342.1468095746', '424308', 91, 0);
    T('-1478.8023341775994688', '-2924966732', '2924967566', 98, 1);
    T('-2.9076747522086204199846474649E+32', '374302778690802.2201411870', '-290767475220862041774555620574334', 54, 3);
    T('6.795307058184365228E+38', '-84355571.2351976072204319951', '-679530705818436522799999999999950137843', 83, 4);
    T('8014.01152055360968496648396', '-566336859746.61499', '-566336860464', 40, 3);
    T('-9.1061952053155855E+24', '-9080723.301177656', '9106195205315585509073261', 35, 5);
    T('-2422.6488854156940855274450103', '-7.973E+9', '7973001802', 84, 6);
    T('126.79410428812315947028894', '745138821.549090212284441416198', '745138939', 31, 0);
    T('-962801.5316643', '-15.8537149', '962814', 78, 5);
    T('-401495521878444145340524.573', '507906.9980655715601738652', '-401495521878444145422442', 59, 6);
    T('-154230438.840216611872422896428', '-4736319527.491954654009', '4622114435', 28, 3);
    T('4706.26686994548941274617', '21713098368681434.5486724812257', '21713098368686008', 13, 2);
    T('54569365257831.2865355', '5980159517.7215894140048295423', '54563529834618', 58, 6);
    T('6780533.47030489551836881', '70.57257716236801042947516', '6780467', 17, 6);
    T('9816901.870909523971746358011', '-438762100.4321191318296756473', '-447951159', 80, 3);
    T('-9E+7', '5E+5', '-89844576', 30, 3);
    T('-9.057441988787055351357', '6.29451478E+36', '-6294514780000000000000000000000000009', 25, 6);
    T('-5.5E+6', '-3130.453626', '5496934', 9, 5);
    T('-9230751431.3484937535906839', '171202.8141815137817219079704', '-9230649861', 77, 1);
    T('3.48633E+8', '5.7E+35', '570000000000000000000000000348633000', 26, 1);
    T('63.76060343005', '-154294195.05740841678802624005', '-154294158', 27, 0);
    T('-8.87404272482274176574612292878E+38', '5.18897567953651399528E+32', '-887403794941845898181960497931933420544', 50, 5);
    T('-4255524.602421', '-295815950.502106047672', '299967534', 20, 6);
    T('5E+4', '-7', '-50007', 30, 6);
    T('96587395.73551876210383393787', '-856.45689843', '-96587221', 92, 1);
    T('460515733.9910660678', '-1.78E+5', '-460349147', 94, 5);
    T('-828902.57633945061291638167442', '-2.3522796E+20', '235227959999999760922', 26, 0);
    T('-917.136988534691469475', '-2.87276704608E+30', '2872767046079999999999999999083', 57, 6);
    T('8.8811952732484262E+27', '442658.885497939594', '8881195273248426200000147746', 18, 1);
    T('75147060399705869.42', '-869678.757722938769870893000459', '-75147060399524385', 46, 3);
    T('-174220.405605360194914', '7049324.6584458098966', '-6895848', 73, 2);
    T('-92897.23869030721238', '-58586.59413834931', '101945', 39, 4);
    T('-5007239.401810826686', '3.12E+3', '-5008311', 4, 4);
    T('-9E+23', '-30.1917188711597487694387', '899999999999999999999970', 11, 3);
    T('7955.0541150630', '-835.2617932987', '-7250', 97, 3);
    T('9.51583486994603E+30', '-8.138662881775529421224609935', '-9515834869946030000000000000008', 90, 0);
    T('-1092872.58749309922381094489220', '8.3445492423542871888493E+37', '-83445492423542871888493000000001027336', 8, 1);
    T('819.301609933569818455', '3E+1', '813', 31, 2);
    T('37.13601708592928030927700', '-820520221.8448430432188385', '-820520250', 93, 3);
    T('-8012089833316378421.80366', '-4.2142E+7', '8012089833291017755', 9, 3);
    T('-78.404255540863667334', '-2292941450205482174128.8', '2292941450205482174178', 60, 1);
    T('-287022423', '-42940695416937516117102.48', '42940695416937266262331', 92, 0);
    T('-2.997374702027647', '-1719400938.168449909422481668', '1719400936', 32, 4);
    T('6.92E+5', '518294760.57653378083', '518915016', 18, 3);
    T('-3.375E+5', '5E+8', '-499663708', 62, 5);
    T('8509037.49170000635946435087', '-1.13156847881243E+25', '-11315684788124300008464787', 85, 1);
    T('84.4491684447719150428875287', '1E+9', '1000000084', 16, 2);
    T('-86598268765484936.19996565250', '5.668375E+7', '-86598268708903778', 74, 6);
    T('43.6738', '-6.56695779E+41', '-656695778999999999999999999999999999999957', 18, 6);
    T('-527543816.319601', '62869.468147739324', '-527522707', 97, 2);
    T('2181193.5144493802326532995', '-2860556.334232617141911670', '-716355', 22, 2);
    T('48204544.301120954172779', '-50.44453984223407419097199321', '-48204594', 16, 6);
    T('-6872858.97210', '2860621.4118741586482051', '-4421973', 18, 6);
    T('3140.70867187', '-848581.2311955679', '-851585', 78, 2);
    T('2.67054796093266', '27483.8482580107675109848367590', '27481', 75, 6);
    T('3628.34663046381383861936422', '26.093617253', '3638', 22, 4);
    T('-3.75474397E+16', '8.58643405648600429422E+40', '-85864340564860042942200037465796649893120', 51, 5);
    T('-79.5509985348672739', '9137.3111779416253291248745067', '-9216', 92, 0);
    T('96.01304', '1.7334657E+49', '17334657000000000000000000000000000000000000000096', 39, 0);
    T('2.2517E+44', '-3.76E+4', '-225170000000000000000000000000000000000037600', 31, 5);
    T('-4054166758.88105867', '-2.11312920817E+30', '2113129208170000000003478803226', 44, 1);
    T('-6143327.1280', '848881.0696', '-5328560', 95, 5);
    T('7.7527345711357568039E+37', '3.92193928E+14', '77527345711357568038999750074842411520', 15, 4);
    T('-3511.247831394089', '903674013917212.1132298474', '-903674013920683', 32, 6);
    T('1.484078958978230733002E+46', '-339.87814767324986883900024', '-14840789589782307330020000000000000000000000339', 17, 1);
    T('-5.01591', '-2.84E+36', '2839999999999999999999999999999999995', 13, 2);
    T('-5.2475E+50', '4', '-524749999999999999999999999999999999999999999999996', 95, 6);
    T('-6.629368E+23', '15387.5', '-662936799999999999984613', 51, 6);
    T('-7357.234227667', '-583.103826750929794494466', '7930', 22, 0);
    T('-736.99779', '92.4076741537967153207593101', '-644', 33, 3);
    T('95197382', '-30971.5518', '-95215677', 86, 6);
    T('626563616855435726389923', '-16.240580031161788194', '-626563616855435726389933', 85, 5);
    T('-2.959934863349825882151110E+29', '-6.2241E+5', '295993486334982588215111475446', 68, 6);
    T('369930904952365410119', '20.45237111249950333', '369930904952365410131', 26, 6);
    T('3.776E+7', '2.62466653084247782822516013', '37760002', 69, 4);
    T('4.08101400603257023261E+33', '97093800.28026529668745271', '4081014006032570232610000037324968', 64, 1);
    T('9.04282469399805942146456353602E+35', '34.5467262429581', '904282469399805942146456353602000034', 5, 1);
    T('-8.02985E+25', '-95057471.24265678318', '80298499999999999909136833', 38, 4);
    T('5590', '-5557.3509759688416756711701652', '-99', 27, 0);
    T('4.078E+8', '7.62612268932302314397681867505E+49', '76261226893230231439768186750500000000000407800000', 54, 4);
    T('-52164.0483124965796980971785', '-5838680564529.2', '5838680615155', 29, 1);
    T('5870829.8717', '128593.57482945457531875', '5792444', 16, 1);
    T('-3.6E+5', '-7.711425712575493810403', '359993', 34, 3);
    T('66568.24338114051999513620766', '-863.449448269838333662', '-67415', 8, 2);
    T('-9E+45', '3.432E+9', '-8999999999999999999999999999999999996568000000', 90, 5);
    T('82.36327822209283918401160', '-4494480.84', '-4494558', 67, 1);
    T('93136.50709278153796915959', '826992.95440388232', '914848', 46, 6);
    T('70544.7328811600186805080933', '8E+6', '8061328', 48, 6);
    T('-41803.087', '-8.469063287056', '41805', 56, 5);
    T('-3.382245107843456527817783824E+32', '-3155896.400169', '338224510784345652781778383441480', 21, 4);
    T('6.223', '-5.8599806960979454056E+49', '-58599806960979454055999999999999999999999999999994', 29, 6);
    T('649161899.094', '8.14E+12', '8139424371883', 59, 2);
    T('-49691.0495', '-991126.306053116091575038933170', '1039759', 41, 0);
    T('9.6E+2', '984.9208030633679738914505988', '24', 92, 1);
    T('4.9542E+22', '-75185759.8724976902', '-49542000000000063651423', 67, 1);
    T('-6.737843705E+35', '-589.62517682287887589875217575', '673784370499999999999999999999999411', 64, 0);
    T('2.773919633940946079E+50', '-3.3535E+9', '-277391963394094607900000000000000000000003353500000', 77, 1);
    T('-360332526.87128814488264823', '-607.6208', '360332979', 27, 6);
    T('1.5943055E+38', '54397497.146462818', '159430550000000000000000000000054397497', 23, 1);
    T('-957220.01315619076168', '8981.8794', '-964663', 43, 4);
    T('-28698377.80448679815589500', '-322181414672637.8', '322181426036724', 69, 0);
    T('-57799.073854', '-630642845.707', '630602074', 89, 6);
    T('-3.7E+21', '-3', '3699999999999999999997', 65, 2);
    T('55.539157958683745081791790', '-8.4635117847484579134633187', '-49', 84, 2);
    T('-8.12966E+37', '4.318354616132193183154390E+46', '-43183546144161934770742287670776820763447001088', 5, 1);
    T('-46949.0269119', '23634346', '-23598799', 82, 0);
    T('8228.47', '40159.166147', '48379', 54, 5);
    T('-21.491', '-4.41236E+8', '441235979', 100, 5);
    T('-221453.330131469957', '1.73311636E+46', '-17331163600000000000000000000000000000000221453', 73, 5);
    T('8.34241503', '29881348.42603735868577399646', '29881356', 79, 3);
    T('-23.67112201', '83642.1815906208298', '-83629', 38, 0);
    T('33138479787789937906.3272080', '99.0345351315164065667160710', '33138479787789937809', 45, 0);
    T('-6.4833482390823E+48', '-2.59263E+6', '6483348239082299999999999999999999999999997407370', 3, 1);
    T('5.720772', '-892.998469569651', '-895', 26, 6);
    T('595170736.649561', '-3173457487.036842', '-2656996351', 76, 3);
    T('-38158530.9', '-6.4936665270E+40', '64936665269999999999999999999999961841470', 3, 3);
    T('-8.1958E+12', '-757025.5280504340764431061', '8195799312607', 8, 1);
    T('-6.199706E+29', '-17.2', '619970599999999999999999999983', 89, 2);
    T('2.979450052320E+38', '9.81216E+9', '297945005231999999999999999992632290816', 54, 1);
    T('10308.30164030880', '1.104E+21', '1104000000000000010308', 14, 5);
    T('3.1057641094E+42', '3.55921108778', '3105764109400000000000000000000000000000003', 17, 1);
    T('1084936165.546282508206505', '-986.33159353312378446', '-1084935229', 55, 3);
    T('8.202624343681E+46', '-68.37', '-82026243436810000000000000000000000000000000068', 89, 0);
    T('-18774538290901648179', '4.0952597E+41', '-409525970000000000000018119242417447732019', 19, 3);
    T('5316903.172150029885459', '-716.217749915485666684799804790', '-5317613', 42, 3);
    T('-860616505.74058', '-6E+3', '860610647', 95, 2);
    T('3629187090.30407', '9.4207171511530240624987E+41', '942071715115302406249870000000003350265874', 61, 0);
    T('644.36986755459668001741316', '-6.0486090066822662022415', '-642', 3, 2);
    T('-262138870.115845956235491', '880641637484143591914.895173', '-880641637484252080672', 94, 2);
    T('-1.9E+6', '469.600717', '-1899531', 77, 4);
    T('3.81E+38', '-8355107640.49672', '-381000000000000000000000000008355107640', 50, 6);
    T('-481.801031538467781175741', '-7333.014468594174078', '7492', 35, 3);
    T('-27688.60476', '5.2E+43', '-52000000000000000000000000000000000000027688', 18, 4);
    T('9840.727', '61.5255', '9805', 65, 1);
    T('-78836.354', '-8.14301226007210247335198259493E+39', '8143012260072102473351982594929999921164', 52, 6);
    T('-7.3631786E+8', '1.405982015632926196235', '-736317859', 69, 2);
    T('-59082034.025', '-366493944.14360922599242', '375244230', 51, 0);
    T('-2.505797960994136256E+43', '8.3257089878001755851895887E+26', '-25057979609941362154256737617892435577337066', 45, 1);
    T('-920.878514720224', '-814.7731271647855777209415190', '186', 41, 1);
    T('-67.970699552967024784', '-1628.5558606135624', '1561', 14, 1);
    T('6.567033178525236260E+42', '6E+3', '6567033178525236260000000000000000000006000', 64, 6);
    T('-59016370.5270', '792932304408130.17631358390087', '-792932362832628', 87, 6);
    T('9744508.7990970795', '4065634.0335875111568930039', '11188510', 65, 3);
    T('-4.87631423262727', '3567493904443191697.7', '-3567493904443191699', 18, 1);
    T('-2788.06929815898928', '-7.961658571842927216E+34', '79616585718429272159999999999997212', 5, 2);
    T('-791.4529', '-4911311506773890148.159940325', '4911311506773890933', 53, 3);
    T('70.0740903987117496581226991848', '-547.254458063478358', '-613', 19, 5);
    T('99.51214831711541', '-90.135213265943209', '-59', 77, 2);
    T('97063', '-6.06465E+42', '-6064649999999999999999999999999999999902937', 56, 2);
    T('6.4E+6', '-8.73254781195307255E+48', '-8732547811953072549999999999999999999999993600000', 95, 3);
    T('5.17688276', '-7.48752031E+42', '-7487520309999999999999999999999999999999995', 54, 6);
    T('51850933.21314033', '-8.18311668E+43', '-81831166799999999999999999999999999948149067', 56, 1);
    T('291564.60349961418910', '-8796769212.1047394707', '-8796535128', 64, 6);
    T('-6447893115.7765', '8.683464768026191788503578031E+50', '-868346476802619178850357803099999999999997857958523', 56, 3);
    T('457.017487036241817294', '-9.1503', '-450', 50, 1);
    T('7.724173470434536785390583908E+29', '84.7', '772417347043453678539058390852', 60, 6);
    T('-8.068E+21', '4.3916308913410213888859E+26', '-439169819165881015564037456', 52, 0);
    T('1.7367733580465989385', '61.723', '60', 49, 5);
    T('-602671556679', '2.9E+5', '-602671301783', 14, 4);
    T('38502445.39379892596233829451', '448606816.3957260302529486', '418820685', 60, 6);
    T('-8205.7879623159639715096260', '6.53', '-8203', 55, 3);
    T('7.87201E+28', '-25795051705147256.18', '-78720099999983573474871943032', 3, 4);
    T('-14701.9', '2.8205879973929513372', '-14703', 90, 3);
    T('-6.881E+16', '-8941743.887521567629', '68809999991107409', 73, 5);
    T('1.91302609099899891593881250E+30', '73.024261879435', '1913026090998998915938812500073', 100, 1);
    T('-51725561.51983', '-633919242968075636.5532993775', '633919242985589131', 23, 6);
    T('56338.74673306757', '-7.860E+9', '-7860046062', 65, 1);
    T('2.3953715579210197045219E+27', '-2860219.1777394512886', '-2395371557921019704523496283', 96, 5);
    T('-4.14E+9', '-3.57E+5', '4140175480', 99, 0);
    T('55746.738549', '22209.67817', '36611', 90, 3);
    T('-737769263074.669187', '8.8604E+36', '-8860400000000000000000000669049786338', 1, 6);
    T('7111200.315386510', '3025.253643197078075', '7113201', 60, 0);
    T('-26082931.71288205312498188', '63060.00', '-26019879', 95, 0);
    T('3.810471E+37', '454632.97264390582597941965', '38104710000000000000000000000000454632', 82, 2);
    T('3.3671141911625101913E+45', '3.74086962977377770E+45', '1098616780525821667584317586935611582874386432', 21, 4);
    T('6584208.94635', '-686182605.921521156261157709', '-679618397', 18, 0);
    T('51700376.609969665005149', '4.05099447319E+26', '405099447318999999948350104', 97, 6);
    T('-421.42605322947', '27738.353922825208', '-28159', 5, 6);
    T('402.95894269599093035959137', '1.7E+23', '170000000000000000000402', 29, 2);
    T('-5.732266893640088E+49', '-8.4869470984510E+23', '57322668936400879999999999606093777514631341459456', 22, 1);
    T('-4675.82337383', '-744321.1', '739778', 36, 1);
    T('-1809337.24692067319936895790', '-9.8481795E+9', '9846444179', 89, 5);
    T('-7.55358730961309630393', '989.34387909646243001361', '-988', 54, 4);
    T('-880088183662761665.9216', '865607283.98451454735495817610', '-880088184458102964', 49, 0);
    T('9140.1483850496373935', '-7491570683323165415833954277.5', '-7491570683323165415833945169', 91, 0);
    T('-8.095470070E+21', '-34264484603007.26795', '8095470102060623707009', 6, 3);
    T('5.61472544022', '6730406497.65774617', '6730406500', 32, 0);
    T('-66257.2331358426', '-56270278.0799352', '56336149', 51, 6);
    T('-81764409.916', '2.27E+38', '-227000000000000000000000000000081764409', 7, 1);
    T('-844.6', '8E+35', '-800000000000000000000000000000000844', 73, 2);
    T('9859142361137.7318094', '9564.1017705668239882463843721', '9859142354285', 36, 5);
    T('-5833637181.598094203', '234.46961', '-5833637335', 78, 1);
    T('1.1145161514379952E+44', '-1.6003623190901150983381623E+29', '-111451615143799677534867503604966449930455152', 85, 5);
    T('-636549711.69101807244394', '1.764E+11', '-177028111951', 1, 6);
    T('-93911.01372', '-8525747.9735689843181110284', '8616292', 94, 1);
    T('1677130126.96827547401108', '-3.240353887428892770E+22', '-32403538874287366245778', 17, 6);
    T('8294.77412085128', '-227.53419178486', '-8325', 49, 6);
    T('51833.39994637561', '4936154865', '4936135816', 13, 2);
    T('2.8322E+42', '7.9020390581E+45', '7904783449110690925421714478659420132913184768', 99, 5);
    T('5519.18447182401', '7.60725048871797395026733922548E+42', '7607250488717973950267339225480000000005519', 86, 2);
    T('198701970.1402', '46373160950.298556808', '46302606436', 95, 0);
    T('5.580031E+15', '4.401692635912685315443691E+44', '440169263591268531544369100005122616259458560', 31, 5);
    T('-8179.3822', '-2.0579270292E+20', '205792702920000000013', 82, 4);
    T('-6200.690962332200', '-606139606.633873837589005649421', '606137570', 32, 5);
    T('-1E+7', '-50.500726521', '9999950', 39, 2);
    T('-3959.885021584805', '-3877313.95', '3876534', 98, 0);
    T('-3618788.9124951', '7.7198749355458508636926899E+46', '-77198749355458508636926898999999999999999424484', 68, 0);
    T('56125.295', '-6.2E+2', '-55639', 19, 3);
    T('-64.0470092942', '2E+41', '-200000000000000000000000000000000000000064', 86, 5);
    T('255.83943052980344558040', '-45657.661', '-45736', 31, 3);
    T('74975.3806391379', '8.22E+18', '8220000000000074975', 55, 4);
    T('-6.973E+8', '-78.40609640943235797668386326', '697300050', 8, 3);
    T('1.4E+7', '6.09E+7', '57990432', 57, 3);
    T('1.86913902749894472422761675613E+40', '6678625072.2468052769682050', '18691390274989447242276167561297887097648', 62, 4);
    T('-930538912.647203', '-6455.744029809342221872380995', '930544809', 2, 4);
    T('-3852660', '7.9484560479E+42', '-7948456047900000000000000000000000003852660', 1, 6);
    T('-5665340698.21790', '-8.20009674', '5665340702', 79, 0);
    T('9.3900027672832566550908320E+44', '-9.3E+5', '-939000276728325665509083200000000000000930000', 23, 2);
    T('-5.10748990632893602382071E+45', '1.107904196313108698957363E+40', '-5107500633610229858796806717581379563732926464', 95, 0);
    T('3589635.344', '318525.17188738469640811489439', '3283518', 67, 2);
    T('-542724826.026361661145835', '3E+41', '-300000000000000000000000000000000542724826', 36, 5);
    T('1E+23', '918729555.6218248456333', '99999999999999090013011', 1, 5);
    T('55511519.1612883345078307', '-43448806.5724821662768535', '-31060027', 74, 1);
    T('936619769.50292681', '7.11666E+43', '71166600000000000000000000000000000936619769', 66, 0);
    T('-9.76E+29', '5803940.62339432610050', '-975999999999999999999994196060', 90, 5);
    T('68.30537730467760198001', '6562766.750319771827155594644', '6562698', 58, 0);
    T('-84945870216699156.844646', '-4833951843.694809870', '84945865382780273', 41, 3);
    T('-2.56089404E+46', '2.041721863549455E+27', '-25608940400000000001692691314060681073770369024', 99, 1);
    T('3.37E+9', '16753.145616373638442425201470', '3370016753', 46, 1);
    T('885.17', '-256303.113012348809048316517582', '-256604', 87, 5);
    T('954831.654410313011459984', '-6.678716E+36', '-6678715999999999999999999999999045169', 69, 5);
    T('9385330.567405761394816750693', '-8E+7', '-72058510', 96, 0);
    T('72.20829784953616108333', '715215396274167934', '715215396274167862', 69, 6);
    T('-9.970E+6', '4747.0673304720337672947794', '-9974725', 44, 4);
    T('-1.90081445324072682115378420617E+45', '-59.49', '1900814453240726821153784206169999999999999941', 58, 3);
    T('4.87444563E+14', '6.51395451963382223040762E+39', '6513954519633822230407619514754729278144', 49, 6);
    T('-510.3919989', '-651408565.08', '651408713', 82, 1);
    T('54037468.6461561863183', '-1.7532513669204714170E+49', '-17532513669204714169999999999999999999999945962532', 97, 6);
    T('9402301697.0737108', '7138189.363862', '9395721868', 90, 0);
    T('-3.6950786669245934201745', '-364034', '364035', 72, 0);
    T('-165.38204714769424055979', '-987.383555878437916506', '894', 43, 1);
    T('31.566047681971382', '-98759956.369465545', '-98759949', 19, 3);
    T('-8763.52197', '-72211.4179647005309687051', '79912', 100, 2);
    T('3805.3434098', '-5.025583492241735140540990E+40', '-50255834922417351405409899999999999996195', 97, 5);
    T('-7273042.583124757940645537025', '-612082.23439999110951282684621', '6794400', 89, 2);
    T('4.733E+46', '8005342311.46542512503478', '47330000000000000000000000000000000008005342311', 30, 0);
    T('-4.692362628517929590638E+26', '52538.250048682092966', '-469236262851792959063848326', 91, 4);
    T('-3.77966851E+25', '-2663251756022927061125686842.5', '2637567941388346794936506822', 60, 6);
    T('9.08931276233637589E+33', '-1174.32779368143251185598421', '-9089312762336375890000000000001174', 44, 5);
    T('805702.5790282805702252934920', '-64073581.97', '-64873515', 20, 4);
    T('-183830392.54859496', '7125015696385357611.1', '-7125015696497750109', 31, 5);
    T('-4774.5728352936190', '-567776458.08405', '567772780', 41, 0);
    T('-79137174.273959783590', '93435921.288878', '-19280261', 94, 0);
    T('320.39034906288178', '-4.19078358E+28', '-41907835799999999999999999680', 61, 6);
    T('-6E+1', '1.3106139247650594520272E+25', '-13106139247650594520272060', 64, 3);
    T('52826.67896835466676', '-435994727.45485304745856', '-435949117', 67, 6);
    T('2577890499.1534196893', '-8.13E+6', '-2581295373', 55, 6);
    T('-8335763300.80183392812841310', '-4119078788.3847', '4384981216', 26, 4);
    T('7.87364112827645020E+38', '-8.1316547567235539871080E+45', '-8131655500801779177257587172066400973554188288', 45, 4);
    T('14666247250279097818887769221', '-9211.104310252028284832364142', '-14666247250279097818887778176', 74, 3);
    T('8005245565.933', '8.3649982595504047973674E+29', '836499825955040479733030546301', 50, 4);
    T('-52555.24782', '745016.450331014180782476938718', '-758643', 23, 2);
    T('33.30377258074790861', '40.307053107323646572227006959', '9', 78, 6);
    T('-2.323', '7.0065371905861180423181E+49', '-70065371905861180423181000000000000000000000000002', 95, 4);
    T('-5.39484848E+35', '-6.406599998E+15', '539484847999999999995001328936334464', 56, 6);
    T('-844997.752509667', '-8.70042704E+33', '8700427039999999999999999999155003', 72, 5);
    T('667258.36810007778405', '-8.74E+6', '-9401062', 74, 5);
    T('82305767019379268635988.282089', '-7.51394321905580022162E+24', '-7434450634700670026324556', 8, 1);
    T('-85.4094850', '35466689956179750228.9965375', '-35466689956179750145', 5, 5);
    T('665247.0546', '3.481E+43', '34810000000000000000000000000000000000665247', 40, 2);
    T('-7042927.68179320312276471', '9080263725.78277395', '-9081889604', 49, 2);
    T('-784070.43859', '8.3236382296350E+21', '-8323638229634999560390', 33, 5);
    T('-6.6187203747380573', '-9E+3', '8994', 38, 0);
    T('57.66751371652535906947248', '-4.016696853E+31', '-40166968529999999999999999999943', 16, 0);
    T('3.60156276063845277942398862E+27', '-9858.7', '-3601562760638452779423980814', 71, 2);
    T('16785922.4024041729', '510605864869.82', '510622633383', 81, 0);
    T('-9302454322.6843686151450', '-3254647725.1550407376', '12541348765', 78, 2);
    T('8306269336.21640279645', '-5251.0830755704105629', '-8306264091', 75, 0);
    T('-2.2041207933026958717157783E+36', '6470.027486806551', '-2204120793302695871715778299999997626', 86, 2);
    T('-5.84097381684001669E+35', '-5726897', '584097381684001668999999999994797391', 60, 1);
    T('-6.07', '4.88221018915957E+42', '-4882210189159570000000000000000000000000006', 70, 0);
    T('-3.539703842161715892824087432E+36', '-9.387E+32', '3539008539123577167362279884780384256', 100, 4);
    T('-4.4547951774819274163089923476E+47', '9.68986049E+45', '-455057526041097367319762552845779797523786891264', 100, 2);
    T('-755.8762139397384711793493737', '-9523520.79527621078581156', '9524173', 57, 4);
    T('7278', '763133700.916', '763126634', 40, 3);
    T('-5.0420438661826817893384747E+43', '917851.25150298', '-50420438661826817893384746999999999999606437', 99, 0);
    T('5920.327829354002', '342215399.937401552228736005', '342220231', 3, 3);
    T('4.027805E+30', '9.798271840165309076983E+39', '9798271841210892334374168595803657732096', 50, 2);
    T('50464.908115606264027033', '-389141107.0565714690701865714', '-389093203', 46, 0);
    T('7609073.951769', '1.55695E+7', '10061997', 97, 6);
    T('-44192.9254782382401964246929607', '-85944.393045984671275394967', '123688', 47, 2);
    T('-770.564394725068479101459', '-1.84480E+16', '18447999999999230', 25, 2);
    T('3102501.387791193878032', '-56465424.458112986750', '-57855787', 76, 0);
    T('-453561337964337596622884.0543', '-7.718904721E+50', '771890472100000000000000000453189520195029136152540', 46, 1);
    T('-6.926594278279848607601E+46', '70446317.107444027', '-69265942782798486076010000000000000000063771411', 48, 4);
    T('-4460783.5422149878888054709365', '1.1639839291849414483867337996E+36', '-1163983929184941448386733799596072175', 50, 5);
    T('2.891E+9', '-6214381802.08385398734179992780', '-8023103530', 53, 4);
    T('19138.1669752', '-2.354129148255647E+26', '-235412914825564700000017726', 15, 1);
    T('1.3E+5', '796.01134917251', '129228', 68, 1);
    T('-69025.3547073375227628167558984', '719028', '-783637', 64, 2);
    T('4819219009224481.410', '-7.1E+3', '-4819219009217691', 52, 5);
    T('-1.47902656867628487654586001851E+42', '3.76560956156035301E+38', '-1479351840122426594078798953745558089162752', 36, 4);
    T('90426682881153035173.3533580480', '657117902155.4478', '90426682226560376558', 78, 5);
    T('2.594534869E+44', '570942.6', '259453486900000000000000000000000000000570942', 76, 5);
    T('-82897868.8582690', '26280293642309.7859965', '-26280357649295', 1, 1);
    T('483.6', '-2.5', '-483', 2, 2);
    T('4594.07456491612195466928', '-41537027.8325100567021999888381', '-41541617', 84, 0);
    T('-5.6788132538482241460', '-28.2745', '31', 35, 0);
    T('-1.8E+47', '-5.76242160E+16', '180000000000000000000000000000016966652828323840', 13, 0);
    T('1754.76856949772149834807', '-965833988222349.429091065', '-965833988221783', 18, 4);
    T('4.5715723437388803', '4.82080666710773354E+29', '482080666710773354000000000004', 76, 6);
    T('-7.2E+8', '2.22501489', '-719999998', 49, 3);
    T('4.009240E+15', '763215.521189374', '4009240000681295', 23, 6);
    T('-8021418.7', '-86.4459886064145663994501238', '8021500', 34, 6);
    T('-3556469.690459335041773946', '856463519688599.349066853', '-856463520883684', 20, 0);
    T('-69.50390238', '715063952.11', '-715064021', 88, 4);
    T('1829000824388.41', '2457396.16605', '1828998920560', 94, 0);
    T('8008688020.700720616092422980', '2.956E+25', '29560000000000007169827220', 41, 4);
    T('-1.4035835267E+28', '955012.72410305', '-14035835266999999999999569276', 5, 6);
    T('-4506197.56876458972746808668', '-4.1539441474057389E+31', '41539441474057389000000003947947', 95, 0);
    T('9.53852250647E+23', '23664.418909378', '953852250646999999982704', 57, 2);
    T('-44.3990987081730103178', '-2E+50', '199999999999999999999999999999999999999999999999956', 66, 6);
    T('631.9068221216269207015875083', '-34.0107057945509697', '-599', 20, 6);
    T('4.021222716268', '-357309.895', '-357305', 81, 3);
    T('-1.6E+5', '-3.03873E+17', '303873000000159488', 82, 5);
    T('5.88554525463255743816348E+35', '9.8955850252468E+39', '9896003854934296184415386980339628228608', 97, 2);
    T('8.11E+30', '4.7959E+48', '4795899999999999997961056259517554878013480370176', 74, 1);
    T('-6.8495905490677869465322189748', '-575.997372054128725187683879739', '571', 69, 4);
    T('-9.13554293E+47', '6.440950809777527299576325E+39', '-913554288275103317900850442997919172778277175296', 71, 1);
    T('7.48E+8', '8719.3681826259856536944', '748007695', 27, 1);
    T('6881419.343620', '-2.30336337E+43', '-23033633699999999999999999999999999993118581', 19, 6);
    T('87443.076647716245879052371', '2E+8', '199923603', 1, 1);
    T('-72970105.6002449895427472', '-4563981.436', '68995956', 67, 0);
    T('240418313.2041804423630068', '862.012010449519', '240418135', 76, 1);
    T('8.8408331902347049551320581', '-551.908', '-559', 88, 2);
    T('936112.699579321004720504060', '184261.2270101904', '821109', 4, 2);
    T('9.1976E+9', '15200196296172095930174924.65', '15200196296172086736793804', 28, 1);
    T('4.68', '6.67613770744552', '2', 98, 5);
    T('-287.56114312755347931848161266', '6.32E+43', '-63200000000000000000000000000000000000000287', 92, 6);
    T('7.7E+9', '29.3725781233763015830236', '7700000029', 93, 3);
    T('9E+32', '434393.535931965059178871716', '900000000000000000000000000434393', 74, 4);
    T('-41411.0406580', '3.7988E+20', '-379880000000000041411', 77, 5);
    T('758027725.4621478211540', '-17', '-758027742', 25, 5);
    T('-8.14E+7', '7E+11', '-700073003200', 52, 3);
    T('-17233.074584452450973', '-2.76974426883367168056570', '17233', 2, 4);
    T('-5.073E+18', '-4248506774.53957851008', '5073000002066148970', 48, 0);
    T('65.892937484822965172', '4111.18', '4174', 67, 0);
    T('-4847249423.4801823430466482', '35962957.065', '-4879018052', 37, 6);
    T('94366201.1', '-4E+3', '-94365287', 75, 0);
    T('-2.20592109290E+12', '-1E+5', '2205921125308', 1, 6);
    T('-5.838530450781870593196E+45', '-86674291.33680716675627', '5838530450781870593196000000000000000047543437', 15, 4);
    T('-71709.899105', '18862857.90340966', '-18795286', 6, 2);
    T('-1209.5390', '-4.127E+7', '41270871', 24, 2);
    T('-970.57774049565672001', '-857', '145', 58, 4);
    T('-9.0941E+7', '912526.05313', '-90589898', 6, 6);
    T('-7574.46055471', '-56', '7586', 51, 6);
    T('-57.5870100187724618661669060', '91229.6558828261554362416', '-91238', 88, 6);
    T('-8315.01458594534', '87730.3993700631267989282', '-95945', 57, 0);
    T('-29443.18007133', '25144.15779873293980297639', '-4411', 42, 2);
    T('-6182.443124282494470845417', '5.56672809551E+21', '-5566728095509999993894', 25, 0);
    T('66790566', '-6.113008564414394660E+33', '-6113008564414394659999999985900378', 100, 4);
    T('307546296.3154340', '9.6072475', '307546289', 4, 0);
    T('-296.8754589557694846865', '-392799.46', '393081', 24, 3);
    T('-3.998711', '-74364786.76992433955876885476', '74364787', 38, 6);
    T('4171488.55', '-9.8603528303215E+23', '-986035283032149997944096', 39, 5);
    T('-7572.8726', '-1047880284.49236985353430580080', '1047887816', 52, 4);
    T('-45745568518197591289882176.5424', '542484.1502440329565', '-45745568518197591289340204', 48, 6);
    T('-9.617E+7', '-2.708157310867E+28', '27081573108670000000076976112', 88, 2);
    T('-2.43337304958149840', '65423.539411378226119872', '-65423', 27, 5);
    T('-3.845925947362725E+43', '9.39E+9', '-38459259473627249999999999999999991683741824', 45, 5);
    T('3.295562', '30423.5063081352854931996674', '30420', 79, 2);
    T('7.8E+5', '9.6462740377', '780009', 63, 6);
    T('-9E+6', '-7983566119', '7974607129', 97, 2);
    T('7.4E+12', '9.5427976', '7400000000009', 31, 0);
    T('-8841971.147435147586369', '5.6542328636278E+44', '-565423286362780000000000000000000000008841971', 67, 2);
    T('-128.751330233932548011246486165', '3.483624774024626567324937E+38', '-348362477402462656732493700000000000128', 88, 4);
    T('4.043525854602E+44', '-72162224.51300494367', '-404352585460200000000000000000000000072162224', 36, 0);
    T('2.393822057E+42', '-2.6E+10', '-2393822057000000000000000000000008820130816', 36, 4);
    T('8.5285E+5', '1.46', '852851', 18, 5);
    T('-8.46234E+8', '8.80718E+6', '-855040644', 26, 3);
    T('-55994999.06008429944953', '-4.9171051763216476409141331742E+35', '491710517632164764091413317431150729', 89, 5);
    T('-58.8097272093501', '-6669926107.3137513649', '6669926115', 38, 6);
    T('-2.3912473', '-7608.80094952839', '7606', 59, 3);
    T('-5792365.5774209085859', '1.44797600066773250', '-5792366', 55, 6);
    T('5172.1674476', '7.754489E+27', '7754489000000000000000005172', 99, 2);
    T('-8.266942062113290982161E+35', '17899131.32815101552196287', '-826694206211329098216100000015786373', 4, 5);
    T('-5.17432E+9', '603.545018213', '-5174319397', 37, 4);
    T('2.51', '9920.7284657239022085', '9922', 71, 2);
    T('-96189813.2237339', '45743502.96012883', '-117588219', 9, 6);
    T('831044.71', '-1.293593E+7', '-13225150', 15, 3);
    T('-981.3050749343483', '-9120432823.1924553108305521191', '9120432482', 79, 5);
    T('-11789.79858402111', '-608.13431718735285504641727', '11347', 31, 6);
    T('5.160912E+23', '483.41', '516091200000000000000483', 3, 3);
    T('67649524.0516580', '-446012875.2103637774', '-513647167', 81, 5);
    T('1.815290248115773939925', '886588497.4667279', '886588496', 22, 0);
    T('64.91803591711084990756697273', '-794454799.61', '-794454863', 21, 4);
    T('-1.1019272255254156036738', '-86635149.95613898', '86635148', 82, 1);
    T('9.97369E+39', '-609.68004351', '-9973690000000000000000000000000000000609', 14, 1);
    T('4E+3', '222813.07831', '223741', 64, 4);
    T('4', '-7.861865485E+19', '-78618654849999999996', 35, 4);
    T('5.236466032585179882E+48', '-75062630.92225680665446628838', '-5236466032585179882000000000000000000000075062630', 39, 5);
    T('-4769929.85020531524904864589406', '-925753.8132802113843748499', '4647088', 12, 0);
    T('73060025.696310453724072835141', '-9.418956952076857887943', '-73060018', 89, 2);
    T('52517678669.3244070', '8.3537648600422E+20', '835376486055326800205', 90, 4);
    T('132392.678997206068', '465.9786', '132345', 100, 4);
    T('45.8960985988344', '-746939630.7234125', '-746939585', 12, 5);
    T('8.8760626006974462562E+24', '-42987011771829175166.0', '-8876094049480083524291134', 98, 6);
    T('41072692.2050288871315705', '430825088.001805258359', '467625652', 97, 2);
    T('5.554E+9', '1411.87496790835', '5554001155', 26, 3);
    T('69430585.3905362423428', '78334681.203', '8923104', 33, 3);
    T('-7.25E+22', '-6.81503046407109656235047385080', '72499999999999999999994', 26, 1);
    T('63166469505640.968070552302', '8.5862277245947860038204170E+26', '858622772459470822012111884', 60, 1);
    T('542.5698985485425402085228', '69.1', '603', 76, 6);
    T('9.7059E+5', '-272.38765241586606', '-970322', 21, 1);
    T('7.7571E+44', '-664.03115367', '-775710000000000000000000000000000000000000664', 77, 6);
    T('-308923039.3164054583', '-70397984341026570432381219', '70397984341026570137127868', 31, 4);
    T('-6.5970623922104821', '586.0827354726932546807747', '-592', 32, 6);
    T('5744.2', '3.673926159040E+17', '367392615903997552', 58, 4);
    T('447340.03071523749523', '-484.171831599409067', '-447120', 92, 3);
    T('-3.5118484129E+38', '5.391149687540960531633244244E+48', '-5391149687189787547313442975707889430013193224192', 60, 1);
    T('-23.8832259770790807467660087397', '-1.009792E+11', '100979199977', 95, 3);
    T('-987.71044', '-55.81245081285488037250', '1004', 47, 0);
    T('97340046.473948498323426', '-781892.82561446197463', '-96904398', 16, 3);
    T('4.1391E+17', '-83079008', '-413909999916994400', 91, 4);
    T('2162405.654', '3.0891446816406104', '2162406', 72, 6);
    T('-490221392.7593101723999', '79513.795216620087994730528375', '-490281431', 31, 5);
    T('-1691817898', '74852.913812921133418639723667', '-1691759566', 48, 4);
    T('983647230.479', '-5671847715.6532377', '-6051382493', 5, 2);
    T('-95084.595389752982948339808', '3.17E+45', '-3170000000000000000000000000000000000000095084', 24, 1);
    T('66039.0103124360867242587', '-5.26925258997E+24', '-5269252589969999999933961', 11, 1);
    T('-8.58E+25', '-3.1893285583791116258953E+50', '318932855837911162589529920849989111980978968985600', 6, 0);
    T('86.696846', '7.9032069814519636351533E+43', '79032069814519636351533000000000000000000086', 79, 1);
    T('-32679225.6', '-55183.86621415236349', '32666294', 78, 3);
    T('-4.78750393', '-257127069.29', '257127071', 24, 1);
    T('90441.14709941288', '8.72601635190278926076', '90433', 86, 6);
    T('9E+6', '427770542.92581300058620', '435558126', 10, 1);
    T('-7.1E+7', '-5094801.9125388', '74900015', 45, 4);
    T('-3.085583742602531425194751', '8.836876735054E+31', '-88368767350540000000000000000003', 96, 2);
    T('-2.9E+48', '7.77410370273635436339556833', '-2899999999999999999999999999999999999999999999993', 9, 1);
    T('-349629566.36284', '6.6413328201379E+38', '-664133282013789999999999999999678540926', 51, 3);
    T('-7.8597842E+15', '91631.116742254325040854536', '-7859784200090641', 6, 0);
    T('-1.207043299287125300971889E+36', '4901441739.9103', '-1207043299287125300971889004896722741', 76, 3);
    T('-8751.2249', '-435.708380768175028', '9116', 53, 5);
    T('-2.875731488047710E+40', '-882784912.8012544521906061', '28757314880477099999999999999999788303728', 73, 4);
    T('8.0689059389346441059074382E+40', '-7E+7', '-80689059389346441059074382000000064757120', 12, 2);
    T('253.90650194384363692343961', '84818.695888810788900916896532', '84911', 77, 5);
    T('-76237.526', '-3.442575561299422047558E+39', '3442575561299422047557999999999999923763', 92, 4);
    T('-334755.2385023680417294', '83600264.7126371', '-83802155', 91, 6);
    T('-93.827715852525124860016', '90199', '-90124', 75, 6);
    T('-5304272.4667554227', '5.79402444E+41', '-579402444000000000000000000000000005304272', 63, 0);
    T('6096.01599939532508225858818488', '-7.64739', '-6103', 52, 1);
    T('8005953060', '-2.99001569482E+48', '-2990015694819999999999999999999999999991994046940', 1, 0);
    T('-30.047668874883377572287', '-2.87E+48', '2869999999999999999999999999999999999999999999970', 21, 4);
    T('108.23561', '-1.20559E+9', '-1205589892', 31, 6);
    T('2E+23', '-3.3861985002661902010504714E+37', '-33861985002662004242544522665743523840', 75, 1);
    T('-8.3961E+7', '9136443565.52650777220810216116', '-9220273163', 64, 3);
    T('986.43', '667.8620006135', '321', 63, 6);
    T('79279.0', '-4.660E+7', '-46545553', 68, 5);
    T('-347270824.98090555', '1477499.9734396518650', '-346318301', 98, 5);
    T('-94073.1746872024222', '608.957904913603264651811596', '-93465', 71, 0);
    T('-5.394194576E+23', '284783.1', '-539419457600000000239505', 60, 4);
    T('-1.6282849952175E+40', '5019291302.473350758574573', '-16282849952175000000000000000004912820570', 54, 3);
    T('12441.385699689901', '-43832744.90955083311240946673', '-43836735', 20, 0);
    T('-5259.03268', '905015.998', '-908222', 52, 4);
    T('-3.179453116794E+48', '10.3726253', '-3179453116793999999999999999999999999999999999990', 72, 5);
    T('7.1748E+14', '6.74521405E+30', '6745214049999999582766283395072', 21, 5);
    T('9.10E+4', '-5.123134296745E+49', '-51231342967449999999999999999999999999999999909000', 43, 2);
    T('-7464794460.037', '6.708E+5', '-7464125708', 60, 5);
    T('-91343', '-11.619', '91332', 94, 5);
    T('94851.858717', '-9.353307E+20', '-935330700000000068989', 51, 3);
    T('-55626768.1696376546200866163900', '962.956957', '-55627726', 86, 5);
    T('-11691.222997645405296', '1.72425339621097219057308223795E+34', '-17242533962109721905730822379494475', 57, 6);
    T('5.4664923879E+46', '230810.065540675784152', '54664923879000000000000000000000000000000230810', 27, 0);
    T('-9.1796E+6', '3725590045.941142356180955', '-3733188563', 53, 4);
    T('-1797069387.246278', '1.7E+38', '-170000000000000000000000000001797069387', 38, 0);
    T('-8859.537302041873737', '-9.0007E+5', '891263', 93, 1);
    T('7945259147.95', '-20493.17521046742', '-7945279624', 67, 2);
    T('-512.502061690613069165', '-5.74544104189347454E+48', '5745441041893474539999999999999999999999999999488', 36, 5);
    T('-5.64748172389077E+50', '60.67179224381056', '-564748172389076999999999999999999999999999999999940', 43, 2);
    T('-869485568.23216240', '-4.471570627874488020376897E+25', '44715706278744879395401590', 56, 4);
    T('-547657698.843097529671949962095', '-2820187.736849107295389019277', '546283451', 29, 5);
    T('247.192', '-731428.589631570772341696423', '-731605', 66, 0);
    T('-4807536118.404141590241534', '8961.4328665559', '-4807528181', 88, 2);
    T('-404702510.241662240775654', '4679832481.148875260068186', '-4545566349', 48, 3);
    T('641.575158110367', '1.115E+33', '1115000000000000000000000000000641', 53, 0);
    T('-2.148705468084031625242837405E+48', '948258508.26', '-2148705468084031625242837404999999999999605389620', 74, 0);
    T('-45.32917931420656909486863', '-1584436.67211407224', '1584415', 30, 1);
    T('23566.8475616049', '9410455801.79953969411346075', '9410475255', 70, 2);
    T('-5.22166119699968604320896E+35', '9344.411455362619', '-522166119699968604320895999999990656', 79, 4);
    T('12.916729183961051', '-8173.1491981264904378575885822', '-8161', 93, 6);
    T('4761194504.381889395981731971', '-8.499194020066', '-4761194512', 68, 3);
    T('-698.39340269171544015', '-131.4252148872694266', '571', 3, 2);
    T('459198898.592410', '-327995578.26', '-147980556', 26, 5);
    T('-9.4703741562919E+21', '-6.233649676E+22', '71760679442663106820352', 72, 1);
    T('-417.3515091910192', '-99534550.57674757639198720465', '99534709', 54, 6);
    T('1.6897926', '-121254.6521009197497895', '-121253', 64, 1);
    T('-5.5E+5', '-3.50028101491911E+42', '3500281014919109999999999999999999999450000', 30, 3);
    T('8590485.99779667691690765179', '68926621.6168', '77113352', 23, 1);
    T('95861.3409821830643916814321', '-74239.9387223683067', '-22412', 43, 6);
    T('9463.452193578636616001347868', '-962027.5953528', '-952606', 21, 5);
    T('-425.81961604986581083341571840', '-1.8240368936', '424', 43, 0);
    T('542.7597', '-3.7483241434887434E+27', '-3748324143488743399999999458', 89, 0);
    T('28058.29958973', '24353449680561246013606.47743', '24353449680561246037308', 47, 0);
    T('492460.22', '7499.946067', '499431', 65, 2);
    T('138.964997518520937780585013', '43685098.15759873870696', '43684960', 46, 5);
    T('3.2296390867951081829673796', '-79.636744', '-78', 29, 3);
    T('404.554402935864625242481', '3633231883.26652213426', '3633232287', 13, 5);
    T('2.16502375137398020884790', '-56365274092329413303575.8772', '-56365274092329413303573', 37, 5);
    T('-62756748315479810.33823162306', '6.5857E+34', '-65856999999999999985877435012501250', 74, 2);
    T('-45.6202702330644135129837839', '-9', '36', 64, 5);
    T('-5.5647655595E+49', '-665702.668873', '55647655594999999999999999999999999999999999334298', 48, 0);
    T('183286.240', '5875.75132986053281', '187653', 17, 1);
    T('85.68', '-5.6324691616985368273246899', '-82', 94, 1);
    T('9865.84742', '-261702.8967', '-252109', 28, 1);
    T('-4.616600E+23', '16.626607587', '-461659999999999999999984', 54, 2);
    T('-7.19985772749865E+24', '-4.0597E+6', '7199857727498649997046220', 81, 6);
    T('5.0E+16', '7.1E+2', '50000000000000710', 60, 0);
    T('-9.3E+48', '-74374417.2289542506', '9299999999999999999999999999999999999999925625583', 14, 4);
    T('-6.1737681E+39', '-8.014E+40', '84950976447243905017853929413649941659648', 68, 4);
    T('-421736.17633184768077365', '6.99256076073156585E+46', '-69925607607315658500000000000000000000000421736', 72, 1);
    T('-1.0E+25', '635452327000077.0', '-10000000000632701392979955', 96, 6);
    T('-9.07098371E+15', '2209176118.34', '-9070981572270410', 96, 3);
    T('-9', '5480176.40', '-5480185', 71, 3);
    T('-25647', '73514206.6', '-73521393', 67, 2);
    T('-69414859.8771145907235558025', '-5426242.7236425905', '74572683', 13, 4);
    T('-1830180.5689033303265', '-4.39609857100147E+15', '4396098569581406', 15, 5);
    T('3.65E+9', '937687950055229417.74', '937687946691761001', 13, 5);
    T('-3555130497267206350.1684637', '2.964655138156183047789E+50', '-296465513815618304778900000000001201797380752869582', 58, 2);
    T('-983.731268168275176', '-57524306.05157103529963928', '57525127', 51, 6);
    T('-6.417E+9', '-3086398490.79434769855', '7676432934', 1, 4);
    T('3.44248952740E+37', '-2.426E+38', '-233149403618081388377056911298490531840', 71, 0);
    T('69', '-5065.447686336', '-5006', 13, 4);
    T('3.7763721E+37', '-4.9389018', '-37763721000000000000000000000000000004', 13, 4);
    T('-104470.173484702127066', '1.009670962106497396700E+34', '-10096709621064973966999999999907862', 31, 2);
    T('999056.668930165260261980', '-67958.7798261797', '-931814', 36, 2);
    T('74597.0417275465439565349722827', '89.4758586864872616456966', '74556', 43, 2);
    T('9.28521791478209879422226312E+33', '-1.9816E+17', '-9285217914782098992379376365046784', 89, 4);
    T('-4.62363E+9', '791.398987765084557292453', '-4623629753', 32, 1);
    T('9.48483869818142333E+21', '729870993.394835', '9484838698181012226113', 23, 3);
    T('4E+32', '8031110212637101882.049', '400000000000007139265545022410554', 62, 6);
    T('-9.045E+4', '3.213E+4', '-72916', 9, 1);
    T('8521962.757416', '-8328798954.9348663498442847', '-8337058308', 71, 0);
    T('-203585205.6201741201969', '-7.110E+9', '7179307979', 7, 1);
    T('3.358E+43', '729.1597739058', '33580000000000000000000000000000000000000729', 78, 1);
    T('7.9766042262228E+44', '113', '797660422622280000000000000000000000000000113', 18, 5);
    T('249835196.55150253694753415078', '-4870.84244584', '-249839034', 28, 6);
    T('-1134997352262321144231.56542854', '-1.651E+5', '1134997352262321243469', 3, 6);
    T('-7372391.38699273705', '-8E+19', '80000000000001016217', 57, 2);
    T('8.6016983077092330E+27', '99269086.30887638533658', '8601698307709233000094018014', 17, 0);
    T('-17509', '-49203634.846621189', '49188309', 6, 3);
    T('-3.4037075236019', '-5.5E+7', '54999997', 20, 2);
    T('-4077.194497926779871711220', '20162.0461', '-16687', 59, 5);
    T('-146.557279213348169', '863.025682094335828266894', '-975', 27, 0);
    T('-9.8946270824E+16', '-12272093608.17', '98946259194814552', 20, 1);
    T('9.86174E+8', '607883393.64503298472106794176', '519848625', 17, 3);
    T('1112766418.41229707111171596069', '6.18470945548E+40', '61847094554800000000000000000001112766418', 98, 3);
    T('-6.3599351746167751296442920829E+41', '-98047.13885065', '635993517461677512964429208290000000082177', 66, 0);
    T('776101.144', '-3.990724471548304860393125E+36', '-3990724471548304860393125000000346203', 89, 6);
    T('9.2', '96358728.816205344394978', '96358721', 1, 1);
    T('-5.922400408903219', '-7.3E+6', '7299995', 34, 3);
    T('185425.81713326158402568745992', '7869877.58659636221', '8045028', 55, 1);
    T('-1.08408E+49', '501.0016672283328465', '-10840799999999999999999999999999999999999999999499', 100, 5);
    T('8.125123983', '86758296173.73000792878353', '86758296165', 29, 6);
    T('-5.4E+7', '-6.9531100876971168743E+46', '69531100876971168742999999999999999999946000000', 8, 0);
    T('-7E+7', '-285978.34308813439394', '69746790', 36, 3);
    T('-908513276.930915089890', '-8.05115508379465737E+49', '80511550837946573699999999999999999999999091486724', 55, 1);
    T('-4.193E+42', '-490446.80188190711853037520933', '4192999999999999999999999999999999999509554', 41, 6);
    T('-9.359473202545218961359215E+37', '921798822', '-93594732025452189613592149999099238234', 77, 0);
    T('-52.646296', '-431473106.929290', '431473122', 65, 2);
    T('5.9414427061996148517719', '3306491.501221584657421158', '3306494', 1, 3);
    T('-1700427.28862253481281128963802', '-69738.8079565385852947180613', '1630755', 73, 5);
    T('30.49049', '-959710.9207', '-959684', 30, 2);
    T('8E+10', '79.243731724', '80000000079', 38, 5);
    T('-2.1607311102530E+19', '-2.811433E+8', '21607311102794169468', 80, 5);
    T('-37.8799257929873131230073544', '113526.52666', '-113491', 84, 1);
    T('-74.10686185150', '13.355338637092495046238', '-69', 92, 1);
    T('13582646.0494836408', '381.29', '13582411', 32, 2);
    T('17620.2306', '91721.61935238', '74397', 87, 3);
    T('-932.141146707', '-977.656466724126393347589', '115', 51, 0);
    T('8.75660398E+11', '6E+12', '6318344842672', 74, 6);
    T('996707.808132075877708694383422', '-3.4445091376037E+18', '-3444509137604153469', 13, 5);
    T('266031187.18119603151429214', '726.7384', '266031749', 65, 2);
    T('-5957', '87.886583309388549695452580796', '-5908', 56, 3);
    T('-8.67989034180838725213756576299E-78', '-52300387', '-52300387', 19, 6);
    T('1.922720896852', '-9.995661894871E+44', '-999566189487099999999999999999999999999999999', 82, 6);
    T('-278414.722622142434342835714', '-725183.11554313103423340', '995123', 60, 0);
    T('-1.9914249510E+29', '-721567.4670951701735', '199142495099999999999999278433', 94, 5);
    T('-2.07E+42', '-206652.5168055044446549701830', '2069999999999999999999999999999999999793348', 12, 3);
    T('-8.4119685082950827975426455E+47', '4.451826', '-841196850829508279754264549999999999999999999996', 29, 4);
    T('589.74', '-43851.576736648469986943', '-43272', 30, 4);
    T('5.597368', '-5502622475543.7562513603', '-5502622475540', 39, 6);
    T('91346.948424942323189021930', '7061392520.382275448819238', '7061448794', 66, 6);
    T('8.96851366660E+13', '1.08E+3', '89685136665000', 93, 1);
    T('1E+29', '550.2', '100000000000000000000000000550', 19, 5);
    T('1.915E+45', '353236419.2012101467854', '1915000000000000000000000000000000000353236419', 82, 5);
    T('-1.32E+50', '-4.50369963718827131E+32', '132000000000000000363524711843334443174257942888448', 56, 0);
    T('-9174.80736433387599', '-69.85730314864', '9105', 51, 4);
    T('79404479.77838504701903331384', '-83130985.5509', '-5236696', 39, 1);
    T('-2102111.02080027', '-6.319E+7', '65282225', 81, 5);
    T('793698209636792.25', '-9.27834847040E+16', '-93295533897426504', 77, 4);
    T('3.358E+5', '4.598145638E+30', '4598145638000000000000000335800', 87, 6);
    T('-4644552127.47581590377855', '2.83553E+7', '-4654012251', 19, 5);
    T('-55822080143983072658785489.460', '-9.1412527E+31', '91412548934340638431011816930095', 31, 6);
    T('2295760391', '-1.26902839E+19', '-12690283897989976569', 37, 5);
    T('4.7339215590E+48', '-778960899.32027755603977276', '-4733921559000000000000000000000000000000778960899', 15, 4);
    T('92802778.71', '-3.954309050125370491639982817E+30', '-3954309050125370491639891062846', 71, 6);
    T('-928.08591', '280.34839141128', '-648', 92, 1);
    T('7.0166599344828E+26', '107601.916509559146467720', '701665993448279999999910993', 7, 1);
    T('39.60629270163995', '98182.9033344290070022842324', '98209', 30, 4);
    T('-3.92E+26', '4.2E+5', '-391999999999999999999580000', 53, 2);
    T('-3611.127961596303652771', '2.631E+28', '-26310000000000000000000003611', 30, 3);
    T('9.9E+2', '38503.60117579294374832', '38329', 54, 5);
    T('-41.98109745395822132660626', '2.292007E+18', '-2292007000000000041', 31, 1);
    T('-76.6061310851588929', '-525.912567484446309193602', '583', 46, 2);
    T('-9.6890E+33', '-943573630.7498387997913951200', '9688999999999999999999999056426370', 30, 3);
    T('1821344691.802', '8.31156407193965133531440724169E+39', '8311564071939651335314407241691686340531', 71, 1);
    T('-4.1E+9', '-7669235.3713575082632430739148', '4094954765', 46, 3);
    T('8527565.8518981', '636.664506', '8527025', 69, 3);
    T('-7692146.62025973603494015', '742.65233282486941392754595613', '-7691672', 87, 6);
    T('-5.1947803005378223356', '-2964.57507864223764747443', '2967', 38, 2);
    T('-42.790541057', '-2E+2', '238', 78, 2);
    T('-7872000569.798822117774613825', '-7E+5', '7872683111', 7, 0);
    T('-265.000607974766674432029552', '8.088201E+9', '-8088200737', 54, 4);
    T('-8E+34', '-8.45564170555427226364578174E+37', '84507581730566617387395459453107163136', 14, 4);
    T('4E+3', '5.3E+42', '5300000000000000000000000000000000000004000', 14, 2);
    T('-6.699E+8', '821842.97854704124282', '-669079182', 95, 3);
    T('-87.25429303848721357214999', '-4.951035347', '85', 17, 3);
    T('-5.74E+14', '6E+2', '-573999999999400', 4, 3);
    T('47972681345810.8042229', '190926701.6477816332462', '47972800799871', 92, 1);
    T('-5.710851559974704184276902498E+35', '52120070.09', '-571085155997470418427690249818303482', 54, 1);
    T('93.287046866203', '112390796.004558061157478', '112390865', 24, 6);
    T('9.2921290771262925E+22', '-4.080855E+50', '-408085500000000000000000000069161073601657114374848', 58, 6);
    T('-259652454368327.899055', '-2629.39399421643543053274', '259652454370818', 54, 0);
    T('-16400.889466320935', '-754.53645865333160006830', '17150', 57, 5);
    T('-5.766573E+7', '-10.0004618734674', '57665736', 16, 6);
    T('-8.9E+27', '-27.084371975984942150882', '8899999999999999999999999973', 8, 0);
    T('5682911533.17', '830591147.72343', '5959813510', 70, 4);
    T('-81864.248291067336863', '-706147.9', '784805', 50, 3);
    T('8364079042080483066.34', '4.00326936657878123299051E+47', '400326936657878123299051000001436328930725275386', 55, 4);
    T('5410.3090951', '81365425.26842219', '81370259', 78, 3);
    T('5.299E+41', '-9.220999611099E+15', '-529900000000000000000000008793839343708024', 76, 0);
    T('-90156.03557158535002694246', '-1.5421621027203079E+24', '1542162102720307899942612', 95, 0);
    T('73559.36007', '8482374.982213451598', '8417553', 76, 1);
    T('488274242.328731307', '3417.9608864028584264235586010', '488272923', 58, 0);
    T('628355865.182625', '-785.0017856266285808433423', '-628355082', 36, 1);
    T('-8E+16', '99226180.43', '-79999999964736956', 93, 4);
    T('-5.854158944E+34', '-93648.69042739297717', '58541589439999999999999999999906352', 90, 6);
    T('9.79E+28', '-2.75319104620323', '-97900000000000000000000000002', 41, 6);
    T('-33.30044929245623247429405510', '834839830', '-834839863', 42, 4);
    T('194.5698867606', '92961.431621', '93155', 72, 1);
    T('38383.385109772112835', '-6.12533197431525E+33', '-6125331974315249999999999999961617', 54, 2);
    T('16.452747851382', '-5.14978908101966860E+35', '-514978908101966859999999999999999984', 19, 5);
    T('5.40E+4', '-2920827876.8686633039262', '-2920847636', 24, 5);
    T('9.482831E+7', '-1549275.5510466279751541856', '-95507661', 53, 0);
    T('2.6589326E+10', '3.1E+50', '310000000000000000000000000000000000000026589326000', 66, 1);
    T('-12.9', '26820164', '-26820176', 87, 4);
    T('-260313', '223.662027', '-260104', 23, 3);
    T('-46345.5423', '-61771164.6805', '61749395', 25, 5);
    T('-8.32216514686380150580', '5.62282', '-3', 69, 4);
    T('252278.8405904384267', '20', '252258', 1, 3);
    T('-9.7E+7', '-3143819.5322568079618765604684', '99082933', 8, 3);
    T('3.8706045237E+40', '-70825141.3721149687', '-38706045237000000000000000000000070825141', 46, 6);
    T('42212.52108007763400954', '473925.69156', '499617', 9, 1);
    T('987.554', '783.36231294286', '212', 26, 2);
    T('-95156.358958209096252818', '667481.115384306964575402', '-744683', 53, 0);
    T('9.094005E+8', '-4.7186E+7', '-887380476', 74, 6);
    T('-2985743.1444701459799423397', '700225577.869244', '-697374504', 57, 1);
    T('5.6552754E+50', '-7.010830436', '-565527540000000000000000000000000000000000000000007', 92, 3);
    T('1.887502595016245273E+45', '-5.88372229075621981645838626E+43', '-1917873815367266960244334338967909727655428096', 13, 2);
    T('6643.02962642789069791410343109', '914.54', '6753', 70, 3);
    T('719.06006116182109491348', '2.5290123431887442', '717', 71, 3);
    T('55437', '-557530854', '-557573737', 5, 1);
    T('67105.75689', '-4433098', '-4367081', 47, 6);
    T('-55.41125482093', '-71.4632835206341608700', '112', 42, 1);
    T('258.4594732677', '-5.0E+5', '-499742', 38, 4);
    T('-65591926940510949293.5110851', '-82242374.658905336881081076', '65591926940441339113', 46, 4);
    T('514100894.80040', '46026.56', '514080084', 37, 0);
    T('-4.3134628536E+33', '2.9176933114147900981268016548E+45', '-2917693311418265482921295907176757784072421376', 89, 3);
    T('4.467732162812032977876586780E+28', '-15379604.50456', '-44677321628120329778775918476', 76, 5);
    T('88.134866704331219915232271642', '9.05012294208E+23', '905012294208000000000088', 25, 6);
    T('5021.7806702095107472', '-93413.0146730321808089', '-98170', 77, 5);
    T('2541907614.199198', '-730039613.21', '-3154242467', 62, 0);
    T('9907304277892170385590.778804', '9.4067847059529E+39', '9406784705952899990092760059140420536502', 11, 3);
    T('9.736916534679239858609292437E+42', '-264.56053636151873768198', '-9736916534679239858609292437000000000000264', 40, 0);
    T('9.1448461E+9', '804375800.334', '8839662572', 12, 4);
    T('-40645564.871182711388053941', '25352116.953288989858948568047', '-65987600', 66, 5);
    T('37266.8407073645427164296', '-766.412244728046729', '-37744', 62, 2);
    T('4.7E+27', '-5.1E+50', '-510000000000000000000002222413726697905143819534336', 47, 6);
    T('5.8E+9', '7.178580542388255E+28', '71785805423882550004973672960', 41, 6);
    T('23', '-7.660475392207965789683250E+32', '-766047539220796578968324999999977', 1, 6);
    T('-7.15902E+9', '6.5496E+46', '-65496000000000000000000000000000000007159020000', 56, 4);
    T('-1E+3', '-1.0E+5', '99704', 91, 3);
    T('866938253373867.58595585864', '-7654.60035657', '-866938253372495', 82, 3);
    T('84.54184410491886950931827', '-7.42306601449E+39', '-7423066014489999999999999999999999999916', 21, 4);
    T('2.3206541896667642170522', '-295190.883414316591481709820', '-295192', 43, 6);
    T('-440.10627441449680733393592', '-4175.73418697257551', '4601', 23, 5);
    T('-832.70555792788744159503', '77110606', '-77110898', 29, 4);
    T('-5608618.952826050487944', '248070278.0940120254', '-245158960', 90, 3);
    T('-7.655059267555646979517528E+38', '-8.8896946311772688613', '765505926755564697951752799999999999992', 2, 4);
    T('-3.0E+4', '-2.64E+6', '2637136', 16, 0);
    T('526690.87393974116', '-3.796E+4', '-564518', 66, 0);
    T('-7.1784188397004153E+41', '5627772331.72086795', '-717841883970041530000000000000003163488853', 99, 0);
    T('-289.9002061920', '64973123.281', '-64972900', 31, 1);
    T('8.3877438E+46', '3.4E+6', '83877438000000000000000000000000000000003400000', 17, 6);
    T('1.17844605644E+15', '2171862.11417256920166518526575', '1178446058611478', 34, 0);
    T('-50593.20053639', '-2339779224.777322475105435', '2339829559', 95, 5);
    T('3.88', '-506352587', '-506352586', 72, 4);
    T('3230672.84', '437083345.9352405', '440145665', 59, 5);
    T('-990472.359961456565375', '-5.60413822970032854', '990467', 4, 0);
    T('-2.76723E+9', '6417948', '-2760997428', 51, 3);
    T('-22649419.98239152854456', '-915916.9225528441058963733', '22307713', 3, 5);
    T('-5263.8146412628530617278853', '-277818424.7669619201990062', '277821625', 77, 2);
    T('-7.44800284350624728577E+32', '5.0377E+9', '-744800284350624728576996178672736', 16, 4);
    T('-2022.66517632901473137496', '-14632.83804', '16066', 20, 0);
    T('-8.9930E+6', '1.074587681884987E+20', '-107458768188490898952', 75, 0);
    T('-40373476.32', '6664936.5621471868007662', '-34455052', 43, 2);
    T('940317056.32863353301185', '2.08884682E+9', '1150114916', 62, 5);
    T('-8311.19393910363506607', '50721.7995132', '-58968', 82, 5);
    T('-1810.84349212678977897', '493.92436625666346326779', '-1789', 44, 6);
    T('126.944728866302100', '-992.337465699230', '-930', 71, 0);
    T('29081.542831', '-9.55052313948E+45', '-9550523139479999999999999999999999999999970919', 25, 5);
    T('-6.61256303125327E+39', '-52978345.8567305736469935028', '6612563031253270000000000000000014130519', 44, 5);
    T('-701120.175036390287886779', '-1.18945', '701119', 100, 2);
    T('57977.2385206770594099346', '9931965429.0488843485513', '9931923852', 87, 0);
    T('7343599192.476151483568887451', '-8649870279767241073589532.2917', '-8649870279767247840154436', 71, 5);
    T('-1502038895.940759232236130948', '-9220323404.2', '10671731493', 27, 5);
    T('11633583.10314061470492', '53861151.25', '59005104', 46, 5);
    T('95930974.418152234086', '80.73356624612356897', '95930894', 44, 3);
    T('481.00715', '-9555', '-9396', 81, 0);
    T('49675768.7133784', '-4.078675696016', '-49675772', 84, 6);
    T('-4915105.27473529095', '-12.07008847', '4915115', 16, 3);
    T('34033.7139305915239', '-63612727.3196500591929266', '-63579080', 88, 5);
    T('4.4706400269407181463991E+31', '9485.0497987', '44706400269407181463990999991053', 98, 2);
    T('-94580175366257.3100001195799509', '2.96546485637171804973E+44', '-296546485637171804973000000000085783780354161', 49, 1);
    T('-9.961061', '-778259.97670316', '778266', 86, 2);
    T('8952691.43473966538322008901344', '5.97E+45', '5970000000000000000000000000000000000008952691', 34, 4);
    T('4.19155491937291001659681516E+45', '-9.6736919E+9', '-4191554919372910016596815160000000009656914684', 28, 4);
    T('-40132895.8936354757835104', '-8.9297E+45', '8929699999999999999999999999999999999959867105', 59, 6);
    T('-17824.03048377', '82154735.68943071372', '-82170225', 97, 5);
    T('-5E+28', '859626.6123330247894', '-49999999999999999999999140374', 38, 5);
    T('8635075040', '91.302238965159', '8635075003', 47, 3);
    T('-49.919030890719990', '348651787.7797078966400625', '-348651836', 19, 1);
    T('-8.8863589473080881382196838102', '-9.7E+2', '974', 17, 4);
    T('726.29749888219023407390369', '-1.256126087164714600297', '-727', 60, 0);
    T('-9919321.102772', '-4.400228128688227990486705580E+47', '440022812868822799048670557999999999999990080679', 55, 6);
    T('-73537.676100774199638527230', '-8.48E+37', '84799999999999999999999999999999926463', 5, 0);
    T('909359030.3013977710527258305', '-812.72107', '-909358238', 3, 2);
    T('5.98473270269416753', '-94450740.525', '-94450743', 53, 3);
    T('-2.71E+7', '7428829.0', '-32299395', 40, 3);
    T('6.9977E+6', '9.33753632375973008310397748E+47', '933753632375973008310397748000000000000006997700', 91, 5);
    T('564835981.6945', '-4801831.8329391', '-568587180', 43, 6);
    T('-7.93506495146110161E+32', '-3.3E+8', '793506495146110161000000328636800', 16, 5);
    T('-2509046.8676636430981143859227', '-2764282728.6707385033826519', '2766525330', 55, 5);
    T('-9132.47013499125281956145', '9', '-9123', 26, 6);
    T('-8626763525.30190', '-7.9809E+48', '7980899999999999999999999999999999999991373236475', 40, 6);
    T('9.0E+21', '3.325233798425148556766965638E+42', '3325233798425148556766331239869278033739776', 88, 6);
    T('-2E+8', '-7E+7', '264756352', 40, 1);
    T('728.2762604', '-5.6E+42', '-5599999999999999999999999999999999999999272', 89, 0);
    T('-210.5', '5.3039010886336396', '-213', 35, 0);
    T('8.773E+40', '2.97E+19', '87729999999999999999972051901393384636416', 37, 5);
    T('652.90', '4.6492421572373099677', '648', 48, 6);
    T('-576380534.190401392', '-94197095.3053622172435', '667388691', 11, 6);
    T('9.47108273', '-5614', '-5605', 92, 2);
    T('6804631015.150642626', '5E+6', '6809069223', 70, 1);
    T('-501.30839856161609460028377', '-6508237434901528.07158470983', '6508237434901987', 24, 6);
    T('6.5E+36', '-9.1961974051206297', '-6500000000000000000000000000000000009', 94, 2);
    T('-35578.7395172783925739591', '-37692.1582', '6594', 37, 5);
    T('7.389972412201835190E+34', '67.6748544850911237199146722157', '73899724122018351900000000000000067', 27, 1);
    T('7208.847387272491544176850', '-5.84530449208533021407717863308', '-7213', 61, 3);
    T('6.790206994248784423627825236E+40', '-9143.65076067', '-67902069942487844236278252360000000009143', 16, 3);
    T('-1.1473211092644761579960548115E+44', '-960509.510993530681429942605041', '114732110926447615799605481150000000000612355', 66, 4);
    T('-6.2382E+31', '144.46925018034994293728', '-62381999999999999999999999999856', 23, 6);
    T('91552276931.08', '-3.72755630331316317091262361526E+36', '-3727556303313163170912623560231788349', 69, 4);
    T('4225737.07833', '7.704E+45', '7704000000000000000000000000000000000004225737', 84, 6);
    T('8.18712120797037304E+30', '53057.00180', '8187121207970373040000000053057', 37, 4);
    T('30.02140766490171712870199711', '-66.29389800017781', '-96', 78, 3);
    T('-25113803.715545436272', '-5.946974E+24', '5946974000000000017877813', 61, 2);
    T('-720.574461586846763937542750677', '577715101.4315998', '-577714515', 95, 2);
    T('-41.34773849748907247027', '-507924788913808114135.4', '507924788913808114174', 36, 2);
    T('3878807.15498315064473452', '-4.0E+50', '-399999999999999999999999999999999999999999996121193', 6, 4);
    T('-798541.86', '24441773.045', '-24698082', 16, 4);
    T('81.51020984106389851', '-63.5452854748577562193683662456', '-112', 98, 3);
    T('-7.086996851049744549E+39', '-6877266.76', '7086996851049744549000000000000005705646', 73, 3);
    T('981.7525596175', '37197.18749444320708615584', '37528', 87, 3);
    T('2.8454558137980674142E+27', '-9434395109784.45178501', '-2845455813798059221109733272', 13, 2);
    T('54739267.9831499', '15176388366819303.269004045341', '15176388387577508', 41, 3);
    T('-86782.47155897', '-5.328900864E+35', '532890086399999999999999999999913218', 75, 2);
    T('6.002723003730724E+47', '-820321196.6', '-600272300373072400000000000000000000000820321196', 67, 1);
    T('-403757.7286287590354072809', '230474.5876832', '-372071', 27, 1);
    T('-5.2E+2', '-5417.3514003228542', '5935', 52, 3);
    T('-5.6277664131939E+46', '-5.347E+16', '56277664131939000000000000000039742489814114304', 57, 0);
    T('-3.33577932931366581808E+27', '3.678838E+9', '-3335779329313665819342646032', 99, 1);
    T('-4E+24', '9045.3078411385009507835', '-3999999999999999999990955', 70, 0);
    T('-691410747.909888939799095248', '-59742433106769344072088956.12', '59742433106769344454683201', 59, 6);
    T('3212059.1459007577861891', '644416.3', '3724891', 21, 3);
    T('-7.15711938522299655635835088E+37', '1927047265.9839827343070466528', '-71571193852229965563583508800237213599', 95, 5);
    T('-54998569.183', '-4.7234E+31', '47233999999999999999999945001431', 49, 3);
    T('-98.60139204', '45.650', '-77', 33, 1);
    T('13872513.3346805803561', '-155273.40999658550341166447123', '-13759242', 7, 2);
    T('-5028763380.528012185622', '-9.19595203756641416554243842E+36', '9195952037566414165542438423936045324', 9, 1);
    T('-3.5E+4', '-5.193739957E+22', '51937399570000000030536', 14, 6);
    T('994388.0011364910808188826782', '-2699.014353654286667979092', '-992991', 5, 3);
    T('-3.080E+8', '-3', '307999997', 93, 2);
    T('-8951191299.37670745679315', '14388921972785.6', '-14380542291764', 98, 3);
    T('-1687.74163328887', '-542.9407441223283250', '1163', 21, 4);
    T('66323.451744997610719501', '9105191.1436363363081191', '9169972', 85, 1);
    T('4E+5', '2.9E+7', '29137856', 97, 3);
    T('-69452.303396683868374450810', '-51314469.5398244', '51376239', 70, 2);
    T('-82522699.221747765294422191425', '-164422.13805143651645556612', '82423823', 27, 2);
    T('-170956933.7046377585335', '-4.657095658603898441768928923E+48', '4657095658603898441768928922999999999999833237371', 56, 4);
    T('66.7454544539365059425', '6870.65', '6804', 14, 4);
    T('-586056.9510930877', '755029.70', '-226323', 6, 3);
    T('1813629.1565204603111', '-6.84243994434584661E+21', '-6842439944345847288883', 29, 2);
    T('65881375.726403850831810384', '-11991523063.9206405025365654', '-11965127658', 75, 6);
    T('918526198.602773628130915500599', '2.6377E+8', '956782438', 30, 1);
    T('-58639505.396843330575862813897', '-59442272.3', '16105679', 43, 5);
    T('6955.52915750110610688049205171', '-9449736570.578884265409232', '-9449738835', 93, 1);
    T('-917085740.930967607452', '2796160089319861030911514.781', '-2796160089319861205590066', 69, 1);
    T('-23048110', '-1.6E+6', '21481042', 38, 5);
    T('-9390.719746', '-764.1', '9814', 46, 3);
    T('-583', '1.84577557841703830714145', '-584', 39, 4);
    T('-5E+40', '-43.6', '49999999999999999999999999999999999999957', 95, 0);
    T('59321628.600807846201', '-2.701523842626004955550594E+27', '-2701523842626004955609898708', 23, 0);
    T('-95787913.83881', '-652919778527276.8041', '652919833809827', 83, 2);
    T('-349256.74505757139130665807723', '-6.33413E+33', '6334129999999999999999999999650744', 98, 5);
    T('48695.853104890', '628.1473', '48195', 3, 1);
    T('-277954.796', '8.743E+17', '-874299999999753666', 64, 6);
    T('-7975434.108647966350', '17596450.3949728960', '-24457772', 3, 0);
    T('-8.3235204E+45', '2.0839E+46', '-16130291029934985219346359208864642932385251328', 97, 3);
    T('-70107051.9', '675441.9914106', '-69726684', 7, 3);
    T('-5.4043E+9', '-8E+1', '5404299920', 8, 2);
    T('691311481728669.98687886', '9.1767734', '691311481728660', 89, 6);
    T('3.86218E+20', '-1666', '-386218000000000001666', 77, 1);
    T('937711.92226630237343289310032', '-492243.51701717866284527465869', '-642110', 95, 0);
    T('3.2E+5', '7.377848228157261160109843', '320007', 45, 4);
    T('-88140989.8129', '2.2524445195E+16', '-22524445283103869', 66, 3);
    T('-851970975.025', '-8.1445E+5', '851732207', 60, 4);
    T('2.484271E+28', '7.3E+22', '24842703122427318834787516416', 94, 5);
    T('-759380067.771', '-17.98050510909388264', '759380082', 100, 0);
    T('-5.24422955786E+47', '-3957064432.2875155974515', '524422955785999999999999999999999999996042935568', 99, 0);
    T('-7.276172E+48', '-5419.126267577686', '7276171999999999999999999999999999999999999994581', 2, 4);
    T('-306.94257780638960290382548', '415825', '-416097', 90, 6);
    T('600.167560143150182415', '-8070675583.3', '-8070676007', 38, 2);
    T('148375011512.28', '-1192.9985437365470186641', '-148375012384', 3, 2);
    T('6637875.08625268203296815636495', '72154776.7274', '69842859', 69, 1);
    T('5108.3393398210971324667787', '217303.63306141246022', '213795', 12, 4);
    T('-2.3E+21', '-594194.4876633594403362313945', '2299999999999999405806', 39, 2);
    T('391641453.12647134576956977029', '4.043130642356665472555624467E+40', '40431306423566654725556244669999753861485', 60, 3);
    T('-74530.2260383856265058', '-7.506E+37', '75059999999999999999999999999999925470', 61, 6);
    T('-6.8609E+9', '61.91320420147618265838659784', '-6860900003', 36, 2);
    T('-80924.1086876160930046560414911', '9.36', '-80915', 7, 3);
    T('-7.70085495', '-2104315595052886195.52', '2104315595052886196', 86, 0);
    T('12.13377386', '-8.6497907565428253691386166472E+41', '-864979075654282536913861664719999999999988', 80, 2);
    T('957.4197340465859783402552', '52669.7912199558175662292', '52736', 62, 0);
    T('6.781026376063071179908E+29', '319624.3948640113670', '678102637606307117990799795336', 24, 0);
    T('-2.91258E+31', '-574881081.5812420488291', '29125799999999999999999425118919', 33, 4);
    T('312970865.8768288029683', '-903757833.61267129580455026', '-662294138', 87, 6);
    T('9090.193057994379980', '-3.1424196913772E+23', '-314241969137719999990910', 42, 6);
    T('-35899996082.06230637', '-63269887.217379388839152563', '35836861519', 20, 1);
    T('-719509372.1229227258177', '-33427.3592241396989844', '719476201', 11, 6);
    T('9.020729', '-3E+9', '-2999999991', 75, 1);
    T('8.5E+9', '-469.76396858720328976551', '-8499999957', 33, 1);
    T('-7.656010807391433250887296E+26', '-4.0421', '765601080739143325088729596', 5, 0);
    T('-5.000E+7', '-1.6291390111719E+49', '16291390111718999999999999999999999999999950000000', 36, 1);
    T('-492.78150491319540', '-12769395', '12769689', 36, 5);
    T('-829991.96571035040', '60644.047', '-804547', 98, 4);
    T('1.67803680027965425207E+40', '-62509990.522595001802824', '-16780368002796542520700000000000056218534', 13, 5);
    T('-3587.20', '7.48850581416110623', '-3590', 61, 5);
    T('-3.06865E+45', '-3509306.0815516', '3068649999999999999999999999999999999996490694', 57, 1);
    T('2.34389731998298142597688714E+46', '-5.824137006277006E+33', '-23438973199834739870106551451208384608969687040', 26, 1);
    T('6.4E+7', '-6.766373595892E+13', '-67663772695944', 78, 2);
    T('3.496E+7', '1325193082.5312220382812430019', '1290380794', 98, 2);
    T('5963585149.7599080374', '-7.03210221667E+48', '-7032102216669999999999999999999999999994036414851', 45, 0);
    T('528551352.562', '7', '528551359', 89, 1);
    T('890222554.751043068', '2.3829619265753E+48', '2382961926575300000000000000000000000000890222554', 47, 2);
    T('8.997E+7', '-6.0747827444374E+42', '-6074782744437399999999999999999999910030000', 38, 5);
    T('3265474.93127484', '6713.70133105966', '3262971', 83, 0);
    T('7736783.2198820638084436516', '6', '7736777', 3, 4);
    T('1897.143', '-6425358.5697811031300', '-6425701', 19, 2);
    T('2.11030440823744486420136282E+44', '-751279163996.535007909815', '-211030440823744486420136281999999375508654684', 48, 5);
    T('8.0E+20', '-59691.54823192785086060384', '-800000000000000059691', 53, 0);
    T('-88035.895', '49484222.3686360', '-49432157', 13, 2);
    T('68074618534.766753076', '-324108.0118801661892', '-68074917038', 95, 6);
    T('6.261036790127E+13', '-6.917013107815', '-62610367901268', 21, 3);
    T('-59039265', '335538942732', '-335479909677', 18, 1);
    T('-1.9E+9', '93.866439', '-1899999907', 79, 1);
    T('404099005.162886', '1.080E+4', '404104589', 30, 2);
    T('-2137.003591305', '6.0E+6', '-5998041', 35, 3);
    T('-8.8543E+47', '6.335238623', '-885429999999999999999999999999999999999999999994', 61, 0);
    T('6.07307591E+30', '-9277.4391', '-6073075910000000000000000009277', 89, 6);
    T('-61769.58126781269671032037068', '6.25E+49', '-62500000000000000000000000000000000000000000061769', 85, 6);
    T('6E+2', '-962.14011528482707575448807479', '-410', 33, 1);
    T('-9.8771298047881052524757098E+47', '7.517946995032530117056E+38', '-987712979728389203794606005714995598772873986048', 53, 4);
    T('18.54912033448588075661950705', '-55720.485587068861236428050754', '-55734', 94, 6);
    T('8.10925594627987E+22', '3.03034202726362892200071E+45', '3030342027263628922000781352531519855099065088', 59, 3);
    T('-55.615282633559686799984', '-6.7758898780358058E+30', '6775889878035805799999999999945', 25, 5);
    T('-5.7E+13', '-7.1240E+5', '57000000639280', 57, 0);
    T('5807754013.8291', '52338350.96579', '5791667635', 73, 4);
    T('-549.590', '53.0113009205103', '-530', 99, 3);
    T('-3.91283E+7', '2192148721594663.8712', '-2192148750237133', 12, 6);
    T('-9.311074E+14', '-210347856.0386804840501', '931107459204784', 3, 0);
    T('160.64524106', '986.16753433', '890', 81, 2);
    T('-175.934', '-6.6869615152729942E+24', '6686961515272994199999825', 34, 3);
    T('2.9173348242086986605245583626', '-8099841750.5534914166789316512', '-8099841752', 29, 1);
    T('3.98777431348554096219706206814', '8.10E+44', '810000000000000000000000000000000000000000003', 95, 4);
    T('-23656.270024450', '5947.489541360714591337850036', '-19293', 8, 2);
    T('-65.76556669338257116086656', '-4.9596411E+39', '4959641099999999999999999999999999999935', 38, 4);
    T('400.4236587', '2.725E+47', '272500000000000000000000000000000000000000000400', 76, 2);
    T('4.2144126E+9', '11476.69228021816286351289626', '4214421996', 57, 1);
    T('-78213610', '-2.0074524761812633754095E+42', '2007452476181263375409500000000000056004118', 91, 0);
    T('5347238.7590315513507296197', '1.0328253732', '5347239', 57, 3);
    T('9.514571244875856061000E+26', '-1175.1694584027133688678211568', '-951457124487585606099999127', 2, 2);
    T('-96770.60', '7.4E+7', '-73948290', 8, 2);
    T('-58.253242603834463858', '-1E+1', '48', 55, 1);
    T('-55.1717984153193534800045132', '-42328.29222758640578570052389', '42337', 80, 3);
    T('93951.24424052338186111828637', '53.90963318694', '93898', 93, 0);
    T('56158186023985558539.181278122', '8E+40', '80000000000000000000017674364258151248907', 4, 1);
    T('67.362250', '-2293940387.2581980', '-2293940450', 56, 2);
    T('-9960205562.0400576343759573', '1771.3039', '-9960204819', 2, 5);
    T('647792230020.6486', '-4.35735529936376E+49', '-43573552993637599999999999999999999999352207769980', 64, 0);
    T('-3.06871743E+26', '-5.694E+9', '306871742999999996466066560', 62, 4);
    T('-5.9133770160978439064E+33', '20433.4725', '-5913377016097843906399999999979567', 62, 3);
    T('9203231132.94781437244087381', '-4.9403965855530514130518', '-9203231136', 100, 0);
    T('3.504680066142018398E+46', '64412082.8299904668727', '35046800661420183980000000000000000000064412082', 53, 3);
    T('3944977.7792442213166480432142', '-8.32576474729651141001', '-3944983', 25, 6);
    T('1.356131043150205786815E+27', '-877824.45794280496', '-1356131043150205786814253376', 54, 4);
    T('-338.8792622977863952', '2560750465.702660', '-2560750289', 8, 5);
    T('-4365.022162939222059790', '-7.472E+7', '74724339', 38, 0);
    T('3.409', '7.2E+2', '723', 50, 3);
    T('-10219.187439129163571737011', '5832.98', '-12579', 43, 0);
    T('-6.3046518E+9', '5.57E+3', '-6304649174', 41, 5);
    T('-1329624821805605174513.06', '-2667509456.0', '1329624821807999175231', 84, 1);
    T('-1.6965054790184813', '-7.2560682323845607', '6', 57, 3);
    T('660.9306522159879964128806', '-8.4E+5', '-840620', 90, 1);
    T('-800085.35252452750281', '-58.213560740850563', '800109', 58, 2);
    T('6.1239835', '57049.36286679998', '57055', 51, 2);
    T('3135761322020.25981559806', '212.5', '3135761322224', 97, 2);
    T('-8.9336821533785235E+41', '7914189.33095363968110086', '-893368215337852349999999999999999992085811', 3, 5);
    T('6.83171538432E+41', '5.99E+7', '683171538432000000000000000000000059900000', 64, 6);
    T('3.06368813513104359248E+26', '-7808.45162', '-306368813513104359247997568', 91, 6);
    T('-424918306651555.5155255755', '-46219022.7376755320132949', '424918335931055', 14, 6);
    T('72.93284422082010074172439315', '6.229284E+9', '6229284072', 27, 1);
    T('4.506558E+22', '2872334.0914', '45065579999999997367310', 46, 0);
    T('-74170724.1044', '1412377.8039943', '-75385979', 34, 2);
    T('-4761830829.84', '-580665.008703548921531290657', '4762311060', 27, 6);
    T('81374744852499686646.31', '-2067120.24874', '-81374744852500442714', 53, 3);
    T('-8.6211575524', '-72.6387', '64', 27, 4);
    T('-6.1862576975858688883206054102E+42', '8710.73460102672486596539611884', '-6186257697585868888320605410199999999991290', 21, 2);
    T('-9.4091049452783705010836957647', '-1.6718512932559115403423E+37', '16718512932559115403422999999999999991', 45, 5);
    T('3677168805.584812', '9.422922755773491E+50', '942292275577349100000000000000000000000003677168805', 31, 1);
    T('6.763698568413549209760102E+47', '736833.8', '676369856841354920976010200000000000000000736833', 23, 5);
    T('44.8528602614', '21.0188812419932007498', '57', 80, 1);
    T('-4958664998686454834.49892968315', '-5.7990E+5', '4958664998685945098', 53, 4);
    T('6.6888796504E+50', '83626044936680278.4', '668887965040000000000000000000000083573268378547030', 100, 2);
    T('-63290635628306419348113634639.3', '-746294388.6171679379767289934', '63290635628306419348447508797', 16, 2);
    T('-4855049.00552910', '4216133.49890590400553834', '-671822', 96, 1);
    T('6815384.33741170315698064430901', '201060946105077777026704.207551', '201060946105077778624520', 52, 2);
    T('4.8628', '3382862487.663058', '3382862483', 77, 0);
    T('43753.2083928347734153', '2946872.2689931595287634236392', '2907601', 32, 5);
    T('3.21330205250813E+23', '75.92349432581787803721459415', '321330205250813000000075', 94, 0);
    T('-8405467.038', '70450.9676716840168282075980737', '-8475369', 55, 5);
    T('5953750425544.7778741', '-374945536.074916407092278937', '-5953385982264', 1, 2);
    T('1.117243E+36', '6.92893663285311961528350171090E+38', '693282523599057444398662491847653307392', 82, 2);
    T('7849512.3189454689369110', '-7E+2', '-7849108', 22, 6);
    T('8823862.21770094510015896', '4.503665889631E+31', '45036658896310000000000008823862', 61, 3);
    T('-455.585423866767096840507777085', '-8.8718232726922492322979036E+46', '88718232726922492322979035999999999999999999545', 58, 0);
    T('929481.379907583110042458996', '-9E+49', '-89999999999999999999999999999999999999999999070519', 35, 3);
    T('28674.208891217542575930265', '-1.478136', '-28675', 91, 0);
    T('3888254451755421578161.033478', '9.6880943726E+11', '3888254452723660516349', 37, 2);
    T('5.201E+12', '1.526302928219E+41', '152630292821900000000000000004901426031104', 100, 6);
    T('3.7981E+8', '66483989971.7', '66242895107', 50, 5);
    T('1198168.486315', '3.64055903677414366499755598E+49', '36405590367741436649975559800000000000000001198168', 56, 6);
    T('-9E+31', '-42.7', '89999999999999999999999999999958', 77, 0);
    T('-5.71360884761134221781E+44', '-7.789', '571360884761134221780999999999999999999999993', 53, 0);
    T('-4.723E+5', '-7.70820883343732772898E+21', '7708208833437327660472', 58, 2);
    T('9752504640.0', '-78.1255664', '-9752504590', 65, 4);
    T('78916.82', '2527.82157298357', '81307', 61, 6);
    T('-53.90600090025460', '994400.28154587550126', '-994389', 51, 2);
    T('1E+4', '28.790817513843994', '9996', 27, 0);
    T('-20190671.64024812676541', '-455.8721161112116299346', '20190216', 45, 6);
    T('-3.86113E+20', '-5361673.13297344069245299', '386112999999996932087', 20, 3);
    T('-8E+44', '-2.7309742563E+40', '800027305587728965518887546530865351879557120', 64, 0);
    T('-4.6092880454E+24', '-6709.2216558772948602326', '4609288045399999999993291', 34, 4);
    T('-873.35477', '399846664.171265854', '-399847009', 1, 1);
    T('7.931244796898', '-9.99E+5', '-998993', 45, 5);
    T('-3.427163158567420960E+38', '2E+7', '-342716315856742095999999999999980000000', 27, 6);
    T('1.140E+4', '6383.70833962842', '13415', 74, 1);
    T('8.4045946267E+20', '964.2796513492737088195361', '840459462670000000964', 46, 2);
    T('-8358.60776864935346652972530', '8203478.287101139118613', '-8195188', 100, 1);
    T('-8.53557127909E+38', '2.679390583860007780', '-853557127908999999999999999999999999998', 35, 6);
    T('93811.582220091237', '64.98472894743936', '93747', 59, 5);
    T('-4.8922393791096941E+27', '-20.665', '4892239379109694099999999980', 54, 5);
    T('7183091384.391073513177793', '5.3972941687892725354E+38', '539729416878927253539999999994029754040', 63, 6);
    T('202.7650652196', '9.442386256E+44', '944238625600000000000000000000000000000000202', 85, 5);
    T('-2817.33979497997381', '984686.12', '-986479', 5, 4);
    T('1.28439856573466953880096E+43', '-4893.266028374', '-12843985657346695388009600000000000000004893', 89, 6);
    T('-165416.59528551412286366', '5.157717173020774293595E+34', '-51577171730207742935949999999837736', 62, 5);
    T('273.7821', '5.464E+15', '5464000000000273', 34, 5);
    T('-5589872', '-4E+35', '399999999999999999999999999994410128', 4, 1);
    T('61700925.1696', '-6373.666791974513', '-61694938', 9, 4);
    T('-6855238.09763', '7.65069613014513351893E+37', '-76506961301451335189299999999998466630', 85, 3);
    T('1.5561382251379264403E+20', '-672.8960139229990633797816', '-155613822513792643362', 11, 3);
    T('-316662.6192408176193', '17937.09958450456954906858362', '-299749', 92, 4);
    T('-1E+3', '1.51E+7', '-15100808', 53, 3);
    T('-25181738.701613306386989', '-1.7210E+5', '25337450', 4, 6);
    T('5032609', '65556.1099540683114', '5098165', 1, 6);
    T('2.9E+6', '-4E+9', '-3997657056', 61, 1);
    T('63087.0228224', '62026340.279419633743702', '62030859', 79, 6);
    T('831606903487.5102', '3.51E+8', '831265539967', 63, 6);
    T('8.21197E+28', '5953030.895104132830156508', '82119700000000000000005953030', 65, 4);
    T('-137.4668108618538124917326', '65.746813849', '-202', 52, 2);
    T('3785574.24512', '1020758.52714115617879740729', '3559472', 20, 3);
    T('35231393.722861911', '8442747.42744364297', '43599322', 28, 2);
    T('465.8751482480614054244454', '-4853.211645409661953657341118', '-4902', 91, 0);
    T('-9.175E+35', '3181791675.285173300961', '-917499999999999999999999996818208325', 87, 6);
    T('-4.7E+3', '-6.398517E+25', '63985169999999999999995300', 25, 3);
    T('2256285.58224943877851871276908', '-6472.815699031329', '-2258139', 78, 0);
    T('69697.31695667468847232920', '69578069164.19937', '69577999597', 73, 1);
    T('-879533.787984928921748', '-5.69359033688742546729229E+27', '5693590336887425467292508259', 81, 0);
    T('862.036350524211206998', '6408407459.45', '6408407805', 39, 4);
    T('2327607095.94069224372217932', '-3.4216533981592528396232364E+35', '-342165339815925283962323637677676745', 20, 5);
    T('-482.199233887860', '-4905.9965139', '4809', 94, 2);
    T('-67.4', '4E+50', '-400000000000000000000000000000000000000000000000067', 30, 5);
    T('4.394691425388383805E+19', '6867436178.91051911634023080', '43946914260171934960', 75, 5);
    T('4.468497289219393442581E+28', '24281.0134887995955150', '44684972892193934425809978969', 50, 0);
    T('2863552383.46167', '6.25498419747038431457291601', '2863552377', 24, 0);
    T('69788.2692', '-59.312512800161025490', '-69799', 92, 6);
    T('-6.8016657085937518878871937392E+45', '-3668913', '6801665708593751887887193739200000000000525391', 96, 0);
    T('-24440868.99924054110', '3.265692573E+16', '-32656925718166692', 9, 6);
    T('-666352024.2979489', '65.08165373072', '-666352087', 46, 1);
    T('9.76233899036206923E+25', '48404583.71', '97623389903620692264186727', 11, 1);
    T('-901.89725514', '-51.525530721187944047523456', '950', 6, 2);
    T('18981.437997586', '1.10E+7', '10982117', 29, 0);
    T('-3.821912E+8', '-3.568E+8', '58954656', 55, 6);
    T('-7.22E+7', '-6716703580.1578478014354014', '6779399268', 45, 0);
    T('5.8E+46', '-584290120.8', '-58000000000000000000000000000000000000584290120', 23, 4);
    T('6.16981E+12', '-5.7581581E+37', '-57581580999999999999999996239666653056', 99, 1);
    T('52.91565322655559609549749', '-5E+6', '-4999948', 54, 5);
    T('328197.821766823', '4.6311730583540132005123155158E+49', '46311730583540132005123155158000000000000000328197', 92, 5);
    T('-4.0729491569016377923E+50', '-42.096736120', '407294915690163779229999999999999999999999999999958', 57, 0);
    T('7284336.0453729', '-5E+4', '-7333184', 93, 4);
    T('-3.017386602', '-9410704.00230502288372744', '9410701', 50, 5);
    T('-838.61863535584549121704', '3.88919E+48', '-3889190000000000000000000000000000000000000000838', 74, 4);
    T('-5E+27', '-1840.8001285480788391498674374', '4999999999999999999999998160', 17, 4);
    T('5.4487447893731E+27', '8.8E+46', '88000000000000000004803027184261016307617939456', 45, 6);
    T('1.14E+5', '3.359043E+32', '335904300000000000000000000114000', 68, 4);
    T('157892696166.02378979842956633', '-80756.917895271294643022607393', '-157892633366', 57, 1);
    T('-3066.23421889799', '24.634', '-3042', 62, 3);
    T('140160550138413055227281.9', '1.4548537E+36', '1454853700000048808482465336589038993', 68, 1);
    T('-567.1082380130760535510502328', '9.92E+3', '-9463', 45, 4);
    T('-9.978726945341909778E+19', '-28349960829.71478958181', '99787269429926149327', 89, 5);
    T('931865.67378748840829212431', '990239256.1', '990634497', 88, 5);
    T('677.3621956', '-7.2E+3', '-7867', 77, 2);
    T('8047062446791181445.736', '1.04E+6', '8047062446790154757', 2, 4);
    T('-5245.541509026887', '-1.049321463165092835E+32', '104932146316509283499999999994755', 63, 6);
    T('4.626157846E+34', '-6.5E+5', '-46261578460000000000000000000650000', 8, 3);
    T('-2.467090E+9', '-707499369.588997852067', '3106364199', 79, 4);
    T('576404741152889810.085', '-180283.79057244', '-576404741152971753', 55, 4);
    T('9.75159312310', '-155.472755148', '-148', 54, 1);
    T('9862999229.38', '9.5E+2', '9862999819', 86, 5);
    T('6E+6', '5957686367.96970691', '5960145375', 66, 1);
    T('-352059.7638637', '957386901953306505473.1379', '-957386901953306717756', 80, 2);
    T('82067.8525437275278579091387462', '-68594784.2659930803613028812', '-68676813', 88, 3);
    T('1.782E+9', '-7.48242E+33', '-7482420000000000000000001439225472', 57, 3);
    T('-352188.48787', '-884061.7090434147069296008', '533223', 42, 2);
    T('-8E+2', '93.490566953124548543163119', '-835', 63, 0);
    T('-979041649325992.1627493262799', '-6.28082918067444254743081347882', '979041649325986', 85, 0);
    T('-3.293E+9', '-34.6159', '3292999966', 93, 2);
    T('-70179.79873315486295', '-191600469.018444348', '191530358', 10, 3);
    T('1.26', '31744.181648954409299062', '31745', 7, 4);
    T('-2934143.1459266', '-35799.804566535199', '2903720', 42, 0);
    T('-440.09481548354207987582', '-41939534.12146', '41939962', 15, 4);
    T('-2E+1', '13332.70948516', '-13320', 47, 3);
    T('-17361925.4978013948638748', '-346.989', '17362269', 70, 1);
    T('8.635847E+41', '-1.362854392625800E+36', '-863586038799415143188738661583652730699776', 76, 3);
    T('22374792595034312.0033964', '-1908553.22871499509840', '-22374792595361665', 41, 1);
    T('-99709.216', '-41564.93989630647218807', '75559', 26, 2);
    T('77796705.062976353671', '14.8286412572267537264812431470', '77796719', 77, 3);
    T('-1.56705498E+34', '3953286864.287755', '-15670549800000000000000002757599536', 52, 0);
    T('-5.6894E+35', '-68758.0061', '568939999999999999999999999999931242', 38, 4);
    T('-38.0', '-3325.231', '3289', 74, 5);
    T('-23742119.104', '6.8095E+7', '-90524351', 17, 1);
    T('-4.3512E+29', '7.91096E+6', '-435119999999999999999992089040', 84, 4);
    T('-7E+6', '-9E+8', '902702912', 10, 0);
    T('-45448.8772042961', '1.7E+8', '-169955080', 72, 1);
    T('-1E+3', '-82756.036779063956282525877055', '82084', 95, 1);
    T('-4.7080638792777973431591000471', '-384671.6', '384669', 56, 1);
    T('-94198.73643433619341', '936.0834152336934', '-93278', 100, 6);
    T('7602.0973851806642706622106', '8987961.329143', '8992907', 20, 0);
    T('22158.427569272357350339', '-5914993.6005076', '-5904383', 56, 4);
    T('5343514765.23235', '4029582916322.4842655932775499', '4033169599087', 92, 1);
    T('5.79498992', '-8.67E+5', '-866995', 34, 2);
    T('1.124954E+40', '102934179.783405876886828267355', '11249540000000000000000000000000102934179', 46, 3);
    T('1.85693159135088667E+43', '940.1950612401', '18569315913508866700000000000000000000000940', 65, 6);
    T('-27629425.081216693554', '-3.3689638', '27629426', 71, 4);
    T('7.849209722082282968298556874E+40', '7.76426360531762575894203297E+33', '78492104578803941310248154427330607736448', 2, 2);
    T('1.7315164E+9', '-1.1176994E+9', '-631925432', 2, 2);
    T('5.1183964933E+33', '6442571888.716007474310156', '5118396493300000000000006442571888', 80, 1);
    T('-803394381.5668030117071', '580990289.31741', '-222553630', 86, 6);
    T('953920.380938283409702338202176', '-440', '-954360', 75, 2);
    T('3979.1098826066017067', '4716.56441', '7655', 30, 6);
    T('12738036679221779491307', '591223277.3', '12738036679222300815366', 17, 4);
    T('222262396.340', '3520127257.021847651858975', '3706688869', 99, 0);
    T('-691275142905.0', '-67.4463530243064181258926', '691275142842', 60, 2);
    T('-1159.3', '-8.5E+3', '9653', 85, 0);
    T('9.911938257380926653', '4503.27482857078', '4510', 86, 3);
    T('-15232.0', '680029050555.6534', '-680029056453', 21, 1);
    T('-320277.3', '4.988598101457101104243024337E+48', '-4988598101457101104243024337000000000000000320277', 95, 2);
    T('2390.965161675406', '7181.6989874', '5467', 54, 1);
    T('8.4E+17', '-1.2700505674E+47', '-127005056739999999999999999999380829213857415168', 36, 1);
    T('-3341491958761873386.1989759197', '4976.4121557198961359153', '-3341491958761868442', 45, 4);
    T('80.1751237012331281538599', '-326.42', '-278', 30, 6);
    T('8165203252.96619993', '-66049107.3581', '-8141195623', 55, 0);
    T('5.1E+3', '1.150E+6', '1155036', 75, 1);
    T('1.574832230654106313756E+43', '-6.6156360010293858056884517507E+49', '-66156353457764291423534249037394378005780786839552', 57, 2);
    T('8486292184.45759492105', '-3420265.01880933955986', '-8487615153', 71, 6);
    T('-5881249829.909615295860599801', '2.647240447653928344588646E+31', '-26472404476539283445881451755301', 100, 3);
    T('-8.001882810108821230E+47', '-5.6934037969782961254135691494E+47', '1367742853397228034188673489349655629951136694272', 30, 5);
    T('8.23365017', '22089.890728786412251560516', '22081', 44, 1);
    T('-335.806464733', '-3844980634.11725635024', '3844980439', 79, 3);
    T('92.17527143885', '1.397505E+9', '1397504948', 44, 3);
    T('68', '-5.182187468334364096719975', '-65', 85, 0);
    T('3.260E+44', '-65940794492.3950817728176', '-326000000000000000000000000000000065940794492', 18, 4);
    T('12419754.9020', '-19.627438874974599848501496661', '-12419769', 1, 1);
    T('888.2', '-557756.990674297025885125738', '-557508', 37, 5);
    T('590097.2720027777926192', '3.42611667086E+32', '342611667086000000000000000590097', 65, 0);
    T('330148228304849.0485741', '6.475907855496425569594168617E+46', '64759078554964255695941686169999766647511388113', 20, 4);
    T('-9.209643', '-577829987835851.97944342376864', '577829987835842', 41, 1);
    T('74091573432753839', '78762344.36970632963', '74091573511376839', 54, 2);
    T('-24078646.602298717197', '821914442.51', '-831652480', 34, 1);
    T('-3.20828174792223E+20', '-1022071505.0906545029', '320828174791889983343', 82, 6);
    T('-87167.623122628378', '-2961993182.47858411', '2962045347', 91, 0);
    T('9.7E+27', '-4.32008E+7', '-9700000000000000000043200800', 10, 5);
    T('-29129159.9306429', '-3.487956990E+22', '34879569899999992399417', 54, 4);
    T('41.88418816047863114', '-2.90539082009321E+28', '-29053908200932099999999999959', 75, 4);
    T('740933.21294', '5579.9655007519', '744334', 99, 6);
    T('20306.93609003949156155451', '5.0037E+27', '5003700000000000000000020306', 71, 5);
    T('-6.343536214663847541406E+34', '-6E+9', '63435362146638475414059995241513984', 34, 0);
    T('7.77961', '-361.899345003007800559053', '-368', 59, 3);
    T('-6.05966953875E+16', '-7280879.0363686814027050344877', '60596695390319921', 69, 1);
    T('56.85210743597109414145', '6027.89613585280724264615084841', '6067', 73, 1);
    T('4.931217886708918798716E+24', '1.20499344298752E+31', '12049939322694863732827508116576', 72, 0);
    T('8.945E+14', '-210015.75208075009875441', '-894500000193631', 79, 4);
    T('-9.33703583286702E+32', '-6.657556271926E+19', '933703583286653985409669066965248', 13, 6);
    T('529563447.329471013184415858228', '-2.8421E+44', '-284209999999999999999999999999999999470436553', 25, 4);
    T('506.29086055580027173239', '-48730943147159241775210158.0516', '-48730943147159241775210328', 49, 4);
    T('5.10707474911014E+26', '-3718438024.1317943287', '-510707474911013999419243656', 54, 4);
    T('-6.42432343E+39', '-4.138951724201984213091643990', '6424323429999999999999999999999999999996', 15, 5);
    T('-927687043.7028518334355842', '6.99972E+7', '-862417683', 59, 0);
    T('529637445.378253343053465', '5.9028489501781723E+22', '59028489501782049066117', 51, 4);
    T('-2649877715.36925274', '85.0655986281366699892094925', '-2649877640', 100, 2);
    T('4881.4', '171638791.2827188', '171643670', 22, 0);
    T('-883.6168244109', '0.003380399127', '-883', 2, 5);
    T('9.2E+28', '6155619288.0417313295209', '91999999999999999994344459224', 54, 3);
    T('-9.23758737745000683565E+42', '-59.949541009752916166854073153', '9237587377450006835649999999999999999999941', 71, 2);
    T('1354788.65538749975', '-9.119078798748E+32', '-911907879874799999999999998645212', 94, 0);
    T('-1320506386.51', '-96.12758594982959605968', '1320506446', 54, 6);
    T('5667548.115103067524790', '-5036057924.098946815032407', '-5041184672', 10, 4);
    T('732157.33708666846833', '-12668562116.24', '-12667961663', 58, 3);
    T('990904.295389331', '-360650265.0', '-359663777', 88, 6);
    T('86973.4186733186776493472', '4E+1', '86933', 23, 6);
    T('-109368.621862083536', '881.208875004959331308240336', '-108615', 31, 0);
    T('-8.3348103968352887340822065088E+37', '56406076.023486305481', '-83348103968352887340822065088021254084', 2, 2);
    T('-5E+37', '-94813.58110974595831771142660', '49999999999999999999999999999999905187', 36, 4);
    T('-77769.0797409679234392131414', '5972252179.55728211055', '-5972195804', 27, 6);
    T('-52.4', '46629.6885898132886', '-46615', 47, 6);
    T('-857978540956822.4157229126', '-7.5555E+6', '857978544313662', 39, 5);
    T('9.10E+3', '73972038.4252375072284954556200', '73964234', 63, 2);
    T('-538495.5366847513621342667', '-4.871E+9', '4871534785', 34, 0);
    T('-64481917312307741.51328092810', '746.618611819843945367745', '-64481917312307447', 8, 6);
    T('8.13E+30', '8.605E+5', '8130000000000000000000000860500', 91, 3);
    T('1.52632E+8', '-8897.397539055858', '-152623105', 92, 0);
    T('-3.9E+47', '-607271.418994273571990', '389999999999999999999999999999999999999999392729', 32, 4);
    T('-1E+32', '-8728531457.9902563507420612576', '100000000000000000000008451337727', 38, 5);
    T('-3.11E+8', '-79121087136.6299778103726', '79346958624', 39, 0);
    T('-3.3831151890012893E+44', '-4.2430709891881909459', '338311518900128929999999999999999999999999996', 17, 1);
    T('5.324559722168667135771601030', '8567280211.1', '8567280214', 68, 5);
    T('4.5728941975155E+28', '5.2E+9', '45728941975155000003450778624', 77, 1);
    T('-4935359750432163011753.9', '-2902.88057', '4935359750432163010557', 87, 4);
    T('-7.6E+41', '428.2984', '-759999999999999999999999999999999999999572', 63, 1);
    T('-9.822E+6', '-5.14885E+44', '514884999999999999999999999999999999990178000', 33, 6);
    T('-7483.43666870359918864345713', '-630941797191140104819929.71822', '630941797191140104817122', 21, 6);
    T('-9.3E+9', '8.14890931870645721418E+31', '-81489093187064572141790710574336', 6, 0);
    T('-9472.06492762392949', '-160849170.246499366243571792986', '160856558', 11, 5);
    T('506984.10279744557', '-9.7184321517448981689826516373E+33', '-9718432151744898168982651637385080', 45, 2);
    T('-323.264018880623', '-647847442.30837', '647847763', 4, 4);
    T('9.1029453311490927355887E+45', '-7.912546', '-9102945331149092735588700000000000000000000007', 4, 2);
    T('98.08290620402719436671761', '3986.97', '4080', 29, 3);
    T('400', '-1769.10759577181082083896684329', '-1913', 64, 6);
    T('-73780.413626436479633', '-81088883.889652629595324', '81031489', 39, 0);
    T('3.9978E+28', '8040457421.651644407599177572', '39978000000000000005557429453', 49, 2);
    T('3024.844', '90328122.880828814244417751', '90327018', 2, 3);
    T('-9.74658624038674417914301', '-87330303277.25990669299', '87330303268', 44, 2);
    T('8.615356E+8', '1428.838', '861534436', 80, 0);
    T('363690060.474154718', '-669400835.4', '-843794255', 14, 4);
    T('59367.405574325', '-9.88705649421155884579E+33', '-9887056494211558845789999999957017', 55, 0);
    T('-1523552.893919823', '-74163940.3085277337', '75274684', 25, 5);
    T('-4.88058847886454999909911E+27', '-527.60599', '4880588478864549999099109473', 63, 3);
    T('6.87E+5', '240.9573636940756', '686952', 97, 1);
    T('6.93E+5', '-9.16E+4', '-784072', 100, 6);
    T('-765181892.7580085', '-98466.401', '765083490', 11, 3);
    T('-36334535', '-6.3400832487709262179E+21', '6340083248770894127469', 42, 3);
    T('2.6981E+8', '-61.8496286520', '-269810029', 67, 4);
    T('7.51E+9', '-9.26142261377E+38', '-926142261377000000000000000001885240960', 20, 3);
    T('-81165.678468734', '8010.5105611041212738684053090', '-74311', 60, 5);
    T('4.396469620972', '-709932.262120442851934774612760', '-709936', 24, 6);
    T('1.3188E+32', '118.42661', '131880000000000000000000000000118', 59, 0);
    T('-89.8852577043082', '-66705729.172207', '66705688', 85, 0);
    T('43969.192048385884102918', '-9.4001384706380218820E+34', '-94001384706380218819999999999956031', 73, 0);
    T('-13242245.56572095300', '927352920834999.51452905003', '-927352924638260', 82, 2);
    T('-1.68990456285590165805380868E+42', '-678928048474015976598', '1689904562855901658053148777733888938816362', 39, 0);
    T('4.031E+7', '620.159334894', '40310428', 74, 6);
    T('644065.72850793', '-7.30254825580378231269329479E+31', '-73025482558037823126932947420607', 11, 0);
    T('9.0E+4', '8.90698741E+47', '890698741000000000000000000000000000000000090000', 38, 6);
    T('5.994148207325620E+37', '3376.32975333405557312074815390', '59941482073256200000000000000000003376', 93, 1);
    T('-5.9646694630880317210E+38', '5.498131', '-596466946308803172099999999999999999995', 1, 5);
    T('-7.94797E+22', '-3.2E+5', '79479700000000000204288', 54, 0);
    T('46126', '81977771186592554.03973245', '81977771186630404', 19, 6);
    T('-7.5178288330692865812126389753E+29', '8E+8', '-751782883306928658120686195642', 81, 2);
    T('-113247013280.23689478705', '296027477.90', '-113005645003', 68, 2);
    T('6.1E+47', '39340.53316273961178195829', '610000000000000000000000000000000000000000039340', 65, 2);
    T('5.7262651310E+21', '-57236.5431993067083183841885', '-5726265130999999983508', 35, 3);
    T('-6.310E+10', '-7.451036176583E+36', '7451036176582999999999999993305000192', 6, 3);
    T('-8.3433417809912461185442397', '-298416.87', '298408', 86, 4);
    T('345443.068078226788766830673', '9161314.9561421544', '9342721', 78, 0);
    T('-7063822.5422486346', '-58279589.2888270801422784', '51548073', 66, 5);
    T('-53672.665065284110', '9.1595837894009197875E+35', '-915958378940091978750000000000053672', 95, 2);
    T('6E+3', '27297351.08', '27300151', 55, 2);
    T('2197.29168013978354645827', '-7.464005998', '-2196', 63, 5);
    T('3E+21', '2.54276592E+14', '3000000251519160081408', 27, 4);
    T('-7E+2', '-1.4895E+7', '14894380', 82, 6);
    T('5753004.78427851295444', '36815.77', '5719907', 37, 6);
    T('5941501.671128043734', '63974127.298310704688372127', '59408914', 52, 5);
    T('4.3937826E+19', '-76.8538339261962343390106', '-43937826000000000076', 88, 1);
    T('1.9764629983347317728E+27', '1.4789328E+8', '1976462998334731772668890144', 11, 6);
    T('-5230616643.457', '-6.315253845174374111E+34', '63152538451743741109999995331420093', 21, 0);
    T('-27.474582661384995836', '-3E+8', '299999973', 15, 4);
    T('6585666620.989930298596302188', '-4758602538.444495598370', '-2469121814', 28, 1);
    T('2.412E+8', '-1.36713215360534385483119689', '-241200001', 33, 3);
    T('-9.0357045E+9', '-6.7944452134', '9035704502', 53, 5);
    T('-2.40775E+31', '-269709175.055887705', '24077499999999999999999730290825', 70, 4);
    T('9597655591520208.285275', '45910610.455262197978312213', '9597655630548354', 48, 5);
    T('-8.12918567128796623056250888054E+36', '-49385751.93143835899', '8129185671287966230562508880518008809', 48, 2);
    T('-1417555983.8477712994299833738', '7.8898237484', '-1417555978', 93, 6);
    T('-98658.2152372791765811264788', '-618446.04101775', '585388', 100, 4);
    T('-3.18588842E+43', '7.60E+7', '-31858884199999999999999999999999999924000000', 74, 0);
    T('-2.21534962039475', '199.46722601378901327113313788', '-199', 18, 1);
    T('-408707789.2217486150307390', '-3.937364E+21', '3937363999999871786291', 37, 5);
    T('9.7102497970E+48', '-126722.53458298471037401214314', '-9710249797000000000000000000000000000000000126722', 15, 6);
    T('9E+4', '2499700', '2587620', 23, 2);
    T('-1694608.50303542', '9494744642.932099767717672192', '-9495352782', 85, 2);
    T('6.3611370795997653030951495497E-237', '-171.4684', '-171', 58, 1);
    T('5004.383553202007527', '4786.072796651422355', '318', 67, 4);
    T('-57.7757024', '-239235564.25416705', '239235539', 50, 5);
    T('98760487.056692729774', '279689.512172612930873', '99005358', 81, 6);
    T('-1575216973.53006', '-64.96681434475', '1575217011', 98, 3);
    T('23.9913856901161688333705402', '-1.81342189E+37', '-18134218899999999999999999999999999977', 33, 1);
    T('9239559.410029731008', '9695037504088578', '9695037496432133', 8, 2);
    T('70.890928300327064725078033', '-6.21953070837275174139366E+29', '-621953070837275174139365999930', 34, 4);
    T('-8.643342501413109214043211097E+41', '-1.227197670297E+18', '864334250141310921404319885250037253236672', 23, 0);
    T('1906715.26700797473443630859666', '6.5572631757E+11', '655725463577', 3, 1);
    T('-178419.54774980978569386241638', '9.07375187151604375E+44', '-907375187151604375000000000000000000000178419', 63, 2);
    T('-619682.66629900043', '780094788087.523644289089', '-780095235415', 72, 2);
    T('-4.625E+6', '2.5781172248780239767778201E+50', '-257811722487802397677782010000000000000000004625000', 25, 4);
    T('-4042472.61617271', '2.94517094512744939656E+34', '-29451709451274493965599999997751016', 43, 3);
    T('60911.3227598105346393', '5.741460748E+30', '5741460748000000000000000060911', 29, 4);
    T('41566.376104601429882744', '21641.9971414588', '63191', 56, 6);
    T('1466680426.134', '954340.37', '1466256270', 59, 1);
    T('-2951871', '6824.1599492844887957708781', '-2953239', 46, 6);
    T('91.88402', '-47.0928822019275893573844846', '-118', 67, 3);
    T('7.4E+6', '-8.00008E+7', '-78929248', 96, 0);
    T('4553.86848388750656898073923', '2.14E+6', '2143913', 12, 4);
    T('-2E+13', '26.375', '-19999999999974', 76, 5);
    T('-6.5431127030969E+31', '-2.01328E+8', '65431127030969000000000067107456', 74, 4);
    T('-8436935673.001010850711638', '-3478.16', '8436934253', 88, 5);
    T('14015660857.64', '-6840.617676431066', '-14015666575', 15, 0);
    T('66723.595967350464210', '-5.722169921879481202114908525', '-66728', 7, 1);
    T('-81.04', '-79802707.073997', '79802626', 33, 0);
    T('-59319.7120632835629814684', '-8E+6', '8058441', 91, 5);
    T('-9.270308306403739638E+28', '4608270615.50', '-92703083064037396383982270185', 83, 3);
    T('-10606265.113789778', '-1216929503393273164044359.757', '1216929503393273170251518', 36, 1);
    T('622773769437.929561415745316', '650792653.4727660', '623424559632', 74, 2);
    T('-5E+7', '3475.7880095748069043115858500', '-50003437', 79, 2);
    T('-4.9894678951026965E+50', '-1.6E+9', '498946789510269649999999999999999999999998400000000', 40, 2);
    T('-405519.391305306682353310', '-7E+31', '69999999999999999999999999594481', 80, 0);
    T('-1.3750091870E+44', '1.3E+17', '-137500918699999999999999999944631069722214400', 11, 3);
    T('4941443864.636413673389659', '91.6415805768384025', '4941443907', 100, 3);
    T('6176050162.016961', '276.94888114134163104433985968', '6176049894', 21, 0);
    T('67218071181356257849.18624', '-8.903620702395055050205E+44', '-890362070239505505020499955957747170862869959', 52, 3);
    T('-44885956.8977112810359252', '7647153835638957.4936', '-7647153791330159', 78, 6);
    T('-6.54466896E+13', '701676.353152315', '-65446688965908', 60, 6);
    T('-7.8E+5', '-3.090494E+18', '3090493999999498528', 86, 1);
    T('-71357.309686897', '-1.41918E+7', '14260747', 97, 2);
    T('-1.9014E+6', '54.522504985000', '-1901410', 86, 6);
    T('2.50865035', '-6914942865.6767273513337814', '-6914942867', 11, 6);
    T('-2.78761157909470870361320068E+36', '4.03297682203988E+45', '-4032976824822276354036725435275523305664778240', 8, 1);
    T('-45.9225603483549367788', '85023.7736623797555645', '-85044', 89, 0);
    T('-1.80E+4', '426021694491767654.3929751128', '-426021694491784490', 8, 1);
    T('7.92476642118', '7595844.07683561', '7595843', 61, 0);
    T('-8.313890540132084695', '-583402911.51166723128351469', '583402905', 97, 2);
    T('3591441909619316.798', '13487157.5071', '3591441914582593', 52, 5);
    T('-4E+3', '-36960120434.3491955978928', '36960117230', 57, 1);
    T('3.57E+3', '8.7388E+38', '873880000000000000000000000000000003570', 31, 1);
    T('-977393.414684354525', '60913583.4820873222418526523', '-61840992', 18, 1);
    T('-9.045296051E+38', '-9.59286944654762932778459803520', '904529605099999999999999999999999999991', 72, 3);
    T('3.75509656742469830377062118480E+40', '-493464744', '-37550965674246983037706211848000215526568', 53, 5);
    T('-8499641540275376.53433', '109369.20279808146507626', '-8499641540167575', 33, 1);
    T('-9.7956E+31', '-17.65245016848546707837141', '97955999999999999999999999999983', 37, 0);
    T('-9348.251956255384044328831980', '60963179.44798554584', '-60956137', 42, 5);
    T('-3.196477659239046473E+29', '9955639621.7013987164705273962', '-319647765923904647290624091835', 41, 0);
    T('8210.124399823172820121152981', '4.5665E+9', '4566508210', 94, 6);
    T('92047795.862797371', '29246048885.330', '29164028870', 59, 6);
    T('627674663.633783028008749', '89353.834296843619483466', '627626798', 9, 6);
    T('-887575146', '691580473077.03730', '-692321246365', 21, 2);
    T('-44.69619088367212259382537904', '-500.71259381873340', '472', 60, 6);
    T('2149291.80', '5.92560E+8', '594637867', 69, 5);
    T('703041.430271429781926948347179', '890804.33915174209127563617738', '470517', 72, 1);
    T('44976263671114622', '-67938.246825189', '-44976263671177760', 65, 5);
    T('450361017705263867985.19', '-6550537.16443409', '-450361017705266076762', 35, 5);
    T('4.304E+4', '-844.01642026', '-43884', 48, 6);
    T('-619.12', '-7863439400.4746', '7863439949', 33, 1);
    T('-5.1345785358637222E+20', '-55.559670356870870739291867', '513457853586372220009', 65, 1);
    T('-8.37278574142646877E+19', '-23.715345363598893', '83727857414264687685', 2, 0);
    T('-76340.415032291394', '6974315.9', '-7029081', 59, 6);
    T('-9921012429', '-7687.292387550871562246', '9921019082', 74, 2);
    T('7395433068.071842479003246', '-5731.01309908371328', '-7395429391', 74, 3);
    T('-409051.3763718308836', '2.0', '-409049', 88, 3);
    T('-8550049.031895', '-8485233356.1936117717716', '8476693611', 98, 4);
    T('-7.43E+5', '998632470.271487411732', '-999209538', 60, 5);
    T('7.742450383106763E+49', '67101.3188173233541', '77424503831067630000000000000000000000000000067101', 92, 4);
    T('-196.9367867845988679', '9.0831020E+42', '-9083102000000000000000000000000000000000196', 25, 2);
    T('8.73E+16', '73.256516213', '87300000000000073', 64, 4);
    T('588236036621385020226117398.425', '-2.621E+25', '-603546724833003039039971562', 28, 5);
    T('6.14E+9', '-69681486.21395192315', '-6071236174', 72, 4);
    T('-4.945726548E+32', '-1.1590067020229E+21', '494572654799682681597071224003328', 7, 0);
    T('5421638', '4.5E+25', '45000000000000000005421638', 19, 0);
    T('8.39476150087E+42', '-21897589891182105.92119877951', '-8394761500870000000000000017250662910176793', 83, 1);
    T('8.1546951491395332523437805E+37', '7.6669814259933729322815469427E+40', '76715958995147707344293209854028942008320', 23, 0);
    T('57.9402065', '-8.34667913E+47', '-834667912999999999999999999999999999999999999943', 52, 5);
    T('1.547797E+21', '-53.03880', '-1547797000000000000053', 17, 5);
    T('6.29161E+36', '2.84220660339837052815614537E+45', '2842206607841510081884669531019260251662188544', 84, 6);
    T('-1.646E+20', '5.8759317E+48', '-5875931700000000000000000000154795377738191208448', 27, 3);
    T('-9.50667271984179828598648E+38', '3.5994719873901202802', '-950667271984179828598647999999999999997', 61, 5);
    T('-8.227892674557184E+41', '12.092897690938790', '-822789267455718399999999999999999999999988', 94, 2);
    T('8272077.47759745726045', '-1.705E+16', '-17049999994365747', 27, 0);
    T('4E+5', '7.3638891148078911404145289E+37', '73638891148078911404145288999999867520', 94, 4);
    T('5888451745.766', '-3E+10', '-32796905311', 79, 3);
    T('-5.7529840965090317', '-8.86531387945736', '3', 90, 3);
    T('-18603374.46282661220223150243', '2675119815.7542544322', '-2657668011', 25, 3);
    T('-1.582E+6', '-7.04998685923170111883198073318E+41', '704998685923170111883198073317999998434384', 62, 5);
    T('-7.448E+8', '-2252354313301772465099026.50', '2252354313301772001931246', 75, 6);
    T('-877437.5144352', '61.372059747', '-877378', 85, 3);
    T('-1.23977291454475581997682351E+28', '30141.433528446859130', '-12397729145447558199768238567', 1, 4);
    T('-503.51623391569531003616', '213.30477281639310484248761', '-292', 64, 0);
    T('-4.610427193400760438278674E+43', '-76896.71805951595', '46104271934007604382786739999999999999923104', 52, 4);
    T('8.36E+8', '586360680.99066743124539919493', '321355368', 56, 5);
    T('8.61802E+46', '5534532.935815908841473278', '86180200000000000000000000000000000000005534532', 87, 3);
    T('-562', '7333.745633', '-7829', 62, 3);
    T('-780.465288', '3158450.821', '-3158714', 81, 3);
    T('345076858.8978418', '-608.1979155513456060923783', '-345077286', 23, 1);
    T('-467743.428823858787448950', '8.87234E+9', '-8872134975', 60, 0);
    T('-566808998.919120017954140109', '-8.5402E+8', '321887802', 23, 6);
    T('-681558.7578200', '-8213.7718', '673345', 29, 3);
    T('-4538629648.9', '440.4681', '-4538630072', 64, 0);
    T('-8.03E+9', '-2.34427667281234E+33', '2344276672812339999999998768966784', 71, 3);
    T('-48462.748100437198611', '5961407.3', '-5917683', 7, 0);
    T('-43387154.84671492', '-2022838.255121126590203948792', '42521764', 35, 4);
    T('6.65E+5', '737254851.8062866388208476585', '737917035', 87, 6);
    T('6226499189.85749168885934678', '-54', '-6226499137', 79, 2);
    T('-470733.768954440005887', '9065.274566649069488324247', '-462246', 98, 0);
    T('-9416452006.6', '2.8908E+5', '-9416724126', 30, 6);
    T('-528641244.1595240', '-364108.8373', '528999056', 29, 1);
    T('668.07', '83.4453317614256027745037', '719', 80, 5);
    T('6.1177E+20', '-9.453947060938456242362991E+50', '-945394706093845624236299100000610616224037395169280', 47, 5);
    T('-637927.2438898227456088389', '-8522308375.634715596127', '8521883888', 50, 1);
    T('6356946.21', '8.613533381133453773E+32', '861353338113345377300000002129874', 18, 0);
    T('-94574630.6864272043', '7009.1588', '-94569285', 23, 6);
    T('-1.50E+29', '-5.1608E+6', '149999999999999999999994839200', 1, 4);
    T('3.444E+10', '904599.7107624373', '34439790487', 43, 2);
    T('1.04164327506197478365849621378E+30', '454.87970609029115', '1041643275061974783658496213714', 45, 6);
    T('-52.43549104315286373', '5.795E+6', '-5794956', 53, 4);
    T('-4.472423954911122310212699E+48', '2.6E+7', '-4472423954911122310212699000000000000000007554432', 85, 3);
    T('-547929.4458558763', '-63485136422444789033.6848257', '63485136422444249456', 70, 6);
    T('-9.96762707054357829085686880E+46', '5048119.172281085', '-99676270705435782908568687999999999999994951881', 71, 5);
    T('9.514E+5', '-7.4195881E+10', '-74195519568', 47, 6);
    T('7.94318373E+12', '-85896.3', '-7943183682264', 25, 2);
    T('1.9150145E+9', '-8995633.002', '-1923976789', 24, 3);
    T('158103449.875', '9.659492623E+21', '9659492623000119248793', 84, 3);
    T('2076806.56680', '-9.4E+2', '-2077486', 54, 6);
    T('-25.2833105383410943596688981813', '1.3E+6', '-1300025', 60, 6);
    T('-857', '3315891293841.255', '-3315891293642', 77, 6);
    T('50184.6055036053', '-689085475.51425818734', '-689068075', 65, 4);
    T('-118382.8399837256', '-9.11107E+8', '911191514', 3, 4);
    T('-1.469', '-31.66149886848833186', '30', 87, 4);
    T('-1.789844538231E+13', '-2.728266301E+40', '27282663010000000000000000017861452324186', 90, 0);
    T('9.847051249358930E+35', '-700.4366', '-984705124935893000000000000000000700', 21, 3);
    T('-66.9945918968', '246.08', '-184', 15, 1);
    T('998.0', '23122.074', '22964', 42, 6);
    T('842745.573351296499270182656501', '-76962.2390951894', '-915289', 38, 5);
    T('-32257571784145014218.930', '3.58700519948959838755987455E+34', '-35870051994895973884880425298072266', 78, 6);
    T('6.427059420528431084E+36', '-959362140.8003766317708286612', '-6427059420528431083999999999612990556', 42, 2);
    T('40264344.9077640193602560109', '183.3958730146227285', '40264239', 44, 1);
    T('72936.66665555927410929017905', '324753129.7492455', '324684289', 54, 5);
    T('-21864558.445170', '-5.949190082903026894766', '21864553', 21, 4);
    T('6439157791.99946043614827067', '-42.9402864846282766', '-6439157815', 31, 4);
    T('9.09112E+49', '8050.48223057972369718', '90911200000000000000000000000000000000000000008050', 11, 4);
    T('437510545.67377173164', '-7.108502130919382', '-437510552', 69, 5);
    T('72.88436501', '-9.3382322E+30', '-9338232199999999999999999999928', 100, 0);
    T('-481081165.161360717', '1E+2', '-481081129', 69, 2);
    T('-2.271186E+9', '-76901409.3620', '2211111023', 92, 3);
    T('1.622699776869837872171561E+37', '-17.31', '-16226997768698378721715610000000000017', 72, 1);
    T('-4767550771.92914614955873013127', '9.7425189059805038E+36', '-9742518905980503799999999996173421875', 34, 0);
    T('-6.87890E+7', '4.4E+36', '-4400000000000000000000000000068789000', 90, 3);
    T('-9.8140E+8', '-7.7575572937948', '981399993', 3, 3);
    T('-846.195244314693971132059', '51.01355548958281758386853382', '-895', 56, 2);
    T('261.122177989864443', '9.7712695719018173195', '268', 47, 6);
    T('-4E+48', '-6.40816645859130002624E+25', '4000000000000000000000064076868863291395451095040', 24, 6);
    T('7428298.305875885012759903412', '-4785.42184061197215239', '-7424635', 40, 3);
    T('53942146.7578', '-5.9858802E+44', '-598588019999999999999999999999999999946057854', 6, 5);
    T('2.31503E+6', '-1.19484301467418388280008E+24', '-1194843014674183880485082', 14, 0);
    T('83778499.2', '-2.08231229E+9', '-2028194723', 95, 3);
    T('-3162209.81', '6.596495351844475893931356', '-3162215', 94, 0);
    T('8.101189E+43', '-2.86641942E+36', '-81011892533585071902151605145423154235047936', 49, 1);
    T('-4185778593.9703185350662347', '4', '-4185778597', 38, 4);
    T('-1.47', '-1.441623704748221586088335E+49', '14416237047482215860883349999999999999999999999999', 20, 6);
    T('15702355.47494055868379', '9.84174E+29', '984174000000000000000015702355', 38, 2);
    T('-8.7275E+9', '-29228.17963128356140', '8727521012', 62, 2);
    T('-4139.13891431465406504045929', '3.71311794969169281884051973', '-4138', 69, 3);
    T('1.8792512246726219E+29', '7.4000881974342258915484520552', '187925122467262190000000000007', 53, 1);
    T('-3003256903012334477.254574', '7.305E+8', '-3003256903439527981', 36, 2);
    T('-893299.65909053537613346', '5.2899787892614307704916365E+46', '-52899787892614307704916365000000000000000893299', 7, 0);
    T('8876772844.08072290627153', '-374.42847016156195304697251', '-8876772506', 82, 6);
    T('5719556.8919805822', '-98466.4494', '-5686950', 74, 0);
    T('31.85092990981528', '-63585811232191720769662.7109', '-63585811232191720769635', 41, 4);
    T('188.8696', '-40.8365991158909376444', '-156', 57, 3);
    T('851720469', '73747077972.0909798', '73441157697', 64, 3);
    T('7.2107149024104078865239E+43', '-35530475.01771513014', '-72107149024104078865239000000000000035530475', 3, 4);
    T('8.1541E+19', '2.92E+44', '292000000000000000000000067629345566680449024', 93, 4);
    T('5.12562565828591788116315852', '89230760.773', '89230765', 50, 3);
    T('81', '9.969E+4', '99643', 49, 6);
    T('-42874.43097533825', '907627346.29247665087', '-907668524', 27, 4);
    T('-77863358.799205', '-953613.187600155635361794881', '78288049', 84, 5);
    T('3009970.014985325446741533', '26266209.99821165869091756', '29173715', 80, 4);
    T('4.9367583E+14', '878813.7115471534958', '493675829678429', 99, 4);
    T('-4.84204E+9', '-5.1E+3', '4842043732', 85, 6);
    T('7.58231843E+49', '-161061935.29519292364160263', '-75823184300000000000000000000000000000000161061935', 85, 6);
    T('53450.851', '-8.124E+9', '-8124020278', 58, 6);
    T('905076304.3115903', '-4E+22', '-40000000000000873308592', 56, 5);
    T('3.833500', '6.695441E+48', '6695441000000000000000000000000000000000000000003', 30, 1);
    T('930011559.073743', '730253509.6370780986222854507', '484970850', 66, 2);
    T('298665916.2356970122203325437', '590842.851022184', '298075206', 17, 0);
    T('96775806.787772617', '52925.9485352161797054160', '96755907', 76, 0);
    T('749512294514329350514.96', '828.5331398193', '749512294514329350734', 73, 3);
    T('3.377490602212534119776567E+26', '8.2611073049576484913092E+43', '82611073049576485245087849611009038163999100', 18, 1);
    T('9.26076427119061769390', '-4835.491978084043859', '-4844', 55, 1);
    T('-4E+1', '8.404E+41', '-840400000000000000000000000000000000000040', 10, 5);
    T('3997.256482074198', '-93294329.3927620907759', '-93290854', 71, 5);
    T('-2643712481.413616952930779', '31157.78550118971521424', '-2643697750', 24, 2);
    T('87.568830277', '-7.9167E+9', '-7916699913', 84, 5);
    T('5813393.795348601', '-456284343.2978', '-459992104', 47, 4);
    T('-9.536737643927E+24', '866770130.89317533402798305658', '-9536737643927000760824622', 43, 1);
    T('-1.25307', '-8906977.40998799836374408413', '8906976', 27, 0);
    T('91.4351084', '-9E+7', '-89999909', 42, 1);
    T('-1.5592E+38', '5.67924861067', '-155919999999999999999999999999999999995', 64, 3);
    T('1.5145471199316970E+31', '3770672397.3839793569255944', '15145471199316970000000526247181', 57, 5);
    T('-97.214508407071959691702', '-8778204123.8232942', '8778204090', 36, 0);
    T('-3.8576945784558883506303019E+40', '2952915.331', '-38576945784558883506303019000000002289965', 55, 1);
    T('2.027245E+15', '9E+5', '2027244999719328', 47, 1);
    T('28.599624', '2681921773.5320', '2681921777', 85, 0);
    T('73533716.4921355177', '9977.057662121209014', '73543661', 30, 6);
    T('1.486327E+8', '-9192587.559292914219', '-139964663', 100, 3);
    T('-9.358881957E+37', '-2297.420', '93588819569999999999999999999999997703', 9, 3);
    T('5E+5', '4.1E+21', '4100000000000000500000', 33, 3);
    T('46.34915741407260449', '848100307.755820', '848100349', 71, 1);
    T('-21944879.413', '-833453.794836710822899', '21130626', 25, 4);
    T('2.9418518117430E+24', '6.63171E+8', '2941851811742999555334072', 44, 3);
    T('538914.336', '-9E+37', '-89999999999999999999999999999999461086', 84, 6);
    T('7947630881820594.04183118925490', '5.987314092006716412E+26', '598731409208495576972800946', 65, 0);
    T('435.1448474312', '81977987511090392433572.7', '81977987511090392433175', 13, 5);
    T('-5704.68842219576503606', '5E+29', '-500000000000000000000000005704', 5, 4);
    T('-557063.814681991303378960095', '-4.8E+19', '47999999999999442937', 86, 5);
    T('6736692.2376115508078086150485', '-571.4096348181310608662741', '-6736143', 57, 0);
    T('7785198.0333842484425623686396', '-72.496031212750899881965701', '-7785130', 54, 4);
    T('-2.0218825042589400113181928715E+33', '-8835902.2', '2021882504258940011318192879975394', 44, 4);
    T('2.983E+37', '70.8412388468902356', '29830000000000000000000000000000000070', 71, 1);
    T('8E+2', '7658.08425', '7882', 14, 1);
    T('-71.1165487', '-6651816.7330010073440419650524', '6651873', 68, 2);
    T('-84996262.977', '4.5436770219295E+37', '-45436770219294999999999999999917224102', 4, 5);
    T('7456975.763937950753922185', '-1.555490736445001E+42', '-1555490736445000999999999999999999992543025', 4, 1);
    T('3960286.85544', '-23490.6989827078854379439599659', '-3946016', 19, 2);
    T('15976279590.16646616972465640', '8.885871309071E+26', '888587130907099985634618918', 22, 3);
    T('667204996.7097029716', '3102929.7595941748058125183', '669771093', 10, 0);
    T('9690092966.1316522780249665877', '7231208.576892345365042', '9697051470', 63, 6);
    T('7.89198693821184042979E+22', '-61.5347930323', '-78919869382118404297873', 61, 0);
    T('-7.63116104', '-6.309E+8', '630899993', 24, 5);
    T('5.720383153077225E+32', '9133847184.859119774', '572038315307722500000008058794640', 40, 1);
    T('-8.6588478040805871551441E+28', '40.646670389194409311281252', '-86588478040805871551440999960', 65, 3);
    T('8.99383680833475603', '1121440.1', '1121448', 94, 0);
    T('540.19268628740249370223', '2.12708853667872595E+30', '2127088536678725950000000000540', 38, 4);
    T('8.9E+5', '11008270.7387059115639289', '11169182', 72, 0);
    T('-148758.28352084', '-7.6E+9', '7599853290', 94, 3);
    T('9278929.31414198134561349130', '75034.361450614287005058958067', '9220299', 68, 5);
    T('9E+4', '-6.028541E+26', '-602854099999999999999910000', 12, 1);
    T('2.204E+42', '-5.25E+29', '-2204000000000445768796243086169127354630144', 6, 1);
    T('-5.061E+44', '5238934268954.244073', '-506100000000000000000000000000003557158753254', 49, 3);
    T('5E+29', '-5.0965982E+9', '-499999999999999999995432921784', 55, 1);
    T('7785566366040.562575312175853', '20591340.62090', '7785547881396', 98, 3);
    T('-48.0708405827796', '1.47482E+6', '-1474860', 31, 4);
    T('-7E+5', '3.60E+4', '-664320', 93, 4);
    T('-6.1932794995838175483891', '-7E+15', '6999999999999994', 94, 0);
    T('5.219551E+10', '4.2591927256286211744E+45', '4259192725628621174400000000000000017835771632', 83, 4);
    T('-4.02925E+6', '40120503971042857.00', '-40120503970180457', 77, 3);
    T('-9613.9694684014244', '-1.98548754968672E+36', '1985487549686719999999999999999990387', 16, 2);
    T('24072.094563861469529666686', '132830.41', '153814', 28, 6);
    T('9107522382742555816140.3', '-8.3590334E+35', '-835903340000006280558111810094272308', 31, 0);
    T('-6514.4324', '-79919.708673238424024309726', '74079', 31, 5);
    T('58907393113312363785.5401378871', '82.008185860957417229', '58907393113312363867', 42, 5);
    T('9.2567299527349599E+41', '-55.763668353884', '-925672995273495990000000000000000000000055', 77, 1);
    T('-4.163E+23', '-6.128221582E+45', '6128221582000000000000188218691647385895960576', 59, 1);
    T('-20251881.732155320950', '-2301392.795183648', '18225447', 64, 2);
    T('1.43815320388841289', '289709464.561211183', '289709465', 42, 2);
    T('-2916927643342.0975971832325981', '-74141898.56827214742', '2916853534212', 53, 0);
    T('78358.16', '9852830.28720070707', '9921928', 86, 4);
    T('-4307.1019590363541939163489893', '-1.6E+40', '15999999999999999999999999999999999995693', 90, 5);
    T('7237524781.787058692008', '6923678', '7231666355', 4, 3);
    T('-38575.997', '3.668534356535102428975535880', '-38574', 33, 6);
    T('243770.61707', '-6.972356650961003239079', '-243776', 37, 6);
    T('-6.3198321209E+41', '6.3E+10', '-631983212090000000000000000000044374182400', 91, 0);
    T('15.364784284533512232883', '303392.12231438019935020', '303407', 78, 1);
    T('-4.484E+7', '-9.103358108408714', '44839991', 19, 0);
    T('5677377.5658366', '-29.0171924', '-5677406', 43, 0);
    T('-6.25932E+16', '2.660863E+29', '-266086300000015234639729451008', 44, 5);
    T('65157.3711', '4E+7', '40019077', 52, 5);
    T('9.3951390227520017134E+31', '15067.7761956', '93951390227520017133999999998683', 11, 2);
    T('-2.67439728184052E+50', '3.408E+22', '-267439728184052000000000000005478322099475602997248', 33, 2);
    T('-401669781.5446', '732872.62505825591972219011910', '-402378845', 55, 3);
    T('-4.4615374801982263354292E+27', '-963620884228753068026.68', '4461538289788630936265852806', 54, 1);
    T('761970049.48245207632120', '-4.82408E+23', '-482407999999999686820479', 75, 4);
    T('-18.06203845935471502686753', '-577050735.173', '577050751', 87, 5);
    T('-68.3721535199372', '8250126898.538196207', '-8250126962', 2, 3);
    T('4.08256312581380327975E+33', '1.552864238807406360449', '4082563125813803279750000000000001', 79, 6);
    T('-159870819.0705393535283971467', '7.11582544523484800192279261E+30', '-7115825445234848001922649667507', 15, 6);
    T('193595434945.173457147369371', '3.58541747328995820E+46', '35854174732899581999999999999999999841408116673', 28, 5);
    T('-2059365116.827654166809020145', '191.36798597786964698007831597', '-2059364933', 36, 0);
    T('-9325802.3006691', '-3185.79266565934867717049', '9322649', 76, 3);
    T('826.687400791868', '5.1565577769467655966609931516E+41', '515655777694676559666099315160000000000826', 49, 1);
    T('2.669756266E+11', '-9.638073E+9', '-258075891664', 32, 0);
    T('-82.30', '964222.890', '-964144', 48, 2);
    T('-360649.351124656', '1.64272588192857E+47', '-164272588192857000000000000000000000000000360649', 1, 5);
    T('-8083.90', '-3343.6907246570130083', '4764', 58, 0);
    T('-1.640513591593568040E+46', '4.38E+47', '-447603207091502726747211736368438526776625332224', 2, 3);
    T('64813419.586473488791732', '-9.9679091165994E+24', '-9967909116599399952610965', 8, 2);
    T('-2.3811691328E+37', '482.7121268898517399088', '-23811691327999999999999999999999999518', 92, 0);
    T('807285739.8574433', '2E+8', '1005973995', 84, 5);
    T('1607321030.4183288396', '1104107982.6510129003811953', '503487496', 1, 1);
    T('-416242635', '-27575741.03755012166382', '426483318', 25, 2);
    T('-1931.27955356490673523', '-7.87067796068402000077183157E+36', '7870677960684020000771831570000000117', 7, 2);
    T('217594107.5243840392360', '-5.97669362885880354500049751049E+50', '-597669362885880354500049751049000000000000197641989', 75, 5);
    T('-8872111.81210', '5.628626764E+20', '-562862676399991521455', 6, 6);
    T('-8.3535402227E+21', '-5967635668.3747704326201691', '8353540222696213500716', 39, 6);
    T('2.7E+8', '-7780516.4350802', '-274818852', 100, 6);
    T('-3329394230666102.1', '5.5E+2', '-3329394230665556', 20, 0);
    T('2.666511234049E+22', '7.26561E+9', '26665112340488639974672', 100, 3);
    T('-967258.7803737054438337570', '361.627627769627491406021554', '-967473', 96, 4);
    T('0.00000336184178175402797', '-2.056422474249414E+30', '-2056422474249414000000000000000', 67, 0);
    T('3.6279416E+34', '-6.0566576307855E+45', '-6056657630799848659268527033201646638412595200', 14, 2);
    T('7E+41', '72604.9030777609601589', '700000000000000000000000000000000000072604', 62, 3);
    T('-8.80021937582028241236319', '2.5931251269152808E+45', '-2593125126915280800000000000000000000000000008', 32, 3);
    T('3270.40902502693506669', '-650.2096061950090365064328131', '-3664', 61, 4);
    T('9657008544.92115025529029043985', '-7955988.40978953396088738988742', '-9661786036', 84, 1);
    T('127.564', '-165332.640875685975', '-165293', 51, 0);
    T('-2.2763E+8', '-6.687124495E+23', '668712449499999959049296', 8, 3);
    T('-2.544E+13', '95.0256707859305', '-25439999999905', 72, 5);
    T('-4.8547440044275784933828394', '-941513914.85747056061', '941513914', 59, 0);
    T('-7E+48', '-7.41554271354405678084E+43', '6999970489672624539297908748341071358084497014784', 55, 0);
    T('320.60114746181287198762309192', '-738354.582148', '-738674', 61, 0);
    T('6.50735817525178951495E+30', '690120.17433202', '6507358175251789514949999639496', 77, 0);
    T('-84509.572128', '37.428234132802796503801595', '-84538', 73, 6);
    T('-1.1429', '84571.70398373055151912938', '-84572', 69, 3);
    T('530596.79701', '4358915.1623295543763428951', '4889511', 15, 6);
    T('-7.364198E+9', '-458889590.7663335064806', '7208609562', 88, 1);
    T('841.5965', '-301471.05', '-301784', 94, 6);
    T('-63.948567829313022456954922', '754746.47742490622880693972465', '-754693', 79, 3);
    T('-92.731', '7.792087793353579746400656715E+35', '-779208779335357974640065671500000092', 26, 0);
    T('-81106585.80501764379381149860', '6.7868679588090669427598E+50', '-678686795880906694275980000000000000000000081106585', 22, 4);
    T('85341.267425078', '203347850102334823261861', '203347850102334823312376', 25, 3);
    T('97190.1060813490561009', '-8827757.69477813', '-8898763', 62, 1);
    T('7017.9859891790719578743657851', '-38670676.6668120173070425637', '-38668859', 44, 0);
    T('-4152815.37', '89.7528166599072728839347', '-4152760', 56, 1);
    T('-9622549.5659', '88875218.29728601912091869652', '-98497735', 98, 3);
    T('4905.375591853566261884578477', '-175607271.8923852137', '-175611600', 8, 6);
    T('-3.425E+36', '69503634.31767527831', '-3424999999999999999999999999930496366', 21, 4);
    T('-82521531.5976235', '-6824062.07111694974580', '75697607', 38, 0);
    T('8.5E+43', '2351.6131786762', '85000000000000000000000000000000000000002351', 99, 1);
    T('4.339788655062060395708E+42', '76425.47649599', '4339788655062060395708000000000000000076425', 97, 2);
    T('7.47287566E+14', '6.5812E+6', '747287559992400', 32, 3);
    T('-1827208033.950', '7.997631175359E+26', '-799763117535899998450695009', 66, 2);
    T('-3.76965902060E+25', '-32951910.0963', '37696590206000000026292634', 51, 2);
    T('-7.74697973E+46', '3933337312.35', '-77469797299999999999999999999999999996066662688', 22, 5);
    T('-4.63827474719E+50', '-27084664.9937755', '463827474718999999999999999999999999999999972915336', 31, 0);
    T('-9127.1997126', '47045.57775556963909614808', '-37988', 80, 4);
    T('-8E+9', '56086.041245530272', '-8000017642', 53, 4);
    T('-3.5965282692888590457244', '93840701.8830276891415197123613', '-93840704', 59, 3);
    T('-5.4E+2', '5.2409080402861E+20', '-524090804028610000540', 23, 5);
    T('-8E+1', '4.4202E+6', '-4420136', 89, 3);
    T('-61.5559979852', '7373309.46100082364770170967', '-7373250', 59, 1);
    T('6.89690E+49', '5E+16', '68969000000000000000000000000000040078007070949376', 69, 6);
    T('8087955233.703632461174', '-672.2256365364144369583801', '-8087954879', 25, 5);
    T('2.279734126474010257646747923E+47', '389.16457214580257893831011770', '227973412647401025764674792300000000000000000389', 62, 2);
    T('6E+13', '-922156.493908', '-59999999087148', 32, 1);
    T('5841.2152834', '594363.93288297984604399228', '591722', 45, 3);
    T('7.3E+7', '324.6921550175901533949285626', '73000196', 86, 1);
    T('6.08344987052', '-2470.633667', '-2468', 72, 5);
    T('-7.655770007635425E+28', '55059.6843626251650095', '-76557700076354249999999977709', 10, 4);
    T('-3.826E+6', '8.7012641177423307078728753178E+36', '-8701264117742330707872875317800647504', 57, 5);
    T('82126722867643738.916753924', '-9.25493010626104078', '-82126722867643731', 73, 2);
    T('17477.612954', '6067.7999461595114028', '21494', 54, 6);
    T('-5.5364E+35', '-375478.8210543354874606033834', '553639999999999999999999999999624522', 79, 4);
    T('4.15792062321E+31', '-6.66822311200E+34', '-66642677592905967410494167556554752', 32, 2);
    T('-711.5198090955659559', '-6E+1', '765', 21, 5);
    T('3.5402718843589497042935302326E+44', '-2094825608.882180566448258141', '-354027188435894970429353023260000000213155976', 38, 1);
    T('-589.3577378093846673464315065', '-1.9780039E+9', '1978004471', 91, 3);
    T('-203064797090874.849', '-710826.2033904279893012982', '203064796646544', 46, 3);
    T('-61251.06046164', '15409.212957972162905', '-54132', 20, 3);
    T('-6136.51', '-582376052188.89818947840277932', '582376047148', 56, 0);
    T('-4.8954322E+46', '-5629722656381229.934324', '48954321999999999999999999999996622077157304019', 55, 1);
    T('27357845.72733403', '6.78079E+9', '6803936869', 59, 3);
    T('9.168E+8', '6.60641427E+17', '660641426703956992', 19, 5);
    T('-4.94562550020640E+26', '1E+48', '-1000000000000000000000455715143793804003560783872', 71, 2);
    T('-81696.76244069', '61434095.2818474296', '-61364209', 33, 1);
    T('737067725475524.03344652540602', '9314896.340487117967956732', '737067717749908', 42, 6);
    T('2.58050337721715744383087306877E+41', '-517964236.87512104426210532', '-258050337721715744383087306877000447644108', 88, 3);
    T('-87457.84326029531107', '-2.324512872620290828E+20', '232451287262029128975', 88, 1);
    T('-3.82332572330E+15', '555800417090190', '-3496671354038802', 88, 0);
    T('74977.63396654107', '93', '74940', 44, 6);
    T('-6190474.8714213397', '5.97400E+9', '-5977568266', 10, 2);
    T('-4.65980561001284816435934', '-1.2002E+27', '1200199999999999999999999996', 62, 0);
    T('-9.613E+7', '-2.5226411083897538599767943283E+37', '25226411083897538599767943282925137456', 87, 6);
    T('1767.1060250814534207245139487', '-9992390872.51039160342397319768', '-9992392241', 73, 2);
    T('-5.26032635763241255130E+42', '-3.3E+4', '5260326357632412551299999999999999999967000', 67, 6);
    T('653.9780457', '7.831174E+18', '7831174000000000653', 59, 4);
    T('224403902224086226031218.856', '-6.19335792682817502E+23', '-815248597351095417102606', 37, 1);
    T('74068515.93', '-4.60606078E+40', '-46060607799999999999999999999999925931485', 45, 1);
    T('-2531.456436134301016315760', '-70.49', '2471', 7, 3);
    T('572909228500.123256940275', '-635340.30393978427443895', '-572908675104', 13, 6);
    T('8954853407223.84', '259064722.112778549747897', '8954900527717', 1, 2);
    T('2.9688992008368768E+49', '-27.099962414880548352', '-29688992008368768000000000000000000000000000000027', 16, 3);
    T('7.65723988E+49', '138237.8134341545885833582', '76572398800000000000000000000000000000000000138237', 32, 6);
    T('-8E+6', '-91787068.6146133812327106313621', '84057796', 43, 3);
    T('-8.67531E+8', '1.9E+43', '-19000000000000000000000000000000000867531000', 39, 1);
    T('-507397291014777.98291', '-2605483.0', '507397293325266', 33, 0);
    T('-9.6383460260178318', '63074.72605507739481227654', '-63083', 14, 1);
    T('9E+24', '-8.2212E+36', '-8221200000007929770637310386828738560', 28, 4);
    T('73.6124999294265670699702269651', '-9.2078E+7', '-92078055', 38, 5);
    T('97665.49', '-69.75706627593401939750639', '-97734', 30, 6);
    T('-779.194714', '6.937687E+30', '-6937687000000000000000000000779', 88, 2);
    T('4932528149.37585343662824369', '5486.4861672204145514', '4932533627', 4, 0);
    T('7.667744240478930538004E+30', '-3511887.88638832091330723419881', '-7667744240478930538003999120975', 91, 0);
    T('38425873.3', '21.51', '38425860', 36, 5);
    T('-9.0114907368213954630458E+23', '2.2E+9', '-901149073682137451304516', 7, 0);
    T('6198672.8025003', '-8397.8900', '-6206813', 58, 1);
    T('-97208.00175', '-9.0088E+40', '90087999999999999999999999999999999902792', 20, 6);
    T('3.1E+9', '3E+1', '3100000030', 42, 3);
    T('2928480683', '80205679.51635601282018425864', '2857027268', 86, 1);
    T('-33.866145387796919335', '-8.5E+6', '8500031', 39, 5);
    T('5491754.033593704795391082665', '-9604270029.7829905338', '-9599077351', 12, 0);
    T('-6.69E+7', '-5848633438.49570', '5895602242', 56, 0);
    T('-4785557.788125997', '-1.2733259167844759605542157E+43', '12733259167844759605542157000000000004651627', 77, 0);
    T('-85852.088', '-81113.1134374322113588', '29571', 83, 5);
    T('4.7E+6', '-62340075853435.1357686015111', '-62340080083227', 36, 5);
    T('7E+48', '8', '7000000000000000000000000000000000000000000000008', 51, 1);
    T('-3310877532.2528', '8.33837E+37', '-83383700000000000000000000003310877532', 18, 6);
    T('-2260.2801827', '431230.015401', '-433326', 90, 4);
    T('-464.4', '-5.3989796087E+37', '53989796086999999999999999999999999536', 18, 1);
    T('40.265210362094514403', '794.5076827155246837', '818', 84, 0);
    T('-1.6670', '-8.16759793168154494436599E+26', '816759793168154494436598999', 58, 3);
    T('-16832538.8359672664336', '76708.0310', '-16905150', 6, 6);
    T('2.509711891445800935313E+24', '-3.0E+5', '-2509711891445800935087544', 77, 6);
    T('48.42780', '340421.192679460519278354550', '340469', 49, 1);
    T('-7.40222941002436522', '-3.44837458450', '4', 26, 0);
    T('41665097.16', '-3.707E+43', '-37069999999999999999999999999999999958334903', 13, 3);
    T('4.2987046608975906702063300825E+29', '6.811E+7', '429870466089759067020564901578', 82, 6);
    T('-52856034.591510', '9536.152280424023', '-52863394', 91, 6);
    T('42398.33746230912045476', '-2.01646E+44', '-201645999999999999999999999999999999999957602', 47, 2);
    T('7.56522159764551148', '3.01406036485221906607205368914E+34', '30140603648522190660720536891400007', 18, 4);
    T('5541384.61238692', '-39903.2496992881533764105', '-5510615', 33, 2);
    T('8.17837E+12', '-28512874883844473.54217', '-28511707377483257', 29, 6);
    T('-915763288.99768995033035', '-7552327.160301178960041626', '921062673', 31, 2);
    T('6024.390217889983556340022', '4.14815207650722661E+49', '41481520765072266100000000000000000000000000006024', 27, 5);
    T('-5.24666588962758905', '-1.00287694152E+16', '10028769415199995', 26, 5);
    T('-717.5905195528137817745323423', '8.482156417808671935522E+33', '-8482156417808671935522000000000717', 73, 0);
    T('3737.720768255237192945950797', '645.5102027410516716', '3100', 52, 0);
    T('649680.5', '-5652', '-655300', 48, 5);
    T('-1.87229953E+35', '7.9256130609254523871E+26', '-187229952529082693590079721227511424', 91, 5);
    T('-6.10029511', '-4.5528E+9', '4552799994', 44, 0);
    T('5.63E+35', '-648524.3345065473425449', '-563000000000000000000000000000648524', 22, 2);
    T('-355.8590034801784745017094', '4286851.250880', '-4286690', 84, 2);
    T('1.96048239254E+18', '-2428387063.33332060925687475', '-1960482394414715383', 54, 6);
    T('-1.08E+7', '3.2464197634452381728334894', '-10799997', 75, 5);
    T('6.32E+38', '-44227.669', '-632000000000000000000000000000000044227', 19, 3);
    T('138.697952818909192791428217', '7170342084.230981749', '7170341966', 36, 0);
    T('506959561.97776898327085', '-2706694.5484977999', '-505338829', 81, 3);
    T('896.30255729', '4.0887654052235414123E+21', '4088765405223541412428', 4, 3);
    T('-688609.4487406347984320795704', '-5188.0672141', '693667', 33, 6);
    T('-1.0366739054653290384501496E+27', '-419.1195433102405032928', '1036673905465329038450149757', 100, 4);
    T('-74.7769035', '59862140.176483681113434', '-59862070', 85, 0);
    T('-6844.797345086490', '-2.4884214345E+37', '24884214344999999999999999999999993156', 93, 3);
    T('-8.28809E+15', '-534.55199737171626890510', '8288089999999466', 35, 5);
    T('1.07557E+8', '5.242105032711926713331339159', '107557005', 63, 2);
    T('4279296056.01', '5.50363880552693', '4279296061', 65, 4);
    T('-999.873646569797', '8.454885E+49', '-84548850000000000000000000000000000000000000000999', 8, 6);
    T('-491.09406139212103371', '-5.2E+3', '5541', 41, 1);
    T('-6.81819643E+44', '-36724.592549386941688945487', '681819642999999999999999999999999999999963276', 76, 1);
    T('-1.581740675E+35', '-7.53033E+33', '161079354158565370280031184536731648', 47, 6);
    T('3.0784256461E+15', '-19965.19772769483', '-3078425646080989', 12, 1);
    T('261.3893869602888232446792104', '759991569585795688302.3365', '759991569585795688043', 38, 4);
    T('4E+5', '1.0E+2', '400100', 79, 0);
    T('843.070872311902837084772430414', '6E+3', '5179', 38, 2);
    T('-38533679.7', '392790.27058871', '-38667385', 35, 2);
    T('173.959035842037684136897675', '5.3E+9', '5300000173', 66, 6);
    T('2.55700E+7', '4.38902E+46', '43890200000000000000000000000000000000025570000', 15, 1);
    T('-4.4668662734E+29', '2.470037297584611061E+45', '-2470037297584610616329903726485725713773101056', 14, 2);
    T('-1564.3', '-195502.1', '196022', 92, 3);
    T('9794', '2.8580181090162008877428134467E+40', '28580181090162008877428134466999999993410', 2, 2);
    T('978488.31445442419527582257', '-9.7020236896876409E+42', '-9702023689687640899999999999999999999021512', 97, 2);
    T('523112904.584', '-27263816213183137.115', '-27263816734976873', 83, 4);
    T('-3.82227E+48', '-6.100292501164201E+37', '3822270000036736887585024087015489658217115418624', 93, 6);
    T('46.05357917710607148646', '-77155798.9387964326', '-77155836', 58, 5);
    T('21923887278279947194.133', '-49028047.51560567', '-21923887278311663733', 80, 3);
    T('16866.363632978', '-7161335655382565.534875620', '-7161335655399367', 73, 0);
    T('-2301393963.055302609375784', '-9.77447832E+11', '975448454549', 91, 5);
    T('-9.758290664E+19', '-2.3362737255859182E+30', '2336273725682348114607189123072', 76, 2);
    T('-118960784922585.4927456749957', '-6.03595831422E+12', '115779105547059', 73, 3);
    T('77349953.3665554461705637', '425182.722635752794', '77215903', 72, 6);
    T('-3.9162953227658047666E+28', '1.433016477170668512E+34', '-14330187510641891030398723363468288', 6, 3);
    T('492917331753.977344', '8.80E+20', '880000000473455761193', 6, 5);
    T('89122.7886', '-3.87E+46', '-38699999999999999999999999999999999999999910878', 98, 6);
    T('7.30E+32', '-153229.0232996883', '-730000000000000000000000000153229', 41, 2);
    T('1.3970453E+38', '57600.47355014259484963', '139704530000000000000000000000000057600', 30, 2);
    T('9.2050538889320695488819E+48', '1.840E+8', '9205053888932069548881899999999999999999915564544', 6, 0);
    T('-9.26E+3', '-2.640E+7', '26407124', 51, 1);
    T('70469.888529483847796138993', '-4E+30', '-3999999999999999999999999929531', 15, 0);
    T('-8.3E+4', '-5.93248854623', '82995', 37, 6);
    T('-817.085116211860307733941161474', '-2.8009354889040464453E+25', '28009354889040464452999183', 23, 5);
    T('-75.7730202774687327153433', '49.63531448002683277969090945', '-124', 10, 4);
    T('-1.70', '-1.666954E+8', '166695399', 86, 5);
    T('722827.3162903473520', '-72368930.544', '-73090219', 6, 0);
    T('-9.01342963533052000891413732808E+50', '2.748041578E+27', '-901342963533052000891411064558477646257798778454016', 37, 2);
    T('-61175.2071803657981217145', '5942.62', '-63937', 92, 6);
    T('-935892203.54326440565251504940', '-8810199453.386891', '9578245494', 76, 0);
    T('8.6635477170795169563E+32', '3527011098.974', '866354771707951695629999225637658', 68, 2);
    T('-721.1499674442205488', '-426638541.41464115400767', '426638876', 86, 6);
    T('6.320520861481E+34', '-3.7E+12', '-63205208614809999999997031794837504', 84, 2);
    T('2.8524828196189436736729311', '5572189.64683179343916817282320', '5572191', 21, 5);
    T('52.8939151743682968147152', '-36960.46580020555505541', '-36972', 87, 2);
    T('-463473.4494435', '-5.96124958053081966369950E+42', '5961249580530819663699499999999999999536527', 37, 1);
    T('-6.9509854E+8', '-6.1E+7', '718050708', 80, 2);
    T('5219955511.020420138721123', '-9744414179.02039', '-14829864662', 100, 3);
    T('-87136562.236257902558915198', '-3612403508.99373906', '3529604610', 22, 5);
    T('4874.31540660', '4855.5783354110953056767239964', '509', 94, 2);
    T('-9228936091.41179334581331830112', '29851.38', '-9228916482', 7, 0);
    T('3.86234E+7', '5.5067E+6', '35216932', 47, 3);
    T('-7.45008371506415066865', '41151067.31981248', '-41151070', 1, 2);
    T('6.69E+6', '8.457E+29', '845700000000000000000006690000', 11, 5);
    T('376.901203964348050063693651', '-176589202214771872310068.8', '-176589202214771872309836', 31, 6);
    T('-3.322E+9', '-1.662844', '3321999999', 63, 3);
    T('-1.105576305418651805779E+32', '-6.408005E+17', '110557630541864560087860112896000', 98, 0);
    T('-384.372845510484675', '30629294.38793417038814', '-30629074', 4, 4);
    T('-460409.60287191', '-2.13266424803653955264E+31', '21326642480365395526399999801735', 53, 4);
    T('6.7625793881E+41', '2297.737609008191942162246661', '676257938810000000000000000000000000002297', 28, 3);
    T('4847641.8423', '-427532.5490759012715', '-5209619', 1, 1);
    T('964842.6363', '7.08236263244915548872464', '964845', 5, 3);
    T('2.100E+7', '212969340911534769402417.471', '212969340911534748409201', 91, 0);
    T('-5.800692731929494286590E+47', '597582.8', '-580069273192949428658999999999999999999999402418', 94, 3);
    T('-724.4981', '-8.096882171331364E+44', '809688217133136399999999999999999999999999276', 23, 2);
    T('-9.6576192564589976414E+39', '-6.943E+6', '9657619256458997641399999999999997251304', 61, 0);
    T('-771.52', '-79.014', '844', 73, 6);
    T('-38813011.425933253529', '2.318228352824152530171799026E+34', '-23182283528241525301717990288324691', 62, 0);
    T('-8.639694803683939962507E+48', '8800337.0852491074743841', '-8639694803683939962506999999999999999999991199663', 65, 4);
    T('5E+5', '-29089378.2421720719875415', '-29130562', 76, 1);
    T('-7.61E+5', '-8.12011025586E+26', '812011025586000000000680792', 92, 4);
    T('8.9E+8', '-18189134.254', '-874109390', 45, 2);
    T('59221.548136861919150', '6713471044.31800516517', '6713480977', 9, 1);
    T('-1E+3', '35735.4060102767754983948', '-34929', 54, 3);
    T('-5E+1', '2.90709888609999052615656E+31', '-29070988860999905261565600000050', 48, 0);
    T('-2052617615200780158.08554594791', '481087406204658091.6695', '-1932456191753871063', 21, 1);
    T('-1.17438653314372E+41', '214134837799.3391456232285', '-117438653314371999999999999999788012645849', 78, 2);
    T('-33318061.641516129', '-8.167E+6', '25230075', 46, 6);
    T('-5.4244452893E+27', '3.4435314046E+45', '-3443531404599999994900479806144154457337888768', 10, 0);
    T('-8453821.52486964450126', '-2.019219519144773722862', '8453821', 76, 5);
    T('92780981.987', '3.0E+19', '29999999999908231605', 68, 6);
    T('642.75820225084638555074978', '-2231.084524048610', '-2613', 9, 0);
    T('1.61112123675966E+38', '-165061.06902855630518913694', '-161112123675966000000000000000000165061', 59, 2);
    T('6.236222583E+50', '-808476567088259527824.2', '-623622258299999999999999999999535430123010047734928', 65, 0);
    T('4660719.1775629671185', '-8.24914255320E+30', '-8249142553200000000000003727889', 32, 0);
    T('-8.736E+29', '-1.38312E+43', '13831199999999444860845299327275572391837696', 70, 6);
    T('1.5828E+28', '-850400.1629', '-15828000000000000000000850400', 85, 1);
    T('-6611.922127', '-5.86026594071171633001933E+31', '58602659407117163300193300002093', 79, 3);
    T('-1655835.495169677811185748', '5.89765235146320033E+19', '-58976523514630478591', 9, 2);
    T('-8.696065717E+46', '7.50683654', '-86960657169999999999999999999999999999999999993', 65, 0);
    T('-86.372199498914384806', '-5736220.18', '5736270', 24, 4);
    T('-9.24280347E+25', '-6800991.81052707524328900', '92428034700000000006044065', 91, 1);
    T('6850304422.97988', '502.62821115', '6850304080', 48, 5);
    T('-3.03929E+49', '-9.42501E+30', '30392899999999999998946154554032059966839945428992', 23, 2);
    T('8.1786652450298845E+45', '-535162.8361421', '-8178665245029884500000000000000000000000535162', 87, 5);
    T('16.443669', '69.54153392621205', '85', 13, 0);
    T('-5745.3281892366908227', '2027.27768937', '-4508', 20, 6);
    T('-89.9674481802782675287', '9.77800899557469169070687096930', '-82', 39, 6);
    T('5E+4', '-407.5217796879364240689139', '-49863', 97, 6);
    T('1467012.5935602710328', '-5.4303674399380747659389624974E+38', '-543036743993807476593896249740001416572', 60, 1);
    T('-9.6468197019812111719657654644E+38', '-9.83508024430E+21', '964681970198121126441198838678572283904', 16, 0);
    T('-48239.7524221506689814220', '-4.770867577152361240E+37', '47708675771523612399999999999999951761', 52, 6);
    T('4.17045677342084003875E+41', '6255.1831630938383740', '417045677342084003875000000000000000006255', 6, 4);
    T('-8E+3', '-147.8977902752937929946523', '8109', 26, 3);
    T('-8344.5619', '7.7067003194E+21', '-7706700319400000008344', 76, 6);
    T('64403.220320472938', '3.341666790227615060E+26', '334166679022761505999957907', 50, 2);
    T('20.7410388974221081528164', '-3.4232111886912', '-23', 66, 4);
    T('-4.47042096E+12', '4.6219209117582737395542526', '-4470420959996', 47, 5);
    T('-1099.116730958111366050463', '-5983550199.585420872268', '5983551164', 19, 4);
    T('9E+9', '-3.5557266769E+43', '-35557266769000000000000000000000008179869184', 59, 3);
    T('-43.78241297096993956875', '9.31E+9', '-9310000043', 25, 3);
    T('202.39747441725322955197', '-5.5E+17', '-549999999999999798', 82, 6);
    T('-2.7819E+8', '2E+7', '-296090288', 5, 3);
    T('-2.5430276554475641548E+45', '8064419.9681855', '-2543027655447564154799999999999999999991935581', 82, 3);
    T('-80.560657798596036', '-49044.8550734491205594470850818', '49116', 34, 5);
    T('5.8573E+9', '-1.124E+4', '-5857306056', 10, 1);
    T('-5.9459540008989322389099595822E+49', '3678488221.9374065966185100538', '-59459540008989322389099595822000000000003678320995', 91, 0);
    T('-4379.0531921264', '1.724057053E+37', '-17240570530000000000000000000000004379', 9, 5);
    T('-4.1058E+6', '-62', '4105850', 15, 5);
    T('-9034615465335.622', '-84525439596.636567423611', '8951367237405', 34, 6);
    T('-1122812.53806351248042046', '-4E+2', '1122420', 61, 1);
    T('-90.550202557', '-965527032.58407773611279', '965526958', 59, 1);
    T('-4.07E+5', '-2564943.59084896124594880313', '2168473', 23, 3);
    T('-7.10538382374121475457893060', '1435043470', '-1435043465', 4, 2);
    T('-3514.109397', '75156329846256927865.7', '-75156329846256929217', 89, 4);
    T('6.085568418683E+22', '535.8753859', '60855684186830000000535', 98, 4);
    T('-9.899E+6', '2.8962E+9', '-2889321144', 77, 4);
    T('2.7292E+24', '6202700.3676083422', '2729199999999999997814092', 69, 3);
    T('-5.257440693E+42', '1.6003E+9', '-5257440692999999999999999999999998399700000', 59, 3);
    T('8081.81903727', '-1E+2', '-8179', 93, 5);
    T('8.23063849549158119713E+45', '729465159.956166307651', '8230638495491581197130000000000000000393920839', 89, 3);
    T('-50.6414303997658620026', '578181902.11621933601290278', '-578181952', 78, 6);
    T('-71', '-681815.8282483580799405361647', '681744', 85, 4);
    T('-3.9463354E+50', '5.3043E+6', '-394633539999999999999999999999999999999999994695700', 45, 3);
    T('-294771350.8', '9321375567.135036977284333', '-9563618779', 86, 3);
    T('-8.0471880E+8', '62.1275429210', '-804718834', 14, 3);
    T('8.98583455E+47', '5983.300574362054658380', '898583455000000000000000000000000000000000005983', 62, 3);
    T('921242882.314573944708303', '89829600045331369.77508487323', '89829600429702827', 27, 5);
    T('-6.34E+3', '493.650341822302530268281', '-6447', 71, 2);
    T('3.6973E+8', '-1.370E+43', '-13699999999999999999999999999999999630270000', 9, 4);
    T('6.132E+9', '8E+5', '6131208192', 23, 5);
    T('289030997664.6942103568724065', '623148.5046788618352922', '289031488652', 77, 1);
    T('284616248.269289212', '632.7308748324367891149283', '284615744', 46, 2);
    T('9204694.2113786653017740515256', '-5240124102.039', '-5248745748', 84, 0);
    T('661850927.11100090', '80208.23', '661795455', 9, 4);
    T('-98106857173754547.097', '3.4369891507129E+24', '-3436989248537919800117939', 23, 6);
    T('-6.02566754289E+15', '-4819937', '6025667538075119', 88, 6);
    T('318974598.189281', '5.66476588572594726418574307E+49', '56647658857259472641857430699999999999999681440390', 55, 5);
    T('-1.606E+8', '7.60E+6', '-165771328', 4, 5);
    T('-63910764.480548682515391942', '3.4578219693776E+35', '-345782196937760000000000000063910764', 32, 5);
    T('9854004791.952200441007783074', '-62655690.8248705840', '-9812845311', 22, 3);
    T('-25848.0830038169205934', '4.707296E+9', '-4707305464', 15, 6);
    T('9329.254711959028534', '2723.673789018045125730967', '11986', 74, 6);
    T('78.7959750209', '-6.975161E+9', '-6975161066', 44, 6);
    T('99.000519650471758546557', '9.46857384E+27', '9468573840000000000000000099', 47, 5);
    T('8.734040443257538E+28', '84.9962484582553', '87340404432575380000000000084', 11, 6);
    T('4.20774', '-2379.64119807', '-2383', 51, 4);
    T('45492.803151337991501740', '-1E+17', '-99999999999954508', 48, 3);
    T('80700.6194', '50129254114045010.126219', '50129254114105198', 95, 1);
    T('451051.9369754909471131300', '-5.61522609E+11', '-561522797197', 38, 1);
    T('899065923.6', '1055897765.1557', '192483558', 4, 0);
    T('971330325643.246448', '9639303066', '962496338705', 51, 3);
    T('4.28126274054195E+46', '7.257697892778235448055', '42812627405419500000000000000000000000000000007', 5, 6);
    T('56496', '21538.0', '34962', 83, 3);
    T('69913690.532734485030896798', '7200.2204506285088831', '69914746', 4, 4);
    T('-9.511437794402982223649355986E+47', '-62198409432332563.04651', '951143779440298222364935598599978562833297245933', 63, 5);
    T('-7370362676.7809103807621', '74267369984911.8080367369', '-74260244208829', 59, 6);
    T('-1.2945692E+31', '9414227.972792467066325578297', '-12945691999999999999999990585773', 2, 6);
    T('2593616754808.324794', '9.4698337456785E+35', '946983374567849999999998029475805304', 37, 4);
    T('-8.577351642256543E+32', '42341565.76141359512986', '-857735164225654300000000025029443', 12, 6);
    T('461.0218938145887', '-3.25E+14', '-324999999999539', 70, 5);
    T('-1.47495E+34', '9357027.67801271403466842', '-14749499999999999999999999990642973', 68, 2);
    T('294937674.572366374909497076109', '-465.2', '-294938011', 45, 0);
    T('-949', '-8E+2', '171', 75, 2);
    T('-86875956608961836.605390', '3.2828647484E+42', '-3282864748400000000000000077586801341173036', 94, 4);
    T('-99523946.7846992589864724', '-5208429.6', '94495749', 71, 6);
    T('55.595', '-5.305969E+37', '-53059689999999999999999999999999999945', 12, 4);
    T('-9.56310473690E+50', '-762.0225162517324', '956310473689999999999999999999999999999999999999238', 49, 2);
    T('-7.3757885045912E+20', '-77.789153398833135', '737578850459119999923', 64, 1);
    T('8.03E+18', '9793845952.976647541', '8030000009718086336', 18, 2);
    T('33.913', '9.007E+7', '90069969', 77, 1);
    T('-7.34384094812329919E+26', '5.0871E+21', '-734379681090827962435286528', 4, 5);
    T('-2813869749451455834', '5880369.7646509251139770155990', '-2813869749448787817', 72, 4);
    T('-4.453029435093234856521', '19', '-17', 86, 2);
    T('-3.95E+9', '8712095.1154', '-3958692065', 13, 4);
    T('-9.854159589762E+30', '3.71399924', '-9854159589761999999999999999997', 5, 5);
    T('-6.0E+40', '-57.481', '59999999999999999999999999999999999999943', 70, 4);
    T('4.900956154872010E+18', '6.7304490972165371755132500E+36', '6730449097216537171188755972157682960', 89, 3);
    T('-19.3084424127882766', '6218.6', '-6233', 95, 0);
    T('41509.0713247054424332915', '-239481441.082654410137766', '-239505478', 22, 3);
    T('-94269874.93570170939139', '821615.7384946073', '-93518047', 94, 2);
    T('470123628.681650562329', '-9524.68436383856372062929036', '-470131040', 37, 4);
    T('-8.23012252354327530794502E+39', '1.179999367668432548E+28', '-8230122523554997622433137318537981063168', 52, 6);
    T('7614.510', '1.54546407940738565055604249', '7615', 43, 3);
    T('562031856.9747751', '-161880.584481452655', '-561878184', 96, 1);
    T('5', '-93.395390942562725654869842230', '-90', 83, 0);
    T('4859790964.448648615595', '5686815.9739642', '4865146987', 11, 3);
    T('6.089695454869053581226741E+26', '8.03798E+6', '608969545486905358126170600', 88, 2);
    T('-5.711223', '8.285832285002145E+35', '-828583228500214500000000000000000005', 29, 1);
    T('-3504.561752008050362', '4.20915333688572514681450E+34', '-42091533368857251468145000000003504', 53, 5);
    T('-8507.01585747004734944101', '-29021780.2596', '29030249', 74, 5);
    T('-9.49499E+17', '2.57911045816318078162147', '-949498999999999998', 61, 0);
    T('-7.29947368886E+16', '-94844.59720430207498597502527', '72994736888522692', 32, 5);
    T('-64409.9179794679763481543152', '7.1025E+43', '-71025000000000000000000000000000000000064409', 95, 2);
    T('-7.9E+18', '-99016.704008479976746', '7899999999999900984', 77, 0);
    T('-33105481.035324770534095545699', '-3.97415591754', '33105482', 94, 3);
    T('3.0', '-4936.130867364570454538', '-4933', 11, 3);
    T('-6937850227514', '79229.5387239278894', '-6937850158661', 93, 3);
    T('5.986246', '413334174847070870.2407331242', '413334174847070867', 8, 6);
    T('-6E+1', '48901157.75', '-48901151', 50, 1);
    T('-6E+40', '-256497.9', '59999999999999999999999999999999999743503', 9, 4);
    T('-4991052.48529393', '-955.1171305', '4991985', 67, 4);
    T('-33.6514219391360', '-7.93E+7', '79300031', 55, 6);
    T('22792248.162197105387', '508243.68664', '22808939', 53, 4);
    T('-62677.8208093473087325', '-83644524.3209649881990', '83666111', 98, 0);
    T('342.944362933437022597329', '68833.13680847', '69047', 44, 2);
    T('-61251529845.188433891339422', '-1315.3677354948996638758', '61251529046', 89, 5);
    T('-4.237', '-84339889.6431116', '84339891', 45, 5);
    T('-64577.71755620', '-607860085096027.238596638842', '607860085031450', 80, 6);
    T('49515.383838', '8918823.26342113436464', '8967756', 41, 5);
    T('-2.85E+9', '8535997.41208878583335', '-2841490371', 59, 2);
    T('45573784178685689721.908', '3.433981', '45573784178685689722', 73, 0);
    T('1228.9909804184460029479911750', '-1080027.8476037187174254289967', '-1080855', 5, 1);
    T('41704.55708', '1475820473.22488577290907792', '1475844433', 35, 5);
    T('6.2759635683638E+16', '50.4205860236210', '62759635683637954', 70, 2);
    T('4692901.163182540254', '-68.1895', '-4692967', 2, 3);
    T('-5.312380E+8', '942646.4', '-530869850', 84, 6);
    T('-115806994', '721.92295966596337', '-115806657', 45, 4);
    T('1299040357.43044', '-63.234914835439224248676', '-1299040348', 14, 0);
    T('4E+13', '-592697.36531381104782470', '-39999999544121', 41, 3);
    T('8.964441549E+18', '37.970855917300434485243331', '8964441549000000037', 95, 3);
    T('-65749313.718174980542391', '8804', '-65757989', 54, 1);
    T('-5648823.58890875', '144668322121020209.7461088', '-144668322117468808', 59, 5);
    T('15856.7', '9.65906935935184E+16', '96590693593525424', 5, 6);
    T('27524634251685.237', '-387.9778280512967', '-27524634251304', 50, 6);
    T('1E+18', '2.6E+9', '999999998225340928', 25, 1);
    T('-86.447019035522788522', '5056259138.8651239', '-5056259096', 98, 6);
    T('-2.518277159518477', '-4E+6', '3999998', 87, 0);
    T('81.7688304648462964019540069128', '73756.627523448', '73805', 82, 2);
    T('7.4074E+7', '-266.024475', '-74073754', 50, 1);
    T('7.5523452269555885307412057', '3.932E+4', '39327', 16, 3);
    T('94.9441764225622451', '-5002656042.50361352227634345000', '-5002656120', 83, 5);
    T('9.80E+7', '-5.4528271604107636337141264961', '-98000005', 90, 0);
    T('-99247822.4042273360212', '7E+8', '-743653838', 52, 6);
    T('3.09E+8', '799537454.122346678', '1036848750', 69, 1);
    T('-2.717574E+7', '671693145362.5033', '-671719271978', 56, 0);
    T('-4.0E+8', '9896.707804978363844054699302', '-400008536', 12, 2);
    T('-3.0646E+7', '-28541923.458462572055564536', '6298893', 45, 4);
    T('6089.7866637112378438530723039', '-4.5E+5', '-444935', 15, 6);
    T('7825707.51950851737097', '-745309212892512160.359532', '-745309212891928245', 18, 0);
    T('-5446570.98973021635851791', '232967556.61929152404455263545', '-229758510', 59, 5);
    T('-3.532724940685265300411', '4647722.7866534099705796785182', '-4647721', 15, 6);
    T('-45143.14988710083', '75.137565442806', '-45086', 7, 3);
    T('7.038378901', '6786950499472679275.6146', '6786950499472679276', 22, 1);
    T('-5.1951049E+9', '68193.28061830800', '-5195040995', 92, 5);
    T('-8.510151818918156167E+20', '-67088488.824176483', '851015181891811901660', 41, 2);
    T('691808.29487536017552518', '-9E+2', '-691684', 100, 5);
    T('-762826.014436732271', '-27665.27538355035985', '774105', 60, 1);
    T('-7E+18', '-17.4145961517869', '6999999999999999983', 93, 5);
    T('2.8834', '-5.52466E+8', '-552465998', 44, 5);
    T('-2.6673E+18', '-7.0907E+6', '2667299999993957876', 4, 4);
    T('-1.08585712414E+19', '331078831.9573837115426', '-10858571241607954769', 49, 1);
    T('-4131256626.65470669744', '-1.53579176E+10', '14585348270', 44, 3);
    T('-3.342529725729331588', '-1144135049', '1144135050', 62, 3);
    T('-8699.12168168', '7.7888380716651E+20', '-778883807166509991547', 55, 1);
    T('7520256.327384', '8.49661726401', '7520264', 41, 3);
    T('26302514.9332128546755788258', '-5.35054E+9', '-5360032494', 63, 4);
    T('7747015.8900753752387360788', '5113.763512383450', '7743038', 57, 1);
    T('805685.2351', '-35681.8054781980414500', '-835670', 33, 0);
    T('1.138732840736986', '6.691977E+16', '66919770000000001', 10, 5);
    T('-214.01273564396713898750837', '9.62268862E+19', '-96226886200000000214', 100, 3);
    T('1762605771726583.072755684637', '831285079.9298347144542', '1762605511965088', 100, 3);
    T('-279486086.2366153599325', '-26848140', '288437518', 5, 3);
    T('8792.3208349311893', '-4659434.3630266631156957631971', '-4668082', 21, 6);
    T('4E+2', '-3638323.4765395229832913616000', '-3638691', 34, 2);
    T('-3678832.171', '3.344E+6', '-730352', 25, 1);
    T('-1.0172945E+11', '5.86442368E+15', '-5864512189003792', 59, 6);
    T('-7.7465', '-9.606905565676788950E+19', '96069055656767889501', 93, 2);
    T('869830533.96189880625043', '1160723.7625968491366792065793', '868825494', 30, 6);
    T('-8.28E+7', '8070861959.634', '-8151693817', 87, 2);
    T('2777195.3883924873049884', '16.563', '2777211', 96, 2);
    T('-96152.61056', '7.66E+6', '-7706232', 86, 5);
    T('110099549.497399891268', '1E+2', '110099513', 10, 1);
    T('1.92751268628191877324785', '1E+5', '100001', 75, 5);
    T('2.8497E+8', '-1.576', '-284970001', 58, 4);
    T('800267779.6175575', '-41.4500169597960988492654239', '-800267820', 97, 6);
    T('400.99179124436615986215803248', '6.5708515E+9', '6570851644', 85, 3);
    T('-868749035', '-4.63890', '868749033', 78, 1);
    T('60.8125606930993247185141307969', '-525379542.038871320502067947', '-525379562', 11, 2);
    T('-6985532.6891432495', '4311885682.6272116208834528', '-4318605386', 71, 3);
    T('4.79693E+11', '8.0750E+5', '479692201740', 8, 4);
    T('9.7765444539E+16', '-6105285.81773750734880', '-97765444543515653', 76, 2);
    T('448807.783781332328626143013399', '-3.8E+5', '-202105', 36, 0);
    T('8.7153E+19', '93.504072746784284', '87153000000000000093', 43, 3);
    T('850939.68', '-4629966233.570047', '-4630206052', 33, 2);
    T('2415939.57777172114770', '-12959.079125276', '-2420702', 26, 3);
    T('-4.78618502363503573952434498780', '-48364.7106630823768321434861', '48360', 92, 3);
    T('-93.975261714', '-353055.6997925111350322601', '353090', 72, 2);
    T('-499685092.8603990618837', '450697.2507404243', '-500069995', 64, 6);
    T('589595317.7800185832889', '-59609', '-589589102', 49, 6);
    T('-4292.43464829344737', '-2886.583111578613157031348471', '7046', 58, 1);
    T('3186901.87300', '-4.21E+8', '-422007787', 39, 5);
    T('32.80615833634', '9.859352E+8', '985935168', 5, 0);
    T('-38176.424105930928264612078', '-2E+1', '38156', 87, 1);
    T('865.185294642030022', '-69604512.898780074327492613239', '-69605375', 35, 6);
    T('-974675045.748736981042163002583', '224.15294', '-974675077', 8, 1);
    T('-4.58E+3', '-8.1998316224E+11', '819983157916', 70, 1);
    T('5247121.6099468113', '-39934876.7245027', '-36784907', 53, 2);
    T('-250709933575831.4647645886418', '6742.7212445', '-250709933577409', 85, 6);
    T('-3.3E+9', '-4418.664569548254020104', '3300004286', 17, 6);
    T('-4.6243522E+8', '-62373573.8029520455', '405245271', 97, 5);
    T('1.733885E+8', '-2.182358894372432930987110287', '-173388502', 5, 0);
    T('-7182087.86093543235996832162', '6669.6347639607654939483', '-7179532', 54, 2);
    T('7.20357510103106E+15', '4305710.2010177056200491456311', '7203575105270202', 29, 4);
    T('-8985.721633662225964786388', '-7232591404377.920658558', '7232591412800', 73, 3);
    T('-4940004987.76548176422866252', '7', '-4940004990', 69, 4);
    T('-691427882.2', '-8153.2036731431', '691422705', 3, 1);
    T('93185625.148704', '9979948397.90947905097235252929', '10055060276', 81, 3);
    T('-59782.99598499431', '-1207.304174920959265194340741', '60723', 83, 4);
    T('-6019.62418011642839731', '2E+3', '-4179', 61, 2);
    T('-2.043608040795460437E+19', '-2074987810761', '20436080807758335641', 48, 0);
    T('8110.956026675212099033688', '5.999608', '8107', 28, 2);
    T('6580.1204665474012', '-673159.83799453', '-678963', 74, 0);
    T('7.767575611129523782734697', '5006440235.3450474575', '5006440236', 52, 5);
    T('-9756699.40165925760817798', '6959966194402.092', '-6959973853945', 59, 5);
    T('205999163.57918363424910225', '5E+6', '202049403', 33, 0);
    T('651706878.64344', '210635125.95', '710297739', 47, 6);
    T('-7.830607E+9', '-253.49575161694891612709262', '7830606955', 86, 6);
    T('977649.551555252183357875', '-1956.373513235167218815268495', '-978259', 71, 2);
    T('458902.4323917796627605', '-9.381249034424643897850', '-458911', 77, 5);
    T('943.7441013852338', '5E+9', '4999999919', 51, 5);
    T('88450296549069678248.65', '-2.63359', '-88450296549069678250', 21, 3);
    T('-3022.49413', '-93494.3030980', '91896', 28, 2);
    T('2691486456.47609575886', '7.194114444239389370', '2691486463', 97, 6);
    T('-4.99100941520461', '-58.693191928620657027', '58', 39, 2);
    T('-653.1696212055660625472372', '6723369.16682', '-6722982', 53, 0);
    T('2.188E+4', '2.79398E+17', '279397999999989112', 15, 4);
    T('-5.327E+5', '2.92E+10', '-29200516316', 99, 0);
    T('537153675.209934502305', '552537.45243', '537673426', 89, 3);
    T('47.34976976', '-788526.829617260958995', '-788483', 41, 5);
    T('-4484042.3642174572265389', '-2928781522.66', '2933244696', 64, 4);
    T('116.18149413', '-1.50140357E+12', '-1501403569980', 8, 0);
    T('7696849.68873206659', '31824', '7671169', 39, 2);
    T('-9833.979947878173359930817', '-23.686953', '9854', 43, 6);
    T('-2061932.99608204432067666924387', '296550979.96294636979813969708', '-296907817', 79, 5);
    T('-1.28343536035774577964882559', '-7592.0436637741699381689', '7591', 38, 1);
    T('4E+6', '-1637.6427175858', '-4001637', 69, 2);
    T('744068247504', '18.6', '744068247490', 91, 1);
    T('3E+8', '342690282.19309463659421684454', '93104874', 81, 4);
    T('-56243525.5495310233937886819', '-54969359.53943325394022095685', '1896778', 71, 2);
    T('5611.054996026594', '-92.9', '-5553', 54, 6);
    T('-6215592245.496198708360197', '9155465.3763911', '-6223420094', 17, 0);
    T('-1.8E+3', '4705870176', '-4705871464', 88, 4);
    T('91334037.470352234691', '74310.3581826612998532443', '91260883', 38, 2);
    T('176013718.24869036', '-9792245582459.682', '-9792075336685', 96, 0);
    T('-84.6210496880537013958099006', '-5.9E+4', '58916', 12, 1);
    T('-6.6E+5', '-6965.284748079039741615', '657707', 27, 4);
    T('-9769842.91785885', '611566410.6776332806328416291', '-619106364', 58, 5);
    T('-668564916970520.0', '-6752780907.7793671', '668571589797501', 32, 4);
    T('-789.7787578436017', '1827206738.1387480497727275389', '-1827206471', 27, 3);
    T('-80730271102519418.43', '-2168247.0376', '80730271100362191', 16, 3);
    T('482.69618113459283', '64.38138', '418', 27, 6);
    T('3761669.5114234', '508727.109312', '4105522', 94, 1);
    T('67557186.3934482488617829', '8.3E+4', '67605370', 71, 0);
    T('-57258.8209943798801990', '-2686038.4626598787', '2630652', 31, 3);
    T('6204503882', '-17537122.8457041971468958637', '-6188347180', 30, 5);
    T('8098943885.606106760622783076', '1.49E+10', '11184629389', 25, 1);
    T('6030719782.52337', '64', '6030719846', 82, 6);
    T('-6.3E+5', '-6036752.07249096600473583', '5603808', 58, 4);
    T('-8.468', '96486.6847418569771974794', '-96482', 18, 6);
    T('448357970.1574676288817', '-81973735805920.6519641', '-81973307389326', 30, 2);
    T('-28.131249', '-6.33574642613067849', '30', 9, 3);
    T('10.06667959505656685202419', '5.8E+9', '5800000010', 88, 3);
    T('41416937768.485', '26.66165382912', '41416937778', 24, 6);
    T('2733.393734227412', '-67243.09252560960545933', '-68616', 76, 3);
    T('-8002.6079438129', '5E+7', '-49999810', 91, 5);
    T('869534203.3647567073886293', '6.5E+15', '6499999695129083', 28, 5);
    T('69.850924102', '2575982.6156134418069326', '2575915', 70, 0);
    T('-378080.997055', '619.74278', '-378549', 53, 2);
    T('-4012.885145605545', '9.8E+6', '-9799404', 32, 1);
    T('-948175.13783276374', '7961.729911107579480509743', '-944344', 96, 6);
    T('-2704.8914', '97.34392962471894', '-2799', 42, 4);
    T('871491214.39609649397656521', '336029097.9148797', '670466855', 76, 2);
    T('-6.7329539547782', '5252475924.73', '-5252475922', 34, 1);
    T('16.206609662577', '-539.09282574', '-523', 77, 4);
    T('9919.2026496936989693584', '-9.5E+6', '-9491425', 62, 1);
    T('-435343143.86968632969222864', '-353768623422.3', '353390166555', 2, 6);
    T('-32206.231385939', '-781102.2166', '759520', 58, 3);
    T('-1504.8181326712', '-640661125514.5381053', '640661126230', 50, 4);
    T('-2.96690864152695006982279308', '-9.333370E+7', '93333698', 72, 5);
    T('-688564304.4004', '661086.7375523797', '-687914514', 21, 6);
    T('-3.41918E+8', '-6E+3', '341923392', 97, 6);
    T('-1292889558.433', '-61461149.728381433629825350935', '1319518025', 67, 1);
    T('-19176.010371729834208', '1.65743457795913', '-19175', 41, 2);
    T('899.9938814766269243131', '-5.57348232471572257', '-904', 74, 5);
    T('9437', '-780.85', '-10199', 93, 3);
    T('87.3', '883.3553945238251', '804', 79, 6);
    T('-883.99301224182661', '-4590.790215', '4767', 81, 4);
    T('-9.99E+6', '-278657.7772', '10235887', 80, 2);
    T('97.5077312261281894209', '6.792057248E+12', '6792057248097', 73, 1);
    T('-777.3037868395041', '3.405E+8', '-340499753', 16, 1);
    T('-3397.4415338881223', '817584024.06212171453', '-817584861', 44, 1);
    T('608531.56526433431849607652079', '-5.80131400613E+16', '-58013140060859405', 9, 3);
    T('9990842651.113602635826', '2.9192E+9', '12859694107', 4, 0);
    T('784479928.016059', '-579.534', '-784479483', 14, 1);
    T('901.2184430265387498950401', '89037.6533493181464465304', '88136', 80, 1);
    T('-1E+8', '47978585.36492415', '-120191143', 80, 1);
    T('-8.0716730591E+18', '-77.99', '8071673059099999923', 43, 4);
    T('9.0089176167912875153802508636', '-7.4610188776844', '-16', 39, 6);
    T('-3.5E+7', '-3E+8', '334998592', 67, 0);
    T('8492234653.55575', '9863076.130', '8501545017', 62, 1);
    T('7.3917E+9', '-67.6176125640', '-7391700067', 91, 0);
    T('-1.8326E+8', '-1E+10', '10182176928', 55, 3);
    T('5100258359.129698495', '5.75648853763190878E+20', '575648853767895984903', 22, 0);
    T('728.1147', '1392.844170519260047778', '1960', 63, 5);
    T('-455373.70061563493912304955', '6.6468E+19', '-66468000000000193229', 35, 1);
    T('-4.8116', '839254.97749064297517910', '-839254', 42, 1);
    T('525.185232', '-647308.523483689188174479', '-647815', 30, 0);
    T('6965776.886469312132020500680', '-1.566189255991851', '-6965777', 35, 4);
    T('8093385.7140', '1224947348.4', '1232619613', 12, 3);
    T('-181184.7169729773639', '-4892294.041060420903249', '4744506', 95, 2);
    T('-8.56E+3', '-6739.1845635315409605516202257', '15165', 53, 2);
    T('-69.107797941173399', '97441525112.17891407650791', '-97441525053', 61, 2);
    T('581277.910719868374867', '-3422389.1214986655849', '-3991082', 40, 1);
    T('-6.8796521E+14', '-7138753421.387740', '687962634650099', 43, 0);
    T('20924.1809843546599082', '6001150755.5786551823354691215', '6001138335', 15, 4);
    T('3.1708425680687060E+17', '473020.6547503887999', '317084256806414836', 61, 1);
    T('-56.54049628616181048965716', '-959041083068.9049142', '959041083020', 59, 5);
    T('-480098921.934537867', '2E+6', '-478363369', 95, 0);
    T('-7450690699.0332', '964155337.13247127', '-6533632836', 86, 5);
    T('-2551.9756240293956416564491', '-96.327136681732868435022', '2473', 13, 1);
    T('-8996491800.55034670457939756324', '1992096490.93', '-10444302590', 36, 4);
    T('9994.513385898873944502', '-67546264.1160528608998263757794', '-67537822', 26, 2);
    T('44.47', '5E+1', '30', 20, 5);
    T('9.9881E+7', '453920.3600441', '99810568', 70, 4);
    T('-3158.939088', '9.797296E+9', '-9797293014', 61, 4);
    T('-407304683.44142340233', '-43', '407304640', 17, 2);
    T('8.62E+8', '40.49343890637', '862000040', 79, 4);
    T('-7318344692', '9335726561.60752228180880375', '-15439688211', 46, 6);
    T('7.377E+4', '29384.8990688298857889459473', '86754', 3, 2);
    T('204.304592510687053660617618855', '394763.87552137', '394951', 71, 5);
    T('-43923822.7347039313221392215', '5.24E+9', '-5281298286', 13, 4);
    T('-45278.287', '-26.6581526805561', '45252', 63, 3);
    T('-362.29798085', '-1444747461.56', '1444747693', 78, 3);
    T('9.738E+9', '-877.913837551', '-9737999853', 86, 3);
    T('-6396774100.414453050908', '-636830478422652.317183820', '636827068650664', 9, 6);
    T('4.986E+6', '-582', '-4986582', 5, 5);
    T('-7578882', '-6.5E+8', '651006846', 31, 5);
    T('4887442855.8', '7.23386E+8', '4434266935', 16, 0);
    T('-7.907911', '-356192955.5743', '356192956', 56, 6);
    T('4453.6912007058995143538090', '-743.8391092767', '-4996', 66, 5);
    T('-82829.8872', '196.33548808070004562300965', '-82761', 87, 3);
    T('-3.7604', '-8916376.0011328869', '8916373', 97, 5);
    T('5E+6', '-49.007679959649070654457', '-5000049', 53, 1);
    T('4.628443E+10', '-8265.389667003518991709', '-46284438265', 40, 6);
    T('9999.7648524890150565888421', '3089408238.388486997', '3089401825', 48, 1);
    T('45.23325953812803432', '9.0604290483', '36', 4, 1);
    T('-22448999353502709.8', '-499727.138387872', '22448999353084922', 80, 4);
    T('-4.40044649911838', '-49.0717025679189459514770279', '51', 17, 0);
    T('786578.26901813617631', '426721.529941461931', '688755', 42, 3);
    T('1.307156E+8', '-535767.7223013180', '-130196231', 12, 0);
    T('75.7359258998839906590011', '-6561358589', '-6561358520', 98, 3);
    T('9112523.5393564280253641863907', '-3.845', '-9112522', 45, 1);
    T('-6.1120998', '60133656.4198199', '-60133662', 88, 0);
    T('582246.87218566802', '65428861', '65978139', 67, 3);
    T('-228.0628284801739575', '-38450918.843899689497773', '38450694', 33, 5);
    T('9.8822E+9', '-32016336.0752811042812255365', '-9880657936', 85, 0);
    T('-52.179499309718470089019', '48', '-4', 59, 3);
    T('-153278.5044408', '-3.9859879405408389', '153279', 44, 0);
    T('3E+4', '6.108054307117', '30006', 51, 5);
    T('-57.77531684196492676136033', '860.315188756707', '-869', 35, 6);
    T('-752419.7', '40433.547', '-779988', 26, 2);
    T('1.807E+12', '-17842.569245958331356221861128', '-1806999983026', 37, 6);
    T('60793.64', '-6.3321E+9', '-6332137703', 29, 6);
    T('48622763.16188437310', '-331732.751269004', '-48292729', 28, 1);
    T('-4731051269.58994079420295', '-71129.9031751234399523840', '4731111644', 76, 5);
    T('-64.254646926616656318749061', '-93064349943520397.045234897', '93064349943520435', 17, 0);
    T('-1.272124219201174250493', '102689043.2260210268497722898', '-102689044', 66, 2);
    T('6E+1', '848598.29042404789565103', '848618', 72, 6);
    T('-46816.41281872316455194736', '130.899053', '-46686', 27, 2);
    T('3461733.89260875876804512488', '818761.743322924643', '3714092', 55, 1);
    T('-2.68382773097', '-7.1598848966E-98', '-2', 13, 1);
    T('25321775.904681912491110', '-190238.8070863', '-25200179', 94, 5);
    T('-1.0316838036155772', '593.051201', '-594', 43, 5);
    T('-302695205.887702', '-799.0200312448711632242764', '302694458', 70, 5);
    T('98777.017027731696459608', '4.66870282E+9', '4668735933', 69, 4);
    T('97361.800', '-94.09050683361931777', '-97293', 29, 4);
    T('-7.89209480477204510914101508042', '-2.7E+8', '269999993', 96, 2);
    T('-855681146.264', '1942767729.18285383', '-1087168521', 8, 2);
    T('-7023712363.56720122976666', '281189260.31189139577854953012', '-7288112103', 93, 4);
    T('3855654.970523736', '1526692067.115477', '1522904517', 13, 5);
    T('5E+1', '407.704358596572687875', '421', 79, 6);
    T('-2.63', '77957.7', '-77957', 18, 4);
    T('147422570.695398696334445716', '-83135.876724559488479012', '-147339733', 58, 3);
    T('-87.98317', '-606450.35', '606375', 72, 5);
    T('-5407.06274915', '-396.8186700803611718754', '5269', 31, 5);
    T('-7951.79', '-5019891.7930775876112020202573', '5015548', 57, 2);
    T('7.7088791000522', '22208701.9339939385324', '22208698', 11, 5);
    T('744.01478440259091097462', '1167233158.640646', '1167233646', 45, 2);
    T('1434793215839.7022', '-17442.74398739509832188', '-1434793231231', 56, 0);
    T('665282490.93009966983565544', '-3.193E+6', '-664264478', 14, 4);
    T('856668634143551661.64659377080', '-2E+6', '-856668634142405843', 60, 5);
    T('6567164.514659', '-3970308269.720', '-3972148305', 67, 0);
    T('95126.0061050257727229', '41627783.3752', '41566993', 11, 2);
    T('-7.908660572204634954', '-446.829', '443', 79, 0);
    T('-9E+5', '-5.559560E+9', '5560442016', 26, 4);
    T('2917513584327499486.96572012611', '-2E+7', '-2917513584307515938', 91, 0);
    T('5838.394260384548', '-71.3', '-5769', 74, 2);
    T('-945879398.29087447748', '2.767488097416200247', '-945879400', 75, 0);
    T('-931952.28', '-9.71582E+6', '10123268', 3, 5);
    T('-473.2094529221666', '3738.299201278122948560', '-3907', 98, 3);
    T('-842.07246300352398322523', '8821873374.6242', '-8821873048', 76, 3);
    T('-4.152959987428810913722386', '-741.62704126219293', '743', 69, 3);
    T('-4.8E+2', '-4E+4', '40416', 61, 2);
    T('4.48999E+6', '-594657062888.8627495716', '-594653097186', 70, 2);
    T('-699503.0', '-6.0E+9', '6000613265', 29, 5);
    T('2270540.741', '37649541.259334739', '35445193', 21, 6);
    T('49225.92024300855430', '9944196.135255185', '9927885', 56, 4);
    T('23.75905670727', '-30.667365757709', '-11', 96, 0);
    T('-37144.4717938161745', '-523670.990686447700696123', '486530', 88, 3);
    T('266.04', '-238886800.71', '-238886534', 52, 0);
    T('7.3E+9', '-817.8944925423691585906', '-7300000305', 59, 2);
    T('48770553.9671315919852183225', '372971.3572091346629161613', '49126674', 6, 3);
    T('-821724.5862592221625', '96498214.503628783030968497585', '-97319934', 45, 1);
    T('-9E+5', '-580.959880742531165886', '899548', 70, 4);
    T('3.0E+13', '-9081.28414507391399', '-29999999992697', 19, 2);
    T('2541809431.190', '6757043.6615859569089', '2548561316', 99, 4);
    T('310521352893139702.537420537', '-5085558872.28984207048978877764', '-310521356699693730', 78, 0);
    T('-7.6366761882475E+20', '685759489.24887075759613778', '-763667618825418685311', 76, 4);
    T('6.62917E+16', '3854171.1797578755402641921412', '66291700002473819', 26, 4);
    T('-3.36E+5', '31.5718', '-335969', 59, 1);
    T('37001.7708004', '21583.410703575629552280', '50374', 95, 5);
    T('-4E+1', '46253170.683709460697739291', '-46253142', 77, 3);
    T('-40536367623520061.46609420', '7241.714988547192218233', '-40536367623512950', 38, 2);
    T('-5.9565380998247467773538', '-6811.190764544439439180768574', '6814', 12, 5);
    T('1482128.001', '-91776.027423673450415602298', '-1571824', 66, 5);
    T('-56904067.287734674432391', '-849677.6328150969846977166857', '57196174', 93, 0);
    T('79895074.4466989', '-4748812.01', '-76246058', 51, 3);
    T('171168246.4424', '-52365.539610070834605', '-171122043', 58, 3);
    T('-13545778.9850', '-9.4E+2', '13546138', 45, 4);
    T('6287.315725171420463701809703', '-3539042615.8795516672811526496', '-3539048890', 65, 4);
    T('8.5893415122224954952', '1', '9', 35, 3);
    T('-417.717212770328941004831801133', '-1525355507.2039633215258149591', '1525355090', 89, 6);
    T('334785.3', '-7403.79624839461', '-329516', 74, 6);
    T('6.5592555441286', '-4407.43659983', '-4401', 5, 4);
    T('-545424395.69142584396888185', '425.752928284', '-545424804', 63, 6);
    T('69488.82204286413364910606', '-42.6', '-69466', 51, 6);
    T('-888.22223943723482161', '-4941648800355948.756517140', '4941648800355612', 41, 6);
    T('95544799.255006875978859206', '-8.3E+6', '-97468417', 40, 4);
    T('314.752393480287711986', '3.583131E+8', '358313398', 38, 5);
    T('-646', '-2541.67979420365221883', '2921', 17, 1);
    T('-6907754.060', '9774735.9558962', '-16531943', 70, 0);
    T('1861228', '18.3822809494393918628907', '1861246', 97, 5);
    T('15.060152421973677687090001881', '-708.6104027424820930', '-717', 18, 0);
    T('-2494333178.007968', '6777.95547221053003061985528990', '-2494339713', 93, 4);
    T('-29.74996489682869311667', '953097.550681428855631809874', '-953110', 49, 1);
    T('638314787950375.2552', '-212476.184', '-638314788156125', 47, 3);
    T('9.8336818E+14', '88.47218437493194167', '983368180000088', 54, 6);
    T('84.7752803201629247426612', '-4.412157667893558536E+20', '-441215766789355853644', 47, 1);
    T('-12.5', '-6.91635551908505E+20', '691635551908504999988', 68, 5);
    T('-9.34E+12', '2929262.4816248037682332087367', '-9339998659986', 18, 3);
    T('1518626767.01550961', '87523.23280175989755649808851', '1518678572', 24, 0);
    T('5', '-3.768E+9', '-3767999995', 33, 3);
    T('6.989469E+14', '383805.0', '698946900272701', 9, 6);
    T('-6587256120235.2815459144624845', '8.1447503E+9', '-6581273535863', 19, 0);
    T('-9129.70', '-4E+9', '3999990871', 36, 6);
    T('27145571.46260768513155', '-751510.1065825815', '-26559223', 84, 5);
    T('2540670201.70', '16743907966768.4992', '16745704207305', 62, 1);
    T('-95040.487954780343888885', '9817.31322947827278874129705', '-87399', 75, 2);
    T('-966.14755538549', '968.84', '-14', 5, 4);
    T('3.287E+5', '-69056328.0481401557', '-68727996', 65, 0);
    T('246362359.73188', '211427', '246155540', 100, 5);
    T('-368.0', '4664.3410', '-4952', 90, 3);
    T('-6570922.079028614', '3.1468826653606258523653425370', '-6570923', 45, 5);
    T('1.4482381E+9', '-791.4379021112082565721930636', '-1448238851', 90, 3);
    T('986672.547550924512494750999', '347742053557245480.7545870547', '347742053556394008', 60, 4);
    T('6651.14', '5.89241E+20', '589241000000000006651', 51, 3);
    T('678', '-1389.032544019616760404501474', '-1995', 17, 5);
    T('1.9762E+6', '-465.1834', '-1975897', 3, 5);
    T('-8639607908.2669549703314', '4450042.117925603858215', '-8635421338', 95, 6);
    T('-525.919347', '-7692317338.7805964604731870887', '7692316821', 33, 5);
    T('330553647.6880937', '12810778.664831001027767528033', '326148917', 7, 3);
    T('67557670.21260654796498', '9771.11032796622552275221886414', '67567373', 7, 5);
    T('-42166487.3134146579262235666', '-460465188200.9395691444088585', '460490425777', 42, 4);
    T('17.48101674653236', '91977.937680294683947798194', '91992', 61, 1);
    T('56791.52581110193727', '7.9464049163286445', '56784', 54, 1);
    T('54.550', '38686094.07', '38686136', 70, 6);
    T('-275460443.721067889351734754623', '-3.38693E+20', '338693000000262852261', 88, 3);
    T('-4.4E+5', '7E+7', '-69905216', 66, 1);
    T('23.3', '-6534219.600763259398', '-6534238', 64, 3);
    T('-8400965.70688', '-3.255110318387311332', '8400966', 80, 6);
    T('-8.04E+9', '9.580E+9', '-16714013440', 5, 3);
    T('79908.028387411938', '-8.019708274193E+14', '-801970827355784', 84, 3);
    T('8.88E+4', '-9.7368196E+9', '-9736898928', 68, 6);
    T('4.76092E+9', '-168393.058176516824112523206', '-4761013769', 7, 4);
    T('-4.52940345E+16', '3452934971.311631992', '-45294037793407941', 50, 1);
    T('5095337.3', '-12081888259340342955.8349299423', '-12081888259336841476', 73, 5);
    T('-867431692.8133826472098845720', '-74.817718961493323136', '867431746', 40, 0);
    T('444.3043007400038', '-6411369832.08590', '-6411369692', 58, 2);
    T('1702.7131457663960', '60857748.84', '60857138', 87, 1);
    T('-7167', '7', '-7162', 38, 0);
    T('-23.9056040407109883237706779', '-81.25140307585024541', '70', 31, 2);
    T('64692.2477', '-608894010.25290746148', '-608829582', 63, 3);
    T('-4653627684.00802752306', '8.3E+19', '-82999999995883338020', 94, 5);
    T('1.405E+9', '5.34468835254996638019652', '1405000005', 41, 1);
    T('117.00971562720134716513156', '59.46947147771299054609447474', '78', 95, 3);
    T('-1.217E+4', '-5.365282419E+20', '536528241899999991926', 78, 6);
    T('-91860.48632101880702689966313', '771509.9105984543335505663', '-697191', 93, 2);
    T('-119077.155', '-72841.472164511774028', '52652', 46, 3);
    T('23740403.798', '435947679.8347067', '412497772', 40, 0);
    T('73.6129042989860', '-37712685.9883051', '-37712742', 67, 6);
    T('9217496934.26527197', '-854075532.538044', '-8985247726', 96, 5);
    T('4.382667230802', '-3249827.88089073191946938901569', '-3249831', 96, 2);
    T('7647443.64694784919363027984', '-9119.03', '-7639886', 79, 1);
    T('-5.6418079078102419115', '6E+5', '-600005', 40, 1);
    T('1694.7004432314197174', '-3953.80301036941', '-2543', 16, 2);
    T('-553342.7661', '-3.3819932282325428', '553343', 86, 4);
    T('-880715989.60624', '839096447.372893160870', '-108867756', 84, 3);
    T('3774.5297663524062479', '-55434900.888319189360', '-55431214', 70, 2);
    T('-5361.33838993030', '878320249.25', '-878317194', 51, 3);
    T('-3831431554.46', '-647928.42167332085', '3830899574', 48, 4);
    T('2.61256906E+12', '-9815919.8360736', '-2612578874831', 8, 5);
    T('-167.07715381605371113', '3.027533E+7', '-30275493', 57, 0);
    T('606.38384431461378525', '6.5430E+5', '653698', 85, 2);
    T('-62914105085.110250843', '4.4E+6', '-62909984125', 8, 2);
    T('4.3E+3', '61.7255397491661', '4337', 36, 2);
    T('275.55755522698271', '-36130635.2', '-36130394', 41, 3);
    T('7924692438.5', '8.3113197E+18', '8311319696379870678', 52, 1);
    T('78936985.54335983', '-32.4718514850000491', '-78936967', 87, 1);
    T('-9164713.70878', '4', '-9164717', 97, 0);
    T('-46740.94530679237803995041799', '-173.837452951931236823244903439', '46655', 11, 5);
    T('-7.684704383767345', '7E+4', '-70007', 81, 2);
    T('-2480740673013906.739547865', '7962213.5852', '-2480740677793525', 44, 5);
    T('16314302600.363195', '-2602.2493693218', '-16314305186', 43, 0);
    T('-90.56041452', '-2.52681E+10', '25268100038', 70, 1);
    T('-32868.389', '-675578721.359733444742', '675545859', 38, 4);
    T('7366.99528155127905', '27.25529455824140', '7389', 78, 3);
    T('-18906.791', '1989.975862528619015939805', '-19997', 67, 3);
    T('-3670533961.0442818517817865591', '-9701.09474433705713039326', '3670524588', 26, 0);
    T('-115059821.998648637', '281.4484283362', '-115060086', 36, 1);
    T('386945333792255745.90189541', '2440.165297089631541', '386945333792253577', 60, 2);
    T('6198483.2269712', '99.12125076485', '6198448', 16, 2);
    T('6785224030.037441281320689', '321.7', '6785223711', 46, 1);
    T('521.37390655926556748916632577', '-82599484914920702076.4293397920', '-82599484914920702579', 74, 1);
    T('9170221549.51253', '75211080905222008.1633', '75211088984088213', 1, 2);
    T('2.28878575901512637998358', '-99478055378701848134.4', '-99478055378701848136', 88, 4);
    T('167361673694270.511443435', '54.634341293031775033730717017', '167361673694216', 36, 6);
    T('5081121.86', '-543685.74934699667226', '-4572134', 31, 2);
    T('960.321521', '2.3068E+8', '230680064', 95, 5);
    T('617282.508044439901872', '6.097E+5', '9958', 56, 6);
    T('-1682175.9538910830785225', '8.30457038854E+12', '-8304569776835', 24, 5);
    T('95951975.4213098411994952053', '56.986126691053742948436', '95951967', 16, 3);
    T('-668.8603562695538172153865782', '8.094246051427', '-660', 62, 5);
    T('204640771.8', '-637652374234922927.332083263408', '-637652374164762030', 36, 5);
    T('-8347638739.328208', '6.011456E+7', '-8356863315', 99, 6);
    T('1502.808458923', '-2063795.0273276037799111', '-2062445', 9, 6);
    T('-76.604845', '-71431432.5219687', '71431500', 78, 4);
    T('-38507.6293151042609574344', '-9.8E+7', '98028053', 35, 5);
    T('-318448.07747779526619239961939', '-6322.848455017', '312158', 8, 2);
    T('-430248.624163029753541776891', '-2620371064340934351', '2620371064341298793', 31, 5);
    T('83494610.39988149673158', '994.465692938739989073613', '83494192', 81, 2);
    T('57568781.3337442701045157971', '42105253.14879991913590611739', '32249768', 99, 1);
    T('928.75166495336774539303192743', '-408990.90408219', '-409150', 62, 0);
    T('-6E+1', '-989396.461385906188776818804531', '989416', 21, 0);
    T('304637', '-5.0E+7', '-50222467', 8, 6);
    T('942640741.67', '596.940581659358', '942640177', 8, 3);
    T('-79748423.1492', '-11962', '79754239', 25, 6);
    T('5E+8', '8002735442.018800278369799', '7529654354', 13, 0);
    T('-53733.8', '127846.352', '-74371', 80, 2);
    T('-292801.177873776421', '-21.94310960094135599948', '292820', 47, 5);
    T('-9995582.7993192', '-1.1E+6', '8932834', 23, 6);
    T('-2E+7', '-1.27877076731939', '19999999', 92, 1);
    T('2.8742654', '-1337.4', '-1339', 58, 2);
    T('726370.125765118', '-9696.9295', '-733374', 71, 4);
    T('3634045.908458810', '4.075E+8', '410945437', 100, 6);
    T('85.810080863', '3.207789465016', '86', 61, 5);
    T('817690.9488240316423', '-376368.69433221788', '-640054', 80, 5);
    T('341072.7278563', '649416.989', '842904', 30, 0);
    T('-3280.109763361209092406281', '608.127127500911152966539243583', '-3760', 31, 2);
    T('3.9708597771625211', '-129.88023718065964461239', '-132', 31, 0);
    T('47909822.9565398542', '-71787143.55099794', '-110913849', 9, 0);
    T('-3.2E+8', '-11819394.2246', '329684606', 54, 3);
    T('-197.8', '-187541.998521778', '187472', 16, 1);
    T('8877.1416648917863871357868', '96799.753013539573679320268596', '88242', 95, 3);
    T('565390.67286', '31415689.249056878455222024387', '30932231', 36, 3);
    T('-83485.5542561', '7020857.05366315894099867426', '-6973222', 36, 3);
    T('-3407.0744024323341645598', '-5181.9982650045094360835858', '6514', 18, 4);
    T('-9.6922170717', '-5670166849.1509526108523907504', '5670166856', 29, 0);
    T('359493413.603620189082913323', '6.6845076397241420806', '359493411', 78, 6);
    T('-56643.39746660303', '9493591.0738847739507900', '-9437462', 39, 0);
    T('35.129284511824285977855201', '-123148.88119286713062401432', '-123177', 89, 6);
    T('4395.689', '27067950.116193', '27072261', 29, 5);
    T('-69557728875875.05380', '6.75932910781', '-69557728875877', 25, 1);
    T('-7.8327828696', '6130131.79117909714587189011', '-6130134', 8, 1);
    T('43.93610391143', '10.3491559700380275872153028469', '33', 65, 5);
    T('8599657.7183052158', '188.282', '8599765', 19, 3);
    T('4910392970.07923482998078711', '-9780331135627945.63558815916491', '-9780336044102691', 5, 6);
    T('-42.9053', '2.246091090845341094', '-44', 43, 6);
    T('6.376E+4', '2.16236741418383614791255385150', '63762', 59, 2);
    T('-629528218.5685628721172237', '874252931.3692332550720020761', '-295296027', 15, 4);
    T('2603374.89951238932', '55677590.306', '58076152', 1, 5);
    T('-6177251543.1', '-5990736038983844599.5838', '5990736033349771808', 91, 6);
    T('-1571542.00079036762461', '-6.8863', '1571536', 82, 2);
    T('994656.99727', '-9E+2', '-995044', 11, 3);
    T('-53.6856461727735033851', '130735.167941003896185044', '-130716', 3, 6);
    T('-30.3140632908710769905903318427', '6.86E+7', '-68600030', 14, 6);
    T('5.7223434274974588E+17', '-1.821E+13', '-572217279777104168', 51, 4);
    T('-6.62304021190976214767971578843', '7336847924.20', '-7336847922', 81, 4);
    T('-517337102623567934.643650302', '294.8309888706032', '-517337102623568156', 45, 3);
    T('384544575241839.6031', '29063634.973', '384544586188733', 64, 3);
    T('-4831.216431034490021539838738', '-87.98921629988765442753208036', '4744', 54, 4);
    T('4741.210310717465366631808', '-1664605.3019558891060621', '-1668314', 55, 6);
    T('-9.643318937', '3751.12778678349595', '-3760', 12, 4);
    T('17.2853543552718', '-621.1060579673591403532516', '-638', 49, 0);
    T('-34.135', '4.199608292978', '-38', 87, 6);
    T('-8.39187644211E+16', '9.963', '-83918764421099991', 55, 5);
    T('-50940873206.40771453239', '5E+9', '-47082503158', 32, 3);
    T('678.38', '-7.656356655855', '-673', 89, 5);
    T('6.74618777E+9', '-5.467546576489475811971', '-6746187775', 22, 0);
    T('-20701.5893612913787', '607.613575246212321851', '-21124', 39, 6);
    T('-635932254.861', '-9.332591E+17', '933259099531975074', 23, 4);
    T('499039.830', '-6.552E+7', '-65035297', 19, 3);
    T('8.235E+8', '29780.16849290522787309443', '823519412', 61, 3);
    T('-4.534406898191', '-981.563136796750222', '983', 79, 6);
    T('5957227832.98754', '-470710114.7096046170437', '-6427402842', 56, 3);
    T('8.704120E+9', '93241.388493162', '8704178425', 84, 4);
    T('-2891198868.0442220053912', '3.33142E+6', '-2892424400', 10, 0);
    T('-8E+7', '-72.2193844595915279769934', '79999928', 100, 4);
    T('5092.98945', '9', '5101', 1, 5);
    T('-5756.88399612385047119401951954', '67013.32039975795', '-70591', 89, 6);
    T('11827790.00414712622', '4.7897E+14', '478969988202062', 94, 3);
    T('-3202405396.75285944951530', '2.6601E+6', '-3200795416', 34, 3);
    T('21678880', '9022.613205494601134245388547', '21686302', 95, 0);
    T('-9.6E+3', '21.55', '-9579', 17, 2);
    T('-5.978647305635', '2078', '-2075', 89, 3);
    T('-82943.413015741210773139', '-3621.4', '85466', 78, 5);
    T('-8.622255E+9', '-4966.13712126559965725', '8622258418', 7, 6);
    T('-96030.9', '5E+1', '-96048', 33, 6);
    T('3.0707185602006131168551', '-2.178', '-3', 20, 6);
    T('-836647.3643919', '5.321283E+9', '-5320511903', 70, 0);
    T('87.703166106304049306973998113', '6.52E+7', '65200087', 81, 0);
    T('-315915873.0', '-640618387.78686655728881638285', '888893938', 88, 0);
    T('71052.8746127062567515130722', '41950141.2666512620', '42012209', 87, 5);
    T('9.527E+4', '-59.72', '-95261', 18, 6);
    T('-60662.038177052081', '-9E+2', '61302', 3, 3);
    T('-7E+1', '5789.3154331331526017', '-5849', 73, 4);
    T('-6344426443.61111', '-281.3570807716792297809446', '6344426194', 98, 2);
    T('-5450555.89570670415159', '-79.569554098723639900916822', '5450612', 82, 2);
    T('-733.4066342320268444', '442327.59354254526', '-441612', 10, 5);
    T('-129979022.07593', '4E+1', '-129979046', 81, 2);
    T('886368.316403825', '1.926E+5', '1013304', 71, 0);
    T('-3656654294.53202039860695', '-834063187.019129975299', '3896694407', 73, 6);
    T('-6.3891E+9', '-59318.26', '6389041770', 30, 4);
    T('-942765.888650', '2E+3', '-943485', 23, 4);
    T('-6E+3', '4E+6', '-4005488', 93, 1);
    T('1.78E+5', '-9E+2', '-177364', 68, 4);
    T('-3797.59573661691', '79', '-3740', 8, 4);
    T('6.64330245463524747', '67325097.0391868711', '67325103', 26, 4);
    T('-578.14784', '-418596840964450221.1712922', '418596840964449773', 13, 0);
    T('-96770619.28', '266403.5430', '-96504474', 2, 6);
    T('-598481618960291.237032', '-6.3E+2', '598481618959831', 95, 1);
    T('971496025.5195', '-607.869353021628929958', '-971495432', 36, 1);
    T('7.69539382', '-5.0867', '-4', 99, 6);
    T('7841900.13396063', '5.93', '7841897', 74, 3);
    T('544829321.1321403', '40.034163609382112716', '544829345', 95, 0);
    T('71071819615.4295584744159019', '886791157789179739.5905', '886791091012950020', 43, 3);
    T('6.22322264804530638', '-4075084355.419', '-4075084357', 55, 5);
    T('68085.69', '-2163.2846685057587910925580007', '-65928', 54, 0);
    T('1E+2', '-6055256006.8324', '-6055255970', 17, 0);
    T('-699046479597941916.502776', '-571509058.854', '699046480169450970', 69, 3);
    T('-5.535E+6', '-77.273358650', '5535067', 29, 6);
    T('7522.57739725014244209416858', '4475993866.00793634982', '4475986536', 72, 2);
    T('-701267682949096178.822817870192', '5882.17001039714245762174360', '-701267682949100556', 4, 5);
    T('-8E+3', '36.059072049830', '-7964', 63, 6);
    T('-5', '-54.21699100087796204586', '49', 71, 4);
    T('45879', '285937.612668', '323526', 50, 1);
    T('8632166.29241423393561165526982', '-8067.6413', '-8628453', 6, 0);
    T('2.7898614920686269255207656984', '-12404.03260376529646762376133', '-12402', 10, 6);
    T('5', '-92209.573935243417777599', '-92214', 50, 0);
    T('-77', '-9070634416132.26', '9070634416207', 52, 5);
    T('-3.9552636768878146E+17', '74821.4008048414215962803', '-395526367688706775', 91, 6);
    T('-2.378E+6', '-321787.76351', '2138613', 17, 1);
    T('63160.2364691112', '881.999472041314265', '62921', 72, 4);
    T('-585768069.22353680181', '72306330.70705446139', '-648368671', 55, 3);
    T('-5617.2706398567186658', '8185785338.5262427', '-8185789963', 97, 0);
    T('96.2480460', '-455.251002337039', '-423', 4, 3);
    T('-333.7315871485983', '72373556.031602683128981758364', '-72373369', 9, 3);
    T('-4.664206083', '996.9703115557154858507', '-1000', 54, 0);
    T('52218.2759730598753488', '-3034.2446747855816087', '-49188', 94, 3);
    T('-7.05302496281828', '3.1E+6', '-3100007', 58, 5);
    T('7181143733.1362431242340', '-938.0509651422672169226123022', '-7181143325', 88, 5);
    T('-7.4E+4', '435.64', '-73917', 65, 0);
    T('-1.61070292', '6.12E+6', '-6120001', 100, 5);
    T('-53902235.702', '28.03475858963242243415', '-53902215', 79, 3);
    T('-3E+8', '23.81', '-299999977', 40, 6);
    T('-986052779051768.05867', '768825761.6425119635045', '-986053094888279', 18, 1);
    T('-7948833187.04093391', '7969594.13', '-7947160217', 37, 3);
    T('-58.34449567317147', '8299784.4988', '-8299826', 72, 5);
    T('42.193104537585618', '96.21709183665278807', '74', 87, 4);
    T('97661189.7844217240264151821', '4268.0947309', '97657257', 48, 0);
    T('3.38E+6', '-71645719.83', '-74885431', 41, 0);
    T('273.3653651174055958585568857', '-411921.10904681206301', '-411650', 81, 3);
    T('71.511425911916425', '-812898.31319200', '-812839', 8, 3);
    T('-84704.100401585298939387', '32680.5469181661018571052322', '-79224', 49, 0);
    T('3.65446E+6', '-796259.91257737', '-3925343', 3, 0);
    T('7.22616E+7', '6.3E+4', '72247800', 15, 2);
    T('-9.216', '50922031.5457847481', '-50922024', 63, 6);
    T('2.57765E+6', '-1612041812.89622622567626', '-1613929122', 33, 0);
    T('99.62103407758977009871', '2E+8', '200000099', 14, 2);
    T('2667629.47194', '-93124.730375361576471725379385', '-2744239', 58, 3);
    T('3150912626.7723426807', '45440462929057.29113', '45437892010195', 17, 1);
    T('5.95185E+6', '-17662944.18787568273681789677', '-22500022', 99, 3);
    T('4.40586277E+11', '-4.6198E+14', '-462127965276024', 72, 2);
    T('-63114.4181', '9.49337693E+9', '-9493387564', 92, 1);
    T('15634.834741853839438', '8371533732.6411307952502539475', '8371522230', 96, 0);
    T('412', '1832.4058746937189527413333', '1716', 77, 5);
    T('920.68499291265', '-2.2E+4', '-22136', 59, 2);
    T('773.303', '-673231.022719248209', '-673484', 40, 1);
    T('-94.2182036', '9087478866.38377134', '-9087478800', 40, 0);
    T('-4516', '-1264.9552051', '5452', 57, 0);
    T('-398.195', '-242316.827300166331684152097628', '242438', 73, 1);
    T('1767928396.57132438243', '6271477.420453493572834884160', '1765786553', 81, 0);
    T('-9E+1', '-72454459.316306', '72454499', 64, 3);
    T('-278598.546474026618185740', '-7246056372472693972.087', '7246056372472939670', 99, 5);
    T('-1642666925.68956631', '83508.39', '-1642618265', 31, 1);
    T('9.457E+5', '7.216001217', '945699', 2, 4);
    T('-80.9538667162120526831267', '-9.60540746097818652512496', '71', 1, 1);
    T('18136.6260392219205', '-90611.8673138511', '-75563', 38, 1);
    T('-85756.447801524320', '-6956126.85726996431', '7039654', 64, 6);
    T('-39821933.44940181984600', '37.748348246720436', '-39821898', 92, 5);
    T('10.96878815', '45338525.904349', '45338519', 69, 4);
    T('-23867426.76948', '9989616.111341941021845', '-32792018', 43, 5);
    T('54255838.631554128', '7061604.41068793871705952', '55582906', 26, 6);
    T('-4.263539E+8', '428.86977375', '-426353992', 7, 4);
    T('-2923849.459337085802285206039', '-3629.77353270356', '2921316', 100, 1);
    T('-1991764309924105032.34674357', '6996.16682264192681344824316740', '-1991764309924106260', 96, 1);
    T('-4751.90394411046795256686', '974.53003', '-4417', 48, 2);
    T('16.378145380786901', '7756701539.43985', '7756701555', 41, 4);
    T('-128726.44653', '-2.7E+5', '387194', 17, 0);
    T('8342.43', '64844991.84691902', '64836649', 13, 1);
    T('-475.08596', '855940.530', '-855647', 94, 3);
    T('3682137212.082961041777', '-83.5913968591853683362745799978', '-3682137135', 35, 2);
    T('375275733.7644960321039273585', '3.83', '375275734', 72, 0);
    T('-51.370192110840', '55575.59475823692708698', '-55590', 59, 2);
    T('6.5E+6', '42352.53681002731602925390288', '6523856', 93, 6);
    T('-28749329', '-93195639060073.0653912478406', '93195644131448', 63, 0);
    T('-5111393061.158379805328830', '25.6636971943580073', '-5111393086', 45, 5);
    T('8088.507703602108673280672', '9133549259.29', '9133554003', 7, 4);
    T('-691.25', '-74758.88200170866', '75447', 83, 2);
    T('-44.872677652127495700452760', '-478.75', '502', 11, 1);
    T('212.221556', '-4115634.9165852177075468', '-4115558', 57, 0);
    T('3569.838', '1.65768', '3568', 51, 0);
    T('5.31104764E+18', '-2.7016E+9', '-5311047641594287360', 16, 1);
    T('-4963441961.887457297434026625', '391.558447512740069602', '-4963441840', 100, 4);
    T('5.040886133733582504919', '-4.73628', '-7', 53, 5);
    T('-20869.39515398733979942703', '-7.16274E+9', '7162752155', 40, 6);
    T('874145.8210982813459757', '1319779.6263', '1668546', 70, 0);
    T('583904.77418', '-74249821.035', '-73670333', 44, 3);
    T('-9.12877', '-4.10339051091', '11', 52, 3);
    T('-5706.76', '534644.45715808', '-540222', 74, 1);
    T('2855', '1208696944.63443681537965617969', '1208699735', 66, 0);
    T('-676.229978087695533', '-72223587.75', '72223169', 9, 4);
    T('274507.7576184635240214679', '9928998094.256355660', '9929247877', 47, 3);
    T('1.6234187651713530', '179551.52997287', '179550', 56, 4);
    T('-5.1E+3', '-208055424.86380686726962', '208060308', 45, 1);
    T('-47281668.7165682758', '-81.52630', '47281747', 81, 5);
    T('-946100.59157016885368982629', '43246.4578606510', '-968542', 66, 4);
    T('42', '4144131.67892288345859626', '4144169', 26, 5);
    T('-375938.42469678', '2078127.67', '-1706287', 17, 0);
    T('5.30058459270930009381374', '-7E+10', '-69999999995', 84, 1);
    T('3851192.8190739118546', '3.41000E+9', '3413818168', 73, 6);
    T('-2047515.269053735986', '38380.049760596449235733799', '-2075639', 19, 0);
    T('-640709170.40059775106127', '-8.141364E+9', '7574071598', 1, 5);
    T('-31.5816861047598404611113', '-91873.393344432', '91902', 70, 3);
    T('9663072756985', '-6E+2', '-9663072757423', 70, 3);
    T('-896', '272.03854967496', '-624', 93, 1);
    T('-1.40E+4', '7.236E+6', '-7233296', 35, 5);
    T('-5E+5', '5E+4', '-483920', 46, 1);
    T('1.6145437294700E+15', '-328957808.478', '-1614544021706080', 37, 0);
    T('-5.5253420550459571E+17', '-778556.94', '552534205503981510', 37, 0);
    T('-57.1386227819919', '1871225', '-1871170', 97, 0);
    T('-740124.778', '306915.070287', '-1041913', 79, 4);
    T('-63855.93632412654363771', '9.74740', '-63848', 7, 1);
    T('-7.55', '-6.1E+8', '609999993', 23, 3);
    T('-7.50E+4', '281059.79394274228840729004', '-355605', 76, 6);
    T('-1.83E+3', '-4.5555886505786235', '1830', 21, 1);
    T('-6.309E+6', '-68.06886860082451447', '6309060', 59, 1);
    T('924260253.0267', '7058543.53095662438977870', '930915314', 94, 5);
    T('6176301901.036782164', '42870.28', '6176261179', 55, 5);
    T('391451562.171781648613433391', '-1E+1', '-391451556', 57, 6);
    T('-299437.830559229', '-533.657350363106294980480642', '299960', 6, 1);
    T('-6.2E+4', '-4.314', '61996', 70, 4);
    T('8.077536561601372941658993', '-41270.2204', '-41278', 100, 0);
    T('-9.49E+5', '-3873.8378707', '947239', 49, 6);
    T('-8.2841', '773458990.76690746', '-773458986', 14, 1);
    T('150.167254754512913705073', '-7.77446823542966616738454887892', '-145', 69, 4);
    T('-8.9E+6', '-3.6771E+8', '359465648', 89, 3);
    T('97512.495', '378.92288859231184826', '97682', 54, 3);
    T('-1931970.96297952451629156295', '9253.55315', '-1924837', 10, 4);
    T('85912328.608072795', '-4.26455E+8', '-477480160', 53, 6);
    T('-868.9193457352661490823', '8048108598.669', '-8048109398', 80, 5);
    T('-7.71030672660989994877137644', '-573140.330', '573141', 8, 6);
    T('-7.35056882641204', '8472833630243284377.67', '-8472833630243284384', 83, 3);
    T('1.3E+3', '228844.0063319952', '227576', 95, 1);
    T('17498858.90', '-7E+6', '-23186774', 12, 3);
    T('-7.686669E+8', '12681524.61552422287529551', '-756116520', 74, 6);
    T('-303178.693', '-517.415', '303693', 3, 4);
    T('-10.0', '-176.3936', '166', 54, 3);
    T('-5.7111E+8', '74.598954340934007519046668', '-571109926', 22, 0);
    T('-706880656.76031156517', '-7.97911502002593362418150', '706880649', 15, 6);
    T('514101109697304724.96908462', '8.5583E+9', '514101115906233332', 12, 0);
    T('-281.7168009', '3184.582976425016', '-3433', 97, 4);
    T('9188.32633432407565810396201429', '4.9661E+7', '49670060', 35, 2);
    T('-2.5E+7', '-6.7210693851569', '24999994', 81, 3);
    T('-2', '-1E+7', '9999998', 73, 5);
    T('7.6680255203464949', '-1319.306069248526291937', '-1314', 42, 0);
    T('-5.09E+8', '-62.93353434151242113326171', '508999938', 14, 3);
    T('438248082.102348304', '-6621.381623361', '-438254415', 71, 1);
    T('96639.47362009507926', '-81197.2487', '-17492', 36, 5);
    T('979310.06926638317', '-9.06436738074907E+16', '-90643673806569446', 7, 6);
    T('-4.9492721532315E+14', '-4.816727512499647', '494927215323150', 74, 2);
    T('600785191.177561658331063670663', '-784297.1706561029548754', '-600094352', 98, 1);
    T('-409940500', '54612777.4285', '-456024379', 75, 6);
    T('892336.4431334317', '881308.4350855887436', '61228', 20, 2);
    T('782783.8197', '65.64', '782846', 98, 6);
    T('7.04994', '33617602.76794426079030033', '33617605', 26, 4);
    T('48565.855935841160620020', '18.1216709977392591604777604', '48551', 29, 3);
    T('42.96779390609493252', '7.586950E+8', '758695026', 22, 6);
    T('-5047.196480', '81923.167405972676990571467528', '-86966', 19, 1);
    T('-8.173748374141199385E+19', '-63.4375790928043409130309087498', '81737483741411993799', 65, 1);
    T('-5.17981869812740840282', '-62.9', '57', 63, 1);
    T('-16005861.3414508', '-2984.58048697770038710012', '16003395', 85, 2);
    T('-33551.11526156076', '-2.27E+8', '226966961', 22, 2);
    T('170487.235', '62503.4735654', '159184', 50, 2);
    T('833.30785451924897178132231', '-791287.52288846707072', '-790968', 1, 2);
    T('4.3425E+8', '-53848.95251210986470506425181', '-434303816', 97, 2);
    T('6.1', '6.9441277667E+14', '694412776670006', 69, 5);
    T('-2974194566.20509929166445', '-6278.343946293429587230603089', '2974188288', 77, 6);
    T('69582632.009228081648986', '-57536.42379059', '-69558168', 46, 5);
    T('-994792.14855164578498957106648', '-71216062.2', '70354522', 29, 0);
    T('9.8700633712068353', '7.3325107822246457949838', '14', 26, 4);
    T('-92129.96804935362594657387', '-67.1295277302517086561292', '92066', 19, 5);
    T('-0.5887413', '-54574.02627335819693987979', '-54574', 66, 6);
    T('43402018103802424731.987727', '-7140528.35460187444888427445124', '-43402018103804795189', 43, 2);
    T('1.1080072E+8', '9.56E+7', '52957904', 82, 4);
    T('-415188906.7016061816366', '-62404.29069935310643565315857', '415216746', 50, 0);
    T('-829217.513445374585532091111592', '3577045.6491127367170614685', '-3814390', 62, 4);
    T('9.7899017555252391', '4.225798781790140724', '13', 72, 0);
    T('-1404.2273457768', '-932.02515942616558', '1752', 98, 6);
    T('-38563.12337451', '2.9161E+6', '-2943399', 70, 4);
    T('87514737', '-847214.780915396', '-87798557', 24, 3);
    T('96.60152914323343573402009', '-2.4E+16', '-23999999999999904', 77, 3);
    T('5.83E+3', '6.7860589409165320E+20', '678605894091653197382', 20, 3);
    T('-4214.26007', '-936940.950', '940958', 80, 1);
    T('-69610127.983333559717382117708', '-6.7E+18', '6700000000069064049', 85, 0);
    T('39283.37', '7011128.9347224', '6971979', 74, 0);
    T('3.374491488890499967', '7821830.381006982481953391021', '7821829', 58, 2);
    T('466363608.0949153549053', '4.81724697877123511146267809063', '466363612', 87, 1);
    T('-232781.91500003854675327434583', '839.1850084129344843760', '-232972', 83, 0);
    T('737465981.9851183814', '-6851282570564853.59302580164', '-6851283179471498', 34, 0);
    T('-656161683.72895813', '7922042.5380790762', '-660921065', 88, 6);
    T('894273792.10', '7.7', '894273799', 61, 3);
    T('4899478.67', '-22212.28749262', '-4887638', 10, 5);
    T('5831414466.9723687947333', '385.26730929766518468446792459', '5831414595', 6, 5);
    T('-8909698.07838940830786', '-284872437.0651489706150', '276643189', 26, 5);
    T('-4472870.0466', '945.1076', '-4473749', 63, 1);
    T('-834.114847751906116022', '-550.615418810745489574', '356', 20, 2);
    T('821782.009331867355814811843', '-2654.49480033025759236227776', '-819276', 48, 3);
    T('1.36726182E+9', '850797.87389858', '1366440209', 12, 0);
    T('9.124E+6', '-5.483834954790916339E+19', '-54838349547901489630', 49, 0);
    T('33829.7195905173335177538622167', '-34.1877467807933507964', '-33797', 40, 3);
    T('-2731456110.300981928311328821', '360630618.4285523813783882', '-3081797432', 9, 2);
    T('-192015426.36', '-3E+3', '192014326', 2, 2);
    T('-11.3821', '-401590854', '401590863', 4, 0);
    T('-4.540746E+8', '-88.5617', '454074544', 91, 6);
    T('-4116421.696808973470312501031', '7422112778.2', '-7421475791', 63, 6);
    T('-74738.43', '373.346761290037191327245322715', '-74373', 87, 4);
    T('82889503.2', '-3496253976.148798', '-3566489865', 72, 1);
    T('789.2178894033', '-119125489102267025771.351719371', '-119125489102267026048', 80, 1);
    T('5.9557E+11', '6486211317.5', '597674080885', 3, 0);
    T('-9338923.5535366734430402962', '21172402.245551551719456925', '-30249113', 99, 2);
    T('-2954.5778', '-3.7E+8', '370002934', 76, 6);
    T('7.0E+8', '-346793.451363200864240795', '-700214697', 68, 1);
    T('-4.155671438328120E+16', '1.709237E+7', '-41556714400367422', 30, 6);
    T('2.058E+9', '-51.832867831917979248221611667', '-2058000051', 15, 6);
    T('-9.56808097036054717893496', '-7.24606804E+9', '7246068047', 60, 0);
    T('-200905160429.9512', '-31558418.0218664', '200907226621', 50, 4);
    T('453021.081479', '-8.1E+10', '-81000333411', 51, 5);
    T('-9E+15', '-801.33383574877767', '8999999999999199', 76, 3);
    T('-6189.0278276965639812006535237', '-68346.301', '70357', 86, 2);
    T('-714', '67500486.54944756338611', '-67500816', 85, 1);
    T('2876401.234684745', '-5376712536.15924910', '-5374082215', 76, 0);
    T('-6.35323E+6', '-2.71066E+14', '271066002158258', 92, 4);
    T('1462.90125920691718032', '-3.6E+2', '-1234', 67, 2);
    T('-671.247032567635529277854', '39.555633', '-698', 96, 3);
    T('-5.560105818705E+14', '-4444623569.77', '556014752683379', 89, 2);
    T('99205.6877343252', '-4E+8', '-399900795', 20, 0);
    T('-67515320.2265542', '7.529699629176', '-67515313', 8, 1);
    T('3E+4', '77540231.66657', '77553335', 67, 2);
    T('-7627001494.137161128495288', '-3646517.81963526325', '7628221089', 29, 5);
    T('97.24407241702589', '-44341.48', '-44374', 85, 4);
    T('5579234821.0930055', '-7919509.02557672548596', '-5586061714', 55, 1);
    T('920.326696138267007256986682', '-5E+8', '-500000616', 99, 1);
    T('39511.2897104516863', '-85427.4784384105', '-120806', 76, 1);
    T('-9555170.285', '4998689949.567173271', '-4989139069', 98, 1);
    T('-1E+7', '65187094.9328830', '-58342250', 87, 3);
    T('-939.96063179258961318783672035', '-9418492.0', '9418065', 17, 2);
    T('1.876E+7', '-433.36982412881066838223', '-18759921', 69, 4);
    T('3.89971225E+15', '9841046.80497311744', '3899712259562262', 15, 1);
    T('-46.55', '562469781317753.23861708151538', '-562469781317717', 63, 5);
    T('29553.863664303996881334387315', '8129.3921804445702', '27824', 71, 0);
    T('-9396.5039332119547420134100', '3.9087997375955809834', '-9393', 98, 2);
    T('697602.76630780', '-451708139.184220800', '-451289577', 4, 0);
    T('773.68629756202', '1003.50261430745515618795', '238', 82, 2);
    T('4251837.6129627398795', '889.264614716500659', '4252612', 15, 6);
    T('5.399781742349E+17', '20910658.49037352741995011', '539978174214382690', 51, 0);
    T('-66', '-999424600.7607004068628', '999424534', 44, 3);
    T('-12177316.5790574459', '-84522.6804188423950095135577966', '12092810', 9, 4);
    T('-168.3269243085349730321625', '70856255.84606582234', '-70856345', 70, 1);
    T('37.8985768771126931391844', '-6.43405187', '-33', 65, 2);
    T('67.894044522745', '-189746603.144888189969410158752', '-189746666', 18, 2);
    T('178.99280242712933', '-50400257.674024102', '-50400435', 62, 3);
    T('-62213.87003462', '-55449.5027178526116333561', '11164', 69, 6);
    T('-2.360229E+18', '-6373932298.855', '2360228995854316278', 10, 6);
    T('1387803394937560.79192215', '6.5301238761981100774', '1387803394937566', 95, 0);
    T('2.0E+7', '896684027.5328800270706884277', '876831483', 66, 3);
    T('-8.86517720722117E+17', '4.8442E+7', '-886517720682085144', 68, 3);
    T('-4.49111555172E+13', '-3783.8062', '44911155517897', 92, 5);
    T('341907092.105386779', '-43742.005020', '-341949514', 47, 6);
    T('850117.59733258', '115465.1251', '867276', 64, 5);
    T('63', '549143938493234741', '549143938493234698', 3, 2);
    T('-4.382936E+20', '-1.503E+8', '438293599999876962976', 52, 0);
    T('-7.7E+2', '-5221.669704027520310904529', '5989', 8, 0);
    T('1.12338E+7', '79846.16121205522', '11165166', 46, 5);
    T('7878.63109247456228892027858739', '-35469.8', '-37963', 43, 0);
    T('-9092186.5085', '5094741969.63589003291', '-5085670281', 7, 1);
    T('-93706.3411342702229244', '67144680.4594314934262999654498', '-67233250', 50, 5);
    T('-65302523.071253362304646237336', '28413.58133311851664', '-65274120', 7, 6);
    T('4759.926838598600437', '-375775.13503732282916033273', '-371018', 82, 6);
    T('6653.41353134098', '-43123.67', '-45456', 9, 6);
    T('-4978757423.2185979302594106477', '116.0591064191297920117560', '-4978757467', 27, 3);
    T('-489830.139717967911479', '-63.07', '489819', 68, 5);
    T('96654101.22458940863135062832', '-6581.41400597084738589672', '-96651938', 10, 6);
    T('9318.01169423', '567456.6034271361397914053857', '560326', 8, 6);
    T('-76335823', '-450254425.1783075794292117', '509254806', 57, 0);
    T('537.3217512904978143798', '-8E+2', '-263', 38, 4);
    T('-496838271.9360', '-5819.72185883971333018', '496840900', 38, 4);
    T('6786.76180', '-9.950784826647', '-6795', 62, 1);
    T('4323971.65424013118114330848', '870.7131327275078656462', '4323813', 70, 0);
    T('-4.5107284311662477125', '-20459937092962.591016431037932', '20459937092962', 57, 3);
    T('884890790.50786', '-902131.311', '-884186965', 40, 5);
    T('-574519242152228.02372374352736', '1.700364E+9', '-574519689422788', 29, 2);
    T('92679283.4828956534299792', '-404327275780.33653757996958634', '-404369617265', 24, 6);
    T('41305401.17990', '628353.088038656430001739', '41931704', 50, 1);
    T('92708752.302', '-2221.88245413508608584055', '-92706621', 70, 6);
    T('3.977562379097848329E+19', '87.618812633073886', '39775623790978483213', 54, 5);
    T('515.29332', '-51.308998951', '-562', 56, 3);
    T('5E+7', '-5.151603812438E+13', '-51516016550876', 49, 4);
    T('-4.62632163733624E+17', '-397219843.9', '462632163426061501', 8, 3);
    T('-14.3390672420408708103904707405', '-1938.011800', '1948', 84, 3);
    T('-475571243771691.13732774', '4.1942982E+11', '-475977553264971', 60, 4);
    T('94675643.0726813396', '-235307507.6373', '-195175242', 31, 4);
    T('5.78865460570684601', '6.922839747375197226659', '3', 13, 2);
    T('-98396805420035044.102906775', '65584.711226', '-98396805420100564', 41, 5);
    T('-2714', '4.02173030471735037869', '-2718', 13, 0);
    T('-5.0E+7', '1036500819.52348171697271092586', '-1060982573', 47, 4);
    T('3.2456234026238160776072085', '715.291764', '712', 32, 5);
    T('3829982.224375933452930980', '-8.055568E+8', '-809083618', 62, 6);
    T('-88794003062.41030', '-9801.789784437982321', '88793993277', 33, 0);
    T('854042042.5633', '11858747.2300124762339063509091', '844322433', 70, 1);
    T('-5.2E+7', '19.6166453501316307126', '-51999981', 6, 2);
    T('-2631700.0850861164725997', '-57.2534087067755', '2631723', 48, 4);
    T('-57974.5397', '75731894.59867736173090', '-75723204', 81, 3);
    T('-334.87727743972924011', '-4284924.7429', '4284598', 2, 2);
    T('-4355.9854296900293249138087675', '7.433052E+8', '-743309043', 99, 3);
    T('74.39', '-372314781.695979136487110769194', '-372314839', 81, 1);
    T('7.7E+7', '-815802.28426532218303444', '-77242362', 12, 2);
    T('-536382.084935805809', '7615575.0912283154', '-8133483', 78, 5);
    T('-9344040.2148295128', '-1.4523272646268603952182', '9344039', 78, 3);
    T('5542.740062215054184490078182', '6230815088108.0838', '6230815082570', 80, 3);
    T('262.597730674', '9117299835.226675795731297', '9117300093', 88, 6);
    T('83.634357047338379888087238', '-198.8', '-151', 41, 1);
    T('-593017.050927766150723892', '-8.45E+8', '844407111', 12, 4);
    T('4450671705.535503559496558320', '-33.851982724431233', '-4450671738', 59, 5);
    T('172019064578976.89864310339872', '3E+10', '172029330231200', 90, 2);
    T('-5.36E+8', '234.782859178892696195654', '-535999766', 49, 2);
    T('80302.680', '-8.70027E+8', '-869971802', 66, 0);
    T('26.358815770503987288', '3.92E+4', '39226', 15, 6);
    T('-16264.94316', '-8.982056259E+15', '8982056259004728', 61, 0);
    T('594.454106200', '8.3041302568978897628349913391', '602', 84, 3);
    T('22611689.2380976', '189479193.691', '168968176', 26, 2);
    T('34968553.4286898255067821', '-3.006965E+10', '-30104609191', 73, 1);
    T('-35.06', '83791.143959915134', '-83822', 47, 6);
    T('8.429', '53321.836573992496242670381645', '53313', 71, 5);
    T('-6958.86324629437500742986', '-8.8038411E+15', '8803841100001746', 93, 0);
    T('-96232987096637915162.559962801', '-893.059277227466', '96232987096637916005', 65, 5);
    T('-675.607932664', '3.836E+8', '-383600419', 36, 4);
    T('-4913829198.414841829471602', '45846940.4752896', '-4938302674', 16, 4);
    T('5.8677E+5', '-1.925157885148818499563557154', '-586771', 93, 4);
    T('49.59871240966642052686796029', '3695102944.4410411', '3695102929', 27, 1);
    T('-93.1506427363756570338837', '-9.31402E+8', '931402067', 1, 0);
    T('19869406.55411847', '97840613.17847278456356407971', '83608379', 88, 5);
    T('819648.48426406892402314603442', '40838807.4108805802798501276501', '40085335', 65, 0);
    T('89407.1621', '-64.91014459206', '-89345', 49, 2);
    T('8.6E+6', '-9001873916664936382.85489879', '-9001873916656471678', 58, 4);
    T('258400.9661421265153479', '76.4672874435767', '258348', 45, 4);
    T('727578247956082.4', '4E+8', '727578546766450', 91, 5);
    T('-6E+2', '-8.469', '592', 70, 3);
    T('8.7117E+7', '-7184479765046365.52921702392067', '-7184479717943445', 3, 4);
    T('53391183.81760013954123', '528578442.714445261477924057634', '481286341', 44, 6);
    T('863.8567637', '6441941.5514912670591469144592', '6441098', 82, 6);
    T('-34923.3713663505626', '6.322E+11', '-632200034923', 70, 6);
    T('815231194.568937808497053', '-17.2125675562662', '-815231179', 3, 0);
    T('-1990058.93', '-181864759.071416888519', '180966559', 32, 0);
    T('5447556505.64562263004927476', '-26149371.6383161898092', '-5456534628', 68, 6);
    T('30870.989069397983360035262', '-7701524159.3193785817', '-7701501481', 82, 3);
    T('-925.50711073501308616802846237', '7707127.749831465334537088560', '-7707244', 7, 1);
    T('69036398.48180535218', '-7.95E+4', '-68968422', 90, 5);
    T('88421.0125865', '-62.9428940563256', '-88409', 49, 0);
    T('-8.29885612260193029', '3613767862596.0', '-3613767862596', 20, 4);
    T('-7243.184962272784693', '409119.69985118', '-402006', 22, 4);
    T('9.1E+2', '-6.104', '-908', 78, 3);
    T('-307198442', '-4428642279.3288641222913', '4659400207', 10, 2);
    T('409959.597419246209886362245', '3.122401414404021890', '409956', 86, 4);
    T('-9514697650.25931383964', '-992831.7', '9513854351', 99, 5);
    T('-508209.4168149925', '3.63315797154363014683', '-508212', 28, 1);
    T('-396.807365617930995796', '93632.8916571', '-93260', 85, 2);
    T('-20573.882375907501554071', '-970652014.27027', '970631473', 94, 1);
    T('-314021396.54008431', '-9.30673917488985833', '314021403', 71, 0);
    T('-97.1009201082707', '5.15E+4', '-51533', 4, 3);
    T('801309.08484316596', '2.1491430', '801311', 14, 4);
    T('9.89756342950819088', '-16724828.697889526055522507033', '-16724819', 64, 0);
    T('-14.8685916994444607366812195', '-232863.7277', '232851', 70, 4);
    T('-1.89993102449439540685', '-9452175.80191859039389238', '9452174', 13, 4);
    T('-28.4060093174023139034', '-541.6407220320143', '519', 53, 3);
    T('-53.034969912441994898153', '1.56950088173126861', '-54', 50, 4);
    T('3989902.2950829725915411708133', '67594.003', '4057476', 98, 2);
    T('-268390243.978901463682', '-8942210.01', '259472867', 50, 6);
    T('-21.47623497129441161237634236', '53656.258643', '-53645', 44, 4);
    T('-1.7905396265143575650016437', '-6895732988.659834607', '6895732987', 16, 2);
    T('4032165970.3270723063229354', '6.1584552E+9', '6967224818', 16, 0);
    T('3.672E+8', '28823.9280543', '367228823', 99, 0);
    T('4E+5', '-174172432.915888132', '-174568336', 100, 0);
    T('-8.37E+5', '3717.30383075659149048680449377', '-838403', 97, 4);
    T('802361.6120966708123063', '-7.704816413992192594326', '-802368', 69, 6);
    T('7668', '-8414715.324180', '-8419343', 41, 3);
    T('-9E+4', '-5650129379.4306513', '5650218605', 28, 4);
    T('26194.70629655255', '-7.74E+3', '-30826', 3, 5);
    T('7979978.8', '1.0037653324891250167412', '7979979', 36, 3);
    T('-3603.63213893552932001931452530', '1.850383820', '-3604', 18, 0);
    T('88', '3.1593949506382E+15', '3159394950638112', 79, 1);
    T('853248414.93239024', '1.03E+9', '264176670', 97, 0);
    T('-4E+2', '34.0011136', '-430', 65, 4);
    T('152864.3951118912344204749', '8339036.051189456657833', '8219516', 86, 2);
    T('37097.416048914413065862289546', '-62.74934076903843182529', '-37077', 20, 1);
    T('-31.992858673566857351497514', '-8266226313.394152656925621681', '8266226326', 52, 1);
    T('79204.32074347362944277', '-3.3718501E+9', '-3371920408', 75, 2);
    T('3.1473E+5', '7171.699531235935294353', '315753', 51, 3);
    T('952090.96152271170', '8E+7', '80360218', 51, 2);
    T('25.6', '-4026.74860371', '-4001', 60, 6);
    T('64197.7', '3.6978298E+9', '3697843565', 94, 6);
    T('113.927016004856876360', '-810678.1669660750994103', '-810693', 56, 3);
    T('9.39553813785786', '5630531.7248', '5630538', 71, 5);
    T('-804445676.371332789543770', '15.522553270730988559411880', '-804445669', 53, 2);
    T('-46430.7720095168895', '29.21442349418020422', '-46401', 29, 3);
    T('-2.6192812256103699370883885695', '47172589946396', '-47172589946398', 89, 6);
    T('1009365.8566886', '-5977141855.364319364', '-5977707660', 75, 1);
    T('5.77360552646734609455101', '8910690782.4706275184149883', '8910690779', 94, 4);
    T('-92957652.49695573604', '82737.1196903541142788392942345', '-93006051', 60, 4);
    T('704.94707506628116', '5051.678', '4475', 96, 5);
    T('6747303377.2596056109', '16016886.5817181281601660', '6759106599', 78, 1);
    T('4544.36489539762', '-49133146.0000852153247', '-49129370', 34, 5);
    T('36.652988472427033080', '-7.60614441067231639', '-35', 48, 4);
    T('-573.70993519', '-28409370.25981795375', '28408869', 86, 4);
    T('-125.434102', '755826126.79521', '-755826099', 1, 3);
    T('-92.516483', '-754.62974449', '682', 81, 6);
    T('-139973.11004413204374227', '611298.27918380', '-749863', 87, 4);
    T('-3905137.056848489', '114.29966860570476974', '-3905027', 54, 6);
    T('56.60109924', '3E+3', '2944', 40, 3);
    T('-993.0965503701', '5.96985E+6', '-5968987', 40, 6);
    T('-9.688E+6', '26.2237589434', '-9687974', 56, 6);
    T('-4938.700', '7E+7', '-69996234', 17, 5);
    T('6.90E+8', '476.44337', '690000220', 5, 6);
    T('-594080950.1204296734634', '367213314.8503390394424', '-915132344', 88, 1);
    T('-812.9924', '63339140.773965925507977', '-63338928', 66, 2);
    T('785263.8489073447155430392828', '-65985.6353042341039459701959660', '-719536', 21, 1);
    T('78384.64206278', '7.35198507E+19', '73519850700000053808', 36, 4);
    T('63612904.2729', '-9426001360.08477', '-9430891048', 85, 4);
    T('3.7716432240966521171177048156', '884682821.0135043', '884682822', 12, 6);
    T('-9083', '-2445027822', '2445019799', 26, 5);
    T('62908076.5931090046792416306655', '-463.641526041', '-62908259', 1, 2);
    T('445003227.099417', '-2.752E+9', '-3196983845', 96, 5);
    T('84.046082999214', '21.13567334017', '65', 47, 0);
    T('56403903.7398', '-733.19', '-56403300', 90, 6);
    T('-363.36703219922529907227', '97283.03602889108', '-97642', 83, 2);
    T('-5869.7', '-620.78035404375049794345095', '5255', 55, 1);
    T('-4.0969', '5.9757E+9', '-5975700004', 25, 4);
    T('-8.5707232985404251619298412023', '628034359.8497065135', '-628034353', 83, 3);
    T('4349552767.47553841268772566', '59533.924349523714630', '4349493490', 8, 1);
    T('9.8457370700', '31.18484468', '22', 7, 5);
    T('-117430', '92783784.5679578013061', '-92671518', 74, 0);
    T('-7.82793071435E+17', '34095714.475621831433312901730', '-782793071401986782', 52, 5);
    T('-379076614.52626168348', '926588.850475', '-378954618', 85, 3);
    T('129.389861018000193272948614', '-6.8305678285239296168582729298', '-133', 63, 2);
    T('-5897170664.6424', '-2E+7', '5877170712', 16, 4);
    T('48.5187796037166010825802997205', '-7631936.595555476903631994436', '-7631888', 97, 0);
    T('8716881267.5445234581936469', '-86867.9353', '-8716836386', 44, 5);
    T('90704.42', '67007371.7644544815', '67047899', 17, 5);
    T('88111216.329290291113', '657.573703365180445409938915913', '88111841', 24, 2);
    T('77345550', '-733474792978.624396', '-733401126176', 30, 5);
    T('57919.985958904773422902040', '-4.1075805', '-57917', 21, 2);
    T('6.41E+7', '8103278.971023', '61453262', 54, 3);
    T('-9E+17', '-88812552.719066743204321', '900000000045667320', 8, 4);
    T('-2.224982787548103492028311905', '37829.036674856714', '-37829', 20, 6);
    T('670.394968630', '31569.991734432997719', '31183', 72, 0);
    T('1.236E+4', '-234.1469', '-12450', 54, 2);
    T('63525.883688998362510128166', '278.3434', '63795', 28, 2);
    T('3515305322.074', '7133328.9675510103589652785802', '3521877498', 17, 0);
    T('-876.849336904281350', '-2.8', '874', 21, 2);
    T('4.084', '-4966157.47', '-4966153', 60, 6);
    T('743.388404108934573568960558688', '52.7499777913750111071', '723', 42, 1);
    T('-5989824.28920146', '-50570.2670419722931', '6004790', 53, 1);
    T('-3567667603.86134323882', '789928.430559', '-3567928379', 43, 1);
    T('-8.35992E+8', '5016.151764894520', '-835988008', 51, 1);
    T('110556975.3', '737.223038', '110556622', 6, 2);
    T('3E+9', '8.65028767', '3000000008', 33, 3);
    T('-3225448.231', '4344.2051866014950058', '-3221408', 53, 3);
    T('-104', '25.92', '-127', 78, 3);
    T('-8644979824450015.8061', '-1.8636E+5', '8644979824266793', 48, 1);
    T('93267.5397441144855777', '41144.888085538101', '117995', 2, 3);
    T('2065633338.9913111360812', '-1021697119710120.206646', '-1021695930170270', 44, 1);
    T('6.5E+3', '-750.18352748177', '-7050', 44, 2);
    T('2501.2061327229969019', '94.79118692698946732553', '2459', 92, 5);
    T('-9.218670709297538E+19', '31269683.3014552745173798124', '-92186707092947256621', 20, 2);
    T('-6.5418984E+9', '-6.961263403405275786895061694', '6541898394', 56, 1);
    T('-96912.50003991214933', '-85.705337693', '96987', 95, 1);
    T('-26945.978885899619481569764', '5.377E+7', '-53747281', 34, 1);
    T('319.28428536', '-282.341920545590195', '-39', 93, 6);
    T('1.0619139882513E+15', '-9.9E+11', '-1061203180000604', 20, 1);
    T('459364.644', '-7.9', '-459363', 32, 6);
    T('9108455.9486026657948025', '-87.36688300817437098079', '-9108402', 12, 1);
    T('-1.5E+9', '727784528.53727002', '-1913205424', 25, 0);
    T('-996873.65859161', '5.6384E+18', '-5638400000000996873', 87, 1);
    T('-2155720.7270134639095899', '7913352046.538', '-7911296938', 100, 5);
    T('8187246.024707364832450357227', '8.67', '8187238', 89, 3);
    T('8.631', '40182.3032559478708573132902828', '40190', 70, 1);
    T('6066.858015790579785725', '-6532502', '-6535720', 15, 1);
    T('492.682562124924411031747693', '-9.9966143038', '-485', 82, 6);
    T('-9164.95123277786439035069487', '-2.9810350850570489', '9162', 61, 1);
    T('-48.774355030', '-8.2641E+5', '826374', 62, 1);
    T('5.3873E+9', '-90686.275376', '-5387243166', 4, 0);
    T('3.06035E+8', '-544.94986060484441761', '-306035496', 94, 6);
    T('-61.058', '489571780685.15449584006405', '-489571780722', 8, 4);
    T('1.411160678859E+14', '-3855071537.75273942435573980985', '-141118681287293', 67, 0);
    T('-92543723.0624197', '-653655.5393762667464542', '93184956', 92, 5);
    T('26909136.964396479', '-3.512734535', '-26909139', 71, 6);
    T('5.9E+8', '7.5331943E+18', '7533194299410085760', 63, 2);
    T('-14246972.2581900628089313385', '-64.3385048221176906', '14246916', 90, 0);
    T('1858.1733419635559448504602879', '77.4615046390976430844034084', '1807', 72, 0);
    T('-1E+9', '-8688.6693387785834452226508', '1000007696', 4, 1);
    T('-868.8', '-6.988161E+9', '6988160132', 79, 1);
    T('-3256.24844327277595', '-61936831.44', '61937673', 79, 6);
    T('47992.183777166', '-60676855.131199175018970191179', '-60645775', 60, 5);
    T('-882.04629773928375764', '-3687626.41107429378394744266512', '3688376', 51, 5);
    T('3100027.72594657791599601', '47780.07357049192692261641', '3143647', 60, 5);
    T('120.62173785076425212', '3.58', '123', 87, 3);
    T('2.4E+3', '7.831633241977947885', '2407', 40, 5);
    T('-3415788088.05680170011276', '418.286783305940', '-3415788438', 5, 0);
    T('-7.607519E+9', '-28.55176017558090211138706860', '7607518988', 5, 2);
    T('461.9224209864', '-857972.2931', '-857791', 24, 1);
    T('-8.93E+8', '-3.03E+12', '3029280015040', 51, 6);
    T('-8E+1', '-9417857878.50740446653090065956', '9417857818', 33, 1);
    T('-4.796338E+9', '-26144.227515169341', '4796328272', 63, 6);
    T('132.067061087291307390894806', '-3431.017525880870570', '-3555', 13, 0);
    T('-86.3208977', '2.31278876587726210', '-88', 14, 2);
    T('803967071701938.76865399045900', '12439.25231', '803967071714085', 41, 0);
    T('16741812701895847.63', '-7990589273.441129793084', '-16741811959147520', 78, 6);
    T('8.1792795E+11', '-68006393.10508864817198', '-817994383177', 81, 1);
    T('204017.679427381669', '748577582.1394219944', '748519391', 49, 5);
    T('-2884344.044677', '87404.023432036453454206149', '-2971548', 52, 2);
    T('464.8731338580745760796506', '5.014E+20', '501400000000000000464', 57, 6);
    T('-26.9466672714', '-3.49357E+8', '349357022', 60, 4);
    T('13615856.1979', '6.01', '13615862', 35, 3);
    T('-2.331E+5', '534314726214623465.51', '-534314726214856291', 82, 5);
    T('7.54601974143722581751', '23048.0723', '23055', 13, 4);
    T('-6.920864543670434384865', '-9.397656561497', '13', 60, 6);
    T('-302215.73929394586', '757213703304404226.60320264', '-757213703304167813', 52, 2);
    T('-4.049E+6', '8142800436.7810447234106', '-8143539796', 2, 4);
    T('-4992761.456412333749114951448', '-2.424284464E+13', '24242849090567', 71, 3);
    T('8190.27997987052232773', '-2.9788984E+8', '-297889746', 52, 6);
    T('-31.2414449792', '-9933.45324647175888889', '9938', 71, 1);
    T('-9.8763762914848289615', '396141700976.117', '-396141700985', 62, 2);
    T('8.3E+8', '-1.38E+17', '-138000000259470464', 82, 2);
    T('-60.7630936', '4329020821.2', '-4329020847', 32, 3);
    T('-6.2366118E+9', '8.2813E+9', '-2653010168', 51, 2);
    T('-3684.1637133925', '-79.393', '3629', 92, 0);
    T('7.1E+6', '443443.2', '6984275', 23, 1);
    T('1.19E+5', '47.716495355582239792568117', '119031', 55, 6);
    T('-6124.39210953', '-80716087.97802295714508146', '80721629', 64, 0);
    T('-310966.48956626432524482', '67023.890', '-375675', 5, 4);
    T('-1125.39779325960400343394262', '-52003687.927751174', '52004610', 2, 3);
    T('5.55832392E+19', '-3.1E+2', '-55583239200000000310', 25, 5);
    T('898527.4255342', '-545563698.614554472004945018', '-545853935', 95, 1);
    T('-56.32089197762844097910820', '616119.358771', '-616065', 12, 3);
    T('-6.0081256522E+18', '-5.8383438157020995724', '6008125652199999995', 86, 0);
    T('628572664.27242691210576881', '2.2751595912097864663012463', '628572666', 6, 6);
    T('2.6E+3', '-7.10E+4', '-73600', 39, 0);
    T('57.77', '272195246.1324456455365', '272195223', 90, 2);
    T('-18.1376555295137138884115', '68317744.086919', '-68317730', 17, 1);
    T('3710004961.3949424', '-9122399.78683536', '-3718847680', 25, 0);
    T('-2.0E+4', '-199.17240425967571847', '20185', 9, 1);
    T('7076.9941800189387345098350723', '-3E+9', '-2999993948', 8, 3);
    T('-8E+8', '181.065776354494179308710622', '-799999819', 15, 1);
    T('-2.355E+9', '-11668.2996245', '2354994988', 30, 1);
    T('3.7E+9', '-5576677.66930', '-3705443045', 85, 5);
    T('-2884321241.6080979', '9356.47805820932831', '-2884311893', 26, 0);
    T('82612.17502626308111377', '-2441.241374309183033', '-84797', 3, 6);
    T('63.8', '58952.63217', '58999', 63, 2);
    T('-43670.6798927901191899874211551', '-3696188.578698216171116421108', '3722414', 83, 0);
    T('58.44522414344498252841162669', '-4886171.3256238695902', '-4886177', 10, 0);
    T('-7.9E+7', '46610831.959996455383741271', '-108152881', 78, 0);
    T('-1895.648997753472274', '7.2E+5', '-719847', 82, 1);
    T('2.5E+4', '-1.4152577925469286', '-25001', 99, 4);
    T('-21606.489149668894799813655', '-63203.2896394687219507568622747', '41607', 82, 6);
    T('726269.643294', '-9.07811E+6', '-8491425', 27, 1);
    T('11136.91076865688504', '-140982075.6767552', '-140975291', 61, 3);
    T('-422.424709550036089589829', '-7E+4', '69834', 64, 2);
    T('6689.69597169613656996', '4287.9682139224', '2718', 4, 3);
    T('-448224107.381630971', '461707219.76274696282362228', '-20073658', 28, 6);
    T('-384191266.61', '-11.83', '384191275', 19, 0);
    T('8377.1', '-1.90871202303443398357245E-57', '8377', 9, 5);
    T('7003173.086', '385.503946018955321', '7003556', 98, 2);
    T('-4.1', '-4.76E+5', '475996', 83, 0);
    T('2E+6', '-96', '-2000096', 79, 4);
    T('589808146365.411305372723603', '1.74490E+8', '589906351661', 20, 4);
    T('26912.46871875568934950149', '454481.37072523', '427633', 31, 6);
    T('17', '3.7006749322667934061874', '18', 9, 3);
    T('8.96118E+7', '-5201100.26001263', '-85459668', 32, 4);
    T('-92.77235064395569', '-9.384887E+7', '93848958', 54, 6);
    T('3331.624809078235972805364', '5525509709238.06', '5525509705909', 52, 2);
    T('-5.985761227', '4.443E+4', '-44427', 3, 1);
    T('-699594456.888931077721', '593560.51595860204815', '-700184656', 52, 5);
    T('5.4377', '-8694.5294781081310', '-8689', 69, 1);
    T('13465', '-572', '-13987', 80, 5);
    T('-5.32936091', '-47702.33702068569', '47697', 56, 5);
    T('-4611.20850912899555', '1878958101', '-1878962712', 36, 0);
    T('-5.484E+7', '50225015.0366214388242060058', '-29005257', 45, 1);
    T('5547560237456889.0', '68854694.871434272', '5547560169668191', 82, 4);
    T('-3074.75825551394', '8.2752E+6', '-8276226', 27, 6);
    T('-55176.4293378708', '8.9898506696545289E+20', '-898985066965452867608', 78, 1);
    T('2E+3', '7038204.27729795457862171', '7037740', 98, 3);
    T('-673.0902332198495430889776660', '9.15981307E+12', '-9159813070353', 11, 0);
    T('-6472.516779195624758467542103', '30315.724408718070150587209624', '-28461', 99, 0);
    T('8.62E+11', '-9133913.795', '-862009127769', 32, 0);
    T('0.00003097573644428171464019306902', '887.66329468374', '887', 5, 4);
    T('-689343.368320924671604031114', '-7.21712E+8', '722401217', 6, 3);
    T('-6050400819.2384757351063', '-34.7399215121675590', '6050400787', 50, 0);
    T('85.2139633', '260.556357200287432', '337', 65, 6);
    T('1202.416834277463617271520', '-1170490.788291021267', '-1169548', 41, 4);
    T('-371521220.986784472330324', '-4.959E+9', '5128627068', 54, 4);
    T('-4795.9142791723401', '90364910.439323090098351784244', '-90360149', 41, 6);
    T('8.870490121608276493196641958', '-79.55322626892780902982985463', '-71', 60, 2);
    T('-5705363.140800264868773216802', '-1405', '5704686', 97, 5);
    T('-866771.7951981726550019', '-383.320815706', '866476', 24, 6);
    T('-5E+4', '522392.070785286904312569', '-474072', 83, 3);
    T('-53557273902.7906694199755997', '-9999562.2052', '53567271396', 48, 0);
    T('282092028.1892549567898848151', '19.0399174404804934433096543', '282092015', 33, 2);
    T('-4007154.97601', '-2799422.1333864143873822418', '1545164', 28, 0);
    T('-673193881.2683562551', '-8.6E+5', '674037959', 36, 3);
    T('-77929.1612948637729028141524', '1422.744788720637', '-79335', 89, 5);
    T('-156.652', '-6E+6', '6000100', 82, 3);
    T('-2.60603', '1986531.995754449696097028437', '-1986531', 67, 4);
    T('-8791779.11263665', '9.6E+3', '-8782691', 18, 0);
    T('-91075442285259.0048418', '50879.55219272', '-91075442269302', 61, 1);
    T('2.72E+11', '7.95E+7', '271938466528', 69, 3);
    T('-369876701172694230.529449536', '-24115034896690544779.0815', '23890400436701953119', 72, 4);
    T('-465.872371', '7103218.98913', '-7103267', 20, 3);
    T('2145.1', '14.615660583227576854', '2159', 1, 5);
    T('2.26253656E+9', '-8584.52', '-2262544632', 37, 0);
    T('24.904782997504026753119117572', '-7034464.95660998258', '-7034440', 5, 6);
    T('3111699938680699620.13431088', '-8241', '-3111699938680691413', 90, 6);
    T('-555655002.8448630393742361065', '-8654168.320643911858377259631', '563778062', 67, 1);
    T('-9054.137428807', '8.132824754E+20', '-813282475400000009054', 81, 1);
    T('-836648091.91770260', '-9731.71077416367065133895461886', '836639384', 42, 1);
    T('-509293562650436367.4188752442', '6708183649.41116477445481', '-509293569358094704', 78, 1);
    T('845.5852511672009', '-6445685757.790578591918154301', '-6445684914', 78, 4);
    T('-29536430.76147245554288016652', '226353.90961671997', '-29475997', 85, 5);
    T('21593685.9402129', '8.258330E+15', '8258330021591637', 62, 4);
    T('2.2844614389', '-79946458069654609.9138836655837', '-79946458069654611', 70, 6);
    T('25331.7003267', '8.81801759E+15', '8818017590008691', 8, 2);
    T('78602002.792083491718', '-502.0713526160054470918', '-78601960', 80, 0);
    T('-33333383492.932075387572242861', '-176149.9909373000207', '33333289303', 25, 6);
    T('-28039.65233372123691483095', '-6.34109E+8', '634114497', 36, 3);
    T('197304.7005522619847', '-4497511.3086650341132655756361', '-4694751', 59, 2);
    T('-6.8094E+9', '33614001732641.9724291432', '-33620123111071', 100, 6);
    T('61', '-65.919269071264113', '-126', 24, 1);
    T('516181849530.4705321820788', '-139155253.03782461983', '-516044006031', 51, 0);
    T('3585.28691', '23355436899497522988.461', '23355436899497523501', 95, 0);
    T('-37.232990994224830441021054', '5098734.31248443936933510406', '-5098699', 64, 0);
    T('-9.94235209522945101053327378', '-8503225500.86113535918380445', '8503225491', 50, 1);
    T('-35673936.934413797686841689', '56944.1', '-35686720', 21, 2);
    T('271642599.4650663', '119.58490820820', '271642512', 41, 3);
    T('6250572.48538920600621', '-4E+5', '-5863988', 40, 1);
    T('-4.11634915E+18', '-4338748.7620315620773', '4116349150004060100', 89, 2);
    T('629996984095362032322.23857379', '49795.33261295634386183398068', '629996984095362015297', 14, 1);
    T('-4147', '-4.1E+6', '4104109', 68, 0);
    T('-875781647.199089163289885', '-2953776.63628629085', '874400801', 100, 5);
    T('8.7E+9', '-7.8084E+5', '-8699288872', 70, 0);
    T('-54118857.7010325217', '2731.5120400751', '-54117220', 37, 0);
    T('53.75204662849892187982900367', '-4.597902', '-55', 92, 5);
    T('-99485679', '8E+1', '-99485631', 95, 6);
    T('-5.749E+16', '-7224937.14848023208339909778130', '57490000002752919', 90, 4);
    T('721.867422295956778', '-375643', '-375180', 39, 4);
    T('-946.75548003979478195', '-85.2074641', '997', 21, 6);
    T('6829951.016871179064191087106', '8E+3', '6826047', 49, 1);
    T('622743641184829.564164047', '7418055.17281288837', '622743648594682', 43, 0);
    T('1.8E+9', '-7843273.382546701875310', '-1799258057', 92, 4);
    T('839555241149.0760882783407', '-5560665.4987556847', '-839551847910', 73, 2);
    T('-77105604.2973265540', '2.531193038', '-77105602', 45, 1);
    T('-33052615.8615', '995376901.5756876', '-984377540', 36, 4);
    T('38727870600.684219', '870643.57596485176', '38727131259', 15, 2);
    T('2085.81030444', '2555693943.2640871237', '2555691858', 42, 3);
    T('-6040.251947926080', '-9.2E+16', '91999999999993960', 68, 5);
    T('331.613364675748', '-1.444E+7', '-14440309', 14, 5);
    T('2403453.6', '38420746.6294', '40824183', 23, 5);
    T('4.169587936', '179028155.7129619460724409', '179028159', 80, 6);
    T('34449961.62459', '-45591.984964', '-34412608', 38, 0);
    T('-83633019976.53773447034449810', '-5.559E+8', '83110707224', 99, 5);
    T('333382889.51670', '570.1204401421839', '333383379', 16, 0);
    T('4.508', '3868061069.800769', '3868061065', 86, 3);
    T('418.0091745810030', '-96.017497795864', '-510', 90, 0);
    T('-99281.585703164809223158471424', '-44.07', '99323', 16, 0);
    T('-9803134.26142278322657701', '3.13719282586367808444405760950', '-9803135', 87, 2);
    T('4907.58188607278', '38.4437537836421873653', '4877', 44, 3);
    T('-8.8488E+7', '-6791.475', '88482489', 10, 5);
    T('2865804.59994894', '-1142870359.245927250680969774', '-1144351707', 25, 0);
    T('-695625.08256409660616809', '1555.4550', '-695132', 4, 2);
    T('17289.86232001118659557961750', '-80.69055785031058', '-17351', 38, 1);
    T('3.16035E+6', '-7.21E+7', '-75239810', 9, 4);
    T('-974834410.371241816789454', '25.57', '-974834417', 72, 1);
    T('-8.782E+8', '7.7E+6', '-875379360', 19, 1);
    T('-21.8256807248678209329235', '-879775.7496489278571496525', '879754', 71, 3);
    T('9.602726683613', '-1.2472E+5', '-124711', 32, 3);
    T('-36.910760716053862879152161', '1E+7', '-10000036', 17, 2);
    T('5651351.89076411360417296393', '2.18385E+9', '2189218695', 11, 4);
    T('7.53476573670681469846', '8.774148E+8', '877414807', 7, 4);
    T('595766963.184182245273636293', '4424075815.9135676657', '4902134932', 63, 5);
    T('-1120926.06999', '2.895160103162451', '-1120928', 55, 0);
    T('54896.9294', '691348562.550530253237955267', '691401250', 22, 4);
    T('-2780420149135921793.22702425909', '-584595503.4853', '2780420148560784046', 89, 3);
    T('6790022.1336910684562743200', '-155460.4599337435840130601', '-6669510', 98, 4);
    T('-5.417E+5', '3348665.2', '-3890363', 94, 1);
    T('-6038.305871', '-825890.9229343446905823733482', '822708', 47, 4);
    T('46.945448', '-8220273363.99', '-8220273405', 65, 6);
    T('688688.11', '5895334.8736162096615069', '5469846', 58, 6);
    T('71.977973303902730182675', '7586', '7653', 93, 0);
    T('-3.9494509E+8', '45.0686692721292525020931', '-394945133', 48, 6);
    T('616444386.862602723939', '93743066.384', '556291640', 7, 6);
    T('-7E+6', '2.35E+4', '-6984820', 94, 6);
    T('859392037.280813710531904', '2655548377.7194469768589267', '2909879292', 39, 1);
    T('-54359.3516', '762.37869937863465311', '-54957', 37, 1);
    T('-3E+9', '25132.7453806', '-2999992276', 85, 4);
    T('-617319.2731169484257088011546', '8428450.8', '-9040069', 63, 4);
    T('-9.8E+4', '-58059.11824', '105477', 25, 6);
    T('35.5081781927782072', '-2806654.406269554', '-2806623', 58, 2);
    T('-1.44E+9', '528.97195887556669', '-1439999472', 37, 3);
    T('7333892.518619', '5E+7', '43325572', 91, 1);
    T('2.0117353347240032704E+20', '-899504.5706766037676565355592', '-201173533472401029168', 60, 2);
    T('5.21131760226', '648.148483', '653', 23, 2);
    T('-3.11740409138919151601', '79990.09788331264720951263370', '-79989', 79, 6);
    T('-98.88930478231289372131914', '2074927263.780', '-2074927359', 85, 4);
    T('-913328.214784611112675830423510', '-67.49058682616231822988710', '913389', 49, 4);
    T('-46139.6639053880946625469', '-52440.6770995305742886372', '30957', 14, 4);
    T('17784622.80517184', '-4E+2', '-17784482', 93, 6);
    T('-22828.0689106938138417', '-91446777.6', '91423955', 33, 3);
    T('-88449148.1', '4.317E+17', '-431699999920545916', 14, 2);
    T('3425684.80010', '543636.816', '3935744', 77, 3);
    T('2.8562541E+8', '646127.184155724438277645725', '286234541', 33, 4);
    T('-79726096.588', '-343.3322586', '79726425', 21, 6);
    T('-38349.955150312860472', '-232', '38187', 10, 2);
    T('-5.1516005E+8', '58.841624840467697137919528094', '-515160012', 27, 5);
    T('782233318.7', '-6852839.3387420', '-787971585', 79, 2);
    T('3851439.4062445945840245246863', '-3815181.98479', '-62372', 13, 3);
    T('3.947473844646681E+18', '-38.8946', '-3947473844646680974', 6, 0);
    T('190.2280', '868016624.434010', '868016462', 75, 4);
    T('-134692.49641807269831358571', '988.685', '-134656', 48, 4);
    T('-5615.41849857749861774', '-979799.835128971154395913', '976568', 45, 2);
    T('458986816.0249793810694140547', '84074069.03', '509168405', 80, 4);
    T('-5392602180.920991535315442', '-448781.3454562879', '5392452943', 22, 0);
    T('-39905.1583594265066190153939', '9064617.4636183927558835199972', '-9096010', 7, 6);
    T('72.976642188774696099231', '878064134.9483134906', '878064206', 56, 4);
    T('170', '-1326.6763', '-1416', 98, 3);
    T('-5566888.9', '-6.4E+8', '644968024', 51, 0);
    T('746.526811759410', '-218799710.35705686620', '-218799288', 97, 3);
    T('4.78755E+20', '-17912', '-478755000000000017912', 8, 5);
    T('7534.23', '4E+18', '4000000000000007534', 3, 1);
    T('838513.71214', '3289710258.351267953849', '3289920963', 64, 2);
    T('31091665991312729584.3856011114', '435642.34249648128496525', '31091665991313080394', 12, 3);
    T('9.0858899973973302123571369182', '386437.5111133', '386444', 15, 4);
    T('275.89', '-9953141430673123.49943474303', '-9953141430673394', 52, 1);
    T('707.759144460699', '3236790217124344.23888019862366', '3236790217124667', 26, 1);
    T('1.0722E+6', '218.898501162595584500501520', '1072274', 98, 4);
    T('865.7283422101', '-2837254.0495', '-2836581', 31, 3);
    T('-226948808.914143789916', '4333130.5382908751897338420', '-231008398', 14, 1);
    T('28.2808397734442003659', '-300.101323676155792369896185217', '-312', 77, 4);
    T('-662942.4427124210421645', '-63.0330777066233567770383656', '662947', 7, 4);
    T('4.1E+12', '7.7739793E+17', '777395363874933760', 50, 1);
    T('2500217788.15727', '1.92E+4', '2500198588', 40, 6);
    T('-7.058428558E+10', '-8310226960205219.32871405', '8310156443122729', 91, 3);
    T('3.80388392360', '-24885.69376', '-24888', 14, 6);
    T('-657974.562700385069792935990', '-38.864961', '657936', 38, 1);
    T('636344.19252812', '250167.5472331829', '681103', 48, 5);
    T('111.121428857208655694689518', '17875486130193647357.1419', '17875486130193647250', 46, 3);
    T('-1.0169332441707506731217', '5.4390880305941', '-6', 16, 6);
    T('2406408.6282138714275068022', '-24.540559820536354850691', '-2406432', 36, 6);
    T('-4.27797', '372.43505463704748505', '-376', 7, 5);
    T('3109921962942.54526753233030874', '-443.64289535034951932459', '-3109921962501', 91, 5);
    T('3.476E+20', '-403018.1370288516582212764', '-347600000000000403018', 85, 2);
    T('-6336625550.1163978394993819166', '-27013.51889904369517', '6336631305', 59, 3);
    T('-1.40213170875E+15', '4329737.25069315275175', '-1402131704691111', 70, 5);
    T('29.33416155485', '308619247.0', '308619250', 72, 0);
    T('-6196877', '5844256559.191030501790005', '-5838916004', 16, 1);
    T('1.09557708184998993406238', '-891359.296132457579', '-891360', 25, 1);
    T('-92987580.9910647', '2670.777909', '-92990166', 12, 3);
    T('-2.9697766212722447282', '-9.755E+18', '9754999999999999998', 94, 6);
    T('-2.03989', '64.72263302162', '-66', 16, 5);
    T('8.9E+4', '328001106.006254532721539', '328056314', 24, 2);
    T('3667679069', '-159512419.7022', '-3541934144', 67, 6);
    T('25089900.7429082273439', '2929430032.139', '2951043452', 18, 5);
    T('339514.70637', '5.3E+15', '5299999999684154', 18, 1);
    T('-67585258.471267723746006600529', '5.4E+3', '-67588594', 79, 5);
    T('-6640959.267205530756557356625', '-1.5', '6640958', 75, 0);
    T('3.3812E+17', '5556904870.9', '338119996590990246', 82, 0);
    T('-520.803537206876961046853417', '-3.7843818', '517', 80, 1);
    T('619.33340723', '-59.2838499892567232601592529', '-594', 18, 2);
    T('-5162.83132409', '7.24415', '-5167', 49, 0);
    T('8.8E+18', '-7.746309015611378144214', '-8800000000000000007', 5, 1);
    T('-72416742.87205016667', '72276.5579191922932423734420', '-72476594', 30, 2);
    T('625763606.19708', '-3.504085670E+14', '-350409191714474', 13, 5);
    T('8103.9226387561627813325', '-448.2083224581891776392383', '-7705', 18, 4);
    T('41.4', '6.8', '47', 76, 1);
    T('1.204877755506E+16', '-981424426', '-12048777390783498', 82, 4);
    T('8509376.036797868', '-390755835.088018548', '-399221307', 29, 1);
    T('-39524.4895519484084726', '3451798.62521328428', '-3420662', 23, 3);
    T('8.84831E+6', '6992.324727810003', '8853734', 8, 0);
    T('-32470378738939.907462297063978', '453724246704.6', '-32855383172683', 99, 5);
    T('5839.1606215147987390758', '-9509.64986149466', '-13292', 72, 4);
    T('-8862959.9812', '497576.718990492713', '-8432455', 9, 5);
    T('3296.595', '298356.24262596002', '295316', 90, 4);
    T('-249.8527', '-5.394719005617770135', '252', 82, 5);
    T('-9707.292813444921534323242', '-6061.442852033901', '12870', 92, 6);
    T('-2.53070255881986E+16', '3432266.334339682132921419507', '-25307025591616398', 10, 2);
    T('-6.5267E+15', '18.827628254411071373691249210', '-6526699999999982', 30, 5);
    T('-17698940.863613493440557148971', '2299339.185590737', '-19727793', 34, 0);
    T('-38.975887797923', '-65428.978', '65462', 88, 1);
    T('23607801.092345078751336557', '-181038399.847870', '-195187912', 73, 2);
    T('-3657742.51404', '-683495.654790', '4046315', 98, 0);
    T('-165.178299', '508060.6488975092488152218751', '-507961', 5, 2);
    T('84.884528480', '7492.5766726981136400527262277', '7440', 49, 4);
    T('49389.287811', '92455.399469634169133750913678', '109002', 24, 0);
    T('-5244954.74810840570853229035', '2630.75249960937364564210359', '-5243488', 93, 3);
    T('4.3534271847955345E+19', '40.5113971', '43534271847955344960', 69, 6);
    T('-406203578.085332786480804389', '5.96565', '-406203581', 98, 1);
    T('-7.2260E+12', '5.773681211347771', '-7225999999995', 84, 1);
    T('35.586139468426019324', '-42075449.410844038487832751476', '-42075420', 15, 1);
    T('7256.552358396140', '5.0E+3', '4048', 70, 3);
    T('97723201.42166763228', '-5.211715674', '-97723206', 5, 2);
    T('85738.360246484', '-629595.215383675334220179687', '-578993', 95, 3);
    T('75414414.603659', '4.96E+7', '109735310', 28, 5);
    T('21364523.70915914785556872', '3921995.222457073931490811', '25044832', 53, 3);
    T('-7483139.5134570767384667', '-18170325.0446', '23555798', 67, 5);
    T('-5.948E+19', '1122.042007783', '-59479999999999998878', 32, 2);
    T('5.3287E+7', '-5770.5083796212488742517098373', '-53284562', 21, 2);
    T('-455776162.331660435457309841', '618185.2573357851356', '-455342441', 1, 0);
    T('337.8717194187600224156695', '842165.0', '841956', 29, 5);
    T('-8490037.91', '-9904705810.731900426142', '9912999205', 95, 4);
    T('6668617.3852917', '-7427515.0658470312248247754', '-1348852', 92, 2);
    T('-1200.74', '235215958.611733823488904335', '-235215098', 98, 3);
    T('-397.97279557737', '-1039.13353859625123949478503', '1410', 24, 1);
    T('22362', '-8284779.0728242559478153706376', '-8273201', 43, 0);
    T('424687558.817887', '-9664.02462', '-424678010', 17, 5);
    T('-3.18027086E+9', '-3687127.159', '3182909405', 52, 4);
    T('-95236971.3413783746', '7983236459.236544', '-8027616770', 88, 5);
    T('-3632.2113719469830328488279', '3684.104', '-76', 49, 3);
    T('-4.89E+4', '2058166166.39942245583439205', '-2058199190', 90, 1);
    T('206.8', '-4.121E+8', '-412099922', 70, 2);
    T('900737574.0', '-84442.9', '-900817920', 91, 1);
    T('-3706.654672476677796', '5588.6300909045', '-7086', 6, 4);
    T('-816935.73855681', '-27.5615155104795352925812541', '816956', 4, 1);
    T('6628.47340679', '6281542.1362375371', '6275234', 78, 3);
    T('235060856.53271', '704.656956509268897374318', '235060408', 17, 4);
    T('-9648040373', '9E+2', '-9648040497', 100, 5);
    T('48.705274330529984', '87271.87672342', '87255', 6, 4);
    T('421688.764', '-4691592369079683874.92467', '-4691592369079575578', 15, 6);
    T('-5.8346E+5', '6.24577148', '-583462', 60, 6);
    T('7950.18165396399921088965682273', '47332.51', '42986', 77, 6);
    T('376883.39045231', '28833.265050241', '372882', 91, 0);
    T('6.13295883235E+13', '-5804213.8', '-61329583576089', 6, 0);
    T('653273.6732775', '-459631.7231', '-980152', 13, 5);
    T('-8.705678580698238689899876522', '-889.1625500059158626467374848', '895', 70, 2);
    T('289516792.4265310593782895', '-2.2483467', '-289516794', 18, 0);
    T('80995.842108294', '4874231496.6862290', '4874298027', 3, 3);
    T('8E+3', '-4.25375803164E+15', '-4253758031637248', 80, 2);
    T('2.6379E+8', '-2.509E+5', '-263899556', 44, 0);
    T('-1.15618477225E+19', '4.9487E+7', '-11561847722457076840', 85, 1);
    T('-4496.803693392505', '906755.294587398100', '-903053', 18, 4);
    T('-875110.2075494', '-947.4', '874967', 71, 2);
    T('7.25937086E+9', '5813356.9437232039799008041880', '7263060224', 7, 2);
    T('-424381.0851763330049144', '-101978566.69056205', '101869689', 85, 5);
    T('-1921555.15853', '-5.892273E+17', '589227299999266285', 7, 0);
    T('-671990438.480573216711137000368', '430.30767742879', '-671990540', 40, 2);
    T('-3426.92655', '-3.7965385270558767E+18', '3796538527055879994', 28, 1);
    T('-899873935626461.1124', '943.151216998760120881656629541', '-899873935627124', 79, 0);
    T('-2.0310082', '22694.66271085887042477', '-22696', 79, 2);
    T('-31711.682926022878847088077140', '901491676.6493727466581', '-901500931', 71, 0);
    T('23769.8196383254854229357227564', '-172.4837', '-23667', 25, 5);
    T('2688911.270511050938060', '7385.3813', '2693974', 60, 5);
    T('6169288.9753925061622', '3.2E+14', '319999995159240', 47, 3);
    T('9.1E+6', '-681111403', '-672281995', 44, 2);
    T('150.39649279997820', '-56264.180425', '-56146', 43, 4);
    T('-2108412.6186081211097181925363', '4362289.12377', '-6470603', 50, 2);
    T('-13485182.052928000501038882306', '7344540903688.4143934571', '-7344529190262', 81, 2);
    T('-8.4E+18', '158333.11430', '-8399999999999841667', 37, 1);
    T('-3572842', '9.1343', '-3572833', 94, 5);
    T('-873982128.86880504990838', '-3.601034561366694255092', '873982125', 78, 6);
    T('-50900356855.08450451278', '-1.0E+2', '50900356757', 51, 5);
    T('-7294.3812617915011231751158398', '-408853.43920331858559980380', '401769', 14, 5);
    T('-60881.645048819155549206', '40981.7197173098414010', '-19910', 98, 0);
    T('-1.2E+3', '-1192735424.183173000', '1192736272', 79, 0);
    T('-2628371.871329389', '2805926269.93', '-2803307120', 53, 0);
    T('2831081.628756053922757', '7687218.514113949', '6192859', 82, 3);
    T('7.851779E+13', '-468408.216574208', '-78517790074424', 56, 5);
    T('-1.9E+4', '-51926403.62660887286912018', '51912629', 21, 2);
    T('784.6063176373886349290083', '-403.83016959541615', '-643', 47, 1);
    T('-9E+2', '-3163740.2098', '3163608', 47, 6);
    T('99.4069997780976277910', '-58.2937632829663626242', '-91', 93, 0);
    T('-84689084.096393301951602', '65.907097445', '-84689147', 79, 4);
    T('4.99974665E+10', '-5.25E+12', '-5282683312252', 42, 6);
    T('9617.464', '-6.3615032479263', '-9621', 23, 4);
    T('-7E+8', '-5.3E+8', '908988032', 96, 6);
    T('-1918989.96720487', '791061713050742405.6987601174', '-791061713050953354', 14, 3);
    T('-6179240020.716', '5.0E+9', '-1514818132', 31, 1);
    T('3.35171696E+9', '4.7045E+9', '8047811904', 8, 0);
    T('-9.3182319E+8', '8.08574E+13', '-80857642614870', 21, 3);
    T('-181534050556.653660469636574', '146955387.326541314287082968814', '-181672580225', 66, 3);
    T('32401867.7532819713013', '2746074.200456', '29855505', 79, 0);
    T('59350.6', '-809.78256', '-58623', 81, 5);
    T('717218383.822092974782371654649', '83000.410819316851808002', '717137527', 89, 5);
    T('11.2391323666217937', '-9E+3', '-9005', 34, 6);
    T('-22741103.73287346806069094', '-912.8023777911841890319849209', '22741985', 9, 0);
    T('-36501371.4395947212859848', '-4.193E+5', '36344473', 31, 2);
    T('-60366406.16487083969634888', '-7.684342E+8', '777289298', 40, 5);
    T('-824704.55889', '-2E+5', '1022016', 87, 6);
    T('-2078.2737806849383649188943', '-6844716.0852769777239516096694', '6846774', 37, 0);
    T('-8332.6706', '43494.8220860914584920037824371', '-35182', 85, 3);
    T('467698.1051564405504045233', '-78.745339', '-467648', 96, 3);
    T('-91652.852', '-3.6E+7', '35927804', 49, 2);
    T('-84611760.6414087323633', '1414756.9310583979105789534438', '-85886156', 85, 1);
    T('-9.768E+5', '8473920637.53039', '-8474272739', 4, 4);
    T('-486.99359791931442386205790', '1.4292E+7', '-14292422', 23, 0);
    T('-150676.580806247723', '-37041.941066150715611675395000', '187427', 42, 6);
    T('4.1E+3', '-8.2E+9', '-8199995900', 75, 4);
    T('-6702.85286', '-4.8154E+7', '48160674', 95, 6);
    T('38601917.643602953010559109', '-413296.8', '-38488787', 91, 2);
    T('-765177762.429837098291723397619', '-1685.87903', '765176117', 17, 1);
    T('-6052650442259.9', '-1.44397E+9', '6053354104285', 21, 5);
    T('2.03597129', '-56840.67820', '-56838', 17, 0);
    T('8.06698E+6', '1.2E+9', '1207802788', 73, 1);
    T('8.94E+9', '847098.22', '8939208698', 72, 4);
    T('7.22868591518219001342430151108', '-869093790.69392505209188425181', '-869093787', 77, 2);
    T('-6801387162.362907093255', '-75.041412002994', '6801387219', 1, 4);
    T('-28310.684600986214', '-8.51580', '28306', 39, 3);
    T('-435608.5226796616', '32873.1157961421570', '-402943', 47, 0);
    T('843.473994167780619', '4591289143.3241', '4591288444', 82, 4);
    T('701.897336474726042639', '946883.5', '946302', 70, 6);
    T('-228397437.31017311031', '722.97835683824942', '-228397999', 48, 0);
    T('-222125138.61886532476', '691142060.732895813375551655903', '-604807678', 9, 0);
    T('616466419795698944.842468', '-9.4438E+8', '-616466420463254880', 99, 1);
    T('-1709346.24742118219990', '8.13E+7', '-79863554', 91, 6);
    T('-1473.7354071640508706877977898', '5.7539533038688045527', '-1478', 83, 0);
    T('-5527073.856', '-79261252786121.887', '79261247816168', 54, 6);
    T('-8.03586035966E+13', '-8E+6', '80358611595976', 80, 5);
    T('643.759487184506988306519', '-709445.7671942768069931626', '-709064', 36, 3);
    T('-113.058498560913247229277495685', '-1.58661007732E+16', '15866100773199887', 34, 1);
    T('9E+4', '-4.241634248E+15', '-4241634248089200', 10, 5);
    T('-9.93E+16', '2.3863E+7', '-99300000019652904', 70, 5);
    T('22331897.010401352411', '1.98783776042631E+20', '198783776042609258041', 93, 6);
    T('66390.7672287373', '-9423.196', '-75673', 8, 4);
    T('9.2E+15', '-323627.761688456671754', '-9199999999799339', 82, 6);
    T('-94051.8954569', '2.7778575749303929169', '-94049', 26, 2);
    T('-473.8606150917696491', '-7.94E+7', '79400423', 68, 0);
    T('839159760.6691335', '-373330.7478451179', '-838942082', 31, 3);
    T('-5882089.36431317712937', '-1498.96675116006967322500', '5883185', 99, 0);
    T('6854330413.6980', '-9.076848E+9', '-15125282131', 31, 5);
    T('-9948.1448618220838263815', '-42023810.56875', '42016090', 97, 0);
    T('-37123923.25774', '-1924282027.259552738157', '1887715832', 98, 2);
    T('-6.98437E+8', '44108777.243034178', '-721438319', 87, 2);
    T('5.89112603973416', '-2.38990243779067885720726227', '-5', 62, 6);
    T('-4944719.7742880', '8.73E+5', '-4596071', 31, 2);
    T('-8.582557256E+16', '-54753580.596626387267853090052', '85825572581026516', 44, 1);
    T('42653609255226995.588800895750', '4.9E+6', '42653609258715859', 23, 6);
    T('5.4158257535963', '-6.287E+19', '-62869999999999999995', 43, 5);
    T('-1.559E+9', '-1914036143.398926334581391', '788114449', 30, 6);
    T('-6.738E+5', '5116778906.0087586717845086', '-5116105118', 4, 2);
    T('-2.2542E+13', '-6675.08', '22542000001517', 32, 5);
    T('-3.91147E+9', '805383797282.50285350824298', '-804999737742', 28, 2);
    T('-234821422.87658587567432985', '-5799.7291274', '234815883', 43, 6);
    T('-6428940505.1904', '6628623.9382401645053934560918', '-6431243736', 18, 3);
    T('-36642480.89246679459184218881', '6059.48216', '-36636933', 3, 0);
    T('-2096741.32871493133466114', '-8171045.9883426158427793', '6508608', 17, 6);
    T('478.81019097929011690067', '-74988.0146', '-75062', 100, 2);
    T('80936230.804995363503241', '-3493450.83', '-82293616', 25, 6);
    T('2.68538117203E+15', '62.79226773876730514236', '2685381172029966', 42, 5);
    T('782.0556988873', '1977.03670864443349722143', '1207', 45, 4);
    T('807.02276685784184781058894', '44810797.7489185272919410866645', '44810506', 57, 3);
    T('7.03413052E+14', '-855627756.2796637464291069827', '-703413367574764', 6, 1);
    T('627', '9E+7', '89999603', 98, 1);
    T('940365985.18042057396155', '8.87825329194960974327328', '940365993', 13, 1);
    T('6105967.3661395138344035232931', '-737.5998847528849692', '-6105488', 42, 3);
    T('-984378050.87377', '-5028.7479055899273', '984381794', 20, 5);
    T('3392.304550352814840031694200', '9095140711762948360.166', '9095140711762951240', 15, 4);
    T('771.4', '632.2059', '379', 3, 3);
    T('-6.394E+6', '-8471.44381935366194334718096', '6402457', 62, 3);
    T('-793.844127322779805395433', '2.38552E+6', '-2385257', 41, 4);
    T('5600247951.224120220', '3.0289170046E+18', '3028916999420886671', 24, 3);
    T('-89256.8878', '-85921282051725.190', '85921282101803', 81, 3);
    T('8E+4', '6422.3602455845', '74134', 44, 2);
    T('9252550.8323472441588', '514.39', '9252036', 30, 4);
    T('5E+3', '-8575.253087164', '-13047', 19, 5);
    T('-6003.879044258449072029567414', '9643675994.618522943121057', '-9643673129', 50, 6);
    T('-63746938.885652', '-419251951.981967427347', '456258967', 5, 4);
    T('9645851042.1093913131633094524', '-203915300.20176508862136', '-9442918786', 10, 1);
    T('-9.65E+12', '8581.9988745378412163433370611', '-9649999991419', 69, 4);
    T('-3.663075022104488E+19', '-60801595.442437350', '36630750221069897797', 12, 0);
    T('-131793.1064592744395778755', '39040346188.899602797921321055', '-39040477853', 100, 4);
    T('-9327284.513290546526417606553', '4.79273208826', '-9327288', 96, 6);
    T('-2.684222E+8', '-57577236.503510269404906662', '210846500', 7, 2);
    T('3173681', '314014500.22183560438330698577', '310842901', 42, 2);
    T('-8.5817E+8', '9E+7', '-914090000', 61, 5);
    T('-2726.34794447', '6412.02549', '-5034', 22, 0);
    T('-85195620.843926542456167897524', '6277821.5872814266590', '-88879583', 25, 4);
    T('-21585.9306183019', '-917725902.4', '917714589', 61, 5);
    T('51.882386056615', '-80421957.850839736153765645', '-80422008', 8, 5);
    T('-60465116131433436.1929130797521', '-2.63234E+6', '60465116134060360', 70, 2);
    T('-9.848649067176438089791915', '48127.26462156801679', '-48120', 78, 2);
    T('-819.2585066223362608', '-6.6E+4', '66301', 76, 0);
    T('9575008330.645595327688769', '565608.33377894', '9575573794', 38, 1);
    T('9340280.16781582097', '-27.1568217293905102596', '-9340259', 66, 5);
    T('6.034869628161217438390694176', '-6942.0967073694286076', '-6940', 44, 6);
    T('6.4160E+5', '9119699705.51879', '9120143545', 1, 2);
    T('2477.59055134978816852330027', '-9967312.550466', '-9969507', 22, 3);
    T('286068571.11897000258932747', '2.673352', '286068569', 31, 1);
    T('-9530178.67384361830316315833958', '3.2529E+6', '-10537446', 92, 0);
    T('-90623.101375967532174291084', '24477', '-81508', 44, 2);
    T('5E+8', '7841864007062216.1646050', '7841863550236616', 40, 2);
    T('1.96317E+6', '-53.196422631009096621588', '-1963159', 21, 5);
    T('-2.8E+3', '9630345.166922140', '-9631847', 71, 2);
    T('-1.7835E+5', '-8E+5', '953426', 61, 3);
    T('-52.61884558082563902713026940', '-139.1409120384697663', '185', 62, 6);
    T('-5325.7336', '84.7537939', '-5273', 97, 5);
    T('-7E+7', '59.478163787832265', '-69999941', 75, 1);
    T('3.240141477669240682367817E-897', '5116.02522309753395251351', '5116', 10, 6);
    T('608204.94445237242870436', '-30062.062023689349550799', '-602786', 83, 5);
    T('-591.214819754626954606', '8E+4', '-80591', 32, 5);
    T('-7.3312715', '8.8896E+6', '-8889607', 15, 0);
    T('-6.45682E+18', '-7E+16', '6441144953982009344', 21, 3);
    T('-3.28265942E+20', '3.92599120545645631182947', '-328265941999999999997', 33, 4);
    T('54594392.77245863496272296803', '-9.199E+5', '-55509508', 13, 1);
    T('1507.0342071095813', '-66.6991', '-1443', 93, 0);
    T('-31.0802', '24065.5234280156678247714549525', '-24096', 59, 6);
    T('-71.1343394152702', '-214902.7261318', '214835', 65, 4);
    T('37125191.9', '-2365250.49921208790379103889594', '-34761479', 17, 0);
    T('-3.0839052472893247457556974', '927842722706.391254435', '-927842722705', 64, 2);
    T('-238.280587704669', '-1605822.22352379914925', '1605712', 56, 1);
    T('892.4989311846', '-734.21028077467995441398628', '-418', 56, 6);
    T('-9.72223588', '-490370.43371189497407969708', '490377', 61, 3);
    T('977762', '186675.487627608', '799313', 44, 0);
    T('1.20573347889719243', '-4387.922673733', '-4388', 28, 4);
    T('364027.35012598186', '2163155656.54700', '2162863923', 42, 0);
    T('1971.978', '8.3260427864E+16', '83260427863998899', 14, 6);
    T('-101', '7985486885.675', '-7985486914', 55, 6);
    T('-44370.3344049019', '-4307535.22639352547', '4265759', 11, 4);
    T('6406219.39480', '8945.25', '6415034', 76, 1);
    T('-603777.5278379', '-3.5E+3', '604971', 3, 5);
    T('-2.40E+6', '2.254074010686796323770616', '-2399998', 60, 0);
    T('234199.11784296623790249038', '39.0487960', '234224', 25, 2);
    T('8.9530398E+8', '28931.20426163822112458357970', '895299631', 6, 4);
    T('-2E+4', '820.349246823191159156', '-19756', 15, 6);
    T('229.172534', '874680522.7', '874680367', 53, 6);
    T('11468.621485723421', '-4868.85', '-16336', 44, 5);
    T('-1596.62173758366552799434653', '430.830', '-1942', 38, 3);
    T('3321036501.2410756141', '55152.6', '3320981925', 35, 3);
    T('870.8041270946897768661357065', '777052215174.38883837', '777052214496', 46, 5);
    T('-78.221240035358446', '69866508.2639052411860110507405', '-69866562', 48, 1);
    T('8450721249.045', '-47.8', '-8450721232', 73, 0);
    T('198226873.76816', '4122545154.6888961727', '4268343227', 72, 0);
    T('553035283.791881431907', '-703.08603487505', '-553034926', 76, 1);
    T('-3.631E+5', '4.1', '-363104', 95, 1);
    T('-552617', '7.89325113769', '-552624', 58, 5);
    T('-9.72E+7', '-7.285E+4', '97139694', 73, 2);
    T('-3E+4', '-4255189222.3649', '4255219146', 42, 3);
    T('42864910', '690.34173907163306', '42865596', 22, 5);
    T('-39566.46095175', '2142.338373901544529588158765', '-37588', 50, 2);
    T('-9714134594588414.36558475407', '7559378.43860', '-9714134593361456', 15, 2);
    T('5.106868539', '-44937.198384407515672484442', '-44942', 58, 5);
    T('3.301728831465106491463032', '4.02E+3', '4023', 74, 0);
    T('447305842.8', '-9551.18088144494319174028302', '-447315261', 2, 4);
    T('193271759.0280992443976', '-320', '-193271537', 99, 2);
    T('7.71920E+7', '-34.415615813385833542605', '-77192034', 90, 1);
    T('946466533.7473629165', '8546865.93144023', '954959060', 91, 3);
    T('-1436.244414023594357', '43688.31232', '-44852', 96, 0);
    T('4.026880', '7.02E+4', '70204', 9, 1);
    T('-768881251.4663616417048', '-5.100114949825200E+19', '51001149498961610909', 35, 5);
    T('187.59480150629204957445902947', '-111.309718764', '-214', 52, 0);
    T('-6204.0', '7880.9841119000354335408542372', '-1780', 81, 1);
    T('4.91491347E+9', '765.7738522', '4914913859', 33, 6);
    T('-80534108098755435.03611', '9.44176', '-80534108098755428', 29, 1);
    T('8.4E+5', '3.0810933465035308338577', '840003', 47, 2);
    T('-570517073.19371571814', '569.5127340386595916589647', '-570516586', 45, 4);
    T('669439749785.08882421714', '-994828.7917', '-669439803539', 13, 2);
    T('-959150.723126858041', '-572.74880263', '958614', 95, 4);
    T('-6.50169628368921', '-5387657.21040835102210', '5387661', 83, 0);
    T('3891345.3664021363416113067', '6160.434531', '3897473', 50, 3);
    T('3.7685E+7', '-7497.156145465651', '-37689921', 25, 4);
    T('1887.975353145868', '-15258400.512125974972', '-15258689', 48, 2);
    T('-153761.534012069097', '24390723.6684475757149318329941', '-24540388', 85, 4);
    T('-7460.0623408399587143', '7776.628952', '-836', 38, 0);
    T('-7.1E+8', '-8.166948213965661', '709999992', 77, 4);
    T('5137846.42730383248777474505', '561.78742', '5138311', 19, 6);
    T('82081.1620', '23993.281736359', '72984', 72, 5);
    T('-9.54454135597428548228', '1103092.647980', '-1103101', 12, 2);
    T('-9.37374E+19', '-9.823936983346034041709', '93737399999999999991', 76, 0);
    T('-51.591150996014593054', '9E+7', '-90000051', 19, 0);
    T('-4.67626E+6', '91.91792597632596689819548149', '-4676345', 22, 5);
    T('-8.0674397', '-9.036093E+7', '90360934', 2, 3);
    T('7116487552.2186623022727936892', '3708.364999971', '7116486140', 10, 1);
    T('10.3', '-1.846226E+18', '-1846225999999999990', 87, 0);
    T('-107.912794313803781', '-5120.05', '5013', 2, 6);
    T('-1103.343810597443932465', '7425.40438381169157824052434', '-6480', 81, 0);
    T('67.922', '-109694616.869226785381152', '-109694677', 71, 6);
    T('-628466.69686465380285212434', '2.32565E+9', '-2325154978', 26, 4);
    T('81042441.441', '-35.610231', '-81042476', 9, 0);
    T('4.26392830094752521376054484', '7540.48', '7536', 26, 0);
    T('460365892816361.13677', '-4016166.520', '-460365896828365', 95, 4);
    T('-1.5841E+8', '294829543.9835', '-417569001', 27, 6);
    T('-67.593', '11216921.211774823846', '-11216988', 26, 4);
    T('-8.0425585513063', '-71146662.22040241817667577', '71146658', 92, 4);
    T('132.0238816471973503211', '370696800272230.6603721021331', '370696800272354', 85, 1);
    T('-4.76E+4', '-6383321.022683961171', '6414135', 1, 6);
    T('27231.480', '78343903358.5029662778149902', '78343926305', 37, 1);
    T('8.74944777678E+14', '-35167465.557958814805', '-874944811724889', 43, 2);
    T('-581.8', '6.5992687203742', '-579', 57, 1);
    T('8017597.24016724109144', '-9.99E+9', '-9983040451', 96, 3);
    T('-1569797.72793562668562197427348', '-9E+9', '8999333371', 76, 2);
    T('79.787062577201541', '755.375487811122791170', '700', 77, 0);
    T('964846446.45', '7.7866168038346785879018', '964846441', 34, 2);
    T('-32.12332815670731047716943968', '-179.07983313841920927752260682', '173', 39, 3);
    T('-5.53E+5', '1609549787.7836720675456563663', '-1609021437', 33, 1);
    T('9E+4', '56.425155869482547062670852', '90024', 36, 0);
    T('-8932748611.212115', '-4E+4', '8932716925', 40, 0);
    T('-69.07963757454421148', '-6664.377040442654', '6723', 36, 5);
    T('5730087.273499', '94057623.484305080892010643', '97278896', 87, 3);
    T('-191247548.5412113853010406', '655261.935', '-191875879', 42, 6);
    T('39051658.794276', '-3.68363987E+12', '-3683611321254', 55, 3);
    T('1303.5', '-2301454089.70177588245', '-2301452832', 46, 6);
    T('-13.3436064896725348427056', '-9.671459753706716E+17', '967145975370671587', 29, 6);
    T('-8216.64505556808009692582731203', '895746.607129701955645861115', '-887574', 32, 1);
    T('5844373.28263145442', '-266999.795267', '-6111076', 80, 2);
    T('-3530840460.60755119525614263', '-111586.35', '3530943082', 61, 3);
    T('-4.97391E+12', '5608.86801710931490', '-4973910004888', 94, 3);
    T('-7.936755171976E+19', '3E+3', '-79367551719760001096', 4, 5);
    T('-6314939477.022003132277921', '-99.56456561797838830571', '6314939446', 82, 0);
    T('2419.95737424298', '37.938712240456270', '2390', 12, 1);
    T('-6.2E+2', '-775275766.403', '775276190', 72, 2);
    T('516128436.4', '98858.2117475170', '516095134', 90, 6);
    T('4.049399835000872E+16', '-806345.9', '-40493998350814297', 68, 3);
    T('-2.891E+5', '-706191997773519132755.1', '706191997773518893337', 82, 6);
    T('-2933259866.1513310729634126', '-4.40248E+8', '3035125990', 26, 0);
    T('-98214093.4664224760150', '-8.6098304357', '98214091', 8, 2);
    T('-90.5884957034514356475624258927', '1E+4', '-10058', 73, 3);
    T('-70.6714905022', '-9187670763.20386382754559011', '9187670703', 85, 2);
    T('-57693.20186843821044', '15178871.3491988488635', '-15170860', 61, 4);
    T('1416844.1', '464117.6', '1215097', 15, 4);
    T('3420560.98670939', '69538258.0232876528564', '68231234', 89, 4);
    T('-122580433.2123401', '4.97746E+7', '-96071129', 53, 6);
    T('-45419551558671330863.704899381', '12621.08537206060717088835', '-45419551558671327076', 45, 2);
    T('503.0057905363', '-8637449169.918', '-8637448744', 54, 0);
    T('-4967692.52344721', '853823013.1018721045143461', '-850363183', 66, 5);
    T('1985114449', '-471.046943', '-1985114248', 32, 0);
    T('-495473.0250', '10690034.90481630', '-10785411', 23, 6);
    T('584838484559221.94855990', '-5907313.72718923219', '-584838487057926', 29, 4);
    T('-78871.461188', '-45136.948574336810', '99417', 97, 5);
    T('104.638017957547835440264166', '-277.79', '-381', 100, 3);
    T('48.48170464', '981006193.93406415', '981006145', 43, 1);
    T('2.3E+6', '-3', '-2300003', 54, 4);
    T('-5281.14013', '-1849159', '1844198', 47, 0);
    T('-4.710288868326467', '-37273.2802085107010247247081330', '37275', 16, 6);
    T('-7299555.241635910', '6978788664.10999209', '-6972554459', 60, 0);
    T('7811533860.7807183', '-3481409.87242614275708', '-7812911973', 64, 5);
    T('-499142602.50579850180209', '-60.868507', '499142642', 52, 6);
    T('471831854.8164809588293875055', '4.98641490629198957057', '471831850', 98, 1);
    T('35483', '-84.118640472483', '-35529', 93, 1);
    T('9630.8695180898155', '3074986187.90662094832979', '3074995541', 33, 4);
    T('-9476918950.478369', '-1498.075149566412056190', '9476918140', 24, 5);
    T('29695418.30748574062503753851', '686.9', '29695764', 56, 5);
    T('-6937052027.07', '-7094361.94735473529', '6930514722', 67, 0);
    T('5067.390161717177663327516573', '2.656E+14', '265600000005067', 5, 4);
    T('5.9948E+5', '-5.74E+6', '-6205544', 88, 3);
    T('7585.8140234332', '4.91329908932', '7589', 58, 4);
    T('3156652.32', '52916', '3204120', 96, 1);
    T('44.30274239571907', '-4130411489.86137817', '-4130411469', 31, 3);
    T('-2E+1', '-269178.90960985379', '269162', 97, 3);
    T('-66.687690', '-4761.59947986468261334', '4825', 98, 5);
    T('-2.0', '-11657.4924887837179242550036', '11657', 82, 0);
    T('-24391062.082607262860959147445', '-8446184.0713910873', '32820594', 68, 6);
    T('4.768E+10', '828.634830151919050402312044332', '47680000828', 6, 2);
    T('-963.937546', '-60210296.71291', '60211125', 16, 6);
    T('-51243413.775317', '86517535.51', '-103141004', 12, 1);
    T('-71021101.4394208498445', '-4.10E+6', '67452339', 85, 2);
    T('6.564199946E+13', '957104', '65641998580752', 76, 2);
    T('265752.21661491060747', '-60603021.2614069237198', '-60339349', 13, 1);
    T('35050956.34306000696178', '-756.035434853537034545', '-35051328', 88, 6);
    T('90377073428262300.5837949', '41.1', '90377073428262325', 70, 1);
    T('8827246066.88248972686790', '-1.4878E+6', '-8828200518', 45, 6);
    T('-493125', '98.420597880762057513184939', '-493095', 36, 2);
    T('4.191841700370181820610105680', '16.22911178247794', '20', 13, 2);
    T('-4788136270.0818', '-502662.9693251250861903', '4787962568', 5, 5);
    T('388509.418778429995', '76819.548841762483', '311694', 17, 0);
    T('-958.032201217926541839922038893', '2E+2', '-886', 68, 3);
    T('-68.689342996310324867829887', '628139068.7273', '-628139136', 25, 4);
    T('-6904.512683609017613276', '-903888101.932604152313617487329', '903882259', 15, 4);
    T('-29338516086.27', '7.812875289', '-29338516083', 17, 2);
    T('-179.5374320462806613261', '3.63465012567', '-178', 46, 6);
    T('-914408678.2522732685', '6.1E+4', '-914369198', 31, 1);
    T('-96017.72208078322093', '-147.082598605377711587388326', '96130', 15, 1);
    T('-4.920797139165128', '-82291734.216128', '82291734', 2, 5);
    T('-194138844.879931069771834299', '9126257528.332115769656034569', '-8932159908', 95, 0);
    T('-64826552.2421025976275990811', '-9.5214E+9', '9468126216', 21, 0);
    T('35871392.268839631831271', '-1356.33053391765525503727922778', '-35872748', 66, 4);
    T('-7318.315698122', '888.14780052360', '-8174', 76, 2);
    T('29848893.96824928367', '-9011.6304237', '-29840912', 73, 4);
    T('9.843504151E+15', '-9543494', '-9843504160337030', 55, 5);
    T('-730.800760424135869849982874', '8339189.82942249630642', '-8338477', 92, 1);
    T('-87.21109953907258', '9421.52', '-9372', 7, 2);
    T('7.42936615308691572292', '5632923.4', '5632924', 17, 0);
    T('2371.70502921363', '-4.770E+4', '-45841', 32, 5);
    T('-64018.31144703291314713418863', '-25061559572.644705921329557', '25061619458', 69, 5);
    T('-483.6037661574', '-624.5892555', '909', 65, 2);
    T('-84106.9677664240', '-70988.1202911088616954744', '24002', 73, 0);
    T('-8.6882033E+8', '-549.340477337736', '868820813', 25, 6);
    T('655.9788614633697934005694016', '-4532278.09762186406', '-4532923', 38, 2);
    T('-4724891726.42354591', '-1009035120838292457.656751484', '1009035125525418917', 41, 3);
    T('5.87933E+7', '99450093.356692', '107766201', 22, 5);
    T('-252.50', '-9612300.58515', '9612528', 86, 6);
    T('-7715.1', '-2710147.3792663058780664131158', '2704544', 15, 6);
    T('-0.204905959594609859287951740', '55955.517', '55955', 48, 6);
    T('4.411548', '9.3', '13', 26, 0);
    T('-648466.2997', '6930432467.624', '-6931080387', 89, 1);
    T('-37261.20912', '-1246825.70917124315951830764408', '1284068', 57, 3);
    T('5199416445.38892835444967903', '-9.304109313153', '-5199416438', 29, 0);
    T('5478114144.229301116', '-6857434.9463810672583162139', '-5484954042', 67, 4);
    T('-449.5699010653259578256454', '-6E+2', '919', 70, 2);
    T('-476.93336', '12.222100623', '-472', 71, 3);
    T('-8.67354790149216389504074204', '-8301850722.94391096420010070131', '8301850726', 72, 1);
    T('3672.146562898663162339600', '-4.960566E+15', '-4960565999998376', 45, 1);
    T('-222.64375003946', '9835.60876666235', '-9911', 52, 2);
    T('6460173837075331.4517', '-23905551.826626067055837072458', '-6460173855213198', 61, 0);
    T('572.7231', '-29335.6515091388068', '-28843', 99, 6);
    T('-591384112941752794128.75052', '-6E+4', '591384112941752833616', 14, 2);
    T('86873.958841389187054', '-7822.70191114', '-85461', 46, 0);
    T('-81.308962', '-14525043.396546998098720385', '14524962', 19, 5);
    T('-3018.010013697806260', '3.07744865734130355430067905', '-3019', 74, 3);
    T('734.4669091266', '6177848.45915042954', '6178534', 98, 3);
    T('34501370.936112231807', '40106459.034257', '7179041', 55, 2);
    T('54.9170', '7.652708E+8', '765270822', 39, 6);
    T('89051.21821643081688', '915861.77057974457455488475689', '827982', 77, 6);
    T('7.9344397E+16', '870988.614825108252', '79344396999788620', 12, 6);
    T('4E+7', '15143.507660916', '40001831', 23, 4);
    T('-676.6953897325009809', '723882.8725620391073', '-723210', 53, 5);
    T('70057829571047.6479652689', '119236.61556002964292936694321', '70057829484579', 23, 0);
    T('-7.2195775E+20', '9.921304540367E+18', '-731709579099282263616', 82, 3);
    T('5853536879.24322400', '-2', '-5853536879', 32, 2);
    T('-30614.7807668141111516700455', '1.25342097463750456378737313', '-30613', 36, 6);
    T('489.21', '3136.11', '3497', 24, 2);
    T('-8864113.02615893400', '2182364.562699123', '-10882477', 56, 0);
    T('5121483.39730723698', '8134151597.469398537495', '8130357350', 46, 5);
    T('-59397.035', '-71266.241314890698', '130661', 81, 0);
    T('-60950716.135520350736187729', '535.5554754778729554745305', '-60951213', 9, 6);
    T('194.86022752875685', '-9.178E+8', '-917800190', 41, 3);
    T('-578347.6851', '-5.05187E+6', '4572919', 64, 2);
    T('107.287492', '-6.4012301728766328297149149', '-111', 11, 0);
    T('8323054296.684588971519', '7.7', '8323054303', 17, 0);
    T('-2997', '-5145546.088800023374852', '5146749', 85, 2);
    T('8.1767311489778760409', '-8169.22172059434952877879', '-8161', 18, 3);
    T('-19.771530565', '-44662863.18191413746997197645', '44662876', 50, 3);
    T('68.7611816', '417224.48019457', '417164', 62, 3);
    T('-26490.438081043610123594', '11092838259625.54402', '-11092838284497', 92, 0);
    T('7E+1', '6667072.232033194787', '6667014', 50, 2);
    T('-496468.626659344985529859', '-612211.1', '967713', 9, 6);
    T('62.27649993300959013937', '-3609481619.54107', '-3609481645', 17, 6);
    T('9.095484040592509171037471', '-58.4443872868745487613193707800', '-49', 99, 1);
    T('-26610.886252225327801', '-845', '25789', 56, 4);
    T('-9000928593.77877', '4497624979.68587348', '-13227461316', 53, 5);
    T('-40884771.510385970064', '651632.3183495', '-40250195', 29, 1);
    T('-3.380376747121358E+17', '4.3774362E+9', '-338037670468917344', 93, 5);
    T('90438522.4157762421212', '-47586', '-90391196', 93, 6);
    T('221339857254139805204.329515006', '-98545095.421086', '-221339857254085825491', 17, 4);
    T('9.81340E+8', '5.842469E+8', '413985044', 43, 2);
    T('-2.366251798', '21.6420595', '-21', 82, 5);
    T('-6445.14779579257849529', '973695767.66948582682643811', '-973697596', 29, 4);
    T('9.326835', '-6849398.23689689290935306996090', '-6849405', 63, 4);
    T('-423027.1', '1951.5619046', '-422894', 1, 2);
    T('-207494.3649453252072098', '6.4135801610340260', '-207492', 27, 6);
    T('13266320.4241592420704474235', '7.0396673649999815423966813', '13266327', 17, 1);
    T('-39595.7907', '2345272.8595002909', '-2315155', 80, 0);
    T('-1.5333E+5', '-1989269059.515325678572659812', '1989378227', 72, 6);
    T('-790803453.9715414', '-4553346588.987728484575804737', '4836310503', 20, 6);
    T('6.783227E+7', '5886.828', '67837744', 88, 2);
    T('-8.5804705364', '-4883045505901.281', '4883045505899', 29, 6);
    T('-1.1', '983637.831955', '-983638', 38, 3);
    T('-3E+6', '-9E+3', '3007896', 35, 1);
    T('2.756E+9', '-47779.5273658374724166099254624', '-2756019107', 4, 6);
    T('3.639571687915327552837', '-7.017292023595045220', '-6', 31, 4);
    T('-7.4702847E+8', '26172.26139927544567', '-747035082', 7, 6);
    T('-28616155.9481', '3067048237.6945', '-3078345976', 95, 0);
    T('-683.8', '-1370.6', '2035', 61, 1);
    T('1769.4357222448487581510', '1.4513273518991314958123097038E-384', '1769', 53, 0);
    T('-7207174698.97017688699665', '3.344120E+12', '-3346593311786', 15, 1);
    T('-433903.596745984465', '94182.941981653830703', '-520457', 40, 2);
    T('-5.5831960582E+15', '-396889.830071285324', '5583196058331623', 48, 4);
    T('-8.9496945886110592855304216831', '640936.551760750423', '-640944', 75, 5);
    T('-49.1528926362439991731745', '8829903574.889505869', '-8829903591', 79, 1);
    T('708956.4051508743140', '3567.1127926110', '711859', 52, 0);
    T('-1419897.1630349558', '-118687199.3118051254020353667', '117878694', 18, 0);
    T('-7469.425294782889', '3.1E+4', '-25653', 58, 2);
    T('6341.852', '830945.7717009880560', '832804', 23, 3);
    T('-5062.60', '-446689.44953486084872207', '443173', 29, 3);
    T('-7189880.4730203693977899285416', '305904.596726449256563704830172', '-6889352', 82, 5);
    T('408778234.3055763', '27439353.7', '436192515', 17, 0);
    T('831774808.594925986468', '-6.21E+17', '-620999999170781096', 94, 0);
    T('3E+1', '-8.738671', '-26', 41, 0);
    T('-99333588.7517570437844134', '4315331.75143266299838968815', '-95055121', 19, 4);
    T('25686792.21622494016845242760', '-70.993813381090', '-25686862', 99, 2);
    T('-34875.0', '434.5449838719997092364774', '-35209', 9, 3);
    T('9669524.36301437676', '-6986', '-9670878', 42, 6);
    T('24892', '350520507', '350545287', 63, 2);
    T('4.37351686962079E+16', '5.7120E+13', '43719967612013084', 61, 3);
    T('-6.8E+5', '-6E+9', '6000663488', 71, 1);
    T('-8099.22128', '2064023.81429828046', '-2056502', 60, 3);
    T('2117800.9510899094279943615894', '8.679816066', '2117792', 78, 3);
    T('-49926760.4446488891246428', '65234680.61679', '-18527392', 48, 5);
    T('-644619.4378468845', '5844.7906350430', '-639199', 58, 3);
    T('77644.690285', '2363140199.40051506454', '2363197227', 81, 4);
    T('-884705483.23365237965920476455', '48.26396597898221', '-884705531', 64, 1);
    T('-6281.79169142', '-19.107', '6298', 33, 3);
    T('-74.505712481853781025933', '-35710456.62981927258999', '35710398', 31, 2);
    T('565957.648626656860676685076842', '913700139.7652587671640', '914184174', 99, 5);
    T('44532.345940844597192', '-48.45280866161523', '-44508', 79, 4);
    T('8448816284.053809421435010', '395.47826927590', '8448816407', 9, 0);
    T('8996013370.4', '8.798694E+9', '340078410', 69, 0);
    T('883109990.9124451156244915', '9.202504E+8', '41605190', 35, 6);
    T('-19026.12', '-3863.4081267625', '17735', 52, 3);
    T('-8.7349803599109673688762630', '6562431.57454226710716072783', '-6562425', 79, 1);
    T('-97311.928953349669670512015', '7.9213618976583E+14', '-792136189809881', 49, 5);
    T('53415.6717936', '-7.4875350044646035674527', '-53410', 4, 6);
    T('-921.2022997592', '-1834855.46721527759851', '1834238', 85, 3);
    T('5729648.433704916552213855840', '8817839789.948667334982', '8820810717', 49, 1);
    T('1E+2', '7.27894866939544945761596701370', '99', 89, 4);
    T('-36', '86', '-118', 65, 4);
    T('-6832119631', '5.160608E+7', '-6780792079', 11, 0);
    T('45468.314117', '7061611129.9575', '7061574629', 61, 5);
    T('-586016.947299796455937318', '3606.84954227116912460999', '-589578', 55, 3);
    T('1322.88213237651302498098947440', '112318921.51357', '112319715', 14, 1);
    T('-602552745.1700', '437.67017066173', '-602552350', 75, 2);
    T('-704169.730561481829202881969884', '93220943.7256136294396562372', '-92589800', 93, 2);
    T('3.025378874265', '76739.328211095243', '76736', 3, 3);
    T('-6.8568520966190902', '-76425539.126208324151', '76425543', 78, 3);
    T('4590341.7277719666674', '-42.4162738647654000', '-4590381', 8, 1);
    T('3201742685.050519', '216.982495596', '3201742725', 4, 2);
    T('6.9517303051', '686721008306.0413376228', '686721008308', 38, 2);
    T('-87796.1919505926', '5.165E+8', '-516455636', 86, 5);
    T('-405.59704018254', '-86.862852460304031105', '449', 26, 3);
    T('79900639.39561838832787619', '-503555', '-79986910', 27, 0);
    T('-28623620.6762193355259', '-2.6014027', '28623618', 70, 2);
    T('702466047.7147737', '-34839.0', '-702435306', 10, 5);
    T('3154472.6', '98413381.163', '99453293', 43, 3);
    T('-42.27740392', '-8.960435873932676287623514198', '46', 50, 2);
    T('-9.9878580449265701275732537', '-952159920.2518701838382947', '952159911', 38, 5);
    T('37515634.1912570', '-885.8040070575771814961244886', '-37515783', 70, 5);
    T('-6092.9301', '545493.945101428150', '-541983', 21, 2);
    T('2.96503852356471927885406923360', '2.8544115996E+11', '285441159962', 88, 2);
    T('73904.8', '864947761.5043361327736763', '865021569', 23, 1);
    T('4063169.9457365819516616516', '2E+6', '2325313', 61, 0);
    T('-380892401.6895463414', '-11.655012829', '380892410', 42, 1);
    T('3108.7242503', '1361151.4099987069823283', '1362139', 69, 5);
    T('886617234.693', '-4466.9998953', '-886613476', 71, 6);
    T('-50732.7508562', '633035818.2885105783', '-633051650', 5, 2);
    T('-766354.105311', '3553861138.03405949913', '-3554160516', 46, 1);
    T('-58', '-61451.9500679495', '61491', 35, 1);
    T('1143932.7185271171', '1755', '1143463', 41, 6);
    T('-83.2774785003778', '6439111718.047676782666382414', '-6439111797', 55, 6);
    T('40807.7795481428658268', '-841008211262634806686.925', '-841008211262634840827', 60, 0);
    T('3.2E+5', '-7E+2', '-319676', 10, 5);
    T('9806.542515987409934244553', '-8.51E+17', '-850999999999990194', 75, 0);
    T('614124948.57419910336', '3.6205067510E+12', '3619912818060', 5, 0);
    T('-3.236612165289592', '-240067113120671682265.73', '240067113120671682266', 29, 4);
    T('-57174.54', '216264.318738', '-234398', 2, 3);
    T('-83691599929756106.216740782626', '-369365861.37', '83691599627508397', 57, 5);
    T('-44456.175301969989126659', '-70374.347811834176567181908', '114498', 89, 1);
    T('2662.44343470928067174718941', '237.50830832284060449', '2699', 77, 2);
    T('-91.5920746618357353606765', '41581.2554941838581957820506', '-41528', 57, 6);
    T('233542.15641855914', '-9.75942439240969959905931410', '-233551', 78, 1);
    T('678104455.6530040753', '-18.3078285', '-678104471', 93, 1);
    T('4.7988713682864262', '-19.000403', '-23', 76, 6);
    T('3255628.445431', '5.424061483409911143864336193', '3255625', 14, 4);
    T('-5.13542822410333601121458', '-3.794504E+8', '379450395', 30, 6);
    T('-3.896032586', '-2.098977E+8', '209897697', 55, 4);
    T('5673.26121629438216806301', '98.609683334330490454600500294', '5707', 56, 5);
    T('-767438458.620', '-4.328216433152120E+20', '432821643314636207238', 33, 3);
    T('283.7102409995399034412', '548779.194183950558501122348', '548528', 95, 1);
    T('-3.4866690E+20', '-421316.1374667860544090', '348666899999999873596', 42, 5);
    T('916.96361806034603', '-6106794739.334703702032034379', '-6106794343', 73, 5);
    T('-4393653618.931862910585', '-124951471.0689357', '4338175711', 38, 3);
    T('-773888.504', '-5775.31847575', '776305', 66, 5);
    T('38742971.6433089749966', '46329.11689081066384089619', '38772546', 53, 0);
    T('-3.1E+5', '-74.3816189007229065888', '309926', 40, 2);
    T('-9.747412', '8.0E+4', '-80009', 47, 2);
    T('57875872166214164.50894836342', '-7712587159.156394', '-57875875533473667', 52, 3);
    T('6.81056E+6', '418124615469748357837', '418124615469750116621', 37, 5);
    T('-3.95867E+8', '-9263.1848', '395859801', 94, 6);
    T('-65912.0310625311718873763327436', '-169752.36012891495', '235104', 62, 0);
    T('-236.34952208', '-6.15466977374940416134118680184', '238', 66, 0);
    T('-9274088038.86', '9.447E+17', '-944700008996313702', 7, 6);
    T('8730515.13289569636359692', '-6.1193213204533443945895195646', '-8730519', 43, 5);
    T('8321.9132', '-5E+16', '-49999999999991679', 10, 5);
    T('-9809.8', '4.9E+9', '-4900009809', 88, 6);
    T('-594532233.648237610123', '62220333631', '-61739181496', 81, 5);
    T('32825300899374.443', '8363.72666821507251736099421', '32825300907653', 4, 1);
    T('8.45340347371193527575415', '1.8655387E+8', '186553862', 77, 6);
    T('-66821749.88', '7279110.57539819626', '-60066931', 20, 6);
    T('-978.64166062154877336', '2381731.8244878262878393704811', '-2380915', 71, 3);
    T('9.942833536E+12', '40.303', '9942833536040', 61, 3);
    T('-3.2E+8', '-4298548.3', '324229324', 67, 3);
    T('4.7609487705224601230675', '855012205.152348275965064173', '855012201', 6, 5);
    T('-2973010897.6163706', '151523.374831346029', '-2973156404', 15, 6);
    T('-129.120445941', '8701.8255622621210011386638758', '-8574', 64, 5);
    T('-8E+6', '7.71789126594323149', '-7999993', 66, 0);
    T('377546916.130022818', '-4.884E+4', '-377509476', 70, 0);
    T('-492946.76005071', '-315030.24448', '215812', 6, 0);
    T('-6E+9', '1005857781497.869', '-1010733616391', 7, 3);
    T('-278646608.635247308', '-3.70669360364', '278646605', 68, 1);
    T('-5.699883E+8', '-2665820122.1336664338', '3206314770', 34, 3);
    T('358992541.673570975818960', '136202143.3452753778339', '494636290', 67, 1);
    T('16696.7511384344375616886362', '1.5971E+5', '143078', 29, 5);
    T('-40874', '-796.0781385257895574904147', '40114', 67, 4);
    T('62604.362266588', '-7683870.274109820445666', '-7719826', 67, 6);
    T('-89653.9084302082', '-25397.0494532935617', '81152', 27, 5);
    T('147671016.4583', '-624489838.004211365509454', '-771076742', 56, 4);
    T('-4780.01586690180508159941496173', '373759989448112054', '-373759989448107294', 50, 4);
    T('4.84058696172', '-3596248131.36904084258', '-3596248135', 11, 3);
    T('2470237.99142611686864046519101', '410.201908', '2470087', 30, 3);
    T('7.6878260', '-970676.9966846', '-970677', 44, 1);
    T('-7.1686265509243329', '45401.17520593853030443851', '-45408', 53, 6);
    T('7.704E+4', '-47592484.614505095037689778', '-47651028', 84, 1);
    T('-954.2363620', '5.79E+8', '-578999674', 11, 5);
    T('-4387.6280168071092634357056849', '-40736.366694', '36413', 68, 0);
    T('224218.409806550439690701843', '-684101.737305', '-596895', 60, 3);
    T('-9.579E+9', '86274.463031337721220', '-9578914238', 25, 3);
    T('-122541.7', '8.6E+3', '-130869', 22, 1);
    T('-96.2844356770156', '-3.472457681695306E+20', '347245768169530600032', 35, 5);
    T('9510456.38034735569514915105', '-9.0867642084989E+14', '-908676430221018', 36, 1);
    T('1237637183.9016846509426157', '-9.86E+3', '-1237647037', 42, 2);
    T('7E+9', '-97860698864331478.02963763', '-97860692945415382', 45, 6);
    T('-7.81949461110530153E+20', '-15.4452050374813', '781949461110530153001', 34, 2);
    T('-4.17606789', '507084211.832799781868763', '-507084209', 14, 6);
    T('84.87047106104', '90.4', '14', 42, 0);
    T('6.3067850769872E+15', '-67.155327530875', '-6306785076987139', 20, 2);
    T('42988122118336.066843304511', '9470492843.947355', '42995974133867', 52, 3);
    T('87846.6071436', '-5976.73395458634570564914036', '-82034', 52, 5);
    T('-3.314E+7', '9.4E+2', '-33140404', 84, 0);
    T('4749787232.52101458005168806', '-7541611.6825680823505', '-4755231499', 36, 1);
    T('53831.7592821', '-4.92036', '-53829', 91, 0);
    T('-4.340457636E+14', '-8237261063.0382415557728350341', '434044251971449', 26, 1);
    T('344807.21556736674', '-956.31950092717814696055201099', '-344413', 75, 5);
    T('7294.721905175150636417711904', '-854910531.93606537914527982044', '-854915645', 31, 0);
    T('2.28131485004207490E+18', '-7259114.0433', '-2281314850048709886', 73, 0);
    T('4.72989E+6', '-883.245548', '-4730705', 80, 6);
    T('-3.348851948037523740595899506', '-9378492.6427822161776986120', '9378489', 26, 3);
    T('-9931.97680', '-85.2625301438', '9886', 44, 6);
    T('5.768176E+12', '-336.59542062804813310', '-5768176000336', 45, 4);
    T('-31.0261723363', '173850359.18103585711649', '-173850346', 57, 0);
    T('358.22764557268509966', '54817.0626368', '55111', 61, 1);
    T('-55944328.35535706412191', '-842505624.56531188069', '828520720', 70, 4);
    T('-2E+6', '-37288.40730877171', '1971672', 44, 6);
    T('-94.26918008728804351770788067', '5.4824340339029926599395', '-89', 17, 3);
    T('-269394.284820342574768743476', '-35.8325904475816', '269427', 38, 5);
    T('-7E+1', '5.0551164', '-65', 33, 4);
    T('2294.672003196694034190', '-157196870104631', '-157196870106817', 68, 0);
    T('1009673809933136.05929387174', '-3466599761.5093422105', '-1009677259746817', 33, 3);
    T('90.34', '785.256340498', '843', 80, 6);
    T('-59498.0936852248262369', '-153.06338046316953366752', '59633', 31, 6);
    T('-8555934.691207166829645912', '-9.5200777', '8555925', 11, 2);
    T('3.965E+19', '-5.12429141261302914764', '-39650000000000000005', 8, 6);
    T('-83031.59577881357626538243966', '472929.47', '-422712', 3, 6);
    T('-2517558.1519943268653271813', '-7313', '2520741', 30, 0);
    T('-4.837E+19', '-55.3061', '48369999999999999945', 24, 0);
    T('637484.252811991611065046545', '85444.641788844', '587752', 5, 4);
    T('-3.5503E+14', '3487092.71', '-355030003478156', 26, 5);
    T('-6138360666.2333', '-77', '6138360597', 51, 0);
    T('5.076E+6', '551227992.829742286946143428', '546727544', 27, 3);
    T('-7862250.85180660757058', '274.67949282', '-7862012', 34, 4);
    T('-0.00056794403840263818944', '-2187483981.17960', '-2187483981', 97, 6);
    T('90.59203549224798142859515', '727.271281014849574412993632', '653', 44, 2);
    T('-93989027.627859401', '93854756.1206472690640601092', '-144519', 33, 2);
    T('8.61E+8', '-485812682864699188059.50803', '-485812682864981242395', 84, 5);
    T('191366551.12', '-6548.8794961579649681976', '-191372293', 90, 6);
    T('-6898', '264922.0783', '-266284', 59, 6);
    T('-421.00280465173609', '-8823.941971', '9170', 34, 3);
    T('805129.70781590784916610303', '-361443542.4124171', '-361200093', 33, 1);
    T('-96360466.4283286', '7783285836.9904148380', '-7689591902', 49, 5);
    T('9.0322213E+18', '-47219128343372118954.563', '-54337317526278615978', 63, 0);
    T('-548430807.4144874005', '9129973633.53453198073972', '-8598336600', 15, 3);
    T('-7.746012319', '8779.533932821542080', '-8782', 59, 1);
    T('-5E+1', '92.70437', '-110', 65, 1);
    T('-2261741660.945186838310', '-4971.4262107610523321515770880', '2261738289', 53, 1);
    T('592892.50', '223960169134.517996820260', '223960756562', 61, 3);
    T('5', '5.0E+8', '500000005', 2, 4);
    T('-6.407893257320', '624959.3', '-624955', 6, 1);
    T('-3.0E+7', '-7E+1', '29999930', 49, 1);
    T('-8E+7', '127326.690', '-80036514', 69, 5);
    T('8560580412.28', '6.82', '8560580410', 86, 0);
    T('-416601.9264', '-3982.69863695', '414933', 61, 5);
    T('-414.328189342800', '-907.23082749', '535', 96, 4);
    T('-1727252111.02', '-720121383.04148591927224258', '1277159592', 43, 4);
    T('-4062.196893552', '961.62089568879', '-3101', 33, 4);
    T('6.25878E+8', '4.099', '625878004', 23, 2);
    T('-5.789595749141589', '269.529894', '-266', 7, 2);
    T('9.5175884E+12', '3452.91671654', '9517588400892', 83, 2);
    T('-752386734.475992946', '91481.8096443622767', '-752478197', 2, 0);
    T('-7.8944683548111827223981792791', '-7.720704985124E+15', '7720704985123993', 87, 5);
    T('71.9108666953766622199509286434', '6536.972178529936509011', '6607', 83, 4);
    T('-40594.82883181972269752676616', '-43159985.6767278', '43126561', 50, 5);
    T('3485702085.76245705063500', '1.062122E+9', '4035782101', 55, 0);
    T('-7.42042375E+15', '-1960323195689892154.8742', '1958550550911804486', 80, 3);
    T('-7978817.884075452502236', '45633801.03934555236015281', '-46263882', 37, 1);
    T('-1696.43025438533428', '-4981766.74562603311980816689', '4981402', 75, 1);
    T('8463.547172521066806487', '5.80865658600324093614', '8458', 6, 5);
    T('55589440.487', '314536457.4', '300894281', 94, 1);
    T('-4117641.869960570989626', '7.5E+6', '-5022825', 92, 3);
    T('-252738.09976367', '-8E+7', '80177342', 42, 4);
    T('7347555489.992624811018999037', '-965.1509407463225442715526961', '-7347556198', 62, 4);
    T('1452077.21329417878846', '490.2709410534617950871', '1452487', 8, 2);
    T('-3E+7', '-43540.8', '29976940', 14, 0);
    T('-31743013.704995', '-16.6606973362623304160149312630', '31743019', 95, 6);
    T('528210554789', '-675.134379110597318016', '-528210554120', 88, 3);
    T('90705157.1602525016836907', '510266.0356524', '91210815', 80, 4);
    T('-8.36E+7', '2690758424.27154610127', '-2761561448', 60, 2);
    T('5.61457933310870973161', '5.4176E+9', '5417600005', 16, 1);
    T('-3.6E+9', '3652774596274.0695', '-3653620903246', 81, 3);
    T('75366.55887082333436', '-9.888757724011574046148121', '-75375', 83, 1);
    T('794122552.62366', '52874.43767553', '794138546', 62, 4);
    T('-29.90519330978', '314906.14989849373179308986', '-314887', 52, 3);
    T('-1.0658225910902E+18', '-6.9246E+7', '1065822591025156496', 17, 2);
    T('-729.99975898165427522761', '1663471175.2', '-1663470752', 29, 4);
    T('88699098.690', '-138.588449278033', '-88698964', 49, 0);
    T('-841262.48576125610013', '-7.596E+16', '75960000000797138', 3, 1);
    T('-707289335.186137133304856634070', '-53430589.068064682084754', '688335306', 67, 2);
    T('4.2898E+8', '4.2E+14', '419999606896416', 31, 0);
    T('3682402431.90910363883898280801', '8963.86375420578352544058747', '3682411388', 65, 2);
    T('4674.871278269698073284750', '-7.931952762E+18', '-7931952762000003518', 32, 5);
    T('-70.31888825320272725221', '-363.14666', '303', 94, 2);
    T('-3.78824E+10', '8738888.45454832', '-37873702072', 28, 5);
    T('-99.98', '349.922164340849', '-320', 24, 3);
    T('80296.13170209815938', '-8.776', '-80304', 43, 5);
    T('-2.57E+4', '-8.22E+3', '17528', 1, 0);
    T('3.54E+3', '-8152', '-4612', 58, 1);
    T('-84442549.37803666', '98199676040373.5092429154102839', '-98199625189634', 58, 4);
    T('-1.798518179979106678044', '-5.24743E+9', '5247429999', 32, 3);
    T('-580362841.57384876615950', '-21.73593365430075', '580362828', 19, 0);
    T('9121.7594872971739', '-20.3649964767719', '-9139', 91, 4);
    T('-9475784862.20998722402802599861', '-61346280193266672.163473538', '61346288460567410', 35, 0);
    T('-101953.35799811350576092751', '-7.3786403872953909449813739876', '101958', 88, 4);
    T('3004897706.818686576916427694', '-24099119.04231143748846252029', '-2993987717', 74, 2);
    T('318559.6930462231011122073', '-25281208.22895036318432082253', '-25501417', 39, 4);
    T('-29917998.037939821448', '-4098141.362', '32902001', 97, 5);
    T('-7937063687.524380461256', '-4.5745E+8', '7555111177', 27, 1);
    T('3348.154617487795221635', '6543.49980028341', '5275', 52, 3);
    T('-72.848876305', '-3.04034509167352092', '69', 53, 5);
    T('7E+7', '-7.5E+3', '-69992652', 5, 2);
    T('-8E+5', '-3195.5079667178994830878', '800901', 96, 2);
    T('-35383554.4037436396290949', '-56661698.747', '24870848', 86, 2);
    T('3635425623.73036523048568228126', '9.6', '3635425630', 73, 2);
    T('3131.2046639481247397724537', '-6723801968.45692913', '-6723805013', 97, 2);
    T('42480272.25515036', '-98.83438', '-42480370', 18, 0);
    T('74.123663736', '6.88993E+15', '6889930000000074', 36, 1);
    T('-9.9191950656559', '313.204775', '-306', 59, 6);
    T('-6.234', '2636106375.3105495050800836606', '-2636106371', 17, 6);
    T('-27761.1142039', '2.009E+4', '-8715', 44, 0);
    T('86573437.83634221', '5.7130E+5', '86095577', 26, 1);
    T('-8391056.73350821699866245964706', '-4429760634.9864347282076687', '4438147574', 89, 3);
    T('-87120193.3004348557', '-1E+9', '1051431103', 8, 1);
    T('304450.704972164', '5.71E+9', '5709695682', 76, 3);
    T('1980.4777604023306', '-860866.905553626072130173115778', '-861566', 53, 1);
    T('4.754710553778274495E+19', '6893614.19', '47547105537788589912', 76, 1);
    T('-3.09E+7', '308802.51537716875056811202349', '-30656862', 52, 1);
    T('4267564519.6753026697001', '8.897677927', '4267564527', 1, 5);
    T('9.8953E+20', '2.527E+6', '989530000000002527000', 24, 4);
    T('-9307683507.8543', '-954.18293290812809310239', '9307683083', 83, 0);
    T('-1355059851.4862', '9507.87947582101450411847107', '-1355069354', 41, 6);
    T('-515555503.3929268', '-274.900228595545', '515555775', 24, 2);
    T('-5083957.73189716010', '-91436.572322928245356376', '5043743', 30, 0);
    T('68171488.9928098059533', '395936211234387.35099291', '395936143071411', 81, 2);
    T('5393560.330748769', '337433.81425957875866192432', '5728897', 66, 5);
    T('1.053E+5', '-50899946361279716026.841176', '-50899946361279611374', 99, 3);
    T('1.939161472964559', '-143.9544153142450714522', '-144', 10, 0);
    T('-615099081.931098072', '-2910115.67812980393', '612748650', 22, 5);
    T('-22.9310029769470192132', '-343.570966469549713', '323', 83, 3);
    T('373435704886863.8717', '45507.764', '373435704932236', 34, 0);
    T('4.161E+6', '-74946671191881.50442090573267', '-74946668255905', 4, 1);
    T('414.626493', '36113.4947872437196613', '35983', 55, 0);
    T('6.59E+9', '267333.091488', '6590267333', 10, 0);
    T('3.817E+4', '5.9848', '38175', 44, 2);
    T('-423.3759861547075', '-73426.68231025455882', '73591', 45, 6);
    T('-9359339435.6995864976065', '-688793653.34646357', '8670807966', 82, 2);
    T('-4591330.4497062976096964714425', '-846.8188657599162416783454118', '4591020', 39, 2);
    T('45.5', '6.18776545E+9', '6187765479', 43, 3);
    T('88168537.62721842614008004764', '348356.1305009604', '88344733', 17, 1);
    T('-3.426591', '1449470256.369191181392', '-1449470259', 49, 0);
    T('-8.2042E+7', '3200233.33395140484735918290664', '-80939111', 61, 2);
    T('-556327.58454012', '457.05111', '-556272', 89, 3);
    T('-99.717929580534436080498588565', '26.3501713800825219415312', '-121', 68, 0);
    T('49.8968186', '-6.5036504989626E-335', '49', 5, 0);
    T('580.865531718400162955958846', '476', '920', 44, 3);
    T('-5.2E+5', '629192.187880916579556153255', '-947960', 74, 5);
    T('-21547244.2064953891780', '5842151', '-17951757', 41, 6);
    T('113882.653180540797355235109200', '-32576.09505452797665568478', '-115686', 38, 2);
    T('8.19561591815390160757576354864', '819171756.1216177', '819171748', 56, 5);
    T('52902346.4441690', '-8745.5374343333765303', '-52894691', 34, 0);
    T('88.83867738314130315470068', '5.898801E+7', '58987954', 26, 5);
    T('9.5908E+6', '5981593641.4834390386', '5974112313', 73, 6);
    T('3378.4379865681043306058054', '2278871.8802', '2279653', 17, 3);
    T('-6.72308E+7', '-2.2382596E+18', '2238259599932801968', 47, 0);
    T('-335662835.01644', '40786.1686978811252', '-335630753', 30, 6);
    T('1.634317E+16', '3565101.8661759291976738631310', '16343170001203757', 83, 1);
    T('-7.42353E+8', '7.18E+6', '-743630472', 85, 0);
    T('-9.8346819369534689', '-8.4216E+8', '842159991', 72, 1);
    T('-32886.313914166351099501', '-3164.42234310591545816769', '35886', 30, 1);
    T('-104990.32904300932593', '886300.3', '-793602', 73, 6);
    T('-87648.737845424517', '-75356521186771852.7698322710091', '75356521186825684', 98, 3);
    T('-781815.12006140766801937524', '3.6E+5', '-955319', 79, 6);
    T('28.98', '-8.83509E+6', '-8835086', 29, 2);
    T('64583330.57720260', '22890.1939252439979', '64565192', 59, 1);
    T('417507062.49305775646', '-740.91185461326338839004423078', '-417506326', 83, 0);
    T('1.376029168017210', '-371.361085384069144964', '-372', 35, 3);
    T('8578.410073074', '-1.6425E+8', '-164257806', 63, 0);
    T('-6735.38', '9.4E+6', '-9401487', 58, 3);
    T('5.266066E+7', '-87978.81132120245592053624449', '-52616734', 53, 6);
    T('-844844.037194514624506557418510', '1.084E+6', '-1863244', 99, 4);
    T('20.19', '-92', '-80', 68, 5);
    T('-91.753676', '9.06E+3', '-9023', 70, 2);
    T('6061156.780744656117416869872', '-988.659289102022465688055', '-6062016', 18, 3);
    T('-9213', '603.888416963346', '-8616', 69, 0);
    T('89383.407969028810190', '505536658.8643424804504', '505462197', 44, 1);
    T('-218.113376095193', '-9006.3857020434228243', '9204', 81, 0);
    T('-58.9523297659889065255101890254', '-12901281.70', '12901273', 78, 3);
    T('2.58E+7', '-48.1', '-25800048', 18, 0);
    T('-8.865430783', '-6.87E+7', '68699992', 17, 3);
    T('-4775.0556555331287', '638421.5603391720000707954', '-634740', 8, 4);
    T('2E+9', '-71.65', '-2000000071', 25, 4);
    T('-2.932E+5', '4065303450337145', '-4065303450076727', 94, 2);
    T('-6597.52347', '7.3099656E+8', '-730990229', 47, 3);
    T('5.0948061', '-6524750584.85430785923', '-6524750579', 37, 2);
    T('9.3834927446041484235139234', '-519.15007', '-528', 91, 5);
    T('2.1124731802620397449', '21.89', '23', 49, 5);
    T('-5072746140.98820430121684248', '-7.266E+7', '5000610436', 56, 3);
    T('-11.7333822735088', '18617259.846259929166349131075', '-18617250', 19, 1);
    T('-451.067508232041098112560586541', '-7E+5', '700317', 86, 6);
    T('-20603.777794802', '-21779.59883333617311', '1384', 94, 3);
    T('825.030454467341083705360552961', '-612365812.9375974143', '-612366027', 72, 1);
    T('-66.4659892734784029491699385113', '-338926.558897975101000909494386', '338860', 47, 6);
    T('-94248916.296', '-6.2308E+8', '549285356', 11, 2);
    T('808473544765710819368.592405427', '-356919.792944', '-808473544765711127071', 33, 5);
    T('-44892.3315071944252', '2004.9621113729819908623622', '-43152', 31, 0);
    T('2458931.884146663466016', '565.27', '2459398', 30, 1);
    T('919541734.1736741321592', '15.54451891', '919541737', 53, 1);
    T('21278.91', '-15734561.11198713', '-15746111', 37, 6);
    T('-8140204.34210250638863', '-36747.641', '8174113', 55, 2);
    T('498.2010179', '5.30257E+16', '53025700000000498', 22, 0);
    T('3.2263365588', '133720.0', '133723', 24, 2);
    T('3153323.781857', '593', '3153914', 47, 6);
    T('6.601E+9', '-8564160883', '-1996881203', 85, 2);
    T('-7690493805.613718600500504357', '-59.194426394933160', '7690493782', 72, 2);
    T('19.9159', '5875.28192', '5856', 18, 2);
    T('4.1E+5', '-3.651274416849453927E+19', '-36512744168494424982', 71, 5);
    T('7.726012', '-12684.20011369', '-12685', 81, 4);
    T('9847866.30943070949843647136', '59.4332676', '9847809', 26, 1);
    T('-1.927E+5', '33.4384021', '-192667', 2, 6);
    T('5.8E+4', '736456.995925501414229059809', '777816', 68, 2);
    T('259840.31063858605704603047950', '276458.6232972565', '508138', 82, 3);
    T('-6.6E+7', '80.69310096516712337', '-65999920', 21, 3);
    T('2829.5538769635294633', '-4255604073', '-4255602278', 95, 5);
    T('951.898630', '-331093.147', '-331492', 2, 1);
    T('-315911511855590.16', '-59969941649814119256.7390308827', '59970239830625039026', 31, 5);
    T('78.35110576792838', '881823479995.6', '881823480053', 36, 5);
    T('6E+19', '-66763', '-60000000000000066763', 15, 2);
    T('7.40330989059228182821620', '-888107910.108181981', '-888107907', 44, 1);
    T('-7633356199545.16', '-5.97396725134', '7633356199548', 67, 5);
    T('-18830023957217179691.96', '8274387.1524677620166184138360', '-18830023957224634874', 93, 1);
    T('3.71769870E+9', '3E+3', '3717701428', 91, 0);
    T('-5304', '3370866.322442208835', '-3374022', 62, 1);
    T('-8923467.92424934230', '2.327420960374256427736', '-8923465', 71, 2);
    T('-9.549578436409563235765', '-360.71047776690910335763034089', '367', 38, 4);
    T('2637317150.11336590531514', '74319.5004207007944324107', '2637391441', 5, 1);
    T('341563815.2619942438482070', '-98922749916.703094225957', '-99255748221', 52, 0);
    T('50.9121', '-927646535', '-927646581', 76, 4);
    T('9.382898305', '1330700206.9230089', '1330700199', 43, 1);
    T('8.766E+4', '-4670.5132', '-83026', 37, 0);
    T('2.16912E+7', '4.6E+9', '4620326208', 17, 2);
    T('5783297.7057', '-95124.3', '-5852307', 35, 2);
    T('37.2451827649406738953634902693', '6975755.0785342399021280', '6975790', 58, 3);
    T('-1.3E+4', '-589461.718388226138813365', '576595', 24, 6);
    T('-164.03068348141', '-564809.701987', '564971', 37, 1);
    T('-25538741913383113.9353', '-9E+3', '25538741913375727', 16, 2);
    T('45424078.686923', '9.8530E+9', '9831302286', 66, 3);
    T('-8799.528270411352334885115981', '-1.574700145', '8798', 17, 0);
    T('3592877.1375951308', '-89051658.1532292091', '-91750565', 52, 4);
    T('-451.021019115422867640740481447', '-1.9E+3', '1705', 74, 1);
    T('555', '7.27E+5', '726515', 84, 3);
    T('-156.7567178338192144363347', '7.1026E+6', '-7102484', 83, 2);
    T('3377.9180480066443', '9.1740658E+17', '917406579999999281', 98, 6);
    T('-9.83816', '-261361.16389535363261741630285', '261368', 32, 1);
    T('19925.20595782', '72910062.4347916600904', '72927547', 89, 0);
    T('2579', '26298.06983050074666676038637', '27817', 51, 4);
    T('-988.524110931310184255809726', '-4.388838074933299175151', '984', 26, 4);
    T('9403786354.712652261104', '357833.44669783069223', '9404092859', 66, 5);
    T('7.782368692657154389558584', '9.091E+4', '90905', 8, 6);
    T('-1.5E+4', '-5.9174360512998587678', '14995', 81, 4);
    T('-86076.86536767304272', '3E+8', '-299955004', 17, 6);
    T('1735709.1249894', '-30246442.906850484172416817550', '-30931509', 93, 4);
    T('-74.45964796756697', '-7.330983848475E+13', '73309838484804', 95, 3);
    T('474609836.7956063901', '-43984.3846928008', '-474567524', 37, 4);
    T('-293.68799468086', '-92.039137567', '383', 70, 3);
    T('-3.670E+6', '-8463.45759', '3661537', 93, 3);
    T('-68381751.8616544458146368701', '-4.24821925093152477', '68381749', 58, 2);
    T('-6378938.71179', '-21593.44671046802557', '6357473', 65, 5);
    T('-784.262974714', '-15798.1079617977849', '16058', 45, 2);
    T('1.21964798328530', '-39.60', '-40', 59, 0);
    T('-65174049200.638603619', '487.0381983272317080', '-65174048841', 39, 3);
    T('406596931.619', '-27775.9484004614590576619', '-406602046', 12, 2);
    T('4166784775.5687666467411', '1.3873316E+12', '1391488936327', 75, 5);
    T('1451743.1713', '353172726', '354081321', 90, 2);
    T('732512070553.57965', '658976518.34', '733002335391', 11, 3);
    T('1.87803', '-659912089103833419.4451735273', '-659912089103833420', 13, 4);
    T('-3.91E+9', '-436441274297.7684523004', '435752569543', 93, 4);
    T('621006219.26208627648', '-8943.553', '-621014886', 31, 4);
    T('5.6340E+9', '7.4258025E+8', '5965538458', 85, 4);
    T('6596.2458294761022280', '323799.040814917977056', '321811', 43, 2);
    T('-658491990.92', '259.511309827058288697838', '-658492247', 89, 6);
    T('-8.9E+7', '-664003.4832302', '88353277', 45, 5);
    T('5775.93', '-334420744.868806541477', '-334417289', 80, 5);
    T('-62637.4215531090759', '-6223.2601', '60642', 96, 4);
    T('8.90946880304099139131805238409', '5564.366079537239699707752419', '5556', 59, 1);
    T('-114.42811316640363565938744', '-7.6569018143845223901881', '119', 35, 1);
    T('-5.899878656300137656', '-3.85E+9', '3849999995', 70, 1);
    T('-980.855312338383901745623629526', '-3.8921459E+8', '389214894', 13, 3);
    T('41286.93688316704963569087051', '8.8573E+7', '88548622', 35, 2);
    T('76443.482223712', '-79875035.2768646863715', '-79946050', 88, 3);
    T('54211.80', '865979.577275004842279244385010', '910712', 52, 6);
    T('2899287.692097998259477348080', '3.7E+6', '1329271', 49, 4);
    T('8.6E+4', '3.9E+3', '82124', 20, 0);
    T('22790580.5073926', '-33.114874392027827632790', '-22790549', 72, 1);
    T('7610859.90', '50664.23125080023', '7660547', 39, 5);
    T('9.1E+9', '3803307288638286613.08073516', '3803307297524322325', 52, 6);
    T('19187.6378169', '72294407.143665', '72313588', 11, 6);
    T('389.879698566217890007', '-90331.3751602', '-90464', 85, 1);
    T('886203.6020', '-74445187345325973555.598441', '-74445187345325155722', 19, 6);
    T('5E+2', '47615042682.7772742463682255', '47615042958', 93, 3);
    T('138.89533529669651714401114369', '-5669897.6475', '-5670019', 60, 1);
    T('-4E+2', '3.2E+6', '-3200400', 71, 4);
    T('-21117.8232860709536343', '-3.3959207650565909494995', '21118', 73, 2);
    T('-2', '-278129828506160261619.2', '278129828506160261619', 73, 5);
    T('5E+4', '68761263.06', '68810239', 45, 0);
    T('-609.876798182', '-854968.534941433', '854487', 59, 6);
    T('-1121824003', '1.498E+7', '-1111047843', 60, 4);
    T('-8039311202.8796151', '-8.69352E+8', '8271127902', 65, 1);
    T('-3.692', '-19438.723941106', '19439', 18, 1);
    T('-81.232618871738965010416312', '-870930880.5562617290854', '870930927', 27, 0);
    T('-6.4E+2', '-77974.6879609940323901957448659', '78570', 76, 1);
    T('1.5661849E+17', '9.9E+6', '156618489990368224', 82, 2);
    T('-3966249099483402.88119615', '-279.2', '3966249099483167', 78, 1);
    T('7100776791.666471084436836', '972823.2354', '7100143936', 15, 3);
    T('-622739725.6226699987', '59481.13244594084026444927', '-622766422', 40, 5);
    T('30.8199607055334070010217978841', '-6.2853890274262128E+17', '-628538902742621250', 52, 2);
    T('-897.1857', '-2.80783769646729746245644727033', '897', 72, 2);
    T('-41.44403', '-5971388.4775792552890', '5971347', 12, 6);
    T('-96965.24543', '-295.642140149818496849497468472', '97250', 70, 3);
    T('-2.89E+7', '347923592.418625142807447410', '-352591384', 82, 2);
    T('-787052.360188972', '-629180619.1559608', '629967521', 61, 5);
    T('1E+8', '-974221.58098076001961370570030', '-100351117', 75, 5);
    T('-66334242194381', '-1351.667', '66334242195082', 89, 4);
    T('-175', '-580665.67', '580758', 19, 1);
    T('8.4118831870E+13', '7.6E+3', '84118831869312', 67, 4);
    T('96.751733780620485599', '83.768426285458455499298335', '51', 60, 1);
    T('425.193317', '26.703258706978', '435', 4, 2);
    T('-514.6189404853837', '151630539.3933', '-151630027', 74, 5);
    T('9.569075E+9', '-74024534.6507493900641014', '-9633659246', 88, 4);
    T('1E+5', '85233.11854633109357', '51793', 39, 2);
    T('-8.85E+7', '-8503942530.59118', '8583232158', 56, 0);
    T('-359640527.928477', '-23029576924915110.0774946', '23029576565278827', 81, 2);
    T('4.23E+9', '-7243209840.79558', '-5697581552', 19, 0);
    T('796.2573113470950048654147', '-8991.010246582426877134057243', '-8195', 97, 3);
    T('-2029', '7223634.797004481325620963575', '-7225023', 40, 4);
    T('5.3232501611735103857', '3.9E+7', '39000005', 28, 2);
    T('157.0', '-53624408', '-53624523', 52, 5);
    T('73694086.1780286716150309277989', '93040.240561827543', '73732342', 71, 0);
    T('7.6917379096847E+19', '1279592.312', '76917379096845789096', 34, 4);
    T('-4E+9', '5600713204.6571', '-7042186764', 56, 1);
    T('-7.3970557E+8', '668.8005652803755', '-739704958', 64, 3);
    T('3524760.03995781', '3598.560', '3524246', 30, 6);
    T('8E+4', '4641033.85082437792883', '4712841', 83, 0);
    T('5819322161.8329312618467', '7.6668546321543089', '5819322166', 14, 3);
    T('6.02823E-136', '-6601288309702454.233118654', '-6601288309702454', 35, 1);
    T('543238279263.577546487', '-8.5192E+6', '-543229980225', 58, 6);
    T('3.657481414481153299', '-7.5E+7', '-74999997', 63, 0);
    T('4907954.9864790397', '-1.31426259068E+17', '-131426259063469390', 28, 6);
    T('269207.090', '44.5976502', '269243', 83, 6);
    T('3E+8', '5.0355988385E+15', '5035598601628064', 75, 4);
    T('-158112345.231315', '89.95732436794', '-158112258', 23, 1);
    T('-78910.94658706326', '-40035.174843', '108639', 48, 1);
    T('-3429497652.513120', '-3.0804078955195108615369067060', '3429497649', 17, 4);
    T('24.760691909209', '142513.8', '142505', 23, 5);
    T('19971926167.66', '-3146348526.767', '-17681227643', 1, 2);
    T('513499618.393287613586979789351', '-7.88927899566781263702', '-513499621', 82, 0);
    T('-27121.8066173860254194783024126', '28819897900158.45287042471', '-28819897890191', 66, 3);
    T('-5.2943E+7', '801.28457740920971918548539538', '-52943799', 42, 1);
    T('-402.97597', '-87.59251014', '455', 15, 5);
    T('3.06504014E+9', '28.3639525975307646', '3065040144', 55, 3);
    T('-538409.03500366567', '4350336295', '-4349815312', 18, 4);
    T('-689155449.7', '-29311511.031527950', '682422126', 27, 2);
    T('6.5301206305614372', '-211320.084548748410977149555573', '-211314', 39, 5);
    T('46228158.316377636378089974311', '-79506.221137611649942259', '-46158896', 54, 2);
    T('-29212.07910', '-69851322.12197257712', '69839522', 63, 6);
    T('3.9E+5', '-6567993299623443.099094', '-6567993299905891', 15, 1);
    T('442.92123316239596641613', '-989223334590293351.7170682', '-989223334590293213', 47, 2);
    T('3519361592158594.2447003055', '1361712760.9030387016415', '3519362382397434', 57, 6);
    T('7', '-96813.42', '-96812', 43, 2);
    T('916317742.90583652574', '478.21131347573862873075549', '916318192', 82, 6);
    T('3087.2036258265406915', '30620.443', '31635', 57, 2);
    T('1.6E+9', '-8383.90251389513590513488', '-1600008383', 52, 5);
    T('560.0402586545609016', '-3.4164929387197238091472', '-563', 97, 3);
    T('-40377648.5185678045160914', '-6E+16', '59999999973253840', 80, 2);
    T('218009.21', '-496956.351152296057390662768', '-312995', 36, 3);
    T('-8794173.51927948037905', '-2948242419.694356344', '2939988942', 15, 4);
    T('131280518.5600559033', '-2252605.080140959246860857', '-133263803', 97, 2);
    T('82953.3105', '160.80231639393', '83113', 31, 6);
    T('461888108.170036964391566402958', '1.315950E-9', '461888108', 31, 4);
    T('-815.9078824311099', '51598840.5322389178594260', '-51599063', 84, 2);
    T('-7.897E+4', '-7768802820.245688346175087299', '7768879738', 39, 1);
    T('-6E+1', '-7476260321.47710176786548', '7476260315', 73, 1);
    T('-29925.42701', '713789556712.0', '-713789551373', 24, 5);
    T('-2.026E+9', '-155440.752142909357351', '2025853264', 93, 2);
    T('-8.1931315811182479', '612122512.4', '-612122520', 3, 4);
    T('7.93E+3', '9.81308272E+9', '9813089434', 48, 1);
    T('-52798653', '77.091940450', '-52798706', 63, 5);
    T('8.42E+6', '8371.95724115066482615776', '8411667', 7, 3);
    T('5910640.92694138182', '-381.7045', '-5910797', 21, 5);
    T('2.505345E+8', '-4.84E+18', '-4839999999952364956', 26, 6);
    T('701632299.194746433680620200080', '-97.1377394682822', '-701632332', 17, 3);
    T('-44616334.48495997240', '7405.5391500701', '-44619361', 36, 2);
    T('-9074510703.93118018', '-3.8E+7', '9103859217', 60, 4);
    T('1.733E+8', '844.08560723', '173300332', 68, 4);
    T('358.5043083057219672262', '697412122.9196827578', '697412476', 57, 4);
    T('-29.655895498111571', '-30771.0844028890936776753166173', '30766', 92, 3);
    T('98142000.902', '598.813', '98141542', 75, 2);
    T('7209.47', '1.98E+5', '203097', 96, 1);
    T('8E+9', '673375141144437960.699363', '673375135979828424', 94, 0);
    T('-70124463.7084840903263939', '22835753.63564092995526', '-91386248', 67, 5);
    T('4.4860129E+9', '-8619.041404855756588643', '-4486020687', 76, 2);
    T('2.9361512084951488E+19', '5E+1', '29361512084951488050', 82, 4);
    T('-36722.995', '-513098.445992358483592259', '482104', 93, 6);
    T('-9409706.511332', '-9225.145116', '9416865', 96, 0);
    T('-80128.0696598', '-8.01835867411470', '80120', 42, 6);
    T('1060.62091309', '-9518', '-8458', 59, 0);
    T('56999.9664602754436788', '-6737100.18745213633359', '-6689389', 37, 3);
    T('3.17315E+6', '-1073712359.7', '-1070589945', 42, 3);
    T('5.76504605646643994538905888', '-86991652.719505200408', '-86991655', 61, 1);
    T('-34230029.454905378162688', '-4216.2327', '34234235', 44, 5);
    T('1.11E+5', '695.229', '111407', 29, 1);
    T('7.05E+7', '60.6521917545220095799000', '70499996', 10, 4);
    T('-45703.2715968557331363470489770', '-2.55434E+9', '2554368025', 69, 5);
    T('-535787.12314948316', '1.80032E+9', '-1799788779', 30, 5);
    T('-7989005782.8483481173935552696', '6.1819730128134E+18', '-6181973006976666134', 86, 1);
    T('7094538821.499077', '-50973.972127429313', '-7094588762', 47, 5);
    T('31.53668294', '-2855267052.7030547', '-2855267061', 57, 2);
    T('933163.2339286749569047', '-8665.800160580031421', '-924916', 38, 6);
    T('-13802231.3974201621364209965448', '1.8269100E+8', '-170999375', 61, 6);
    T('535269.9861991244436253542146', '4339194.47326211440732596568447', '4857631', 79, 5);
    T('-3.862694546406266188E+19', '700.69333648042252786659477', '-38626945464062662220', 26, 6);
    T('-30095200.7707140321', '-6.285E+8', '616370496', 49, 4);
    T('62.6988252040', '3735377.3', '3735407', 12, 3);
    T('806798484.7147200876286', '-123636193.2948709189695888065', '-927485301', 53, 3);
    T('892.1817038', '-367741.18992441', '-368385', 77, 0);
    T('-3.1315917E+9', '-5290173.006284627470', '3136877743', 81, 4);
    T('-918924.71719143919049914586', '-2E+8', '199607412', 67, 5);
    T('-93335752.4', '-1.8E+7', '75667640', 78, 6);
    T('9.60173518071264350155316525', '-9208171642.412738778674206696', '-9208171633', 7, 3);
    T('2.07E+3', '-9.77891786059635212209818167644', '-2079', 45, 4);
    T('-3590508.954406', '39.67050496649208502', '-3590477', 4, 0);
    T('-3.64E+4', '8442837.3013701', '-8412667', 82, 3);
    T('-815001384424652161.00', '76.915059996', '-815001384424652237', 35, 3);
    T('-915.64239', '-7042.323093915665045747348380', '6163', 90, 0);
    T('3.7902277743189546211410933890', '305.751646542281664530694206842', '306', 93, 0);
    T('-2979.7162204253085284198', '3.9760502636326611881662', '-2978', 58, 3);
    T('-47.48636701261', '2.54', '-45', 39, 3);
    T('942931.3040594405132102', '552.4014', '942459', 55, 1);
    T('61.55696808911810602', '8.369', '53', 30, 2);
    T('1.61E+4', '20.89254313', '16112', 34, 5);
    T('105.2948118761383807208', '-56.019', '-95', 12, 5);
    T('-1039.95847', '-5', '1034', 66, 0);
    T('-73235.786912227528520968', '-334097332367.557', '334097393308', 44, 3);
    T('4476152.022085739520002589982', '99084.4213', '4575220', 11, 1);
    T('-5402.78538669191294299', '8.4374732585673E+20', '-843747325856730005402', 71, 0);
    T('-6.87511E+19', '3158169933.634422583', '-68751099997517670067', 7, 2);
    T('-9.8420E+6', '-49391.2162490324417518', '9891233', 81, 0);
    T('-3.8E+4', '270287887.386377264581952', '-270323809', 56, 5);
    T('92250819823579115.52', '-2E+4', '-92250819823591925', 92, 6);
    T('1.03098', '729358.05933556379', '729359', 42, 1);
    T('623099.2222', '559524998.63895653811304', '558902653', 98, 3);
    T('2372.410048943772585667390', '7114.001691027061846', '4750', 100, 5);
    T('2.37E+8', '816330367.7073', '1049125695', 42, 3);
    T('-2018997.9272300', '-2.008480', '2018997', 14, 6);
    T('4.360E+5', '-7494198.1389855976925655510', '-7666966', 51, 0);
    T('45221596.9', '162736655.9071587268', '184626387', 28, 5);
    T('-3.25E+8', '-676194799.9700373117', '991097553', 82, 6);
    T('4.7601E+7', '5.5675103E+8', '603524574', 43, 6);
    T('539670.176212708807767502330989', '-8750344.5024249583779581321', '-9287954', 87, 6);
    T('-63381.18149892374678930401', '2.825E+15', '-2824999999989653', 75, 3);
    T('-2831.7093342', '49.1037019244014', '-2880', 45, 2);
    T('-8111.0829335006016046217', '-7.1480365157', '8104', 83, 4);
    T('-8.758128E+19', '1.38252E+10', '-87581279995302916224', 67, 0);
    T('6104413804.2491394414', '-6.0E+4', '-6104357940', 89, 6);
    T('-735894.8634498714050088', '6.2E+5', '-151414', 28, 5);
    T('-7.25320440E+15', '-211673158394291', '7041563462265421', 63, 2);
    T('-699750293.0772789', '-402980.57144719562842094693463', '699625911', 47, 1);
    T('-432121535.0179', '-4800.7186333128239', '432124929', 62, 1);
    T('9170.66973', '-31.80596238407725794865', '-9165', 48, 0);
    T('-984070.085912442132', '956.9842619', '-985018', 87, 6);
    T('285935.666', '-2.519', '-285935', 66, 0);
    T('1421300038.243', '-3.60678388342100E+15', '-3606782615254018', 57, 4);
    T('-1023784.61', '-45.76107142988', '1023755', 97, 4);
    T('-7373942.3924336942033284956971', '-166659684.442522', '161448470', 89, 3);
    T('4.54649878443377363393507854', '-3E+4', '-29996', 20, 6);
    T('41.6457', '7555.112651317009784451', '7594', 63, 3);
    T('-23141.51741835978483212381', '-77525.35812435', '95408', 97, 2);
    T('-1504830969457.6934807182602334', '8.0414272000007', '-1504830969465', 61, 2);
    T('-2.91E+5', '-5.5635E+6', '5280988', 86, 0);
    T('-364183970.88651400404537588', '53745606', '-377558632', 18, 4);
    T('-793567.912', '-5.97890755093344', '793562', 41, 6);
    T('-17.2497248581628865', '93473811.019698995', '-93473796', 68, 3);
    T('-4885232.399089', '-53072793.6380005248924', '56842615', 10, 3);
    T('3.69019451518E+13', '-5093.7583453161100874150400', '-36901945148125', 58, 4);
    T('2.531E+5', '-8569778.326544964626177163', '-8462110', 11, 5);
    T('-3389674.1208387585771590339844', '-5132816495423054.941100100089', '5132816494597796', 90, 0);
    T('2.566437882600071', '-74.0010609703475324284133223480', '-76', 35, 2);
    T('8.452165866491700425', '-6.440E+5', '-643992', 62, 0);
    T('-9.62208382571E+17', '5.2179082579', '-962208382570999995', 31, 3);
    T('-5E+9', '57491.456', '-4999942509', 61, 5);
    T('-720068586.869174', '169.29', '-720068417', 69, 2);
    T('-4E+4', '-3421628', '3451268', 22, 2);
    T('47111884.49390730050', '81524147', '102050687', 6, 0);
    T('9327639127.28844368716061977356', '179212.8281688', '9327789659', 70, 2);
    T('3.3713878978086957311586356182', '-4234253.4031173711828', '-4234256', 34, 1);
    T('-53036.11643479622431', '-4E+16', '39999999999946964', 52, 0);
    T('2.107615E+9', '5089670.9', '2110918302', 84, 3);
    T('3.522E+7', '9.4608189261582E+14', '946081860562092', 60, 0);
    T('-5.66529E+9', '328.225713350227947492490920', '-5665289800', 50, 5);
    T('47.6951442876397199698379', '-7882.81398712758087883702661039', '-7911', 8, 6);
    T('979.0832', '-629797457.745615539516113', '-629797252', 16, 5);
    T('-8559307.90135275154702080443125', '734.025', '-8558613', 71, 0);
    T('-2.81E+4', '1.1E+5', '-114804', 20, 1);
    T('1.55042162', '-1585977862437721591.7038446', '-1585977862437721592', 79, 0);
    T('6108295.423347913', '-8.26877054033309310050', '-6108289', 19, 4);
    T('-54875.29307707893', '-40.5960', '54909', 39, 1);
    T('5654577.77', '69.01512031551364978699', '5654644', 55, 3);
    T('1.8E+2', '-4E+4', '-40076', 19, 5);
    T('4.215090E+10', '-610643.17545', '-42151370867', 41, 4);
    T('-48.23279', '-3252514.799', '3252494', 85, 2);
    T('8155157.3', '51906.26420250082614151258', '8174295', 59, 5);
    T('-983.288', '2E+3', '-1031', 15, 4);
    T('36661782.2346714252796', '7.4845255892402978412597686970', '36661777', 52, 5);
    T('7.99595678479902858E+20', '1.70380E+8', '799595678480073200112', 42, 6);
    T('37.4275293936407', '-9.17318255', '-46', 64, 2);
    T('-8472.1815216506229132594', '77027.107170144792', '-69109', 44, 5);
    T('-4.61E+14', '-46628450.0', '461000045932958', 64, 2);
    T('-240050678.6320954760971806295', '837279447.023063195', '-1068056355', 70, 4);
    T('505998.9982441708908137168', '44775.406', '464489', 29, 5);
    T('1.939392E+8', '3.5576162450', '193939203', 31, 0);
    T('1260.95570251', '33.58313053040400059148655000', '1229', 5, 0);
    T('1.8622962508698721946E+20', '2010323422.1474542038732', '186229625085642091482', 83, 1);
    T('7.173903E+7', '94426.92643100819', '71816780', 35, 2);
    T('65169', '3.7121391697829182353', '65170', 36, 1);
    T('5.245E+6', '383659040.31221748163660897159', '378414184', 75, 0);
    T('-2240.582155288853855687640', '5.3653436616850579250853658177', '-2235', 53, 4);
    T('59.5475676198138', '958289423.05159055', '958289460', 89, 2);
    T('-69640277.1006', '8.8301792E+8', '-814180501', 18, 3);
    T('84417701.716365295002663174736', '-863.296752', '-84418556', 39, 2);
    T('-4.237781398284178', '6297326972.20900100', '-6297326976', 66, 5);
    T('-7853009.2769098934566267', '-7E+1', '7852949', 82, 0);
    T('-2E+11', '961742647.9035', '-200416348361', 98, 0);
    T('40598.660782066573868251496', '4321392036.70681683', '4321422130', 94, 2);
    T('940298484.763863227836672126179', '-984009183.220801956681870517636', '-44898603', 9, 0);
    T('6484.94987889352298491', '-15942.34799843392963635', '-10002', 55, 2);
    T('-6588944.7469417204327888828', '-6.17539', '6588938', 42, 4);
    T('-283048761.1', '67.457539449', '-283048828', 86, 3);
    T('392676.7472667', '-92.155268238877534230', '-392640', 30, 6);
    T('23298141.4294615496', '-6.7E+2', '-23298753', 45, 3);
    T('-901823.143583065947133', '-1.8873305', '901822', 38, 0);
    T('-4104.547649644400701649575111', '4.25559', '-4100', 13, 3);
    T('383577821.1738', '-3935349.794129892958652888719', '-383836842', 99, 0);
    T('-9723293.3291105630647', '5857.939560', '-9718654', 47, 2);
    T('-478.8817', '9732.06397900891618845298', '-10202', 24, 2);
    T('99164.36165534', '-5.239513E+8', '-523984800', 60, 4);
    T('-7.792086919991021', '-239910.7907251885', '239907', 6, 2);
    T('-959.530609742', '86.190227279901217640', '-1001', 70, 1);
    T('-70765468.817', '7808.4878448624878018382', '-70767900', 66, 6);
    T('7452714017.5917001416', '4.25168788058341546938', '7452714021', 58, 0);
    T('-932681719275887', '4768866.96018185875', '-932681723946253', 68, 2);
    T('-1967.1498864191', '4E+6', '-4001455', 86, 0);
    T('968953800.5000719983501', '3.543', '968953803', 89, 4);
    T('209830248.565992307693', '-9648640994.557434643013', '-9455751818', 95, 0);
    T('-581580.86195106972693501871', '-954163979.22181556134', '953662657', 93, 2);
    T('317318.1336356981961716', '1.1552202796719172209518820', '317319', 81, 3);
    T('-8823469.6881568473850963', '710320585383.87284890568', '-710328539148', 81, 3);
    T('2967.21880249', '9.12388974209012174', '2974', 44, 3);
    T('20.0330782380827686704111279891', '-6.7131672E+14', '-671316719999980', 67, 1);
    T('608170.4794163917375970896587', '199763592.4738275276', '199319842', 4, 1);
    T('3499410.19579551100460364403', '90589.0675164000362908', '3408975', 3, 6);
    T('649345517480453269', '73412834.656', '649345517541266551', 69, 6);
    T('43.0598422813714833973241521', '-9.5532730104737018025203295502', '-36', 41, 3);
    T('-9680188.184173', '721472.636756312998807364991', '-10008444', 76, 0);
    T('-10.300842909559524006606', '-84.7596652615526', '90', 14, 3);
    T('-70899806708', '-6.24386667011209E+15', '6243937539894442', 2, 3);
    T('-7955216.585832627154279', '5.09248849202030E+18', '-5092488492024011760', 91, 5);
    T('6.06647E+15', '-53591.955', '-6066469999947095', 56, 6);
    T('8.72195630052E+17', '-6913143636.5953762085633', '-872195623677063764', 37, 6);
    T('-3.1E+4', '2.533168690166654523392311', '-30998', 29, 5);
    T('-6.67999E+7', '572963.59029', '-66320185', 46, 1);
    T('1.3869022078810832479221', '16.7712926449829281943583239', '17', 98, 3);
    T('1333.281507', '12799.941446646789535641', '13514', 77, 2);
    T('4071.88731', '217600.26167863177755086735', '220647', 75, 2);
    T('-475.17', '-7406637.519233737245364587431', '7407094', 28, 4);
    T('-7628616.533889762', '-44858.825636423', '7653502', 54, 0);
    T('-7.5121E+10', '-451.786179394', '75121000445', 3, 5);
    T('6124576273537.25909', '70.012315524574', '6124576273607', 6, 2);
    T('893.6532', '3478.9968577972420672380', '3819', 62, 0);
    T('-4535312108.1302520096', '-35296000.649804595', '4501130260', 2, 3);
    T('-61622750821.48356', '8105589.4804700669665', '-61630783506', 7, 4);
    T('-3523364.495061390392835', '-61962.77', '3485994', 92, 2);
    T('59182421.119989649976493', '-4391.93979339566946373316153185', '-59186292', 50, 4);
    T('90317617.92346793152335038', '-1386239.424607192034014', '-91686352', 98, 4);
    T('-92.007', '71266.4095847761756827978093', '-71226', 36, 1);
    T('3617718.002159008022999', '-974.511470', '-3616892', 96, 0);
    T('-9.894732341054301846325373', '6.8244429305214527542868325488', '-15', 28, 5);
    T('7237863096.36', '-53', '-7237863053', 48, 0);
    T('1.6435E+7', '-6.7E+20', '-669999999999993002184', 13, 5);
    T('-9343.2545877817321046011473', '82.62451378372113656431', '-9261', 2, 2);
    T('2676777.756', '-76236218.722706821504', '-77831569', 13, 3);
    T('-2', '23.3416654496581221839712452354', '-23', 6, 5);
    T('8646990.3801913', '-18233786.4', '-26593528', 91, 0);
    T('2401.48775785749519303', '375671574.7422761550740', '375669367', 69, 5);
    T('1.3E+6', '-9.54633', '-1300009', 29, 0);
    T('30.882732337321697803321382718', '-18.4451274412831637115319643832', '-16', 30, 0);
    T('85.76215977262815774505174888', '8.53345953E+9', '8533459487', 90, 0);
    T('-442.97809862417', '-9341528.88893235694191', '9341934', 80, 5);
    T('-326250596.709920634893', '3E+1', '-326250622', 76, 2);
    T('8.79378105069130647733113741420', '-1.0187E+7', '-10187008', 54, 2);
    T('-2848549', '676623498327693.669655448', '-676623500755370', 27, 2);
    T('91618.142216922083', '-227453.3487782642543', '-138655', 49, 4);
    T('-8.3615E+9', '-5E+7', '8331504928', 57, 3);
    T('2E+5', '58175340.65', '57975340', 13, 5);
    T('4.14E+5', '-7687974.97720652887695322352968', '-7544342', 26, 1);
    T('-5995296055.693', '84814.968962005565467', '-5995347577', 30, 5);
    T('-4107266915.3169', '-726.57352758397806', '4107266487', 36, 1);
    T('6.760E+9', '81480204.5927983', '6815096844', 70, 5);
    T('-84823.150365375173626479383312', '917.624', '-84164', 61, 1);
    T('6891572.8534386355106', '993.96095724', '6892501', 25, 6);
    T('1987268.71305719', '73.238596907610', '1987213', 73, 0);
    T('60521815', '-906002.07085942309386926794379', '-60206663', 58, 1);
    T('-902427871.45276', '495495279.46187', '-675372210', 56, 4);
    T('-496797585.30093065487', '90080.69693266083174136508', '-496883825', 31, 2);
    T('-423695207.42488847326562353', '-6848', '423692761', 65, 1);
    T('3.0450301713869E+18', '68872383.118965865430', '3045030171318290079', 10, 2);
    T('-6732031.583833915724331794', '-9.6691579399926142302349305187', '6732022', 62, 2);
    T('52102571.405846635211156', '-9044.901795376628', '-52111097', 4, 3);
    T('7342106083953475845.43070825', '-58.89996415979', '-7342106083953475901', 47, 2);
    T('2.071E+6', '-51.0025650639433353631801590', '-2071019', 32, 3);
    T('5562301471.30170656545265339528', '-955667.060', '-5562132750', 59, 5);
    T('189735292750411.853431842687057', '-989075386.8827', '-189734648143347', 38, 2);
    T('-9608871527.391205872457074129', '-9992142.89845661181980', '9598912939', 94, 2);
    T('53644.57983086324681901233047', '-28908.407822181264982526039', '-41320', 64, 5);
    T('663', '7618.18859460', '8021', 6, 4);
    T('-7.845315E+11', '-2.24108172293084302165460915', '784531499998', 70, 0);
    T('9920954461.03709329505828028950', '7.2770E+16', '72770007764557917', 72, 4);
    T('694.82', '5E+1', '644', 1, 4);
    T('-42347189630.5943', '-17888.663565375', '42347172002', 96, 2);
    T('1.9081050154409639313633', '-7146744.85949', '-7146743', 80, 2);
    T('562478547.8251302851834240', '89.1345041', '562478474', 84, 2);
    T('-8E+9', '-2975907.042393', '8002414429', 42, 3);
    T('-32179179.72510', '-830034210733194.095101804214673', '830034233474915', 80, 1);
    T('26718062.693561996069', '20481066.31648506272067452', '11479876', 9, 0);
    T('-27498201109396.14', '-8.8169530467252204812E+20', '881695279390541136356', 69, 6);
    T('-5283.15168', '-9516.2584', '12681', 35, 5);
    T('-22610573.48171', '530761592.674975100855190', '-519816693', 15, 2);
    T('353093.2649831630842467543', '223380.3560366880176825', '396241', 41, 5);
    T('4.30480E+8', '36.240774', '430480036', 15, 6);
    T('661245.525162996', '-17618.7404631376117473324', '-676397', 55, 0);
    T('1977065124003201.105571', '-593.2735339091', '-1977065124003794', 93, 4);
    T('279.3344116345256045', '-944613.1350007268559042571', '-944372', 33, 6);
    T('-502448648.76458797626', '790.7907139', '-502448402', 65, 0);
    T('-551884332.07789382091', '66371.85675117', '-551818601', 92, 5);
    T('-329456.40646341079', '3.34530E+16', '-33453000000198384', 80, 1);
    T('-556166.7621', '-5863027536746935.8764989', '5863027537257779', 20, 0);
    T('-76430.35651568009157', '-46.38767197021082', '76448', 94, 3);
    T('118.037680892176302074882082', '5242.6920629794938686275559400', '5132', 13, 2);
    T('-77395.44553260416851342', '-234866.1578335035076262', '178979', 5, 5);
    T('-3.0E+3', '3945907715.27397293909410', '-3945909685', 15, 5);
    T('-7602.85758126020097232668748', '471996.93824058053957935392714', '-470542', 71, 5);
    T('-8.606', '-407862.39618776672', '407858', 78, 2);
    T('1.9090920', '-4.74E+8', '-473999999', 85, 2);
    T('7.37E+5', '575539599.05', '574961511', 5, 6);
    T('4.598E+10', '-7772.68011168963621592894', '-45979992412', 38, 5);
    T('2.31E+4', '749582794.7720427365385908', '749593590', 20, 2);
    T('6915.73469802643792587078', '-81535094.4279', '-81542007', 26, 0);
    T('97634363312037.2498117107871905', '5.436E+7', '97634382934117', 21, 0);
    T('-93.976953083', '-401777783.992367614', '401777706', 4, 5);
    T('668716.4191975435', '72.3665716137554496765158714', '668772', 20, 1);
    T('-44.7004266054980039195827', '-4E+20', '399999999999999999956', 33, 0);
    T('4.73961685156152256726313', '65006.0699', '65002', 51, 0);
    T('173.320337526493', '-9801.6351538963916041798', '-9958', 12, 1);
    T('31714395439.375240022369847', '901.53043454235', '31714395818', 88, 4);
    T('1.69447213E+15', '8472.7199736719632', '1694472129992088', 34, 1);
    T('-3.091E+11', '8.45E+9', '-300654229120', 85, 2);
    T('-620.8849443420001078', '6668158217.320763', '-6668158819', 47, 1);
    T('-8323476.95974777346678', '7740673778.9797806175325', '-7736282978', 59, 2);
    T('-6386884148.753272', '7730023.3410', '-6388313429', 72, 2);
    T('1922.879670', '331.151480836049942909593', '1737', 47, 4);
    T('-9.5905452E+20', '-418071264.415744744066050483671', '959054520000392477984', 87, 2);
    T('-67062.8237', '3.502E+9', '-3502064246', 28, 1);
    T('-261646858020012346.2', '-1811603.2029278082133745074', '261646858021692843', 8, 0);
    T('-9351953513.184547292', '3.091450848775443', '-9351953516', 1, 4);
    T('-22054550355.467011530477198483', '14.2994224758552294', '-22054550365', 28, 3);
    T('-55603758.4097660', '29.217611456538377362231', '-55603761', 15, 6);
    T('61', '889.74681030239701573946053804', '836', 61, 6);
    T('905856.2661756859302376970', '300.97', '906156', 72, 0);
    T('3230.800237577449628757', '0.000058895399455816247604', '3230', 98, 6);
    T('-4786164041.098666473', '-46.054339970084960186920879', '4786164069', 28, 0);
    T('6.01211E+8', '93108979.8791553027947155', '643398283', 48, 3);
    T('-5378918.693805164654307028', '-1362636214116105890.64743558992', '1362636214110989764', 74, 1);
    T('-7886234156.625', '8802.1913717590780', '-7886225482', 28, 3);
    T('30.65252', '56.7', '38', 86, 3);
    T('-30.430535', '3.862590371952929389087646', '-31', 89, 4);
    T('-2474.90189536052913425402293', '2.0651353373363186679', '-2476', 55, 6);
    T('62.2470433419040084622061190', '1.813969E+10', '18139690030', 68, 5);
    T('7.1238134575988391566693703', '3.1137E+6', '3113699', 76, 6);
    T('-3.0952E+7', '-11068638863358091447.2460686000', '11068638863337630345', 24, 6);
    T('2.4358662E+8', '-70.99059', '-243586682', 24, 5);
    T('3.863941145903', '-84702221.69889958', '-84702224', 7, 5);
    T('4.4E+6', '5.75E+6', '1351536', 53, 0);
    T('-50.4380103499544051', '-484473.748822819934932312384918', '484425', 3, 4);
    T('394965799.513', '6E+6', '399589031', 86, 3);
    T('39324181.49409099715684', '-5.362E+8', '-497928491', 83, 5);
    T('9.4771143227762178134417534279', '630284499.14', '630284506', 26, 2);
    T('-2.28590E+8', '53655013.59', '-244495435', 9, 3);
    T('-5.12E+12', '-1E+5', '5119999900000', 71, 2);
    T('-4.2E+11', '7.036624301774544956257', '-419999999993', 90, 6);
    T('-376132.263458121883432674271', '52042.3396412532122958764', '-357898', 28, 1);
    T('660139.6545016', '632.11696653844778959', '659667', 62, 3);
    T('-5.984E+7', '9050716759700.806', '-9050759689068', 23, 2);
    T('8831802', '5203.9188', '8836969', 39, 3);
    T('4678.0192752849215129', '-23.590441722205110604111169', '-4689', 46, 4);
    T('-3826.7304301907756067782807', '861682.70866', '-862980', 56, 6);
    T('-871700.94837094', '3601451420.48929264129', '-3601106064', 71, 6);
    T('-6086.4762747158', '-8.38061467495650887725', '6082', 95, 0);
    T('-9.3365690095309', '-7005710.000', '7005701', 19, 4);
    T('-514073340.5394', '-725.45', '514072623', 39, 0);
    T('28', '297.4372109962735476', '309', 10, 6);
    T('8031548942137.49208871037823813', '84127956.921092850145844', '8031464888301', 41, 5);
    T('-317268.2038951886087155348391', '75126016.05738259551783312', '-75399764', 85, 2);
    T('1.91336372635971409847', '-2045.11263602', '-2046', 28, 3);
    T('-3.62E+4', '-44385.206024034841719', '8199', 55, 1);
    T('-8E+8', '38497299.38662700822835055', '-769944557', 31, 4);
    T('2.3684E+9', '-82263929428069163.70720', '-82263927463453099', 80, 6);
    T('-8528.479720', '-4.9E+3', '12908', 48, 4);
    T('-7344101932.160841', '-7E+7', '7274104660', 41, 1);
    T('-8.5181E+8', '7379.07727511706285770494122563', '-851806749', 32, 2);
    T('-9541061464.69278853506017360', '-3970.6214946568477320091458', '9541059798', 38, 6);
    T('5655754', '-2.6776074E+18', '-2677607399994639158', 93, 5);
    T('-1862902527.49166798', '-5905.32738', '1862907374', 95, 6);
    T('-2.4E+5', '-12041.14', '231031', 47, 0);
    T('39.3611', '8.63686794595745356', '47', 34, 6);
    T('-5E+6', '-2467865.8832971012', '6939431', 57, 1);
    T('-8.200532913687E+20', '5526674258311.111670480', '-820053294672686190457', 88, 3);
    T('7977868.250607112422061', '-90.9346540958429339', '-7977942', 81, 1);
    T('-7938536208571868.5097312198978', '63.11741473045387232402993', '-7938536208571877', 86, 6);
    T('57787.878155525555', '-83.53347', '-57834', 87, 0);
    T('82.258630215779541692205974', '3.3E+8', '330000082', 95, 1);
    T('87.76557086050', '1.9', '86', 22, 6);
    T('6.94050E+8', '-246226.169', '-694000898', 25, 3);
    T('3083.46834', '-2.32810566E+14', '-232810565996917', 42, 2);
    T('-544.145129', '-2.254567', '542', 70, 4);
    T('-8999.763369300027688631', '-2.1698621425842030933957578', '8999', 32, 6);
    T('-6.70275955547', '-1675985593.93', '1675985597', 42, 4);
    T('6352.881183392763', '-67685.7590735', '-69813', 1, 3);
    T('-879909.9510184076599', '43.976407263636', '-879888', 32, 0);
    T('3E+7', '44479065341632890470.41876126', '44479065341619799526', 88, 4);
    T('-7012.7796347950124443122', '3923.44332060303334252600765836', '-5169', 90, 6);
    T('-2233.49473', '-393.25159035618', '2352', 36, 6);
    T('-6213076485.8', '2684.3416075491075', '-6213078137', 9, 2);
    T('-80853.8953', '-2.88E+7', '28723243', 12, 2);
    T('6.52693084058044', '5604753.9156375', '5604759', 92, 2);
    T('-9.807E+9', '5.713468848785222719471114763', '-9806999995', 97, 2);
    T('-1023.60545802190344732586788', '-38.671330373577973935588156300', '987', 18, 6);
    T('1E+9', '73595.81325422238533', '1000068475', 75, 1);
    T('-3.22', '-34593.95030470721667503324887', '34594', 1, 4);
    T('-35733.92061409278795428475', '-218.88440408617164445', '35661', 92, 4);
    T('-2840782899.33062687163632391638', '84.9', '-2840782951', 11, 0);
    T('-6.9575', '-6.10E+9', '6099999994', 18, 4);
    T('5503.87', '-1.80444322872861836755', '-5504', 55, 5);
    T('-987014', '7.2733E+18', '-7273299999999807366', 71, 4);
    T('-36.23535', '23230.7258334024714635571848', '-23198', 66, 1);
    T('-85.270924284380385075317', '-2E+20', '199999999999999999915', 77, 3);
    T('9464.588102808142647706', '684841.04553045708529', '677841', 90, 5);
    T('-137.023', '874.59131165822327641624', '-995', 58, 0);
    T('-72.845749754797522', '-128036233.3675938', '128036303', 11, 4);
    T('-588.414873779640039', '475954.09', '-475514', 88, 5);
    T('9.940793361778430400980110', '552.670136286', '545', 41, 3);
    T('-8240845361.36244177', '1895614979.4904575901309', '-6908909620', 84, 2);
    T('482617017558648.1781775790125', '-3.180888E+13', '-468521122979208', 7, 5);
    T('1.833429342072923664177580', '-665.5098142654776059439789334', '-666', 20, 5);
    T('42.30905', '5.43622254758E+17', '543622254758000042', 68, 6);
    T('-9048331.70755', '5.59E+7', '-64939627', 77, 0);
    T('48135379.8503', '-396536751802858212856.92819005', '-396536751802886156581', 26, 0);
    T('3E+13', '970.1761097895336937699052', '30000000000970', 56, 1);
    T('-7821773661654.799560812', '2045407.97609752', '-7821774376971', 62, 3);
    T('-3.905084E+19', '65.7206703016485609236486552147', '-39050839999999999935', 11, 3);
    T('-6464.4', '16290.9122377561021462589458', '-9886', 33, 4);
    T('-50055576273468.4033513234747916', '7.027257E+9', '-50061502098580', 59, 3);
    T('-350659822.9413119', '1316.6075687725588773528828', '-350659018', 88, 3);
    T('-92702367.017340826040', '793521920', '-717924767', 21, 2);
    T('-777191915.16270233757841906', '-3.7452056169', '777191912', 21, 3);
    T('842920216230402', '-45845831.733988213445150402091', '-842920260564805', 50, 6);
    T('22.12860262885759839', '784.0195200267354147468572592', '774', 94, 1);
    T('-1353275.3196743421', '-228136688.4343377', '227389653', 43, 1);
    T('730558590.13195792550', '329060407.610', '940990537', 76, 3);
    T('-5917888.876871', '3.57850711236023783867', '-5917885', 54, 3);
    T('-63972.76', '8.450E+5', '-793900', 100, 0);
    T('21775.21200380196661908', '4.58E+5', '436255', 60, 4);
    T('6433017.8262216790143354518397', '9.799', '6433008', 43, 3);
    T('-123.405916', '-742388918.51150925804994593507', '742388943', 70, 4);
    T('274964776.504', '3646', '274968342', 71, 2);
    T('2.652213493E+15', '-862545.1', '-2652213492272657', 70, 5);
    T('97884.0933077', '-2739975.06', '-2666843', 69, 4);
    T('-2801.093192759677065041668957', '-8987892.14890556254423', '8990211', 9, 1);
    T('-5643.7095069301860777927', '-96159.0537062719142953', '90516', 19, 2);
    T('-1.9399359E+15', '-791.089343053708', '1939935899999721', 37, 5);
    T('-24482496137967364.258052', '7994754278.337593871714918', '-24482492706911206', 5, 3);
    T('872978.6895344', '-3985.50403844548939', '-875907', 10, 3);
    T('7954.94659519', '-9.9722E+5', '-993394', 14, 3);
    T('1624258053.1014543', '1.9E+6', '1624034277', 44, 5);
    T('-9968473.76399665523385', '-2060844.3424303215702', '8874355', 92, 5);
    T('-294777.083523641567153321835360', '760822126.1220608', '-761087511', 11, 1);
    T('-180622653804.05616178618592429', '96965108030218053.33954641', '-96965288595908143', 68, 3);
    T('-91924.0940615457710007702416', '482.9235137691791861530', '-91890', 25, 6);
    T('5505753025.77264196086672905860', '-985146338.6353751815600487', '-6217219105', 92, 5);
    T('29373.38', '1E+4', '21933', 13, 5);
    T('-6.988704', '-4.2E+6', '4199994', 93, 4);
    T('6.2593', '5.804415E+7', '58044144', 11, 4);
    T('-1.5192156967403529', '-8.9635531E+9', '8963553099', 42, 5);
    T('58466231.5256854360996', '-5132507664.98556328633266306860', '-5143774649', 33, 0);
    T('123385154021.42830969811624910', '-3.64E+15', '-3640015664936475', 54, 3);
    T('38.545', '-893109.582553456', '-893075', 46, 2);
    T('40.3', '-4.9E+16', '-48999999999999960', 98, 4);
    T('6.8E+4', '333.85390179', '67821', 35, 4);
    T('-74268.0314127015285', '8762689.08925787747358918', '-8689499', 33, 6);
    T('-7916781776936569028.4501', '-3.2609723E+15', '7914402080553914940', 87, 5);
    T('-8.22983954237325751223652973414', '2862.7405390318762', '-2858', 76, 2);
    T('-1.25654625430524011684578263', '3.22427855960264E-67', '-1', 72, 1);
    T('2.60', '-8.8701323665', '-6', 70, 1);
    T('8672.69944758055', '-251153.376', '-259313', 19, 3);
    T('-4349426.199856931154', '-9.868E+7', '94626126', 56, 1);
    T('-68.08883880598446934954018', '9815527201.223', '-9815527267', 89, 3);
    T('-20593018.506397860040460', '-2134.224237961257835641467662', '20590892', 3, 2);
    T('-8.886170E+7', '-285291716.2710205035270', '340449472', 33, 2);
    T('894982.6717617207', '-851.82389441234278447', '-895829', 32, 0);
    T('-396.37138007994700', '903.19089767583222309554', '-525', 60, 6);
    T('-2.550E+4', '1.203', '-25499', 93, 1);
    T('650354116500006593.80299962984', '906298912.3', '650354117272084705', 41, 3);
    T('860732.323680111314845054', '-429.66810782410834854957', '-861073', 33, 4);
    T('-40661.448936729639', '68.4513', '-40593', 32, 6);
    T('65067.3', '-85702', '-110831', 60, 6);
    T('-5.6978332584E+20', '-426568', '569783325840000359864', 26, 2);
    T('-8.36066220364E+18', '870233346.5731', '-8360662202803394814', 11, 0);
    T('94728513424729.59761726427418', '-235449.24212939562893938', '-94728513592034', 86, 2);
    T('5525016466.489844614', '-9.6908E+9', '-13032542446', 100, 0);
    T('80600.8', '-8948901521.5570755554', '-8948833353', 81, 6);
    T('-2E+3', '-4.750E+5', '473272', 17, 4);
    T('-7E+9', '-654869230.90777', '6546458386', 13, 3);
    T('-198886.9987286794299449', '-543752110092629.27233414', '543752110029233', 43, 1);
    T('944.315377254642828684130698269', '-717.933225033609595989830042', '-381', 33, 0);
    T('-4997.429194', '8.57699E+6', '-8571995', 29, 4);
    T('-954.234627314', '7525.2417', '-7901', 58, 0);
    T('-858417933.775', '-6.1E+8', '393328499', 77, 4);
    T('-54041', '6.5707E+6', '-6590933', 69, 4);
    T('66542250968592331388.15703571', '611.7540256931', '66542250968592330783', 29, 0);
    T('-2391410510.57151096', '-2.22', '2391410508', 59, 6);
    T('9903.4585192355960046', '-516612.72844', '-509101', 31, 6);
    T('52473.097086446', '-7.076278814638227', '-52480', 53, 0);
    T('-1415.9662182822487312', '1.2345E+5', '-124861', 92, 5);
    T('-6162041019.9860680868076547401', '-4723.4106401507192', '6162045640', 38, 0);
    T('-21544.00284825670611', '5092562406.30837229', '-5092540866', 90, 2);
    T('-28669838.202041', '4.86775E+9', '-4892037118', 21, 5);
    T('-6.152E+9', '-6.8042174829183', '6151999994', 48, 3);
    T('-3.5284', '-3395460266.3403938881538', '3395460267', 29, 1);
    T('-879.72203', '6238069518.82', '-6238068833', 92, 0);
    T('-2.79508479', '16811331.077', '-16811331', 82, 3);
    T('-1.8', '-31442492.056105901', '31442491', 57, 1);
    T('-678659572.680956632768347500', '-67608.5179356000369380101', '678596068', 74, 2);
    T('-81.0079', '39112.3053469611128434114049945', '-39065', 25, 4);
    T('-303400699.80924572', '1.05672E+8', '-341437371', 96, 0);
    T('5.821309E+19', '-517852.3', '-58213090000000501468', 40, 6);
    T('-7.450787237923E+13', '-402401006.924404387', '74507494098864', 16, 0);
    T('-2.875762064729821149566091', '123717160.47826131903136301', '-123717162', 69, 6);
    T('-5.628889768127609E+16', '-7.5E+8', '56288898294426566', 12, 3);
    T('4144508526.06605', '8750162', '4153256508', 15, 0);
    T('-70324889.1886285', '96407.1856579717', '-70281744', 38, 5);
    T('-70.55294286', '-1.79E+4', '17838', 22, 0);
    T('2.113649566087059', '-6627286.769322', '-6627288', 75, 5);
    T('6.3846779E+9', '-8.4E+5', '-6383904052', 75, 5);
    T('-3896932403207.0', '7.7E+4', '-3896932345039', 97, 0);
    T('5.8720E+9', '2.6E+9', '7634109952', 40, 1);
    T('-883127.1335839899296738', '-50.91345', '883079', 95, 4);
    T('1.876231E+8', '50384593.991455', '137242733', 72, 2);
    T('-78480484294338994.649570810631', '59.52619128264905578547168253', '-78480484294338955', 65, 4);
    T('-96759.7994024100', '-7402.45594359', '91423', 64, 6);
    T('-42127.264189549552', '1.735010103E+20', '-173501010299999976591', 44, 5);
    T('-46.692234849811895', '3.57885621997E+18', '-3578856219970000046', 85, 6);
    T('6.86E+9', '-35293875.775389437473832270095', '-6895026611', 35, 4);
    T('-5630008974.466789364862886', '-960', '5630008626', 4, 4);
    T('-5.9E+3', '-1.687E+8', '168705876', 64, 2);
    T('49.9224846876826938', '-107081866.48257', '-107081913', 62, 5);
    T('67.26820416107460310', '2713156.3016927766', '2713095', 85, 6);
    T('-9E+1', '7815.98490149101950', '-7903', 90, 3);
    T('116914.8', '-7111547626.4644878178', '-7111463516', 95, 0);
    T('8.7652172903360689675267027', '5050.170192042396669242431', '5042', 91, 5);
    T('-441.92030493438672073959945', '9877861704.4647109329', '-9877861617', 84, 6);
    T('-5.9E+5', '9.7E+3', '-599372', 67, 1);
    T('-3620066.90989878', '-2713424646.65288967241476925322', '2710351844', 79, 5);
    T('37.423046842305958559119', '8.74174531274195078953597949339', '45', 43, 4);
    T('-5.5477668E+9', '8743.3708006981682354362', '-5547759145', 41, 2);
    T('5.17172E+8', '-4971179.6214138323742229', '-513323403', 19, 1);
    T('-3.955005856569273260420', '-2154.483191361', '2155', 49, 0);
    T('-4E+8', '-38205991.5691756', '361855449', 53, 4);
    T('2.909E+18', '-5.61368251823', '-2909000000000000005', 74, 6);
    T('9.3377100', '7E+1', '79', 46, 1);
    T('445.0297627', '872570.68931', '872903', 96, 1);
    T('-33.8103765239291', '1.2324181310332294404', '-34', 57, 5);
    T('-7.308670937781774065178', '-52943763.6785', '52943764', 94, 2);
    T('7.31414E+7', '4673508933.2', '4610333405', 84, 5);
    T('-2.07064E+15', '-4303682542.9211239794437169', '2070644286858258', 21, 4);
    T('-32820347.54809551473844236', '-864576601.37319816', '847030306', 13, 6);
    T('-3.180294951E+14', '-1.0306740383601E+14', '418373786351670', 66, 3);
    T('-47874.36508307385941', '-9.9872292079605447993386596749', '47881', 90, 6);
    T('-97564866.02982999399458259480', '-276.999378769', '97565138', 40, 1);
    T('7497.14854765648239564282', '2.742613E+7', '27418651', 37, 3);
    T('709047.776', '-7.7877826', '-709042', 38, 3);
    T('81387.6106516627718073419629369', '85701.00436', '29486', 88, 6);
    T('-484.1', '-645432', '645332', 34, 4);
    T('-1.01770848281567E+19', '284.52118499207656672', '-10177084828156699716', 89, 6);
    T('233649456.204416313', '-684562433.9817338927743', '-622898481', 19, 5);
    T('-1.54E+16', '93528624883410839.922616', '-106663614538831977', 99, 6);
    T('1.02892496174814701080', '2E+9', '2000000001', 100, 1);
    T('1246958486.07721', '-3.6873E+14', '-368731246563434', 36, 1);
    T('-298446699.944802515977952104259', '-78207660.039628', '358659521', 22, 5);
    T('5.9008E+9', '-862.202144433130049944403560471', '-5900800862', 68, 6);
    T('-996301.7225946', '-578096.61787814040468800718998', '516579', 95, 6);
    T('780662829.8778290395668715', '44931665.05871680', '740975228', 32, 6);
    T('-4.9385042354E+11', '38595787433.13059466', '-524115741275', 56, 6);
    T('42194.8120941776086000', '930418.796931579149989189', '956064', 79, 5);
    T('-79767446.62407293455927351', '-468283670.729433167730', '522737280', 29, 6);
    T('-625763.19647325', '-175.249', '625868', 60, 6);
    T('178.33309325742043697888310088', '1492.24335547751742793332900649', '1382', 38, 3);
    T('631906', '78.99550432566033547263', '631852', 12, 3);
    T('2.4E+7', '-9.568711139140', '-24000009', 48, 1);
    T('-325130938.16697328472063', '75.238538303379693248769854', '-325130995', 26, 3);
    T('-116207.9305253099149678401', '1.41721E+9', '-1417227647', 1, 1);
    T('36843.904046956570622', '-7166008092.8173054305945', '-7165973745', 45, 6);
    T('-8E+4', '-690033594906457013.9827', '690033594906512331', 6, 3);
    T('9267.2779303678245', '-9115896.375035961640696', '-9125061', 16, 5);
    T('7805425262.769317338985', '40.519672506584956526889', '7805425222', 57, 0);
    T('-98681.698096079089', '8945575401.907073280982', '-8945607826', 54, 2);
    T('6.828852E+7', '-43009978042.377480518787292678', '-43076169394', 35, 3);
    T('-636419282.867196967450448226', '3651242544.139860556', '-4233066210', 14, 1);
    T('679089688.3', '2.960383098082497366438385', '679089690', 75, 3);
    T('-122219.5504979938847174787', '-739286344229.0434041138', '739286433614', 7, 6);
    T('-3283.7810964072421527867', '33.39610677841689', '-3316', 55, 6);
    T('8.9815E+7', '-6711.5323930066309622508', '-89812463', 88, 1);
    T('7.262451423', '-6.99699310669630339345', '-3', 49, 0);
    T('77188363.3415', '67300207.7', '10167908', 77, 0);
    T('369763.47509732', '9.971208E+16', '99712079999698019', 6, 5);
    T('-1314655.78122', '3.25192E+13', '-32519198689119', 70, 3);
    T('-1.1855E+8', '790715865.27', '-674345015', 67, 5);
    T('27589143.140', '-3.4583E+8', '-355993721', 53, 1);
    T('13.236158691164036413939476010', '-6250.1747758', '-6245', 80, 6);
    T('-4080459686.6833292818447667817', '-10.027665779781139679', '4080459692', 54, 0);
    T('1810391047226654.3', '-1190820697.798338908', '-1810392162254407', 51, 5);
    T('-67700427.21', '232217.725109854621018518842618', '-67800532', 58, 3);
    T('81.437', '4.2206118936625', '85', 13, 2);
    T('-7230609561.54271090981044', '43182664.21627056095482', '-7187509969', 61, 6);
    T('2230316.5407568848506202139394', '1258416.7', '3226524', 30, 0);
    T('-93831629.6985472960391', '5.491232085064398', '-93831626', 1, 4);
    T('690.086579440', '-1509770.02942532752161399721', '-1510204', 90, 0);
    T('-53.9842357192475341977688896103', '-40421.013327', '40400', 3, 6);
    T('-15.220345', '-35450688137661951.93', '35450688137661936', 85, 0);
    T('14.3866', '815479395386988.42892153033', '815479395386978', 46, 6);
    T('-744.6592', '-134222.045786', '134826', 96, 6);
    T('6.81175456525331931142', '2953.308296275018664', '2959', 2, 2);
    T('5.7294264E+8', '-904379.79024199819114', '-573285771', 76, 0);
    T('2194597120.427448633', '-41161714.0457376895641978966', '-2159736562', 75, 5);
    T('-5E+5', '-4.792E+8', '479699936', 85, 0);
    T('9.3E+6', '-74424.1206', '-9226904', 83, 2);
    T('2.25752E+9', '-38461.3', '-2257556413', 19, 4);
    T('6993.0105', '-1349927.188604038', '-1344120', 61, 6);
    T('-548010.2983098953099069460', '76945277.1073805', '-77482965', 53, 4);
    T('-508871721.72343410903240809349', '-9.07314786810E+18', '9073147867801435351', 38, 5);
    T('7949.7618017670031224971', '-4769615.88606479', '-4773956', 8, 2);
    T('-9724.7555941', '-19938', '26650', 20, 4);
    T('5263550.619264285662216652813', '4835.84178929', '5259869', 90, 6);
    T('3.8E+17', '-54.47199981160933732', '-380000000000000054', 54, 4);
    T('8.851272840E+16', '63302989.9389259289857228005967', '88512728387557709', 89, 0);
    T('8121342.38209', '-8850975831.898046725474840', '-8857634729', 81, 4);
    T('-6481526', '-10766.452', '6474872', 74, 3);
    T('-83.907740477273181', '7037.755325545898474677362', '-6960', 4, 4);
    T('-3.35351E+7', '-86751.15648606', '33482405', 6, 5);
    T('3.18636723E+12', '737.27717206137652819494493', '3186367230673', 9, 6);
    T('-2338547.73505490061', '260221.119466', '-2119312', 55, 6);
    T('-91766.9538423189', '6.8643212256103', '-91764', 4, 6);
    T('-9342.328', '-81877653646659.46298971779741', '81877653637439', 20, 3);
    T('837252.817', '54931.30666579736942516024', '790551', 64, 2);
    T('3', '25073.946938514', '25074', 38, 4);
    T('576246187.3154614472198581', '-23112.76', '-576228333', 57, 5);
    T('-1997.5132718086', '-55.234416221815603', '2042', 9, 3);
    T('35121.80299577', '-82.954325355222453318293839', '-35169', 84, 4);
    T('-8.908296311466345', '-98140669.21220646808915473', '98140667', 46, 0);
    T('8683706725.40630657596', '48.486709846198', '8683706709', 54, 4);
    T('-4335067.742994104395', '1.318E+5', '-4204291', 93, 0);
    T('11050455833285123.787', '2.33565136583862843', '11050455833285121', 66, 0);
    T('-29866836.009920578490471565576', '-4.2E+4', '29826908', 15, 6);
    T('-12.68747285684132268499', '82374912.750931446887', '-82374924', 72, 3);
    T('956.609913', '-6168254.519074737486660', '-6167810', 6, 4);
    T('-2.8316079582401661780372', '468.633955152374679', '-470', 86, 6);
    T('-3358.1116889472972628075857', '7782.580443840', '-4988', 55, 2);
    T('2.18376E+6', '-5.988612676544296E+18', '-5988612676546438768', 99, 4);
    T('3.8136162E+12', '74870506.256247852300709872', '3813550016426', 78, 2);
    T('-95.945105856875796775846732', '-7.27E+18', '7269999999999999905', 2, 2);
    T('-2.6924162E+9', '-93.710915191154653537494', '2692416155', 29, 2);
    T('-8950.4574417', '355.325305', '-9111', 9, 3);
    T('5372408.54854295121266468371', '-59.80005039', '-5372355', 96, 4);
    T('8912360411.6670379585369489', '-713319974.36411', '-9558013439', 43, 3);
    T('-74661.6402943584526442897928', '-6.597244972498773', '74657', 78, 0);
    T('828924', '-74343.2883071036883937617344011', '-886683', 41, 2);
    T('-8131.84', '55355.5070342433', '-51194', 72, 6);
    T('7.034E+7', '-1757450.8088596129716744', '-69967018', 67, 6);
    T('71972.65989824', '420.1907472054', '71808', 24, 0);
    T('389.5841318625', '65169.888865896471828', '65300', 65, 1);
    T('9.05654347709350E+16', '-5778.26747350148937432414', '-90565434770938442', 6, 0);
    T('81278.505796204', '-98052868', '-98113150', 59, 2);
    T('3.1584048298720', '572892.2797182537239160682495', '572895', 97, 3);
    T('-1.645357E+9', '2.9E+8', '-1935354696', 30, 3);
    T('-407.841986614268868430', '-44310.93730672336336011597287', '44163', 50, 1);
    T('-418066525007171907', '-976873.52', '418066525007001258', 6, 4);
    T('-78', '-3.378959372519065684456689', '79', 95, 2);
    T('-1.0E+3', '84000857272512062.9077435', '-84000857272511962', 20, 6);
    T('4.491E+9', '-6.338E+8', '-5073550848', 76, 5);
    T('-383166.8023730326718540476', '56.7352990256943577166171220719', '-383110', 88, 5);
    T('88.9878481015061', '-9.22021E+6', '-9220138', 52, 3);
    T('654807256.9397189', '7E+9', '6547052248', 67, 3);
    T('2E+8', '-4463', '-200004463', 85, 6);
    T('-9742.29', '-7622912.7918643908611805082', '7632626', 11, 1);
    T('-5.6693E+7', '-12073.6653633749812424661', '56704559', 22, 4);
    T('5817.488854053913835909896', '9.21073E+6', '9215443', 30, 4);
    T('-3645455.883553086167457815', '17386905.51971115811246', '-20901272', 5, 5);
    T('53.68321909503340904', '54973.1977', '54920', 30, 2);
    T('-5508.543334', '-38.6465838167045096954929956587', '5542', 62, 0);
    T('45897.8597', '2501106.21655674694606466', '2529979', 83, 3);
    T('8.877078E+18', '6.58311E+8', '8877078000618858328', 19, 5);
    T('-893815.5', '4.083148113199493813279', '-893811', 49, 5);
    T('43.959109115239724866024228', '-77.614742235', '-104', 90, 6);
    T('85535.5456322089317726436926', '-4.886907904190573', '-85533', 71, 4);
    T('-6.88484595539777489899238', '-85980.205', '85982', 98, 0);
    T('-312039.5165313279418', '-9295525.29506164255082312034', '8983618', 45, 5);
    T('-5493878.6683', '-127.4289', '5493771', 18, 0);
    T('-7.773355481040626918222303691', '504.279', '-511', 89, 4);
    T('-4.38931890411907851400', '-49696487.38137', '49696485', 86, 4);
    T('3.8013984346536513966507606', '-9.7485942738', '-12', 62, 2);
    T('-77.285329776', '-907.17535', '966', 67, 3);
    T('237374.761994372', '-4568729069.1676986', '-4568832723', 23, 6);
    T('3.88057E+6', '-639.01578264626255329', '-3879941', 6, 6);
    T('5.916', '128490070.84082183', '128490067', 83, 1);
    T('99.96625028040663461149', '-49', '-84', 31, 5);
    T('82.820', '6952.97213824917237', '7034', 67, 2);
    T('-2835312309.40732800598', '8.774058695269', '-2835312317', 90, 3);
    T('35912.08385193', '-12689891.0439431', '-12660139', 43, 5);
    T('13798114.623613770377187', '2697.3040613930633358136449', '13795435', 16, 2);
    T('-2135764.2324068446900089', '9644.0893097667265470853', '-2143104', 82, 3);
    T('-3943.04249049236621058', '36.11084889042438', '-3907', 12, 5);
    T('-79873.8562', '-68.9112700190', '79939', 48, 6);
    T('-20.78298', '143716415.2548752413928754000', '-143716397', 40, 5);
    T('-1.4273398606323', '-3572.68438533', '3571', 71, 0);
    T('-6.6E+14', '-3290381812.457630663', '660003288646156', 27, 2);
    T('-604889668.187063273687', '-6812222431364683.39077267751938', '6812221961856009', 47, 4);
    T('6.1209917960017E+18', '-9886.4325809547817726223839839', '-6120991796001693246', 30, 3);
    T('-6430.20459655555692567650835', '4.32762405227E+15', '-4327624052275886', 73, 4);
    T('251787394.4869424560780208', '42823154.710010', '227317104', 33, 6);
    T('-3.414186693089149', '-91750816192483262115', '91750816192483262112', 72, 3);
    T('-7.2E+7', '-14321909891003.40', '14321838153285', 47, 2);
    T('-346632269.084589', '7603.40001517502680703007113477', '-346631680', 6, 3);
    T('-71.54878071409317', '8128185082.4518974132822520', '-8128185021', 57, 6);
    T('94583359', '9156036.2199968426', '86544379', 72, 4);
    T('70036956478250441.4922366963', '-9840.238993403345067', '-70036956478258087', 85, 6);
    T('-1.871460796', '-4686697.1089315219744646296546', '4686696', 97, 3);
    T('8.752E+5', '1.1591121E+17', '115911209999695552', 16, 5);
    T('605058.2430256499354', '2.39E+5', '695834', 54, 0);
    T('914.773149143478', '56609.83412214', '57011', 3, 1);
    T('8975609263.38871845299825', '4.766E+8', '8767454063', 96, 4);
    T('2226209896.4615475', '-391.21417999594268543987', '-2226210287', 71, 3);
    T('-19.669686867330033918927603795', '78743504361.5513327854273', '-78743504380', 69, 1);
    T('8.46589117530164141733', '-4E+7', '-39999992', 13, 2);
    T('-625904535.9367705249746', '-4.7E+7', '662938153', 5, 4);
    T('-6E+1', '3353679987148012.258', '-3353679987147992', 11, 1);
    T('985821773.87855181500762069267', '-351935.40201', '-986131700', 86, 1);
    T('91817.373177952174', '-235099853', '-235024486', 91, 2);
    T('6236.101999118508975', '80031161.416570', '80033253', 10, 6);
    T('9.0500E+7', '5E+9', '5089860000', 67, 3);
    T('8.4E+2', '73145212.71751157491', '73144372', 96, 0);
    T('71770098.4216916999077687', '95838.9032223622', '71723436', 49, 2);
    T('-3.14496E+6', '-8.098E+7', '83645664', 35, 4);
    T('-166139.4107546781', '1.1236457173', '-166140', 29, 2);
    T('55623849.5838876655266679812', '7.8788337E+18', '7878833700047202473', 75, 3);
    T('-7.302E+9', '-2.85716729', '7301999998', 63, 3);
    T('-8301.6607166001711910', '861856.942156129008828884934', '-853709', 96, 4);
    T('492085715.02300', '8.79091794669677998E-94', '492085715', 19, 3);
    T('-2819793.532803320707226689408', '-1261630.42', '3688173', 58, 2);
    T('-1283264.3', '-3.20192959140446', '1283261', 20, 5);
    T('-59451.744254', '-535831938.140663673181911', '535875003', 36, 5);
    T('962.501034004688601', '6.2224E+8', '622240450', 97, 1);
    T('700.33588899533209513607544331', '-20545533361745.61979', '-20545533361389', 8, 2);
    T('-5118070.56771095586841425', '-2', '5118068', 31, 4);
    T('-18046.31521', '7835.7690334956575420181', '-22759', 18, 1);
    T('1814.837284780949329813852', '3.34901138949940594174', '1813', 56, 2);
    T('-6020509.6582964', '-1409.978084196328611000', '6019100', 18, 3);
    T('919.3782800003098627115', '4.47568284051924400848845078', '915', 43, 6);
    T('9053348.0', '8761689543.83842797253330382', '8769692003', 84, 6);
    T('2.55016E+6', '403.694468525386374313479404055', '2549763', 100, 5);
    T('7.91575045294572900', '-8007398.8780647055', '-8007395', 85, 1);
    T('21725863.24582247513146', '-84.855145434778', '-21725941', 28, 5);
    T('1.21842458707', '-694802.3854', '-694801', 66, 3);
    T('-2.934636622772835E+17', '158.5103961', '-293463662277283382', 23, 2);
    T('21037.02310', '-3477.6836704108530204996', '-24506', 84, 6);
    T('38424921640580.16862845301440', '23339209.194560303585423895371', '38424902512205', 18, 4);
    T('7165543440.19537383247003097878', '4.41802387390840052', '7165543444', 96, 2);
    T('-585405679.8396216021918700', '628.024921592455', '-585406107', 8, 4);
    T('53154663874066968.998136640991', '1.42369460151528', '53154663874066969', 28, 5);
    T('144.76342898571675422548308', '-17.891980394383787429908479', '-129', 9, 3);
    T('294.8089409324', '39.70251665945646', '257', 57, 3);
    T('-377877505.50', '-9.48E+3', '377868551', 62, 1);
    T('-7.1E+11', '-47865059.365319275832', '709971306269', 18, 1);
    T('4261.20081629954151239', '447207527.688399439201791457950', '447203522', 36, 5);
    T('39.3155275', '592021167.9257744', '592021128', 34, 4);
    T('-77.8486229585005832117', '-371922.6162769155624881974', '371869', 20, 4);
    T('66117288.1', '-73.56094034463724476405343', '-66117345', 62, 5);
    T('-9.2676793982170732510402351', '1.401E+9', '-1401000009', 65, 5);
    T('963.73167071047', '-5818126.60576792218152122911498', '-5817551', 53, 5);
    T('-2E+8', '-8177175983.449250', '8263699537', 18, 1);
    T('43517.1572863578488006', '-67.2235253306222620375349', '-43456', 50, 0);
    T('-152.883672189492489', '2.47E+6', '-2470120', 39, 1);
    T('1E+6', '8441483451.182', '8441664251', 93, 3);
    T('28783370.820996383936547444', '-9.7589017874214267761425', '-28783363', 48, 1);
    T('-507517993.2586465107354556', '-43933569.907400948023105', '484328360', 46, 2);
    T('7.48E+8', '23.09726499477388084114445072', '748000023', 79, 1);
    T('-20143.622731332217737245', '-758970.71261063468814', '776727', 57, 3);
    T('3.4488580040773', '-12531909505', '-12531909508', 98, 0);
    T('57157.938348202169750807663', '97073.09037457', '107636', 27, 4);
    T('-43980919438611.1996374946177', '-4089697.47736355356215738', '43980920855154', 67, 3);
    T('-67814.34', '69.837274144367911405084803', '-67745', 80, 3);
    T('-7.174E+6', '764.09336620430', '-7173524', 59, 3);
    T('20.5464150983101106', '65.620813332941318', '85', 68, 3);
    T('537.32700615405928329', '-3.73656466E+9', '-3736564139', 10, 5);
    T('465023.689364939', '1.6807370890959070715', '465022', 50, 1);
    T('475.436', '3231149381.69645257329083521989', '3231149214', 77, 5);
    T('202.051811198842518870666', '480976156944945694582.19928808', '480976156944945694652', 84, 4);
    T('9E+16', '7.114E+11', '89999563552164352', 25, 5);
    T('4.1872904057', '8690472.87965328611010006039', '8690476', 68, 1);
    T('-8160.7033734355052127', '-195.78703', '7965', 20, 4);
    T('8E+5', '-7945276335.270092569', '-7946075823', 68, 4);
    T('62567090.6345', '-2.11712415009906079', '-62567092', 79, 3);
    T('17335.30787283197488847744541', '7563.71598207126565329647', '24124', 3, 6);
    T('-562579267.7', '18810.185734902690881609394512', '-562564665', 76, 0);
    T('51640686512.94736824', '729260.341511166890665097', '51641153308', 40, 6);
    T('52789153.094479873697557202223', '80772511.880751307236190642', '133497406', 19, 4);
    T('21.465730007', '13494662.0631811254584461108060', '13494675', 48, 1);
    T('-5.505181928690', '1.8676282203715526349356', '-6', 23, 0);
    T('-315119.905477', '-2340281.60866643', '2587478', 47, 2);
    T('1.101285', '-8.907141093706', '-7', 49, 3);
    T('937136.6669645', '-9.584', '-937145', 35, 5);
    T('20.65', '4.8188E+8', '481880020', 67, 4);
    T('-6502131.346417621714726', '-705.6389947935631', '6501426', 53, 3);
    T('869967.7391257', '50283607.914865858499', '49414680', 75, 1);
    T('-38845.1434', '239093537.346060808925341659', '-239128734', 48, 2);
    T('-7188.507', '5130.56135592744', '-2074', 60, 6);
    T('9.9E+7', '-972783.667123510312216192', '-99109167', 77, 4);
    T('-3.333E+8', '-4323804.22892136', '329005252', 14, 5);
    T('5100919.60545601595705', '13.5104724025885554677377', '5100922', 59, 1);
    T('8.096E+12', '4.915854973036965326503091', '8096000000004', 56, 1);
    T('1604.702227402435858856', '-3.18871E+9', '-3188710444', 73, 1);
    T('6502477899.2713818034900', '7.013013170577520829214090', '6502477900', 72, 5);
    T('-41865437.343861262025495653', '225.24133348764172377584497887', '-41865278', 45, 6);
    T('483.4437', '-4.3E+2', '-79', 5, 5);
    T('-9.372514796E+13', '-9.8634E+7', '93725108181936', 59, 5);
    T('7.26E+5', '18.1254050810519380344158336', '725986', 59, 0);
    T('-5.837E+7', '-3.6E+9', '3588817968', 37, 2);
    T('905.2673424187025228034361529', '996.4610139184360797857817', '109', 35, 4);
    T('7701646.94349173', '-367820.1507088', '-7346246', 89, 5);
    T('-66932.6298866425294696066576725', '670994228.4336896990094', '-671058504', 57, 1);
    T('-1669680.7302913554', '-873891.33452', '1322893', 93, 2);
    T('899886.45762828043', '1.817', '899887', 5, 4);
    T('64.2660800416098041062829833103', '33928515328.9430645554310', '33928515392', 68, 4);
    T('-9319834.0368121657', '-4658121373.5424213011782789761', '4650139397', 48, 0);
    T('131447.6951340543', '559951761185.94192', '559951892054', 76, 4);
    T('9E+2', '-3.27877E+8', '-327877124', 33, 5);
    T('404534.1577643', '7.812E+6', '7413654', 83, 5);
    T('3610834749.7903371018', '26.5705', '3610834727', 23, 5);
    T('-5.060E+8', '-3.22782633367587756132590636688', '505999997', 4, 6);
    T('577706.7474705', '50.11675544434057278614', '577688', 52, 1);
    T('-6590928082.686', '591359.372973020070723002', '-6590337327', 22, 6);
    T('76244.0598909875063774290', '-5.79E+5', '-654436', 90, 4);
    T('-425011.24583218', '-2.8716341E+9', '2872038529', 23, 2);
    T('2.595965E+14', '-4.99699E+8', '-259596830773304', 34, 0);
    T('-5.48E+14', '3713354129.5090875560', '-548003131913839', 99, 0);
    T('76254.6047966', '-51515491.4', '-51591613', 96, 3);
    T('3.9E+9', '873629.32', '3900183453', 46, 0);
    T('-7.50065002E+13', '3487854.26471165526745082', '-75006503151186', 27, 4);
    T('-363.18848819885', '-26375144.438474', '26374797', 45, 2);
    T('86434.9', '351309.34427114216', '265711', 71, 1);
    T('-65894251.9318077665132010681', '-9.850658411E+19', '98506584110011333781', 100, 3);
    T('5305842916.00872611941', '67293547.08', '5238844815', 47, 4);
    T('6043020.024988747', '1.2557E+5', '6151950', 95, 5);
    T('92381016047', '-179266295.5923270100', '-92492336410', 46, 3);
    T('37.4208679481598394789313', '-55532882.450189417', '-55532917', 12, 3);
    T('-484586890180.823729', '-202.701323158738909744146', '484586889994', 29, 2);
    T('6905941.82', '842503.914403582861727374592', '6667090', 93, 1);
    T('-127864963.18254', '5192029.6145', '-131082720', 54, 2);
    T('-2.128E+6', '9.8871977872E+16', '-98871977874128000', 54, 0);
    T('654528562316492001860.3', '-478278.543858441459244', '-654528562316492316162', 71, 4);
    T('-89.79439790620371018671413', '-21427261.6403303599278', '21427300', 26, 4);
    T('-412666.193209299127174950224547', '8.128137366309725553911247', '-412658', 79, 3);
    T('15206.4434883715', '-680424673127765555.06858', '-680424673127771477', 34, 3);
    T('7780.05173', '90325.71', '97969', 95, 0);
    T('357173042.7701825', '975805332.783077083262479108177', '795057318', 71, 0);
    T('-4.86E+4', '2519922.0506109676765029', '-2543270', 45, 1);
    T('19566516.636', '-27841163444459.0152569259618816', '-27841177767775', 37, 5);
    T('-2436239.29941297983716121801553', '7044435019.682529851784', '-7042539718', 42, 5);
    T('903174003.323580', '-5.15211693324967367832441471201', '-903174008', 58, 3);
    T('7796.017', '8306589234878.15158200868', '8306589231306', 20, 0);
    T('8527483103337.6', '-3665648.9237074773444', '-8527484421767', 77, 2);
    T('-7.03E+9', '7E+2', '-7030000580', 96, 1);
    T('-6.414932', '-982160.57251318010138368479658', '982154', 100, 6);
    T('11848.602754424520439', '-19095978.57287940206448547', '-19091426', 44, 0);
    T('-520.3159478', '9166023', '-9166529', 21, 4);
    T('-82.3', '6851465631.788922762370160', '-6851465679', 83, 5);
    T('-37438404532348.13640599661166', '-2.818E+8', '37438659917124', 20, 5);
    T('94124806.17199538624', '-7240.788193', '-94119746', 51, 3);
    T('3878.846652421', '-42.4744323862366901203675768685', '-3856', 22, 0);
    T('-9.290220E+7', '-6723555.2720383506', '99550421', 25, 1);
    T('55719533.578', '-3.9E+4', '-55750203', 26, 4);
    T('-8.9684435631045443451667', '9E+8', '-900000008', 57, 1);
    T('3914.0608523539525682196485', '700672.780988162527', '704074', 55, 3);
    T('8.41E+7', '9.5E+12', '9499949882272', 77, 1);
    T('-162.161378261353628993333737970', '7.36227E+15', '-7362270000000162', 6, 3);
    T('7215.148856076800939027', '7E+8', '700005167', 92, 0);
    T('-22.807', '-3175492.2281', '3175510', 77, 5);
    T('-6.69069893E+9', '-5E+3', '6690694454', 26, 4);
    T('138.351044223090614501503600', '3.771E+9', '3770999882', 77, 0);
    T('7568.668514148628812723', '39185.68343594', '33921', 44, 0);
    T('-5.6E+3', '9359079.10182995712', '-9362233', 49, 2);
    T('-2.3915756664439627572856', '-453029.91600067138839180', '453029', 29, 1);
    T('5E+2', '-5.90633760102', '-497', 28, 6);
    T('-841359560627.091661', '80922.1689106186', '-841359635369', 37, 4);
    T('-9.59137E+8', '40634160.46917614046439873', '-994526168', 31, 5);
    T('4.90813275818', '97270410.58', '97270414', 83, 4);
    T('347792.1734026800', '7.1E+5', '1022944', 67, 6);
    T('-274846.29638', '373259819179838.46045408229423', '-373259818921636', 50, 3);
    T('160922739.101851522864904171794', '-82.6997', '-160922659', 35, 0);
    T('-2.2433204436', '524.220168963128', '-526', 90, 1);
    T('-3177476780.6250544653318', '-8917252.3429', '3186385832', 47, 6);
    T('6362.6', '430940979.250194072681675355105', '430947305', 50, 5);
    T('-5854192646.93364400404212720', '4.05E+15', '-4050005039563782', 77, 1);
    T('-318.25596789', '7.65267735E+9', '-7652677596', 13, 3);
    T('-33379.299434', '-15616.295621741', '48797', 14, 5);
    T('2060.310066017328679241869794', '-7845.393', '-5801', 32, 0);
    T('122873.112', '5237266.7407063742322094', '5125611', 53, 6);
    T('-2.161775', '-9945.982', '9945', 53, 3);
    T('951955815.209286910260', '-75.279663122800064', '-951955758', 22, 2);
    T('-4.37491385E+9', '-4E+7', '4406229702', 51, 4);
    T('-12.5580941903565718173', '99.1865435', '-105', 98, 4);
    T('-2077.596522', '3.5466E+11', '-354660002077', 88, 2);
    T('99.6', '-824.071', '-853', 17, 0);
    T('151.6445540985081', '-5656569.06871041197456049', '-5656432', 85, 5);
    T('6.80237146390329E+18', '9158271940.894217583', '6802371455877480788', 99, 5);
    T('-30429963.3209392', '-2454.366789406', '30431903', 69, 6);
    T('3.10E+8', '-473.6383252594468177951974066', '-309999705', 76, 3);
    T('20.0642682070595334063248', '-4.820E+7', '-48199980', 85, 1);
    T('8.77E+9', '8.4E+4', '8769952928', 68, 5);
    T('-8047636159125858.8208032', '-50764506829723683.169236891', '47513490214306115', 29, 2);
    T('-1171.167193295092', '8.191959513E+16', '-81919595130000915', 10, 0);
    T('233842.86920276756024138615384', '83303636', '83135910', 99, 4);
    T('5.87123433', '6489116.390', '6489113', 14, 2);
    T('-7328.082516695701', '510769138.19', '-510765934', 71, 0);
    T('-7.8E+3', '467882.4513429', '-474590', 45, 3);
    T('-8194134620.275851', '-877.23261415199350514241218', '8194134327', 50, 2);
    T('-51824.92', '-512378934.0803413604514', '512393818', 83, 5);
    T('-765428', '-8.369330216950786880779', '765428', 64, 6);
    T('9073990524.516328333385', '-75372.267377', '-9074064664', 85, 1);
    T('4066', '403510235.433547', '403512377', 96, 0);
    T('-7.806999776024803E+20', '-7399348.642', '780699977602479274092', 23, 4);
    T('-660162275.3419640220392810737', '-923023.814487764369388249278739', '660034412', 78, 4);
    T('80.170826', '-41593.51255295000', '-41513', 72, 1);
    T('-6.281311E+9', '-362410009.29676720873', '5972476687', 75, 5);
    T('528196522.1863203', '-238999082.65', '-289764740', 17, 3);
    T('2.5E+6', '6220399271.118969246075992', '6222636807', 55, 0);
    T('-99765.6779198498543', '965804.9278645432155546364382', '-997657', 53, 2);
    T('-8559537.8253', '6094627485.591240280411547118', '-6103120174', 70, 0);
    T('560323359.41901336852222', '9365860.268001835699', '569062011', 54, 6);
    T('-3323072.61222004236608720947975', '57.88761751', '-3323015', 26, 0);
    T('6648568.142644', '3.271E+20', '327099999999997735672', 29, 4);
    T('-4.58551797785425598713691529', '-1373909469639494.0713', '1373909469639494', 48, 4);
    T('19554162.0495160769107161395', '-6.43885049706306106087072', '-19554168', 94, 2);
    T('74498595.239337183062', '-83556956520883982.2529', '-83556956446418223', 68, 1);
    T('-93.37009292', '17128597903736909669.4368821672', '-17128597903736909626', 11, 3);
    T('43592963.986076487016', '6325.3067194386388890921268264', '43595190', 5, 5);
    T('-7823364787.92281128781', '2296892.1684', '-7825268367', 97, 2);
    T('-255148366539.1854013330167726', '289033.36040', '-255148127172', 6, 3);
    T('5615.17227871635721574916116', '-2.4287051827805127E+19', '-24287051827805131961', 10, 5);
    T('6.157E+7', '-7.4948E+6', '-64563040', 94, 6);
    T('-743618.4907', '3.742317775292340', '-743619', 31, 5);
    T('132297.1', '-339338.719870947066798424746', '-469313', 42, 6);
    T('-965006.0', '-22553.5441442685042219', '975253', 14, 3);
    T('3.17E+3', '-44903.5304358159830', '-41733', 70, 5);
    T('-8.57578E+8', '7390977513.77', '-6636750823', 11, 5);
    T('-614376.176545020114304', '-583.5777969121750405403179377', '613793', 36, 3);
    T('-754.39612459911235232006012726', '-9.926', '761', 62, 5);
    T('48.851061238014144274940385210', '82.9521235842935382311', '98', 26, 6);
    T('-88433.505923898642894093859', '3.309', '-88436', 13, 3);
    T('-712428.90', '3.14E+3', '-709296', 94, 3);
    T('-540295.7534991898010801745', '418768787.29218249746935', '-419289366', 60, 0);
    T('-6866.4216563895', '4.69254E+7', '-46931082', 19, 4);
    T('-2.315164E+9', '4995401.9580415361', '-2310184983', 85, 5);
    T('-587.01134432452012667867528251', '7.4671', '-590', 72, 1);
    T('331460245401171262542.80', '17.0889094038103532252646', '331460245401171262559', 80, 1);
    T('7.273420261742041188695671', '987093.3160220141850274907500', '987090', 62, 6);
    T('53.20288119100959399906150880', '-7.531777570073097732580662', '-52', 13, 0);
    T('-16.96018348676553677415', '-501.79017218', '507', 29, 0);
    T('388277.49222047373831806', '-63097299.43', '-63382888', 57, 1);
    T('60', '-46810504.8945912013564974480469', '-46810556', 55, 6);
    T('-2.934524E+13', '-7.92558', '29345239999993', 32, 3);
    T('73657.31', '9.258160', '73648', 25, 1);
    T('-6271652.17730035341777134', '-8345.0', '6263355', 3, 1);
    T('6085649.240086205', '-8458353911.828883', '-8463376616', 5, 0);
    T('-35', '194278.0624', '-194245', 68, 1);
    T('366.6062', '-74220.763371434059988806', '-73862', 92, 4);
    T('736218817', '-3.2E+5', '-736440127', 85, 4);
    T('-964838.068299522341391', '-2875793182.367085130', '2875697144', 8, 6);
    T('6803721.6647910894395798662', '86065285018211.989621834843272', '86065286898538', 11, 2);
    T('631.405220', '62596692.9509', '62596131', 9, 1);
    T('9094.122023214941589', '791084.1', '799146', 76, 6);
    T('8264604.6436852', '2.71591222267718220', '8264606', 18, 0);
    T('352326.720521049845923535901', '-55.595060068760639572', '-352369', 63, 1);
    T('2257460.665136634099897627', '-2122595.452252700019522370', '-135511', 61, 0);
    T('504.51789643974284604', '4662.8873781234478226397066', '5070', 82, 0);
    T('-2.71789796355E+14', '3.6006700939146184585054046', '-271789796354997', 14, 6);
    T('-8E+6', '435.080894', '-7999565', 6, 5);
    T('-2E+3', '-377977.8455175641', '377783', 13, 4);
    T('439518204.52520263', '-83.0995', '-439518127', 4, 2);
    T('-2915647244', '54232925817533.461099482867767', '-54235698722231', 78, 4);
    T('-544330.64', '5.091719821E+19', '-50917198210000542282', 39, 2);
    T('51638341.800206974930', '6.03820E+6', '55563005', 86, 3);
    T('-7.088165E+9', '-5286431.422766509', '7082900121', 50, 2);
    T('749362011.172581696011864643', '4.26097071337869027455576671187', '749362015', 28, 5);
    T('22164.938174', '-2.6598502151322229', '-22166', 93, 3);
    T('2.1751953915900641', '8.22012062799842182', '10', 68, 1);
    T('-9.751680', '-5.6730101293231097791557095', '12', 75, 6);
    T('-561713.649319640774', '46.3143486759', '-561695', 45, 4);
    T('882895.605', '1.14011E+8', '113693623', 77, 5);
    T('9567744227.68906924058', '-7.18', '-9567744230', 25, 4);
    T('7.72333858134591', '-1.52357582914513895350', '-8', 71, 6);
    T('57213.93732439669', '8E+19', '80000000000000057213', 20, 1);
    T('85211681343.840684247954302', '-2674180212.285094989152', '-82819142221', 58, 2);
    T('72.256077135139998', '-8.63307612908931773905885576', '-80', 81, 0);
    T('92134.9258905606248', '6.32E+9', '6319959014', 89, 6);
    T('-6.10861371986109118253945023482E-37', '43806636178720422262.567279351', '43806636178720422262', 89, 3);
    T('-70072.59676532607207687608568', '-7.45E+9', '7449930696', 36, 0);
    T('-6.5417469746E+12', '731178508.24193639392204063123', '-6542125812108', 39, 4);
    T('1237978.773165412221067559', '84.524585831953', '1237902', 7, 3);
    T('-9626763497.84981612319495069', '-285451.085802050519', '9626491874', 99, 6);
    T('-9836725083.9148968770', '9379.913080', '-9836734458', 27, 4);
    T('18621.0663676323744684', '-5.56080373', '-18618', 76, 3);
    T('-6501591.778695554', '-686005.9463850036890662935', '6898530', 11, 5);
    T('307672020.595165365739769', '52207913.6160885', '290067197', 27, 3);
    T('-6.756923211', '-8E+6', '7999994', 38, 1);
    T('-4704', '8.3E+9', '-8299995488', 87, 4);
    T('-17.31', '-709466', '709449', 92, 6);
    T('568905302.427445736362187907', '-156384962.282803126', '-683339928', 8, 1);
    T('-1474435939.3777857106135953', '-45829854', '1431918015', 47, 4);
    T('3958514764.40174', '-500848751.5429288102573699764', '-4129848355', 85, 6);
    T('234.4879', '-914856303723.7877882526618', '-914856303745', 39, 6);
    T('4594373480226.892419', '2.6442E+7', '4594347062834', 23, 4);
    T('-5539.98473234531220717889', '2087.01338647611058950805', '-7558', 92, 5);
    T('-72.22378184859', '647431224.3587924', '-647431296', 13, 4);
    T('72924.6692254836', '61897870.6429192257576247871', '61956178', 22, 2);
    T('-91115.7972713657562043', '-314238.1958131723247728', '370839', 26, 1);
    T('6509027.70618684226', '771561587.10', '765348240', 24, 1);
    T('3255966.2472180', '151.191150530160306560289', '3255817', 51, 5);
    T('5.8113116104202057', '-92.827278188685', '-95', 10, 6);
    T('-2047.09486374', '915239013.343021037652595813882', '-915240860', 62, 0);
    T('-66310026.670541886997', '-5761.5389776826407772532170', '66312457', 71, 6);
    T('-607022.560349966534162', '-6.1', '607016', 35, 3);
    T('-14.49409085816450554390229', '-271.8312', '259', 95, 0);
    T('-4.10036E+12', '-5.196E+10', '4083063651328', 53, 5);
    T('-6230918449.95959732', '-1.1990', '6230918448', 5, 6);
    T('-7550177.3734885538784709677054', '9571.8106469124717', '-7541124', 58, 6);
    T('-5.8897299618087780', '74827.385165069707801774', '-74832', 93, 6);
    T('8.774929270E+10', '5515325480.41240011975827694', '90848543412', 63, 1);
    T('450259.8232843089512173322058', '-3.0103E+9', '-3010156173', 14, 5);
    T('86545.2173825649484371', '9.513876649973246701984', '86552', 14, 3);
    T('67267.5203470336', '-429362.1957857740742593321920', '-494579', 50, 0);
    T('34.744176273305429', '-47375899.792197151581204309', '-47375929', 4, 2);
    T('53.7919246186877601687832631', '-433603985.58716170401', '-433604006', 50, 6);
    T('7871.03', '-4532261019.5698643509150633234', '-4532260390', 28, 5);
    T('-306803959773114342', '-286.54355753817', '306803959773114104', 50, 3);
    T('-308590.161420', '-54.989498', '308568', 63, 4);
    T('-75442813.87149448395', '-3619561.558702', '71831700', 13, 1);
    T('88506.37813336872043', '-981.467711144', '-88687', 12, 5);
    T('7546934087.06256', '-4256319097.406176177860400587', '-5308372288', 48, 3);
    T('662492.1503009130134', '-97072165.2', '-96677881', 4, 6);
    T('-966.9940000678457134043715', '-3.4E+4', '34570', 75, 0);
    T('44176705.156467933', '-362735.6304646', '-44539312', 23, 0);
    T('92.8893881487243288716072606685', '5.83906082629133189786531', '89', 5, 1);
    T('9.598144', '-4.6201521E+9', '-4620152107', 99, 3);
    T('-1630277.869693558459', '-7251.57837201138', '1637398', 66, 3);
    T('3.741662019799958895133', '703.8167223089', '700', 85, 1);
    T('3347121944086487139.36784', '2.22E+3', '3347121944086489295', 65, 3);
    T('-94.95998821', '9523819862.85707043163370851', '-9523819788', 71, 3);
    T('-7.747', '-2.17277673E+18', '2172776729999999993', 70, 2);
    T('7971.8335', '-49.049941376980814834970', '-7956', 9, 0);
    T('5.50743', '2072504069709979530.6491731', '2072504069709979535', 76, 6);
    T('-8.8E+4', '-8495000.1', '8439848', 2, 2);
    T('-5.5E+8', '-8314.84290158336', '550008070', 69, 3);
    T('8.9568E+12', '-76.41212938506430161964177958', '-8956800000076', 85, 2);
    T('-7.555463037', '-312.562337586258943713806', '305', 48, 2);
    T('-482.53', '13230.63869', '-12880', 90, 6);
    T('486845.23688014600331', '20.10360510939421486991', '486825', 77, 4);
    T('-297.330530155', '3212.02429597493384064136340', '-3493', 74, 1);
    T('-385260.9164457558', '-14544.33988308', '383012', 45, 4);
    T('-8441.2999667801', '-6.40358806278292', '8445', 30, 6);
    T('4480469.41461540390947859', '114.037783214473706', '4480423', 62, 6);
    T('11268128.179', '775.931393411121745771663854', '11268903', 41, 0);
    T('-4258923.660153', '9.371625284186539182952827', '-4258916', 45, 3);
    T('65772319', '-5.11', '-65772316', 33, 2);
    T('-12.65909393405044276354721', '-544852.559651251464440259224999', '544856', 24, 6);
    T('-8.3167927E+8', '-5.260924325385222641355169805', '831679265', 73, 4);
    T('-256146103.9941431', '6.92E+4', '-256210151', 57, 0);
    T('634606959155.3339390935', '-8779.983144832563', '-634606950522', 48, 0);
    T('-29.6057131096', '20681053.3934851118191448580960', '-20681026', 1, 5);
    T('-9832727725.33901324056176164', '82.6465406081685651930334912', '-9832727807', 73, 6);
    T('-861.4886232', '2.0624323772842', '-863', 43, 0);
    T('-4858731457.994239', '-39614845.98385648070416941', '4895154876', 2, 3);
    T('-72.35680837527542792471977281', '-328.6254979976524', '256', 6, 1);
    T('-38.9277902273211867', '8533.7585629127395', '-8561', 70, 1);
    T('1326.91858', '-5.44957E+7', '-54496510', 44, 0);
    T('-4865361638236318571.75231', '-4164180343.9274', '4865361635416945180', 99, 0);
    T('-931532885.024485698090528290088', '4.2709690100121999', '-931532881', 71, 4);
    T('-71671171.53604248404231', '-43920236.334701', '115062505', 24, 1);
    T('-431897522.9414349556', '-6.165382E+12', '6164970034894', 25, 5);
    T('-2768146.6338886445710', '8.89E+9', '-8888295314', 6, 1);
    T('-11240431.64085836', '417883.96236716322', '-11396022', 16, 0);
    T('5.2343961373378250', '4.1316E+5', '413165', 31, 0);
    T('-33.84259199390954137438250499', '-94860.779', '94891', 80, 6);
    T('-2145.0124875458140527316045', '-30.1393694469227659', '2173', 25, 2);
    T('6.67538161928766674E-9', '-628348.150391194593497989', '-628348', 8, 1);
    T('-745567993.4503429881886', '-246.81752352066963168', '745567757', 50, 2);
    T('-44735075812549474.599899933', '1491995.651420778753274', '-44735075813189499', 41, 1);
    T('-605896754389880.97624', '-2.3E+9', '605899052275080', 23, 4);
    T('-74808337.3826804993937805390844', '28566.027670823539353805', '-74781575', 71, 4);
    T('-4E+1', '7.45756398528922868686813', '-33', 25, 0);
    T('9.5706547E+8', '5893667.8770874889870', '961693405', 3, 1);
    T('-8404691.973362042641520', '1559.5618', '-8403142', 72, 2);
    T('-73297867.120604', '-7553846.92922', '70069503', 65, 0);
    T('-9005915', '-8.2E+4', '8923925', 12, 0);
    T('29982213.626389051', '17499979871160656.4005989', '17499979841369941', 86, 6);
    T('-231386.03581608706860517541275', '-875758.861830', '973620', 48, 2);
    T('-938238104403.35877625748990397', '-672130.3349751295843154993', '938237694675', 36, 6);
    T('911331.1014832621770324539', '-2097.83297', '-913364', 36, 3);
    T('29108030.343203766112', '-2213.1122916332', '-29110171', 61, 3);
    T('7.99918882926946935', '-442723.6259372909702', '-442726', 47, 6);
    T('-686258.7520809130513', '2.260E+5', '-592482', 17, 2);
    T('889.6538561585627271', '-8.506E+5', '-850399', 75, 6);
    T('-7763604729.672064', '5260582.926628051722', '-7766766047', 17, 3);
    T('63.21559629967885875566796146', '4.4965302397006119476154196', '59', 86, 6);
    T('-3.8E+7', '35679384746652312188.3', '-35679384746689853188', 63, 2);
    T('5.03E+9', '9416113.624195472621', '5020588081', 87, 6);
    T('978932155.7185363', '2115751614.455819844764', '1145216773', 55, 6);
    T('-2273504.89073967268060543', '-8109821511427492.8781', '8109821509490044', 20, 6);
    T('47.9911423532369343', '-34951586.796280131383', '-34951567', 76, 3);
    T('-6.1217329459E+13', '-9137314815.23125416518061009', '61226462573769', 34, 6);
    T('-5310.674112719734549413634472', '725245159.600293809370855', '-725239899', 26, 5);
    T('-185.4982', '78813.16487949198057160', '-78694', 79, 4);
    T('-9483464249.8', '-3.8311735427491', '9483464250', 81, 3);
    T('-5.4E+8', '-9877553.2995131537915', '548996815', 13, 5);
    T('189.48777', '838508575.787928281', '838508706', 38, 3);
    T('-8E+18', '517697.29', '-7999999999999482303', 7, 3);
    T('-5272124.162627367721270533', '-748431.09309921040397290', '5970357', 39, 6);
    T('9.95E+5', '2E+7', '20841400', 10, 5);
    T('-9801940.89', '-8.3503465694024642293', '9801940', 1, 2);
    T('7E+3', '560691.4831636145', '562539', 50, 5);
    T('9.834613574E+17', '-792.514526490299575598', '-983461357399999768', 28, 2);
    T('3257527888.683794973323456', '-8E+2', '-3257527632', 49, 5);
    T('29.0', '4.960334E+20', '496033400000000000029', 12, 0);
    T('-19.676507422861506193947', '8162.0118081433827760', '-8177', 88, 5);
    T('93229445.1172815311636726495064', '-202983.18413011060', '-93161828', 13, 6);
    T('642480.999843374906615476899', '4735964.082', '4296300', 75, 3);
    T('-667.8421', '36576564.4507348679', '-36577199', 57, 1);
    T('-156951453.376', '-31442.973778325838627104112545', '156932429', 76, 3);
    T('-285699492061283.72', '-667.7673', '285699492061944', 4, 2);
    T('-25219.103', '3531158385618998.0457049', '-3531158385595061', 22, 4);
    T('32143292.206623', '40698.4', '32172358', 67, 2);
    T('-807444.471551034063248878148491', '2.516E+6', '-2766388', 38, 2);
    T('-234732251.4425132675870164857', '-18.4', '234732235', 73, 3);
    T('-2.063E+6', '527166445.74853687034461', '-527733115', 71, 5);
    T('-25.2549151241', '-94983346.24524920634465', '94983337', 29, 1);
    T('-18338.3174934203408', '2831169254.50354', '-2831184200', 96, 2);
    T('-963.9574195182197442766', '346621474219932.0452869', '-346621474219103', 95, 0);
    T('1.776E+6', '1.3513E+8', '135721488', 23, 4);
    T('19447931.144061978145329', '-1691870.3739754614654517', '-19992743', 87, 2);
    T('619.762', '34.17064410377045580888247', '585', 74, 5);
    T('-175.865029923313498689776545', '4.680E+4', '-46719', 24, 4);
    T('747239.135509357973630042', '-7.692795815078', '-747234', 35, 3);
    T('-2.87460E+18', '-95910938131054792.35412360864', '2787762276922703672', 34, 2);
    T('-904099977.40541299667516032408', '-659221803.32726557292', '313103778', 74, 6);
    T('227140.968766696560115593826', '7.6E+5', '585604', 25, 4);
    T('3599554694.72', '-1673460', '-3600109686', 36, 1);
    T('67026396514703034.216303482', '-460900.13436', '-67026396514508506', 35, 3);
    T('147991.0600880794657', '761924544971421.6040626193', '761924545085578', 52, 2);
    T('705.59999504817', '3500.84', '3949', 18, 6);
    T('7956.351102345', '-1929119.9263912356277050553654', '-1929355', 92, 6);
    T('7.0E+4', '-428613.86179926316208061688540', '-498485', 37, 0);
    T('-239.0632793', '-528792.4909', '528761', 80, 3);
    T('-9421.7386969058282', '-6.1700651608', '9417', 53, 2);
    T('93533011.45867207077670136', '472910707145764065.74219384', '472910707054469042', 23, 3);
    T('-4.71981573350840605223043118650', '-314713462.55', '314713462', 36, 4);
    T('92769578.97533773676063', '-820518066.788594754220487173565', '-896504220', 95, 4);
    T('2.54720057260629768652495786', '2251807.756342', '2251805', 91, 6);
    T('-434804.21758661652040601354353', '-645174140.10581943809733', '645017864', 16, 6);
    T('26.3650866052057372188987', '3681317.96630621570782009', '3681343', 5, 0);
    T('-32307.06827893903130401067386', '55925.615727', '-42056', 85, 0);
    T('-932.25111782', '429979.0014', '-429113', 10, 5);
    T('6589567.079666552757413507555', '-72896.0340924854065538011523016', '-6656193', 29, 1);
    T('-91999492259.806995790775100', '-12.63745841263298153', '91999492265', 97, 3);
    T('-2041430.367', '-4220135.040400785999', '6242995', 76, 6);
    T('-9214.6889', '-12441438.5624', '12448928', 1, 2);
    T('-1E+2', '-103874071.60963', '103874165', 55, 4);
    T('4.832219E+7', '-140271.02029224203207989413', '-48461153', 52, 5);
    T('-3958.85232457405266114', '-97.3599095940271952150', '3861', 58, 2);
    T('-85858211.37', '-4818150.0872351542153419', '89625415', 80, 3);
    T('8.219E+9', '19108709.390', '8199892901', 13, 6);
    T('24.51471', '-7556.56297296874014', '-7580', 79, 4);
    T('36.113151459046435498042140601', '-931526599.843337259963558219', '-931526627', 79, 5);
    T('-6.87693E+7', '353542.16535595219659626148', '-68956950', 70, 2);
    T('9.3126170243545', '2642799900.894', '2642799893', 28, 2);
    T('80.52893385268563', '-37.7955', '-117', 88, 5);
    T('-328.8573085979149', '936636.5677', '-936956', 22, 2);
    T('-3.7E+10', '99367507602329478251', '-99367507638649197973', 80, 4);
    T('-7108910674.08054804432443158485', '-8.4509526671754', '7108910678', 25, 5);
    T('1.9E+4', '-71257281.52923910377234824752', '-71239417', 98, 5);
    T('972923.434660841177321203', '-6E+9', '-6000894853', 48, 1);
    T('17.22515177', '39087.5085450460119663265632609', '39102', 31, 2);
    T('-59889019596527.280377980', '5.2', '-59889019596524', 44, 0);
    T('-52.833', '-5.0619373662700019756811914', '55', 85, 3);
    T('-7.196E+9', '843942017.22961863691202', '-6956758655', 1, 1);
    T('-923335.357097762405219436528', '-6E+4', '982169', 44, 4);
    T('23435777.389', '849.517985575', '23435600', 14, 4);
    T('-3.02E+6', '8.1046187E+9', '-8107376148', 42, 0);
    T('-6262710.17', '-9.883105', '6262717', 80, 6);
    T('-566.86050', '396081915.441', '-396081359', 31, 0);
    T('7.553012002464197943', '8E+4', '80007', 88, 3);
    T('5746932591.922116955594642631', '6.353E+8', '6230037455', 30, 6);
    T('-2.0384458912193124', '190.8190866864108321265219288', '-192', 15, 0);
    T('5.1E+7', '9.0098581E+8', '918143250', 14, 4);
    T('6.7E+2', '-2.07302714615338020', '-672', 34, 2);
    T('-1.81775887E+9', '-61319202', '1879008436', 30, 5);
    T('-7.71432653', '52980756697.1', '-52980756704', 39, 3);
    T('-9647.04341212', '-5651.63355081512790024650268909', '13244', 67, 5);
    T('-8.2856E+9', '-67.316971858121999589011', '8285599933', 94, 6);
    T('-3.1707716762346159226393', '-4.712E+9', '4711999997', 58, 1);
    T('364868522.48867', '-2.9E+5', '-364584806', 57, 3);
    T('-342618.6890727658546006', '6010230.3783097943539084468267', '-6197040', 85, 0);
    T('-3116.81487364007705313494076', '-7.808E+9', '7807996884', 2, 5);
    T('-650458768636183.8719', '-6.0', '650458768636179', 40, 1);
    T('5.1E+7', '8.278E+7', '132459936', 39, 4);
    T('-8E+9', '624358.1577', '-8000620826', 66, 6);
    T('698404.2315609', '263354.8648361764419', '961694', 87, 5);
    T('9.8983482357534', '453506500.441540720', '453506509', 2, 3);
    T('4576.269611795590524546927185', '-32867.24138692', '-37251', 71, 4);
    T('-193045718.3415839789344', '4570105.21366170337921910514', '-197402413', 64, 3);
    T('-4.9434854326966661253699', '-3557262', '3557262', 99, 2);
    T('-4874.858319398246309799956070', '-649.02098099', '4481', 65, 5);
    T('7909421225.96842993', '75256.864573974934', '7909479761', 36, 3);
    T('-7.250187E+15', '1.936E+9', '-7250187321190912', 47, 4);
    T('-15414.04783662414776', '-2.6884677E+17', '268846769999990730', 95, 6);
    T('-2.0E+4', '5.3044494', '-19995', 83, 4);
    T('-2E+6', '-3526.973', '2001338', 25, 2);
    T('-89.3662272909322', '9.4818636003033426722E+20', '-948186360030334267149', 49, 3);
    T('4', '-5.502E+8', '-550199996', 36, 2);
    T('-5009494.187270788064', '790744633.31965', '-795721325', 60, 4);
    T('-4.1', '1967907820.8941881186', '-1967907824', 12, 1);
    T('-252.12420742280449714', '-307319.5895147661567329497940', '307341', 19, 2);
    T('-5.5658080534', '43864827.679072900', '-43864832', 68, 5);
    T('63251957.28059907105622', '62135.21529214559906456356', '63297346', 61, 5);
    T('-21.0349427920205209', '-7872.41034407', '7851', 79, 2);
    T('-9.883142589706', '-7.4830706E+13', '74830705999991', 51, 5);
    T('32', '-21191.2570708', '-21223', 6, 6);
    T('-17463.601', '-59.370758022712', '17420', 92, 3);
    T('-45.371611604224879', '945565.131908617526463606638889', '-945586', 33, 5);
    T('-6.0581939079007758', '468.568896160291574641369', '-466', 68, 5);
    T('-1839749142.13', '-9.9370E+18', '9936999998181222378', 26, 1);
    T('9009820.20395372612873003660699', '30.88524252050685332657466', '9009794', 48, 0);
    T('-7E+7', '4.72592E+6', '-73662944', 97, 5);
    T('-5610.1898940354190', '-856178805987.1', '856178809099', 72, 0);
    T('96.831696621384110016957', '7.5E+5', '750032', 31, 3);
    T('-3E+8', '-2528703066.42356656562', '2270777510', 42, 3);
    T('-3864.019', '-2982.75', '1202', 10, 0);
    T('-1697338.280368643', '5.57E+8', '-556450682', 11, 3);
    T('-54613.623161567343066', '53.9977437951375383515544', '-54626', 22, 0);
    T('-8.5758E+8', '356783293.5896', '-643413347', 13, 0);
    T('54268058.51028101292', '-23189074.71', '-39700172', 6, 3);
    T('-42.282455762653162', '1470.26534058642852458584815487', '-1432', 27, 2);
    T('3.3788974', '-93432.55388219', '-93429', 63, 2);
    T('-55.2938646366851331272684176559', '-33380274544143208976.51517', '33380274544143209017', 22, 4);
    T('-51582171.5', '-375.28121922854179908419426', '51582380', 69, 2);
    T('4975231618.19668594719346721', '68551.5', '4975298885', 87, 2);
    T('-4.0E+11', '-2.90E+8', '400246870912', 10, 3);
    T('43166.8553', '-6.07305251913561493460051313300', '-43164', 52, 6);
    T('440937.4091555061585', '63.61', '440918', 51, 6);
    T('-84.667204', '-123646.93', '123566', 20, 2);
    T('-9724732566.7959036', '-95674025', '9765419581', 30, 2);
    T('3699497204.443891', '-236312921097800358129', '-236312921094654541829', 97, 4);
    T('94603923217148047.915503517697', '-436678.19402796762883', '-94603923216777547', 50, 1);
    T('9', '-9.696458E+12', '-9696457999991', 68, 4);
    T('-998539261.023067146182', '67763232367933150.842831', '-67763233298778403', 32, 1);
    T('868.26035811', '-291298.724885473142220853', '-291462', 100, 3);
    T('91741.104447696', '-4.7650E+15', '-4765000000055715', 47, 4);
    T('-762.855363', '556110248', '-556110674', 17, 0);
    T('6.23E+4', '-268600.31335891853', '-322156', 33, 4);
    T('-864413.394420315707', '-307.5083507239615259355688734', '864686', 48, 5);
    T('-468316183.632554772549690625688', '-5.8982611', '468316178', 5, 6);
    T('450.7338020810064080', '1.70881179999546E+20', '170881179999546000194', 95, 4);
    T('-711096.579755341', '7.89', '-711089', 2, 3);
    T('9.820483E+7', '79.18578697169440097897146', '98204881', 96, 2);
    T('-1.83779649545076721231921607476', '906341.82311', '-906342', 48, 3);
    T('698815130.2836790', '81325072711738144.04936815178', '81325073410552250', 77, 6);
    T('-1216.319621885', '110914919', '-110914009', 44, 3);
    T('-6636.9270080094046801224', '-4641.49485875768', '3019', 28, 3);
    T('-676992.687517', '-3.7254E+8', '373216800', 81, 3);
    T('5.5E+8', '71.04536006022765242829', '550000071', 67, 1);
    T('-29360394075', '16.44942', '-29360394059', 70, 0);
    T('66978.45907158965480', '8.907E+9', '8907066722', 6, 1);
    T('58602.6237776847', '16.69451720602776723528', '58618', 39, 1);
    T('-694.1433472237601533837214857', '4.833597E+9', '-4833596670', 18, 0);
    T('321178.530976616417333078921588', '5.5827E+6', '5360118', 18, 4);
    T('7050481.42827003', '-7626005.8046915084800270637133', '-2083302', 58, 6);
    T('-414565.78159166', '304777.9683821', '-194030', 42, 6);
    T('8.9E+2', '-825.3638', '-67', 59, 3);
    T('-236520090.3836', '468.3225', '-236520270', 88, 1);
    T('-5004.9911915860509928', '59517', '-64503', 37, 1);
    T('-115028147.88', '2E+6', '-113620019', 16, 3);
    T('-220269140979566.0767681960', '-279864.6286', '220269140732506', 91, 3);
    T('-4962595.4263685997101553296', '6090536.8490997104007304563437', '-1529355', 45, 4);
    T('57403.841863864609203414181', '2684134.05055347540614614724059', '2626781', 63, 6);
    T('955.1650', '-6.6E+8', '-660000581', 36, 1);
    T('4909.68934733630133094452', '-326.8315240268749305115339275', '-4713', 31, 5);
    T('49016893.593', '3.0981E+5', '49236495', 2, 0);
    T('-8.93E+8', '-4.50E+8', '803761472', 90, 4);
    T('-4674', '-87.472307080758000998758', '4631', 39, 5);
    T('-3313.66479898484', '71907.2739244881588218', '-70676', 80, 1);
    T('-654806855.66194281', '-303340.0028513053', '654520237', 12, 6);
    T('-97541.1', '-8842086213.38000245218', '8842050112', 98, 5);
    T('98826.244037073898127888636325', '2707.09820135111640440867', '100505', 97, 0);
    T('8.2136130768635529052', '7.59203E+8', '759202992', 6, 5);
    T('-49445747.1100520387268869', '-8.10350773982976865', '49445749', 36, 1);
    T('8.8315E+8', '5.89524', '883150005', 22, 3);
    T('4.73190299125E+18', '-274.71617773224308914961', '-4731902991250000274', 66, 3);
    T('-6.2E+3', '-9.7180689567118047838311', '6207', 47, 5);
    T('-5116764.29977489338304614', '-87062.9363800386676426', '5195598', 41, 6);
    T('-2.77677317145336439448879667', '365.9885293906708627487191073', '-365', 37, 0);
    T('999671728.36986615142227313', '-1.2517874324762E+17', '-125178743422550064', 95, 4);
    T('58.642456871557915', '-5666410276.7252251543829997188', '-5666410266', 49, 0);
    T('-89.3740140', '7001.557711', '-6914', 49, 4);
    T('-55394392.3408643916', '-786.2112932690825', '55395142', 39, 4);
    T('-3644008988.732179', '-558313.0571206420440323', '3644567283', 58, 5);
    T('-19239602.92', '44.51570018526', '-19239582', 11, 5);
    T('84964.0558718912948060', '4612.4889246131717', '88544', 94, 1);
    T('8.637684E+7', '97.0556878987', '86376937', 82, 5);
    T('-503.083505', '1940.36016334437', '-1635', 52, 1);
    T('522397096.01208265832269530', '-6502196', '-524292764', 96, 4);
    T('-13604.4812853091078', '-367724130.061', '367735618', 16, 5);
    T('-9381.705690088', '-150811.63315', '158142', 92, 5);
    T('1.0519E+8', '8541347.100351', '113723091', 44, 3);
    T('-4678938.603965602', '25.985872', '-4678913', 73, 0);
    T('-3.527181383E+15', '349.9474661', '-3527181382999779', 21, 3);
    T('727879.01400', '-532040937082494924.03140022', '-532040937083208845', 68, 2);
    T('-69101178280.7603657395643232', '6.249247659574980', '-69101178274', 68, 6);
    T('-14143900.458100608562', '81.615943001907', '-14143947', 26, 6);
    T('324.6789937157364674421', '-1135735250.630169369', '-1135734934', 31, 3);
    T('-425697', '57.5548408306113492670274827850', '-425690', 77, 0);
    T('4207956868.27507509159292834256', '-4863048427.0423', '-7969991023', 15, 5);
    T('8049295', '5.142244E+8', '517776287', 81, 2);
    T('43579109191.2', '-1.4415E+9', '-44836054041', 23, 3);
    T('-3.0E+7', '-654587167.449947547154634943', '651032161', 65, 6);
    T('-57671.544798', '9049.8876844154145409903199554', '-49696', 56, 0);
    T('73171.89571132978418341974', '-70779074.78411400882979023', '-70851859', 42, 0);
    T('-144.326936676113690845385', '8.361141959286667457E+19', '-83611419592866674438', 40, 3);
    T('60302.90835905452553706847603', '6.9604E+8', '696013262', 31, 2);
    T('41.1558806550020178843940257951', '-8791163.598428919775725797700', '-8791124', 100, 6);
    T('-878.265411', '5391363569.56408477', '-5391363741', 5, 5);
    T('-81790.2848895', '-9.147716252E+15', '9147716252066178', 87, 4);
    T('1.25269E+9', '-9.87662370E+9', '-8692422916', 80, 4);
    T('-798934.8', '-536621.367', '262393', 56, 0);
    T('-17.759535677631062626', '-2.79E+7', '27899983', 100, 3);
    T('87.94097453', '-9044345783', '-9044345826', 91, 4);
    T('-812253261.311', '-2E+5', '812191091', 88, 4);
    T('-266190.986', '7370.9993382258133387', '-267016', 26, 1);
    T('-93303.903747361376743682', '3E+4', '-72007', 29, 6);
    T('-8E+9', '-8747349953.0350', '16470489151', 57, 1);
    T('392.775660474931251', '-28302660786.8', '-28302660922', 89, 1);
    T('8018.19939502099154043039843758', '3.0E+3', '5354', 11, 4);
    T('-609949501.5863891215151734875', '9.5E+9', '-8898570301', 35, 3);
    T('-7543089292.545128', '-81601758.8338838325815448', '7604751446', 21, 2);
    T('4516.3406975', '-9785194047.162', '-9785190299', 100, 3);
    T('22.16553', '8.782896', '30', 89, 0);
    T('-7.74220E+7', '51.1365972464365525758730', '-77421981', 25, 2);
    T('6.919E+12', '-6.28079496730532881087155360', '-6919000000006', 75, 6);
    T('-81289.4213081083187013976753', '9694.5454853939187864818', '-71767', 88, 2);
    T('-938344.91749', '3.54E+3', '-941236', 4, 1);
    T('6.75101E+19', '30134.402181439375983763', '67510099999999997366', 6, 6);
    T('-9981101839.5622329', '7E+2', '-9981101491', 97, 1);
    T('-760365.1', '-5.774E+5', '218459', 68, 0);
    T('-5961642.1', '40544161.9851509861', '-36720649', 33, 5);
    T('-1.891583599616276318', '1872262052.34413462068', '-1872262053', 95, 0);
    T('89138', '847.21720838432031871262190798', '89981', 34, 1);
    T('-1933205932.470864056', '632505033865626315.18', '-632505034651689825', 39, 2);
    T('39465745.66483', '-26.074285930168157902294', '-39465737', 24, 4);
    T('9803760142.54500160516947630038', '-63.90747721', '-9803760177', 34, 1);
    T('-4', '89009.22015071494671294879', '-89011', 76, 5);
    T('-302078.03738328981305', '-9190.83', '309272', 21, 6);
    T('46211406.7429', '6217.832950529570430', '46217479', 57, 0);
    T('7E+6', '1.627E+8', '165172512', 64, 6);
    T('-832.1310522837436', '-2616940.5075113', '2616660', 84, 0);
    T('4879.69957812008680372900366', '1286653.7662574527342017639', '1290994', 95, 5);
    T('436943.4208977873478', '40783004.4389223897', '40429139', 71, 5);
    T('-227225274.649', '-642331361.900952981562', '734141529', 86, 5);
    T('83.8094264', '6.94172047896', '85', 46, 1);
    T('-1.019E+7', '3.54628387170261690', '-10189997', 2, 4);
    T('709.3789', '-991096470.3421', '-991095889', 99, 5);
    T('-155.6844488199', '87.9423', '-206', 85, 0);
    T('-5.011582639', '-4.819181526E+16', '48191815259999995', 47, 3);
    T('-9356.978103415774206', '84.09708684675345', '-9440', 14, 5);
    T('-1605.88725316443788062384583186', '6.39840473822697E+20', '-639840473822696999429', 22, 6);
    T('-557655.0720315269116760809769', '89336.1255755560903', '-646831', 17, 6);
    T('22328546685.440024', '52276366234.791161848125', '39074701031', 22, 1);
    T('-75799522787.88544521', '-95.79488928', '75799522748', 44, 0);
    T('74', '-875133874.13279', '-875133948', 12, 0);
    T('4.17657884399818', '8618.249481583857305321', '8622', 42, 2);
    T('2.571E+5', '854145.365917374027856487', '976077', 20, 4);
    T('2092139343.39139330541182', '73162', '2092080773', 61, 1);
    T('9.13060947332682489805960', '-36105.387021018', '-36098', 69, 6);
    T('-992143', '-7E+9', '6999549553', 87, 1);
    T('-147988904478452742745', '-3.9927522743493606975562', '147988904478452742746', 11, 2);
    T('-80909.4867824585713746505892461', '-76296.3', '5643', 34, 1);
    T('-214199.8246', '5127533.267562106625965', '-5077468', 45, 0);
    T('6.811733E+8', '-53199.0232247358772', '-681127675', 92, 3);
    T('412813.86808056807246819439', '84.46996', '412889', 5, 2);
    T('495394816.9117287382850', '4423529.81688', '499408745', 2, 3);
    T('-6.6005106040331763634111055638', '-71.99552679572502202', '67', 62, 3);
    T('830169.241630075818917991109', '85287.456', '911358', 99, 4);
    T('-5657842058.505', '173793655.979878995904694', '-5827997951', 21, 1);
    T('5143.4922286746222685776414552', '11005.1143077810150', '16106', 38, 4);
    T('764033968.23300628890051997034', '433567.61929451', '764192303', 19, 0);
    T('-294.301', '-2463284.07', '2463510', 10, 2);
    T('25758897.692095649023663', '-6843.033047368327', '-25761292', 17, 1);
    T('2.602058487673412624132', '-47090436.23455932', '-47090434', 73, 0);
    T('2.23E+8', '-92', '-222999964', 59, 0);
    T('7674.551212320775133203181141', '883034411.226290968811990049939', '883037393', 69, 0);
    T('-5.418557236509998', '3E+5', '-300005', 89, 6);
    T('439521218.453240869594782237', '-8E+2', '-439520478', 22, 3);
    T('-9.6957599E+17', '659284.54220225296', '-969575990000391340', 19, 4);
    T('-10.8166432992898293282089', '92.31', '-86', 11, 2);
    T('-5221130190.98', '21918.468214166561239026', '-5221141076', 96, 2);
    T('280.833873353429', '-8437866333.44', '-8437866053', 4, 6);
    T('-14880755.5792025944495145702720', '3370.2368127720008619044530759', '-14877401', 75, 5);
    T('50388860596501512.2157675', '96187.19458897944', '50388860596439987', 25, 5);
    T('2.6227861E+9', '3.65E+5', '2622561276', 56, 5);
    T('-56275640.75797', '43908517.9531261090232465780', '-29839123', 22, 1);
    T('57539679.024591', '1.798E+7', '41920063', 22, 1);
    T('3592.05511353395649438115', '19654.4328238665058780650557201', '17102', 83, 4);
    T('6.88163712E+9', '-7.6501', '-6881637127', 46, 3);
    T('-662.3', '-787.77230', '391', 81, 2);
    T('2684714946.336', '-5.3E+3', '-2684709746', 96, 1);
    T('2176189.75026790378760602163', '3205167.171041145510038041159', '1170578', 15, 2);
    T('-82621637478886365798.587525', '-1845684412.850962481', '82621637477443416798', 37, 6);
    T('1355456361.385058820', '-2563.585414295795', '-1355453804', 59, 5);
    T('-6041917620', '-71306.590940752411970349', '6041980474', 18, 0);
    T('9450.3575208549275908740495', '7.76E+3', '15034', 88, 0);
    T('981399130.409137982', '-43.61751325646', '-981399153', 68, 2);
    T('26858730.16743299481079', '9021778311.8342', '8994995565', 7, 3);
    T('-2.7E+2', '-4.09500746601664E+17', '409500746601663730', 7, 4);
    T('6.738416E+8', '149.6', '673841493', 59, 1);
    T('-7E+3', '-96512593.2455649810194525', '96514311', 68, 1);
    T('-71.892381', '-6E+9', '5999999929', 68, 2);
    T('1.39E+3', '1569488627.91783527379', '1569487773', 49, 1);
    T('-634.9093', '77.97804', '-565', 59, 1);
    T('226574.41', '-432.825202143357288291354347395', '-226466', 69, 3);
    T('-475981441.343709358639803010', '-187005984006766188545.562722519', '187005984006972063360', 38, 5);
    T('9.5393E+13', '-6.77774', '-95393000000006', 20, 4);
    T('1333336.045323170029306174', '-6.027E+8', '-603463816', 62, 5);
    T('7444', '934.74951742551953', '7858', 28, 0);
    T('193605.8277403629772720', '-655211953291.425543734', '-655212021968', 47, 5);
    T('7.114125197068877', '2.0E+8', '200000007', 77, 5);
    T('-357.331816891', '-8170776311.57797700753781', '8170776466', 13, 0);
    T('-36.2622827737086', '8633.47813885', '-8603', 59, 1);
    T('-1.1518567E+18', '-8.55', '1151856699999999992', 81, 3);
    T('-92624.33', '682481.6534621', '-720959', 56, 3);
    T('-2.1980659500961646', '2.39266439189451', '-4', 41, 3);
    T('-7550613011.440', '89706569.497329275140640', '-7639262812', 41, 3);
    T('2468612862.3916', '-333171799.07277087531443037846', '-2164246185', 32, 6);
    T('-463.10662150894526487720', '3753.31062527148', '-3944', 54, 5);
    T('-277114.4', '8.581E+6', '-8836594', 24, 2);
    T('-7909702.58289', '-96.150132566712446947840311790', '7909658', 76, 2);
    T('204.1712520933562140157869', '3292033501.746981159', '3292033297', 54, 3);
    T('-7397.3479533', '358862239.15088', '-358863228', 87, 1);
    T('-783068181.8590', '96.720927736124738600978722', '-783068277', 50, 2);
    T('7.192E+20', '-3057607.29129789', '-719199999999998863303', 74, 5);
    T('301301044.70948033933', '165892.845651848920034544', '301462832', 13, 1);
    T('-5642.037652545171148653937', '-3690537910.6755498637065', '3690542524', 99, 3);
    T('-5E+4', '1.5683E+8', '-156879488', 42, 5);
    T('-3352106.22043633995534', '306028.55632615593526387673', '-3640646', 43, 3);
    T('36512699.4640066', '9387120.967536958795114157', '44179403', 31, 1);
    T('505753.536220188845', '-2844.54487494257773345915113', '-507011', 73, 1);
    T('671816776.0336062385500791', '1.798E+6', '672166712', 88, 3);
    T('-77752.136', '21.039273248053050', '-77731', 89, 6);
    T('81.78851', '2E+4', '20081', 100, 5);
    T('-6885.0447381340174', '7280918310.33016685', '-7280911811', 93, 3);
    T('-2920899.436362658765370255', '-9.0E+5', '2173533', 98, 3);
    T('4699589.035763078780100687749', '4.5553833154524', '4699585', 66, 6);
    T('232546.7', '-3.85E+7', '-38337278', 91, 6);
    T('-374971098181031.681645', '-3.00E+16', '30330988384571993', 15, 6);
    T('-83.505184014778408', '-812724.37829', '812769', 22, 1);
    T('623.7476321', '-6.5897E+5', '-658551', 35, 1);
    T('88136.801112129413071', '-8981980298.2038031', '-8982068418', 33, 5);
    T('-7.36316119086013707567529053', '805876.06102327608584377', '-805875', 44, 5);
    T('89.49896335', '29970.87', '30027', 88, 1);
    T('190.754', '-5065290.2696548818', '-5065464', 82, 0);
    T('-270014249.692607403103521', '-567.669730266664854608', '270013726', 83, 4);
    T('28.1171483028', '1095896978.81700209763622943146', '1095896974', 65, 2);
    T('313.32030750126752041532', '-79.84720528', '-376', 79, 2);
    T('-1788.96702976', '-9941.9110992130', '8239', 98, 2);
    T('64873.2202958713233414', '1.2E+13', '11999999966569', 49, 1);
    T('92674.512392073585393257', '-211971178.758', '-212010604', 78, 0);
    T('-34.9234241316358763034801479911', '-5.950E+4', '59466', 19, 5);
    T('98547710359643.30103', '35969.83365487592074828', '98547710325978', 32, 5);
    T('-3.7', '3445823267.92', '-3445823266', 13, 6);
    T('252040.488136751691171', '5787870.0614208599571847653761', '5998678', 38, 2);
    T('-6.3940758103295759093', '9591182.44171899777054', '-9591180', 86, 2);
    T('-27.7695500', '2.5971E+7', '-25970979', 36, 1);
    T('34399753.13146841', '69', '34399820', 74, 3);
    T('-8241.019241735623', '-697850513.5309', '697858720', 59, 3);
    T('457948.387374', '-5E+7', '-50072740', 55, 1);
    T('-1.123E+4', '46001.7797178431559', '-39021', 68, 0);
    T('-1823406548.4569224102734', '-1061715.7325857364241326425', '1824443009', 65, 6);
    T('2.46E+4', '-423376.185001229525021540814', '-398808', 19, 5);
    T('4737992.456084247096297', '87799.1550425820063613360783', '4791615', 49, 3);
    T('6142870.7409', '-345.6831420977344833018201789', '-6142671', 28, 6);
    T('-43757378.137034766', '4E+2', '-43757266', 70, 6);
    T('3325079.01241760728952834', '-7047224309418789.689804772946', '-7047224310577076', 90, 2);
    T('4.06393247837E+12', '-1532615677462133.5617644457', '-1533087775733207', 21, 3);
    T('-4.0713115136', '39357.36583723212721415', '-39359', 100, 4);
    T('-3.6043617E+9', '-1101326772.3', '2540886096', 69, 5);
    T('-696.058', '-60178.56940011', '59814', 6, 6);
    T('3.277489', '5.90E+16', '59000000000000003', 92, 5);
    T('5924767.7', '13.695208040536', '5924754', 68, 2);
    T('-34.095928435876782473', '1801.830172602309481643', '-1833', 32, 1);
    T('-59289.659548389782', '1.04146737', '-59290', 85, 5);
    T('2780.14973242469184379', '-4.80014E+6', '-4797528', 37, 0);
    T('3380001.32049414934423185985', '-5591.25048841416485', '-3376888', 93, 5);
    T('-7.0571921860040861367753', '-6.80850821034861266463775645', '3', 54, 1);
    T('44872330', '8.03558710876533', '44872322', 27, 3);
    T('9.2E+8', '915.331862', '919999891', 66, 0);
    T('-666883345.86811355935', '1E+2', '-666883445', 70, 3);
    T('-655772.3539845051', '-10765357.8268709081', '11421111', 24, 1);
    T('4762.3836761130235548', '578565722.9692283553264', '578561216', 44, 5);
    T('78233079.854853', '-2.78332E+20', '-278332000000078004745', 58, 5);
    T('6242168.7624', '-5601.17542268094356828988628', '-6236825', 83, 6);
    T('339.77286773465721', '-1E+1', '-347', 81, 6);
    T('-7024553106.3405827355443636', '41686.2', '-7024578120', 6, 4);
    T('-79694523.5886288998106501', '-692.639899', '79693833', 27, 3);
    T('-36.9541838717226', '-3.9541861391673592', '33', 55, 0);
    T('-98.56924513123064', '-7.5774306E+8', '757743026', 64, 1);
    T('-94.524', '-7.345840839236394504E+20', '734584083923639450434', 30, 5);
    T('-9.904482521762759992376', '88328.87443118896', '-88321', 22, 6);
    T('71.883245610992455624', '558998854.42515', '558998785', 45, 5);
    T('1700621734.643114957001', '-26621534.0042', '-1691048956', 65, 5);
    T('-5.61402693E+9', '5764.347', '-5614032438', 43, 4);
    T('316633067.921659691', '-2E+9', '-1709898773', 70, 1);
    T('-6.4808296264989656E+18', '5.028931E+14', '-6481033175141811040', 67, 0);
    T('-7.93781028958726598603724978934', '2807806793.0348820654', '-2807806800', 84, 0);
    T('-8394208.7898407505063219331', '-5371332427', '5379723925', 46, 2);
    T('4374.57734805', '6675.0026187692921403877883494', '2821', 73, 1);
    T('6.35314', '14930011.18057392098', '14930013', 66, 4);
    T('8E+9', '8.87373764621272369843963972542', '8000000008', 45, 1);
    T('935.1601274326953878', '-7733347476948.625547', '-7733347477109', 50, 6);
    T('963668.84848508833', '60.5095325142304698520132', '963688', 86, 1);
    T('3059.1333197763413022681', '647.145212342', '2420', 33, 3);
    T('65352490.095', '4666484183.932786690', '4659992317', 17, 1);
    T('11029813892.88861901748796930', '9.7E+15', '9700010484554372', 65, 3);
    T('969996747461898789.8952', '-258745418.33745502228', '-969996747276031597', 52, 1);
    T('-345206450695.0375', '-47850.36691373', '345206477039', 36, 4);
    T('-4327407.2657414373157218584', '1.692E+5', '-4231967', 87, 5);
    T('-1.0E+2', '-31695897.495521285212750370', '31695995', 35, 4);
    T('1.9670485114', '4E+1', '41', 67, 0);
    T('-3248995.249743671395122484890', '63.1196924538395076421', '-3248990', 69, 3);
    T('-130987.21566399775709473263', '-3326968631.8755946391958740', '3326901404', 55, 1);
    T('-753130.6099800163987', '-3911439129926.55673', '3911439868076', 59, 6);
    T('-760078.3124553247375554594', '9.900183600918E+14', '-990018359737750', 98, 0);
    T('-37.596379631', '-202205.6182387464', '202232', 42, 0);
    T('-66274020014899098073.9767088', '-53.94179084664616667056957', '66274020014899098092', 68, 2);
    T('-68867.2', '610.92051858', '-69473', 93, 1);
    T('4595414527.9', '7.19988101E+9', '3167552205', 46, 2);
    T('-6.338E+8', '-51459604.28', '651572012', 74, 2);
    T('5.8996122084699931121091', '-11736.6384043567126', '-11731', 41, 4);
    T('357947.28695', '-1439354563.08602', '-1439676666', 25, 6);
    T('-9.20179E+16', '667301.7476168804772951660995', '-92017899999336795', 41, 5);
    T('-6.1502206887E+19', '-33.549358950272298069607926', '61502206886999999967', 29, 4);
    T('91.715563539651933', '202.62383478001', '145', 26, 0);
    T('-2261880838.80271334', '5.8E+6', '-2257129542', 82, 4);
    T('-2.766585', '-7.156000367519213220', '7', 9, 2);
    T('2.362144', '890722892.284861', '890722894', 68, 4);
    T('921.0', '-820.0853523757349155311356', '-171', 48, 3);
    T('1E+8', '-4.211727689653028852', '-100000004', 17, 6);
    T('-89842.274645272714436', '-815147.395014680578101', '863963', 13, 4);
    T('1.1117674063516E+15', '-3930.173553440829180', '-1111767406353322', 16, 2);
    T('6317.907320068654698613332225', '-2E+9', '-1999997779', 32, 0);
    T('-4005.5330142313682430', '-513376095.8169519769292169237', '513372410', 14, 2);
    T('-8.32', '9.1172151520063804066683515954', '-15', 56, 0);
    T('71.128328', '-44805.06858527212292334205891', '-44868', 100, 6);
    T('7636134238908.58347067404175', '-7.222715067587E+16', '-72229960038554516', 89, 6);
    T('-4757849.30237586469', '-31.310647936489825822927812194', '4757830', 43, 2);
    T('75951.94731032849783', '972.8732415508756396', '76643', 95, 1);
    T('9254506096.9', '664218985.3535257845050', '8590697241', 30, 6);
    T('8134885.318558', '-247831.40', '-8382708', 8, 1);
    T('-49.777019536412122432089694', '19802180760118.771712006', '-19802180760071', 48, 6);
    T('-9.3667130E+20', '880.457472778471955995161448980', '-936671299999999999120', 3, 5);
    T('-431386.90424376010', '944610515.325318205', '-944441803', 27, 1);
    T('-61447.75026799', '-5.250E+6', '5303241', 16, 6);
    T('2.7350638167E+19', '-61360.7133779', '-27350638166999976368', 74, 4);
    T('7.8E+5', '1.1315230148022385162865383424', '780001', 79, 2);
    T('-1298.765211594001722288', '-56.7249604286193635795207685006', '1318', 28, 2);
    T('1E+8', '284.792867027666', '99999772', 63, 0);
    T('-3.97373350971974E+20', '-371763.6353686283812000374045', '397373350971974299981', 18, 2);
    T('-32.7095775218997245', '1.22933490177061421768699317', '-31', 29, 5);
    T('-5607201.87', '65633501.34482319047993', '-62714878', 39, 5);
    T('363739359.3791257029', '-454383789', '-247160948', 69, 5);
    T('81192.857296713670', '-4.75121E+8', '-475068496', 43, 3);
    T('-9265190023.57480304418261984', '-5E+5', '9264706969', 11, 1);
    T('-49255', '331614.9513296311', '-380729', 7, 1);
    T('-68.594697459267208806', '-43977979302.922866108728848', '43977979366', 50, 0);
    T('-186392315.403', '15.942', '-186392310', 34, 3);
    T('8480.9459267529523892111', '-9.7664574679908E+19', '-97664574679907992032', 24, 1);
    T('6.6087E+5', '-29.8', '-660891', 22, 0);
    T('1433139447668662', '469.84922752350267', '1433139447668323', 34, 2);
    T('-367004413.24', '-9.89', '367004404', 97, 2);
    T('-3353.768289464911', '-7.5203860662950', '3358', 27, 2);
    T('9.78974', '3.3860E+7', '33860009', 82, 3);
    T('4.4439604623545015780', '-4903.41406954820', '-4899', 53, 2);
    T('-75.053271526129180401240088109', '-2.26236E+6', '2262301', 60, 0);
    T('7.4586152523348525280', '-138.341581100487', '-143', 100, 5);
    T('-7128.0231', '-77296336.01862266938943', '77293848', 12, 0);
    T('648269142.82', '8281639.1929377063703658696', '652055409', 75, 2);
    T('8.404873E+7', '25979.723275640', '84024865', 71, 1);
    T('-8.4E+7', '394.816676059176085170577019', '-84000118', 36, 5);
    T('31589947061257130.3', '-4066.82022880869986683050', '-31589947061259340', 17, 6);
    T('3.20765293E+9', '-9932.72657', '-3207643274', 57, 5);
    T('-2.481388290E+15', '-2184503060.5719', '2481390405262188', 16, 1);
    T('-6.8669E+7', '1.33E+5', '-68536784', 66, 5);
    T('408264.1397597402768692479623', '7792440.6933611850125', '7396848', 24, 0);
    T('-4211837.30', '145852.4903546', '-4357569', 83, 1);
    T('-65804.34482', '522788.969613846', '-457520', 8, 4);
    T('-3.9681E+7', '-195.6171868000493827', '39680805', 33, 3);
    T('6.9614547368912764721', '37.2', '35', 67, 6);
    T('69399.3485624', '-760413.49', '-693580', 50, 0);
    T('2623731603.90158', '978602081.4798', '2788605938', 1, 6);
    T('1443.4842511327791431505', '-1.59587E+9', '-1595870861', 43, 2);
    T('494.952885', '6E+7', '59999982', 53, 2);
    T('3476.339637810611758757', '8.2412', '3484', 95, 6);
    T('850.490384243621482970243752', '-7485.9653055235', '-7791', 47, 2);
    T('4381.6646413178410', '-4618910.8770877165', '-4615041', 73, 3);
    T('-9.5064E+18', '-476962759.4072660759678367', '9506399999796715577', 23, 2);
    T('-671.756699294195965809337', '72855.8903441125', '-73226', 55, 4);
    T('-5.43209255664292252836561796', '114.85464', '-119', 24, 0);
    T('8.402358E+7', '559339872.36159681112255', '609534076', 68, 0);
    T('-9', '-4632075.3308', '4632066', 83, 4);
    T('-61578.542228', '-748.1816616289809', '62050', 50, 2);
    T('955563.3429563256', '-425502.330644164394444923522', '-584375', 32, 4);
    T('-639.648187747561469611670', '51.59', '-590', 90, 6);
    T('-2884103766.40056895510', '-8728.8698', '2884095042', 99, 1);
    T('-4.3386E+7', '-7.941265E+8', '767781932', 33, 6);
    T('-346.07651140727556850769', '-5463523567.50153885247889508044', '5463523767', 65, 1);
    T('8179.33', '900.0339457941150612302269', '7287', 21, 2);
    T('-39951819.549965632932984', '857.97642101232282', '-39952020', 23, 1);
    T('5420344103.0920487105', '53471.2331665059089821693432', '5420299256', 50, 0);
    T('8373.313721886389232945228', '-5E+1', '-8325', 29, 4);
    T('-2.126025180978140879593', '-73', '73', 66, 3);
    T('-650581589475604808602.8721130', '1.703470566E+19', '-657797294540773464986', 9, 1);
    T('-526.67996', '-2.7434601158E+20', '274346011579999999474', 57, 1);
    T('20215307.041214336', '-45.0091706149249729', '-20215336', 61, 0);
    T('5108.362997', '-2096.67721', '-7132', 99, 0);
    T('924748.7', '-572178.32479404560330589935', '-436062', 73, 5);
    T('-3019.0652866647718077280778', '-91.57265989653', '2960', 62, 0);
    T('-1.37318603225304378347041023440', '-3309351402.1011309', '3309351401', 28, 3);
    T('62.23174796841001745327757', '7021.7650814249415026674', '6995', 94, 1);
    T('150915790.8982754400', '-2.0549E+9', '-1921352658', 28, 5);
    T('-47360067.758657', '-36269120.03619675994', '16499837', 47, 0);
    T('-48.5427', '-7818906261.1', '7818906299', 84, 5);
    T('181440985.12622823', '-794157.0637', '-182226934', 29, 5);
    T('-2.98576E+15', '-940.17201407959', '2985759999999060', 43, 1);
    T('9.7072286197E+11', '1.640311727', '970722861971', 52, 1);
    T('24056.711295', '65.07211243180268853241024438', '23993', 65, 5);
    T('-639794.1', '-4.8141E+8', '481851646', 23, 5);
    T('-7E+11', '6.4E+4', '-700000022016', 4, 1);
    T('710720.55519', '99793180.712684164842351', '100163932', 25, 5);
    T('-7261436.8268632', '1981.256330071758627', '-7260999', 16, 3);
    T('570541897.445935186526936784018', '-6018020339.316', '-5447513276', 66, 4);
    T('-160.997451750837236294008179', '4.6018790E+15', '-4601879000000160', 4, 1);
    T('-8.28E+3', '7871378.70854298', '-7879622', 19, 4);
    T('-2.70670E+15', '944429.5163650', '-2706700000632531', 62, 5);
    T('68880.2928405687', '-768.385719675537', '-69616', 37, 5);
    T('5365219.044055363529108520', '-4.15796E+9', '-4152668893', 3, 6);
    T('-2.100564740', '-94.8828226', '92', 61, 5);
    T('6.32689E+9', '-7474.147635641957260134381', '-6326891298', 61, 2);
    T('6941673.35326890742', '501.52012733426485177', '6941212', 65, 6);
    T('-24694145.7729231', '8.20E+8', '-832108673', 49, 1);
    T('-775.229119462890718244553429', '5.5187E+19', '-55187000000000000775', 34, 5);
    T('-597917427.307932322525987256228', '676.6467', '-597916759', 51, 6);
    T('9170380138478819467.30656', '8.36690582809E+13', '9170437417636496719', 86, 2);
    T('2011.859949644379223517347785', '-1300.2086637921774035741226582', '-713', 36, 6);
    T('35.184993164', '83832878.3840', '83832845', 93, 6);
    T('9.8772E+7', '-5965782448.44', '-6013958544', 69, 4);
    T('-6163541.3488928406979926', '-4331.428650754059139985234', '6167742', 76, 1);
    T('99006.273786654', '-541307.029677', '-639173', 77, 1);
    T('4867289.33287433457770178509074', '8.3060705437260915135851298145', '4867281', 50, 2);
    T('-82607379.93466790921183', '2396643745.868', '-2318769332', 64, 6);
    T('313.7447506', '5384.12027811216773971575532390', '5169', 33, 0);
    T('-6939371044585224.48849', '-73.025669445232448606', '6939371044585295', 65, 1);
    T('2.8E+3', '578953394322.401688098234783', '578953392738', 33, 0);
    T('-9572.5197978813', '79210.3323', '-69642', 24, 4);
    T('-98416802932702218634.5', '-2.3460599666825975356892062', '98416802932702218632', 3, 3);
    T('2.453137E+17', '362.3115308087', '245313700000000362', 60, 5);
    T('-2368.5587193125312683723776571', '-455136.16436295163567447637147', '456928', 22, 4);
    T('-8.9406475E+20', '-7249.992776392', '894064749999999992751', 22, 1);
    T('-24115588.07676577791878566132', '3537476229.115', '-3551945479', 57, 5);
    T('-756.375994365883563328117631', '-4.587694674191E+17', '458769467419099564', 85, 4);
    T('-949.79383847289230365', '74584.222467', '-73965', 18, 2);
    T('-13106332.3', '7748.3063106152210251369804', '-13099744', 72, 6);
    T('16.0335', '-738555572.9', '-738555556', 82, 4);
    T('-221911550.3643567618', '441752342.61535105904640710', '-393118444', 19, 3);
    T('8874020793.7068218076653586603', '8.28E+3', '8874029025', 72, 5);
    T('6408.98', '-566727', '-572623', 38, 4);
    T('-961.668018843051615366449', '8.641636484271402183', '-969', 74, 1);
    T('-20.5', '4625290.87028', '-4625306', 40, 0);
    T('230831785.174871603224700861', '-7.374E+4', '-230889123', 40, 1);
    T('-5.66244640E+9', '8E+4', '-5662518208', 37, 1);
    T('9979081671.4025709425151100356', '-8.39E+3', '-9979073283', 61, 0);
    T('535033.16097', '396611.6355', '926906', 88, 6);
    T('-32382238.051845200279291791175', '509499705.312', '-531645477', 38, 6);
    T('-2062116.315015112411', '51682.79313424254394408930', '-2080450', 49, 5);
    T('-181636786.2652637742110', '-1.63E+3', '181635308', 33, 5);
    T('-152.16079128778', '-8.0E+16', '79999999999999848', 97, 3);
    T('5.75685E+9', '-109599.890637394570655514814652', '-5756887887', 9, 5);
    T('872.377688735695015178996853451', '-272601.0597356', '-273329', 63, 3);
    T('6363000536', '-5.3', '-6363000541', 99, 6);
    T('7.49646576320831534801382609287E-831', '-1842236.24526400517656899816', '-1842236', 3, 1);
    T('40241255740837634', '3292.7', '40241255740834782', 90, 0);
    T('710.925', '9E+8', '900000710', 78, 5);
    T('-4348707808.93493497413984', '1.190029889509535856E+20', '-119002988955199531040', 61, 3);
    T('67', '9249160986.0169141015497', '9249161049', 71, 3);
    T('-2.3E+2', '558.3', '-716', 84, 6);
    T('556.902940850088892', '-42', '-518', 60, 1);
    T('3968.779456678184372', '8E+12', '8000000003968', 51, 0);
    T('-5.473014', '-8603303513104.02398827512124', '8603303513099', 36, 1);
    T('-4.8267166E+8', '-21081.699356841121619', '482651763', 87, 0);
    T('54.913053928588', '4.2243714E+8', '422437154', 6, 2);
    T('45.6831796601610162586674592691', '-662972.43215803523882782386219', '-662935', 83, 1);
    T('909.09579435733', '7.91839878145E+15', '7918398781449373', 25, 2);
    T('-2382.396438428281', '73.40570340504496609', '-2309', 55, 0);
    T('8033387', '-12', '-8033377', 18, 2);
    T('1503631212', '6E+4', '1503624460', 47, 5);
    T('-966.069236024006822769748', '3.38838E+13', '-33883799999942', 97, 3);
    T('-32542.948764', '-565018684.205226707829175282', '565051174', 41, 3);
    T('-2.7770903E+9', '-1.4221968548170', '2777090299', 68, 0);
    T('-833399.1220092457', '302.6061669953396606109', '-833113', 63, 4);
    T('3174424946.472473956095273518', '-51058.0933534164082077854793', '-3174376964', 13, 0);
    T('41.0377921341098205294610', '642751.37215127304847', '642710', 46, 5);
    T('7.8E+4', '-737468022.11665819503443', '-737537734', 52, 4);
    T('-3957099.175455314', '3281687834.8611958863843316960', '-3282498673', 49, 2);
    T('2.2119515', '-350097.38439952998160991147', '-350099', 100, 4);
    T('4.561E+5', '-242.456', '-456022', 66, 1);
    T('-333.50751', '5457956', '-5458281', 4, 6);
    T('-1.6954', '1.3E+6', '-1300001', 52, 0);
    T('3.9E+6', '-34184.7049353087858200', '-3868648', 91, 0);
    T('-6377.5196199803588847909', '-79390.5152303020552', '77557', 76, 5);
    T('8350361043771.3', '59557.3102728572376', '8350361004958', 71, 6);
    T('-618928000.0614943676974', '-33.8459', '618927967', 100, 2);
    T('-6081861556.098008734', '290.15196930871', '-6081861266', 41, 0);
    T('-2.61E+3', '85338825.2479726', '-85336313', 63, 3);
    T('13.8693427', '808.282027', '805', 1, 2);
    T('612100941.932414709871215909', '-4487.17500975032168', '-612104908', 67, 3);
    T('41519236.13388837', '7.014023880389E+18', '7014023880424092612', 98, 1);
    T('1082403.111927282708', '-436.15183695764592830263591', '-1082769', 76, 0);
    T('3972636055.1757277415416015', '5.9508', '3972636050', 79, 2);
    T('69566873.861481532400930', '6.1E+6', '75011513', 97, 2);
    T('-791373721.5470909219718755482', '48401.426659944042585152', '-791403146', 32, 2);
    T('86897203.966914431671', '324715618.01682304604', '376911441', 82, 6);
    T('878988', '1.6E+2', '878892', 2, 5);
    T('-9423.290779198890005350665', '511.83', '-9522', 33, 2);
    T('-68.0061142252199395027', '-120.39996481695117092065373762', '52', 85, 6);
    T('917694.02363585717500410', '4.4E+12', '4399999082686', 75, 2);
    T('2.3376E+9', '-599869194.63189300', '-2828383498', 76, 5);
    T('8162063644.5944213697011393748', '-26757.06283', '-8162074009', 70, 5);
    T('-14181.7762690009748788', '2.70503750313', '-14183', 38, 5);
    T('60.490919350330312', '15531576770.079051', '15531576830', 38, 5);
    T('850014.01349309093351142333019', '-656995712.9599229974474380645', '-656674082', 82, 6);
    T('-1.58815326952559703325579586152', '-317961456.0165601654999471138', '317961455', 11, 1);
    T('-7566726.98', '-343', '7566547', 14, 1);
    T('-3.40870E+9', '748470323.456129989273100', '-3887096429', 11, 2);
    T('718', '-570938.07013', '-570616', 18, 0);
    T('-99.75562740267374825', '-666', '763', 89, 0);
    T('-299.0755360065602574009', '842193843502445206364', '-842193843502445206135', 55, 3);
    T('-325.0169627564565', '2764850.05513107613906292447', '-2765175', 5, 4);
    T('-854924123086316706905.99288', '23.2407677922296717064369342340', '-854924123086316706896', 36, 1);
    T('879869.033', '94.538263298', '879779', 51, 5);
    T('4916514.5340631', '5.117660578E+14', '511766062584930', 66, 5);
    T('-632.0411775072359967450', '24294588915093887.9', '-24294588915094281', 79, 4);
    T('-5444713560.920049308406', '88305816.9759616841577942379', '-5398383824', 29, 6);
    T('-5957615.63259964690822783978', '7.101892E+17', '-710189199995389935', 60, 5);
    T('17412382.93308374888149338835', '3257.126158794530', '17415591', 98, 3);
    T('-489.895973765498968684002616', '-3.8203E+6', '3820259', 74, 6);
    T('511945991.66627856315822', '-5682574.585448169', '-517281931', 28, 5);
    T('-16194277.22156269', '-8.08E+6', '9195675', 10, 6);
    T('-742429.8340187138630', '-5213.719', '737344', 46, 6);
    T('12.08689064642887426913237', '990587582', '990587570', 51, 6);
    T('3.65730243292507024869185', '-7E+3', '-6997', 62, 0);
    T('-11783.7639654334428', '3.800772', '-11782', 88, 0);
    T('-672.53550', '-130.24902868888681', '542', 95, 5);
    T('-348508.8', '90339.1464125326218149591187', '-274873', 50, 3);
    T('4127041445.59215', '-77.18840322', '-4127041514', 9, 0);
    T('-4.32E+5', '-2.5637E+5', '359950', 43, 3);
    T('-7983771.4409031505503536285563', '-19953402126363007.22', '19953402124745700', 1, 2);
    T('25192.36333417563065423323995', '48436187.89904559156862711', '48460211', 6, 2);
    T('-42586.6891410869047786036520327', '-9169.36', '34185', 79, 0);
    T('-4E+1', '623.0', '-585', 4, 1);
    T('-8872453129.179', '4.58796467545351', '-8872453133', 73, 0);
    T('85.656630172274508673', '-5.75518217732064671', '-82', 19, 4);
    T('-487984.066878768990432998', '871262.854358202283', '-670066', 25, 1);
    T('-206271.62234527916322031', '-7.1648E+9', '7164726849', 55, 5);
    T('-1141.7094154254834611266', '2.447256243359059601199', '-1143', 4, 0);
    T('72397474.7857002832379723782', '-35580955.367019061929496523416', '-105799353', 69, 2);
    T('8.5523', '-728.1073225069010737744', '-736', 54, 0);
    T('3E+6', '5197334.60989322793269', '6457558', 59, 6);
    T('887.864574307', '2731194.91681163096399383557', '2731981', 1, 6);
    T('-1817265397.69450048946004331', '35.5', '-1817265368', 93, 5);
    T('838186699085667032.3', '319568590.92577', '838186699337588758', 33, 0);
    T('4225.2583', '258396712156028.71766650916', '258396712152061', 85, 1);
    T('1285163.1742167624992060516', '6945823.300766', '8020020', 42, 0);
    T('3044.783383200130560084226324', '468.7403328914504152087769', '2608', 54, 6);
    T('875299359763.7416396441825', '-7360.778321636', '-875299360941', 77, 3);
    T('-9.76', '682.8575812696051147027640537', '-675', 17, 5);
    T('14554738442758524247.05043', '-9.069E+4', '-14554738442758614807', 26, 6);
    T('265099831388.41612', '64905.5', '265099843029', 47, 6);
    T('764198166.53586675902', '5255.99590295975', '764193169', 80, 1);
    T('8498.89719', '571927088682.737943069823', '571927097112', 66, 6);
    T('-8.98649000398814200540231374', '9.0873E+7', '-90873008', 7, 5);
    T('-470.4834542726118', '3800369310.817169', '-3800369484', 35, 0);
    T('-1.7152130446724589761088145', '-168820113910768381.397', '168820113910768380', 91, 2);
    T('-220404.2600144747571814822', '474619505.476051036802824073', '-474563203', 39, 4);
    T('-3.3409E+8', '5215372275.15', '-4919233789', 91, 3);
    T('-944231.64', '651857063108300337851.0914', '-651857063108301232862', 88, 3);
    T('927867.50200177856211178', '6732295478387.11846425026714572', '6732295877640', 80, 1);
    T('-293.8388601363848', '18899.4163087026619060', '-18680', 42, 6);
    T('7236253.6935988868491611090001', '594575229.894350046369339', '589174240', 36, 2);
    T('14375653.1', '7500536.1', '11085853', 44, 6);
    T('-2060474.06279577', '-53.480469', '2060429', 2, 1);
    T('92747397.9830379417831744518845', '-45.0', '-92747434', 73, 1);
    T('17197192.410040533', '49030.60122810968973', '17225486', 69, 1);
    T('-7.670095051579', '-51659807.7', '51659800', 76, 3);
    T('28.689323279', '-3.98630501E+13', '-39863050099972', 28, 5);
    T('-995642161.24064413430406', '640363546.734083528751448847402', '-494102315', 51, 3);
    T('15.20655359884186398342', '649918.000167461', '649905', 99, 6);
    T('141.0', '-56742.81973180301191', '-56617', 21, 0);
    T('66942638.428', '3232366.2005257351018856096', '63710400', 75, 5);
    T('8.2335880E+20', '-8.184154E+7', '-823358800000052481412', 89, 0);
    T('6229988783654.8347281845', '8.83513908904416691', '6229988783662', 62, 1);
    T('862247559.19222841965820', '6254253119.3626178843', '5497458360', 12, 4);
    T('-6375123.08358908689035288568088', '-7.7984E+9', '7796385069', 63, 3);
    T('-3.25987E+6', '476176.3', '-3602894', 40, 1);
    T('3.66472670885493576318691', '3.3562E+12', '3356200000003', 8, 2);
    T('772838275.772784047364604593', '-27121485.3', '-797787344', 16, 5);
    T('-39880.394907842428767873024828', '7.1506672', '-39873', 4, 5);
    T('7959.704742195', '1E+3', '7423', 23, 2);
    T('9.8412E+5', '8.103952981369', '984112', 67, 5);
    T('-634.99955317528019324082622', '4.719803E+9', '-4719802370', 13, 2);
    T('-8.3501845972664E+15', '78.60778', '-8350184597266322', 34, 0);
    T('-2.9E+7', '626926.16046403522912606176861', '-28512722', 75, 5);
    T('-782872231712', '-5.192249E+15', '5192877116802784', 25, 5);
    T('-696899675.744', '73.5245622872', '-696899604', 51, 2);
    T('8205.7', '650815.0', '642610', 17, 1);
    T('8.397932E+9', '5.2333E+9', '3278084032', 29, 4);
    T('-6E+4', '76590788.451137', '-76563612', 64, 2);
    T('-2.69840360301845292705602484747', '-42780.63949497411', '42778', 35, 5);
    T('-5104.101362305736424172606', '-8850257.184342380', '8853695', 77, 5);
    T('197.30623362', '90.6107', '159', 65, 2);
    T('-32.657347061224963090173502', '-9831766.4224992624', '9831754', 28, 6);
    T('-21387116746825.43247260809', '7189579.85531144893930008', '-21387109641220', 72, 6);
    T('-265204910.802907823', '6822913.76564507603630728601', '-262580397', 63, 3);
    T('-5E+8', '-236425062697851', '236424564420485', 39, 6);
    T('92329033.2355216859940', '49504.0', '92280105', 8, 4);
    T('9003064061.2421629290377', '6.2E+8', '9603623421', 21, 6);
    T('3.04642E+7', '-203.86950583918014422988805', '-30464003', 65, 4);
    T('-5691013.3867946469267125021770', '754369.05485408450461', '-6116422', 45, 1);
    T('94347037.71', '-89094710.473607', '-13690153', 17, 2);
    T('6E+8', '-65370.56010505852734', '-600029530', 21, 6);
    T('-6.30187490648', '2034609077.0085757', '-2034609073', 64, 5);
    T('-22301.0978689503879', '-6933.09857998994040909', '19464', 40, 6);
    T('253866.74770', '2404009.041768783462', '2584835', 5, 3);
    T('306.06697171357647577200996947', '-935.757303886', '-661', 94, 4);
    T('7504163.5586998321206432284', '455261085.1963', '458242750', 43, 2);
    T('276524141.3613740321773503', '2942992.62837252783', '274171005', 22, 3);
    T('2786.5581297047955308', '87.663171414541', '2741', 96, 5);
    T('-696.7807', '9793452.68257', '-9792796', 97, 1);
    T('-77296.116', '-9278692.31890858', '9222412', 81, 3);
    T('3113.527629971305749331477521', '-3.30343538E+12', '-3303435381047', 50, 5);
    T('990.5372459148269452', '-852333353.14260', '-852332791', 36, 1);
    T('-1.5222E+5', '-4.3E+7', '43151908', 36, 2);
    T('661.307396385383154189601', '-59969.895120782189054756564', '-59606', 31, 3);
    T('8390899.53993', '-390278.7536531746813907', '-8780919', 13, 3);
    T('9E+7', '-84.2', '-90000084', 72, 0);
    T('67.360081', '-3.9', '-66', 36, 3);
    T('34.01', '7209.36909799262225', '7179', 35, 1);
    T('-403922085.97', '3.15E+8', '-181786725', 54, 6);
    T('2E+3', '3.6900689440495185147940', '2003', 63, 6);
    T('3.19749E+13', '-20.3289253995530604', '-31974900000020', 70, 3);
    T('-8.7715260E+17', '9.2985339366873932268225087', '-877152599999999991', 54, 4);
    T('58023646.96186', '-2.309119432257413', '-58023648', 70, 4);
    T('-8024691.3053366163', '112894.09098626', '-8112781', 45, 4);
    T('318787573.40213588117654479', '9.20159E+6', '327952451', 61, 2);
    T('-3811216221.89', '-67.16', '3811216158', 74, 1);
    T('756620902.93586522666859713', '21335.4954091138384888365', '756632881', 34, 4);
    T('3.3E+8', '-64247335.383210401', '-276770983', 80, 5);
    T('78754.2461', '7090472102.89683', '7090550532', 14, 1);
    T('-5115.923106083922868226', '-8184.841557665035321', '3085', 92, 3);
    T('6011420371.3921404438340847', '993554744.310226541899', '5863018475', 61, 1);
    T('2033245', '-1768.78387006034734088719', '-2031803', 25, 3);
    T('21938.7097459172756172093521460', '820956625.243694358981', '820942947', 54, 2);
    T('-32058.5', '-87.88909', '32111', 41, 2);
    T('-4043722643.1191283980317168541', '-5586.1899935', '4043725379', 20, 0);
    T('45458.6', '-3640741039.604', '-3640786237', 66, 5);
    T('-50442305906497925.8', '-43633593.591174201', '50442305947865660', 35, 2);
    T('24.40135794585037', '-7057.7502251358512228088213598', '-7049', 65, 3);
    T('-5542.50353259341933158', '-4E+19', '39999999999999994458', 48, 4);
    T('677.1413174680078214471620520', '3E+8', '299999653', 55, 3);
    T('8.79519E+8', '650.10759539', '879519634', 29, 0);
    T('29.121650362550211507', '-7536753777.5', '-7536753774', 4, 4);
    T('-25114.5280150', '1.71268387587203762E+18', '-1712683875872028910', 79, 3);
    T('8658.868059663', '264311.87228117780833', '272805', 20, 4);
    T('-765886.048', '-1.5083E+8', '150393874', 75, 0);
    T('12106801.4', '-4.858E+20', '-485799999999995233231', 18, 6);
    T('-2.1965E+9', '9E+9', '-11183780896', 85, 4);
    T('3.003E+4', '125.8285918691636052417032305', '30003', 38, 0);
    T('4.302E+4', '-902217356.9439065717', '-902174344', 42, 3);
    T('29751.45429', '-13472.8951433713601262344698439', '-16553', 92, 2);
    T('-7870628.1335822046', '-6.24928377E+16', '62492837704712284', 90, 1);
    T('-6.563815E+8', '796790.24208894144', '-655605326', 45, 5);
    T('-2411280.27610916659562910', '-3.527E+10', '35272373872', 68, 4);
    T('12488068187.6212372493619', '7E+9', '14116145755', 59, 0);
    T('679281170709801096168.416', '288489629.9046170758608820101', '679281170709514965877', 70, 2);
    T('86871767.02', '-9E+4', '-86823257', 36, 0);
    T('61887.172185852', '353.865818573363', '61662', 2, 2);
    T('41386494.95441178494', '-22875867.8', '-53120805', 60, 2);
    T('-38.2913878', '1659025488654.84464781033935', '-1659025488684', 72, 6);
    T('53.7871406011915315740', '31128679609084523111.06', '31128679609084523090', 10, 5);
    T('-46151.6418', '-5.4503955439057478859', '46146', 42, 4);
    T('2.4869E+6', '-83494924915431.81', '-83494926737555', 83, 3);
    T('-3092577834.3145371240715', '41342.362182674564', '-3092537176', 12, 5);
    T('-652.561589', '-19139023.0824', '19139397', 54, 3);
    T('2086230.7355654458639051586', '-3749286.7998861223473228604305', '-2547956', 32, 4);
    T('-22.9128140905143', '-83507.023143482500612719477', '83495', 75, 4);
    T('755.8438719858205870084565', '655394909.908330', '655395502', 57, 1);
    T('-26941711.3886457', '9750.6466440472439047112518759', '-26951449', 59, 4);
    T('-8.362557655408036', '8.336E+7', '-83360008', 10, 6);
    T('-2228279.5', '-4895855162.6103', '4898083343', 58, 0);
    T('37666645.0672954', '-4302209856.5', '-4333780075', 89, 0);
    T('-7E+5', '79620.68246208464646368', '-760156', 78, 4);
    T('928975328.774', '62463.39912099598843', '929036831', 31, 3);
    T('-5.7735680120075097E+18', '-77942', '5773568012007587510', 49, 3);
    T('33626514673314011.3', '-49.2783901425827', '-33626514673314028', 4, 1);
    T('3.6264670097501996890891', '-1157584017703634841.5', '-1157584017703634844', 48, 4);
    T('-2.42', '7467707956302175.728026125', '-7467707956302175', 88, 0);
    T('-6363282.3033690957387549425', '8335189.60', '-1980357', 5, 3);
    T('543.60885155', '66.20063180093512438503', '605', 2, 4);
    T('1.19066646898007254E+19', '-3.35019695027937', '-11906664689800725403', 47, 0);
    T('-9962513.96134', '81702.919433361', '-10042167', 76, 6);
    T('4.38603E+9', '1.42098E+8', '4514496480', 25, 0);
    T('21268440.6240645849393616', '283.06006805518003765', '21268163', 19, 3);
    T('3.6E+5', '4294.63253006931189869078438', '355974', 18, 6);
    T('-654544.601369838', '2380.704416020', '-652676', 50, 1);
    T('6553.746212814775662586983975', '-75361042.48873649514547703', '-75362953', 75, 2);
    T('-732.5413203627840364757822570', '-6.98636E+6', '6985900', 93, 1);
    T('87.825859601803723051403', '-792347.71063142273247', '-792398', 37, 3);
    T('-5874378301.7199506575513', '-9.32E+5', '5875031715', 99, 1);
    T('4410181.346518324653669916719', '-3891623973.16195580821134550', '-3887477602', 73, 0);
    T('-180.8935164', '-60850860.5315779', '60850712', 31, 5);
    T('-820.1', '2.92E+5', '-292756', 100, 3);
    T('-627.66188904723396606108077425', '5801.44218339305760303162990790', '-5340', 37, 3);
    T('24.7781796638200', '-4975470.612', '-4975478', 60, 6);
    T('-40263.8677590187527818182727', '2.9921908823741972817366217', '-40261', 33, 4);
    T('27.795128419489594512078', '7266004656.79528038', '7266004651', 9, 1);
    T('3939220.627', '777002395.013364', '778831375', 31, 3);
    T('233697.65811199', '-8423.99088174358853059789593548', '-241672', 80, 5);
    T('-8.6E+2', '-3E+8', '299999652', 33, 3);
    T('-40965.25730404', '-5.583E+9', '5582975419', 28, 1);
    T('12717083.68503', '-6679135.42746876560443420605368', '-11003462', 57, 2);
    T('87468882.867907892771123232082', '-7E+5', '-87819534', 22, 4);
    T('201152.9493922476001479', '-641368.4004785810109', '-710808', 29, 3);
    T('6.47E+14', '1.3137E+7', '647000012031080', 63, 3);
    T('-8.544019504725756088', '-6.33E+6', '6329992', 98, 5);
    T('4998.9217248639790065622075878', '-73.108513', '-5071', 30, 4);
    T('746333.7579575604551546635', '-1252.0337344823768819886', '-747455', 16, 1);
    T('-7.2613477807531', '5174873884.896', '-5174873883', 88, 3);
    T('78.7774401208135588081086210', '43.94768215630276109', '101', 93, 3);
    T('-6484896780.86136547', '9E+7', '-6574237324', 59, 2);
    T('626.323214881845464', '130450.63538392737550657', '131040', 74, 4);
    T('-628605015111.38400525595981257', '181.9435826528180539251', '-628605015284', 53, 2);
    T('4459.5', '3146.16500', '7457', 63, 4);
    T('-61.10883015899493211157129', '72193.130803', '-72254', 37, 2);
    T('-1E+3', '-21.6981901955341749', '1011', 30, 3);
    T('-2.5027E+9', '271563.520988405096', '-2502430485', 64, 3);
    T('-156.5', '7.1', '-157', 96, 5);
    T('544772.9728479568371942740', '2.56985956517671713421104146221', '544774', 19, 5);
    T('73551.450893000737261942330', '7880.19214426202910893141', '65927', 49, 6);
    T('41.275124083571', '9417379.499792887123149', '9417354', 97, 1);
    T('558.1182229875233', '4.9E+7', '48999534', 30, 1);
    T('9492296.929798813135', '99863940.5542965978228924', '90381004', 44, 3);
    T('67248486.5606349164833821388', '5862741.967596332641276', '73094195', 70, 2);
    T('1.1E+8', '-600583.777207494571077562', '-109534599', 41, 3);
    T('-835455394541.67131', '4243.5983839934584504', '-835455398528', 70, 4);
    T('-313.313367967164', '-781638140', '781637827', 64, 2);
    T('-8E+4', '1263579763923039.4330758', '-1263579763859489', 41, 3);
    T('38.040749728380821470267', '93863752111.5986390', '93863752073', 60, 3);
    T('-75.46104070582525853067712', '-8.836721486214748217', '77', 34, 4);
    T('-8516.912406866204619324126662', '6.756578710943161', '-8518', 78, 1);
    T('19650818.4671858197832', '77.9960149916750104702251078', '19650895', 25, 0);
    T('-8E+4', '-8017426083.084', '8017481437', 5, 2);
    T('2.31471', '-789.14042539737664', '-791', 28, 6);
    T('41.3565221271369', '-3582994.5751485454442464993', '-3583033', 8, 0);
    T('31071879.1229247728985', '5627234312.157266604016630449', '5615310479', 41, 0);
    T('472816441.5684984', '55497733.353399259264859', '526405436', 77, 3);
    T('84369171.56533090133068210', '492.1047', '84369151', 23, 0);
    T('-5.074E+10', '96487.323514032', '-50740038681', 12, 0);
    T('-1866600.240045331661440311', '-209367026.1515', '208065686', 39, 5);
    T('86670257.2781234685462726440676', '4.8414906811424581229221512', '86670261', 59, 5);
    T('-229132979.087785933785092', '72888.8895201', '-229201419', 21, 5);
    T('1.0721E+5', '-91.707290327878151', '-107153', 48, 6);
    T('-73515.805918776408285801696836', '-2E+4', '86325', 67, 3);
    T('-6392.5212505801969131', '3467.7599512729584818860457617', '-5501', 100, 4);
    T('684.42013849928951482', '3.29980E+9', '3299799404', 20, 5);
    T('745600533.3162564058761365', '-867.88547', '-745600376', 6, 5);
    T('-4.108E+11', '-1012930.80', '410800226110', 82, 5);
    T('7.2819E+8', '1.29777E+14', '129777345979952', 2, 1);
    T('-8.38727706652E+20', '5E+9', '-838727706656663922176', 86, 5);
    T('-8.58E+19', '8238.3664304742', '-85799999999999991762', 45, 6);
    T('-5463972065.9915454071', '2.273E+18', '-2272999996735035617', 11, 5);
    T('58.4886230052182582', '8.9', '50', 94, 0);
    T('-834157161.87779573725281199', '9.24E+6', '-825542569', 22, 6);
    T('-9559413.41966100150789826', '590.41073', '-9559867', 7, 1);
    T('61319.4', '124055.1381601149', '68368', 11, 1);
    T('392586.3841492', '-4825.211746685', '-388947', 60, 0);
    T('-476.767476', '57975984.493205740238', '-57976172', 90, 3);
    T('-4.267335768982684E+18', '5.455977419276E+13', '-4267352902160201000', 33, 6);
    T('-16247101.398454075', '-70358312.381889892719457267', '80116763', 92, 0);
    T('-479.137173749331521737117', '-89908468.3955', '89908525', 33, 5);
    T('7.6E+5', '-76884033', '-77508737', 20, 1);
    T('-45.851560698725364992', '43759295.6460592272642928105', '-43759252', 78, 4);
    T('472746.309255489059971', '229325.518242865061432604987763', '280935', 58, 6);
    T('-29386.14572338', '-205866.680631805889930', '218848', 45, 0);
    T('4.630957487708583176528715601', '-40090355.78609738729109530185', '-40090359', 77, 3);
    T('-8467213.404788308000639', '7.43276E+8', '-751587053', 40, 1);
    T('-2.5354897799337E+14', '386', '-253548977993500', 28, 6);
    T('-11.8002764387701324', '1569628912.118547905969', '-1569628923', 3, 3);
    T('-7003.0059794302030973632909420', '-60833.8941548414942342', '63226', 81, 6);
    T('970465885.2', '352.74', '970466109', 68, 6);
    T('-316.51846253', '6.180745373094E+19', '-61807453730939999804', 23, 0);
    T('-2.32E+7', '-256101.036374737141177771', '23193755', 20, 4);
    T('-4449270837.4697121271', '-1.1E+8', '4558949195', 25, 6);
    T('-4.95135535060E+15', '9.5246963149919963666163189', '-4951355350599991', 94, 1);
    T('-995883112.38229382838144297005', '721817586.5', '-274593686', 44, 1);
    T('5.19E+4', '8E+7', '79986364', 55, 6);
    T('86787.45742', '-1.536800269440072815', '-86788', 96, 5);
    T('-17394.814120620', '827315.78190412265325', '-842819', 20, 5);
    T('30.221443874740808982957074', '-67341991.10936050784', '-67342009', 15, 2);
    T('45.261024155993049089090', '9856584791.9833093', '9856584826', 20, 4);
    T('-784434983.42', '-72448815.004458268384', '714144776', 45, 3);
    T('-190310.64346773274886', '69052944147427827.236123', '-69052944147338903', 70, 3);
    T('-97.72', '-757004960.02', '757005055', 2, 4);
    T('-8E+3', '72971.42', '-66101', 51, 6);
    T('-7725831944.116', '-5521224773182.13289408498866', '5516060981562', 57, 4);
    T('86.074705', '-827937.12026117662449427684', '-828023', 30, 5);
    T('12864.52666575', '57.74', '12921', 12, 5);
    T('-8.03E+7', '-1.5E+6', '81765504', 19, 6);
    T('660177949.9200561929243456', '7.94039675284718779E+20', '794039675285377908325', 23, 2);
    T('5.0743659', '-179.6823', '-184', 33, 3);
    T('-271715.0983379297136082', '65382671.8937595445', '-65113198', 82, 6);
    T('-7187698871.848', '-1522356', '7188819461', 24, 5);
    T('4.640381667350E+15', '-490.369122761', '-4640381667349530', 51, 2);
    T('-273081640442597241.969532270', '2E+1', '-273081640442597229', 9, 6);
    T('-7.724490532074547978', '2289.68702', '-2296', 73, 6);
    T('-2305923058562.8102868064213086', '-8E+4', '2305923003390', 87, 6);
    T('-97835637.1122297245', '6E+5', '-98434485', 8, 4);
    T('-90570.7972047437858418241927347', '-7.69732352236929661915', '90575', 26, 3);
    T('-3.881070E-66', '-65116.9701737307740323059237485', '-65116', 79, 3);
    T('-482553.0656392495', '-74.099683750', '482481', 70, 0);
    T('632071.8541573778139908026', '-95240.53946', '-577793', 78, 1);
    T('-9693.7009663474615797498021', '-1263419633625135611.5', '1263419633625127974', 85, 4);
    T('34.952741674502', '-8118.01848861007113197465274080', '-8088', 91, 0);
    T('-303620.5444304876577083769', '26270.366018208170363943667100', '-312478', 98, 4);
    T('7.49', '-73471.59874', '-73466', 18, 0);
    T('160167025.6737819459628', '88164.922', '160082965', 48, 3);
    T('-5451930390644875.092111830112', '-59.75', '5451930390644912', 72, 3);
    T('7.063E+8', '1E+9', '293831264', 49, 1);
    T('-20478.1953236496372321269518355', '8.4636783824292736079563', '-20470', 83, 3);
    T('-518737461.060598103460318595', '5.70075277616580238060343', '-518737458', 64, 1);
    T('-400866135.133616900431503577', '2322.789', '-400863813', 15, 1);
    T('6.1E+2', '1055195.2990062774949', '1055673', 83, 3);
    T('93434810833.521922463207', '352723.9722472', '93434638338', 67, 2);
    T('-85.06110355031916789', '8.26021E+6', '-8260135', 42, 6);
    T('92542.10342779461', '-3.1607470938E+15', '-3160747093876034', 26, 5);
    T('-7.13415013E+20', '-3.28E+5', '713415012999999672000', 99, 1);
    T('-48044307122354715.989161089965', '188042.16839079612', '-48044307122431121', 19, 4);
    T('257339.253946340637349', '3E+2', '257047', 59, 0);
    T('-1603656.460801972806092630352', '8466.911187009788', '-1595734', 70, 2);
    T('-7.36270031966045321437', '9.962E+17', '-996200000000000007', 51, 2);
    T('-915204864.08', '-3880.5803', '915203544', 80, 4);
    T('66293.93357430', '25.0436396359293964744950057', '66284', 67, 4);
    T('17.499671156667016788190', '362.27600571734', '379', 1, 5);
    T('-5.630401075015277E+19', '543.168945787650434895288813009', '-56304010750152770513', 24, 1);
    T('8E+2', '-5699.051264870496', '-5475', 67, 3);
    T('30042103.57', '-4.542672100E+15', '-4542672103565065', 5, 5);
    T('-175479601.444589166503098', '-6.704011271114', '175479605', 11, 3);
    T('8E+5', '131.639690756139659093228864168', '800131', 32, 5);
    T('4.41586125477728989357132145066', '5983.932476', '5979', 84, 1);
    T('980956.057649774970366', '63589.6861111817149', '921529', 48, 2);
    T('-778160.703', '8E+2', '-777360', 97, 3);
    T('4.22359070502631', '673626.6603', '673630', 40, 3);
    T('39.8615309816742520', '93902.344235689519681209', '93929', 51, 4);
    T('3.6E+5', '7252917605.62755541395870575378', '7252722469', 19, 4);
    T('-583106.57875563017747595', '-8875.477086000938485957992856', '575339', 89, 3);
    T('-6.5366', '760643882.8049227069', '-760643888', 12, 6);
    T('1975.154', '-827794509.18418624664173985', '-827794428', 68, 4);
    T('5.0537E+6', '3.9E+6', '7774052', 64, 6);
    T('-54442678.440844', '-747974818.50015', '799771156', 74, 6);
    T('23350.98633990543757', '-7761659369.65024243952049', '-7761682143', 7, 3);
    T('6347481.866227531087', '4273851.94572778933996486976069', '2223202', 28, 5);
    T('-1287285.51295375', '-4515.6828451056265214839682', '1291734', 55, 3);
    T('-4530.83046992', '737.5087220489', '-4945', 74, 5);
    T('4983.91900469468', '55960102', '55963985', 57, 4);
    T('78.9662826860863457762', '44.166894', '98', 94, 4);
    T('5505783.70818848528771', '7676.202', '5512971', 50, 1);
    T('997838349.89718377085', '-7317717.7836115032978', '-991323866', 82, 0);
    T('645900.2892', '4.7E+6', '5139564', 44, 2);
    T('6041972952.5', '968551155.361', '5664135723', 19, 3);
    T('976681.960504950464756067709652', '-3.9E+6', '-3499383', 89, 1);
    T('6.66986779438419E+19', '87677.6845974', '66698677943841952669', 74, 0);
    T('-3.49646E+8', '-31.1211', '349646001', 77, 6);
    T('2888603.75', '6.1', '2888605', 71, 6);
    T('847079', '4.402245462459262931103099355', '847075', 73, 0);
    T('700026094392940.715332093137757', '21371.10635515456824', '700026094404887', 20, 3);
    T('-53.62944118454504237375311', '2.47139224007', '-55', 73, 6);
    T('3889.790462857', '-2.285E+5', '-226211', 9, 3);
    T('147114.597460424', '691.22941673', '146457', 25, 3);
    T('7081719.8335083', '766746.7244330602313661781543', '6798829', 69, 0);
    T('1.48115619634966521927715139', '-8.4E+2', '-839', 23, 6);
    T('1744631544664290.0419413783', '8.7713515364019', '1744631544664298', 65, 4);
    T('-1.1647E+5', '-6.4139076870', '116464', 34, 3);
    T('-2710661.87128', '-1.9243005980E+18', '1924300598001649531', 9, 5);
    T('-1922.2143080609831792739497', '-3.3694909174525942924E+20', '336949091745259428598', 28, 5);
    T('-79758558205796631.156485934', '-99191.8425558610889281182312', '79758558205764192', 89, 2);
    T('94461987', '2642450.510626', '92877361', 74, 2);
    T('73.54304661548595544543', '-7.2E+2', '-647', 7, 1);
    T('47.9613961544', '-81179.37729538753777122175', '-81206', 65, 2);
    T('377783692.164850842927888374982', '4593356297.540344286573902595', '4417489797', 39, 5);
    T('7.2620E+7', '-8484.646697', '-72627908', 89, 1);
    T('7955.959704735786170759764', '-64812.540313', '-57913', 3, 5);
    T('1561.576578247829', '9', '1552', 84, 0);
    T('9.071E+4', '40434854.3292225264029822807', '40476400', 40, 3);
    T('1272308.2151', '-24134.97668123268', '-1259442', 87, 0);
    T('4.13E+6', '8385338391509.735744', '8385338720005', 79, 3);
    T('15.5245802126', '-6.9348E+5', '-693481', 62, 1);
    T('-1263642089.688', '6.503E+4', '-1263623151', 76, 5);
    T('8.66E+7', '-8.89E+5', '-86309352', 61, 1);
    T('34.06271801813638059119', '327204.17784611783', '327174', 2, 4);
    T('185442.925658718760690312', '-44135042.606751514472616538', '-44279524', 83, 1);
    T('-107769.459180735271780954', '-455653169.0', '455676872', 2, 0);
    T('58.76095256409586058408', '2038968399.320449845', '2038968437', 77, 1);
    T('-65.95', '234.992151', '-171', 70, 3);
    T('-548350858.936', '-951558379.19769', '404261731', 44, 2);
    T('9.7301E+9', '43614.9471949423069', '9730072958', 87, 2);
    T('6929.88495236242', '-8.005E+9', '-8004993071', 95, 2);
    T('-2720225.7322619445174350209669', '-74.66', '2720169', 93, 0);
    T('6126.575586556166', '3.5776701E+9', '3577675322', 23, 1);
    T('668966.9665382', '-1.51354217E+15', '-1513542170644314', 78, 4);
    T('-8E+13', '-337866.289435707495700361', '79999999793206', 66, 6);
    T('-2721811571.683886494', '-6597121.8960094869967396578', '2724144754', 2, 3);
    T('6.557102962682E+15', '6.20775', '6557102962682006', 61, 1);
    T('-78843179.20545295714802', '3.36346693666007059516', '-78843178', 52, 2);
    T('3.240047E+7', '3.4204E+7', '65506614', 66, 2);
    T('11716080.7462378151', '51.870331482456611750431424', '11716035', 68, 5);
    T('-708619.2', '-47269.8096903195527', '682158', 53, 6);
    T('16629804.3139168566629', '-18.250979949464886220', '-16629822', 70, 5);
    T('6.79E+6', '42319135.233908490776882144727', '48375407', 16, 0);
    T('731784160.0446268329076', '8550979555550.2659570252', '8550298907454', 89, 6);
    T('75.7', '8325.64096886759970972', '8398', 45, 4);
    T('-12323250.60727', '742905.389503806293395643', '-12016713', 40, 5);
    T('240267.9071948142719400375585', '518.0784467784601', '239757', 64, 1);
    T('-34.8368447534703', '-51206442.10859232232', '51206408', 41, 4);
    T('-5880.350466079358', '50892118.709', '-50895778', 4, 4);
    T('3350449.293493396', '4', '3350453', 27, 4);
    T('-15.84110721059145431973546', '-5638136065.93086758612479224', '5638136078', 99, 2);
    T('-485.19659309124199090589939877', '-19361.993', '19012', 5, 1);
    T('-1.448E+9', '3.5259309502E+12', '-3524684556232', 99, 5);
    T('-138606.2771460814814417455349', '-8.1225089743616283126796257210', '138602', 67, 4);
    T('372571557.6145157430545', '481898670.943859292940298641118', '177065227', 97, 3);
    T('-9.90136616074291128863222541413', '887754.3222171871', '-887747', 53, 1);
    T('6547', '-41122585.941249', '-41116300', 9, 2);
    T('743.6969453604', '6.9E+3', '6163', 79, 2);
    T('0.058041159399118581497645', '5.9736591E+8', '597365910', 90, 6);
    T('-61.43190381591273', '-411.5752969519534527', '422', 4, 5);
    T('-7914322.274952', '-6.951556109455878585768881', '7914324', 87, 6);
    T('99.6658033088759538', '-5606358.312168424501449919', '-5606327', 40, 5);
    T('-10012840.850311289284041039', '-2482.40381216923847626886787', '10010902', 96, 0);
    T('-36.349', '-413466.8568', '413498', 54, 6);
    T('8195665.34441247', '6690543912941323055.77221743', '6690543912948862334', 86, 3);
    T('-46.6292096508140', '-7866438275767582.309', '7866438275767600', 10, 3);
    T('-7.341E+8', '48661.41469760586274', '-734118923', 7, 2);
    T('3.408E+7', '5540806.32476098282535', '39620294', 76, 2);
    T('-1.75142E+8', '-8054154942.510992799613916', '8227181266', 2, 3);
    T('1.176E+8', '-74.710293879237836771', '-117600074', 88, 5);
    T('2627494610.8553799767407888655', '650436.27', '2627046934', 94, 0);
    T('-7414702405.4', '-8.597811993036524922153780', '7414702403', 91, 6);
    T('9263.292879962728042645', '-8.506630737372677062', '-9257', 39, 4);
    T('7', '-6.18166758E+10', '-61816675793', 35, 4);
    T('6.25E+5', '15012775.72780469', '15506127', 18, 2);
    T('-197.678019894', '7.9603277389E+12', '-7960327739089', 98, 6);
    T('2.5019870390917E+20', '-8458457146.321006423735403', '-250198703913060720826', 34, 6);
    T('989116.72036935306', '-30862.60767', '-1011506', 67, 4);
    T('-5748.3780510', '4715.622635065949178661421333', '-1049', 74, 3);
    T('834723981.7', '-352.859276216248947086061', '-834724307', 97, 3);
    T('-37', '-9168046.6484383', '9168009', 86, 1);
    T('718.993321580720599190526145', '701751642.573249357612', '701752212', 43, 5);
    T('3487102066.2447202554', '6.91E+4', '3487168926', 53, 6);
    T('-7799.708608326336859', '19256240.44542', '-19254727', 90, 4);
    T('291570200.3952312377586011046', '5.733238521', '291570205', 51, 2);
    T('7.3E+10', '59121.58424', '72999992561', 86, 4);
    T('-57183966.3530410562220438001229', '91.7944311912804024661', '-57183879', 84, 1);
    T('-4943126142.24682537767', '-782.0984152088', '4943125872', 52, 4);
    T('-980878682397988882389.486461650', '2.7E+9', '-980878682400679967957', 61, 5);
    T('3224.0653', '-8.203003E+7', '-82026838', 68, 0);
    T('844.791781', '-7.6E+18', '-7599999999999999156', 1, 0);
    T('-1.8E+4', '-7.1E+5', '693024', 86, 5);
    T('4432.791199987923986012', '-621.74895823611182', '-4925', 95, 0);
    T('3806898.2', '8656776834.764061031915010357', '8652978224', 96, 1);
    T('2.086310E+14', '26220.96177378803006', '208630999973996', 67, 1);
    T('-895430.08669887939011', '-6602397066.7642438978422910092', '6602177612', 77, 5);
    T('-852.7120865', '-3.562E+9', '3561999660', 69, 3);
    T('-45679140.92391977', '-2.26973309818101885297732096985', '45679138', 62, 2);
    T('20.602200749944616783409783', '577651862152582638.30507865175', '577651862152582650', 25, 1);
    T('3.8867E+7', '849532791.9308742769882729', '821282639', 40, 6);
    T('59269.55646421746603683501595', '9.5487E+14', '954870000057221', 63, 2);
    T('728433725.5705425904672', '8309277186.7155717', '7586350655', 83, 3);
    T('1.188753361787', '-739.6065', '-740', 29, 4);
    T('-56752363.66', '5781.14469038361986', '-56749696', 5, 5);
    T('-7969.66904826', '91233056135566881601.25126038', '-91233056135566879842', 62, 2);
    T('-7927538077575.5', '58.068895341943518337626217440', '-7927538077629', 53, 3);
    T('-60284893184670564036.745', '908654.0534068581517577919305', '-60284893184670704558', 89, 1);
    T('-5180698452.11079761823934', '-5427141762594820823.90', '5427141759185321349', 74, 3);
    T('-40833499.3470169519', '-1680427.058512032', '41334256', 19, 1);
    T('-20599696.07392015801638', '-3838220.250612915193232122', '16827012', 20, 1);
    T('-6.55532860471624', '9977085337.19231051541657702114', '-9977085341', 14, 4);
    T('-1828.9', '165471594.08323720', '-165470794', 53, 0);
    T('4.6981925E+9', '-2208795.32', '-4700311151', 44, 2);
    T('-3907787812.74314800026', '-94788.032796301750294197564', '3907874400', 45, 1);
    T('7252767778.6062493', '8.535613011E+13', '85350489587218', 38, 4);
    T('-84755.204054446713764892', '7.962018E+13', '-79620179949075', 9, 1);
    T('-1.306019E+18', '41.00779601243380260241', '-1306018999999999959', 7, 5);
    T('-8.253821797697192875244746', '-6.739400105387173', '2', 34, 1);
    T('5.75563871076361559', '-211198099.4105', '-211198104', 47, 5);
    T('534932.6434731633712482', '43426737', '43944485', 39, 1);
    T('1838.57112774', '-949464.421945077434084261119', '-949242', 94, 1);
    T('2826.835239', '6603666.5', '6604952', 22, 3);
    T('3E+9', '3.10682150691370', '3000000003', 76, 5);
    T('-337214.358782', '403245050.853385065041232454', '-403448520', 51, 3);
    T('-76.17016775763897896071862', '-9E+7', '89999924', 41, 4);
    T('2.7214210020043032261', '25385.8268683130791', '25387', 18, 1);
    T('2884186.19263577431326533676586', '-15.592734325', '-2884181', 79, 4);
    T('40688.42', '92002.7', '129426', 20, 4);
    T('1.311E+7', '-6.539325763530955699101347', '-13110006', 15, 6);
    T('9E+4', '-5.86988294758564', '-90005', 100, 3);
    T('7920.481837084', '-3.20E+8', '-320000272', 83, 5);
    T('7.138085570657E+16', '-3.436708311223327061242', '-71380855706570003', 43, 3);
    T('-29.5235606526798146811332488', '-27889402', '27889381', 16, 3);
    T('243578047.097137142477940799671', '406.752374817273091', '243578153', 68, 4);
    T('-513.894', '9.26E+8', '-925999489', 31, 5);
    T('423583.090', '709850725.591218143633', '709427450', 100, 4);
    T('7457342224.720511851524852780', '-835388887.4093977551225383', '-6672418503', 80, 0);
    T('-845.158175460595627871351318', '-416.072008', '723', 79, 6);
    T('-833539.2692480219152', '7.7119209', '-833542', 69, 2);
    T('-4842788.366364067020655125', '647.86728190752439730021435', '-4843429', 63, 1);
    T('-33110389.1924805936507545877710', '-652.1242662046708204365331485', '33111039', 70, 1);
    T('679129.989976751560910', '-867988.569832743740', '-483915', 27, 0);
    T('-5.76E+7', '-483626.67', '57247446', 43, 5);
    T('-1E+5', '72960385.008525330972568013537', '-72929055', 33, 5);
    T('-17135.7712916195916058', '324951807352134610.60822216805', '-324951807352117565', 44, 1);
    T('-9625707074.436630', '-446.71440319480607984492513559', '9625707516', 36, 5);
    T('6906.1892755469043408229', '4871852.1910756328622', '4869206', 20, 5);
    T('90896.91', '-5711782773664944649.7069674162', '-5711782773665034521', 94, 1);
    T('90.3843436745962763226', '-7729577669736.91414158236683', '-7729577669694', 56, 2);
    T('-5162601578.86366550151', '-4.556237748', '5162601578', 20, 4);
    T('38.90810', '1639.774679578107090', '1601', 91, 1);
    T('-42.7429183307', '-1401424042.5668', '1401424000', 58, 5);
    T('98.05088229752', '448919966.83', '448920060', 64, 3);
    T('8485951915.79032382808909', '-1.28481040604105399031100456698', '-8485951916', 18, 6);
    T('8.90', '-4589866026.9111002924044796', '-4589866018', 44, 3);
    T('-78161.77984664750', '-50.7847464829', '78177', 49, 6);
    T('-3.958E+8', '-3.6730E+6', '397370904', 69, 0);
    T('-9.51E+8', '-7543476.1649856108835186378970', '953942284', 9, 2);
    T('-4446147050.3424334847327863', '-853156819.138', '5299040827', 56, 3);
    T('-581.3464', '-7455130928.17479952765475526', '7455131499', 21, 4);
    T('478.079042101380617957', '7069743.73527290', '7070193', 10, 5);
    T('-27541146.615605713016132560', '55.169900390109', '-27541167', 37, 0);
    T('96012.3965860270038651874', '3.0332E+6', '3096444', 84, 4);
    T('57570.6956026217377332148204453', '8.10011E+17', '810010999999975650', 32, 0);
    T('5087.670662407', '-4E+7', '-39995937', 25, 5);
    T('8.602E+8', '-5.29206957307E+13', '-52921446215244', 69, 2);
    T('-84707.3441759736168356535398', '-46643.65966576117920277548', '130256', 43, 2);
    T('-7041752.0', '307.05731819193081', '-7042021', 73, 3);
    T('21.8071026218285141115915', '5651790.8435140697281461578280', '5651803', 6, 5);
    T('-4.460330E+9', '-765.2842796760971264942', '4460330739', 53, 2);
    T('-1.5', '-73.280075990560040154', '72', 64, 0);
    T('8.295049850358525988067682621', '-3661843.83683', '-3661851', 63, 0);
    T('-86394.916146698869', '4.1011E+8', '-410032458', 54, 3);
    T('-242260.580448', '9383377.9499345492', '-9215875', 46, 3);
    T('139573.1293', '-5516809.726300', '-5639998', 70, 4);
    T('-73619.290209930040', '-86213511.4271529096909131', '86154260', 64, 4);
    T('-8217.3481102679771147', '2.0907336139832800364', '-8219', 98, 0);
    T('-1.81840741588771913612170818973', '746216362.4921463472002011726', '-746216363', 85, 6);
    T('667696.68497543426207876358', '20.0151021', '667684', 42, 0);
    T('642000744', '2.02032327799389887026816193309', '642000746', 52, 0);
    T('9.1401E+6', '-373822818.4943178566003517', '-381903590', 15, 1);
    T('-8.357827457086845117351', '-9.2413793258E+17', '924137932579999992', 77, 2);
    T('-741200.8617554533538971278', '-8260829301853.6637162815347869', '8260828562195', 100, 2);
    T('3.75472594821817432044482', '-34370.1095975760', '-34371', 71, 4);
    T('1621.13010810469928228791', '-9421.14580999991184815196531', '-8858', 45, 1);
    T('840545637.282', '9208604.7777290885485026364794', '848639609', 9, 6);
    T('-96.6227879178', '-80194.47114697306', '80158', 71, 4);
    T('-107804559.9281620411092407', '-1.710E+7', '124263249', 97, 3);
    T('5.8362317E+8', '-6576028286915.89276285863', '-6576586694081', 81, 1);
    T('-26842.73797086485441785', '8.735081E+9', '-8735075058', 51, 5);
    T('-5.0763', '5058315.58110489905', '-5058320', 22, 6);
    T('9572368860.31707', '-3E+5', '-9572078084', 91, 3);
    T('303723931.105185154', '2015.043530440', '303723076', 97, 3);
    T('-274852', '3.383737E+13', '-33837370274596', 26, 2);
    T('-3.40955229', '-69761.63640984859152', '69762', 29, 5);
    T('-1.81538E+7', '-5003043.7556829418738', '22632037', 46, 2);
    T('45490.927499730443484', '-8.677', '-45494', 40, 1);
    T('6.5996110E+9', '-418.2838183', '-6599611354', 95, 2);
    T('7.67695234E+9', '-4967.827665860949', '-7676947571', 82, 0);
    T('-4433252.555179', '-2176413282.50', '2180696834', 14, 0);
    T('-5819692.57835887501', '-8910.46321324', '5828582', 95, 2);
    T('1.86E+5', '-9128.8384278393', '-193848', 56, 0);
    T('-5664026.309046296456', '-1089037472.89439', '1086261638', 77, 3);
    T('-6833782.191134610977849319246', '34644.593', '-6865186', 8, 4);
    T('6337979.2641', '7100923.1859326846311886', '846912', 85, 5);
    T('-5.2E+16', '1884.6572960072359512416602749', '-51999999999998116', 57, 4);
    T('29.02', '284691.00017439520250', '284686', 87, 0);
    T('-1954.667584681377376041758', '83775591.70799264569', '-83777479', 63, 0);
    T('7.273E+6', '-829570.0651707050178813743357', '-6443690', 10, 6);
    T('-4406591.427144088406', '-2E+4', '4420385', 95, 4);
    T('-7E+3', '61917157.6696834538982259', '-61922483', 76, 3);
    T('6015.89646514556696429172', '-5.09E+4', '-53677', 85, 2);
    T('-6338935.0533680873521883868145', '337564.04818911392', '-6660075', 39, 4);
    T('581.382752', '-678398686.0665465713', '-678398105', 23, 3);
    T('-568108.5309058126238390', '417.603931398', '-567947', 89, 4);
    T('2287526515.74125470133980646', '-6324860.8195977885', '-2285395977', 73, 2);
    T('1.0027034E+9', '87757359.4938', '1056905223', 10, 4);
    T('-2.344603E+8', '-93702215.379978653', '141319373', 6, 4);
    T('-3E+1', '-6547.262513', '6543', 17, 6);
    T('-2227522308.64446', '-10950387.699622935249961', '2221039089', 96, 4);
    T('-1337.45706', '900.55240984370', '-1725', 33, 5);
    T('1.66E+5', '-7164493.716758508356380', '-7330365', 33, 1);
    T('-942990.072427', '9102.8967519629147120', '-933892', 12, 0);
    T('-39506.3491', '716.6861986684110506998300223', '-39070', 44, 2);
    T('60970.245970220202069306', '-82036821.0091355849019823', '-81995391', 44, 2);
    T('35.303215', '-7E+5', '-700029', 37, 1);
    T('-6501912265.26772144720762084359', '945.0789121233324388734987273', '-6501911930', 88, 3);
    T('-8.7E+2', '9640.50918153220824467', '-9934', 90, 2);
    T('-47978438.4004390', '-17367084.744748388149', '64296942', 53, 3);
    T('-35291650674914.84957601921', '951609.184', '-35291650053593', 28, 0);
    T('-466956878.31576', '35.8742111602949660846184127289', '-466956911', 75, 4);
    T('576662.308528167079832694', '-5.194134E+9', '-5193661818', 2, 2);
    T('530149634.5068418622639896', '-6.7483E+7', '-463258742', 94, 5);
    T('32.892026815691', '997350.961067485011', '997318', 88, 4);
    T('59.624', '3.3475044839194775121', '56', 15, 6);
    T('404.641', '6771144134.0493759', '6771143762', 93, 4);
    T('3.1682E+7', '-97805947.6149496569116', '-70716331', 75, 6);
    T('478592765.367801', '5177582906166.47482607254642', '5177104651723', 78, 5);
    T('-600.028416954862', '-9.7403584E+9', '9740357800', 87, 6);
    T('80.3256847542964', '6637.07795448369201', '6589', 16, 1);
    T('-1.9378136106', '92.2028696', '-93', 50, 2);
    T('-1.9429E+9', '258140.8493186170', '-1942863172', 23, 1);
    T('2821484.9217455', '541.6462660149372', '2822001', 37, 3);
    T('-5.024', '-5.935299858368445936E+19', '59352998583684459355', 72, 0);
    T('-9.48E+19', '-7.4E+3', '94799999999999992600', 10, 5);
    T('-805.779187', '387535743.20296369683691862', '-387534940', 51, 1);
    T('826275.946215730279980079234602', '30713.04', '846938', 12, 1);
    T('-6906.761148750303591', '-9E+9', '8999994118', 73, 5);
    T('-7.738620E+7', '97300.142778820988303', '-77442500', 92, 0);
    T('998.3975238425235418', '-8766618.28389566868570149958', '-8767360', 38, 4);
    T('64505655.4290894171046402919', '-2321.7075157601232', '-64507432', 37, 5);
    T('92.21340339391797255626929', '5981494767', '5981494707', 21, 6);
    T('-6.84E+5', '-944.4930', '683120', 67, 2);
    T('-866996.0767', '1.27360163992781666317155111', '-866995', 68, 6);
    T('7417.383267624863968372', '48196230.965599900654637602', '48199295', 1, 3);
    T('-917.533', '54.84525690306447303592843330', '-931', 8, 0);
    T('578797139.03621191587134', '-1.4E+13', '-13999504187821', 65, 0);
    T('1.291340709', '5.05078316458298941280420136', '4', 11, 0);
    T('457.674514061812101719', '-2321735173.03', '-2321735630', 65, 5);
    T('-5649.03806637677404239550', '9.6E+8', '-959997457', 83, 6);
    T('-79112723.511607724355531269597', '6.579279884', '-79112725', 52, 4);
    T('-20597.9832095041', '2.303746619573', '-20599', 37, 6);
    T('9431398919.2130988691616', '13.989805949668379910471642562', '9431398922', 77, 6);
    T('8215.392215819587333953913997', '122661.16525724055386248102', '130866', 85, 3);
    T('7623244.61599224531240', '5.078591731716', '7623241', 63, 2);
    T('-4.4E+7', '-6.288E+6', '46174336', 74, 6);
    T('67700176.9852005043143021034987', '-3.1771E+7', '-99470504', 93, 5);
    T('917644850767531590.51186', '744310052.935464726460217526784', '917644850024303458', 86, 3);
    T('3.15640973456080685591', '2.492E+8', '249200003', 34, 4);
    T('58.794132438', '-4.01866138E+9', '-4018661434', 7, 1);
    T('-336245.5185753660533583792387', '23.52782558761904724005556', '-336228', 9, 6);
    T('53167.94010664713952823', '9915738.6', '9929461', 30, 0);
    T('-96656864.944070765502093374', '-7048259.750665', '94982557', 7, 2);
    T('3230.564', '-314581019.7216', '-314584197', 49, 6);
    T('-3018.56256025439', '-39.276799567888328228443', '3055', 55, 0);
    T('68.3268', '5526988567', '5526988627', 26, 3);
    T('-7.8022641E+8', '96425898.71328458337333', '-725489860', 86, 0);
    T('-2.6E+4', '3.21E+8', '-321026000', 44, 4);
    T('84.982936186883380623041469485', '-569700746.153423878071', '-569700830', 33, 3);
    T('472.2443741', '-977.2803246092983537352512931', '-521', 67, 3);
    T('-6195.020501', '-49.721009497278807', '6146', 50, 3);
    T('711630346890573817.955', '841117.398531319', '711630346889732708', 43, 1);
    T('512987392.897526606312389354', '-28518819.524198004253740689435', '-522238115', 97, 2);
    T('16530590.944381130844350195', '7.84782E+7', '72435686', 20, 4);
    T('-60899', '-63129.4012428374', '7034', 37, 2);
    T('-487170.999232333', '9.12153E+7', '-90749638', 48, 5);
    T('-9.139920407539', '5377.086555034814279606238108', '-5386', 17, 3);
    T('-419145.18568223', '517.362651442523', '-419662', 77, 6);
    T('-3878433924.40', '1.2789307895871194', '-3878433923', 22, 6);
    T('-89818820.5640896414528839', '-965.63388767', '89818375', 70, 1);
    T('7.6E+5', '82284.67465449905709382691211', '711084', 13, 4);
    T('4E+3', '-34.5089914579781646', '-3970', 43, 2);
    T('254979269.810359310224047', '401.630960718561036118144774005', '254979412', 72, 3);
    T('29.1210555374172770292255', '4.8505850943496026', '25', 51, 5);
    T('-759.799178353908201881365549083', '-573378309.8177017179413', '573378034', 62, 1);
    T('-7.134884420990350393245986', '-453.50368', '450', 70, 6);

    log('\n ' + passed + ' of ' + total + ' tests passed in ' + (+new Date() - start) + ' ms \n');
    return [passed, total];
})(this.Decimal);
if (typeof module !== 'undefined' && module.exports) module.exports = count;